/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/apply.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62makezd2funzd2framezd2sfun3403zb0zzast_applyz00(obj_t,
		BgL_sfunz00_bglt);
	static BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_applyz00();
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62makezd2funzd2framezd2cfun3405zb0zzast_applyz00(obj_t,
		BgL_cfunz00_bglt);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_loopz72z72zzast_applyz00(obj_t, BgL_nodez00_bglt,
		obj_t, obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_applyz00();
	static obj_t BGl_genericzd2initzd2zzast_applyz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_appzd2lyzd2_bglt BGl_makezd2appzd2lyz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62makezd2funzd2frame3400z62zzast_applyz00(obj_t,
		BgL_funz00_bglt);
	static BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzast_applyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_loopz00zzast_applyz00(BgL_nodez00_bglt,
		obj_t, obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[14];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762knownza7d2appza7d3696za7,
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3683z00zzast_applyz00,
		BgL_bgl_string3683za700za7za7a3697za7, "Illegal `apply' form", 20);
	      DEFINE_STRING(BGl_string3684z00zzast_applyz00,
		BgL_bgl_string3684za700za7za7a3698za7, "Too many arguments provided", 27);
	      DEFINE_STRING(BGl_string3685z00zzast_applyz00,
		BgL_bgl_string3685za700za7za7a3699za7, "apply", 5);
	      DEFINE_STRING(BGl_string3687z00zzast_applyz00,
		BgL_bgl_string3687za700za7za7a3700za7, "make-fun-frame3400", 18);
	      DEFINE_STRING(BGl_string3688z00zzast_applyz00,
		BgL_bgl_string3688za700za7za7a3701za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3690z00zzast_applyz00,
		BgL_bgl_string3690za700za7za7a3702za7, "make-fun-frame", 14);
	      DEFINE_STRING(BGl_string3692z00zzast_applyz00,
		BgL_bgl_string3692za700za7za7a3703za7, "ast_apply", 9);
	      DEFINE_STRING(BGl_string3693z00zzast_applyz00,
		BgL_bgl_string3693za700za7za7a3704za7,
		"aux make-fun-frame3400 begin set! car if failure quote null? cdr write runner value apply ",
		90);
	      DEFINE_STATIC_BGL_GENERIC(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d23705za7,
		BGl_z62makezd2funzd2framez62zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3686z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d23706za7,
		BGl_z62makezd2funzd2frame3400z62zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3689z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d23707za7,
		BGl_z62makezd2funzd2framezd2sfun3403zb0zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3691z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d23708za7,
		BGl_z62makezd2funzd2framezd2cfun3405zb0zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applycationzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762applycationza7d3709z00,
		BGl_z62applycationzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long
		BgL_checksumz00_1858, char *BgL_fromz00_1859)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_applyz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_applyz00();
					BGl_cnstzd2initzd2zzast_applyz00();
					BGl_importedzd2moduleszd2initz00zzast_applyz00();
					BGl_genericzd2initzd2zzast_applyz00();
					BGl_methodzd2initzd2zzast_applyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_apply");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			{	/* Ast/apply.scm 14 */
				obj_t BgL_cportz00_1850;

				BgL_cportz00_1850 =
					bgl_open_input_string(BGl_string3693z00zzast_applyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1851;

					BgL_iz00_1851 = ((long) 13);
				BgL_loopz00_1852:
					if ((BgL_iz00_1851 == ((long) -1)))
						{	/* Ast/apply.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/apply.scm 14 */
							{	/* Ast/apply.scm 14 */
								obj_t BgL_arg3695z00_1854;

								{	/* Ast/apply.scm 14 */

									{	/* Ast/apply.scm 14 */
										obj_t BgL_locationz00_1856;

										BgL_locationz00_1856 = BBOOL(((bool_t) 0));
										{	/* Ast/apply.scm 14 */

											BgL_arg3695z00_1854 =
												BGl_readz00zz__readerz00(BgL_cportz00_1850,
												BgL_locationz00_1856);
										}
									}
								}
								{	/* Ast/apply.scm 14 */
									int BgL_auxz00_1879;

									BgL_auxz00_1879 = (int) (BgL_iz00_1851);
									CNST_TABLE_SET(BgL_auxz00_1879, BgL_arg3695z00_1854);
							}}
							{	/* Ast/apply.scm 14 */
								int BgL_auxz00_1857;

								BgL_auxz00_1857 = (int) ((BgL_iz00_1851 - ((long) 1)));
								{
									long BgL_iz00_1884;

									BgL_iz00_1884 = (long) (BgL_auxz00_1857);
									BgL_iz00_1851 = BgL_iz00_1884;
									goto BgL_loopz00_1852;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}
	}



/* applycation->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_3,
		obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			{
				obj_t BgL_procz00_848;
				obj_t BgL_argz00_849;

				if (PAIRP(BgL_expz00_3))
					{	/* Ast/apply.scm 32 */
						obj_t BgL_cdrzd21397zd2_854;

						BgL_cdrzd21397zd2_854 = CDR(BgL_expz00_3);
						if ((CAR(BgL_expz00_3) == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/apply.scm 32 */
								if (PAIRP(BgL_cdrzd21397zd2_854))
									{	/* Ast/apply.scm 32 */
										obj_t BgL_cdrzd21401zd2_857;

										BgL_cdrzd21401zd2_857 = CDR(BgL_cdrzd21397zd2_854);
										if (PAIRP(BgL_cdrzd21401zd2_857))
											{	/* Ast/apply.scm 32 */
												if (NULLP(CDR(BgL_cdrzd21401zd2_857)))
													{	/* Ast/apply.scm 32 */
														BgL_procz00_848 = CAR(BgL_cdrzd21397zd2_854);
														BgL_argz00_849 = CAR(BgL_cdrzd21401zd2_857);
														{	/* Ast/apply.scm 34 */
															obj_t BgL_locz00_864;

															BgL_locz00_864 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_3, BgL_locz00_5);
															{	/* Ast/apply.scm 34 */
																BgL_nodez00_bglt BgL_procz00_865;

																{	/* Ast/apply.scm 37 */
																	obj_t BgL_arg3430z00_881;

																	BgL_arg3430z00_881 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_procz00_848, BgL_locz00_864);
																	BgL_procz00_865 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_procz00_848, BgL_stackz00_4,
																		BgL_arg3430z00_881,
																		CNST_TABLE_REF(((long) 0)));
																}
																{	/* Ast/apply.scm 35 */
																	BgL_nodez00_bglt BgL_argz00_866;

																	{	/* Ast/apply.scm 41 */
																		obj_t BgL_arg3429z00_880;

																		BgL_arg3429z00_880 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_argz00_849, BgL_locz00_864);
																		BgL_argz00_866 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_argz00_849, BgL_stackz00_4,
																			BgL_arg3429z00_880,
																			CNST_TABLE_REF(((long) 1)));
																	}
																	{	/* Ast/apply.scm 39 */

																		{	/* Ast/apply.scm 43 */
																			bool_t BgL_testz00_1908;

																			{	/* Ast/apply.scm 43 */
																				bool_t BgL_testz00_1909;

																				{	/* Ast/apply.scm 43 */
																					bool_t BgL_res3640z00_1498;

																					{	/* Ast/apply.scm 43 */
																						obj_t BgL_obj2216z00_1497;

																						BgL_obj2216z00_1497 =
																							((obj_t) BgL_procz00_865);
																						BgL_res3640z00_1498 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_obj2216z00_1497,
																							BGl_varz00zzast_nodez00);
																					}
																					BgL_testz00_1909 =
																						BgL_res3640z00_1498;
																				}
																				if (BgL_testz00_1909)
																					{	/* Ast/apply.scm 44 */
																						bool_t BgL_testz00_1912;

																						{	/* Ast/apply.scm 44 */
																							BgL_valuez00_bglt
																								BgL_arg3427z00_878;
																							{	/* Ast/apply.scm 44 */
																								BgL_variablez00_bglt
																									BgL_obj1612z00_1500;
																								{	/* Ast/apply.scm 44 */
																									BgL_varz00_bglt
																										BgL_obj2201z00_1499;
																									BgL_obj2201z00_1499 =
																										((BgL_varz00_bglt)
																										BgL_procz00_865);
																									BgL_obj1612z00_1500 =
																										(((BgL_varz00_bglt)
																											CREF(((obj_t)
																													BgL_obj2201z00_1499)))->
																										BgL_variablez00);
																								}
																								BgL_arg3427z00_878 =
																									(((BgL_variablez00_bglt) CREF(
																											((obj_t)
																												BgL_obj1612z00_1500)))->
																									BgL_valuez00);
																							}
																							{	/* Ast/apply.scm 44 */
																								bool_t BgL_res3641z00_1502;

																								{	/* Ast/apply.scm 44 */
																									obj_t BgL_obj1897z00_1501;

																									BgL_obj1897z00_1501 =
																										((obj_t)
																										BgL_arg3427z00_878);
																									BgL_res3641z00_1502 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj1897z00_1501,
																										BGl_funz00zzast_varz00);
																								}
																								BgL_testz00_1912 =
																									BgL_res3641z00_1502;
																							}
																						}
																						if (BgL_testz00_1912)
																							{	/* Ast/apply.scm 45 */
																								bool_t BgL__ortest_3366z00_870;

																								{	/* Ast/apply.scm 45 */
																									bool_t BgL_testz00_1920;

																									{	/* Ast/apply.scm 45 */
																										BgL_variablez00_bglt
																											BgL_arg3426z00_877;
																										{	/* Ast/apply.scm 45 */
																											BgL_varz00_bglt
																												BgL_obj2201z00_1503;
																											BgL_obj2201z00_1503 =
																												((BgL_varz00_bglt)
																												BgL_procz00_865);
																											BgL_arg3426z00_877 =
																												(((BgL_varz00_bglt)
																													CREF(((obj_t)
																															BgL_obj2201z00_1503)))->
																												BgL_variablez00);
																										}
																										{	/* Ast/apply.scm 45 */
																											bool_t
																												BgL_res3642z00_1505;
																											{	/* Ast/apply.scm 45 */
																												obj_t
																													BgL_obj1786z00_1504;
																												BgL_obj1786z00_1504 =
																													((obj_t)
																													BgL_arg3426z00_877);
																												BgL_res3642z00_1505 =
																													BGl_iszd2azf3z21zz__objectz00
																													(BgL_obj1786z00_1504,
																													BGl_globalz00zzast_varz00);
																											}
																											BgL_testz00_1920 =
																												BgL_res3642z00_1505;
																										}
																									}
																									if (BgL_testz00_1920)
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_3366z00_870 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_3366z00_870 =
																												((bool_t) 1);
																										}
																								}
																								if (BgL__ortest_3366z00_870)
																									{	/* Ast/apply.scm 45 */
																										BgL_testz00_1908 =
																											BgL__ortest_3366z00_870;
																									}
																								else
																									{	/* Ast/apply.scm 46 */
																										bool_t BgL_testz00_1927;

																										{	/* Ast/apply.scm 46 */
																											bool_t BgL_testz00_1928;

																											{	/* Ast/apply.scm 46 */
																												BgL_variablez00_bglt
																													BgL_arg3424z00_875;
																												{	/* Ast/apply.scm 46 */
																													BgL_varz00_bglt
																														BgL_obj2201z00_1506;
																													BgL_obj2201z00_1506 =
																														((BgL_varz00_bglt)
																														BgL_procz00_865);
																													BgL_arg3424z00_875 =
																														(((BgL_varz00_bglt)
																															CREF(((obj_t)
																																	BgL_obj2201z00_1506)))->
																														BgL_variablez00);
																												}
																												BgL_testz00_1928 =
																													BGl_globalzd2optionalzf3z21zzast_varz00
																													(((obj_t)
																														BgL_arg3424z00_875));
																											}
																											if (BgL_testz00_1928)
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_1927 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_1927 =
																														((bool_t) 1);
																												}
																										}
																										if (BgL_testz00_1927)
																											{	/* Ast/apply.scm 47 */
																												bool_t BgL_testz00_1934;

																												{	/* Ast/apply.scm 47 */
																													BgL_variablez00_bglt
																														BgL_arg3422z00_873;
																													{	/* Ast/apply.scm 47 */
																														BgL_varz00_bglt
																															BgL_obj2201z00_1507;
																														BgL_obj2201z00_1507
																															=
																															((BgL_varz00_bglt)
																															BgL_procz00_865);
																														BgL_arg3422z00_873 =
																															(((BgL_varz00_bglt) CREF(((obj_t) BgL_obj2201z00_1507)))->BgL_variablez00);
																													}
																													BgL_testz00_1934 =
																														BGl_globalzd2keyzf3z21zzast_varz00
																														(((obj_t)
																															BgL_arg3422z00_873));
																												}
																												if (BgL_testz00_1934)
																													{	/* Ast/apply.scm 47 */
																														BgL_testz00_1908 =
																															((bool_t) 0);
																													}
																												else
																													{	/* Ast/apply.scm 47 */
																														BgL_testz00_1908 =
																															((bool_t) 1);
																													}
																											}
																										else
																											{	/* Ast/apply.scm 46 */
																												BgL_testz00_1908 =
																													((bool_t) 0);
																											}
																									}
																							}
																						else
																							{	/* Ast/apply.scm 44 */
																								BgL_testz00_1908 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Ast/apply.scm 43 */
																						BgL_testz00_1908 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_1908)
																				{	/* Ast/apply.scm 43 */
																					return
																						BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
																						(BgL_stackz00_4, BgL_locz00_864,
																						BgL_procz00_865, BgL_argz00_866,
																						BgL_sitez00_6);
																				}
																			else
																				{	/* Ast/apply.scm 49 */
																					BgL_appzd2lyzd2_bglt BgL_xz00_1734;

																					{	/* Ast/apply.scm 49 */
																						BgL_typez00_bglt BgL_auxz00_1941;

																						{	/* Ast/apply.scm 49 */
																							obj_t BgL_xz00_1733;

																							BgL_xz00_1733 =
																								BGl_za2_za2z00zztype_cachez00;
																							BgL_auxz00_1941 =
																								((BgL_typez00_bglt)
																								BgL_xz00_1733);
																						}
																						BgL_xz00_1734 =
																							BGl_makezd2appzd2lyz00zzast_nodez00
																							(BgL_locz00_864, BgL_auxz00_1941,
																							BgL_procz00_865, BgL_argz00_866);
																					}
																					return
																						((BgL_nodez00_bglt) BgL_xz00_1734);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/apply.scm 32 */
													BgL_tagzd21390zd2_851:
														return
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string3683z00zzast_applyz00, BgL_expz00_3,
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_3, BgL_locz00_5));
													}
											}
										else
											{	/* Ast/apply.scm 32 */
												goto BgL_tagzd21390zd2_851;
											}
									}
								else
									{	/* Ast/apply.scm 32 */
										goto BgL_tagzd21390zd2_851;
									}
							}
						else
							{	/* Ast/apply.scm 32 */
								goto BgL_tagzd21390zd2_851;
							}
					}
				else
					{	/* Ast/apply.scm 32 */
						goto BgL_tagzd21390zd2_851;
					}
			}
		}
	}



/* &applycation->node */
	BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_1682, obj_t BgL_expz00_1683, obj_t BgL_stackz00_1684,
		obj_t BgL_locz00_1685, obj_t BgL_sitez00_1686)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			return
				BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_1683,
				BgL_stackz00_1684, BgL_locz00_1685, BgL_sitez00_1686);
		}
	}



/* known-app-ly->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_10,
		obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_procz00_12,
		BgL_nodez00_bglt BgL_argz00_13, obj_t BgL_sitez00_14)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 107 */
			{	/* Ast/apply.scm 108 */
				BgL_valuez00_bglt BgL_funz00_883;

				{	/* Ast/apply.scm 108 */
					BgL_variablez00_bglt BgL_obj1612z00_1523;

					{	/* Ast/apply.scm 108 */
						BgL_varz00_bglt BgL_obj2201z00_1522;

						BgL_obj2201z00_1522 = ((BgL_varz00_bglt) BgL_procz00_12);
						BgL_obj1612z00_1523 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2201z00_1522)))->BgL_variablez00);
					}
					BgL_funz00_883 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1523)))->BgL_valuez00);
				}
				{	/* Ast/apply.scm 108 */
					long BgL_arityz00_884;

					{	/* Ast/apply.scm 109 */
						BgL_funz00_bglt BgL_obj1854z00_1524;

						BgL_obj1854z00_1524 = ((BgL_funz00_bglt) BgL_funz00_883);
						BgL_arityz00_884 =
							(((BgL_funz00_bglt) CREF(
									((obj_t) BgL_obj1854z00_1524)))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 109 */
						obj_t BgL_framez00_885;

						BgL_framez00_885 =
							BGl_makezd2funzd2framez00zzast_applyz00(
							((BgL_funz00_bglt) BgL_funz00_883));
						{	/* Ast/apply.scm 110 */

							if ((BgL_arityz00_884 > ((long) 0)))
								{	/* Ast/apply.scm 116 */
									BgL_letzd2varzd2_bglt BgL_xz00_1741;

									BgL_xz00_1741 =
										BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
										(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
										BgL_argz00_13, BgL_framez00_885, BgL_sitez00_14);
									return ((BgL_nodez00_bglt) BgL_xz00_1741);
								}
							else
								{	/* Ast/apply.scm 115 */
									if ((BgL_arityz00_884 == ((long) 0)))
										{	/* Ast/apply.scm 118 */
											obj_t BgL_arg3435z00_1537;

											{	/* Ast/apply.scm 118 */
												obj_t BgL_list3436z00_1538;

												BgL_list3436z00_1538 =
													MAKE_PAIR(((obj_t) BgL_procz00_12), BNIL);
												BgL_arg3435z00_1537 = BgL_list3436z00_1538;
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3435z00_1537,
												BgL_stackz00_10, BgL_locz00_11, BgL_sitez00_14);
										}
									else
										{	/* Ast/apply.scm 120 */
											BgL_letzd2varzd2_bglt BgL_xz00_1743;

											BgL_xz00_1743 =
												BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
												(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
												BgL_argz00_13, BgL_framez00_885, BgL_sitez00_14);
											return ((BgL_nodez00_bglt) BgL_xz00_1743);
										}
								}
						}
					}
				}
			}
		}
	}



/* &known-app-ly->node */
	BgL_nodez00_bglt BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_1687, obj_t BgL_stackz00_1688, obj_t BgL_locz00_1689,
		obj_t BgL_procz00_1690, obj_t BgL_argz00_1691, obj_t BgL_sitez00_1692)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 107 */
			return
				BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_1688,
				BgL_locz00_1689, ((BgL_nodez00_bglt) BgL_procz00_1690),
				((BgL_nodez00_bglt) BgL_argz00_1691), BgL_sitez00_1692);
		}
	}



/* fx-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_21,
		obj_t BgL_locz00_22, BgL_nodez00_bglt BgL_procz00_23,
		BgL_nodez00_bglt BgL_argz00_24, obj_t BgL_framez00_25, obj_t BgL_sitez00_26)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 147 */
			{	/* Ast/apply.scm 148 */
				BgL_localz00_bglt BgL_runnerz00_891;
				BgL_typez00_bglt BgL_typez00_892;

				{	/* Ast/apply.scm 148 */
					obj_t BgL_arg3506z00_972;

					BgL_arg3506z00_972 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
					{	/* Ast/apply.scm 148 */
						BgL_typez00_bglt BgL_auxz00_1977;

						{	/* Ast/apply.scm 149 */
							obj_t BgL_xz00_1746;

							BgL_xz00_1746 = BGl_za2_za2z00zztype_cachez00;
							BgL_auxz00_1977 = ((BgL_typez00_bglt) BgL_xz00_1746);
						}
						BgL_runnerz00_891 =
							BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3506z00_972,
							BgL_auxz00_1977);
				}}
				BgL_typez00_892 =
					(((BgL_nodez00_bglt) CREF(((obj_t) BgL_procz00_23)))->BgL_typez00);
				{	/* Ast/apply.scm 151 */
					BgL_variablez00_bglt BgL_obj1617z00_1546;
					obj_t BgL_val1616z00_1547;

					BgL_obj1617z00_1546 = ((BgL_variablez00_bglt) BgL_runnerz00_891);
					BgL_val1616z00_1547 = CNST_TABLE_REF(((long) 3));
					((((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1617z00_1546)))->BgL_accessz00) =
						((obj_t) BgL_val1616z00_1547), BUNSPEC);
				}
				{	/* Ast/apply.scm 154 */
					BgL_typez00_bglt BgL_arg3437z00_893;
					obj_t BgL_arg3438z00_894;
					BgL_nodez00_bglt BgL_arg3439z00_895;

					{	/* Ast/apply.scm 154 */
						BgL_typez00_bglt BgL_auxz00_1986;

						{	/* Ast/apply.scm 154 */
							obj_t BgL_xz00_1750;

							BgL_xz00_1750 = BGl_za2_za2z00zztype_cachez00;
							BgL_auxz00_1986 = ((BgL_typez00_bglt) BgL_xz00_1750);
						}
						BgL_arg3437z00_893 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_1986,
							BgL_typez00_892);
					}
					{	/* Ast/apply.scm 155 */
						obj_t BgL_arg3440z00_896;

						BgL_arg3440z00_896 =
							MAKE_PAIR(((obj_t) BgL_runnerz00_891), ((obj_t) BgL_argz00_24));
						{	/* Ast/apply.scm 155 */
							obj_t BgL_list3441z00_897;

							BgL_list3441z00_897 = MAKE_PAIR(BgL_arg3440z00_896, BNIL);
							BgL_arg3438z00_894 = BgL_list3441z00_897;
					}}
					BgL_arg3439z00_895 =
						BGl_loopz72z72zzast_applyz00(BgL_sitez00_26, BgL_procz00_23,
						BgL_framez00_25, BgL_stackz00_21, BgL_locz00_22, BgL_runnerz00_891,
						BgL_typez00_892, BgL_framez00_25);
					return BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_22,
						BgL_arg3437z00_893, BUNSPEC, BINT(((long) -1)), BgL_arg3438z00_894,
						BgL_arg3439z00_895, ((bool_t) 1));
		}}}
	}



/* loop' */
	BgL_nodez00_bglt BGl_loopz72z72zzast_applyz00(obj_t BgL_sitez00_1718,
		BgL_nodez00_bglt BgL_procz00_1717, obj_t BgL_framez00_1716,
		obj_t BgL_stackz00_1715, obj_t BgL_locz00_1714,
		BgL_localz00_bglt BgL_runnerz00_1713, BgL_typez00_bglt BgL_typez00_1712,
		obj_t BgL_localsz00_899)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 156 */
			if (NULLP(BgL_localsz00_899))
				{	/* Ast/apply.scm 158 */
					BgL_nodez00_bglt BgL_appz00_902;

					{	/* Ast/apply.scm 160 */
						obj_t BgL_arg3465z00_922;

						{	/* Ast/apply.scm 160 */
							obj_t BgL_arg3466z00_923;

							{	/* Ast/apply.scm 160 */
								obj_t BgL_arg3467z00_924;

								if (NULLP(BgL_framez00_1716))
									{	/* Ast/apply.scm 160 */
										BgL_arg3467z00_924 = BNIL;
									}
								else
									{	/* Ast/apply.scm 160 */
										obj_t BgL_head3392z00_927;

										{	/* Ast/apply.scm 160 */
											obj_t BgL_res3654z00_1556;

											BgL_res3654z00_1556 = MAKE_PAIR(BNIL, BNIL);
											BgL_head3392z00_927 = BgL_res3654z00_1556;
										}
										{
											obj_t BgL_l3390z00_929;
											obj_t BgL_tail3393z00_930;

											BgL_l3390z00_929 = BgL_framez00_1716;
											BgL_tail3393z00_930 = BgL_head3392z00_927;
										BgL_zc3anonymousza33469ze3z83_931:
											if (NULLP(BgL_l3390z00_929))
												{	/* Ast/apply.scm 160 */
													BgL_arg3467z00_924 = CDR(BgL_head3392z00_927);
												}
											else
												{	/* Ast/apply.scm 160 */
													obj_t BgL_newtail3394z00_933;

													{	/* Ast/apply.scm 160 */
														BgL_varz00_bglt BgL_arg3472z00_935;

														{	/* Ast/apply.scm 160 */
															obj_t BgL_localz00_936;

															BgL_localz00_936 = CAR(BgL_l3390z00_929);
															{	/* Ast/apply.scm 163 */
																BgL_typez00_bglt BgL_arg3473z00_937;

																{	/* Ast/apply.scm 163 */
																	BgL_typez00_bglt BgL_arg3474z00_938;

																	{	/* Ast/apply.scm 163 */
																		BgL_variablez00_bglt BgL_obj1609z00_1561;

																		BgL_obj1609z00_1561 =
																			((BgL_variablez00_bglt) BgL_localz00_936);
																		BgL_arg3474z00_938 =
																			(((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_obj1609z00_1561)))->
																			BgL_typez00);
																	}
																	{	/* Ast/apply.scm 163 */
																		BgL_typez00_bglt BgL_auxz00_2008;

																		{	/* Ast/apply.scm 163 */
																			obj_t BgL_xz00_1755;

																			BgL_xz00_1755 =
																				BGl_za2_za2z00zztype_cachez00;
																			BgL_auxz00_2008 =
																				((BgL_typez00_bglt) BgL_xz00_1755);
																		}
																		BgL_arg3473z00_937 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00
																			(BgL_auxz00_2008, BgL_arg3474z00_938);
																	}
																}
																BgL_arg3472z00_935 =
																	BGl_makezd2varzd2zzast_nodez00
																	(BgL_locz00_1714, BgL_arg3473z00_937,
																	((BgL_variablez00_bglt) BgL_localz00_936));
															}
														}
														{	/* Ast/apply.scm 160 */
															obj_t BgL_res3656z00_1564;

															{	/* Ast/apply.scm 160 */
																obj_t BgL_obj1z00_1562;

																BgL_obj1z00_1562 = ((obj_t) BgL_arg3472z00_935);
																BgL_res3656z00_1564 =
																	MAKE_PAIR(BgL_obj1z00_1562, BNIL);
															}
															BgL_newtail3394z00_933 = BgL_res3656z00_1564;
														}
													}
													SET_CDR(BgL_tail3393z00_930, BgL_newtail3394z00_933);
													{
														obj_t BgL_tail3393z00_2018;
														obj_t BgL_l3390z00_2016;

														BgL_l3390z00_2016 = CDR(BgL_l3390z00_929);
														BgL_tail3393z00_2018 = BgL_newtail3394z00_933;
														BgL_tail3393z00_930 = BgL_tail3393z00_2018;
														BgL_l3390z00_929 = BgL_l3390z00_2016;
														goto BgL_zc3anonymousza33469ze3z83_931;
													}
												}
										}
									}
								BgL_arg3466z00_923 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3467z00_924, BNIL);
							}
							BgL_arg3465z00_922 =
								MAKE_PAIR(((obj_t) BgL_procz00_1717), BgL_arg3466z00_923);
						}
						BgL_appz00_902 =
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg3465z00_922,
							BgL_stackz00_1715, BgL_locz00_1714, CNST_TABLE_REF(((long) 1)));
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Ast/apply.scm 169 */
							return BgL_appz00_902;
						}
					else
						{	/* Ast/apply.scm 175 */
							obj_t BgL_arg3444z00_903;

							{	/* Ast/apply.scm 175 */
								obj_t BgL_arg3445z00_904;

								{	/* Ast/apply.scm 175 */
									obj_t BgL_arg3446z00_905;
									obj_t BgL_arg3449z00_906;

									{	/* Ast/apply.scm 175 */
										obj_t BgL_arg3450z00_907;

										{	/* Ast/apply.scm 175 */
											obj_t BgL_arg3451z00_908;

											{	/* Ast/apply.scm 175 */
												obj_t BgL_arg3452z00_909;

												{	/* Ast/apply.scm 175 */
													BgL_varz00_bglt BgL_arg3453z00_910;

													{	/* Ast/apply.scm 175 */
														BgL_typez00_bglt BgL_arg3454z00_911;

														{	/* Ast/apply.scm 175 */
															BgL_typez00_bglt BgL_arg3455z00_912;

															{	/* Ast/apply.scm 175 */
																BgL_variablez00_bglt BgL_obj1609z00_1568;

																BgL_obj1609z00_1568 =
																	((BgL_variablez00_bglt) BgL_runnerz00_1713);
																BgL_arg3455z00_912 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1609z00_1568)))->
																	BgL_typez00);
															}
															{	/* Ast/apply.scm 175 */
																BgL_typez00_bglt BgL_auxz00_2029;

																{	/* Ast/apply.scm 175 */
																	obj_t BgL_xz00_1761;

																	BgL_xz00_1761 = BGl_za2_za2z00zztype_cachez00;
																	BgL_auxz00_2029 =
																		((BgL_typez00_bglt) BgL_xz00_1761);
																}
																BgL_arg3454z00_911 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00
																	(BgL_auxz00_2029, BgL_arg3455z00_912);
															}
														}
														BgL_arg3453z00_910 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1714,
															BgL_arg3454z00_911,
															((BgL_variablez00_bglt) BgL_runnerz00_1713));
													}
													BgL_arg3452z00_909 =
														MAKE_PAIR(((obj_t) BgL_arg3453z00_910), BNIL);
												}
												BgL_arg3451z00_908 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
													BgL_arg3452z00_909);
											}
											BgL_arg3450z00_907 = MAKE_PAIR(BgL_arg3451z00_908, BNIL);
										}
										BgL_arg3446z00_905 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BgL_arg3450z00_907);
									}
									{	/* Ast/apply.scm 180 */
										obj_t BgL_arg3456z00_913;

										{	/* Ast/apply.scm 180 */
											obj_t BgL_arg3457z00_914;

											{	/* Ast/apply.scm 180 */
												obj_t BgL_arg3458z00_915;

												{	/* Ast/apply.scm 180 */
													obj_t BgL_arg3459z00_916;

													{	/* Ast/apply.scm 180 */
														obj_t BgL_arg3460z00_917;

														{	/* Ast/apply.scm 180 */
															obj_t BgL_arg3461z00_918;

															{	/* Ast/apply.scm 180 */
																obj_t BgL_arg3462z00_919;

																{	/* Ast/apply.scm 180 */
																	obj_t BgL_arg3463z00_920;

																	{	/* Ast/apply.scm 180 */
																		BgL_variablez00_bglt BgL_arg3464z00_921;

																		{	/* Ast/apply.scm 180 */
																			BgL_varz00_bglt BgL_obj2201z00_1569;

																			BgL_obj2201z00_1569 =
																				((BgL_varz00_bglt) BgL_procz00_1717);
																			BgL_arg3464z00_921 =
																				(((BgL_varz00_bglt) CREF(
																						((obj_t) BgL_obj2201z00_1569)))->
																				BgL_variablez00);
																		}
																		BgL_arg3463z00_920 =
																			BGl_shapez00zztools_shapez00(
																			((obj_t) BgL_arg3464z00_921));
																	}
																	BgL_arg3462z00_919 =
																		MAKE_PAIR(BgL_arg3463z00_920, BNIL);
																}
																BgL_arg3461z00_918 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg3462z00_919);
															}
															BgL_arg3460z00_917 =
																MAKE_PAIR(BgL_arg3461z00_918, BNIL);
														}
														BgL_arg3459z00_916 =
															MAKE_PAIR(BGl_string3684z00zzast_applyz00,
															BgL_arg3460z00_917);
													}
													BgL_arg3458z00_915 =
														MAKE_PAIR(BGl_string3685z00zzast_applyz00,
														BgL_arg3459z00_916);
												}
												BgL_arg3457z00_914 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
													BgL_arg3458z00_915);
											}
											BgL_arg3456z00_913 = MAKE_PAIR(BgL_arg3457z00_914, BNIL);
										}
										BgL_arg3449z00_906 =
											MAKE_PAIR(((obj_t) BgL_appz00_902), BgL_arg3456z00_913);
									}
									BgL_arg3445z00_904 =
										MAKE_PAIR(BgL_arg3446z00_905, BgL_arg3449z00_906);
								}
								BgL_arg3444z00_903 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg3445z00_904);
							}
							return
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3444z00_903,
								BgL_stackz00_1715, BgL_locz00_1714, BgL_sitez00_1718);
						}
				}
			else
				{	/* Ast/apply.scm 186 */
					BgL_typez00_bglt BgL_arg3475z00_940;
					obj_t BgL_arg3476z00_941;
					BgL_nodez00_bglt BgL_arg3477z00_942;

					{	/* Ast/apply.scm 186 */
						BgL_typez00_bglt BgL_auxz00_2061;

						{	/* Ast/apply.scm 186 */
							obj_t BgL_xz00_1768;

							BgL_xz00_1768 = BGl_za2_za2z00zztype_cachez00;
							BgL_auxz00_2061 = ((BgL_typez00_bglt) BgL_xz00_1768);
						}
						BgL_arg3475z00_940 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_2061,
							BgL_typez00_1712);
					}
					{	/* Ast/apply.scm 188 */
						obj_t BgL_arg3478z00_943;

						{	/* Ast/apply.scm 188 */
							obj_t BgL_arg3480z00_945;
							BgL_nodez00_bglt BgL_arg3481z00_946;

							BgL_arg3480z00_945 = CAR(BgL_localsz00_899);
							{	/* Ast/apply.scm 193 */
								obj_t BgL_arg3482z00_947;

								{	/* Ast/apply.scm 193 */
									obj_t BgL_arg3483z00_948;

									{	/* Ast/apply.scm 193 */
										BgL_varz00_bglt BgL_arg3484z00_949;

										{	/* Ast/apply.scm 193 */
											BgL_typez00_bglt BgL_arg3485z00_950;

											{	/* Ast/apply.scm 193 */
												BgL_typez00_bglt BgL_arg3486z00_951;

												{	/* Ast/apply.scm 193 */
													BgL_variablez00_bglt BgL_obj1609z00_1571;

													BgL_obj1609z00_1571 =
														((BgL_variablez00_bglt) BgL_runnerz00_1713);
													BgL_arg3486z00_951 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1609z00_1571)))->BgL_typez00);
												}
												{	/* Ast/apply.scm 193 */
													BgL_typez00_bglt BgL_auxz00_2068;

													{	/* Ast/apply.scm 193 */
														obj_t BgL_xz00_1771;

														BgL_xz00_1771 = BGl_za2_za2z00zztype_cachez00;
														BgL_auxz00_2068 =
															((BgL_typez00_bglt) BgL_xz00_1771);
													}
													BgL_arg3485z00_950 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_auxz00_2068, BgL_arg3486z00_951);
												}
											}
											BgL_arg3484z00_949 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1714,
												BgL_arg3485z00_950,
												((BgL_variablez00_bglt) BgL_runnerz00_1713));
										}
										BgL_arg3483z00_948 =
											MAKE_PAIR(((obj_t) BgL_arg3484z00_949), BNIL);
									}
									BgL_arg3482z00_947 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BgL_arg3483z00_948);
								}
								BgL_arg3481z00_946 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3482z00_947,
									BgL_stackz00_1715, BgL_locz00_1714,
									CNST_TABLE_REF(((long) 1)));
							}
							BgL_arg3478z00_943 =
								MAKE_PAIR(BgL_arg3480z00_945, ((obj_t) BgL_arg3481z00_946));
						}
						{	/* Ast/apply.scm 187 */
							obj_t BgL_list3479z00_944;

							BgL_list3479z00_944 = MAKE_PAIR(BgL_arg3478z00_943, BNIL);
							BgL_arg3476z00_941 = BgL_list3479z00_944;
					}}
					if (NULLP(CDR(BgL_localsz00_899)))
						{	/* Ast/apply.scm 198 */
							BgL_arg3477z00_942 =
								BGl_loopz72z72zzast_applyz00(BgL_sitez00_1718, BgL_procz00_1717,
								BgL_framez00_1716, BgL_stackz00_1715, BgL_locz00_1714,
								BgL_runnerz00_1713, BgL_typez00_1712, CDR(BgL_localsz00_899));
						}
					else
						{	/* Ast/apply.scm 204 */
							obj_t BgL_arg3489z00_954;

							{	/* Ast/apply.scm 204 */
								obj_t BgL_arg3490z00_955;

								{	/* Ast/apply.scm 204 */
									obj_t BgL_arg3491z00_956;
									obj_t BgL_arg3492z00_957;

									{	/* Ast/apply.scm 204 */
										obj_t BgL_arg3493z00_958;

										{	/* Ast/apply.scm 204 */
											BgL_varz00_bglt BgL_arg3494z00_959;
											obj_t BgL_arg3495z00_960;

											{	/* Ast/apply.scm 204 */
												BgL_typez00_bglt BgL_arg3496z00_961;

												{	/* Ast/apply.scm 204 */
													BgL_typez00_bglt BgL_arg3497z00_962;

													{	/* Ast/apply.scm 204 */
														BgL_variablez00_bglt BgL_obj1609z00_1578;

														BgL_obj1609z00_1578 =
															((BgL_variablez00_bglt) BgL_runnerz00_1713);
														BgL_arg3497z00_962 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1609z00_1578)))->BgL_typez00);
													}
													{	/* Ast/apply.scm 204 */
														BgL_typez00_bglt BgL_auxz00_2090;

														{	/* Ast/apply.scm 204 */
															obj_t BgL_xz00_1777;

															BgL_xz00_1777 = BGl_za2_za2z00zztype_cachez00;
															BgL_auxz00_2090 =
																((BgL_typez00_bglt) BgL_xz00_1777);
														}
														BgL_arg3496z00_961 =
															BGl_strictzd2nodezd2typez00zzast_nodez00
															(BgL_auxz00_2090, BgL_arg3497z00_962);
													}
												}
												BgL_arg3494z00_959 =
													BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1714,
													BgL_arg3496z00_961,
													((BgL_variablez00_bglt) BgL_runnerz00_1713));
											}
											{	/* Ast/apply.scm 209 */
												obj_t BgL_arg3498z00_963;

												{	/* Ast/apply.scm 209 */
													obj_t BgL_arg3499z00_964;

													{	/* Ast/apply.scm 209 */
														BgL_varz00_bglt BgL_arg3500z00_965;

														{	/* Ast/apply.scm 209 */
															BgL_typez00_bglt BgL_arg3501z00_966;

															{	/* Ast/apply.scm 209 */
																BgL_typez00_bglt BgL_arg3502z00_967;

																{	/* Ast/apply.scm 209 */
																	BgL_variablez00_bglt BgL_obj1609z00_1579;

																	BgL_obj1609z00_1579 =
																		((BgL_variablez00_bglt) BgL_runnerz00_1713);
																	BgL_arg3502z00_967 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1609z00_1579)))->
																		BgL_typez00);
																}
																{	/* Ast/apply.scm 209 */
																	BgL_typez00_bglt BgL_auxz00_2098;

																	{	/* Ast/apply.scm 209 */
																		obj_t BgL_xz00_1781;

																		BgL_xz00_1781 =
																			BGl_za2_za2z00zztype_cachez00;
																		BgL_auxz00_2098 =
																			((BgL_typez00_bglt) BgL_xz00_1781);
																	}
																	BgL_arg3501z00_966 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_auxz00_2098, BgL_arg3502z00_967);
																}
															}
															BgL_arg3500z00_965 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1714,
																BgL_arg3501z00_966,
																((BgL_variablez00_bglt) BgL_runnerz00_1713));
														}
														BgL_arg3499z00_964 =
															MAKE_PAIR(((obj_t) BgL_arg3500z00_965), BNIL);
													}
													BgL_arg3498z00_963 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
														BgL_arg3499z00_964);
												}
												BgL_arg3495z00_960 =
													MAKE_PAIR(BgL_arg3498z00_963, BNIL);
											}
											BgL_arg3493z00_958 =
												MAKE_PAIR(
												((obj_t) BgL_arg3494z00_959), BgL_arg3495z00_960);
										}
										BgL_arg3491z00_956 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
											BgL_arg3493z00_958);
									}
									{	/* Ast/apply.scm 211 */
										BgL_nodez00_bglt BgL_arg3503z00_968;

										BgL_arg3503z00_968 =
											BGl_loopz72z72zzast_applyz00(BgL_sitez00_1718,
											BgL_procz00_1717, BgL_framez00_1716, BgL_stackz00_1715,
											BgL_locz00_1714, BgL_runnerz00_1713, BgL_typez00_1712,
											CDR(BgL_localsz00_899));
										BgL_arg3492z00_957 =
											MAKE_PAIR(((obj_t) BgL_arg3503z00_968), BNIL);
									}
									BgL_arg3490z00_955 =
										MAKE_PAIR(BgL_arg3491z00_956, BgL_arg3492z00_957);
								}
								BgL_arg3489z00_954 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 11)), BgL_arg3490z00_955);
							}
							BgL_arg3477z00_942 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3489z00_954,
								BgL_stackz00_1715, BgL_locz00_1714, CNST_TABLE_REF(((long) 1)));
						}
					{	/* Ast/apply.scm 184 */
						BgL_letzd2varzd2_bglt BgL_xz00_1786;

						BgL_xz00_1786 =
							BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1714,
							BgL_arg3475z00_940, BUNSPEC, BINT(((long) -1)),
							BgL_arg3476z00_941, BgL_arg3477z00_942, ((bool_t) 1));
						return ((BgL_nodez00_bglt) BgL_xz00_1786);
					}
				}
		}
	}



/* va-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_27,
		obj_t BgL_locz00_28, BgL_nodez00_bglt BgL_procz00_29,
		BgL_nodez00_bglt BgL_argz00_30, obj_t BgL_framez00_31, obj_t BgL_sitez00_32)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 232 */
			{	/* Ast/apply.scm 233 */
				obj_t BgL_framez00_1711;

				BgL_framez00_1711 = MAKE_CELL(BgL_framez00_31);
				{	/* Ast/apply.scm 233 */
					BgL_localz00_bglt BgL_runnerz00_974;
					BgL_typez00_bglt BgL_typez00_975;

					{	/* Ast/apply.scm 233 */
						obj_t BgL_arg3562z00_1045;

						BgL_arg3562z00_1045 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
						{	/* Ast/apply.scm 233 */
							BgL_typez00_bglt BgL_auxz00_2127;

							{	/* Ast/apply.scm 233 */
								obj_t BgL_xz00_1787;

								BgL_xz00_1787 = BGl_za2_za2z00zztype_cachez00;
								BgL_auxz00_2127 = ((BgL_typez00_bglt) BgL_xz00_1787);
							}
							BgL_runnerz00_974 =
								BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3562z00_1045,
								BgL_auxz00_2127);
					}}
					{	/* Ast/apply.scm 234 */
						BgL_typez00_bglt BgL_arg3565z00_1047;

						BgL_arg3565z00_1047 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_procz00_29)))->BgL_typez00);
						{	/* Ast/apply.scm 234 */
							BgL_typez00_bglt BgL_auxz00_2132;

							{	/* Ast/apply.scm 234 */
								obj_t BgL_xz00_1789;

								BgL_xz00_1789 = BGl_za2_za2z00zztype_cachez00;
								BgL_auxz00_2132 = ((BgL_typez00_bglt) BgL_xz00_1789);
							}
							BgL_typez00_975 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_2132,
								BgL_arg3565z00_1047);
					}}
					{	/* Ast/apply.scm 235 */
						bool_t BgL_testz00_2135;

						{	/* Ast/apply.scm 235 */
							obj_t BgL_objz00_1582;

							BgL_objz00_1582 = CELL_REF(BgL_framez00_1711);
							BgL_testz00_2135 = PAIRP(BgL_objz00_1582);
						}
						if (BgL_testz00_2135)
							{	/* Ast/apply.scm 236 */
								BgL_variablez00_bglt BgL_obj1617z00_1584;
								obj_t BgL_val1616z00_1585;

								BgL_obj1617z00_1584 =
									((BgL_variablez00_bglt) BgL_runnerz00_974);
								BgL_val1616z00_1585 = CNST_TABLE_REF(((long) 3));
								((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1617z00_1584)))->BgL_accessz00) =
									((obj_t) BgL_val1616z00_1585), BUNSPEC);
							}
						else
							{	/* Ast/apply.scm 235 */
								BFALSE;
							}
					}
					{	/* Ast/apply.scm 239 */
						BgL_typez00_bglt BgL_arg3509z00_977;
						obj_t BgL_arg3510z00_978;
						BgL_nodezf2effectzf2_bglt BgL_arg3511z00_979;

						{	/* Ast/apply.scm 239 */
							BgL_typez00_bglt BgL_auxz00_2141;

							{	/* Ast/apply.scm 239 */
								obj_t BgL_xz00_1792;

								BgL_xz00_1792 = BGl_za2_za2z00zztype_cachez00;
								BgL_auxz00_2141 = ((BgL_typez00_bglt) BgL_xz00_1792);
							}
							BgL_arg3509z00_977 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_2141,
								BgL_typez00_975);
						}
						{	/* Ast/apply.scm 240 */
							obj_t BgL_arg3512z00_980;

							BgL_arg3512z00_980 =
								MAKE_PAIR(((obj_t) BgL_runnerz00_974), ((obj_t) BgL_argz00_30));
							{	/* Ast/apply.scm 240 */
								obj_t BgL_list3513z00_981;

								BgL_list3513z00_981 = MAKE_PAIR(BgL_arg3512z00_980, BNIL);
								BgL_arg3510z00_978 = BgL_list3513z00_981;
							}
						}
						BgL_arg3511z00_979 =
							BGl_loopz00zzast_applyz00(BgL_procz00_29, BgL_framez00_1711,
							BgL_stackz00_27, BgL_locz00_28, BgL_runnerz00_974,
							BgL_typez00_975, CELL_REF(BgL_framez00_1711), BNIL);
						return BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_28,
							BgL_arg3509z00_977, BUNSPEC, BINT(((long) -1)),
							BgL_arg3510z00_978, ((BgL_nodez00_bglt) BgL_arg3511z00_979),
							((bool_t) 1));
		}}}}
	}



/* loop */
	BgL_nodezf2effectzf2_bglt BGl_loopz00zzast_applyz00(BgL_nodez00_bglt
		BgL_procz00_1709, obj_t BgL_framez00_1708, obj_t BgL_stackz00_1707,
		obj_t BgL_locz00_1706, BgL_localz00_bglt BgL_runnerz00_1705,
		BgL_typez00_bglt BgL_typez00_1704, obj_t BgL_localsz00_984,
		obj_t BgL_oldz00_985)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 241 */
			if (NULLP(BgL_localsz00_984))
				{	/* Ast/apply.scm 243 */
					if (NULLP(BgL_oldz00_985))
						{	/* Ast/apply.scm 246 */
							obj_t BgL_auxz00_1710;

							{	/* Ast/apply.scm 246 */
								obj_t BgL_list3517z00_989;

								BgL_list3517z00_989 =
									MAKE_PAIR(((obj_t) BgL_runnerz00_1705), BNIL);
								BgL_auxz00_1710 = BgL_list3517z00_989;
							}
							CELL_SET(BgL_framez00_1708, BgL_auxz00_1710);
						}
					else
						{	/* Ast/apply.scm 247 */
							obj_t BgL_arg3518z00_990;

							BgL_arg3518z00_990 =
								MAKE_PAIR(((obj_t) BgL_runnerz00_1705), BNIL);
							SET_CDR(BgL_oldz00_985, BgL_arg3518z00_990);
						}
					{	/* Ast/apply.scm 250 */
						BgL_typez00_bglt BgL_arg3519z00_991;
						BgL_varz00_bglt BgL_arg3520z00_992;
						obj_t BgL_arg3521z00_993;

						{	/* Ast/apply.scm 250 */
							BgL_typez00_bglt BgL_arg3522z00_994;

							{	/* Ast/apply.scm 250 */
								BgL_variablez00_bglt BgL_obj1609z00_1597;

								{	/* Ast/apply.scm 250 */
									BgL_varz00_bglt BgL_obj2201z00_1596;

									BgL_obj2201z00_1596 = ((BgL_varz00_bglt) BgL_procz00_1709);
									BgL_obj1609z00_1597 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_obj2201z00_1596)))->BgL_variablez00);
								}
								BgL_arg3522z00_994 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1609z00_1597)))->BgL_typez00);
							}
							{	/* Ast/apply.scm 250 */
								BgL_typez00_bglt BgL_auxz00_2166;

								{	/* Ast/apply.scm 250 */
									obj_t BgL_xz00_1801;

									BgL_xz00_1801 = BGl_za2_za2z00zztype_cachez00;
									BgL_auxz00_2166 = ((BgL_typez00_bglt) BgL_xz00_1801);
								}
								BgL_arg3519z00_991 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_2166,
									BgL_arg3522z00_994);
							}
						}
						{	/* Ast/apply.scm 251 */
							BgL_varz00_bglt BgL_duplicated3383z00_996;

							BgL_duplicated3383z00_996 = ((BgL_varz00_bglt) BgL_procz00_1709);
							{	/* Ast/apply.scm 251 */
								BgL_varz00_bglt BgL_new3384z00_997;

								{	/* Ast/apply.scm 251 */
									obj_t BgL_arg3524z00_998;
									BgL_typez00_bglt BgL_arg3525z00_999;
									BgL_variablez00_bglt BgL_arg3526z00_1000;

									{	/* Ast/apply.scm 251 */
										BgL_nodez00_bglt BgL_obj2136z00_1598;

										BgL_obj2136z00_1598 =
											((BgL_nodez00_bglt) BgL_duplicated3383z00_996);
										BgL_arg3524z00_998 =
											(((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2136z00_1598)))->BgL_locz00);
									}
									{	/* Ast/apply.scm 251 */
										BgL_nodez00_bglt BgL_obj2137z00_1599;

										BgL_obj2137z00_1599 =
											((BgL_nodez00_bglt) BgL_duplicated3383z00_996);
										BgL_arg3525z00_999 =
											(((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2137z00_1599)))->BgL_typez00);
									}
									BgL_arg3526z00_1000 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_duplicated3383z00_996)))->BgL_variablez00);
									BgL_new3384z00_997 =
										BGl_makezd2varzd2zzast_nodez00(BgL_arg3524z00_998,
										BgL_arg3525z00_999, BgL_arg3526z00_1000);
								}
								{	/* Ast/apply.scm 251 */

									BgL_arg3520z00_992 = BgL_new3384z00_997;
								}
							}
						}
						{	/* Ast/apply.scm 252 */
							obj_t BgL_l3395z00_1001;

							BgL_l3395z00_1001 = CELL_REF(BgL_framez00_1708);
							if (NULLP(BgL_l3395z00_1001))
								{	/* Ast/apply.scm 252 */
									BgL_arg3521z00_993 = BNIL;
								}
							else
								{	/* Ast/apply.scm 252 */
									obj_t BgL_head3397z00_1003;

									{	/* Ast/apply.scm 252 */
										obj_t BgL_res3665z00_1605;

										BgL_res3665z00_1605 = MAKE_PAIR(BNIL, BNIL);
										BgL_head3397z00_1003 = BgL_res3665z00_1605;
									}
									{
										obj_t BgL_l3395z00_1005;
										obj_t BgL_tail3398z00_1006;

										BgL_l3395z00_1005 = BgL_l3395z00_1001;
										BgL_tail3398z00_1006 = BgL_head3397z00_1003;
									BgL_zc3anonymousza33528ze3z83_1007:
										if (NULLP(BgL_l3395z00_1005))
											{	/* Ast/apply.scm 252 */
												BgL_arg3521z00_993 = CDR(BgL_head3397z00_1003);
											}
										else
											{	/* Ast/apply.scm 252 */
												obj_t BgL_newtail3399z00_1009;

												{	/* Ast/apply.scm 252 */
													BgL_varz00_bglt BgL_arg3531z00_1011;

													{	/* Ast/apply.scm 252 */
														obj_t BgL_localz00_1012;

														BgL_localz00_1012 = CAR(BgL_l3395z00_1005);
														{	/* Ast/apply.scm 255 */
															BgL_typez00_bglt BgL_arg3532z00_1013;

															{	/* Ast/apply.scm 255 */
																BgL_typez00_bglt BgL_arg3533z00_1014;

																{	/* Ast/apply.scm 255 */
																	BgL_variablez00_bglt BgL_obj1609z00_1610;

																	BgL_obj1609z00_1610 =
																		((BgL_variablez00_bglt) BgL_localz00_1012);
																	BgL_arg3533z00_1014 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1609z00_1610)))->
																		BgL_typez00);
																}
																{	/* Ast/apply.scm 255 */
																	BgL_typez00_bglt BgL_auxz00_2189;

																	{	/* Ast/apply.scm 255 */
																		obj_t BgL_xz00_1810;

																		BgL_xz00_1810 =
																			BGl_za2_za2z00zztype_cachez00;
																		BgL_auxz00_2189 =
																			((BgL_typez00_bglt) BgL_xz00_1810);
																	}
																	BgL_arg3532z00_1013 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_auxz00_2189, BgL_arg3533z00_1014);
																}
															}
															BgL_arg3531z00_1011 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1706,
																BgL_arg3532z00_1013,
																((BgL_variablez00_bglt) BgL_localz00_1012));
														}
													}
													{	/* Ast/apply.scm 252 */
														obj_t BgL_res3667z00_1613;

														{	/* Ast/apply.scm 252 */
															obj_t BgL_obj1z00_1611;

															BgL_obj1z00_1611 = ((obj_t) BgL_arg3531z00_1011);
															BgL_res3667z00_1613 =
																MAKE_PAIR(BgL_obj1z00_1611, BNIL);
														}
														BgL_newtail3399z00_1009 = BgL_res3667z00_1613;
													}
												}
												SET_CDR(BgL_tail3398z00_1006, BgL_newtail3399z00_1009);
												{
													obj_t BgL_tail3398z00_2199;
													obj_t BgL_l3395z00_2197;

													BgL_l3395z00_2197 = CDR(BgL_l3395z00_1005);
													BgL_tail3398z00_2199 = BgL_newtail3399z00_1009;
													BgL_tail3398z00_1006 = BgL_tail3398z00_2199;
													BgL_l3395z00_1005 = BgL_l3395z00_2197;
													goto BgL_zc3anonymousza33528ze3z83_1007;
												}
											}
									}
								}
						}
						{	/* Ast/apply.scm 248 */
							BgL_appz00_bglt BgL_xz00_1813;

							BgL_xz00_1813 =
								BGl_makezd2appzd2zzast_nodez00(BgL_locz00_1706,
								BgL_arg3519z00_991, BUNSPEC, BINT(((long) -1)),
								BgL_arg3520z00_992, BgL_arg3521z00_993);
							return ((BgL_nodezf2effectzf2_bglt) BgL_xz00_1813);
						}
					}
				}
			else
				{	/* Ast/apply.scm 260 */
					BgL_typez00_bglt BgL_arg3534z00_1016;
					obj_t BgL_arg3535z00_1017;
					BgL_nodez00_bglt BgL_arg3536z00_1018;

					{	/* Ast/apply.scm 260 */
						BgL_typez00_bglt BgL_auxz00_2203;

						{	/* Ast/apply.scm 260 */
							obj_t BgL_xz00_1814;

							BgL_xz00_1814 = BGl_za2_za2z00zztype_cachez00;
							BgL_auxz00_2203 = ((BgL_typez00_bglt) BgL_xz00_1814);
						}
						BgL_arg3534z00_1016 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_2203,
							BgL_typez00_1704);
					}
					{	/* Ast/apply.scm 262 */
						obj_t BgL_arg3537z00_1019;

						{	/* Ast/apply.scm 262 */
							obj_t BgL_arg3539z00_1021;
							BgL_nodez00_bglt BgL_arg3540z00_1022;

							BgL_arg3539z00_1021 = CAR(BgL_localsz00_984);
							{	/* Ast/apply.scm 267 */
								obj_t BgL_arg3541z00_1023;

								{	/* Ast/apply.scm 267 */
									obj_t BgL_arg3542z00_1024;

									{	/* Ast/apply.scm 267 */
										BgL_varz00_bglt BgL_arg3543z00_1025;

										{	/* Ast/apply.scm 267 */
											BgL_typez00_bglt BgL_arg3544z00_1026;

											{	/* Ast/apply.scm 267 */
												BgL_typez00_bglt BgL_arg3545z00_1027;

												{	/* Ast/apply.scm 267 */
													BgL_variablez00_bglt BgL_obj1609z00_1618;

													BgL_obj1609z00_1618 =
														((BgL_variablez00_bglt) BgL_runnerz00_1705);
													BgL_arg3545z00_1027 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1609z00_1618)))->BgL_typez00);
												}
												{	/* Ast/apply.scm 267 */
													BgL_typez00_bglt BgL_auxz00_2210;

													{	/* Ast/apply.scm 267 */
														obj_t BgL_xz00_1817;

														BgL_xz00_1817 = BGl_za2_za2z00zztype_cachez00;
														BgL_auxz00_2210 =
															((BgL_typez00_bglt) BgL_xz00_1817);
													}
													BgL_arg3544z00_1026 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_auxz00_2210, BgL_arg3545z00_1027);
												}
											}
											BgL_arg3543z00_1025 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1706,
												BgL_arg3544z00_1026,
												((BgL_variablez00_bglt) BgL_runnerz00_1705));
										}
										BgL_arg3542z00_1024 =
											MAKE_PAIR(((obj_t) BgL_arg3543z00_1025), BNIL);
									}
									BgL_arg3541z00_1023 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BgL_arg3542z00_1024);
								}
								BgL_arg3540z00_1022 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3541z00_1023,
									BgL_stackz00_1707, BgL_locz00_1706,
									CNST_TABLE_REF(((long) 1)));
							}
							BgL_arg3537z00_1019 =
								MAKE_PAIR(BgL_arg3539z00_1021, ((obj_t) BgL_arg3540z00_1022));
						}
						{	/* Ast/apply.scm 261 */
							obj_t BgL_list3538z00_1020;

							BgL_list3538z00_1020 = MAKE_PAIR(BgL_arg3537z00_1019, BNIL);
							BgL_arg3535z00_1017 = BgL_list3538z00_1020;
					}}
					{	/* Ast/apply.scm 276 */
						obj_t BgL_arg3546z00_1028;

						{	/* Ast/apply.scm 276 */
							obj_t BgL_arg3547z00_1029;

							{	/* Ast/apply.scm 276 */
								obj_t BgL_arg3548z00_1030;
								obj_t BgL_arg3549z00_1031;

								{	/* Ast/apply.scm 276 */
									obj_t BgL_arg3550z00_1032;

									{	/* Ast/apply.scm 276 */
										BgL_varz00_bglt BgL_arg3551z00_1033;
										obj_t BgL_arg3552z00_1034;

										{	/* Ast/apply.scm 276 */
											BgL_typez00_bglt BgL_arg3553z00_1035;

											{	/* Ast/apply.scm 276 */
												BgL_typez00_bglt BgL_arg3554z00_1036;

												{	/* Ast/apply.scm 276 */
													BgL_variablez00_bglt BgL_obj1609z00_1621;

													BgL_obj1609z00_1621 =
														((BgL_variablez00_bglt) BgL_runnerz00_1705);
													BgL_arg3554z00_1036 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1609z00_1621)))->BgL_typez00);
												}
												{	/* Ast/apply.scm 276 */
													BgL_typez00_bglt BgL_auxz00_2227;

													{	/* Ast/apply.scm 276 */
														obj_t BgL_xz00_1823;

														BgL_xz00_1823 = BGl_za2_za2z00zztype_cachez00;
														BgL_auxz00_2227 =
															((BgL_typez00_bglt) BgL_xz00_1823);
													}
													BgL_arg3553z00_1035 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_auxz00_2227, BgL_arg3554z00_1036);
											}}
											BgL_arg3551z00_1033 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1706,
												BgL_arg3553z00_1035,
												((BgL_variablez00_bglt) BgL_runnerz00_1705));
										}
										{	/* Ast/apply.scm 280 */
											obj_t BgL_arg3555z00_1037;

											{	/* Ast/apply.scm 280 */
												obj_t BgL_arg3556z00_1038;

												{	/* Ast/apply.scm 280 */
													BgL_varz00_bglt BgL_arg3557z00_1039;

													{	/* Ast/apply.scm 280 */
														BgL_typez00_bglt BgL_arg3558z00_1040;

														{	/* Ast/apply.scm 280 */
															BgL_typez00_bglt BgL_arg3559z00_1041;

															{	/* Ast/apply.scm 280 */
																BgL_variablez00_bglt BgL_obj1609z00_1622;

																BgL_obj1609z00_1622 =
																	((BgL_variablez00_bglt) BgL_runnerz00_1705);
																BgL_arg3559z00_1041 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1609z00_1622)))->
																	BgL_typez00);
															}
															{	/* Ast/apply.scm 280 */
																BgL_typez00_bglt BgL_auxz00_2235;

																{	/* Ast/apply.scm 280 */
																	obj_t BgL_xz00_1827;

																	BgL_xz00_1827 = BGl_za2_za2z00zztype_cachez00;
																	BgL_auxz00_2235 =
																		((BgL_typez00_bglt) BgL_xz00_1827);
																}
																BgL_arg3558z00_1040 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00
																	(BgL_auxz00_2235, BgL_arg3559z00_1041);
														}}
														BgL_arg3557z00_1039 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1706,
															BgL_arg3558z00_1040,
															((BgL_variablez00_bglt) BgL_runnerz00_1705));
													}
													BgL_arg3556z00_1038 =
														MAKE_PAIR(((obj_t) BgL_arg3557z00_1039), BNIL);
												}
												BgL_arg3555z00_1037 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
													BgL_arg3556z00_1038);
											}
											BgL_arg3552z00_1034 =
												MAKE_PAIR(BgL_arg3555z00_1037, BNIL);
										}
										BgL_arg3550z00_1032 =
											MAKE_PAIR(
											((obj_t) BgL_arg3551z00_1033), BgL_arg3552z00_1034);
									}
									BgL_arg3548z00_1030 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg3550z00_1032);
								}
								{	/* Ast/apply.scm 282 */
									BgL_nodezf2effectzf2_bglt BgL_arg3560z00_1042;

									{	/* Ast/apply.scm 282 */
										obj_t BgL_arg3561z00_1043;

										BgL_arg3561z00_1043 = CDR(BgL_localsz00_984);
										BgL_arg3560z00_1042 =
											BGl_loopz00zzast_applyz00(BgL_procz00_1709,
											BgL_framez00_1708, BgL_stackz00_1707, BgL_locz00_1706,
											BgL_runnerz00_1705, BgL_typez00_1704, BgL_arg3561z00_1043,
											BgL_localsz00_984);
									}
									BgL_arg3549z00_1031 =
										MAKE_PAIR(((obj_t) BgL_arg3560z00_1042), BNIL);
								}
								BgL_arg3547z00_1029 =
									MAKE_PAIR(BgL_arg3548z00_1030, BgL_arg3549z00_1031);
							}
							BgL_arg3546z00_1028 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 11)), BgL_arg3547z00_1029);
						}
						BgL_arg3536z00_1018 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3546z00_1028,
							BgL_stackz00_1707, BgL_locz00_1706, CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/apply.scm 258 */
						BgL_letzd2varzd2_bglt BgL_xz00_1832;

						BgL_xz00_1832 =
							BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1706,
							BgL_arg3534z00_1016, BUNSPEC, BINT(((long) -1)),
							BgL_arg3535z00_1017, BgL_arg3536z00_1018, ((bool_t) 1));
						return ((BgL_nodezf2effectzf2_bglt) BgL_xz00_1832);
					}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
				BGl_proc3686z00zzast_applyz00, BGl_funz00zzast_varz00,
				BGl_string3687z00zzast_applyz00);
		}
	}



/* &make-fun-frame3400 */
	obj_t BGl_z62makezd2funzd2frame3400z62zzast_applyz00(obj_t BgL_envz00_1694,
		BgL_funz00_bglt BgL_funz00_1695)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			{
				BgL_funz00_bglt BgL_funz00_1446;

				BgL_funz00_1446 = BgL_funz00_1695;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 12)),
					BGl_string3688z00zzast_applyz00, ((obj_t) BgL_funz00_1446));
		}}
	}



/* make-fun-frame */
	obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_7)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			{	/* Ast/apply.scm 61 */
				obj_t BgL_method3401z00_1449;

				{	/* Ast/apply.scm 61 */
					obj_t BgL_res3675z00_1652;

					{	/* Ast/apply.scm 61 */
						BgL_objectz00_bglt BgL_objz00_1624;

						BgL_objz00_1624 = ((BgL_objectz00_bglt) BgL_funz00_7);
						{	/* Ast/apply.scm 61 */
							long BgL_objzd2classzd2numz00_1625;

							{	/* Ast/apply.scm 61 */
								long BgL_res3669z00_1628;

								BgL_res3669z00_1628 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1624);
								BgL_objzd2classzd2numz00_1625 = BgL_res3669z00_1628;
							}
							{	/* Ast/apply.scm 61 */
								obj_t BgL_arg2545z00_1626;

								BgL_arg2545z00_1626 =
									PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
									(int) (((long) 1)));
								{	/* Ast/apply.scm 61 */
									obj_t BgL_arrayz00_1629;
									int BgL_offsetz00_1630;

									BgL_arrayz00_1629 = BgL_arg2545z00_1626;
									BgL_offsetz00_1630 = (int) (BgL_objzd2classzd2numz00_1625);
									{	/* Ast/apply.scm 61 */
										long BgL_offsetz00_1631;

										BgL_offsetz00_1631 =
											((long) (BgL_offsetz00_1630) - OBJECT_TYPE);
										{	/* Ast/apply.scm 61 */
											long BgL_modz00_1632;

											{	/* Ast/apply.scm 61 */
												int BgL_arg2547z00_1633;

												BgL_arg2547z00_1633 = (int) (((long) 16));
												{	/* Ast/apply.scm 61 */
													long BgL_res3672z00_1643;

													{	/* Ast/apply.scm 61 */
														long BgL_auxz00_2273;

														BgL_auxz00_2273 = (long) (BgL_arg2547z00_1633);
														BgL_res3672z00_1643 =
															(BgL_offsetz00_1631 / BgL_auxz00_2273);
													}
													BgL_modz00_1632 = BgL_res3672z00_1643;
											}}
											{	/* Ast/apply.scm 61 */
												long BgL_restz00_1634;

												{	/* Ast/apply.scm 61 */
													int BgL_arg2546z00_1635;

													BgL_arg2546z00_1635 = (int) (((long) 16));
													{	/* Ast/apply.scm 61 */
														long BgL_res3674z00_1647;

														{	/* Ast/apply.scm 61 */
															long BgL_auxz00_2277;

															BgL_auxz00_2277 = (long) (BgL_arg2546z00_1635);
															BgL_res3674z00_1647 =
																(BgL_offsetz00_1631 % BgL_auxz00_2277);
														}
														BgL_restz00_1634 = BgL_res3674z00_1647;
												}}
												{	/* Ast/apply.scm 61 */

													BgL_res3675z00_1652 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1629,
															(int) (BgL_modz00_1632)),
														(int) (BgL_restz00_1634));
					}}}}}}}}
					BgL_method3401z00_1449 = BgL_res3675z00_1652;
				}
				return
					PROCEDURE_ENTRY(BgL_method3401z00_1449) (BgL_method3401z00_1449,
					((obj_t) BgL_funz00_7), BEOA);
			}
		}
	}



/* &make-fun-frame */
	obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t BgL_envz00_1696,
		obj_t BgL_funz00_1697)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			return
				BGl_makezd2funzd2framez00zzast_applyz00(
				((BgL_funz00_bglt) BgL_funz00_1697));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_sfunz00zzast_varz00,
				BGl_proc3689z00zzast_applyz00, BGl_string3690z00zzast_applyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_cfunz00zzast_varz00,
				BGl_proc3691z00zzast_applyz00, BGl_string3690z00zzast_applyz00);
		}
	}



/* &make-fun-frame-cfun3405 */
	obj_t BGl_z62makezd2funzd2framezd2cfun3405zb0zzast_applyz00(obj_t
		BgL_envz00_1700, BgL_cfunz00_bglt BgL_funz00_1701)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 86 */
			{
				BgL_cfunz00_bglt BgL_funz00_1475;

				BgL_funz00_1475 = BgL_funz00_1701;
				{	/* Ast/apply.scm 87 */
					long BgL_arityz00_1478;

					{	/* Ast/apply.scm 87 */
						BgL_funz00_bglt BgL_obj1854z00_1670;

						BgL_obj1854z00_1670 = ((BgL_funz00_bglt) BgL_funz00_1475);
						BgL_arityz00_1478 =
							(((BgL_funz00_bglt) CREF(
									((obj_t) BgL_obj1854z00_1670)))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 88 */
						obj_t BgL_g3371z00_1479;

						BgL_g3371z00_1479 =
							(((BgL_cfunz00_bglt) CREF(
									((obj_t) BgL_funz00_1475)))->BgL_argszd2typezd2);
						{
							obj_t BgL_typesz00_1482;
							obj_t BgL_localsz00_1483;

							BgL_typesz00_1482 = BgL_g3371z00_1479;
							BgL_localsz00_1483 = BNIL;
						BgL_zc3anonymousza33629ze3z83_1484:
							if (NULLP(BgL_typesz00_1482))
								{	/* Ast/apply.scm 91 */
									return bgl_reverse_bang(BgL_localsz00_1483);
								}
							else
								{	/* Ast/apply.scm 93 */
									bool_t BgL_testz00_2301;

									if (NULLP(CDR(BgL_typesz00_1482)))
										{	/* Ast/apply.scm 93 */
											BgL_testz00_2301 = (BgL_arityz00_1478 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 93 */
											BgL_testz00_2301 = ((bool_t) 0);
										}
									if (BgL_testz00_2301)
										{	/* Ast/apply.scm 93 */
											return bgl_reverse_bang(BgL_localsz00_1483);
										}
									else
										{	/* Ast/apply.scm 96 */
											obj_t BgL_arg3632z00_1487;
											obj_t BgL_arg3633z00_1488;

											BgL_arg3632z00_1487 = CDR(BgL_typesz00_1482);
											{	/* Ast/apply.scm 97 */
												BgL_localz00_bglt BgL_arg3634z00_1489;

												{	/* Ast/apply.scm 97 */
													obj_t BgL_arg3635z00_1490;
													obj_t BgL_arg3636z00_1491;

													BgL_arg3635z00_1490 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 13))));
													BgL_arg3636z00_1491 = CAR(BgL_typesz00_1482);
													BgL_arg3634z00_1489 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg3635z00_1490,
														((BgL_typez00_bglt) BgL_arg3636z00_1491));
												}
												BgL_arg3633z00_1488 =
													MAKE_PAIR(
													((obj_t) BgL_arg3634z00_1489), BgL_localsz00_1483);
											}
											{
												obj_t BgL_localsz00_2317;
												obj_t BgL_typesz00_2316;

												BgL_typesz00_2316 = BgL_arg3632z00_1487;
												BgL_localsz00_2317 = BgL_arg3633z00_1488;
												BgL_localsz00_1483 = BgL_localsz00_2317;
												BgL_typesz00_1482 = BgL_typesz00_2316;
												goto BgL_zc3anonymousza33629ze3z83_1484;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* &make-fun-frame-sfun3403 */
	obj_t BGl_z62makezd2funzd2framezd2sfun3403zb0zzast_applyz00(obj_t
		BgL_envz00_1702, BgL_sfunz00_bglt BgL_funz00_1703)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 66 */
			{
				BgL_sfunz00_bglt BgL_funz00_1450;

				BgL_funz00_1450 = BgL_funz00_1703;
				{	/* Ast/apply.scm 67 */
					long BgL_arityz00_1453;

					{	/* Ast/apply.scm 67 */
						BgL_funz00_bglt BgL_obj1854z00_1653;

						BgL_obj1854z00_1653 = ((BgL_funz00_bglt) BgL_funz00_1450);
						BgL_arityz00_1453 =
							(((BgL_funz00_bglt) CREF(
									((obj_t) BgL_obj1854z00_1653)))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 68 */
						obj_t BgL_g3369z00_1454;

						BgL_g3369z00_1454 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_funz00_1450)))->BgL_argsz00);
						{
							obj_t BgL_formalsz00_1457;
							obj_t BgL_localsz00_1458;

							BgL_formalsz00_1457 = BgL_g3369z00_1454;
							BgL_localsz00_1458 = BNIL;
						BgL_zc3anonymousza33615ze3z83_1459:
							if (NULLP(BgL_formalsz00_1457))
								{	/* Ast/apply.scm 71 */
									return bgl_reverse_bang(BgL_localsz00_1458);
								}
							else
								{	/* Ast/apply.scm 73 */
									bool_t BgL_testz00_2326;

									if (NULLP(CDR(BgL_formalsz00_1457)))
										{	/* Ast/apply.scm 73 */
											BgL_testz00_2326 = (BgL_arityz00_1453 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 73 */
											BgL_testz00_2326 = ((bool_t) 0);
										}
									if (BgL_testz00_2326)
										{	/* Ast/apply.scm 73 */
											return bgl_reverse_bang(BgL_localsz00_1458);
										}
									else
										{	/* Ast/apply.scm 76 */
											obj_t BgL_arg3618z00_1462;
											obj_t BgL_arg3619z00_1463;

											BgL_arg3618z00_1462 = CDR(BgL_formalsz00_1457);
											{	/* Ast/apply.scm 77 */
												BgL_localz00_bglt BgL_arg3620z00_1464;

												{	/* Ast/apply.scm 77 */
													obj_t BgL_arg3621z00_1465;
													obj_t BgL_arg3622z00_1466;

													BgL_arg3621z00_1465 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 13))));
													{	/* Ast/apply.scm 78 */
														bool_t BgL_testz00_2336;

														{	/* Ast/apply.scm 78 */
															obj_t BgL_arg3626z00_1470;

															BgL_arg3626z00_1470 = CAR(BgL_formalsz00_1457);
															BgL_testz00_2336 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_arg3626z00_1470,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_2336)
															{	/* Ast/apply.scm 78 */
																BgL_arg3622z00_1466 = CAR(BgL_formalsz00_1457);
															}
														else
															{	/* Ast/apply.scm 80 */
																BgL_variablez00_bglt BgL_obj1609z00_1669;

																{	/* Ast/apply.scm 80 */
																	obj_t BgL_pairz00_1668;

																	BgL_pairz00_1668 = BgL_formalsz00_1457;
																	BgL_obj1609z00_1669 =
																		((BgL_variablez00_bglt)
																		CAR(BgL_pairz00_1668));
																}
																BgL_arg3622z00_1466 =
																	((obj_t)
																	(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1609z00_1669)))->
																		BgL_typez00));
															}
													}
													BgL_arg3620z00_1464 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg3621z00_1465,
														((BgL_typez00_bglt) BgL_arg3622z00_1466));
												}
												BgL_arg3619z00_1463 =
													MAKE_PAIR(
													((obj_t) BgL_arg3620z00_1464), BgL_localsz00_1458);
											}
											{
												obj_t BgL_localsz00_2350;
												obj_t BgL_formalsz00_2349;

												BgL_formalsz00_2349 = BgL_arg3618z00_1462;
												BgL_localsz00_2350 = BgL_arg3619z00_1463;
												BgL_localsz00_1458 = BgL_localsz00_2350;
												BgL_formalsz00_1457 = BgL_formalsz00_2349;
												goto BgL_zc3anonymousza33615ze3z83_1459;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3692z00zzast_applyz00));
		}
	}

#ifdef __cplusplus
}
#endif
