/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex3447za2zzast_shrinkifyz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2atom3405z70zzast_shrinkifyz00(obj_t,
		BgL_atomz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall3417z70zzast_shrinkifyz00(obj_t,
		BgL_funcallz00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi3425z70zzast_shrinkifyz00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail3427z70zzast_shrinkifyz00(obj_t,
		BgL_failz00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref3433za2zzast_shrinkifyz00(obj_t,
		BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62shrinkzd2variablez123400za2zzast_shrinkifyz00(obj_t,
		BgL_variablez00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo3431za2zzast_shrinkifyz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2app3413z70zzast_shrinkifyz00(obj_t,
		BgL_appz00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun3437za2zzast_shrinkifyz00(obj_t,
		BgL_letzd2funzd2_bglt);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2select3429z70zzast_shrinkifyz00(obj_t,
		BgL_selectz00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez123402za2zzast_shrinkifyz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly3415za2zzast_shrinkifyz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2extern3419z70zzast_shrinkifyz00(obj_t,
		BgL_externz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote3409z70zzast_shrinkifyz00(obj_t,
		BgL_kwotez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd23445z70zzast_shrinkifyz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast3421z70zzast_shrinkifyz00(obj_t,
		BgL_castz00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2setq3423z70zzast_shrinkifyz00(obj_t,
		BgL_setqz00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set3435za2zzast_shrinkifyz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var3443za2zzast_shrinkifyz00(obj_t,
		BgL_letzd2varzd2_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc3411z70zzast_shrinkifyz00(obj_t,
		BgL_sequencez00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2var3407z70zzast_shrinkifyz00(obj_t,
		BgL_varz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za73675za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari3676z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3646z00zzast_shrinkifyz00,
		BgL_bgl_string3646za700za7za7a3677za7, "shrink-variable!3400", 20);
	      DEFINE_STRING(BGl_string3648z00zzast_shrinkifyz00,
		BgL_bgl_string3648za700za7za7a3678za7, "shrink-node!3402", 16);
	      DEFINE_STRING(BGl_string3649z00zzast_shrinkifyz00,
		BgL_bgl_string3649za700za7za7a3679za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3651z00zzast_shrinkifyz00,
		BgL_bgl_string3651za700za7za7a3680za7, "shrink-node!", 12);
	      DEFINE_STRING(BGl_string3671z00zzast_shrinkifyz00,
		BgL_bgl_string3671za700za7za7a3681za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string3672z00zzast_shrinkifyz00,
		BgL_bgl_string3672za700za7za7a3682za7, "shrink-node!3402 ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3645z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari3683z00,
		BGl_z62shrinkzd2variablez123400za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3647z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3684z00,
		BGl_z62shrinkzd2nodez123402za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3650z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3685z00,
		BGl_z62shrinkzd2nodez12zd2atom3405z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3652z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3686z00,
		BGl_z62shrinkzd2nodez12zd2var3407z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3653z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3687z00,
		BGl_z62shrinkzd2nodez12zd2kwote3409z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3654z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3688z00,
		BGl_z62shrinkzd2nodez12zd2sequenc3411z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3655z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3689z00,
		BGl_z62shrinkzd2nodez12zd2app3413z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3656z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3690z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly3415za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3657z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3691z00,
		BGl_z62shrinkzd2nodez12zd2funcall3417z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3658z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3692z00,
		BGl_z62shrinkzd2nodez12zd2extern3419z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3659z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3693z00,
		BGl_z62shrinkzd2nodez12zd2cast3421z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3660z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3694z00,
		BGl_z62shrinkzd2nodez12zd2setq3423z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3661z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3695z00,
		BGl_z62shrinkzd2nodez12zd2conditi3425z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3662z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3696z00,
		BGl_z62shrinkzd2nodez12zd2fail3427z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3663z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3697z00,
		BGl_z62shrinkzd2nodez12zd2select3429z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3664z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3698z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo3431za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3665z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3699z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref3433za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3666z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3700z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set3435za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3667z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3701z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun3437za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3668z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3702z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var3443za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3669z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3703z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd23445z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3670z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3704z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex3447za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node3705z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_1929, char *BgL_fromz00_1930)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_1918;

				BgL_cportz00_1918 =
					bgl_open_input_string(BGl_string3672z00zzast_shrinkifyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1919;

					BgL_iz00_1919 = ((long) 0);
				BgL_loopz00_1920:
					if ((BgL_iz00_1919 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg3674z00_1922;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_1924;

										BgL_locationz00_1924 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg3674z00_1922 =
												BGl_readz00zz__readerz00(BgL_cportz00_1918,
												BgL_locationz00_1924);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_auxz00_1948;

									BgL_auxz00_1948 = (int) (BgL_iz00_1919);
									CNST_TABLE_SET(BgL_auxz00_1948, BgL_arg3674z00_1922);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_1925;

								BgL_auxz00_1925 = (int) ((BgL_iz00_1919 - ((long) 1)));
								{
									long BgL_iz00_1953;

									BgL_iz00_1953 = (long) (BgL_auxz00_1925);
									BgL_iz00_1919 = BgL_iz00_1953;
									goto BgL_loopz00_1920;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l3384z00_844;

				BgL_l3384z00_844 = BgL_globalsz00_3;
			BgL_zc3anonymousza33452ze3z83_845:
				if (PAIRP(BgL_l3384z00_844))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_847;

							BgL_globalz00_847 = CAR(BgL_l3384z00_844);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_848;

								{	/* Ast/shrinkify.scm 28 */
									BgL_variablez00_bglt BgL_obj1612z00_1471;

									BgL_obj1612z00_1471 =
										((BgL_variablez00_bglt) BgL_globalz00_847);
									BgL_sfunz00_848 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1471)))->BgL_valuez00);
								}
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g3383z00_849;

									{	/* Ast/shrinkify.scm 29 */
										BgL_sfunz00_bglt BgL_obj1920z00_1472;

										BgL_obj1920z00_1472 = ((BgL_sfunz00_bglt) BgL_sfunz00_848);
										BgL_g3383z00_849 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1920z00_1472)))->BgL_argsz00);
									}
									{
										obj_t BgL_l3381z00_851;

										BgL_l3381z00_851 = BgL_g3383z00_849;
									BgL_zc3anonymousza33454ze3z83_852:
										if (PAIRP(BgL_l3381z00_851))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg3456z00_854;

													BgL_arg3456z00_854 = CAR(BgL_l3381z00_851);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg3456z00_854));
												}
												{
													obj_t BgL_l3381z00_1970;

													BgL_l3381z00_1970 = CDR(BgL_l3381z00_851);
													BgL_l3381z00_851 = BgL_l3381z00_1970;
													goto BgL_zc3anonymousza33454ze3z83_852;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg3458z00_857;

									{	/* Ast/shrinkify.scm 30 */
										BgL_sfunz00_bglt BgL_obj1924z00_1478;

										{	/* Ast/shrinkify.scm 30 */
											BgL_variablez00_bglt BgL_obj1612z00_1477;

											BgL_obj1612z00_1477 =
												((BgL_variablez00_bglt) BgL_globalz00_847);
											BgL_obj1924z00_1478 =
												((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_1477)))->BgL_valuez00));
										}
										BgL_arg3458z00_857 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1924z00_1478)))->BgL_bodyz00);
									}
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg3458z00_857));
								}
							}
						}
						{
							obj_t BgL_l3384z00_1980;

							BgL_l3384z00_1980 = CDR(BgL_l3384z00_844);
							BgL_l3384z00_844 = BgL_l3384z00_1980;
							goto BgL_zc3anonymousza33452ze3z83_845;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_1734,
		obj_t BgL_globalsz00_1735)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_1735);
		}
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_26)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 221 */
			{
				obj_t BgL_l3398z00_862;

				BgL_l3398z00_862 = BgL_nodeza2za2_26;
			BgL_zc3anonymousza33461ze3z83_863:
				if (PAIRP(BgL_l3398z00_862))
					{	/* Ast/shrinkify.scm 222 */
						{	/* Ast/shrinkify.scm 222 */
							obj_t BgL_arg3463z00_865;

							BgL_arg3463z00_865 = CAR(BgL_l3398z00_862);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg3463z00_865));
						}
						{
							obj_t BgL_l3398z00_1988;

							BgL_l3398z00_1988 = CDR(BgL_l3398z00_862);
							BgL_l3398z00_862 = BgL_l3398z00_1988;
							goto BgL_zc3anonymousza33461ze3z83_863;
						}
					}
				else
					{	/* Ast/shrinkify.scm 222 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc3645z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string3646z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc3647z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string3648z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!3402 */
	obj_t BGl_z62shrinkzd2nodez123402za2zzast_shrinkifyz00(obj_t BgL_envz00_1740,
		BgL_nodez00_bglt BgL_nodez00_1741)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{
				BgL_nodez00_bglt BgL_nodez00_1281;

				BgL_nodez00_1281 = BgL_nodez00_1741;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string3649z00zzast_shrinkifyz00, ((obj_t) BgL_nodez00_1281));
		}}
	}



/* &shrink-variable!3400 */
	obj_t BGl_z62shrinkzd2variablez123400za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1742, BgL_variablez00_bglt BgL_variablez00_1743)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{
				BgL_variablez00_bglt BgL_variablez00_1266;

				BgL_variablez00_1266 = BgL_variablez00_1743;
				{	/* Ast/shrinkify.scm 38 */
					bool_t BgL_testz00_1995;

					{	/* Ast/shrinkify.scm 38 */
						bool_t BgL_testz00_1996;

						{	/* Ast/shrinkify.scm 38 */
							obj_t BgL_auxz00_1997;

							{	/* Ast/shrinkify.scm 38 */
								BgL_objectz00_bglt BgL_auxz00_1998;

								BgL_auxz00_1998 = ((BgL_objectz00_bglt) BgL_variablez00_1266);
								BgL_auxz00_1997 = BGL_OBJECT_WIDENING(BgL_auxz00_1998);
							}
							BgL_testz00_1996 = CBOOL(BgL_auxz00_1997);
						}
						if (BgL_testz00_1996)
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_1995 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_1995 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_1995)
						{	/* Ast/shrinkify.scm 38 */
							{	/* Ast/shrinkify.scm 39 */
								long BgL_arg3515z00_1270;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg3516z00_1271;

									{	/* Ast/shrinkify.scm 39 */
										obj_t BgL_arg3517z00_1272;

										{	/* Ast/shrinkify.scm 39 */
											BgL_objectz00_bglt BgL_objectz00_1487;

											BgL_objectz00_1487 =
												((BgL_objectz00_bglt) BgL_variablez00_1266);
											{	/* Ast/shrinkify.scm 39 */
												long BgL_arg2548z00_1488;

												{	/* Ast/shrinkify.scm 39 */
													long BgL_arg2549z00_1489;

													{	/* Ast/shrinkify.scm 39 */
														long BgL_res3601z00_1491;

														BgL_res3601z00_1491 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1487);
														BgL_arg2549z00_1489 = BgL_res3601z00_1491;
													}
													BgL_arg2548z00_1488 =
														(BgL_arg2549z00_1489 - OBJECT_TYPE);
												}
												BgL_arg3517z00_1272 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1488));
										}}
										BgL_arg3516z00_1271 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3517z00_1272);
									}
									BgL_arg3515z00_1270 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3516z00_1271);
								}
								{	/* Ast/shrinkify.scm 39 */
									BgL_objectz00_bglt BgL_objz00_1497;

									BgL_objz00_1497 = ((BgL_objectz00_bglt) BgL_variablez00_1266);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1497,
										BgL_arg3515z00_1270);
							}}
							{	/* Ast/shrinkify.scm 39 */
								BgL_objectz00_bglt BgL_auxz00_2011;

								BgL_auxz00_2011 = ((BgL_objectz00_bglt) BgL_variablez00_1266);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2011, BFALSE);
							}
							((obj_t) BgL_variablez00_1266);
						}
					else
						{	/* Ast/shrinkify.scm 38 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 40 */
					bool_t BgL_testz00_2015;

					{	/* Ast/shrinkify.scm 40 */
						bool_t BgL_testz00_2016;

						{	/* Ast/shrinkify.scm 40 */
							obj_t BgL_auxz00_2017;

							{	/* Ast/shrinkify.scm 40 */
								BgL_objectz00_bglt BgL_auxz00_2018;

								BgL_auxz00_2018 =
									((BgL_objectz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_variablez00_1266)))->BgL_valuez00));
								BgL_auxz00_2017 = BGL_OBJECT_WIDENING(BgL_auxz00_2018);
							}
							BgL_testz00_2016 = CBOOL(BgL_auxz00_2017);
						}
						if (BgL_testz00_2016)
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2015 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2015 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2015)
						{	/* Ast/shrinkify.scm 41 */
							BgL_valuez00_bglt BgL_o3367z00_1274;

							BgL_o3367z00_1274 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_variablez00_1266)))->BgL_valuez00);
							{	/* Ast/shrinkify.scm 41 */
								long BgL_arg3519z00_1275;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg3520z00_1276;

									{	/* Ast/shrinkify.scm 41 */
										obj_t BgL_arg3521z00_1277;

										{	/* Ast/shrinkify.scm 41 */
											BgL_objectz00_bglt BgL_objectz00_1504;

											BgL_objectz00_1504 =
												((BgL_objectz00_bglt) BgL_o3367z00_1274);
											{	/* Ast/shrinkify.scm 41 */
												long BgL_arg2548z00_1505;

												{	/* Ast/shrinkify.scm 41 */
													long BgL_arg2549z00_1506;

													{	/* Ast/shrinkify.scm 41 */
														long BgL_res3604z00_1508;

														BgL_res3604z00_1508 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1504);
														BgL_arg2549z00_1506 = BgL_res3604z00_1508;
													}
													BgL_arg2548z00_1505 =
														(BgL_arg2549z00_1506 - OBJECT_TYPE);
												}
												BgL_arg3521z00_1277 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1505));
										}}
										BgL_arg3520z00_1276 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3521z00_1277);
									}
									BgL_arg3519z00_1275 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3520z00_1276);
								}
								{	/* Ast/shrinkify.scm 41 */
									BgL_objectz00_bglt BgL_objz00_1514;

									BgL_objz00_1514 = ((BgL_objectz00_bglt) BgL_o3367z00_1274);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1514,
										BgL_arg3519z00_1275);
							}}
							{	/* Ast/shrinkify.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_2035;

								BgL_auxz00_2035 = ((BgL_objectz00_bglt) BgL_o3367z00_1274);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2035, BFALSE);
							}
							return ((obj_t) BgL_o3367z00_1274);
						}
					else
						{	/* Ast/shrinkify.scm 40 */
							return BFALSE;
						}
				}
			}
		}
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method3401z00_1284;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res3612z00_1544;

					{	/* Ast/shrinkify.scm 37 */
						BgL_objectz00_bglt BgL_objz00_1516;

						BgL_objz00_1516 = ((BgL_objectz00_bglt) BgL_variablez00_4);
						{	/* Ast/shrinkify.scm 37 */
							long BgL_objzd2classzd2numz00_1517;

							{	/* Ast/shrinkify.scm 37 */
								long BgL_res3606z00_1520;

								BgL_res3606z00_1520 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1516);
								BgL_objzd2classzd2numz00_1517 = BgL_res3606z00_1520;
							}
							{	/* Ast/shrinkify.scm 37 */
								obj_t BgL_arg2545z00_1518;

								BgL_arg2545z00_1518 =
									PROCEDURE_REF
									(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 37 */
									obj_t BgL_arrayz00_1521;
									int BgL_offsetz00_1522;

									BgL_arrayz00_1521 = BgL_arg2545z00_1518;
									BgL_offsetz00_1522 = (int) (BgL_objzd2classzd2numz00_1517);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_offsetz00_1523;

										BgL_offsetz00_1523 =
											((long) (BgL_offsetz00_1522) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 37 */
											long BgL_modz00_1524;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg2547z00_1525;

												BgL_arg2547z00_1525 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res3609z00_1535;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_auxz00_2047;

														BgL_auxz00_2047 = (long) (BgL_arg2547z00_1525);
														BgL_res3609z00_1535 =
															(BgL_offsetz00_1523 / BgL_auxz00_2047);
													}
													BgL_modz00_1524 = BgL_res3609z00_1535;
											}}
											{	/* Ast/shrinkify.scm 37 */
												long BgL_restz00_1526;

												{	/* Ast/shrinkify.scm 37 */
													int BgL_arg2546z00_1527;

													BgL_arg2546z00_1527 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 37 */
														long BgL_res3611z00_1539;

														{	/* Ast/shrinkify.scm 37 */
															long BgL_auxz00_2051;

															BgL_auxz00_2051 = (long) (BgL_arg2546z00_1527);
															BgL_res3611z00_1539 =
																(BgL_offsetz00_1523 % BgL_auxz00_2051);
														}
														BgL_restz00_1526 = BgL_res3611z00_1539;
												}}
												{	/* Ast/shrinkify.scm 37 */

													BgL_res3612z00_1544 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1521,
															(int) (BgL_modz00_1524)),
														(int) (BgL_restz00_1526));
					}}}}}}}}
					BgL_method3401z00_1284 = BgL_res3612z00_1544;
				}
				return
					PROCEDURE_ENTRY(BgL_method3401z00_1284) (BgL_method3401z00_1284,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_1736,
		obj_t BgL_variablez00_1737)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_1737));
		}
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method3403z00_1285;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res3619z00_1573;

					{	/* Ast/shrinkify.scm 46 */
						BgL_objectz00_bglt BgL_objz00_1545;

						BgL_objz00_1545 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Ast/shrinkify.scm 46 */
							long BgL_objzd2classzd2numz00_1546;

							{	/* Ast/shrinkify.scm 46 */
								long BgL_res3613z00_1549;

								BgL_res3613z00_1549 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1545);
								BgL_objzd2classzd2numz00_1546 = BgL_res3613z00_1549;
							}
							{	/* Ast/shrinkify.scm 46 */
								obj_t BgL_arg2545z00_1547;

								BgL_arg2545z00_1547 =
									PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 46 */
									obj_t BgL_arrayz00_1550;
									int BgL_offsetz00_1551;

									BgL_arrayz00_1550 = BgL_arg2545z00_1547;
									BgL_offsetz00_1551 = (int) (BgL_objzd2classzd2numz00_1546);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_offsetz00_1552;

										BgL_offsetz00_1552 =
											((long) (BgL_offsetz00_1551) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 46 */
											long BgL_modz00_1553;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg2547z00_1554;

												BgL_arg2547z00_1554 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res3616z00_1564;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_auxz00_2073;

														BgL_auxz00_2073 = (long) (BgL_arg2547z00_1554);
														BgL_res3616z00_1564 =
															(BgL_offsetz00_1552 / BgL_auxz00_2073);
													}
													BgL_modz00_1553 = BgL_res3616z00_1564;
											}}
											{	/* Ast/shrinkify.scm 46 */
												long BgL_restz00_1555;

												{	/* Ast/shrinkify.scm 46 */
													int BgL_arg2546z00_1556;

													BgL_arg2546z00_1556 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 46 */
														long BgL_res3618z00_1568;

														{	/* Ast/shrinkify.scm 46 */
															long BgL_auxz00_2077;

															BgL_auxz00_2077 = (long) (BgL_arg2546z00_1556);
															BgL_res3618z00_1568 =
																(BgL_offsetz00_1552 % BgL_auxz00_2077);
														}
														BgL_restz00_1555 = BgL_res3618z00_1568;
												}}
												{	/* Ast/shrinkify.scm 46 */

													BgL_res3619z00_1573 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1550,
															(int) (BgL_modz00_1553)),
														(int) (BgL_restz00_1555));
					}}}}}}}}
					BgL_method3403z00_1285 = BgL_res3619z00_1573;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_1835;

					BgL_xz00_1835 =
						PROCEDURE_ENTRY(BgL_method3403z00_1285) (BgL_method3403z00_1285,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_1744,
		obj_t BgL_nodez00_1745)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_1745));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc3650z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc3652z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc3653z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3654z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc3655z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3656z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3657z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc3658z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc3659z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc3660z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3661z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc3662z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_selectz00zzast_nodez00, BGl_proc3663z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3664z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3665z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3666z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3667z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3668z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3669z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3670z00zzast_shrinkifyz00,
				BGl_string3651z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!-jump-ex3447 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex3447za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1766, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1767)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 213 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1462;

				BgL_nodez00_1462 = BgL_nodez00_1767;
				{	/* Ast/shrinkify.scm 214 */
					BgL_nodez00_bglt BgL_arg3595z00_1465;

					BgL_arg3595z00_1465 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1462)))->BgL_exitz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3595z00_1465);
				}
				{	/* Ast/shrinkify.scm 215 */
					BgL_nodez00_bglt BgL_arg3596z00_1466;

					BgL_arg3596z00_1466 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1462)))->BgL_valuez00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3596z00_1466);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-set-ex-3445 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd23445z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1768, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1769)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 204 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1455;

				BgL_nodez00_1455 = BgL_nodez00_1769;
				{	/* Ast/shrinkify.scm 206 */
					BgL_varz00_bglt BgL_arg3593z00_1459;

					BgL_arg3593z00_1459 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1455)))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg3593z00_1459));
				}
				{	/* Ast/shrinkify.scm 207 */
					BgL_nodez00_bglt BgL_arg3594z00_1460;

					BgL_arg3594z00_1460 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1455)))->BgL_bodyz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3594z00_1460);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-var3443 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var3443za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1770, BgL_letzd2varzd2_bglt BgL_nodez00_1771)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 192 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1439;

				BgL_nodez00_1439 = BgL_nodez00_1771;
				{	/* Ast/shrinkify.scm 194 */
					BgL_nodez00_bglt BgL_arg3587z00_1443;

					BgL_arg3587z00_1443 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1439)))->BgL_bodyz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3587z00_1443);
				}
				{	/* Ast/shrinkify.scm 195 */
					obj_t BgL_g3397z00_1444;

					BgL_g3397z00_1444 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1439)))->BgL_bindingsz00);
					{
						obj_t BgL_l3395z00_1446;

						BgL_l3395z00_1446 = BgL_g3397z00_1444;
					BgL_zc3anonymousza33588ze3z83_1447:
						if (PAIRP(BgL_l3395z00_1446))
							{	/* Ast/shrinkify.scm 195 */
								{	/* Ast/shrinkify.scm 196 */
									obj_t BgL_bindingz00_1449;

									BgL_bindingz00_1449 = CAR(BgL_l3395z00_1446);
									{	/* Ast/shrinkify.scm 196 */
										obj_t BgL_arg3590z00_1450;

										BgL_arg3590z00_1450 = CAR(BgL_bindingz00_1449);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
											((BgL_variablez00_bglt) BgL_arg3590z00_1450));
									}
									{	/* Ast/shrinkify.scm 197 */
										obj_t BgL_arg3591z00_1451;

										BgL_arg3591z00_1451 = CDR(BgL_bindingz00_1449);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg3591z00_1451));
									}
								}
								{
									obj_t BgL_l3395z00_2138;

									BgL_l3395z00_2138 = CDR(BgL_l3395z00_1446);
									BgL_l3395z00_1446 = BgL_l3395z00_2138;
									goto BgL_zc3anonymousza33588ze3z83_1447;
								}
							}
						else
							{	/* Ast/shrinkify.scm 195 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-fun3437 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun3437za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1772, BgL_letzd2funzd2_bglt BgL_nodez00_1773)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 178 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1415;

				BgL_nodez00_1415 = BgL_nodez00_1773;
				{	/* Ast/shrinkify.scm 180 */
					BgL_nodez00_bglt BgL_arg3578z00_1419;

					BgL_arg3578z00_1419 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1415)))->BgL_bodyz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3578z00_1419);
				}
				{	/* Ast/shrinkify.scm 181 */
					obj_t BgL_g3394z00_1420;

					BgL_g3394z00_1420 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1415)))->BgL_localsz00);
					{
						obj_t BgL_l3392z00_1422;

						BgL_l3392z00_1422 = BgL_g3394z00_1420;
					BgL_zc3anonymousza33579ze3z83_1423:
						if (PAIRP(BgL_l3392z00_1422))
							{	/* Ast/shrinkify.scm 181 */
								{	/* Ast/shrinkify.scm 182 */
									obj_t BgL_localz00_1425;

									BgL_localz00_1425 = CAR(BgL_l3392z00_1422);
									{	/* Ast/shrinkify.scm 182 */
										BgL_valuez00_bglt BgL_sfunz00_1426;

										{	/* Ast/shrinkify.scm 182 */
											BgL_variablez00_bglt BgL_obj1612z00_1714;

											BgL_obj1612z00_1714 =
												((BgL_variablez00_bglt) BgL_localz00_1425);
											BgL_sfunz00_1426 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1714)))->BgL_valuez00);
										}
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
											((BgL_variablez00_bglt) BgL_localz00_1425));
										{	/* Ast/shrinkify.scm 184 */
											obj_t BgL_g3391z00_1427;

											{	/* Ast/shrinkify.scm 184 */
												BgL_sfunz00_bglt BgL_obj1920z00_1715;

												BgL_obj1920z00_1715 =
													((BgL_sfunz00_bglt) BgL_sfunz00_1426);
												BgL_g3391z00_1427 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1920z00_1715)))->BgL_argsz00);
											}
											{
												obj_t BgL_l3389z00_1429;

												BgL_l3389z00_1429 = BgL_g3391z00_1427;
											BgL_zc3anonymousza33581ze3z83_1430:
												if (PAIRP(BgL_l3389z00_1429))
													{	/* Ast/shrinkify.scm 184 */
														{	/* Ast/shrinkify.scm 184 */
															obj_t BgL_arg3583z00_1432;

															BgL_arg3583z00_1432 = CAR(BgL_l3389z00_1429);
															BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
																((BgL_variablez00_bglt) BgL_arg3583z00_1432));
														}
														{
															obj_t BgL_l3389z00_2161;

															BgL_l3389z00_2161 = CDR(BgL_l3389z00_1429);
															BgL_l3389z00_1429 = BgL_l3389z00_2161;
															goto BgL_zc3anonymousza33581ze3z83_1430;
														}
													}
												else
													{	/* Ast/shrinkify.scm 184 */
														((bool_t) 1);
													}
											}
										}
										{	/* Ast/shrinkify.scm 185 */
											obj_t BgL_arg3585z00_1435;

											{	/* Ast/shrinkify.scm 185 */
												BgL_sfunz00_bglt BgL_obj1924z00_1720;

												BgL_obj1924z00_1720 =
													((BgL_sfunz00_bglt) BgL_sfunz00_1426);
												BgL_arg3585z00_1435 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1924z00_1720)))->BgL_bodyz00);
											}
											BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
												((BgL_nodez00_bglt) BgL_arg3585z00_1435));
										}
									}
								}
								{
									obj_t BgL_l3392z00_2168;

									BgL_l3392z00_2168 = CDR(BgL_l3392z00_1422);
									BgL_l3392z00_1422 = BgL_l3392z00_2168;
									goto BgL_zc3anonymousza33579ze3z83_1423;
								}
							}
						else
							{	/* Ast/shrinkify.scm 181 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-set3435 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set3435za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1774, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1775)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 169 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1404;

				BgL_nodez00_1404 = BgL_nodez00_1775;
				{	/* Ast/shrinkify.scm 170 */
					bool_t BgL_testz00_2170;

					{	/* Ast/shrinkify.scm 170 */
						bool_t BgL_testz00_2171;

						{	/* Ast/shrinkify.scm 170 */
							obj_t BgL_auxz00_2172;

							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_2173;

								BgL_auxz00_2173 = ((BgL_objectz00_bglt) BgL_nodez00_1404);
								BgL_auxz00_2172 = BGL_OBJECT_WIDENING(BgL_auxz00_2173);
							}
							BgL_testz00_2171 = CBOOL(BgL_auxz00_2172);
						}
						if (BgL_testz00_2171)
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_2170 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_2170 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2170)
						{	/* Ast/shrinkify.scm 170 */
							{	/* Ast/shrinkify.scm 170 */
								long BgL_arg3573z00_1409;

								{	/* Ast/shrinkify.scm 170 */
									obj_t BgL_arg3574z00_1410;

									{	/* Ast/shrinkify.scm 170 */
										obj_t BgL_arg3575z00_1411;

										{	/* Ast/shrinkify.scm 170 */
											BgL_objectz00_bglt BgL_objectz00_1695;

											BgL_objectz00_1695 =
												((BgL_objectz00_bglt) BgL_nodez00_1404);
											{	/* Ast/shrinkify.scm 170 */
												long BgL_arg2548z00_1696;

												{	/* Ast/shrinkify.scm 170 */
													long BgL_arg2549z00_1697;

													{	/* Ast/shrinkify.scm 170 */
														long BgL_res3640z00_1699;

														BgL_res3640z00_1699 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1695);
														BgL_arg2549z00_1697 = BgL_res3640z00_1699;
													}
													BgL_arg2548z00_1696 =
														(BgL_arg2549z00_1697 - OBJECT_TYPE);
												}
												BgL_arg3575z00_1411 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1696));
										}}
										BgL_arg3574z00_1410 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3575z00_1411);
									}
									BgL_arg3573z00_1409 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3574z00_1410);
								}
								{	/* Ast/shrinkify.scm 170 */
									BgL_objectz00_bglt BgL_objz00_1705;

									BgL_objz00_1705 = ((BgL_objectz00_bglt) BgL_nodez00_1404);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1705,
										BgL_arg3573z00_1409);
							}}
							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_2186;

								BgL_auxz00_2186 = ((BgL_objectz00_bglt) BgL_nodez00_1404);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2186, BFALSE);
							}
							((obj_t) BgL_nodez00_1404);
						}
					else
						{	/* Ast/shrinkify.scm 170 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 171 */
					BgL_varz00_bglt BgL_arg3576z00_1412;

					BgL_arg3576z00_1412 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1404)))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg3576z00_1412));
				}
				{	/* Ast/shrinkify.scm 172 */
					BgL_nodez00_bglt BgL_arg3577z00_1413;

					BgL_arg3577z00_1413 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1404)))->BgL_valuez00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3577z00_1413);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-ref3433 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref3433za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1776, BgL_boxzd2refzd2_bglt BgL_nodez00_1777)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 161 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1394;

				BgL_nodez00_1394 = BgL_nodez00_1777;
				{	/* Ast/shrinkify.scm 162 */
					bool_t BgL_testz00_2197;

					{	/* Ast/shrinkify.scm 162 */
						bool_t BgL_testz00_2198;

						{	/* Ast/shrinkify.scm 162 */
							obj_t BgL_auxz00_2199;

							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_2200;

								BgL_auxz00_2200 = ((BgL_objectz00_bglt) BgL_nodez00_1394);
								BgL_auxz00_2199 = BGL_OBJECT_WIDENING(BgL_auxz00_2200);
							}
							BgL_testz00_2198 = CBOOL(BgL_auxz00_2199);
						}
						if (BgL_testz00_2198)
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_2197 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_2197 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2197)
						{	/* Ast/shrinkify.scm 162 */
							{	/* Ast/shrinkify.scm 162 */
								long BgL_arg3568z00_1399;

								{	/* Ast/shrinkify.scm 162 */
									obj_t BgL_arg3569z00_1400;

									{	/* Ast/shrinkify.scm 162 */
										obj_t BgL_arg3570z00_1401;

										{	/* Ast/shrinkify.scm 162 */
											BgL_objectz00_bglt BgL_objectz00_1679;

											BgL_objectz00_1679 =
												((BgL_objectz00_bglt) BgL_nodez00_1394);
											{	/* Ast/shrinkify.scm 162 */
												long BgL_arg2548z00_1680;

												{	/* Ast/shrinkify.scm 162 */
													long BgL_arg2549z00_1681;

													{	/* Ast/shrinkify.scm 162 */
														long BgL_res3637z00_1683;

														BgL_res3637z00_1683 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1679);
														BgL_arg2549z00_1681 = BgL_res3637z00_1683;
													}
													BgL_arg2548z00_1680 =
														(BgL_arg2549z00_1681 - OBJECT_TYPE);
												}
												BgL_arg3570z00_1401 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1680));
										}}
										BgL_arg3569z00_1400 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3570z00_1401);
									}
									BgL_arg3568z00_1399 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3569z00_1400);
								}
								{	/* Ast/shrinkify.scm 162 */
									BgL_objectz00_bglt BgL_objz00_1689;

									BgL_objz00_1689 = ((BgL_objectz00_bglt) BgL_nodez00_1394);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1689,
										BgL_arg3568z00_1399);
							}}
							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_2213;

								BgL_auxz00_2213 = ((BgL_objectz00_bglt) BgL_nodez00_1394);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2213, BFALSE);
							}
							((obj_t) BgL_nodez00_1394);
						}
					else
						{	/* Ast/shrinkify.scm 162 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 163 */
					BgL_varz00_bglt BgL_arg3571z00_1402;

					BgL_arg3571z00_1402 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1394)))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg3571z00_1402));
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-make-bo3431 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo3431za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1778, BgL_makezd2boxzd2_bglt BgL_nodez00_1779)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 153 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1384;

				BgL_nodez00_1384 = BgL_nodez00_1779;
				{	/* Ast/shrinkify.scm 154 */
					bool_t BgL_testz00_2221;

					{	/* Ast/shrinkify.scm 154 */
						bool_t BgL_testz00_2222;

						{	/* Ast/shrinkify.scm 154 */
							obj_t BgL_auxz00_2223;

							{	/* Ast/shrinkify.scm 154 */
								BgL_objectz00_bglt BgL_auxz00_2224;

								BgL_auxz00_2224 = ((BgL_objectz00_bglt) BgL_nodez00_1384);
								BgL_auxz00_2223 = BGL_OBJECT_WIDENING(BgL_auxz00_2224);
							}
							BgL_testz00_2222 = CBOOL(BgL_auxz00_2223);
						}
						if (BgL_testz00_2222)
							{	/* Ast/shrinkify.scm 154 */
								BgL_testz00_2221 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 154 */
								BgL_testz00_2221 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2221)
						{	/* Ast/shrinkify.scm 154 */
							{	/* Ast/shrinkify.scm 154 */
								long BgL_arg3562z00_1389;

								{	/* Ast/shrinkify.scm 154 */
									obj_t BgL_arg3563z00_1390;

									{	/* Ast/shrinkify.scm 154 */
										obj_t BgL_arg3565z00_1391;

										{	/* Ast/shrinkify.scm 154 */
											BgL_objectz00_bglt BgL_objectz00_1663;

											BgL_objectz00_1663 =
												((BgL_objectz00_bglt) BgL_nodez00_1384);
											{	/* Ast/shrinkify.scm 154 */
												long BgL_arg2548z00_1664;

												{	/* Ast/shrinkify.scm 154 */
													long BgL_arg2549z00_1665;

													{	/* Ast/shrinkify.scm 154 */
														long BgL_res3634z00_1667;

														BgL_res3634z00_1667 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1663);
														BgL_arg2549z00_1665 = BgL_res3634z00_1667;
													}
													BgL_arg2548z00_1664 =
														(BgL_arg2549z00_1665 - OBJECT_TYPE);
												}
												BgL_arg3565z00_1391 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1664));
										}}
										BgL_arg3563z00_1390 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3565z00_1391);
									}
									BgL_arg3562z00_1389 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3563z00_1390);
								}
								{	/* Ast/shrinkify.scm 154 */
									BgL_objectz00_bglt BgL_objz00_1673;

									BgL_objz00_1673 = ((BgL_objectz00_bglt) BgL_nodez00_1384);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1673,
										BgL_arg3562z00_1389);
							}}
							{	/* Ast/shrinkify.scm 154 */
								BgL_objectz00_bglt BgL_auxz00_2237;

								BgL_auxz00_2237 = ((BgL_objectz00_bglt) BgL_nodez00_1384);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2237, BFALSE);
							}
							((obj_t) BgL_nodez00_1384);
						}
					else
						{	/* Ast/shrinkify.scm 154 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 155 */
					BgL_nodez00_bglt BgL_arg3566z00_1392;

					BgL_arg3566z00_1392 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1384)))->BgL_valuez00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3566z00_1392);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-select3429 */
	obj_t BGl_z62shrinkzd2nodez12zd2select3429z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1780, BgL_selectz00_bglt BgL_nodez00_1781)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 143 */
			{
				BgL_selectz00_bglt BgL_nodez00_1370;

				BgL_nodez00_1370 = BgL_nodez00_1781;
				{	/* Ast/shrinkify.scm 144 */
					BgL_nodez00_bglt BgL_arg3556z00_1373;

					BgL_arg3556z00_1373 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1370)))->BgL_testz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3556z00_1373);
				}
				{	/* Ast/shrinkify.scm 145 */
					obj_t BgL_g3388z00_1374;

					BgL_g3388z00_1374 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1370)))->BgL_clausesz00);
					{
						obj_t BgL_l3386z00_1376;

						BgL_l3386z00_1376 = BgL_g3388z00_1374;
					BgL_zc3anonymousza33557ze3z83_1377:
						if (PAIRP(BgL_l3386z00_1376))
							{	/* Ast/shrinkify.scm 147 */
								{	/* Ast/shrinkify.scm 146 */
									obj_t BgL_clausez00_1379;

									BgL_clausez00_1379 = CAR(BgL_l3386z00_1376);
									{	/* Ast/shrinkify.scm 146 */
										obj_t BgL_arg3559z00_1380;

										BgL_arg3559z00_1380 = CDR(BgL_clausez00_1379);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg3559z00_1380));
									}
								}
								{
									obj_t BgL_l3386z00_2255;

									BgL_l3386z00_2255 = CDR(BgL_l3386z00_1376);
									BgL_l3386z00_1376 = BgL_l3386z00_2255;
									goto BgL_zc3anonymousza33557ze3z83_1377;
								}
							}
						else
							{	/* Ast/shrinkify.scm 147 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-fail3427 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail3427z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1782, BgL_failz00_bglt BgL_nodez00_1783)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 134 */
			{
				BgL_failz00_bglt BgL_nodez00_1363;

				BgL_nodez00_1363 = BgL_nodez00_1783;
				{	/* Ast/shrinkify.scm 135 */
					BgL_nodez00_bglt BgL_arg3553z00_1366;

					BgL_arg3553z00_1366 =
						(((BgL_failz00_bglt) CREF(
								((obj_t) BgL_nodez00_1363)))->BgL_procz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3553z00_1366);
				}
				{	/* Ast/shrinkify.scm 136 */
					BgL_nodez00_bglt BgL_arg3554z00_1367;

					BgL_arg3554z00_1367 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1363)))->BgL_msgz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3554z00_1367);
				}
				{	/* Ast/shrinkify.scm 137 */
					BgL_nodez00_bglt BgL_arg3555z00_1368;

					BgL_arg3555z00_1368 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1363)))->BgL_objz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3555z00_1368);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-conditi3425 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi3425z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1784, BgL_conditionalz00_bglt BgL_nodez00_1785)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 125 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1356;

				BgL_nodez00_1356 = BgL_nodez00_1785;
				{	/* Ast/shrinkify.scm 126 */
					BgL_nodez00_bglt BgL_arg3550z00_1359;

					BgL_arg3550z00_1359 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1356)))->BgL_testz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3550z00_1359);
				}
				{	/* Ast/shrinkify.scm 127 */
					BgL_nodez00_bglt BgL_arg3551z00_1360;

					BgL_arg3551z00_1360 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1356)))->BgL_truez00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3551z00_1360);
				}
				{	/* Ast/shrinkify.scm 128 */
					BgL_nodez00_bglt BgL_arg3552z00_1361;

					BgL_arg3552z00_1361 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1356)))->BgL_falsez00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3552z00_1361);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-setq3423 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq3423z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1786, BgL_setqz00_bglt BgL_nodez00_1787)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 118 */
			{
				BgL_setqz00_bglt BgL_nodez00_1351;

				BgL_nodez00_1351 = BgL_nodez00_1787;
				{	/* Ast/shrinkify.scm 119 */
					BgL_nodez00_bglt BgL_arg3549z00_1645;

					BgL_arg3549z00_1645 =
						(((BgL_setqz00_bglt) CREF(
								((obj_t) BgL_nodez00_1351)))->BgL_valuez00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3549z00_1645);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-cast3421 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast3421z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1788, BgL_castz00_bglt BgL_nodez00_1789)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 111 */
			{
				BgL_castz00_bglt BgL_nodez00_1346;

				BgL_nodez00_1346 = BgL_nodez00_1789;
				{	/* Ast/shrinkify.scm 112 */
					BgL_nodez00_bglt BgL_arg3548z00_1643;

					BgL_arg3548z00_1643 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1346)))->BgL_argz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3548z00_1643);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-extern3419 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern3419z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1790, BgL_externz00_bglt BgL_nodez00_1791)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 103 */
			{
				BgL_externz00_bglt BgL_nodez00_1336;

				BgL_nodez00_1336 = BgL_nodez00_1791;
				{	/* Ast/shrinkify.scm 104 */
					bool_t BgL_testz00_2281;

					{	/* Ast/shrinkify.scm 104 */
						bool_t BgL_testz00_2282;

						{	/* Ast/shrinkify.scm 104 */
							obj_t BgL_auxz00_2283;

							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_2284;

								BgL_auxz00_2284 = ((BgL_objectz00_bglt) BgL_nodez00_1336);
								BgL_auxz00_2283 = BGL_OBJECT_WIDENING(BgL_auxz00_2284);
							}
							BgL_testz00_2282 = CBOOL(BgL_auxz00_2283);
						}
						if (BgL_testz00_2282)
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_2281 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_2281 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2281)
						{	/* Ast/shrinkify.scm 104 */
							{	/* Ast/shrinkify.scm 104 */
								long BgL_arg3544z00_1341;

								{	/* Ast/shrinkify.scm 104 */
									obj_t BgL_arg3545z00_1342;

									{	/* Ast/shrinkify.scm 104 */
										obj_t BgL_arg3546z00_1343;

										{	/* Ast/shrinkify.scm 104 */
											BgL_objectz00_bglt BgL_objectz00_1630;

											BgL_objectz00_1630 =
												((BgL_objectz00_bglt) BgL_nodez00_1336);
											{	/* Ast/shrinkify.scm 104 */
												long BgL_arg2548z00_1631;

												{	/* Ast/shrinkify.scm 104 */
													long BgL_arg2549z00_1632;

													{	/* Ast/shrinkify.scm 104 */
														long BgL_res3630z00_1634;

														BgL_res3630z00_1634 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1630);
														BgL_arg2549z00_1632 = BgL_res3630z00_1634;
													}
													BgL_arg2548z00_1631 =
														(BgL_arg2549z00_1632 - OBJECT_TYPE);
												}
												BgL_arg3546z00_1343 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1631));
										}}
										BgL_arg3545z00_1342 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3546z00_1343);
									}
									BgL_arg3544z00_1341 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3545z00_1342);
								}
								{	/* Ast/shrinkify.scm 104 */
									BgL_objectz00_bglt BgL_objz00_1640;

									BgL_objz00_1640 = ((BgL_objectz00_bglt) BgL_nodez00_1336);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1640,
										BgL_arg3544z00_1341);
							}}
							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_2297;

								BgL_auxz00_2297 = ((BgL_objectz00_bglt) BgL_nodez00_1336);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2297, BFALSE);
							}
							((obj_t) BgL_nodez00_1336);
						}
					else
						{	/* Ast/shrinkify.scm 104 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 105 */
					obj_t BgL_arg3547z00_1344;

					BgL_arg3547z00_1344 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1336)))->BgL_exprza2za2);
					BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3547z00_1344);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-funcall3417 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall3417z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1792, BgL_funcallz00_bglt BgL_nodez00_1793)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 94 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1325;

				BgL_nodez00_1325 = BgL_nodez00_1793;
				{	/* Ast/shrinkify.scm 95 */
					bool_t BgL_testz00_2304;

					{	/* Ast/shrinkify.scm 95 */
						bool_t BgL_testz00_2305;

						{	/* Ast/shrinkify.scm 95 */
							obj_t BgL_auxz00_2306;

							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_2307;

								BgL_auxz00_2307 = ((BgL_objectz00_bglt) BgL_nodez00_1325);
								BgL_auxz00_2306 = BGL_OBJECT_WIDENING(BgL_auxz00_2307);
							}
							BgL_testz00_2305 = CBOOL(BgL_auxz00_2306);
						}
						if (BgL_testz00_2305)
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_2304 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_2304 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2304)
						{	/* Ast/shrinkify.scm 95 */
							{	/* Ast/shrinkify.scm 95 */
								long BgL_arg3538z00_1330;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg3539z00_1331;

									{	/* Ast/shrinkify.scm 95 */
										obj_t BgL_arg3540z00_1332;

										{	/* Ast/shrinkify.scm 95 */
											BgL_objectz00_bglt BgL_objectz00_1613;

											BgL_objectz00_1613 =
												((BgL_objectz00_bglt) BgL_nodez00_1325);
											{	/* Ast/shrinkify.scm 95 */
												long BgL_arg2548z00_1614;

												{	/* Ast/shrinkify.scm 95 */
													long BgL_arg2549z00_1615;

													{	/* Ast/shrinkify.scm 95 */
														long BgL_res3627z00_1617;

														BgL_res3627z00_1617 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1613);
														BgL_arg2549z00_1615 = BgL_res3627z00_1617;
													}
													BgL_arg2548z00_1614 =
														(BgL_arg2549z00_1615 - OBJECT_TYPE);
												}
												BgL_arg3540z00_1332 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1614));
										}}
										BgL_arg3539z00_1331 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3540z00_1332);
									}
									BgL_arg3538z00_1330 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3539z00_1331);
								}
								{	/* Ast/shrinkify.scm 95 */
									BgL_objectz00_bglt BgL_objz00_1623;

									BgL_objz00_1623 = ((BgL_objectz00_bglt) BgL_nodez00_1325);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1623,
										BgL_arg3538z00_1330);
							}}
							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_2320;

								BgL_auxz00_2320 = ((BgL_objectz00_bglt) BgL_nodez00_1325);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2320, BFALSE);
							}
							((obj_t) BgL_nodez00_1325);
						}
					else
						{	/* Ast/shrinkify.scm 95 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 96 */
					BgL_nodez00_bglt BgL_arg3541z00_1333;

					BgL_arg3541z00_1333 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1325)))->BgL_funz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3541z00_1333);
				}
				{	/* Ast/shrinkify.scm 97 */
					obj_t BgL_arg3542z00_1334;

					BgL_arg3542z00_1334 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1325)))->BgL_argsz00);
					BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3542z00_1334);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app-ly3415 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly3415za2zzast_shrinkifyz00(obj_t
		BgL_envz00_1794, BgL_appzd2lyzd2_bglt BgL_nodez00_1795)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 85 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1314;

				BgL_nodez00_1314 = BgL_nodez00_1795;
				{	/* Ast/shrinkify.scm 86 */
					bool_t BgL_testz00_2330;

					{	/* Ast/shrinkify.scm 86 */
						bool_t BgL_testz00_2331;

						{	/* Ast/shrinkify.scm 86 */
							obj_t BgL_auxz00_2332;

							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_2333;

								BgL_auxz00_2333 = ((BgL_objectz00_bglt) BgL_nodez00_1314);
								BgL_auxz00_2332 = BGL_OBJECT_WIDENING(BgL_auxz00_2333);
							}
							BgL_testz00_2331 = CBOOL(BgL_auxz00_2332);
						}
						if (BgL_testz00_2331)
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_2330 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_2330 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2330)
						{	/* Ast/shrinkify.scm 86 */
							{	/* Ast/shrinkify.scm 86 */
								long BgL_arg3532z00_1319;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg3533z00_1320;

									{	/* Ast/shrinkify.scm 86 */
										obj_t BgL_arg3534z00_1321;

										{	/* Ast/shrinkify.scm 86 */
											BgL_objectz00_bglt BgL_objectz00_1596;

											BgL_objectz00_1596 =
												((BgL_objectz00_bglt) BgL_nodez00_1314);
											{	/* Ast/shrinkify.scm 86 */
												long BgL_arg2548z00_1597;

												{	/* Ast/shrinkify.scm 86 */
													long BgL_arg2549z00_1598;

													{	/* Ast/shrinkify.scm 86 */
														long BgL_res3624z00_1600;

														BgL_res3624z00_1600 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1596);
														BgL_arg2549z00_1598 = BgL_res3624z00_1600;
													}
													BgL_arg2548z00_1597 =
														(BgL_arg2549z00_1598 - OBJECT_TYPE);
												}
												BgL_arg3534z00_1321 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1597));
										}}
										BgL_arg3533z00_1320 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3534z00_1321);
									}
									BgL_arg3532z00_1319 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3533z00_1320);
								}
								{	/* Ast/shrinkify.scm 86 */
									BgL_objectz00_bglt BgL_objz00_1606;

									BgL_objz00_1606 = ((BgL_objectz00_bglt) BgL_nodez00_1314);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1606,
										BgL_arg3532z00_1319);
							}}
							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_2346;

								BgL_auxz00_2346 = ((BgL_objectz00_bglt) BgL_nodez00_1314);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2346, BFALSE);
							}
							((obj_t) BgL_nodez00_1314);
						}
					else
						{	/* Ast/shrinkify.scm 86 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 87 */
					BgL_nodez00_bglt BgL_arg3535z00_1322;

					BgL_arg3535z00_1322 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1314)))->BgL_funz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3535z00_1322);
				}
				{	/* Ast/shrinkify.scm 88 */
					BgL_nodez00_bglt BgL_arg3536z00_1323;

					BgL_arg3536z00_1323 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1314)))->BgL_argz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_arg3536z00_1323);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app3413 */
	obj_t BGl_z62shrinkzd2nodez12zd2app3413z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1796, BgL_appz00_bglt BgL_nodez00_1797)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 76 */
			{
				BgL_appz00_bglt BgL_nodez00_1303;

				BgL_nodez00_1303 = BgL_nodez00_1797;
				{	/* Ast/shrinkify.scm 77 */
					bool_t BgL_testz00_2356;

					{	/* Ast/shrinkify.scm 77 */
						bool_t BgL_testz00_2357;

						{	/* Ast/shrinkify.scm 77 */
							obj_t BgL_auxz00_2358;

							{	/* Ast/shrinkify.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_2359;

								BgL_auxz00_2359 = ((BgL_objectz00_bglt) BgL_nodez00_1303);
								BgL_auxz00_2358 = BGL_OBJECT_WIDENING(BgL_auxz00_2359);
							}
							BgL_testz00_2357 = CBOOL(BgL_auxz00_2358);
						}
						if (BgL_testz00_2357)
							{	/* Ast/shrinkify.scm 77 */
								BgL_testz00_2356 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 77 */
								BgL_testz00_2356 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2356)
						{	/* Ast/shrinkify.scm 77 */
							{	/* Ast/shrinkify.scm 77 */
								long BgL_arg3526z00_1308;

								{	/* Ast/shrinkify.scm 77 */
									obj_t BgL_arg3527z00_1309;

									{	/* Ast/shrinkify.scm 77 */
										obj_t BgL_arg3528z00_1310;

										{	/* Ast/shrinkify.scm 77 */
											BgL_objectz00_bglt BgL_objectz00_1579;

											BgL_objectz00_1579 =
												((BgL_objectz00_bglt) BgL_nodez00_1303);
											{	/* Ast/shrinkify.scm 77 */
												long BgL_arg2548z00_1580;

												{	/* Ast/shrinkify.scm 77 */
													long BgL_arg2549z00_1581;

													{	/* Ast/shrinkify.scm 77 */
														long BgL_res3621z00_1583;

														BgL_res3621z00_1583 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1579);
														BgL_arg2549z00_1581 = BgL_res3621z00_1583;
													}
													BgL_arg2548z00_1580 =
														(BgL_arg2549z00_1581 - OBJECT_TYPE);
												}
												BgL_arg3528z00_1310 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_1580));
										}}
										BgL_arg3527z00_1309 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3528z00_1310);
									}
									BgL_arg3526z00_1308 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3527z00_1309);
								}
								{	/* Ast/shrinkify.scm 77 */
									BgL_objectz00_bglt BgL_objz00_1589;

									BgL_objz00_1589 = ((BgL_objectz00_bglt) BgL_nodez00_1303);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1589,
										BgL_arg3526z00_1308);
							}}
							{	/* Ast/shrinkify.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_2372;

								BgL_auxz00_2372 = ((BgL_objectz00_bglt) BgL_nodez00_1303);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2372, BFALSE);
							}
							((obj_t) BgL_nodez00_1303);
						}
					else
						{	/* Ast/shrinkify.scm 77 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 78 */
					BgL_varz00_bglt BgL_arg3529z00_1311;

					BgL_arg3529z00_1311 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1303)))->BgL_funz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg3529z00_1311));
				}
				{	/* Ast/shrinkify.scm 79 */
					obj_t BgL_arg3530z00_1312;

					BgL_arg3530z00_1312 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1303)))->BgL_argsz00);
					BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3530z00_1312);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sequenc3411 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc3411z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1798, BgL_sequencez00_bglt BgL_nodez00_1799)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 69 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1298;

				BgL_nodez00_1298 = BgL_nodez00_1799;
				{	/* Ast/shrinkify.scm 70 */
					obj_t BgL_arg3524z00_1574;

					BgL_arg3524z00_1574 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1298)))->BgL_nodesz00);
					BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3524z00_1574);
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-kwote3409 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote3409z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1800, BgL_kwotez00_bglt BgL_nodez00_1801)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-var3407 */
	obj_t BGl_z62shrinkzd2nodez12zd2var3407z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1802, BgL_varz00_bglt BgL_nodez00_1803)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-atom3405 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom3405z70zzast_shrinkifyz00(obj_t
		BgL_envz00_1804, BgL_atomz00_bglt BgL_nodez00_1805)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3671z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3671z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3671z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3671z00zzast_shrinkifyz00));
		}
	}

#ifdef __cplusplus
}
#endif
