/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/substitute.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq3425z70zzast_substitutez00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque3413z70zzast_substitutez00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var3409z70zzast_substitutez00(obj_t,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom3407z70zzast_substitutez00(obj_t,
		BgL_atomz00_bglt, obj_t);
	static obj_t BGl_z62dozd2substitutez123404za2zzast_substitutez00(obj_t,
		BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e3437za2zzast_substitutez00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter3421z70zzast_substitutez00(obj_t,
		BgL_externz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi3427z70zzast_substitutez00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r3447za2zzast_substitutez00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f3433za2zzast_substitutez00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v3435za2zzast_substitutez00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail3429z70zzast_substitutez00(obj_t,
		BgL_failz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd23443za2zzast_substitutez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s3449za2zzast_substitutez00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_substitutez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd23445za2zzast_substitutez00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app3415z70zzast_substitutez00(obj_t,
		BgL_appz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l3417za2zzast_substitutez00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2selec3431z70zzast_substitutez00(obj_t,
		BgL_selectz00_bglt, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca3419z70zzast_substitutez00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote3411z70zzast_substitutez00(obj_t,
		BgL_kwotez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast3423z70zzast_substitutez00(obj_t,
		BgL_castz00_bglt, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string3650z00zzast_substitutez00,
		BgL_bgl_string3650za700za7za7a3681za7, "do-substitute!3404", 18);
	      DEFINE_STRING(BGl_string3651z00zzast_substitutez00,
		BgL_bgl_string3651za700za7za7a3682za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3653z00zzast_substitutez00,
		BgL_bgl_string3653za700za7za7a3683za7, "do-substitute!", 14);
	      DEFINE_STRING(BGl_string3673z00zzast_substitutez00,
		BgL_bgl_string3673za700za7za7a3684za7, "Illegal application", 19);
	      DEFINE_STRING(BGl_string3674z00zzast_substitutez00,
		BgL_bgl_string3674za700za7za7a3685za7, "wrong number of argument(s)", 27);
	      DEFINE_STRING(BGl_string3675z00zzast_substitutez00,
		BgL_bgl_string3675za700za7za7a3686za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string3676z00zzast_substitutez00,
		BgL_bgl_string3676za700za7za7a3687za7, "Illegal substitution", 20);
	      DEFINE_STRING(BGl_string3677z00zzast_substitutez00,
		BgL_bgl_string3677za700za7za7a3688za7, "ast_substitute", 14);
	      DEFINE_STRING(BGl_string3678z00zzast_substitutez00,
		BgL_bgl_string3678za700za7za7a3689za7,
		"apply funcall set! app do-substitute!3404 value done ", 53);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3690z00,
		BGl_z62dozd2substitutez12za2zzast_substitutez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl_za762substituteza7123691z00,
		BGl_z62substitutez12z70zzast_substitutez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3649z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3692z00,
		BGl_z62dozd2substitutez123404za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3652z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3693z00,
		BGl_z62dozd2substitutez12zd2atom3407z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3654z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3694z00,
		BGl_z62dozd2substitutez12zd2var3409z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3655z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3695z00,
		BGl_z62dozd2substitutez12zd2kwote3411z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3656z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3696z00,
		BGl_z62dozd2substitutez12zd2seque3413z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3657z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3697z00,
		BGl_z62dozd2substitutez12zd2app3415z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3658z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3698z00,
		BGl_z62dozd2substitutez12zd2appzd2l3417za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3659z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3699z00,
		BGl_z62dozd2substitutez12zd2funca3419z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3660z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3700z00,
		BGl_z62dozd2substitutez12zd2exter3421z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3661z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3701z00,
		BGl_z62dozd2substitutez12zd2cast3423z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3662z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3702z00,
		BGl_z62dozd2substitutez12zd2setq3425z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3663z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3703z00,
		BGl_z62dozd2substitutez12zd2condi3427z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3664z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3704z00,
		BGl_z62dozd2substitutez12zd2fail3429z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3665z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3705z00,
		BGl_z62dozd2substitutez12zd2selec3431z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3666z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3706z00,
		BGl_z62dozd2substitutez12zd2letzd2f3433za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3667z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3707z00,
		BGl_z62dozd2substitutez12zd2letzd2v3435za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3668z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3708z00,
		BGl_z62dozd2substitutez12zd2setzd2e3437za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3669z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3709z00,
		BGl_z62dozd2substitutez12zd2jumpzd23443za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3670z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3710z00,
		BGl_z62dozd2substitutez12zd2makezd23445za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3671z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3711z00,
		BGl_z62dozd2substitutez12zd2boxzd2r3447za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3672z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu3712z00,
		BGl_z62dozd2substitutez12zd2boxzd2s3449za2zzast_substitutez00, 0L, BUNSPEC,
		2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2026, char *BgL_fromz00_2027)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_substitute");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2014;

				BgL_cportz00_2014 =
					bgl_open_input_string(BGl_string3678z00zzast_substitutez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2015;

					BgL_iz00_2015 = ((long) 6);
				BgL_loopz00_2016:
					if ((BgL_iz00_2015 == ((long) -1)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg3680z00_2018;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2020;

										BgL_locationz00_2020 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg3680z00_2018 =
												BGl_readz00zz__readerz00(BgL_cportz00_2014,
												BgL_locationz00_2020);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_auxz00_2045;

									BgL_auxz00_2045 = (int) (BgL_iz00_2015);
									CNST_TABLE_SET(BgL_auxz00_2045, BgL_arg3680z00_2018);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2021;

								BgL_auxz00_2021 = (int) ((BgL_iz00_2015 - ((long) 1)));
								{
									long BgL_iz00_2050;

									BgL_iz00_2050 = (long) (BgL_auxz00_2021);
									BgL_iz00_2015 = BgL_iz00_2050;
									goto BgL_loopz00_2016;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_3,
		obj_t BgL_byza2za2_4, BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll3385z00_867;
				obj_t BgL_ll3386z00_868;

				BgL_ll3385z00_867 = BgL_whatza2za2_3;
				BgL_ll3386z00_868 = BgL_byza2za2_4;
			BgL_zc3anonymousza33453ze3z83_869:
				if (NULLP(BgL_ll3385z00_867))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_871;
							obj_t BgL_byz00_872;

							BgL_whatz00_871 = CAR(BgL_ll3385z00_867);
							BgL_byz00_872 = CAR(BgL_ll3386z00_868);
							{	/* Ast/substitute.scm 39 */
								BgL_variablez00_bglt BgL_obj1620z00_1545;

								BgL_obj1620z00_1545 = ((BgL_variablez00_bglt) BgL_whatz00_871);
								((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1620z00_1545)))->BgL_fastzd2alphazd2) =
									((obj_t) BgL_byz00_872), BUNSPEC);
							}
						}
						{
							obj_t BgL_ll3386z00_2061;
							obj_t BgL_ll3385z00_2059;

							BgL_ll3385z00_2059 = CDR(BgL_ll3385z00_867);
							BgL_ll3386z00_2061 = CDR(BgL_ll3386z00_868);
							BgL_ll3386z00_868 = BgL_ll3386z00_2061;
							BgL_ll3385z00_867 = BgL_ll3385z00_2059;
							goto BgL_zc3anonymousza33453ze3z83_869;
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_876;

				BgL_resz00_876 =
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_5,
					BgL_sitez00_6);
				{
					obj_t BgL_l3388z00_878;

					BgL_l3388z00_878 = BgL_whatza2za2_3;
				BgL_zc3anonymousza33457ze3z83_879:
					if (PAIRP(BgL_l3388z00_878))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_881;

								BgL_whatz00_881 = CAR(BgL_l3388z00_878);
								{	/* Ast/substitute.scm 45 */
									BgL_variablez00_bglt BgL_obj1620z00_1552;

									BgL_obj1620z00_1552 =
										((BgL_variablez00_bglt) BgL_whatz00_881);
									((((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1620z00_1552)))->
											BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
								}
							}
							{
								obj_t BgL_l3388z00_2070;

								BgL_l3388z00_2070 = CDR(BgL_l3388z00_878);
								BgL_l3388z00_878 = BgL_l3388z00_2070;
								goto BgL_zc3anonymousza33457ze3z83_879;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_876;
			}
		}
	}



/* &substitute! */
	BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t
		BgL_envz00_1756, obj_t BgL_whatza2za2_1757, obj_t BgL_byza2za2_1758,
		obj_t BgL_nodez00_1759, obj_t BgL_sitez00_1760)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			return
				BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_1757,
				BgL_byza2za2_1758, ((BgL_nodez00_bglt) BgL_nodez00_1759),
				BgL_sitez00_1760);
		}
	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_49,
		obj_t BgL_sitez00_50)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 271 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_49))
				{	/* Ast/substitute.scm 273 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Ast/substitute.scm 273 */
					if (NULLP(CDR(BgL_nodeza2za2_49)))
						{	/* Ast/substitute.scm 275 */
							{	/* Ast/substitute.scm 276 */
								BgL_nodez00_bglt BgL_arg3462z00_886;

								{	/* Ast/substitute.scm 276 */
									obj_t BgL_arg3463z00_887;

									BgL_arg3463z00_887 = CAR(BgL_nodeza2za2_49);
									BgL_arg3462z00_886 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg3463z00_887), BgL_sitez00_50);
								}
								{	/* Ast/substitute.scm 276 */
									obj_t BgL_pairz00_1561;
									obj_t BgL_objz00_1562;

									BgL_pairz00_1561 = BgL_nodeza2za2_49;
									BgL_objz00_1562 = ((obj_t) BgL_arg3462z00_886);
									SET_CAR(BgL_pairz00_1561, BgL_objz00_1562);
								}
							}
							return CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Ast/substitute.scm 275 */
							{	/* Ast/substitute.scm 279 */
								BgL_nodez00_bglt BgL_arg3464z00_888;

								{	/* Ast/substitute.scm 279 */
									obj_t BgL_arg3465z00_889;

									BgL_arg3465z00_889 = CAR(BgL_nodeza2za2_49);
									BgL_arg3464z00_888 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg3465z00_889),
										CNST_TABLE_REF(((long) 1)));
								}
								{	/* Ast/substitute.scm 279 */
									obj_t BgL_pairz00_1564;
									obj_t BgL_objz00_1565;

									BgL_pairz00_1564 = BgL_nodeza2za2_49;
									BgL_objz00_1565 = ((obj_t) BgL_arg3464z00_888);
									SET_CAR(BgL_pairz00_1564, BgL_objz00_1565);
							}}
							{
								obj_t BgL_nodeza2za2_2092;

								BgL_nodeza2za2_2092 = CDR(BgL_nodeza2za2_49);
								BgL_nodeza2za2_49 = BgL_nodeza2za2_2092;
								goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
							}
						}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_proc3649z00zzast_substitutez00, BGl_nodez00zzast_nodez00,
				BGl_string3650z00zzast_substitutez00);
		}
	}



/* &do-substitute!3404 */
	obj_t BGl_z62dozd2substitutez123404za2zzast_substitutez00(obj_t
		BgL_envz00_1762, BgL_nodez00_bglt BgL_nodez00_1763, obj_t BgL_sitez00_1764)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			{
				BgL_nodez00_bglt BgL_nodez00_1290;
				obj_t BgL_sitez00_1291;

				BgL_nodez00_1290 = BgL_nodez00_1763;
				BgL_sitez00_1291 = BgL_sitez00_1764;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string3651z00zzast_substitutez00, ((obj_t) BgL_nodez00_1290));
		}}
	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method3405z00_1294;

				{	/* Ast/substitute.scm 52 */
					obj_t BgL_res3633z00_1595;

					{	/* Ast/substitute.scm 52 */
						BgL_objectz00_bglt BgL_objz00_1567;

						BgL_objz00_1567 = ((BgL_objectz00_bglt) BgL_nodez00_7);
						{	/* Ast/substitute.scm 52 */
							long BgL_objzd2classzd2numz00_1568;

							{	/* Ast/substitute.scm 52 */
								long BgL_res3627z00_1571;

								BgL_res3627z00_1571 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1567);
								BgL_objzd2classzd2numz00_1568 = BgL_res3627z00_1571;
							}
							{	/* Ast/substitute.scm 52 */
								obj_t BgL_arg2545z00_1569;

								BgL_arg2545z00_1569 =
									PROCEDURE_REF
									(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
									(int) (((long) 1)));
								{	/* Ast/substitute.scm 52 */
									obj_t BgL_arrayz00_1572;
									int BgL_offsetz00_1573;

									BgL_arrayz00_1572 = BgL_arg2545z00_1569;
									BgL_offsetz00_1573 = (int) (BgL_objzd2classzd2numz00_1568);
									{	/* Ast/substitute.scm 52 */
										long BgL_offsetz00_1574;

										BgL_offsetz00_1574 =
											((long) (BgL_offsetz00_1573) - OBJECT_TYPE);
										{	/* Ast/substitute.scm 52 */
											long BgL_modz00_1575;

											{	/* Ast/substitute.scm 52 */
												int BgL_arg2547z00_1576;

												BgL_arg2547z00_1576 = (int) (((long) 16));
												{	/* Ast/substitute.scm 52 */
													long BgL_res3630z00_1586;

													{	/* Ast/substitute.scm 52 */
														long BgL_auxz00_2106;

														BgL_auxz00_2106 = (long) (BgL_arg2547z00_1576);
														BgL_res3630z00_1586 =
															(BgL_offsetz00_1574 / BgL_auxz00_2106);
													}
													BgL_modz00_1575 = BgL_res3630z00_1586;
											}}
											{	/* Ast/substitute.scm 52 */
												long BgL_restz00_1577;

												{	/* Ast/substitute.scm 52 */
													int BgL_arg2546z00_1578;

													BgL_arg2546z00_1578 = (int) (((long) 16));
													{	/* Ast/substitute.scm 52 */
														long BgL_res3632z00_1590;

														{	/* Ast/substitute.scm 52 */
															long BgL_auxz00_2110;

															BgL_auxz00_2110 = (long) (BgL_arg2546z00_1578);
															BgL_res3632z00_1590 =
																(BgL_offsetz00_1574 % BgL_auxz00_2110);
														}
														BgL_restz00_1577 = BgL_res3632z00_1590;
												}}
												{	/* Ast/substitute.scm 52 */

													BgL_res3633z00_1595 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1572,
															(int) (BgL_modz00_1575)),
														(int) (BgL_restz00_1577));
					}}}}}}}}
					BgL_method3405z00_1294 = BgL_res3633z00_1595;
				}
				{	/* Ast/substitute.scm 52 */
					obj_t BgL_xz00_1860;

					BgL_xz00_1860 =
						PROCEDURE_ENTRY(BgL_method3405z00_1294) (BgL_method3405z00_1294,
						((obj_t) BgL_nodez00_7), BgL_sitez00_8, BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_1860);
				}
			}
		}
	}



/* &do-substitute! */
	BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t
		BgL_envz00_1765, obj_t BgL_nodez00_1766, obj_t BgL_sitez00_1767)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			return
				BGl_dozd2substitutez12zc0zzast_substitutez00(
				((BgL_nodez00_bglt) BgL_nodez00_1766), BgL_sitez00_1767);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc3652z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc3654z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3655z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3656z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc3657z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3658z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3659z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc3660z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc3661z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc3662z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3663z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc3664z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_selectz00zzast_nodez00, BGl_proc3665z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3666z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3667z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3668z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3669z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3670z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3671z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3672z00zzast_substitutez00,
				BGl_string3653z00zzast_substitutez00);
		}
	}



/* &do-substitute!-box-s3449 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s3449za2zzast_substitutez00(obj_t
		BgL_envz00_1788, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1789,
		obj_t BgL_sitez00_1790)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 263 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1532;
				obj_t BgL_sitez00_1533;

				BgL_nodez00_1532 = BgL_nodez00_1789;
				BgL_sitez00_1533 = BgL_sitez00_1790;
				{	/* Ast/substitute.scm 264 */
					BgL_nodez00_bglt BgL_arg3619z00_1536;

					{	/* Ast/substitute.scm 264 */
						BgL_varz00_bglt BgL_arg3620z00_1537;

						BgL_arg3620z00_1537 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1532)))->BgL_varz00);
						BgL_arg3619z00_1536 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg3620z00_1537),
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 264 */
						BgL_varz00_bglt BgL_val3345z00_1752;

						BgL_val3345z00_1752 = ((BgL_varz00_bglt) BgL_arg3619z00_1536);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1532)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_1752), BUNSPEC);
				}}
				{	/* Ast/substitute.scm 265 */
					BgL_nodez00_bglt BgL_arg3621z00_1538;

					{	/* Ast/substitute.scm 265 */
						BgL_nodez00_bglt BgL_arg3622z00_1539;

						BgL_arg3622z00_1539 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1532)))->BgL_valuez00);
						BgL_arg3621z00_1538 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3622z00_1539,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1532)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3621z00_1538), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1532);
			}
		}
	}



/* &do-substitute!-box-r3447 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r3447za2zzast_substitutez00(obj_t
		BgL_envz00_1791, BgL_boxzd2refzd2_bglt BgL_nodez00_1792,
		obj_t BgL_sitez00_1793)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 256 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1525;
				obj_t BgL_sitez00_1526;

				BgL_nodez00_1525 = BgL_nodez00_1792;
				BgL_sitez00_1526 = BgL_sitez00_1793;
				{	/* Ast/substitute.scm 257 */
					BgL_nodez00_bglt BgL_arg3617z00_1745;

					{	/* Ast/substitute.scm 257 */
						BgL_varz00_bglt BgL_arg3618z00_1746;

						BgL_arg3618z00_1746 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1525)))->BgL_varz00);
						BgL_arg3617z00_1745 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg3618z00_1746),
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 257 */
						BgL_varz00_bglt BgL_val3319z00_1749;

						BgL_val3319z00_1749 = ((BgL_varz00_bglt) BgL_arg3617z00_1745);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1525)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_1749), BUNSPEC);
				}}
				return ((BgL_nodez00_bglt) BgL_nodez00_1525);
			}
		}
	}



/* &do-substitute!-make-3445 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd23445za2zzast_substitutez00(obj_t
		BgL_envz00_1794, BgL_makezd2boxzd2_bglt BgL_nodez00_1795,
		obj_t BgL_sitez00_1796)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 249 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1518;
				obj_t BgL_sitez00_1519;

				BgL_nodez00_1518 = BgL_nodez00_1795;
				BgL_sitez00_1519 = BgL_sitez00_1796;
				{	/* Ast/substitute.scm 250 */
					BgL_nodez00_bglt BgL_arg3615z00_1740;

					{	/* Ast/substitute.scm 250 */
						BgL_nodez00_bglt BgL_arg3616z00_1741;

						BgL_arg3616z00_1741 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1518)))->BgL_valuez00);
						BgL_arg3615z00_1740 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3616z00_1741,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1518)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3615z00_1740), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1518);
			}
		}
	}



/* &do-substitute!-jump-3443 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd23443za2zzast_substitutez00(obj_t
		BgL_envz00_1797, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1798,
		obj_t BgL_sitez00_1799)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 241 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1509;
				obj_t BgL_sitez00_1510;

				BgL_nodez00_1509 = BgL_nodez00_1798;
				BgL_sitez00_1510 = BgL_sitez00_1799;
				{	/* Ast/substitute.scm 242 */
					BgL_nodez00_bglt BgL_arg3611z00_1513;

					{	/* Ast/substitute.scm 242 */
						BgL_nodez00_bglt BgL_arg3612z00_1514;

						BgL_arg3612z00_1514 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1509)))->BgL_exitz00);
						BgL_arg3611z00_1513 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3612z00_1514,
							CNST_TABLE_REF(((long) 3)));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1509)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg3611z00_1513), BUNSPEC);
				}
				{	/* Ast/substitute.scm 243 */
					BgL_nodez00_bglt BgL_arg3613z00_1515;

					{	/* Ast/substitute.scm 243 */
						BgL_nodez00_bglt BgL_arg3614z00_1516;

						BgL_arg3614z00_1516 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1509)))->BgL_valuez00);
						BgL_arg3613z00_1515 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3614z00_1516,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1509)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3613z00_1515), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1509);
			}
		}
	}



/* &do-substitute!-set-e3437 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e3437za2zzast_substitutez00(obj_t
		BgL_envz00_1800, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1801,
		obj_t BgL_sitez00_1802)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 234 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1502;
				obj_t BgL_sitez00_1503;

				BgL_nodez00_1502 = BgL_nodez00_1801;
				BgL_sitez00_1503 = BgL_sitez00_1802;
				{	/* Ast/substitute.scm 235 */
					BgL_nodez00_bglt BgL_arg3608z00_1729;

					{	/* Ast/substitute.scm 235 */
						BgL_nodez00_bglt BgL_arg3609z00_1730;

						BgL_arg3609z00_1730 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1502)))->BgL_bodyz00);
						BgL_arg3608z00_1729 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3609z00_1730,
							BgL_sitez00_1503);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1502)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3608z00_1729), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1502);
			}
		}
	}



/* &do-substitute!-let-v3435 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v3435za2zzast_substitutez00(obj_t
		BgL_envz00_1803, BgL_letzd2varzd2_bglt BgL_nodez00_1804,
		obj_t BgL_sitez00_1805)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 224 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1485;
				obj_t BgL_sitez00_1486;

				BgL_nodez00_1485 = BgL_nodez00_1804;
				BgL_sitez00_1486 = BgL_sitez00_1805;
				{	/* Ast/substitute.scm 225 */
					obj_t BgL_g3403z00_1489;

					BgL_g3403z00_1489 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1485)))->BgL_bindingsz00);
					{
						obj_t BgL_l3401z00_1491;

						BgL_l3401z00_1491 = BgL_g3403z00_1489;
					BgL_zc3anonymousza33601ze3z83_1492:
						if (PAIRP(BgL_l3401z00_1491))
							{	/* Ast/substitute.scm 227 */
								{	/* Ast/substitute.scm 226 */
									obj_t BgL_bindingz00_1494;

									BgL_bindingz00_1494 = CAR(BgL_l3401z00_1491);
									{	/* Ast/substitute.scm 226 */
										BgL_nodez00_bglt BgL_arg3603z00_1495;

										{	/* Ast/substitute.scm 226 */
											obj_t BgL_arg3604z00_1496;

											BgL_arg3604z00_1496 = CDR(BgL_bindingz00_1494);
											BgL_arg3603z00_1495 =
												BGl_dozd2substitutez12zc0zzast_substitutez00(
												((BgL_nodez00_bglt) BgL_arg3604z00_1496),
												CNST_TABLE_REF(((long) 1)));
										}
										{	/* Ast/substitute.scm 226 */
											obj_t BgL_pairz00_1723;
											obj_t BgL_objz00_1724;

											BgL_pairz00_1723 = BgL_bindingz00_1494;
											BgL_objz00_1724 = ((obj_t) BgL_arg3603z00_1495);
											SET_CDR(BgL_pairz00_1723, BgL_objz00_1724);
								}}}
								{
									obj_t BgL_l3401z00_2207;

									BgL_l3401z00_2207 = CDR(BgL_l3401z00_1491);
									BgL_l3401z00_1491 = BgL_l3401z00_2207;
									goto BgL_zc3anonymousza33601ze3z83_1492;
								}
							}
						else
							{	/* Ast/substitute.scm 227 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/substitute.scm 228 */
					BgL_nodez00_bglt BgL_arg3606z00_1499;

					{	/* Ast/substitute.scm 228 */
						BgL_nodez00_bglt BgL_arg3607z00_1500;

						BgL_arg3607z00_1500 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1485)))->BgL_bodyz00);
						BgL_arg3606z00_1499 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3607z00_1500,
							BgL_sitez00_1486);
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1485)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3606z00_1499), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1485);
			}
		}
	}



/* &do-substitute!-let-f3433 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f3433za2zzast_substitutez00(obj_t
		BgL_envz00_1806, BgL_letzd2funzd2_bglt BgL_nodez00_1807,
		obj_t BgL_sitez00_1808)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 212 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1467;
				obj_t BgL_sitez00_1468;

				BgL_nodez00_1467 = BgL_nodez00_1807;
				BgL_sitez00_1468 = BgL_sitez00_1808;
				{	/* Ast/substitute.scm 213 */
					obj_t BgL_g3400z00_1471;

					BgL_g3400z00_1471 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1467)))->BgL_localsz00);
					{
						obj_t BgL_l3398z00_1473;

						BgL_l3398z00_1473 = BgL_g3400z00_1471;
					BgL_zc3anonymousza33594ze3z83_1474:
						if (PAIRP(BgL_l3398z00_1473))
							{	/* Ast/substitute.scm 217 */
								{	/* Ast/substitute.scm 214 */
									obj_t BgL_localz00_1476;

									BgL_localz00_1476 = CAR(BgL_l3398z00_1473);
									{	/* Ast/substitute.scm 214 */
										BgL_valuez00_bglt BgL_funz00_1477;

										{	/* Ast/substitute.scm 214 */
											BgL_variablez00_bglt BgL_obj1612z00_1710;

											BgL_obj1612z00_1710 =
												((BgL_variablez00_bglt) BgL_localz00_1476);
											BgL_funz00_1477 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1710)))->BgL_valuez00);
										}
										{	/* Ast/substitute.scm 215 */
											BgL_nodez00_bglt BgL_arg3596z00_1478;

											{	/* Ast/substitute.scm 215 */
												obj_t BgL_arg3597z00_1479;

												{	/* Ast/substitute.scm 215 */
													BgL_sfunz00_bglt BgL_obj1924z00_1711;

													BgL_obj1924z00_1711 =
														((BgL_sfunz00_bglt) BgL_funz00_1477);
													BgL_arg3597z00_1479 =
														(((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1924z00_1711)))->BgL_bodyz00);
												}
												BgL_arg3596z00_1478 =
													BGl_dozd2substitutez12zc0zzast_substitutez00(
													((BgL_nodez00_bglt) BgL_arg3597z00_1479),
													CNST_TABLE_REF(((long) 1)));
											}
											{	/* Ast/substitute.scm 215 */
												BgL_sfunz00_bglt BgL_obj1926z00_1712;
												obj_t BgL_val1925z00_1713;

												BgL_obj1926z00_1712 =
													((BgL_sfunz00_bglt) BgL_funz00_1477);
												BgL_val1925z00_1713 = ((obj_t) BgL_arg3596z00_1478);
												((((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1926z00_1712)))->BgL_bodyz00) =
													((obj_t) BgL_val1925z00_1713), BUNSPEC);
								}}}}
								{
									obj_t BgL_l3398z00_2233;

									BgL_l3398z00_2233 = CDR(BgL_l3398z00_1473);
									BgL_l3398z00_1473 = BgL_l3398z00_2233;
									goto BgL_zc3anonymousza33594ze3z83_1474;
								}
							}
						else
							{	/* Ast/substitute.scm 217 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/substitute.scm 218 */
					BgL_nodez00_bglt BgL_arg3599z00_1482;

					{	/* Ast/substitute.scm 218 */
						BgL_nodez00_bglt BgL_arg3600z00_1483;

						BgL_arg3600z00_1483 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1467)))->BgL_bodyz00);
						BgL_arg3599z00_1482 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3600z00_1483,
							BgL_sitez00_1468);
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1467)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3599z00_1482), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1467);
			}
		}
	}



/* &do-substitute!-selec3431 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2selec3431z70zzast_substitutez00(obj_t
		BgL_envz00_1809, BgL_selectz00_bglt BgL_nodez00_1810,
		obj_t BgL_sitez00_1811)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 202 */
			{
				BgL_selectz00_bglt BgL_nodez00_1450;
				obj_t BgL_sitez00_1451;

				BgL_nodez00_1450 = BgL_nodez00_1810;
				BgL_sitez00_1451 = BgL_sitez00_1811;
				{	/* Ast/substitute.scm 203 */
					BgL_nodez00_bglt BgL_arg3587z00_1454;

					{	/* Ast/substitute.scm 203 */
						BgL_nodez00_bglt BgL_arg3588z00_1455;

						BgL_arg3588z00_1455 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1450)))->BgL_testz00);
						BgL_arg3587z00_1454 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3588z00_1455,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1450)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3587z00_1454), BUNSPEC);
				}
				{	/* Ast/substitute.scm 204 */
					obj_t BgL_g3397z00_1456;

					BgL_g3397z00_1456 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1450)))->BgL_clausesz00);
					{
						obj_t BgL_l3395z00_1458;

						BgL_l3395z00_1458 = BgL_g3397z00_1456;
					BgL_zc3anonymousza33589ze3z83_1459:
						if (PAIRP(BgL_l3395z00_1458))
							{	/* Ast/substitute.scm 206 */
								{	/* Ast/substitute.scm 205 */
									obj_t BgL_clausez00_1461;

									BgL_clausez00_1461 = CAR(BgL_l3395z00_1458);
									{	/* Ast/substitute.scm 205 */
										BgL_nodez00_bglt BgL_arg3591z00_1462;

										{	/* Ast/substitute.scm 205 */
											obj_t BgL_arg3592z00_1463;

											BgL_arg3592z00_1463 = CDR(BgL_clausez00_1461);
											BgL_arg3591z00_1462 =
												BGl_dozd2substitutez12zc0zzast_substitutez00(
												((BgL_nodez00_bglt) BgL_arg3592z00_1463),
												BgL_sitez00_1451);
										}
										{	/* Ast/substitute.scm 205 */
											obj_t BgL_pairz00_1703;
											obj_t BgL_objz00_1704;

											BgL_pairz00_1703 = BgL_clausez00_1461;
											BgL_objz00_1704 = ((obj_t) BgL_arg3591z00_1462);
											SET_CDR(BgL_pairz00_1703, BgL_objz00_1704);
										}
									}
								}
								{
									obj_t BgL_l3395z00_2257;

									BgL_l3395z00_2257 = CDR(BgL_l3395z00_1458);
									BgL_l3395z00_1458 = BgL_l3395z00_2257;
									goto BgL_zc3anonymousza33589ze3z83_1459;
								}
							}
						else
							{	/* Ast/substitute.scm 206 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1450);
			}
		}
	}



/* &do-substitute!-fail3429 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail3429z70zzast_substitutez00(obj_t
		BgL_envz00_1812, BgL_failz00_bglt BgL_nodez00_1813, obj_t BgL_sitez00_1814)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 192 */
			{
				BgL_failz00_bglt BgL_nodez00_1438;
				obj_t BgL_sitez00_1439;

				BgL_nodez00_1438 = BgL_nodez00_1813;
				BgL_sitez00_1439 = BgL_sitez00_1814;
				{	/* Ast/substitute.scm 194 */
					BgL_nodez00_bglt BgL_arg3581z00_1443;

					{	/* Ast/substitute.scm 194 */
						BgL_nodez00_bglt BgL_arg3582z00_1444;

						BgL_arg3582z00_1444 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1438)))->BgL_procz00);
						BgL_arg3581z00_1443 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3582z00_1444,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1438)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg3581z00_1443), BUNSPEC);
				}
				{	/* Ast/substitute.scm 195 */
					BgL_nodez00_bglt BgL_arg3583z00_1445;

					{	/* Ast/substitute.scm 195 */
						BgL_nodez00_bglt BgL_arg3584z00_1446;

						BgL_arg3584z00_1446 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1438)))->BgL_msgz00);
						BgL_arg3583z00_1445 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3584z00_1446,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1438)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg3583z00_1445), BUNSPEC);
				}
				{	/* Ast/substitute.scm 196 */
					BgL_nodez00_bglt BgL_arg3585z00_1447;

					{	/* Ast/substitute.scm 196 */
						BgL_nodez00_bglt BgL_arg3586z00_1448;

						BgL_arg3586z00_1448 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1438)))->BgL_objz00);
						BgL_arg3585z00_1447 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3586z00_1448,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1438)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg3585z00_1447), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1438);
			}
		}
	}



/* &do-substitute!-condi3427 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi3427z70zzast_substitutez00(obj_t
		BgL_envz00_1815, BgL_conditionalz00_bglt BgL_nodez00_1816,
		obj_t BgL_sitez00_1817)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 182 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1426;
				obj_t BgL_sitez00_1427;

				BgL_nodez00_1426 = BgL_nodez00_1816;
				BgL_sitez00_1427 = BgL_sitez00_1817;
				{	/* Ast/substitute.scm 184 */
					BgL_nodez00_bglt BgL_arg3575z00_1431;

					{	/* Ast/substitute.scm 184 */
						BgL_nodez00_bglt BgL_arg3576z00_1432;

						BgL_arg3576z00_1432 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_testz00);
						BgL_arg3575z00_1431 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3576z00_1432,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3575z00_1431), BUNSPEC);
				}
				{	/* Ast/substitute.scm 185 */
					BgL_nodez00_bglt BgL_arg3577z00_1433;

					{	/* Ast/substitute.scm 185 */
						BgL_nodez00_bglt BgL_arg3578z00_1434;

						BgL_arg3578z00_1434 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_truez00);
						BgL_arg3577z00_1433 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3578z00_1434,
							BgL_sitez00_1427);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_arg3577z00_1433), BUNSPEC);
				}
				{	/* Ast/substitute.scm 186 */
					BgL_nodez00_bglt BgL_arg3579z00_1435;

					{	/* Ast/substitute.scm 186 */
						BgL_nodez00_bglt BgL_arg3580z00_1436;

						BgL_arg3580z00_1436 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_falsez00);
						BgL_arg3579z00_1435 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3580z00_1436,
							BgL_sitez00_1427);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_arg3579z00_1435), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1426);
			}
		}
	}



/* &do-substitute!-setq3425 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq3425z70zzast_substitutez00(obj_t
		BgL_envz00_1818, BgL_setqz00_bglt BgL_nodez00_1819, obj_t BgL_sitez00_1820)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 173 */
			{
				BgL_setqz00_bglt BgL_nodez00_1416;
				obj_t BgL_sitez00_1417;

				BgL_nodez00_1416 = BgL_nodez00_1819;
				BgL_sitez00_1417 = BgL_sitez00_1820;
				{	/* Ast/substitute.scm 175 */
					BgL_nodez00_bglt BgL_arg3571z00_1421;

					{	/* Ast/substitute.scm 175 */
						BgL_varz00_bglt BgL_arg3572z00_1422;

						BgL_arg3572z00_1422 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1416)))->BgL_varz00);
						BgL_arg3571z00_1421 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg3572z00_1422),
							CNST_TABLE_REF(((long) 4)));
					}
					{	/* Ast/substitute.scm 175 */
						BgL_varz00_bglt BgL_val3005z00_1673;

						BgL_val3005z00_1673 = ((BgL_varz00_bglt) BgL_arg3571z00_1421);
						((((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_1416)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3005z00_1673), BUNSPEC);
				}}
				{	/* Ast/substitute.scm 176 */
					BgL_nodez00_bglt BgL_arg3573z00_1423;

					{	/* Ast/substitute.scm 176 */
						BgL_nodez00_bglt BgL_arg3574z00_1424;

						BgL_arg3574z00_1424 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1416)))->BgL_valuez00);
						BgL_arg3573z00_1423 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3574z00_1424,
							BgL_sitez00_1417);
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1416)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3573z00_1423), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1416);
			}
		}
	}



/* &do-substitute!-cast3423 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast3423z70zzast_substitutez00(obj_t
		BgL_envz00_1821, BgL_castz00_bglt BgL_nodez00_1822, obj_t BgL_sitez00_1823)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 166 */
			{
				BgL_castz00_bglt BgL_nodez00_1410;
				obj_t BgL_sitez00_1411;

				BgL_nodez00_1410 = BgL_nodez00_1822;
				BgL_sitez00_1411 = BgL_sitez00_1823;
				{	/* Ast/substitute.scm 167 */
					BgL_nodez00_bglt BgL_arg3570z00_1669;

					BgL_arg3570z00_1669 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1410)))->BgL_argz00);
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3570z00_1669,
						BgL_sitez00_1411);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1410);
			}
		}
	}



/* &do-substitute!-exter3421 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter3421z70zzast_substitutez00(obj_t
		BgL_envz00_1824, BgL_externz00_bglt BgL_nodez00_1825,
		obj_t BgL_sitez00_1826)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 159 */
			{
				BgL_externz00_bglt BgL_nodez00_1404;
				obj_t BgL_sitez00_1405;

				BgL_nodez00_1404 = BgL_nodez00_1825;
				BgL_sitez00_1405 = BgL_sitez00_1826;
				{	/* Ast/substitute.scm 160 */
					obj_t BgL_arg3569z00_1667;

					BgL_arg3569z00_1667 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1404)))->BgL_exprza2za2);
					BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg3569z00_1667,
						BgL_sitez00_1405);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1404);
			}
		}
	}



/* &do-substitute!-funca3419 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca3419z70zzast_substitutez00(obj_t
		BgL_envz00_1827, BgL_funcallz00_bglt BgL_nodez00_1828,
		obj_t BgL_sitez00_1829)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 133 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1369;
				obj_t BgL_sitez00_1370;

				BgL_nodez00_1369 = BgL_nodez00_1828;
				BgL_sitez00_1370 = BgL_sitez00_1829;
				{	/* Ast/substitute.scm 135 */
					BgL_nodez00_bglt BgL_nfunz00_1374;
					obj_t BgL_nargsz00_1375;

					{	/* Ast/substitute.scm 135 */
						BgL_nodez00_bglt BgL_arg3563z00_1389;

						BgL_arg3563z00_1389 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1369)))->BgL_funz00);
						BgL_nfunz00_1374 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3563z00_1389,
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 136 */
						obj_t BgL_l3390z00_1390;

						BgL_l3390z00_1390 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1369)))->BgL_argsz00);
						if (NULLP(BgL_l3390z00_1390))
							{	/* Ast/substitute.scm 136 */
								BgL_nargsz00_1375 = BNIL;
							}
						else
							{	/* Ast/substitute.scm 136 */
								obj_t BgL_head3392z00_1392;

								{	/* Ast/substitute.scm 136 */
									obj_t BgL_res3640z00_1639;

									BgL_res3640z00_1639 = MAKE_PAIR(BNIL, BNIL);
									BgL_head3392z00_1392 = BgL_res3640z00_1639;
								}
								{
									obj_t BgL_l3390z00_1394;
									obj_t BgL_tail3393z00_1395;

									BgL_l3390z00_1394 = BgL_l3390z00_1390;
									BgL_tail3393z00_1395 = BgL_head3392z00_1392;
								BgL_zc3anonymousza33565ze3z83_1396:
									if (NULLP(BgL_l3390z00_1394))
										{	/* Ast/substitute.scm 136 */
											BgL_nargsz00_1375 = CDR(BgL_head3392z00_1392);
										}
									else
										{	/* Ast/substitute.scm 136 */
											obj_t BgL_newtail3394z00_1398;

											{	/* Ast/substitute.scm 136 */
												BgL_nodez00_bglt BgL_arg3568z00_1400;

												{	/* Ast/substitute.scm 136 */
													obj_t BgL_az00_1401;

													BgL_az00_1401 = CAR(BgL_l3390z00_1394);
													BgL_arg3568z00_1400 =
														BGl_dozd2substitutez12zc0zzast_substitutez00(
														((BgL_nodez00_bglt) BgL_az00_1401),
														CNST_TABLE_REF(((long) 1)));
												}
												{	/* Ast/substitute.scm 136 */
													obj_t BgL_res3642z00_1646;

													{	/* Ast/substitute.scm 136 */
														obj_t BgL_obj1z00_1644;

														BgL_obj1z00_1644 = ((obj_t) BgL_arg3568z00_1400);
														BgL_res3642z00_1646 =
															MAKE_PAIR(BgL_obj1z00_1644, BNIL);
													}
													BgL_newtail3394z00_1398 = BgL_res3642z00_1646;
											}}
											SET_CDR(BgL_tail3393z00_1395, BgL_newtail3394z00_1398);
											{
												obj_t BgL_tail3393z00_2339;
												obj_t BgL_l3390z00_2337;

												BgL_l3390z00_2337 = CDR(BgL_l3390z00_1394);
												BgL_tail3393z00_2339 = BgL_newtail3394z00_1398;
												BgL_tail3393z00_1395 = BgL_tail3393z00_2339;
												BgL_l3390z00_1394 = BgL_l3390z00_2337;
												goto BgL_zc3anonymousza33565ze3z83_1396;
											}
										}
								}
							}
					}
					{	/* Ast/substitute.scm 137 */
						bool_t BgL_testz00_2340;

						{	/* Ast/substitute.scm 137 */
							bool_t BgL_testz00_2341;

							{	/* Ast/substitute.scm 137 */
								bool_t BgL_res3643z00_1651;

								{	/* Ast/substitute.scm 137 */
									obj_t BgL_obj2236z00_1650;

									BgL_obj2236z00_1650 = ((obj_t) BgL_nfunz00_1374);
									BgL_res3643z00_1651 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2236z00_1650,
										BGl_closurez00zzast_nodez00);
								}
								BgL_testz00_2341 = BgL_res3643z00_1651;
							}
							if (BgL_testz00_2341)
								{	/* Ast/substitute.scm 137 */
									BgL_testz00_2340 = ((bool_t) 1);
								}
							else
								{	/* Ast/substitute.scm 138 */
									bool_t BgL_testz00_2344;

									{	/* Ast/substitute.scm 138 */
										bool_t BgL_res3644z00_1653;

										{	/* Ast/substitute.scm 138 */
											obj_t BgL_obj2216z00_1652;

											BgL_obj2216z00_1652 = ((obj_t) BgL_nfunz00_1374);
											BgL_res3644z00_1653 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj2216z00_1652,
												BGl_varz00zzast_nodez00);
										}
										BgL_testz00_2344 = BgL_res3644z00_1653;
									}
									if (BgL_testz00_2344)
										{	/* Ast/substitute.scm 139 */
											BgL_valuez00_bglt BgL_arg3561z00_1387;

											{	/* Ast/substitute.scm 139 */
												BgL_variablez00_bglt BgL_obj1612z00_1655;

												{	/* Ast/substitute.scm 139 */
													BgL_varz00_bglt BgL_obj2201z00_1654;

													BgL_obj2201z00_1654 =
														((BgL_varz00_bglt) BgL_nfunz00_1374);
													BgL_obj1612z00_1655 =
														(((BgL_varz00_bglt) CREF(
																((obj_t) BgL_obj2201z00_1654)))->
														BgL_variablez00);
												}
												BgL_arg3561z00_1387 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_1655)))->BgL_valuez00);
											}
											{	/* Ast/substitute.scm 139 */
												bool_t BgL_res3645z00_1657;

												{	/* Ast/substitute.scm 139 */
													obj_t BgL_obj1897z00_1656;

													BgL_obj1897z00_1656 = ((obj_t) BgL_arg3561z00_1387);
													BgL_res3645z00_1657 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1897z00_1656,
														BGl_funz00zzast_varz00);
												}
												BgL_testz00_2340 = BgL_res3645z00_1657;
											}
										}
									else
										{	/* Ast/substitute.scm 138 */
											BgL_testz00_2340 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_2340)
							{	/* Ast/substitute.scm 140 */
								bool_t BgL_testz00_2354;

								{	/* Ast/substitute.scm 140 */
									BgL_variablez00_bglt BgL_arg3558z00_1383;
									obj_t BgL_arg3559z00_1384;

									{	/* Ast/substitute.scm 140 */
										BgL_varz00_bglt BgL_obj2201z00_1658;

										BgL_obj2201z00_1658 = ((BgL_varz00_bglt) BgL_nfunz00_1374);
										BgL_arg3558z00_1383 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_obj2201z00_1658)))->BgL_variablez00);
									}
									BgL_arg3559z00_1384 = CDR(BgL_nargsz00_1375);
									BgL_testz00_2354 =
										BGl_correctzd2arityzd2appzf3zf3zzast_appz00
										(BgL_arg3558z00_1383, BgL_arg3559z00_1384);
								}
								if (BgL_testz00_2354)
									{	/* Ast/substitute.scm 142 */
										obj_t BgL_arg3553z00_1378;
										obj_t BgL_arg3554z00_1379;

										{	/* Ast/substitute.scm 142 */
											BgL_nodez00_bglt BgL_obj2136z00_1660;

											BgL_obj2136z00_1660 =
												((BgL_nodez00_bglt) BgL_nodez00_1369);
											BgL_arg3553z00_1378 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2136z00_1660)))->BgL_locz00);
										}
										BgL_arg3554z00_1379 = CDR(BgL_nargsz00_1375);
										return
											BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
											BgL_arg3553z00_1378, CNST_TABLE_REF(((long) 5)),
											((BgL_varz00_bglt) BgL_nfunz00_1374),
											BgL_arg3554z00_1379);
									}
								else
									{	/* Ast/substitute.scm 147 */
										obj_t BgL_arg3555z00_1380;
										obj_t BgL_arg3556z00_1381;

										{	/* Ast/substitute.scm 147 */
											BgL_nodez00_bglt BgL_obj2136z00_1662;

											BgL_obj2136z00_1662 =
												((BgL_nodez00_bglt) BgL_nodez00_1369);
											BgL_arg3555z00_1380 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2136z00_1662)))->BgL_locz00);
										}
										BgL_arg3556z00_1381 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1369));
										{	/* Ast/substitute.scm 147 */
											obj_t BgL_xz00_1952;

											BgL_xz00_1952 =
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_arg3555z00_1380,
												BGl_string3673z00zzast_substitutez00,
												BGl_string3674z00zzast_substitutez00,
												BgL_arg3556z00_1381, BNIL);
											return ((BgL_nodez00_bglt) BgL_xz00_1952);
										}
									}
							}
						else
							{	/* Ast/substitute.scm 137 */
								((((BgL_funcallz00_bglt) CREF(
												((obj_t) BgL_nodez00_1369)))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1374), BUNSPEC);
								((((BgL_funcallz00_bglt) CREF(((obj_t) BgL_nodez00_1369)))->
										BgL_argsz00) = ((obj_t) BgL_nargsz00_1375), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_1369);
							}
					}
				}
			}
		}
	}



/* &do-substitute!-app-l3417 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l3417za2zzast_substitutez00(obj_t
		BgL_envz00_1830, BgL_appzd2lyzd2_bglt BgL_nodez00_1831,
		obj_t BgL_sitez00_1832)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 114 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1346;
				obj_t BgL_sitez00_1347;

				BgL_nodez00_1346 = BgL_nodez00_1831;
				BgL_sitez00_1347 = BgL_sitez00_1832;
				{	/* Ast/substitute.scm 116 */
					BgL_nodez00_bglt BgL_nfunz00_1351;
					BgL_nodez00_bglt BgL_nargz00_1352;

					{	/* Ast/substitute.scm 116 */
						BgL_nodez00_bglt BgL_arg3549z00_1366;

						BgL_arg3549z00_1366 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1346)))->BgL_funz00);
						BgL_nfunz00_1351 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3549z00_1366,
							CNST_TABLE_REF(((long) 6)));
					}
					{	/* Ast/substitute.scm 117 */
						BgL_nodez00_bglt BgL_arg3550z00_1367;

						BgL_arg3550z00_1367 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1346)))->BgL_argz00);
						BgL_nargz00_1352 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg3550z00_1367,
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 118 */
						bool_t BgL_testz00_2387;

						{	/* Ast/substitute.scm 118 */
							bool_t BgL_testz00_2388;

							{	/* Ast/substitute.scm 118 */
								bool_t BgL_res3638z00_1622;

								{	/* Ast/substitute.scm 118 */
									obj_t BgL_obj2236z00_1621;

									BgL_obj2236z00_1621 = ((obj_t) BgL_nfunz00_1351);
									BgL_res3638z00_1622 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2236z00_1621,
										BGl_closurez00zzast_nodez00);
								}
								BgL_testz00_2388 = BgL_res3638z00_1622;
							}
							if (BgL_testz00_2388)
								{	/* Ast/substitute.scm 119 */
									bool_t BgL_testz00_2391;

									{	/* Ast/substitute.scm 119 */
										BgL_variablez00_bglt BgL_arg3548z00_1365;

										{	/* Ast/substitute.scm 119 */
											BgL_varz00_bglt BgL_obj2201z00_1623;

											BgL_obj2201z00_1623 =
												((BgL_varz00_bglt) BgL_nfunz00_1351);
											BgL_arg3548z00_1365 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_obj2201z00_1623)))->BgL_variablez00);
										}
										BgL_testz00_2391 =
											BGl_globalzd2optionalzf3z21zzast_varz00(
											((obj_t) BgL_arg3548z00_1365));
									}
									if (BgL_testz00_2391)
										{	/* Ast/substitute.scm 119 */
											BgL_testz00_2387 = ((bool_t) 0);
										}
									else
										{	/* Ast/substitute.scm 120 */
											bool_t BgL_testz00_2397;

											{	/* Ast/substitute.scm 120 */
												BgL_variablez00_bglt BgL_arg3547z00_1364;

												{	/* Ast/substitute.scm 120 */
													BgL_varz00_bglt BgL_obj2201z00_1624;

													BgL_obj2201z00_1624 =
														((BgL_varz00_bglt) BgL_nfunz00_1351);
													BgL_arg3547z00_1364 =
														(((BgL_varz00_bglt) CREF(
																((obj_t) BgL_obj2201z00_1624)))->
														BgL_variablez00);
												}
												BgL_testz00_2397 =
													BGl_globalzd2keyzf3z21zzast_varz00(
													((obj_t) BgL_arg3547z00_1364));
											}
											if (BgL_testz00_2397)
												{	/* Ast/substitute.scm 120 */
													BgL_testz00_2387 = ((bool_t) 0);
												}
											else
												{	/* Ast/substitute.scm 120 */
													BgL_testz00_2387 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Ast/substitute.scm 118 */
									BgL_testz00_2387 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2387)
							{	/* Ast/substitute.scm 121 */
								obj_t BgL_arg3539z00_1354;
								BgL_varz00_bglt BgL_arg3540z00_1355;

								{	/* Ast/substitute.scm 121 */
									BgL_nodez00_bglt BgL_obj2136z00_1625;

									BgL_obj2136z00_1625 = ((BgL_nodez00_bglt) BgL_nodez00_1346);
									BgL_arg3539z00_1354 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2136z00_1625)))->BgL_locz00);
								}
								{	/* Ast/substitute.scm 121 */
									BgL_varz00_bglt BgL_duplicated3374z00_1356;

									BgL_duplicated3374z00_1356 =
										((BgL_varz00_bglt) BgL_nfunz00_1351);
									{	/* Ast/substitute.scm 121 */
										BgL_varz00_bglt BgL_new3375z00_1357;

										{	/* Ast/substitute.scm 121 */
											obj_t BgL_arg3541z00_1358;
											BgL_typez00_bglt BgL_arg3542z00_1359;
											BgL_variablez00_bglt BgL_arg3543z00_1360;

											{	/* Ast/substitute.scm 121 */
												BgL_nodez00_bglt BgL_obj2136z00_1626;

												BgL_obj2136z00_1626 =
													((BgL_nodez00_bglt) BgL_duplicated3374z00_1356);
												BgL_arg3541z00_1358 =
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2136z00_1626)))->BgL_locz00);
											}
											{	/* Ast/substitute.scm 121 */
												BgL_nodez00_bglt BgL_obj2137z00_1627;

												BgL_obj2137z00_1627 =
													((BgL_nodez00_bglt) BgL_duplicated3374z00_1356);
												BgL_arg3542z00_1359 =
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2137z00_1627)))->BgL_typez00);
											}
											BgL_arg3543z00_1360 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_duplicated3374z00_1356)))->
												BgL_variablez00);
											BgL_new3375z00_1357 =
												BGl_makezd2varzd2zzast_nodez00(BgL_arg3541z00_1358,
												BgL_arg3542z00_1359, BgL_arg3543z00_1360);
										}
										{	/* Ast/substitute.scm 121 */

											BgL_arg3540z00_1355 = BgL_new3375z00_1357;
										}
									}
								}
								return
									BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
									BgL_arg3539z00_1354, ((BgL_nodez00_bglt) BgL_arg3540z00_1355),
									BgL_nargz00_1352, BgL_sitez00_1347);
							}
						else
							{	/* Ast/substitute.scm 118 */
								((((BgL_appzd2lyzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1346)))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1351), BUNSPEC);
								((((BgL_appzd2lyzd2_bglt) CREF(((obj_t) BgL_nodez00_1346)))->
										BgL_argz00) =
									((BgL_nodez00_bglt) BgL_nargz00_1352), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_1346);
							}
					}
				}
			}
		}
	}



/* &do-substitute!-app3415 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app3415z70zzast_substitutez00(obj_t
		BgL_envz00_1833, BgL_appz00_bglt BgL_nodez00_1834, obj_t BgL_sitez00_1835)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 106 */
			{
				BgL_appz00_bglt BgL_nodez00_1338;
				obj_t BgL_sitez00_1339;

				BgL_nodez00_1338 = BgL_nodez00_1834;
				BgL_sitez00_1339 = BgL_sitez00_1835;
				{	/* Ast/substitute.scm 107 */
					BgL_nodez00_bglt BgL_arg3535z00_1342;

					{	/* Ast/substitute.scm 107 */
						BgL_varz00_bglt BgL_arg3536z00_1343;

						BgL_arg3536z00_1343 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1338)))->BgL_funz00);
						BgL_arg3535z00_1342 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg3536z00_1343),
							CNST_TABLE_REF(((long) 3)));
					}
					{	/* Ast/substitute.scm 107 */
						BgL_varz00_bglt BgL_val2300z00_1617;

						BgL_val2300z00_1617 = ((BgL_varz00_bglt) BgL_arg3535z00_1342);
						((((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_1338)))->BgL_funz00) =
							((BgL_varz00_bglt) BgL_val2300z00_1617), BUNSPEC);
				}}
				{	/* Ast/substitute.scm 108 */
					obj_t BgL_arg3537z00_1344;

					BgL_arg3537z00_1344 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1338)))->BgL_argsz00);
					BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg3537z00_1344,
						CNST_TABLE_REF(((long) 1)));
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1338);
			}
		}
	}



/* &do-substitute!-seque3413 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque3413z70zzast_substitutez00(obj_t
		BgL_envz00_1836, BgL_sequencez00_bglt BgL_nodez00_1837,
		obj_t BgL_sitez00_1838)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 99 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1332;
				obj_t BgL_sitez00_1333;

				BgL_nodez00_1332 = BgL_nodez00_1837;
				BgL_sitez00_1333 = BgL_sitez00_1838;
				{	/* Ast/substitute.scm 100 */
					obj_t BgL_arg3534z00_1613;

					BgL_arg3534z00_1613 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1332)))->BgL_nodesz00);
					BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg3534z00_1613,
						BgL_sitez00_1333);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1332);
			}
		}
	}



/* &do-substitute!-kwote3411 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote3411z70zzast_substitutez00(obj_t
		BgL_envz00_1839, BgL_kwotez00_bglt BgL_nodez00_1840, obj_t BgL_sitez00_1841)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 93 */
			return ((BgL_nodez00_bglt) BgL_nodez00_1840);
		}
	}



/* &do-substitute!-var3409 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var3409z70zzast_substitutez00(obj_t
		BgL_envz00_1842, BgL_varz00_bglt BgL_nodez00_1843, obj_t BgL_sitez00_1844)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 63 */
			{
				BgL_varz00_bglt BgL_nodez00_1300;
				obj_t BgL_sitez00_1301;

				BgL_nodez00_1300 = BgL_nodez00_1843;
				BgL_sitez00_1301 = BgL_sitez00_1844;
				{	/* Ast/substitute.scm 64 */
					BgL_variablez00_bglt BgL_varz00_1304;

					BgL_varz00_1304 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_nodez00_1300)))->BgL_variablez00);
					{	/* Ast/substitute.scm 64 */
						obj_t BgL_alphaz00_1305;

						BgL_alphaz00_1305 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_varz00_1304)))->BgL_fastzd2alphazd2);
						{	/* Ast/substitute.scm 65 */

							{
								obj_t BgL_alphaz00_1307;

								{	/* Ast/substitute.scm 66 */
									obj_t BgL_xz00_2012;

									BgL_alphaz00_1307 = BgL_alphaz00_1305;
								BgL_zc3anonymousza33517ze3z83_1308:
									if ((BgL_alphaz00_1307 == BUNSPEC))
										{	/* Ast/substitute.scm 68 */
											BgL_xz00_2012 = ((obj_t) BgL_nodez00_1300);
										}
									else
										{	/* Ast/substitute.scm 68 */
											if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1307,
													BGl_varz00zzast_nodez00))
												{	/* Ast/substitute.scm 71 */
													BgL_variablez00_bglt BgL_arg3520z00_1311;

													{	/* Ast/substitute.scm 71 */
														BgL_varz00_bglt BgL_obj2201z00_1600;

														BgL_obj2201z00_1600 =
															((BgL_varz00_bglt) BgL_alphaz00_1307);
														BgL_arg3520z00_1311 =
															(((BgL_varz00_bglt) CREF(
																	((obj_t) BgL_obj2201z00_1600)))->
															BgL_variablez00);
													}
													{
														obj_t BgL_alphaz00_2453;

														BgL_alphaz00_2453 = ((obj_t) BgL_arg3520z00_1311);
														BgL_alphaz00_1307 = BgL_alphaz00_2453;
														goto BgL_zc3anonymousza33517ze3z83_1308;
													}
												}
											else
												{	/* Ast/substitute.scm 70 */
													if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1307,
															BGl_variablez00zzast_varz00))
														{	/* Ast/substitute.scm 72 */
															{	/* Ast/substitute.scm 73 */
																obj_t BgL_arg3522z00_1313;

																{	/* Ast/substitute.scm 73 */
																	BgL_nodez00_bglt BgL_obj2136z00_1603;

																	BgL_obj2136z00_1603 =
																		((BgL_nodez00_bglt) BgL_nodez00_1300);
																	BgL_arg3522z00_1313 =
																		(((BgL_nodez00_bglt) CREF(
																				((obj_t) BgL_obj2136z00_1603)))->
																		BgL_locz00);
																}
																BGl_usezd2variablez12zc0zzast_sexpz00(
																	((BgL_variablez00_bglt) BgL_alphaz00_1307),
																	BgL_arg3522z00_1313, BgL_sitez00_1301);
															}
															{	/* Ast/substitute.scm 74 */
																bool_t BgL_testz00_2462;

																{	/* Ast/substitute.scm 74 */
																	bool_t BgL_testz00_2463;

																	{	/* Ast/substitute.scm 74 */
																		BgL_valuez00_bglt BgL_arg3531z00_1322;

																		{	/* Ast/substitute.scm 74 */
																			BgL_variablez00_bglt BgL_obj1612z00_1604;

																			BgL_obj1612z00_1604 =
																				((BgL_variablez00_bglt)
																				BgL_alphaz00_1307);
																			BgL_arg3531z00_1322 =
																				(((BgL_variablez00_bglt) CREF(((obj_t)
																							BgL_obj1612z00_1604)))->
																				BgL_valuez00);
																		}
																		{	/* Ast/substitute.scm 74 */
																			bool_t BgL_res3636z00_1606;

																			{	/* Ast/substitute.scm 74 */
																				obj_t BgL_obj1897z00_1605;

																				BgL_obj1897z00_1605 =
																					((obj_t) BgL_arg3531z00_1322);
																				BgL_res3636z00_1606 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1897z00_1605,
																					BGl_funz00zzast_varz00);
																			}
																			BgL_testz00_2463 = BgL_res3636z00_1606;
																		}
																	}
																	if (BgL_testz00_2463)
																		{	/* Ast/substitute.scm 74 */
																			if (
																				(BgL_sitez00_1301 ==
																					CNST_TABLE_REF(((long) 3))))
																				{	/* Ast/substitute.scm 74 */
																					BgL_testz00_2462 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/substitute.scm 74 */
																					BgL_testz00_2462 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Ast/substitute.scm 74 */
																			BgL_testz00_2462 = ((bool_t) 0);
																		}
																}
																if (BgL_testz00_2462)
																	{	/* Ast/substitute.scm 76 */
																		obj_t BgL_arg3524z00_1315;
																		BgL_typez00_bglt BgL_arg3525z00_1316;

																		{	/* Ast/substitute.scm 76 */
																			BgL_nodez00_bglt BgL_obj2136z00_1607;

																			BgL_obj2136z00_1607 =
																				((BgL_nodez00_bglt) BgL_nodez00_1300);
																			BgL_arg3524z00_1315 =
																				(((BgL_nodez00_bglt) CREF(
																						((obj_t) BgL_obj2136z00_1607)))->
																				BgL_locz00);
																		}
																		{	/* Ast/substitute.scm 77 */
																			BgL_typez00_bglt BgL_arg3526z00_1317;

																			{	/* Ast/substitute.scm 77 */
																				BgL_nodez00_bglt BgL_obj2137z00_1608;

																				BgL_obj2137z00_1608 =
																					((BgL_nodez00_bglt) BgL_nodez00_1300);
																				BgL_arg3526z00_1317 =
																					(((BgL_nodez00_bglt) CREF(
																							((obj_t) BgL_obj2137z00_1608)))->
																					BgL_typez00);
																			}
																			{	/* Ast/substitute.scm 77 */
																				BgL_typez00_bglt BgL_auxz00_2478;

																				{	/* Ast/substitute.scm 77 */
																					obj_t BgL_xz00_2002;

																					BgL_xz00_2002 =
																						BGl_za2procedureza2z00zztype_cachez00;
																					BgL_auxz00_2478 =
																						((BgL_typez00_bglt) BgL_xz00_2002);
																				}
																				BgL_arg3525z00_1316 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(BgL_auxz00_2478,
																					BgL_arg3526z00_1317);
																			}
																		}
																		{	/* Ast/substitute.scm 75 */
																			BgL_closurez00_bglt BgL_xz00_2004;

																			BgL_xz00_2004 =
																				BGl_makezd2closurezd2zzast_nodez00
																				(BgL_arg3524z00_1315,
																				BgL_arg3525z00_1316,
																				((BgL_variablez00_bglt)
																					BgL_alphaz00_1307));
																			BgL_xz00_2012 = ((obj_t) BgL_xz00_2004);
																		}
																	}
																else
																	{	/* Ast/substitute.scm 80 */
																		obj_t BgL_arg3527z00_1318;
																		BgL_typez00_bglt BgL_arg3528z00_1319;

																		{	/* Ast/substitute.scm 80 */
																			BgL_nodez00_bglt BgL_obj2136z00_1609;

																			BgL_obj2136z00_1609 =
																				((BgL_nodez00_bglt) BgL_nodez00_1300);
																			BgL_arg3527z00_1318 =
																				(((BgL_nodez00_bglt) CREF(
																						((obj_t) BgL_obj2136z00_1609)))->
																				BgL_locz00);
																		}
																		{	/* Ast/substitute.scm 81 */
																			BgL_nodez00_bglt BgL_obj2137z00_1610;

																			BgL_obj2137z00_1610 =
																				((BgL_nodez00_bglt) BgL_nodez00_1300);
																			BgL_arg3528z00_1319 =
																				(((BgL_nodez00_bglt) CREF(
																						((obj_t) BgL_obj2137z00_1610)))->
																				BgL_typez00);
																		}
																		{	/* Ast/substitute.scm 79 */
																			BgL_varz00_bglt BgL_xz00_2010;

																			BgL_xz00_2010 =
																				BGl_makezd2varzd2zzast_nodez00
																				(BgL_arg3527z00_1318,
																				BgL_arg3528z00_1319,
																				((BgL_variablez00_bglt)
																					BgL_alphaz00_1307));
																			BgL_xz00_2012 = ((obj_t) BgL_xz00_2010);
																		}
																	}
															}
														}
													else
														{	/* Ast/substitute.scm 72 */
															if (BGl_iszd2azf3z21zz__objectz00
																(BgL_alphaz00_1307, BGl_atomz00zzast_nodez00))
																{	/* Ast/substitute.scm 83 */
																	BgL_xz00_2012 = BgL_alphaz00_1307;
																}
															else
																{	/* Ast/substitute.scm 88 */
																	obj_t BgL_arg3533z00_1324;

																	BgL_arg3533z00_1324 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_nodez00_1300));
																	BgL_xz00_2012 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string3675z00zzast_substitutez00,
																		BGl_string3676z00zzast_substitutez00,
																		BgL_arg3533z00_1324);
																}
														}
												}
										}
									return ((BgL_nodez00_bglt) BgL_xz00_2012);
								}
							}
						}
					}
				}
			}
		}
	}



/* &do-substitute!-atom3407 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom3407z70zzast_substitutez00(obj_t
		BgL_envz00_1845, BgL_atomz00_bglt BgL_nodez00_1846, obj_t BgL_sitez00_1847)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 57 */
			return ((BgL_nodez00_bglt) BgL_nodez00_1846);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string3677z00zzast_substitutez00));
		}
	}

#ifdef __cplusplus
}
#endif
