/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly5203za2zzcfa_arithmeticz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62cleanupzd2nodez12zd2app5207z70zzcfa_arithmeticz00(obj_t,
		BgL_appz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se5201za2zzcfa_arithmeticz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b5197za2zzcfa_arithmeticz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e5195za2zzcfa_arithmeticz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t BGl_z62cleanupzd2nodez125176za2zzcfa_arithmeticz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app5211z70zzcfa_arithmeticz00(obj_t,
		BgL_arithmeticzd2appzd2_bglt);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62cleanupzd2nodez12zd2setq5181z70zzcfa_arithmeticz00(obj_t,
		BgL_setqz00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu5189za2zzcfa_arithmeticz00(obj_t,
		BgL_letzd2funzd2_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va5191za2zzcfa_arithmeticz00(obj_t,
		BgL_letzd2varzd2_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal5205z70zzcfa_arithmeticz00(obj_t,
		BgL_funcallz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2select5187z70zzcfa_arithmeticz00(obj_t,
		BgL_selectz00_bglt);
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex5193za2zzcfa_arithmeticz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t
		BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00(BgL_approxz00_bglt, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit5183z70zzcfa_arithmeticz00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re5199za2zzcfa_arithmeticz00(obj_t,
		BgL_boxzd2refzd2_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen5179z70zzcfa_arithmeticz00(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit5209za2zzcfa_arithmeticz00(obj_t,
		BgL_prezd2arithmeticzd2appz00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12zd2fail5185z70zzcfa_arithmeticz00(obj_t,
		BgL_failz00_bglt);
	static obj_t __cnst[3];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5543z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5570z00,
		BGl_z62cleanupzd2nodez125176za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5545z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5571z00,
		BGl_z62cleanupzd2nodez12zd2sequen5179z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5547z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5572z00,
		BGl_z62cleanupzd2nodez12zd2setq5181z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5548z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5573z00,
		BGl_z62cleanupzd2nodez12zd2condit5183z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5549z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5574z00,
		BGl_z62cleanupzd2nodez12zd2fail5185z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5550z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5575z00,
		BGl_z62cleanupzd2nodez12zd2select5187z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5551z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5576z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu5189za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5552z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5577z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va5191za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5553z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5578z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex5193za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5554z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5579z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e5195za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5555z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5580z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b5197za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5556z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5581z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re5199za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5557z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5582z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se5201za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5558z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5583z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly5203za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5559z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5584z00,
		BGl_z62cleanupzd2nodez12zd2funcal5205z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5560z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5585z00,
		BGl_z62cleanupzd2nodez12zd2app5207z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5561z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza75586za7,
		BGl_z62nodezd2setupz12zd2prezd2arit5209za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5563z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit5587za7,
		BGl_z62cfaz12zd2arithmeticzd2app5211z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string5544z00zzcfa_arithmeticz00,
		BgL_bgl_string5544za700za7za7c5588za7, "cleanup-node!5176", 17);
	      DEFINE_STRING(BGl_string5546z00zzcfa_arithmeticz00,
		BgL_bgl_string5546za700za7za7c5589za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string5562z00zzcfa_arithmeticz00,
		BgL_bgl_string5562za700za7za7c5590za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string5564z00zzcfa_arithmeticz00,
		BgL_bgl_string5564za700za7za7c5591za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string5565z00zzcfa_arithmeticz00,
		BgL_bgl_string5565za700za7za7c5592za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string5566z00zzcfa_arithmeticz00,
		BgL_bgl_string5566za700za7za7c5593za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string5567z00zzcfa_arithmeticz00,
		BgL_bgl_string5567za700za7za7c5594za7, "all c-eq? arithmetic-app ", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari5595z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod5596z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_2668, char *BgL_fromz00_2669)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_2659;

				BgL_cportz00_2659 =
					bgl_open_input_string(BGl_string5567z00zzcfa_arithmeticz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2660;

					BgL_iz00_2660 = ((long) 2);
				BgL_loopz00_2661:
					if ((BgL_iz00_2660 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg5569z00_2663;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_2665;

										BgL_locationz00_2665 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg5569z00_2663 =
												BGl_readz00zz__readerz00(BgL_cportz00_2659,
												BgL_locationz00_2665);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_2689;

									BgL_auxz00_2689 = (int) (BgL_iz00_2660);
									CNST_TABLE_SET(BgL_auxz00_2689, BgL_arg5569z00_2663);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_2666;

								BgL_auxz00_2666 = (int) ((BgL_iz00_2660 - ((long) 1)));
								{
									long BgL_iz00_2694;

									BgL_iz00_2694 = (long) (BgL_auxz00_2666);
									BgL_iz00_2660 = BgL_iz00_2694;
									goto BgL_loopz00_2661;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l5140z00_1169;

				BgL_l5140z00_1169 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3anonymousza35215ze3z83_1170:
				if (PAIRP(BgL_l5140z00_1169))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_1172;

							BgL_nodez00_1172 = CAR(BgL_l5140z00_1169);
							{	/* Cfa/arithmetic.scm 65 */
								BgL_variablez00_bglt BgL_fz00_1174;

								{	/* Cfa/arithmetic.scm 65 */
									BgL_varz00_bglt BgL_obj2201z00_2143;

									{	/* Cfa/arithmetic.scm 65 */
										BgL_appz00_bglt BgL_obj2299z00_2142;

										BgL_obj2299z00_2142 = ((BgL_appz00_bglt) BgL_nodez00_1172);
										BgL_obj2201z00_2143 =
											(((BgL_appz00_bglt) CREF(
													((obj_t) BgL_obj2299z00_2142)))->BgL_funz00);
									}
									BgL_fz00_1174 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_obj2201z00_2143)))->BgL_variablez00);
								}
								{	/* Cfa/arithmetic.scm 65 */
									BgL_valuez00_bglt BgL_valz00_1175;

									BgL_valz00_1175 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_fz00_1174)))->BgL_valuez00);
									{	/* Cfa/arithmetic.scm 66 */

										{	/* Cfa/arithmetic.scm 68 */
											bool_t BgL_testz00_2706;

											{	/* Cfa/arithmetic.scm 68 */
												BgL_typez00_bglt BgL_arg5218z00_1177;

												BgL_arg5218z00_1177 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_fz00_1174)))->BgL_typez00);
												BgL_testz00_2706 =
													(
													((obj_t) BgL_arg5218z00_1177) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_2706)
												{	/* Cfa/arithmetic.scm 69 */
													BgL_typez00_bglt BgL_val1610z00_2147;

													{	/* Cfa/arithmetic.scm 69 */
														obj_t BgL_xz00_2491;

														BgL_xz00_2491 = BGl_za2objza2z00zztype_cachez00;
														BgL_val1610z00_2147 =
															((BgL_typez00_bglt) BgL_xz00_2491);
													}
													((((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_fz00_1174)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_val1610z00_2147), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 68 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 70 */
											bool_t BgL_testz00_2714;

											{	/* Cfa/arithmetic.scm 70 */
												BgL_typez00_bglt BgL_arg5220z00_1179;

												{	/* Cfa/arithmetic.scm 70 */
													BgL_nodez00_bglt BgL_obj2137z00_2148;

													BgL_obj2137z00_2148 =
														((BgL_nodez00_bglt) BgL_nodez00_1172);
													BgL_arg5220z00_1179 =
														(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2137z00_2148)))->BgL_typez00);
												}
												BgL_testz00_2714 =
													(
													((obj_t) BgL_arg5220z00_1179) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_2714)
												{	/* Cfa/arithmetic.scm 71 */
													BgL_nodez00_bglt BgL_obj2139z00_2149;
													BgL_typez00_bglt BgL_val2138z00_2150;

													BgL_obj2139z00_2149 =
														((BgL_nodez00_bglt) BgL_nodez00_1172);
													{	/* Cfa/arithmetic.scm 71 */
														obj_t BgL_xz00_2497;

														BgL_xz00_2497 = BGl_za2objza2z00zztype_cachez00;
														BgL_val2138z00_2150 =
															((BgL_typez00_bglt) BgL_xz00_2497);
													}
													((((BgL_nodez00_bglt) CREF(
																	((obj_t) BgL_obj2139z00_2149)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_val2138z00_2150), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 70 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 73 */
											bool_t BgL_testz00_2724;

											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_res5500z00_2152;

												{	/* Cfa/arithmetic.scm 73 */
													obj_t BgL_obj2001z00_2151;

													BgL_obj2001z00_2151 = ((obj_t) BgL_valz00_1175);
													BgL_res5500z00_2152 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_2151,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_2724 = BgL_res5500z00_2152;
											}
											if (BgL_testz00_2724)
												{	/* Cfa/arithmetic.scm 74 */
													obj_t BgL_arg5222z00_1181;

													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_l5134z00_1182;

														{	/* Cfa/arithmetic.scm 74 */
															BgL_sfunz00_bglt BgL_obj1920z00_2153;

															BgL_obj1920z00_2153 =
																((BgL_sfunz00_bglt) BgL_valz00_1175);
															BgL_l5134z00_1182 =
																(((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1920z00_2153)))->
																BgL_argsz00);
														}
														if (NULLP(BgL_l5134z00_1182))
															{	/* Cfa/arithmetic.scm 74 */
																BgL_arg5222z00_1181 = BNIL;
															}
														else
															{	/* Cfa/arithmetic.scm 74 */
																obj_t BgL_head5136z00_1184;

																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_arg5229z00_1196;

																	BgL_arg5229z00_1196 =
																		BGl_cleanupzd2typezd2zzcfa_arithmeticz00(CAR
																		(BgL_l5134z00_1182));
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_res5502z00_2159;

																		BgL_res5502z00_2159 =
																			MAKE_PAIR(BgL_arg5229z00_1196, BNIL);
																		BgL_head5136z00_1184 = BgL_res5502z00_2159;
																	}
																}
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_g5139z00_1185;

																	BgL_g5139z00_1185 = CDR(BgL_l5134z00_1182);
																	{
																		obj_t BgL_l5134z00_1187;
																		obj_t BgL_tail5137z00_1188;

																		BgL_l5134z00_1187 = BgL_g5139z00_1185;
																		BgL_tail5137z00_1188 = BgL_head5136z00_1184;
																	BgL_zc3anonymousza35224ze3z83_1189:
																		if (NULLP(BgL_l5134z00_1187))
																			{	/* Cfa/arithmetic.scm 74 */
																				BgL_arg5222z00_1181 =
																					BgL_head5136z00_1184;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 74 */
																				obj_t BgL_newtail5138z00_1191;

																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg5227z00_1193;

																					BgL_arg5227z00_1193 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_l5134z00_1187));
																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_res5504z00_2166;

																						BgL_res5504z00_2166 =
																							MAKE_PAIR(BgL_arg5227z00_1193,
																							BNIL);
																						BgL_newtail5138z00_1191 =
																							BgL_res5504z00_2166;
																					}
																				}
																				SET_CDR(BgL_tail5137z00_1188,
																					BgL_newtail5138z00_1191);
																				{
																					obj_t BgL_tail5137z00_2744;
																					obj_t BgL_l5134z00_2742;

																					BgL_l5134z00_2742 =
																						CDR(BgL_l5134z00_1187);
																					BgL_tail5137z00_2744 =
																						BgL_newtail5138z00_1191;
																					BgL_tail5137z00_1188 =
																						BgL_tail5137z00_2744;
																					BgL_l5134z00_1187 = BgL_l5134z00_2742;
																					goto
																						BgL_zc3anonymousza35224ze3z83_1189;
																				}
																			}
																	}
																}
															}
													}
													{	/* Cfa/arithmetic.scm 74 */
														BgL_sfunz00_bglt BgL_obj1922z00_2170;

														BgL_obj1922z00_2170 =
															((BgL_sfunz00_bglt) BgL_valz00_1175);
														((((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1922z00_2170)))->
																BgL_argsz00) =
															((obj_t) BgL_arg5222z00_1181), BUNSPEC);
													}
												}
											else
												{	/* Cfa/arithmetic.scm 75 */
													bool_t BgL_testz00_2748;

													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_res5505z00_2173;

														{	/* Cfa/arithmetic.scm 75 */
															obj_t BgL_obj2065z00_2172;

															BgL_obj2065z00_2172 = ((obj_t) BgL_valz00_1175);
															BgL_res5505z00_2173 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj2065z00_2172, BGl_cfunz00zzast_varz00);
														}
														BgL_testz00_2748 = BgL_res5505z00_2173;
													}
													if (BgL_testz00_2748)
														{	/* Cfa/arithmetic.scm 76 */
															obj_t BgL_g5094z00_1199;

															{	/* Cfa/arithmetic.scm 76 */
																BgL_cfunz00_bglt BgL_obj2021z00_2174;

																BgL_obj2021z00_2174 =
																	((BgL_cfunz00_bglt) BgL_valz00_1175);
																BgL_g5094z00_1199 =
																	(((BgL_cfunz00_bglt) CREF(
																			((obj_t) BgL_obj2021z00_2174)))->
																	BgL_argszd2typezd2);
															}
															{
																obj_t BgL_lz00_1201;

																{	/* Cfa/arithmetic.scm 76 */
																	bool_t BgL_auxz00_2754;

																	BgL_lz00_1201 = BgL_g5094z00_1199;
																BgL_zc3anonymousza35232ze3z83_1202:
																	if (PAIRP(BgL_lz00_1201))
																		{	/* Cfa/arithmetic.scm 77 */
																			{	/* Cfa/arithmetic.scm 79 */
																				obj_t BgL_auxz00_2757;

																				BgL_auxz00_2757 =
																					BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																					(CAR(BgL_lz00_1201));
																				SET_CAR(BgL_lz00_1201, BgL_auxz00_2757);
																			}
																			{
																				obj_t BgL_lz00_2761;

																				BgL_lz00_2761 = CDR(BgL_lz00_1201);
																				BgL_lz00_1201 = BgL_lz00_2761;
																				goto BgL_zc3anonymousza35232ze3z83_1202;
																			}
																		}
																	else
																		{	/* Cfa/arithmetic.scm 77 */
																			BgL_auxz00_2754 = ((bool_t) 0);
																		}
																	BBOOL(BgL_auxz00_2754);
																}
															}
														}
													else
														{	/* Cfa/arithmetic.scm 75 */
															BFALSE;
														}
												}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l5140z00_2764;

							BgL_l5140z00_2764 = CDR(BgL_l5140z00_1169);
							BgL_l5140z00_1169 = BgL_l5140z00_2764;
							goto BgL_zc3anonymousza35215ze3z83_1170;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l5142z00_1212;

				BgL_l5142z00_1212 = BgL_globalsz00_3;
			BgL_zc3anonymousza35239ze3z83_1213:
				if (PAIRP(BgL_l5142z00_1212))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg5241z00_1215;

							BgL_arg5241z00_1215 = CAR(BgL_l5142z00_1212);
							{	/* Cfa/arithmetic.scm 83 */
								BgL_valuez00_bglt BgL_funz00_2186;

								{	/* Cfa/arithmetic.scm 83 */
									BgL_variablez00_bglt BgL_obj1612z00_2188;

									BgL_obj1612z00_2188 =
										((BgL_variablez00_bglt) BgL_arg5241z00_1215);
									BgL_funz00_2186 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_2188)))->BgL_valuez00);
								}
								{	/* Cfa/arithmetic.scm 83 */
									obj_t BgL_bodyz00_2187;

									{	/* Cfa/arithmetic.scm 83 */
										BgL_sfunz00_bglt BgL_obj1924z00_2189;

										BgL_obj1924z00_2189 = ((BgL_sfunz00_bglt) BgL_funz00_2186);
										BgL_bodyz00_2187 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1924z00_2189)))->BgL_bodyz00);
									}
									{	/* Cfa/arithmetic.scm 83 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_2187));
									}
								}
							}
						}
						{
							obj_t BgL_l5142z00_2777;

							BgL_l5142z00_2777 = CDR(BgL_l5142z00_1212);
							BgL_l5142z00_1212 = BgL_l5142z00_2777;
							goto BgL_zc3anonymousza35239ze3z83_1213;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_1218)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1218,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_1218 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_1218;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1218,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_testz00_2785;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg5248z00_1224;

									{	/* Cfa/arithmetic.scm 58 */
										BgL_variablez00_bglt BgL_obj1609z00_2136;

										BgL_obj1609z00_2136 =
											((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_tz00_1218));
										BgL_arg5248z00_1224 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1609z00_2136)))->BgL_typez00);
									}
									BgL_testz00_2785 =
										(
										((obj_t) BgL_arg5248z00_1224) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_2785)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_variablez00_bglt BgL_obj1611z00_2137;
										BgL_typez00_bglt BgL_val1610z00_2138;

										BgL_obj1611z00_2137 =
											((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_tz00_1218));
										{	/* Cfa/arithmetic.scm 59 */
											obj_t BgL_xz00_2518;

											BgL_xz00_2518 = BGl_za2objza2z00zztype_cachez00;
											BgL_val1610z00_2138 = ((BgL_typez00_bglt) BgL_xz00_2518);
										}
										((((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1611z00_2137)))->BgL_typez00) =
											((BgL_typez00_bglt) BgL_val1610z00_2138), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_1218;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_1218;
						}
				}
		}
	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2423, obj_t BgL_globalsz00_2424)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_2424);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc5543z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string5544z00zzcfa_arithmeticz00);
		}
	}



/* &cleanup-node!5176 */
	obj_t BGl_z62cleanupzd2nodez125176za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2426, BgL_nodez00_bglt BgL_nodez00_2427)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}
	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method5177z00_1813;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res5514z00_2223;

					{	/* Cfa/arithmetic.scm 97 */
						BgL_objectz00_bglt BgL_objz00_2195;

						BgL_objz00_2195 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Cfa/arithmetic.scm 97 */
							long BgL_objzd2classzd2numz00_2196;

							{	/* Cfa/arithmetic.scm 97 */
								long BgL_res5508z00_2199;

								BgL_res5508z00_2199 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2195);
								BgL_objzd2classzd2numz00_2196 = BgL_res5508z00_2199;
							}
							{	/* Cfa/arithmetic.scm 97 */
								obj_t BgL_arg2545z00_2197;

								BgL_arg2545z00_2197 =
									PROCEDURE_REF
									(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
									(int) (((long) 1)));
								{	/* Cfa/arithmetic.scm 97 */
									obj_t BgL_arrayz00_2200;
									int BgL_offsetz00_2201;

									BgL_arrayz00_2200 = BgL_arg2545z00_2197;
									BgL_offsetz00_2201 = (int) (BgL_objzd2classzd2numz00_2196);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_offsetz00_2202;

										BgL_offsetz00_2202 =
											((long) (BgL_offsetz00_2201) - OBJECT_TYPE);
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_modz00_2203;

											{	/* Cfa/arithmetic.scm 97 */
												int BgL_arg2547z00_2204;

												BgL_arg2547z00_2204 = (int) (((long) 16));
												{	/* Cfa/arithmetic.scm 97 */
													long BgL_res5511z00_2214;

													{	/* Cfa/arithmetic.scm 97 */
														long BgL_auxz00_2807;

														BgL_auxz00_2807 = (long) (BgL_arg2547z00_2204);
														BgL_res5511z00_2214 =
															(BgL_offsetz00_2202 / BgL_auxz00_2807);
													}
													BgL_modz00_2203 = BgL_res5511z00_2214;
											}}
											{	/* Cfa/arithmetic.scm 97 */
												long BgL_restz00_2205;

												{	/* Cfa/arithmetic.scm 97 */
													int BgL_arg2546z00_2206;

													BgL_arg2546z00_2206 = (int) (((long) 16));
													{	/* Cfa/arithmetic.scm 97 */
														long BgL_res5513z00_2218;

														{	/* Cfa/arithmetic.scm 97 */
															long BgL_auxz00_2811;

															BgL_auxz00_2811 = (long) (BgL_arg2546z00_2206);
															BgL_res5513z00_2218 =
																(BgL_offsetz00_2202 % BgL_auxz00_2811);
														}
														BgL_restz00_2205 = BgL_res5513z00_2218;
												}}
												{	/* Cfa/arithmetic.scm 97 */

													BgL_res5514z00_2223 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2200,
															(int) (BgL_modz00_2203)),
														(int) (BgL_restz00_2205));
					}}}}}}}}
					BgL_method5177z00_1813 = BgL_res5514z00_2223;
				}
				return
					PROCEDURE_ENTRY(BgL_method5177z00_1813) (BgL_method5177z00_1813,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_2428,
		obj_t BgL_nodez00_2429)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_2429));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc5545z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc5547z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc5548z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc5549z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_selectz00zzast_nodez00, BGl_proc5550z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc5551z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc5552z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc5553z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc5554z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc5555z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc5556z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc5557z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc5558z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc5559z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc5560z00zzcfa_arithmeticz00,
				BGl_string5546z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc5561z00zzcfa_arithmeticz00,
				BGl_string5562z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc5563z00zzcfa_arithmeticz00,
				BGl_string5564z00zzcfa_arithmeticz00);
		}
	}



/* &cfa!-arithmetic-app5211 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app5211z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2447, BgL_arithmeticzd2appzd2_bglt BgL_nodez00_2448)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 276 */
			{
				BgL_arithmeticzd2appzd2_bglt BgL_nodez00_2035;

				BgL_nodez00_2035 = BgL_nodez00_2448;
				{
					obj_t BgL_argszd2approxzd2_2085;
					obj_t BgL_argszd2approxzd2_2097;
					obj_t BgL_typez00_2098;
					obj_t BgL_speczd2typeszd2_2099;
					obj_t BgL_argszd2approxzd2_2114;
					obj_t BgL_speczd2typeszd2_2115;

					{	/* Cfa/arithmetic.scm 317 */
						obj_t BgL_argszd2approxzd2_2043;

						{	/* Cfa/arithmetic.scm 317 */
							obj_t BgL_l5168z00_2066;

							{	/* Cfa/arithmetic.scm 317 */
								BgL_appz00_bglt BgL_obj2302z00_2392;

								BgL_obj2302z00_2392 = ((BgL_appz00_bglt) BgL_nodez00_2035);
								BgL_l5168z00_2066 =
									(((BgL_appz00_bglt) CREF(
											((obj_t) BgL_obj2302z00_2392)))->BgL_argsz00);
							}
							if (NULLP(BgL_l5168z00_2066))
								{	/* Cfa/arithmetic.scm 317 */
									BgL_argszd2approxzd2_2043 = BNIL;
								}
							else
								{	/* Cfa/arithmetic.scm 317 */
									obj_t BgL_head5170z00_2068;

									{	/* Cfa/arithmetic.scm 317 */
										BgL_approxz00_bglt BgL_arg5469z00_2080;

										{	/* Cfa/arithmetic.scm 317 */
											obj_t BgL_arg5470z00_2081;

											BgL_arg5470z00_2081 = CAR(BgL_l5168z00_2066);
											BgL_arg5469z00_2080 =
												BGl_cfaz12z12zzcfa_cfaz00(
												((BgL_nodez00_bglt) BgL_arg5470z00_2081));
										}
										{	/* Cfa/arithmetic.scm 317 */
											obj_t BgL_res5537z00_2398;

											{	/* Cfa/arithmetic.scm 317 */
												obj_t BgL_obj1z00_2396;

												BgL_obj1z00_2396 = ((obj_t) BgL_arg5469z00_2080);
												BgL_res5537z00_2398 = MAKE_PAIR(BgL_obj1z00_2396, BNIL);
											}
											BgL_head5170z00_2068 = BgL_res5537z00_2398;
										}
									}
									{	/* Cfa/arithmetic.scm 317 */
										obj_t BgL_g5173z00_2069;

										BgL_g5173z00_2069 = CDR(BgL_l5168z00_2066);
										{
											obj_t BgL_l5168z00_2071;
											obj_t BgL_tail5171z00_2072;

											BgL_l5168z00_2071 = BgL_g5173z00_2069;
											BgL_tail5171z00_2072 = BgL_head5170z00_2068;
										BgL_zc3anonymousza35464ze3z83_2073:
											if (NULLP(BgL_l5168z00_2071))
												{	/* Cfa/arithmetic.scm 317 */
													BgL_argszd2approxzd2_2043 = BgL_head5170z00_2068;
												}
											else
												{	/* Cfa/arithmetic.scm 317 */
													obj_t BgL_newtail5172z00_2075;

													{	/* Cfa/arithmetic.scm 317 */
														BgL_approxz00_bglt BgL_arg5467z00_2077;

														{	/* Cfa/arithmetic.scm 317 */
															obj_t BgL_arg5468z00_2078;

															BgL_arg5468z00_2078 = CAR(BgL_l5168z00_2071);
															BgL_arg5467z00_2077 =
																BGl_cfaz12z12zzcfa_cfaz00(
																((BgL_nodez00_bglt) BgL_arg5468z00_2078));
														}
														{	/* Cfa/arithmetic.scm 317 */
															obj_t BgL_res5539z00_2405;

															{	/* Cfa/arithmetic.scm 317 */
																obj_t BgL_obj1z00_2403;

																BgL_obj1z00_2403 =
																	((obj_t) BgL_arg5467z00_2077);
																BgL_res5539z00_2405 =
																	MAKE_PAIR(BgL_obj1z00_2403, BNIL);
															}
															BgL_newtail5172z00_2075 = BgL_res5539z00_2405;
														}
													}
													SET_CDR(BgL_tail5171z00_2072,
														BgL_newtail5172z00_2075);
													{
														obj_t BgL_tail5171z00_2863;
														obj_t BgL_l5168z00_2861;

														BgL_l5168z00_2861 = CDR(BgL_l5168z00_2071);
														BgL_tail5171z00_2863 = BgL_newtail5172z00_2075;
														BgL_tail5171z00_2072 = BgL_tail5171z00_2863;
														BgL_l5168z00_2071 = BgL_l5168z00_2861;
														goto BgL_zc3anonymousza35464ze3z83_2073;
													}
												}
										}
									}
								}
						}
						{	/* Cfa/arithmetic.scm 319 */
							obj_t BgL_tyz00_2044;

							BgL_argszd2approxzd2_2085 = BgL_argszd2approxzd2_2043;
							{
								obj_t BgL_argsz00_2088;

								BgL_argsz00_2088 = BgL_argszd2approxzd2_2085;
							BgL_zc3anonymousza35475ze3z83_2089:
								if (NULLP(BgL_argsz00_2088))
									{	/* Cfa/arithmetic.scm 285 */
										BgL_tyz00_2044 = BFALSE;
									}
								else
									{	/* Cfa/arithmetic.scm 287 */
										obj_t BgL_tz00_2091;

										{	/* Cfa/arithmetic.scm 287 */
											BgL_typez00_bglt BgL_arg5479z00_2094;

											{	/* Cfa/arithmetic.scm 287 */
												BgL_approxz00_bglt BgL_obj3366z00_2374;

												{	/* Cfa/arithmetic.scm 287 */
													obj_t BgL_pairz00_2373;

													BgL_pairz00_2373 = BgL_argsz00_2088;
													BgL_obj3366z00_2374 =
														((BgL_approxz00_bglt) CAR(BgL_pairz00_2373));
												}
												BgL_arg5479z00_2094 =
													(((BgL_approxz00_bglt) CREF(
															((obj_t) BgL_obj3366z00_2374)))->BgL_typez00);
											}
											if (
												(((obj_t) BgL_arg5479z00_2094) ==
													BGl_za2intza2z00zztype_cachez00))
												{	/* Cfa/arithmetic.scm 287 */
													BgL_tz00_2091 = BGl_za2longza2z00zztype_cachez00;
												}
											else
												{	/* Cfa/arithmetic.scm 287 */
													BgL_tz00_2091 = ((obj_t) BgL_arg5479z00_2094);
												}
										}
										if ((BgL_tz00_2091 == BGl_za2_za2z00zztype_cachez00))
											{
												obj_t BgL_argsz00_2876;

												BgL_argsz00_2876 = CDR(BgL_argsz00_2088);
												BgL_argsz00_2088 = BgL_argsz00_2876;
												goto BgL_zc3anonymousza35475ze3z83_2089;
											}
										else
											{	/* Cfa/arithmetic.scm 288 */
												BgL_tyz00_2044 = BgL_tz00_2091;
											}
									}
							}
							{	/* Cfa/arithmetic.scm 325 */
								bool_t BgL_testz00_2878;

								BgL_argszd2approxzd2_2097 = BgL_argszd2approxzd2_2043;
								BgL_typez00_2098 = BgL_tyz00_2044;
								{
									obj_t BgL_auxz00_2901;

									{	/* Cfa/arithmetic.scm 325 */
										BgL_objectz00_bglt BgL_auxz00_2902;

										BgL_auxz00_2902 = ((BgL_objectz00_bglt) BgL_nodez00_2035);
										BgL_auxz00_2901 = BGL_OBJECT_WIDENING(BgL_auxz00_2902);
									}
									BgL_speczd2typeszd2_2099 =
										(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2901))->
										BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 294 */
									bool_t BgL__ortest_5130z00_2101;

									if (CBOOL(BgL_typez00_2098))
										{	/* Cfa/arithmetic.scm 294 */
											BgL__ortest_5130z00_2101 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 294 */
											BgL__ortest_5130z00_2101 = ((bool_t) 1);
										}
									if (BgL__ortest_5130z00_2101)
										{	/* Cfa/arithmetic.scm 294 */
											BgL_testz00_2878 = BgL__ortest_5130z00_2101;
										}
									else
										{	/* Cfa/arithmetic.scm 294 */
											if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_typez00_2098, BgL_speczd2typeszd2_2099)))
												{
													obj_t BgL_argsz00_2104;

													BgL_argsz00_2104 = BgL_argszd2approxzd2_2097;
												BgL_zc3anonymousza35482ze3z83_2105:
													if (NULLP(BgL_argsz00_2104))
														{	/* Cfa/arithmetic.scm 297 */
															BgL_testz00_2878 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 299 */
															obj_t BgL_tz00_2107;

															{	/* Cfa/arithmetic.scm 299 */
																BgL_typez00_bglt BgL_arg5487z00_2111;

																{	/* Cfa/arithmetic.scm 299 */
																	BgL_approxz00_bglt BgL_obj3366z00_2381;

																	{	/* Cfa/arithmetic.scm 299 */
																		obj_t BgL_pairz00_2380;

																		BgL_pairz00_2380 = BgL_argsz00_2104;
																		BgL_obj3366z00_2381 =
																			((BgL_approxz00_bglt)
																			CAR(BgL_pairz00_2380));
																	}
																	BgL_arg5487z00_2111 =
																		(((BgL_approxz00_bglt) CREF(
																				((obj_t) BgL_obj3366z00_2381)))->
																		BgL_typez00);
																}
																if (
																	(((obj_t) BgL_arg5487z00_2111) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 299 */
																		BgL_tz00_2107 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 299 */
																		BgL_tz00_2107 =
																			((obj_t) BgL_arg5487z00_2111);
																	}
															}
															{	/* Cfa/arithmetic.scm 300 */
																bool_t BgL_testz00_2895;

																if ((BgL_tz00_2107 == BgL_typez00_2098))
																	{	/* Cfa/arithmetic.scm 300 */
																		BgL_testz00_2895 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 300 */
																		BgL_testz00_2895 =
																			(BgL_tz00_2107 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_testz00_2895)
																	{
																		obj_t BgL_argsz00_2899;

																		BgL_argsz00_2899 = CDR(BgL_argsz00_2104);
																		BgL_argsz00_2104 = BgL_argsz00_2899;
																		goto BgL_zc3anonymousza35482ze3z83_2105;
																	}
																else
																	{	/* Cfa/arithmetic.scm 300 */
																		BgL_testz00_2878 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 295 */
													BgL_testz00_2878 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_2878)
									{	/* Cfa/arithmetic.scm 325 */
										{	/* Cfa/arithmetic.scm 328 */
											bool_t BgL_testz00_2906;

											{	/* Cfa/arithmetic.scm 328 */
												bool_t BgL_testz00_2907;

												BgL_argszd2approxzd2_2114 = BgL_argszd2approxzd2_2043;
												{
													obj_t BgL_auxz00_2923;

													{	/* Cfa/arithmetic.scm 328 */
														BgL_objectz00_bglt BgL_auxz00_2924;

														BgL_auxz00_2924 =
															((BgL_objectz00_bglt) BgL_nodez00_2035);
														BgL_auxz00_2923 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2924);
													}
													BgL_speczd2typeszd2_2115 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_2923))->BgL_speczd2typeszd2);
												}
												{
													obj_t BgL_argsz00_2118;

													BgL_argsz00_2118 = BgL_argszd2approxzd2_2114;
												BgL_zc3anonymousza35490ze3z83_2119:
													if (NULLP(BgL_argsz00_2118))
														{	/* Cfa/arithmetic.scm 307 */
															BgL_testz00_2907 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 309 */
															bool_t BgL_testz00_2910;

															{	/* Cfa/arithmetic.scm 309 */
																obj_t BgL_arg5494z00_2123;

																{	/* Cfa/arithmetic.scm 309 */
																	BgL_typez00_bglt BgL_arg5495z00_2124;

																	{	/* Cfa/arithmetic.scm 309 */
																		BgL_approxz00_bglt BgL_obj3366z00_2388;

																		{	/* Cfa/arithmetic.scm 309 */
																			obj_t BgL_pairz00_2387;

																			BgL_pairz00_2387 = BgL_argsz00_2118;
																			BgL_obj3366z00_2388 =
																				((BgL_approxz00_bglt)
																				CAR(BgL_pairz00_2387));
																		}
																		BgL_arg5495z00_2124 =
																			(((BgL_approxz00_bglt) CREF(
																					((obj_t) BgL_obj3366z00_2388)))->
																			BgL_typez00);
																	}
																	if (
																		(((obj_t) BgL_arg5495z00_2124) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 309 */
																			BgL_arg5494z00_2123 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 309 */
																			BgL_arg5494z00_2123 =
																				((obj_t) BgL_arg5495z00_2124);
																		}
																}
																BgL_testz00_2910 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg5494z00_2123,
																		BgL_speczd2typeszd2_2115));
															}
															if (BgL_testz00_2910)
																{
																	obj_t BgL_argsz00_2921;

																	BgL_argsz00_2921 = CDR(BgL_argsz00_2118);
																	BgL_argsz00_2118 = BgL_argsz00_2921;
																	goto BgL_zc3anonymousza35490ze3z83_2119;
																}
															else
																{	/* Cfa/arithmetic.scm 309 */
																	BgL_testz00_2907 = ((bool_t) 0);
																}
														}
												}
												if (BgL_testz00_2907)
													{	/* Cfa/arithmetic.scm 329 */
														BgL_typez00_bglt BgL_arg5450z00_2049;

														{	/* Cfa/arithmetic.scm 329 */
															BgL_approxz00_bglt BgL_obj3366z00_2412;

															{
																obj_t BgL_auxz00_2928;

																{	/* Cfa/arithmetic.scm 329 */
																	BgL_objectz00_bglt BgL_auxz00_2929;

																	BgL_auxz00_2929 =
																		((BgL_objectz00_bglt) BgL_nodez00_2035);
																	BgL_auxz00_2928 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2929);
																}
																BgL_obj3366z00_2412 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_2928))->BgL_approxz00);
															}
															BgL_arg5450z00_2049 =
																(((BgL_approxz00_bglt) CREF(
																		((obj_t) BgL_obj3366z00_2412)))->
																BgL_typez00);
														}
														BgL_testz00_2906 =
															(
															((obj_t) BgL_arg5450z00_2049) ==
															BGl_za2_za2z00zztype_cachez00);
													}
												else
													{	/* Cfa/arithmetic.scm 328 */
														BgL_testz00_2906 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_2906)
												{	/* Cfa/arithmetic.scm 328 */
													{	/* Cfa/arithmetic.scm 332 */
														BgL_approxz00_bglt BgL_arg5448z00_2047;

														{
															obj_t BgL_auxz00_2937;

															{	/* Cfa/arithmetic.scm 332 */
																BgL_objectz00_bglt BgL_auxz00_2938;

																BgL_auxz00_2938 =
																	((BgL_objectz00_bglt) BgL_nodez00_2035);
																BgL_auxz00_2937 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2938);
															}
															BgL_arg5448z00_2047 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	CREF(BgL_auxz00_2937))->BgL_approxz00);
														}
														BGl_approxzd2setzd2typez12z12zzcfa_approxz00
															(BgL_arg5448z00_2047,
															((BgL_typez00_bglt) BgL_tyz00_2044));
													}
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/arithmetic.scm 328 */
													BFALSE;
												}
										}
									}
								else
									{	/* Cfa/arithmetic.scm 334 */
										bool_t BgL_testz00_2946;

										{	/* Cfa/arithmetic.scm 334 */
											bool_t BgL_testz00_2947;

											{	/* Cfa/arithmetic.scm 334 */
												obj_t BgL_auxz00_2948;

												{	/* Cfa/arithmetic.scm 334 */
													BgL_variablez00_bglt BgL_arg5460z00_2063;

													{	/* Cfa/arithmetic.scm 334 */
														BgL_varz00_bglt BgL_obj2201z00_2415;

														{	/* Cfa/arithmetic.scm 334 */
															BgL_appz00_bglt BgL_obj2299z00_2414;

															BgL_obj2299z00_2414 =
																((BgL_appz00_bglt) BgL_nodez00_2035);
															BgL_obj2201z00_2415 =
																(((BgL_appz00_bglt) CREF(
																		((obj_t) BgL_obj2299z00_2414)))->
																BgL_funz00);
														}
														BgL_arg5460z00_2063 =
															(((BgL_varz00_bglt) CREF(
																	((obj_t) BgL_obj2201z00_2415)))->
															BgL_variablez00);
													}
													BgL_auxz00_2948 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_arg5460z00_2063)))->BgL_idz00);
												}
												BgL_testz00_2947 =
													(BgL_auxz00_2948 == CNST_TABLE_REF(((long) 1)));
											}
											if (BgL_testz00_2947)
												{	/* Cfa/arithmetic.scm 334 */
													BgL_testz00_2946 = ((bool_t) 0);
												}
											else
												{	/* Cfa/arithmetic.scm 334 */
													BgL_testz00_2946 = ((bool_t) 1);
												}
										}
										if (BgL_testz00_2946)
											{	/* Cfa/arithmetic.scm 334 */
												{
													obj_t BgL_l5174z00_2054;

													BgL_l5174z00_2054 = BgL_argszd2approxzd2_2043;
												BgL_zc3anonymousza35454ze3z83_2055:
													if (PAIRP(BgL_l5174z00_2054))
														{	/* Cfa/arithmetic.scm 335 */
															{	/* Cfa/arithmetic.scm 335 */
																obj_t BgL_az00_2057;

																BgL_az00_2057 = CAR(BgL_l5174z00_2054);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_az00_2057),
																	CNST_TABLE_REF(((long) 2)));
															}
															{
																obj_t BgL_l5174z00_2964;

																BgL_l5174z00_2964 = CDR(BgL_l5174z00_2054);
																BgL_l5174z00_2054 = BgL_l5174z00_2964;
																goto BgL_zc3anonymousza35454ze3z83_2055;
															}
														}
													else
														{	/* Cfa/arithmetic.scm 335 */
															((bool_t) 1);
														}
												}
												{	/* Cfa/arithmetic.scm 336 */
													BgL_approxz00_bglt BgL_arg5457z00_2060;

													{
														obj_t BgL_auxz00_2966;

														{	/* Cfa/arithmetic.scm 336 */
															BgL_objectz00_bglt BgL_auxz00_2967;

															BgL_auxz00_2967 =
																((BgL_objectz00_bglt) BgL_nodez00_2035);
															BgL_auxz00_2966 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2967);
														}
														BgL_arg5457z00_2060 =
															(((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_2966))->BgL_approxz00);
													}
													{	/* Cfa/arithmetic.scm 336 */
														BgL_typez00_bglt BgL_auxz00_2971;

														{	/* Cfa/arithmetic.scm 336 */
															obj_t BgL_xz00_2555;

															BgL_xz00_2555 = BGl_za2objza2z00zztype_cachez00;
															BgL_auxz00_2971 =
																((BgL_typez00_bglt) BgL_xz00_2555);
														}
														BGl_approxzd2setzd2typez12z12zzcfa_approxz00
															(BgL_arg5457z00_2060, BgL_auxz00_2971);
													}
												}
											}
										else
											{	/* Cfa/arithmetic.scm 334 */
												BFALSE;
											}
									}
							}
						}
					}
					{
						obj_t BgL_auxz00_2974;

						{	/* Cfa/arithmetic.scm 339 */
							BgL_objectz00_bglt BgL_auxz00_2975;

							BgL_auxz00_2975 = ((BgL_objectz00_bglt) BgL_nodez00_2035);
							BgL_auxz00_2974 = BGL_OBJECT_WIDENING(BgL_auxz00_2975);
						}
						return
							(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2974))->
							BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-arit5209 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit5209za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2449, BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_2450)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 233 */
			{
				BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_1977;

				BgL_nodez00_1977 = BgL_nodez00_2450;
				{	/* Cfa/arithmetic.scm 244 */
					BgL_variablez00_bglt BgL_fz00_1982;

					{	/* Cfa/arithmetic.scm 244 */
						BgL_varz00_bglt BgL_obj2201z00_2315;

						{	/* Cfa/arithmetic.scm 244 */
							BgL_appz00_bglt BgL_obj2299z00_2314;

							BgL_obj2299z00_2314 = ((BgL_appz00_bglt) BgL_nodez00_1977);
							BgL_obj2201z00_2315 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_obj2299z00_2314)))->BgL_funz00);
						}
						BgL_fz00_1982 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2201z00_2315)))->BgL_variablez00);
					}
					{	/* Cfa/arithmetic.scm 244 */
						BgL_valuez00_bglt BgL_valz00_1983;

						BgL_valz00_1983 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_fz00_1982)))->BgL_valuez00);
						{	/* Cfa/arithmetic.scm 245 */

							{	/* Cfa/arithmetic.scm 247 */
								bool_t BgL_testz00_2986;

								{	/* Cfa/arithmetic.scm 247 */
									BgL_typez00_bglt BgL_arg5415z00_1985;

									BgL_arg5415z00_1985 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_fz00_1982)))->BgL_typez00);
									BgL_testz00_2986 =
										(
										((obj_t) BgL_arg5415z00_1985) ==
										BGl_za2objza2z00zztype_cachez00);
								}
								if (BgL_testz00_2986)
									{	/* Cfa/arithmetic.scm 247 */
										{	/* Cfa/arithmetic.scm 250 */
											BgL_typez00_bglt BgL_val1610z00_2319;

											{	/* Cfa/arithmetic.scm 250 */
												obj_t BgL_xz00_2563;

												BgL_xz00_2563 = BGl_za2_za2z00zztype_cachez00;
												BgL_val1610z00_2319 =
													((BgL_typez00_bglt) BgL_xz00_2563);
											}
											((((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_fz00_1982)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1610z00_2319), BUNSPEC);
										}
										{	/* Cfa/arithmetic.scm 251 */
											BgL_nodez00_bglt BgL_obj2139z00_2320;
											BgL_typez00_bglt BgL_val2138z00_2321;

											BgL_obj2139z00_2320 =
												((BgL_nodez00_bglt) BgL_nodez00_1977);
											{	/* Cfa/arithmetic.scm 251 */
												obj_t BgL_xz00_2566;

												BgL_xz00_2566 = BGl_za2_za2z00zztype_cachez00;
												BgL_val2138z00_2321 =
													((BgL_typez00_bglt) BgL_xz00_2566);
											}
											((((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2139z00_2320)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val2138z00_2321), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 247 */
										BFALSE;
									}
							}
							{	/* Cfa/arithmetic.scm 253 */
								bool_t BgL_testz00_2998;

								{	/* Cfa/arithmetic.scm 253 */
									bool_t BgL_res5524z00_2323;

									{	/* Cfa/arithmetic.scm 253 */
										obj_t BgL_obj2001z00_2322;

										BgL_obj2001z00_2322 = ((obj_t) BgL_valz00_1983);
										BgL_res5524z00_2323 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_2322,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_2998 = BgL_res5524z00_2323;
								}
								if (BgL_testz00_2998)
									{	/* Cfa/arithmetic.scm 254 */
										obj_t BgL_arg5417z00_1987;

										{	/* Cfa/arithmetic.scm 254 */
											obj_t BgL_l5162z00_1988;

											{	/* Cfa/arithmetic.scm 254 */
												BgL_sfunz00_bglt BgL_obj1920z00_2324;

												BgL_obj1920z00_2324 =
													((BgL_sfunz00_bglt) BgL_valz00_1983);
												BgL_l5162z00_1988 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1920z00_2324)))->BgL_argsz00);
											}
											if (NULLP(BgL_l5162z00_1988))
												{	/* Cfa/arithmetic.scm 254 */
													BgL_arg5417z00_1987 = BNIL;
												}
											else
												{	/* Cfa/arithmetic.scm 254 */
													obj_t BgL_head5164z00_1990;

													{	/* Cfa/arithmetic.scm 254 */
														obj_t BgL_arg5424z00_2002;

														BgL_arg5424z00_2002 =
															BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
															(BgL_l5162z00_1988));
														{	/* Cfa/arithmetic.scm 254 */
															obj_t BgL_res5526z00_2330;

															BgL_res5526z00_2330 =
																MAKE_PAIR(BgL_arg5424z00_2002, BNIL);
															BgL_head5164z00_1990 = BgL_res5526z00_2330;
														}
													}
													{	/* Cfa/arithmetic.scm 254 */
														obj_t BgL_g5167z00_1991;

														BgL_g5167z00_1991 = CDR(BgL_l5162z00_1988);
														{
															obj_t BgL_l5162z00_1993;
															obj_t BgL_tail5165z00_1994;

															BgL_l5162z00_1993 = BgL_g5167z00_1991;
															BgL_tail5165z00_1994 = BgL_head5164z00_1990;
														BgL_zc3anonymousza35419ze3z83_1995:
															if (NULLP(BgL_l5162z00_1993))
																{	/* Cfa/arithmetic.scm 254 */
																	BgL_arg5417z00_1987 = BgL_head5164z00_1990;
																}
															else
																{	/* Cfa/arithmetic.scm 254 */
																	obj_t BgL_newtail5166z00_1997;

																	{	/* Cfa/arithmetic.scm 254 */
																		obj_t BgL_arg5422z00_1999;

																		BgL_arg5422z00_1999 =
																			BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l5162z00_1993));
																		{	/* Cfa/arithmetic.scm 254 */
																			obj_t BgL_res5528z00_2337;

																			BgL_res5528z00_2337 =
																				MAKE_PAIR(BgL_arg5422z00_1999, BNIL);
																			BgL_newtail5166z00_1997 =
																				BgL_res5528z00_2337;
																		}
																	}
																	SET_CDR(BgL_tail5165z00_1994,
																		BgL_newtail5166z00_1997);
																	{
																		obj_t BgL_tail5165z00_3018;
																		obj_t BgL_l5162z00_3016;

																		BgL_l5162z00_3016 = CDR(BgL_l5162z00_1993);
																		BgL_tail5165z00_3018 =
																			BgL_newtail5166z00_1997;
																		BgL_tail5165z00_1994 = BgL_tail5165z00_3018;
																		BgL_l5162z00_1993 = BgL_l5162z00_3016;
																		goto BgL_zc3anonymousza35419ze3z83_1995;
																	}
																}
														}
													}
												}
										}
										{	/* Cfa/arithmetic.scm 254 */
											BgL_sfunz00_bglt BgL_obj1922z00_2341;

											BgL_obj1922z00_2341 =
												((BgL_sfunz00_bglt) BgL_valz00_1983);
											((((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1922z00_2341)))->BgL_argsz00) =
												((obj_t) BgL_arg5417z00_1987), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 255 */
										bool_t BgL_testz00_3022;

										{	/* Cfa/arithmetic.scm 255 */
											bool_t BgL_res5529z00_2344;

											{	/* Cfa/arithmetic.scm 255 */
												obj_t BgL_obj2065z00_2343;

												BgL_obj2065z00_2343 = ((obj_t) BgL_valz00_1983);
												BgL_res5529z00_2344 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj2065z00_2343,
													BGl_cfunz00zzast_varz00);
											}
											BgL_testz00_3022 = BgL_res5529z00_2344;
										}
										if (BgL_testz00_3022)
											{	/* Cfa/arithmetic.scm 256 */
												obj_t BgL_g5127z00_2005;

												{	/* Cfa/arithmetic.scm 256 */
													BgL_cfunz00_bglt BgL_obj2021z00_2345;

													BgL_obj2021z00_2345 =
														((BgL_cfunz00_bglt) BgL_valz00_1983);
													BgL_g5127z00_2005 =
														(((BgL_cfunz00_bglt) CREF(
																((obj_t) BgL_obj2021z00_2345)))->
														BgL_argszd2typezd2);
												}
												{
													obj_t BgL_lz00_2007;

													BgL_lz00_2007 = BgL_g5127z00_2005;
												BgL_zc3anonymousza35427ze3z83_2008:
													if (PAIRP(BgL_lz00_2007))
														{	/* Cfa/arithmetic.scm 258 */
															obj_t BgL_auxz00_3030;

															BgL_auxz00_3030 =
																BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_lz00_2007));
															SET_CAR(BgL_lz00_2007, BgL_auxz00_3030);
														}
													else
														{
															obj_t BgL_lz00_3034;

															BgL_lz00_3034 = CDR(BgL_lz00_2007);
															BgL_lz00_2007 = BgL_lz00_3034;
															goto BgL_zc3anonymousza35427ze3z83_2008;
														}
												}
											}
										else
											{	/* Cfa/arithmetic.scm 255 */
												BGl_errorz00zz__errorz00
													(BGl_string5562z00zzcfa_arithmeticz00,
													BGl_string5565z00zzcfa_arithmeticz00,
													((obj_t) BgL_nodez00_1977));
											}
									}
							}
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
								MAKE_PAIR(
								((obj_t) BgL_nodez00_1977),
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
							{	/* Cfa/arithmetic.scm 264 */
								obj_t BgL_arg5432z00_2014;

								{	/* Cfa/arithmetic.scm 264 */
									BgL_appz00_bglt BgL_obj2302z00_2352;

									BgL_obj2302z00_2352 = ((BgL_appz00_bglt) BgL_nodez00_1977);
									BgL_arg5432z00_2014 =
										(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_obj2302z00_2352)))->BgL_argsz00);
								}
								BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg5432z00_2014);
							}
							{	/* Cfa/arithmetic.scm 265 */
								obj_t BgL_speczd2typeszd2_2015;

								{
									obj_t BgL_auxz00_3044;

									{	/* Cfa/arithmetic.scm 265 */
										BgL_objectz00_bglt BgL_auxz00_3045;

										BgL_auxz00_3045 = ((BgL_objectz00_bglt) BgL_nodez00_1977);
										BgL_auxz00_3044 = BGL_OBJECT_WIDENING(BgL_auxz00_3045);
									}
									BgL_speczd2typeszd2_2015 =
										(((BgL_prezd2arithmeticzd2appz00_bglt)
											CREF(BgL_auxz00_3044))->BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 265 */
									BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_2016;

									{	/* Cfa/arithmetic.scm 266 */
										long BgL_arg5439z00_2025;

										{	/* Cfa/arithmetic.scm 266 */
											obj_t BgL_arg5440z00_2026;

											{	/* Cfa/arithmetic.scm 266 */
												obj_t BgL_arg5441z00_2027;

												{	/* Cfa/arithmetic.scm 266 */
													BgL_objectz00_bglt BgL_objectz00_2354;

													BgL_objectz00_2354 =
														((BgL_objectz00_bglt) BgL_nodez00_1977);
													{	/* Cfa/arithmetic.scm 266 */
														long BgL_arg2548z00_2355;

														{	/* Cfa/arithmetic.scm 266 */
															long BgL_arg2549z00_2356;

															{	/* Cfa/arithmetic.scm 266 */
																long BgL_res5531z00_2358;

																BgL_res5531z00_2358 =
																	BGL_OBJECT_CLASS_NUM(BgL_objectz00_2354);
																BgL_arg2549z00_2356 = BgL_res5531z00_2358;
															}
															BgL_arg2548z00_2355 =
																(BgL_arg2549z00_2356 - OBJECT_TYPE);
														}
														BgL_arg5441z00_2027 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															(int) (BgL_arg2548z00_2355));
												}}
												BgL_arg5440z00_2026 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg5441z00_2027);
											}
											BgL_arg5439z00_2025 =
												BGl_classzd2numzd2zz__objectz00(BgL_arg5440z00_2026);
										}
										{	/* Cfa/arithmetic.scm 266 */
											BgL_objectz00_bglt BgL_objz00_2364;

											BgL_objz00_2364 = ((BgL_objectz00_bglt) BgL_nodez00_1977);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2364,
												BgL_arg5439z00_2025);
									}}
									{	/* Cfa/arithmetic.scm 266 */
										BgL_objectz00_bglt BgL_auxz00_3058;

										BgL_auxz00_3058 = ((BgL_objectz00_bglt) BgL_nodez00_1977);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3058, BFALSE);
									}
									BgL_nodez00_2016 = BgL_nodez00_1977;
									{	/* Cfa/arithmetic.scm 266 */

										{	/* Cfa/arithmetic.scm 267 */
											BgL_appz00_bglt BgL_obj5129z00_2017;

											BgL_obj5129z00_2017 =
												((BgL_appz00_bglt) BgL_nodez00_2016);
											{	/* Cfa/arithmetic.scm 269 */
												obj_t BgL_arg5433z00_2018;

												{	/* Cfa/arithmetic.scm 269 */
													BgL_approxz00_bglt BgL_arg5434z00_2019;

													{	/* Cfa/arithmetic.scm 269 */
														bool_t BgL_testz00_3062;

														{	/* Cfa/arithmetic.scm 269 */
															BgL_typez00_bglt BgL_arg5437z00_2022;

															BgL_arg5437z00_2022 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_fz00_1982)))->BgL_typez00);
															BgL_testz00_3062 =
																(
																((obj_t) BgL_arg5437z00_2022) ==
																BGl_za2_za2z00zztype_cachez00);
														}
														if (BgL_testz00_3062)
															{	/* Cfa/arithmetic.scm 269 */
																BgL_arg5434z00_2019 =
																	BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
															}
														else
															{	/* Cfa/arithmetic.scm 271 */
																BgL_typez00_bglt BgL_arg5436z00_2021;

																BgL_arg5436z00_2021 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_fz00_1982)))->BgL_typez00);
																BgL_arg5434z00_2019 =
																	BGl_makezd2typezd2approxz00zzcfa_approxz00
																	(BgL_arg5436z00_2021);
															}
													}
													BgL_arg5433z00_2018 =
														BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00
														(BgL_arg5434z00_2019, BgL_speczd2typeszd2_2015);
												}
												{	/* Cfa/arithmetic.scm 267 */
													BgL_objectz00_bglt BgL_auxz00_3072;

													BgL_auxz00_3072 =
														((BgL_objectz00_bglt) BgL_obj5129z00_2017);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3072,
														BgL_arg5433z00_2018);
												}
											}
											{	/* Cfa/arithmetic.scm 267 */
												long BgL_arg5438z00_2023;

												BgL_arg5438z00_2023 =
													BGl_classzd2numzd2zz__objectz00
													(BGl_arithmeticzd2appzd2zzcfa_info2z00);
												{	/* Cfa/arithmetic.scm 267 */
													BgL_objectz00_bglt BgL_objz00_2368;

													BgL_objz00_2368 =
														((BgL_objectz00_bglt) BgL_obj5129z00_2017);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2368,
														BgL_arg5438z00_2023);
											}}
											return ((obj_t) BgL_obj5129z00_2017);
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_2029)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 242 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_2029,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 236 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 236 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_2029,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 238 */
							{	/* Cfa/arithmetic.scm 239 */
								BgL_variablez00_bglt BgL_obj1611z00_2312;
								BgL_typez00_bglt BgL_val1610z00_2313;

								BgL_obj1611z00_2312 =
									((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_lz00_2029));
								{	/* Cfa/arithmetic.scm 239 */
									obj_t BgL_xz00_2592;

									BgL_xz00_2592 = BGl_za2_za2z00zztype_cachez00;
									BgL_val1610z00_2313 = ((BgL_typez00_bglt) BgL_xz00_2592);
								}
								((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1611z00_2312)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val1610z00_2313), BUNSPEC);
							}
							return BgL_lz00_2029;
						}
					else
						{	/* Cfa/arithmetic.scm 238 */
							return BgL_lz00_2029;
						}
				}
		}
	}



/* &cleanup-node!-app5207 */
	obj_t BGl_z62cleanupzd2nodez12zd2app5207z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2451, BgL_appz00_bglt BgL_nodez00_2452)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 220 */
			{
				BgL_appz00_bglt BgL_nodez00_1963;

				{	/* Cfa/arithmetic.scm 221 */
					bool_t BgL_auxz00_3088;

					BgL_nodez00_1963 = BgL_nodez00_2452;
					{	/* Cfa/arithmetic.scm 222 */
						BgL_varz00_bglt BgL_arg5409z00_1967;

						BgL_arg5409z00_1967 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1963)))->BgL_funz00);
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
							((BgL_nodez00_bglt) BgL_arg5409z00_1967));
					}
					{	/* Cfa/arithmetic.scm 223 */
						obj_t BgL_g5161z00_1968;

						BgL_g5161z00_1968 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1963)))->BgL_argsz00);
						{
							obj_t BgL_l5159z00_1970;

							BgL_l5159z00_1970 = BgL_g5161z00_1968;
						BgL_zc3anonymousza35410ze3z83_1971:
							if (PAIRP(BgL_l5159z00_1970))
								{	/* Cfa/arithmetic.scm 223 */
									{	/* Cfa/arithmetic.scm 223 */
										obj_t BgL_arg5412z00_1973;

										BgL_arg5412z00_1973 = CAR(BgL_l5159z00_1970);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg5412z00_1973));
									}
									{
										obj_t BgL_l5159z00_3100;

										BgL_l5159z00_3100 = CDR(BgL_l5159z00_1970);
										BgL_l5159z00_1970 = BgL_l5159z00_3100;
										goto BgL_zc3anonymousza35410ze3z83_1971;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 223 */
									BgL_auxz00_3088 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3088);
				}
			}
		}
	}



/* &cleanup-node!-funcal5205 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal5205z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2453, BgL_funcallz00_bglt BgL_nodez00_2454)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 212 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1949;

				{	/* Cfa/arithmetic.scm 213 */
					bool_t BgL_auxz00_3103;

					BgL_nodez00_1949 = BgL_nodez00_2454;
					{	/* Cfa/arithmetic.scm 214 */
						BgL_nodez00_bglt BgL_arg5404z00_1953;

						BgL_arg5404z00_1953 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1949)))->BgL_funz00);
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5404z00_1953);
					}
					{	/* Cfa/arithmetic.scm 215 */
						obj_t BgL_g5158z00_1954;

						BgL_g5158z00_1954 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1949)))->BgL_argsz00);
						{
							obj_t BgL_l5156z00_1956;

							BgL_l5156z00_1956 = BgL_g5158z00_1954;
						BgL_zc3anonymousza35405ze3z83_1957:
							if (PAIRP(BgL_l5156z00_1956))
								{	/* Cfa/arithmetic.scm 215 */
									{	/* Cfa/arithmetic.scm 215 */
										obj_t BgL_arg5407z00_1959;

										BgL_arg5407z00_1959 = CAR(BgL_l5156z00_1956);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg5407z00_1959));
									}
									{
										obj_t BgL_l5156z00_3114;

										BgL_l5156z00_3114 = CDR(BgL_l5156z00_1956);
										BgL_l5156z00_1956 = BgL_l5156z00_3114;
										goto BgL_zc3anonymousza35405ze3z83_1957;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 215 */
									BgL_auxz00_3103 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3103);
				}
			}
		}
	}



/* &cleanup-node!-app-ly5203 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly5203za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2455, BgL_appzd2lyzd2_bglt BgL_nodez00_2456)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 204 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1942;

				BgL_nodez00_1942 = BgL_nodez00_2456;
				{	/* Cfa/arithmetic.scm 206 */
					BgL_nodez00_bglt BgL_arg5402z00_1946;

					BgL_arg5402z00_1946 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1942)))->BgL_funz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5402z00_1946);
				}
				{	/* Cfa/arithmetic.scm 207 */
					BgL_nodez00_bglt BgL_arg5403z00_1947;

					BgL_arg5403z00_1947 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1942)))->BgL_argz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5403z00_1947);
				}
			}
		}
	}



/* &cleanup-node!-box-se5201 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se5201za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2457, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2458)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 196 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1935;

				BgL_nodez00_1935 = BgL_nodez00_2458;
				{	/* Cfa/arithmetic.scm 198 */
					BgL_varz00_bglt BgL_arg5400z00_1939;

					BgL_arg5400z00_1939 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1935)))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg5400z00_1939));
				}
				{	/* Cfa/arithmetic.scm 199 */
					BgL_nodez00_bglt BgL_arg5401z00_1940;

					BgL_arg5401z00_1940 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1935)))->BgL_valuez00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5401z00_1940);
				}
			}
		}
	}



/* &cleanup-node!-box-re5199 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re5199za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2459, BgL_boxzd2refzd2_bglt BgL_nodez00_2460)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 189 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1929;

				BgL_nodez00_1929 = BgL_nodez00_2460;
				{	/* Cfa/arithmetic.scm 190 */
					BgL_varz00_bglt BgL_arg5399z00_2290;

					BgL_arg5399z00_2290 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1929)))->BgL_varz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg5399z00_2290));
				}
			}
		}
	}



/* &cleanup-node!-make-b5197 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b5197za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2461, BgL_makezd2boxzd2_bglt BgL_nodez00_2462)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 182 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1923;

				BgL_nodez00_1923 = BgL_nodez00_2462;
				{	/* Cfa/arithmetic.scm 183 */
					BgL_nodez00_bglt BgL_arg5398z00_2287;

					BgL_arg5398z00_2287 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1923)))->BgL_valuez00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5398z00_2287);
				}
			}
		}
	}



/* &cleanup-node!-jump-e5195 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e5195za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2463, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2464)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 174 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1916;

				BgL_nodez00_1916 = BgL_nodez00_2464;
				{	/* Cfa/arithmetic.scm 176 */
					BgL_nodez00_bglt BgL_arg5396z00_1920;

					BgL_arg5396z00_1920 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1916)))->BgL_exitz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5396z00_1920);
				}
				{	/* Cfa/arithmetic.scm 177 */
					BgL_nodez00_bglt BgL_arg5397z00_1921;

					BgL_arg5397z00_1921 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1916)))->BgL_valuez00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5397z00_1921);
				}
			}
		}
	}



/* &cleanup-node!-set-ex5193 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex5193za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2465, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2466)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 166 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1909;

				BgL_nodez00_1909 = BgL_nodez00_2466;
				{	/* Cfa/arithmetic.scm 168 */
					BgL_varz00_bglt BgL_arg5394z00_1913;

					BgL_arg5394z00_1913 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1909)))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg5394z00_1913));
				}
				{	/* Cfa/arithmetic.scm 169 */
					BgL_nodez00_bglt BgL_arg5395z00_1914;

					BgL_arg5395z00_1914 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1909)))->BgL_bodyz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5395z00_1914);
				}
			}
		}
	}



/* &cleanup-node!-let-va5191 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va5191za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2467, BgL_letzd2varzd2_bglt BgL_nodez00_2468)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 156 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1890;

				BgL_nodez00_1890 = BgL_nodez00_2468;
				{	/* Cfa/arithmetic.scm 158 */
					obj_t BgL_g5155z00_1894;

					BgL_g5155z00_1894 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1890)))->BgL_bindingsz00);
					{
						obj_t BgL_l5153z00_1896;

						BgL_l5153z00_1896 = BgL_g5155z00_1894;
					BgL_zc3anonymousza35385ze3z83_1897:
						if (PAIRP(BgL_l5153z00_1896))
							{	/* Cfa/arithmetic.scm 158 */
								{	/* Cfa/arithmetic.scm 158 */
									obj_t BgL_bz00_1899;

									BgL_bz00_1899 = CAR(BgL_l5153z00_1896);
									{	/* Cfa/arithmetic.scm 158 */
										obj_t BgL_arg5387z00_1900;

										BgL_arg5387z00_1900 = CDR(BgL_bz00_1899);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg5387z00_1900));
									}
								}
								{
									obj_t BgL_l5153z00_3158;

									BgL_l5153z00_3158 = CDR(BgL_l5153z00_1896);
									BgL_l5153z00_1896 = BgL_l5153z00_3158;
									goto BgL_zc3anonymousza35385ze3z83_1897;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 158 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/arithmetic.scm 159 */
					BgL_nodez00_bglt BgL_arg5389z00_1903;

					BgL_arg5389z00_1903 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1890)))->BgL_bodyz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5389z00_1903);
				}
				{	/* Cfa/arithmetic.scm 160 */
					bool_t BgL_testz00_3163;

					{	/* Cfa/arithmetic.scm 160 */
						BgL_typez00_bglt BgL_arg5393z00_1907;

						{	/* Cfa/arithmetic.scm 160 */
							BgL_nodez00_bglt BgL_obj2137z00_2277;

							BgL_obj2137z00_2277 = ((BgL_nodez00_bglt) BgL_nodez00_1890);
							BgL_arg5393z00_1907 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2137z00_2277)))->BgL_typez00);
						}
						BgL_testz00_3163 =
							(((obj_t) BgL_arg5393z00_1907) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_3163)
						{	/* Cfa/arithmetic.scm 161 */
							BgL_typez00_bglt BgL_arg5391z00_1905;

							{	/* Cfa/arithmetic.scm 161 */
								BgL_nodez00_bglt BgL_obj2137z00_2279;

								BgL_obj2137z00_2279 =
									(((BgL_letzd2varzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1890)))->BgL_bodyz00);
								BgL_arg5391z00_1905 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_2279)))->BgL_typez00);
							}
							{	/* Cfa/arithmetic.scm 161 */
								BgL_nodez00_bglt BgL_obj2139z00_2280;

								BgL_obj2139z00_2280 = ((BgL_nodez00_bglt) BgL_nodez00_1890);
								return
									((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_2280)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg5391z00_1905), BUNSPEC);
							}
						}
					else
						{	/* Cfa/arithmetic.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-let-fu5189 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu5189za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_2469, BgL_letzd2funzd2_bglt BgL_nodez00_2470)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 146 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1872;

				BgL_nodez00_1872 = BgL_nodez00_2470;
				{	/* Cfa/arithmetic.scm 148 */
					obj_t BgL_g5152z00_1876;

					BgL_g5152z00_1876 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1872)))->BgL_localsz00);
					{
						obj_t BgL_l5150z00_1878;

						BgL_l5150z00_1878 = BgL_g5152z00_1876;
					BgL_zc3anonymousza35376ze3z83_1879:
						if (PAIRP(BgL_l5150z00_1878))
							{	/* Cfa/arithmetic.scm 148 */
								{	/* Cfa/arithmetic.scm 148 */
									obj_t BgL_arg5378z00_1881;

									BgL_arg5378z00_1881 = CAR(BgL_l5150z00_1878);
									{	/* Cfa/arithmetic.scm 148 */
										BgL_valuez00_bglt BgL_funz00_2259;

										{	/* Cfa/arithmetic.scm 148 */
											BgL_variablez00_bglt BgL_obj1612z00_2261;

											BgL_obj1612z00_2261 =
												((BgL_variablez00_bglt) BgL_arg5378z00_1881);
											BgL_funz00_2259 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_2261)))->BgL_valuez00);
										}
										{	/* Cfa/arithmetic.scm 148 */
											obj_t BgL_bodyz00_2260;

											{	/* Cfa/arithmetic.scm 148 */
												BgL_sfunz00_bglt BgL_obj1924z00_2262;

												BgL_obj1924z00_2262 =
													((BgL_sfunz00_bglt) BgL_funz00_2259);
												BgL_bodyz00_2260 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1924z00_2262)))->BgL_bodyz00);
											}
											{	/* Cfa/arithmetic.scm 148 */

												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_bodyz00_2260));
											}
										}
									}
								}
								{
									obj_t BgL_l5150z00_3189;

									BgL_l5150z00_3189 = CDR(BgL_l5150z00_1878);
									BgL_l5150z00_1878 = BgL_l5150z00_3189;
									goto BgL_zc3anonymousza35376ze3z83_1879;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 148 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/arithmetic.scm 149 */
					BgL_nodez00_bglt BgL_arg5380z00_1884;

					BgL_arg5380z00_1884 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1872)))->BgL_bodyz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5380z00_1884);
				}
				{	/* Cfa/arithmetic.scm 150 */
					bool_t BgL_testz00_3194;

					{	/* Cfa/arithmetic.scm 150 */
						BgL_typez00_bglt BgL_arg5384z00_1888;

						{	/* Cfa/arithmetic.scm 150 */
							BgL_nodez00_bglt BgL_obj2137z00_2265;

							BgL_obj2137z00_2265 = ((BgL_nodez00_bglt) BgL_nodez00_1872);
							BgL_arg5384z00_1888 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2137z00_2265)))->BgL_typez00);
						}
						BgL_testz00_3194 =
							(((obj_t) BgL_arg5384z00_1888) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_3194)
						{	/* Cfa/arithmetic.scm 151 */
							BgL_typez00_bglt BgL_arg5382z00_1886;

							{	/* Cfa/arithmetic.scm 151 */
								BgL_nodez00_bglt BgL_obj2137z00_2267;

								BgL_obj2137z00_2267 =
									(((BgL_letzd2funzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1872)))->BgL_bodyz00);
								BgL_arg5382z00_1886 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_2267)))->BgL_typez00);
							}
							{	/* Cfa/arithmetic.scm 151 */
								BgL_nodez00_bglt BgL_obj2139z00_2268;

								BgL_obj2139z00_2268 = ((BgL_nodez00_bglt) BgL_nodez00_1872);
								return
									((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_2268)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg5382z00_1886), BUNSPEC);
							}
						}
					else
						{	/* Cfa/arithmetic.scm 150 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-select5187 */
	obj_t BGl_z62cleanupzd2nodez12zd2select5187z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2471, BgL_selectz00_bglt BgL_nodez00_2472)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 138 */
			{
				BgL_selectz00_bglt BgL_nodez00_1857;

				{	/* Cfa/arithmetic.scm 139 */
					bool_t BgL_auxz00_3207;

					BgL_nodez00_1857 = BgL_nodez00_2472;
					{	/* Cfa/arithmetic.scm 140 */
						BgL_nodez00_bglt BgL_arg5371z00_1861;

						BgL_arg5371z00_1861 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1857)))->BgL_testz00);
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5371z00_1861);
					}
					{	/* Cfa/arithmetic.scm 141 */
						obj_t BgL_g5149z00_1862;

						BgL_g5149z00_1862 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1857)))->BgL_clausesz00);
						{
							obj_t BgL_l5147z00_1864;

							BgL_l5147z00_1864 = BgL_g5149z00_1862;
						BgL_zc3anonymousza35372ze3z83_1865:
							if (PAIRP(BgL_l5147z00_1864))
								{	/* Cfa/arithmetic.scm 141 */
									{	/* Cfa/arithmetic.scm 141 */
										obj_t BgL_clausez00_1867;

										BgL_clausez00_1867 = CAR(BgL_l5147z00_1864);
										{	/* Cfa/arithmetic.scm 141 */
											obj_t BgL_arg5374z00_1868;

											BgL_arg5374z00_1868 = CDR(BgL_clausez00_1867);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg5374z00_1868));
										}
									}
									{
										obj_t BgL_l5147z00_3219;

										BgL_l5147z00_3219 = CDR(BgL_l5147z00_1864);
										BgL_l5147z00_1864 = BgL_l5147z00_3219;
										goto BgL_zc3anonymousza35372ze3z83_1865;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 141 */
									BgL_auxz00_3207 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3207);
				}
			}
		}
	}



/* &cleanup-node!-fail5185 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail5185z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2473, BgL_failz00_bglt BgL_nodez00_2474)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 129 */
			{
				BgL_failz00_bglt BgL_nodez00_1849;

				BgL_nodez00_1849 = BgL_nodez00_2474;
				{	/* Cfa/arithmetic.scm 131 */
					BgL_nodez00_bglt BgL_arg5368z00_1853;

					BgL_arg5368z00_1853 =
						(((BgL_failz00_bglt) CREF(
								((obj_t) BgL_nodez00_1849)))->BgL_procz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5368z00_1853);
				}
				{	/* Cfa/arithmetic.scm 132 */
					BgL_nodez00_bglt BgL_arg5369z00_1854;

					BgL_arg5369z00_1854 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1849)))->BgL_msgz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5369z00_1854);
				}
				{	/* Cfa/arithmetic.scm 133 */
					BgL_nodez00_bglt BgL_arg5370z00_1855;

					BgL_arg5370z00_1855 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1849)))->BgL_objz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5370z00_1855);
				}
			}
		}
	}



/* &cleanup-node!-condit5183 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit5183z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2475, BgL_conditionalz00_bglt BgL_nodez00_2476)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 120 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1841;

				BgL_nodez00_1841 = BgL_nodez00_2476;
				{	/* Cfa/arithmetic.scm 122 */
					BgL_nodez00_bglt BgL_arg5365z00_1845;

					BgL_arg5365z00_1845 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1841)))->BgL_testz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5365z00_1845);
				}
				{	/* Cfa/arithmetic.scm 123 */
					BgL_nodez00_bglt BgL_arg5366z00_1846;

					BgL_arg5366z00_1846 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1841)))->BgL_truez00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5366z00_1846);
				}
				{	/* Cfa/arithmetic.scm 124 */
					BgL_nodez00_bglt BgL_arg5367z00_1847;

					BgL_arg5367z00_1847 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1841)))->BgL_falsez00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5367z00_1847);
				}
			}
		}
	}



/* &cleanup-node!-setq5181 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq5181z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2477, BgL_setqz00_bglt BgL_nodez00_2478)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 113 */
			{
				BgL_setqz00_bglt BgL_nodez00_1835;

				BgL_nodez00_1835 = BgL_nodez00_2478;
				{	/* Cfa/arithmetic.scm 114 */
					BgL_nodez00_bglt BgL_arg5364z00_2239;

					BgL_arg5364z00_2239 =
						(((BgL_setqz00_bglt) CREF(
								((obj_t) BgL_nodez00_1835)))->BgL_valuez00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_arg5364z00_2239);
				}
			}
		}
	}



/* &cleanup-node!-sequen5179 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen5179z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_2479, BgL_sequencez00_bglt BgL_nodez00_2480)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 103 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1814;

				BgL_nodez00_1814 = BgL_nodez00_2480;
				{	/* Cfa/arithmetic.scm 105 */
					bool_t BgL_testz00_3243;

					{	/* Cfa/arithmetic.scm 105 */
						obj_t BgL_auxz00_3244;

						BgL_auxz00_3244 =
							(((BgL_sequencez00_bglt) CREF(
									((obj_t) BgL_nodez00_1814)))->BgL_nodesz00);
						BgL_testz00_3243 = PAIRP(BgL_auxz00_3244);
					}
					if (BgL_testz00_3243)
						{	/* Cfa/arithmetic.scm 105 */
							{	/* Cfa/arithmetic.scm 106 */
								obj_t BgL_g5146z00_1819;

								BgL_g5146z00_1819 =
									(((BgL_sequencez00_bglt) CREF(
											((obj_t) BgL_nodez00_1814)))->BgL_nodesz00);
								{
									obj_t BgL_l5144z00_1821;

									BgL_l5144z00_1821 = BgL_g5146z00_1819;
								BgL_zc3anonymousza35353ze3z83_1822:
									if (PAIRP(BgL_l5144z00_1821))
										{	/* Cfa/arithmetic.scm 106 */
											{	/* Cfa/arithmetic.scm 106 */
												obj_t BgL_arg5355z00_1824;

												BgL_arg5355z00_1824 = CAR(BgL_l5144z00_1821);
												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_arg5355z00_1824));
											}
											{
												obj_t BgL_l5144z00_3255;

												BgL_l5144z00_3255 = CDR(BgL_l5144z00_1821);
												BgL_l5144z00_1821 = BgL_l5144z00_3255;
												goto BgL_zc3anonymousza35353ze3z83_1822;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 106 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/arithmetic.scm 107 */
								bool_t BgL_testz00_3257;

								{	/* Cfa/arithmetic.scm 107 */
									BgL_typez00_bglt BgL_arg5362z00_1832;

									{	/* Cfa/arithmetic.scm 107 */
										BgL_nodez00_bglt BgL_obj2137z00_2232;

										BgL_obj2137z00_2232 = ((BgL_nodez00_bglt) BgL_nodez00_1814);
										BgL_arg5362z00_1832 =
											(((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2137z00_2232)))->BgL_typez00);
									}
									BgL_testz00_3257 =
										(
										((obj_t) BgL_arg5362z00_1832) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_3257)
									{	/* Cfa/arithmetic.scm 108 */
										BgL_typez00_bglt BgL_arg5358z00_1828;

										{	/* Cfa/arithmetic.scm 108 */
											BgL_nodez00_bglt BgL_obj2137z00_2235;

											BgL_obj2137z00_2235 =
												((BgL_nodez00_bglt)
												CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_sequencez00_bglt) CREF(
																	((obj_t) BgL_nodez00_1814)))->
															BgL_nodesz00))));
											BgL_arg5358z00_1828 =
												(((BgL_nodez00_bglt) CREF(((obj_t)
															BgL_obj2137z00_2235)))->BgL_typez00);
										}
										{	/* Cfa/arithmetic.scm 108 */
											BgL_nodez00_bglt BgL_obj2139z00_2236;

											BgL_obj2139z00_2236 =
												((BgL_nodez00_bglt) BgL_nodez00_1814);
											return
												((((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2139z00_2236)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg5358z00_1828), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 107 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/arithmetic.scm 105 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 36800750),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string5566z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
