/*===========================================================================*/
/*   (Coerce/apply.scm)                                                      */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/apply.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_nodez00_bglt BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcoerce_applyz00();
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_applyz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_applyz00();
	static obj_t BGl_genericzd2initzd2zzcoerce_applyz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_applyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_applyz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2appzd2ly3470z70zzcoerce_applyz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t, obj_t, obj_t);
	static obj_t __cnst[17];


	   
		 
		DEFINE_STRING(BGl_string3643z00zzcoerce_applyz00,
		BgL_bgl_string3643za700za7za7c3650za7, "Wrong number of arguments", 25);
	      DEFINE_STRING(BGl_string3645z00zzcoerce_applyz00,
		BgL_bgl_string3645za700za7za7c3651za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string3646z00zzcoerce_applyz00,
		BgL_bgl_string3646za700za7za7c3652za7, "coerce_apply", 12);
	      DEFINE_STRING(BGl_string3647z00zzcoerce_applyz00,
		BgL_bgl_string3647za700za7za7c3653za7,
		"let if correct-arity? ::int len length val fun begin failure _ quote @ error/location __error location bdb ",
		107);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3644z00zzcoerce_applyz00,
		BgL_bgl_za762coerceza712za7d2a3654za7,
		BGl_z62coercez12zd2appzd2ly3470z70zzcoerce_applyz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long
		BgL_checksumz00_1590, char *BgL_fromz00_1591)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_applyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00();
					BGl_cnstzd2initzd2zzcoerce_applyz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_applyz00();
					BGl_methodzd2initzd2zzcoerce_applyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00()
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "coerce_apply");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_applyz00()
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 15 */
			{	/* Coerce/apply.scm 15 */
				obj_t BgL_cportz00_1582;

				BgL_cportz00_1582 =
					bgl_open_input_string(BGl_string3647z00zzcoerce_applyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1583;

					BgL_iz00_1583 = ((long) 16);
				BgL_loopz00_1584:
					if ((BgL_iz00_1583 == ((long) -1)))
						{	/* Coerce/apply.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/apply.scm 15 */
							{	/* Coerce/apply.scm 15 */
								obj_t BgL_arg3649z00_1586;

								{	/* Coerce/apply.scm 15 */

									{	/* Coerce/apply.scm 15 */
										obj_t BgL_locationz00_1588;

										BgL_locationz00_1588 = BBOOL(((bool_t) 0));
										{	/* Coerce/apply.scm 15 */

											BgL_arg3649z00_1586 =
												BGl_readz00zz__readerz00(BgL_cportz00_1582,
												BgL_locationz00_1588);
										}
									}
								}
								{	/* Coerce/apply.scm 15 */
									int BgL_auxz00_1610;

									BgL_auxz00_1610 = (int) (BgL_iz00_1583);
									CNST_TABLE_SET(BgL_auxz00_1610, BgL_arg3649z00_1586);
							}}
							{	/* Coerce/apply.scm 15 */
								int BgL_auxz00_1589;

								BgL_auxz00_1589 = (int) ((BgL_iz00_1583 - ((long) 1)));
								{
									long BgL_iz00_1615;

									BgL_iz00_1615 = (long) (BgL_auxz00_1589);
									BgL_iz00_1583 = BgL_iz00_1615;
									goto BgL_loopz00_1584;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_applyz00()
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 15 */
			return BUNSPEC;
		}
	}



/* make-error-node */
	BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_applyz00(obj_t
		BgL_errorzd2msgzd2_21, obj_t BgL_locz00_22, obj_t BgL_callerz00_23,
		obj_t BgL_toz00_24)
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 97 */
			{	/* Coerce/apply.scm 98 */
				BgL_nodez00_bglt BgL_nodez00_935;

				{	/* Coerce/apply.scm 99 */
					obj_t BgL_arg3480z00_936;

					{	/* Coerce/apply.scm 99 */
						bool_t BgL_testz00_1617;

						{	/* Coerce/apply.scm 99 */
							bool_t BgL_testz00_1618;

							{	/* Coerce/apply.scm 99 */
								bool_t BgL_testz00_1619;

								if (
									((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
										((long) 0)))
									{	/* Coerce/apply.scm 102 */
										obj_t BgL_arg3520z00_975;

										{	/* Coerce/apply.scm 102 */
											obj_t BgL_arg3521z00_976;

											BgL_arg3521z00_976 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											{	/* Coerce/apply.scm 101 */
												BgL_backendz00_bglt BgL_obj1567z00_1455;

												BgL_obj1567z00_1455 =
													((BgL_backendz00_bglt) BgL_arg3521z00_976);
												BgL_arg3520z00_975 =
													(((BgL_backendz00_bglt) CREF(
															((obj_t) BgL_obj1567z00_1455)))->
													BgL_debugzd2supportzd2);
										}}
										BgL_testz00_1619 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(CNST_TABLE_REF(((long) 0)), BgL_arg3520z00_975));
									}
								else
									{	/* Coerce/apply.scm 99 */
										BgL_testz00_1619 = ((bool_t) 0);
									}
								if (BgL_testz00_1619)
									{	/* Coerce/apply.scm 99 */
										BgL_testz00_1618 = ((bool_t) 1);
									}
								else
									{	/* Coerce/apply.scm 99 */
										BgL_testz00_1618 =
											(
											(long)
											CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
											((long) 0));
							}}
							if (BgL_testz00_1618)
								{	/* Coerce/apply.scm 99 */
									if (STRUCTP(BgL_locz00_22))
										{	/* Coerce/apply.scm 104 */
											BgL_testz00_1617 =
												(STRUCT_KEY(BgL_locz00_22) ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Coerce/apply.scm 104 */
											BgL_testz00_1617 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/apply.scm 99 */
									BgL_testz00_1617 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_1617)
							{	/* Coerce/apply.scm 106 */
								obj_t BgL_arg3482z00_938;

								{	/* Coerce/apply.scm 106 */
									obj_t BgL_arg3483z00_939;
									obj_t BgL_arg3484z00_940;

									{	/* Coerce/apply.scm 106 */
										obj_t BgL_arg3485z00_941;
										obj_t BgL_arg3486z00_942;

										{	/* Coerce/apply.scm 106 */
											obj_t BgL_arg3488z00_943;

											{	/* Coerce/apply.scm 106 */
												obj_t BgL_arg3489z00_944;

												BgL_arg3489z00_944 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
												BgL_arg3488z00_943 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg3489z00_944);
											}
											BgL_arg3485z00_941 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg3488z00_943);
										}
										{	/* Coerce/apply.scm 107 */
											obj_t BgL_arg3490z00_945;
											obj_t BgL_arg3491z00_946;

											{	/* Coerce/apply.scm 107 */
												obj_t BgL_arg3492z00_947;

												BgL_arg3492z00_947 =
													BGl_currentzd2functionzd2zztools_errorz00();
												{	/* Coerce/apply.scm 107 */
													obj_t BgL_list3493z00_948;

													{	/* Coerce/apply.scm 107 */
														obj_t BgL_arg3494z00_949;

														BgL_arg3494z00_949 =
															MAKE_PAIR(BgL_arg3492z00_947, BNIL);
														BgL_list3493z00_948 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
															BgL_arg3494z00_949);
													}
													BgL_arg3490z00_945 = BgL_list3493z00_948;
											}}
											{	/* Coerce/apply.scm 110 */
												obj_t BgL_arg3495z00_950;

												{	/* Coerce/apply.scm 110 */
													obj_t BgL_arg3496z00_951;

													{	/* Coerce/apply.scm 110 */
														obj_t BgL_arg3497z00_952;
														obj_t BgL_arg3498z00_953;

														BgL_arg3497z00_952 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_22);
														BgL_arg3498z00_953 =
															MAKE_PAIR(STRUCT_REF(BgL_locz00_22,
																(int) (((long) 1))), BNIL);
														BgL_arg3496z00_951 =
															MAKE_PAIR(BgL_arg3497z00_952, BgL_arg3498z00_953);
													}
													BgL_arg3495z00_950 =
														MAKE_PAIR(BgL_errorzd2msgzd2_21,
														BgL_arg3496z00_951);
												}
												BgL_arg3491z00_946 =
													MAKE_PAIR(BGl_string3643z00zzcoerce_applyz00,
													BgL_arg3495z00_950);
											}
											BgL_arg3486z00_942 =
												MAKE_PAIR(BgL_arg3490z00_945, BgL_arg3491z00_946);
										}
										BgL_arg3483z00_939 =
											MAKE_PAIR(BgL_arg3485z00_941, BgL_arg3486z00_942);
									}
									{	/* Coerce/apply.scm 112 */
										obj_t BgL_arg3500z00_955;

										{	/* Coerce/apply.scm 112 */
											obj_t BgL_arg3501z00_956;

											{	/* Coerce/apply.scm 112 */
												obj_t BgL_arg3502z00_957;
												obj_t BgL_arg3503z00_958;

												{	/* Coerce/apply.scm 112 */
													obj_t BgL_arg3504z00_959;

													BgL_arg3504z00_959 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
													BgL_arg3502z00_957 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg3504z00_959);
												}
												{	/* Coerce/apply.scm 112 */
													obj_t BgL_arg3505z00_960;
													obj_t BgL_arg3506z00_961;

													{	/* Coerce/apply.scm 112 */
														obj_t BgL_arg3507z00_962;

														BgL_arg3507z00_962 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
														BgL_arg3505z00_960 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
															BgL_arg3507z00_962);
													}
													{	/* Coerce/apply.scm 112 */
														obj_t BgL_arg3508z00_963;

														{	/* Coerce/apply.scm 112 */
															obj_t BgL_arg3509z00_964;

															BgL_arg3509z00_964 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
															BgL_arg3508z00_963 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg3509z00_964);
														}
														BgL_arg3506z00_961 =
															MAKE_PAIR(BgL_arg3508z00_963, BNIL);
													}
													BgL_arg3503z00_958 =
														MAKE_PAIR(BgL_arg3505z00_960, BgL_arg3506z00_961);
												}
												BgL_arg3501z00_956 =
													MAKE_PAIR(BgL_arg3502z00_957, BgL_arg3503z00_958);
											}
											BgL_arg3500z00_955 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg3501z00_956);
										}
										BgL_arg3484z00_940 = MAKE_PAIR(BgL_arg3500z00_955, BNIL);
									}
									BgL_arg3482z00_938 =
										MAKE_PAIR(BgL_arg3483z00_939, BgL_arg3484z00_940);
								}
								BgL_arg3480z00_936 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg3482z00_938);
							}
						else
							{	/* Coerce/apply.scm 113 */
								obj_t BgL_arg3510z00_965;

								{	/* Coerce/apply.scm 113 */
									obj_t BgL_arg3511z00_966;
									obj_t BgL_arg3512z00_967;

									{	/* Coerce/apply.scm 113 */
										obj_t BgL_arg3513z00_968;

										BgL_arg3513z00_968 =
											BGl_currentzd2functionzd2zztools_errorz00();
										{	/* Coerce/apply.scm 113 */
											obj_t BgL_list3514z00_969;

											{	/* Coerce/apply.scm 113 */
												obj_t BgL_arg3515z00_970;

												BgL_arg3515z00_970 =
													MAKE_PAIR(BgL_arg3513z00_968, BNIL);
												BgL_list3514z00_969 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
													BgL_arg3515z00_970);
											}
											BgL_arg3511z00_966 = BgL_list3514z00_969;
									}}
									{	/* Coerce/apply.scm 113 */
										obj_t BgL_arg3516z00_971;

										BgL_arg3516z00_971 = MAKE_PAIR(BgL_errorzd2msgzd2_21, BNIL);
										BgL_arg3512z00_967 =
											MAKE_PAIR(BGl_string3643z00zzcoerce_applyz00,
											BgL_arg3516z00_971);
									}
									BgL_arg3510z00_965 =
										MAKE_PAIR(BgL_arg3511z00_966, BgL_arg3512z00_967);
								}
								BgL_arg3480z00_936 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg3510z00_965);
					}}
					BgL_nodez00_935 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3480z00_936,
						BgL_locz00_22);
				}
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_935, BgL_callerz00_23,
					((BgL_typez00_bglt) BgL_toz00_24), ((bool_t) 0));
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_applyz00()
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_applyz00()
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3644z00zzcoerce_applyz00, BGl_string3645z00zzcoerce_applyz00);
		}
	}



/* &coerce!-app-ly3470 */
	BgL_nodez00_bglt BGl_z62coercez12zd2appzd2ly3470z70zzcoerce_applyz00(obj_t
		BgL_envz00_1509, BgL_appzd2lyzd2_bglt BgL_nodez00_1510,
		obj_t BgL_callerz00_1511, obj_t BgL_toz00_1512, obj_t BgL_safez00_1513)
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 36 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1374;
				obj_t BgL_callerz00_1375;
				obj_t BgL_toz00_1376;
				obj_t BgL_safez00_1377;

				BgL_nodez00_1374 = BgL_nodez00_1510;
				BgL_callerz00_1375 = BgL_callerz00_1511;
				BgL_toz00_1376 = BgL_toz00_1512;
				BgL_safez00_1377 = BgL_safez00_1513;
				{	/* Coerce/apply.scm 38 */
					obj_t BgL_errorzd2msgzd2_1380;

					{	/* Coerce/apply.scm 38 */
						obj_t BgL_arg3620z00_1439;

						BgL_arg3620z00_1439 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1374));
						{	/* Coerce/apply.scm 38 */
							obj_t BgL_list3621z00_1440;

							{	/* Coerce/apply.scm 38 */
								obj_t BgL_arg3622z00_1441;

								BgL_arg3622z00_1441 = MAKE_PAIR(BgL_arg3620z00_1439, BNIL);
								BgL_list3621z00_1440 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BgL_arg3622z00_1441);
							}
							BgL_errorzd2msgzd2_1380 = BgL_list3621z00_1440;
					}}
					{	/* Coerce/apply.scm 40 */
						BgL_nodez00_bglt BgL_arg3570z00_1381;

						{	/* Coerce/apply.scm 40 */
							BgL_nodez00_bglt BgL_arg3571z00_1382;

							BgL_arg3571z00_1382 =
								(((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1374)))->BgL_argz00);
							{	/* Coerce/apply.scm 40 */
								BgL_typez00_bglt BgL_auxz00_1697;

								{	/* Coerce/apply.scm 40 */
									obj_t BgL_xz00_1525;

									BgL_xz00_1525 = BGl_za2objza2z00zztype_cachez00;
									BgL_auxz00_1697 = ((BgL_typez00_bglt) BgL_xz00_1525);
								}
								BgL_arg3570z00_1381 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg3571z00_1382,
									BgL_callerz00_1375, BgL_auxz00_1697, CBOOL(BgL_safez00_1377));
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1374)))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg3570z00_1381), BUNSPEC);
					}
					{	/* Coerce/apply.scm 42 */
						BgL_nodez00_bglt BgL_czd2funzd2_1383;

						{	/* Coerce/apply.scm 42 */
							BgL_nodez00_bglt BgL_arg3619z00_1438;

							BgL_arg3619z00_1438 =
								(((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1374)))->BgL_funz00);
							{	/* Coerce/apply.scm 42 */
								BgL_typez00_bglt BgL_auxz00_1705;

								{	/* Coerce/apply.scm 42 */
									obj_t BgL_xz00_1528;

									BgL_xz00_1528 = BGl_za2procedureza2z00zztype_cachez00;
									BgL_auxz00_1705 = ((BgL_typez00_bglt) BgL_xz00_1528);
								}
								BgL_czd2funzd2_1383 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg3619z00_1438,
									BgL_callerz00_1375, BgL_auxz00_1705, CBOOL(BgL_safez00_1377));
						}}
						if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
							{	/* Coerce/apply.scm 46 */
								bool_t BgL_testz00_1711;

								{	/* Coerce/apply.scm 46 */
									bool_t BgL_res3633z00_1480;

									{	/* Coerce/apply.scm 46 */
										obj_t BgL_obj2301z00_1479;

										BgL_obj2301z00_1479 = ((obj_t) BgL_czd2funzd2_1383);
										BgL_res3633z00_1480 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2301z00_1479,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_1711 = BgL_res3633z00_1480;
								}
								if (BgL_testz00_1711)
									{	/* Coerce/apply.scm 46 */
										((((BgL_appzd2lyzd2_bglt) CREF(
														((obj_t) BgL_nodez00_1374)))->BgL_funz00) =
											((BgL_nodez00_bglt) BgL_czd2funzd2_1383), BUNSPEC);
										{	/* Coerce/apply.scm 49 */
											BgL_typez00_bglt BgL_auxz00_1716;

											{	/* Coerce/apply.scm 49 */
												obj_t BgL_xz00_1532;

												BgL_xz00_1532 = BGl_za2objza2z00zztype_cachez00;
												BgL_auxz00_1716 = ((BgL_typez00_bglt) BgL_xz00_1532);
											}
											return
												BGl_convertz12z12zzcoerce_convertz00(
												((BgL_nodez00_bglt) BgL_nodez00_1374), BgL_auxz00_1716,
												((BgL_typez00_bglt) BgL_toz00_1376),
												CBOOL(BgL_safez00_1377));
										}
									}
								else
									{	/* Coerce/apply.scm 50 */
										BgL_localz00_bglt BgL_funz00_1385;

										{	/* Coerce/apply.scm 50 */
											BgL_typez00_bglt BgL_auxz00_1722;

											{	/* Coerce/apply.scm 50 */
												obj_t BgL_xz00_1534;

												BgL_xz00_1534 = BGl_za2procedureza2z00zztype_cachez00;
												BgL_auxz00_1722 = ((BgL_typez00_bglt) BgL_xz00_1534);
											}
											BgL_funz00_1385 =
												BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(
													((long) 9)), BgL_auxz00_1722);
										}
										{	/* Coerce/apply.scm 52 */
											BgL_varz00_bglt BgL_arg3573z00_1386;

											{	/* Coerce/apply.scm 52 */
												obj_t BgL_arg3574z00_1387;

												BgL_arg3574z00_1387 =
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_czd2funzd2_1383)))->BgL_locz00);
												{	/* Coerce/apply.scm 51 */
													BgL_typez00_bglt BgL_auxz00_1728;

													{	/* Coerce/apply.scm 51 */
														obj_t BgL_xz00_1536;

														BgL_xz00_1536 =
															BGl_za2procedureza2z00zztype_cachez00;
														BgL_auxz00_1728 =
															((BgL_typez00_bglt) BgL_xz00_1536);
													}
													BgL_arg3573z00_1386 =
														BGl_makezd2varzd2zzast_nodez00(BgL_arg3574z00_1387,
														BgL_auxz00_1728,
														((BgL_variablez00_bglt) BgL_funz00_1385));
											}}
											{	/* Coerce/apply.scm 51 */
												BgL_nodez00_bglt BgL_val2418z00_1485;

												BgL_val2418z00_1485 =
													((BgL_nodez00_bglt) BgL_arg3573z00_1386);
												((((BgL_appzd2lyzd2_bglt) CREF(
																((obj_t) BgL_nodez00_1374)))->BgL_funz00) =
													((BgL_nodez00_bglt) BgL_val2418z00_1485), BUNSPEC);
										}}
										{	/* Coerce/apply.scm 56 */
											obj_t BgL_arg3575z00_1388;
											BgL_typez00_bglt BgL_arg3576z00_1389;
											obj_t BgL_arg3577z00_1390;
											BgL_nodez00_bglt BgL_arg3578z00_1391;

											{	/* Coerce/apply.scm 56 */
												BgL_nodez00_bglt BgL_obj2222z00_1486;

												BgL_obj2222z00_1486 =
													((BgL_nodez00_bglt) BgL_nodez00_1374);
												BgL_arg3575z00_1388 =
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2222z00_1486)))->BgL_locz00);
											}
											{	/* Coerce/apply.scm 57 */
												BgL_typez00_bglt BgL_arg3579z00_1392;

												{	/* Coerce/apply.scm 57 */
													BgL_nodez00_bglt BgL_obj2223z00_1487;

													BgL_obj2223z00_1487 =
														((BgL_nodez00_bglt) BgL_nodez00_1374);
													BgL_arg3579z00_1392 =
														(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2223z00_1487)))->BgL_typez00);
												}
												BgL_arg3576z00_1389 =
													BGl_strictzd2nodezd2typez00zzast_nodez00(
													((BgL_typez00_bglt) BgL_toz00_1376),
													BgL_arg3579z00_1392);
											}
											{	/* Coerce/apply.scm 58 */
												obj_t BgL_arg3580z00_1393;

												BgL_arg3580z00_1393 =
													MAKE_PAIR(
													((obj_t) BgL_funz00_1385),
													((obj_t) BgL_czd2funzd2_1383));
												{	/* Coerce/apply.scm 58 */
													obj_t BgL_list3581z00_1394;

													BgL_list3581z00_1394 =
														MAKE_PAIR(BgL_arg3580z00_1393, BNIL);
													BgL_arg3577z00_1390 = BgL_list3581z00_1394;
											}}
											{	/* Coerce/apply.scm 59 */
												BgL_typez00_bglt BgL_auxz00_1747;

												{	/* Coerce/apply.scm 59 */
													obj_t BgL_xz00_1548;

													BgL_xz00_1548 = BGl_za2objza2z00zztype_cachez00;
													BgL_auxz00_1747 = ((BgL_typez00_bglt) BgL_xz00_1548);
												}
												BgL_arg3578z00_1391 =
													BGl_convertz12z12zzcoerce_convertz00(
													((BgL_nodez00_bglt) BgL_nodez00_1374),
													BgL_auxz00_1747, ((BgL_typez00_bglt) BgL_toz00_1376),
													CBOOL(BgL_safez00_1377));
											}
											{	/* Coerce/apply.scm 55 */
												BgL_letzd2varzd2_bglt BgL_xz00_1550;

												BgL_xz00_1550 =
													BGl_makezd2letzd2varz00zzast_nodez00
													(BgL_arg3575z00_1388, BgL_arg3576z00_1389, BUNSPEC,
													BINT(((long) -1)), BgL_arg3577z00_1390,
													BgL_arg3578z00_1391, ((bool_t) 1));
												return ((BgL_nodez00_bglt) BgL_xz00_1550);
											}
										}
									}
							}
						else
							{	/* Coerce/apply.scm 60 */
								BgL_localz00_bglt BgL_funz00_1395;

								{	/* Coerce/apply.scm 60 */
									BgL_typez00_bglt BgL_auxz00_1756;

									{	/* Coerce/apply.scm 60 */
										obj_t BgL_xz00_1551;

										BgL_xz00_1551 = BGl_za2procedureza2z00zztype_cachez00;
										BgL_auxz00_1756 = ((BgL_typez00_bglt) BgL_xz00_1551);
									}
									BgL_funz00_1395 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 9)), BgL_auxz00_1756);
								}
								{	/* Coerce/apply.scm 60 */
									BgL_localz00_bglt BgL_valz00_1396;

									{	/* Coerce/apply.scm 61 */
										BgL_typez00_bglt BgL_auxz00_1760;

										{	/* Coerce/apply.scm 61 */
											obj_t BgL_xz00_1552;

											BgL_xz00_1552 = BGl_za2pairzd2nilza2zd2zztype_cachez00;
											BgL_auxz00_1760 = ((BgL_typez00_bglt) BgL_xz00_1552);
										}
										BgL_valz00_1396 =
											BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
													(long) 10)), BgL_auxz00_1760);
									}
									{	/* Coerce/apply.scm 61 */
										obj_t BgL_locz00_1397;

										{	/* Coerce/apply.scm 62 */
											BgL_nodez00_bglt BgL_obj2222z00_1490;

											BgL_obj2222z00_1490 =
												((BgL_nodez00_bglt) BgL_nodez00_1374);
											BgL_locz00_1397 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2222z00_1490)))->BgL_locz00);
										}
										{	/* Coerce/apply.scm 62 */
											BgL_nodez00_bglt BgL_lvalz00_1398;

											{	/* Coerce/apply.scm 63 */
												BgL_nodez00_bglt BgL_arg3616z00_1435;

												{	/* Coerce/apply.scm 63 */
													obj_t BgL_arg3617z00_1436;

													{	/* Coerce/apply.scm 63 */
														obj_t BgL_arg3618z00_1437;

														BgL_arg3618z00_1437 =
															MAKE_PAIR(((obj_t) BgL_valz00_1396), BNIL);
														BgL_arg3617z00_1436 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
															BgL_arg3618z00_1437);
													}
													BgL_arg3616z00_1435 =
														BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
														(BgL_arg3617z00_1436, BgL_locz00_1397);
												}
												BgL_lvalz00_1398 =
													BGl_lvtypezd2nodezd2zzast_lvtypez00
													(BgL_arg3616z00_1435);
											}
											{	/* Coerce/apply.scm 63 */
												obj_t BgL_lenz00_1399;

												BgL_lenz00_1399 =
													BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 12)));
												{	/* Coerce/apply.scm 64 */
													BgL_nodez00_bglt BgL_bodyz00_1400;

													{	/* Coerce/apply.scm 67 */
														BgL_nodez00_bglt BgL_arg3594z00_1414;

														{	/* Coerce/apply.scm 67 */
															obj_t BgL_arg3595z00_1415;

															{	/* Coerce/apply.scm 67 */
																obj_t BgL_arg3596z00_1416;

																{	/* Coerce/apply.scm 67 */
																	obj_t BgL_arg3597z00_1417;
																	obj_t BgL_arg3598z00_1418;

																	{	/* Coerce/apply.scm 67 */
																		obj_t BgL_arg3599z00_1419;

																		{	/* Coerce/apply.scm 67 */
																			obj_t BgL_arg3600z00_1420;
																			obj_t BgL_arg3601z00_1421;

																			{	/* Coerce/apply.scm 67 */
																				obj_t BgL_arg3602z00_1422;

																				{	/* Coerce/apply.scm 67 */
																					obj_t BgL_arg3603z00_1423;
																					obj_t BgL_arg3604z00_1424;

																					{	/* Coerce/apply.scm 67 */
																						obj_t BgL_res3635z00_1493;

																						{	/* Coerce/apply.scm 67 */
																							obj_t BgL_arg2069z00_1492;

																							BgL_arg2069z00_1492 =
																								SYMBOL_TO_STRING
																								(BgL_lenz00_1399);
																							BgL_res3635z00_1493 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg2069z00_1492);
																						}
																						BgL_arg3603z00_1423 =
																							BgL_res3635z00_1493;
																					}
																					{	/* Coerce/apply.scm 67 */
																						obj_t BgL_res3636z00_1496;

																						{	/* Coerce/apply.scm 67 */
																							obj_t BgL_symbolz00_1494;

																							BgL_symbolz00_1494 =
																								CNST_TABLE_REF(((long) 13));
																							{	/* Coerce/apply.scm 67 */
																								obj_t BgL_arg2069z00_1495;

																								BgL_arg2069z00_1495 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_1494);
																								BgL_res3636z00_1496 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg2069z00_1495);
																						}}
																						BgL_arg3604z00_1424 =
																							BgL_res3636z00_1496;
																					}
																					BgL_arg3602z00_1422 =
																						string_append(BgL_arg3603z00_1423,
																						BgL_arg3604z00_1424);
																				}
																				BgL_arg3600z00_1420 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_arg3602z00_1422));
																			}
																			{	/* Coerce/apply.scm 68 */
																				BgL_nodez00_bglt BgL_arg3605z00_1425;

																				{	/* Coerce/apply.scm 68 */
																					BgL_typez00_bglt BgL_auxz00_1783;

																					{	/* Coerce/apply.scm 68 */
																						obj_t BgL_xz00_1556;

																						BgL_xz00_1556 =
																							BGl_za2intza2z00zztype_cachez00;
																						BgL_auxz00_1783 =
																							((BgL_typez00_bglt)
																							BgL_xz00_1556);
																					}
																					BgL_arg3605z00_1425 =
																						BGl_coercez12z12zzcoerce_coercez00
																						(BgL_lvalz00_1398,
																						BgL_callerz00_1375, BgL_auxz00_1783,
																						CBOOL(BgL_safez00_1377));
																				}
																				BgL_arg3601z00_1421 =
																					MAKE_PAIR(
																					((obj_t) BgL_arg3605z00_1425), BNIL);
																			}
																			BgL_arg3599z00_1419 =
																				MAKE_PAIR(BgL_arg3600z00_1420,
																				BgL_arg3601z00_1421);
																		}
																		BgL_arg3597z00_1417 =
																			MAKE_PAIR(BgL_arg3599z00_1419, BNIL);
																	}
																	{	/* Coerce/apply.scm 69 */
																		obj_t BgL_arg3606z00_1426;

																		{	/* Coerce/apply.scm 69 */
																			obj_t BgL_arg3607z00_1427;

																			{	/* Coerce/apply.scm 69 */
																				obj_t BgL_arg3608z00_1428;
																				obj_t BgL_arg3609z00_1429;

																				{	/* Coerce/apply.scm 69 */
																					obj_t BgL_arg3611z00_1430;

																					{	/* Coerce/apply.scm 69 */
																						obj_t BgL_arg3612z00_1431;

																						BgL_arg3612z00_1431 =
																							MAKE_PAIR(BgL_lenz00_1399, BNIL);
																						BgL_arg3611z00_1430 =
																							MAKE_PAIR(
																							((obj_t) BgL_funz00_1395),
																							BgL_arg3612z00_1431);
																					}
																					BgL_arg3608z00_1428 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								14)), BgL_arg3611z00_1430);
																				}
																				{	/* Coerce/apply.scm 70 */
																					BgL_nodez00_bglt BgL_arg3613z00_1432;
																					obj_t BgL_arg3614z00_1433;

																					{	/* Coerce/apply.scm 70 */
																						BgL_typez00_bglt BgL_auxz00_1796;

																						{	/* Coerce/apply.scm 70 */
																							obj_t BgL_xz00_1560;

																							BgL_xz00_1560 =
																								BGl_za2objza2z00zztype_cachez00;
																							BgL_auxz00_1796 =
																								((BgL_typez00_bglt)
																								BgL_xz00_1560);
																						}
																						BgL_arg3613z00_1432 =
																							BGl_convertz12z12zzcoerce_convertz00
																							(((BgL_nodez00_bglt)
																								BgL_nodez00_1374),
																							BgL_auxz00_1796,
																							((BgL_typez00_bglt)
																								BgL_toz00_1376),
																							CBOOL(BgL_safez00_1377));
																					}
																					{	/* Coerce/apply.scm 71 */
																						BgL_nodez00_bglt
																							BgL_arg3615z00_1434;
																						BgL_arg3615z00_1434 =
																							BGl_makezd2errorzd2nodez00zzcoerce_applyz00
																							(BgL_errorzd2msgzd2_1380,
																							BgL_locz00_1397,
																							BgL_callerz00_1375,
																							BgL_toz00_1376);
																						BgL_arg3614z00_1433 =
																							MAKE_PAIR(((obj_t)
																								BgL_arg3615z00_1434), BNIL);
																					}
																					BgL_arg3609z00_1429 =
																						MAKE_PAIR(
																						((obj_t) BgL_arg3613z00_1432),
																						BgL_arg3614z00_1433);
																				}
																				BgL_arg3607z00_1427 =
																					MAKE_PAIR(BgL_arg3608z00_1428,
																					BgL_arg3609z00_1429);
																			}
																			BgL_arg3606z00_1426 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																				BgL_arg3607z00_1427);
																		}
																		BgL_arg3598z00_1418 =
																			MAKE_PAIR(BgL_arg3606z00_1426, BNIL);
																	}
																	BgL_arg3596z00_1416 =
																		MAKE_PAIR(BgL_arg3597z00_1417,
																		BgL_arg3598z00_1418);
																}
																BgL_arg3595z00_1415 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																	BgL_arg3596z00_1416);
															}
															BgL_arg3594z00_1414 =
																BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																(BgL_arg3595z00_1415, BgL_locz00_1397);
														}
														BgL_bodyz00_1400 =
															BGl_lvtypezd2nodezd2zzast_lvtypez00
															(BgL_arg3594z00_1414);
													}
													{	/* Coerce/apply.scm 65 */
														BgL_letzd2varzd2_bglt BgL_lnodez00_1401;

														{	/* Coerce/apply.scm 78 */
															BgL_typez00_bglt BgL_arg3586z00_1406;
															obj_t BgL_arg3587z00_1407;

															{	/* Coerce/apply.scm 78 */
																BgL_typez00_bglt BgL_arg3588z00_1408;

																BgL_arg3588z00_1408 =
																	(((BgL_nodez00_bglt) CREF(
																			((obj_t) BgL_bodyz00_1400)))->
																	BgL_typez00);
																{	/* Coerce/apply.scm 78 */
																	BgL_typez00_bglt BgL_auxz00_1818;

																	{	/* Coerce/apply.scm 78 */
																		obj_t BgL_xz00_1565;

																		BgL_xz00_1565 =
																			BGl_za2objza2z00zztype_cachez00;
																		BgL_auxz00_1818 =
																			((BgL_typez00_bglt) BgL_xz00_1565);
																	}
																	BgL_arg3586z00_1406 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_arg3588z00_1408, BgL_auxz00_1818);
															}}
															{	/* Coerce/apply.scm 79 */
																obj_t BgL_arg3589z00_1409;
																obj_t BgL_arg3590z00_1410;

																BgL_arg3589z00_1409 =
																	MAKE_PAIR(
																	((obj_t) BgL_funz00_1395),
																	((obj_t) BgL_czd2funzd2_1383));
																{	/* Coerce/apply.scm 80 */
																	BgL_nodez00_bglt BgL_arg3593z00_1413;

																	BgL_arg3593z00_1413 =
																		(((BgL_appzd2lyzd2_bglt) CREF(
																				((obj_t) BgL_nodez00_1374)))->
																		BgL_argz00);
																	BgL_arg3590z00_1410 =
																		MAKE_PAIR(((obj_t) BgL_valz00_1396),
																		((obj_t) BgL_arg3593z00_1413));
																}
																{	/* Coerce/apply.scm 79 */
																	obj_t BgL_list3591z00_1411;

																	{	/* Coerce/apply.scm 79 */
																		obj_t BgL_arg3592z00_1412;

																		BgL_arg3592z00_1412 =
																			MAKE_PAIR(BgL_arg3590z00_1410, BNIL);
																		BgL_list3591z00_1411 =
																			MAKE_PAIR(BgL_arg3589z00_1409,
																			BgL_arg3592z00_1412);
																	}
																	BgL_arg3587z00_1407 = BgL_list3591z00_1411;
															}}
															BgL_lnodez00_1401 =
																BGl_makezd2letzd2varz00zzast_nodez00
																(BgL_locz00_1397, BgL_arg3586z00_1406, BUNSPEC,
																BINT(((long) -1)), BgL_arg3587z00_1407,
																BgL_bodyz00_1400, ((bool_t) 1));
														}
														{	/* Coerce/apply.scm 76 */

															{	/* Coerce/apply.scm 83 */
																BgL_varz00_bglt BgL_arg3582z00_1402;

																{	/* Coerce/apply.scm 83 */
																	BgL_typez00_bglt BgL_auxz00_1833;

																	{	/* Coerce/apply.scm 83 */
																		obj_t BgL_xz00_1571;

																		BgL_xz00_1571 =
																			BGl_za2procedureza2z00zztype_cachez00;
																		BgL_auxz00_1833 =
																			((BgL_typez00_bglt) BgL_xz00_1571);
																	}
																	BgL_arg3582z00_1402 =
																		BGl_makezd2varzd2zzast_nodez00
																		(BgL_locz00_1397, BgL_auxz00_1833,
																		((BgL_variablez00_bglt) BgL_funz00_1395));
																}
																{	/* Coerce/apply.scm 83 */
																	BgL_nodez00_bglt BgL_val2418z00_1504;

																	BgL_val2418z00_1504 =
																		((BgL_nodez00_bglt) BgL_arg3582z00_1402);
																	((((BgL_appzd2lyzd2_bglt) CREF(
																					((obj_t) BgL_nodez00_1374)))->
																			BgL_funz00) =
																		((BgL_nodez00_bglt) BgL_val2418z00_1504),
																		BUNSPEC);
															}}
															{	/* Coerce/apply.scm 90 */
																BgL_varz00_bglt BgL_arg3583z00_1403;

																{	/* Coerce/apply.scm 90 */
																	BgL_typez00_bglt BgL_arg3584z00_1404;

																	{	/* Coerce/apply.scm 90 */
																		BgL_typez00_bglt BgL_arg3585z00_1405;

																		{	/* Coerce/apply.scm 90 */
																			BgL_variablez00_bglt BgL_obj1697z00_1505;

																			BgL_obj1697z00_1505 =
																				((BgL_variablez00_bglt)
																				BgL_valz00_1396);
																			BgL_arg3585z00_1405 =
																				(((BgL_variablez00_bglt) CREF(((obj_t)
																							BgL_obj1697z00_1505)))->
																				BgL_typez00);
																		}
																		{	/* Coerce/apply.scm 89 */
																			BgL_typez00_bglt BgL_auxz00_1843;

																			{	/* Coerce/apply.scm 90 */
																				obj_t BgL_xz00_1577;

																				BgL_xz00_1577 =
																					BGl_za2objza2z00zztype_cachez00;
																				BgL_auxz00_1843 =
																					((BgL_typez00_bglt) BgL_xz00_1577);
																			}
																			BgL_arg3584z00_1404 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(BgL_arg3585z00_1405, BgL_auxz00_1843);
																	}}
																	BgL_arg3583z00_1403 =
																		BGl_makezd2varzd2zzast_nodez00
																		(BgL_locz00_1397, BgL_arg3584z00_1404,
																		((BgL_variablez00_bglt) BgL_valz00_1396));
																}
																{	/* Coerce/apply.scm 87 */
																	BgL_nodez00_bglt BgL_val2421z00_1507;

																	BgL_val2421z00_1507 =
																		((BgL_nodez00_bglt) BgL_arg3583z00_1403);
																	((((BgL_appzd2lyzd2_bglt) CREF(
																					((obj_t) BgL_nodez00_1374)))->
																			BgL_argz00) =
																		((BgL_nodez00_bglt) BgL_val2421z00_1507),
																		BUNSPEC);
															}}
															return ((BgL_nodez00_bglt) BgL_lnodez00_1401);
														}
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_applyz00()
	{
		AN_OBJECT;
		{	/* Coerce/apply.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string3646z00zzcoerce_applyz00));
		}
	}

#ifdef __cplusplus
}
#endif
