/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t, obj_t,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, bool_t);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t,
		BgL_tclassz00_bglt, obj_t, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7704024za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d4025za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ4026z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4014z00zzcoerce_convertz00,
		BgL_bgl_string4014za700za7za7c4027za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string4015z00zzcoerce_convertz00,
		BgL_bgl_string4015za700za7za7c4028za7, "", 0);
	      DEFINE_STRING(BGl_string4016z00zzcoerce_convertz00,
		BgL_bgl_string4016za700za7za7c4029za7, "Type error", 10);
	      DEFINE_STRING(BGl_string4017z00zzcoerce_convertz00,
		BgL_bgl_string4017za700za7za7c4030za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string4018z00zzcoerce_convertz00,
		BgL_bgl_string4018za700za7za7c4031za7, "do-convert", 10);
	      DEFINE_STRING(BGl_string4019z00zzcoerce_convertz00,
		BgL_bgl_string4019za700za7za7c4032za7, "Illegal converter", 17);
	      DEFINE_STRING(BGl_string4020z00zzcoerce_convertz00,
		BgL_bgl_string4020za700za7za7c4033za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string4021z00zzcoerce_convertz00,
		BgL_bgl_string4021za700za7za7c4034za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2044, char *BgL_fromz00_2045)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_toplevelzd2initzd2zzcoerce_convertz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2036;

				BgL_cportz00_2036 =
					bgl_open_input_string(BGl_string4021z00zzcoerce_convertz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2037;

					BgL_iz00_2037 = ((long) 10);
				BgL_loopz00_2038:
					if ((BgL_iz00_2037 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg4023z00_2040;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2042;

										BgL_locationz00_2042 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg4023z00_2040 =
												BGl_readz00zz__readerz00(BgL_cportz00_2036,
												BgL_locationz00_2042);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_auxz00_2067;

									BgL_auxz00_2067 = (int) (BgL_iz00_2037);
									CNST_TABLE_SET(BgL_auxz00_2067, BgL_arg4023z00_2040);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2043;

								BgL_auxz00_2043 = (int) ((BgL_iz00_2037 - ((long) 1)));
								{
									long BgL_iz00_2072;

									BgL_iz00_2072 = (long) (BgL_auxz00_2043);
									BgL_iz00_2037 = BgL_iz00_2072;
									goto BgL_loopz00_2038;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}
	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 58 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 60 */
					int BgL_stz00_1053;

					BgL_stz00_1053 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 63 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 68 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 68 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 71 */
										obj_t BgL_arg3751z00_1055;
										obj_t BgL_arg3752z00_1056;
										obj_t BgL_arg3753z00_1057;

										BgL_arg3751z00_1055 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg3752z00_1056 =
											STRUCT_REF(BgL_locz00_37, (int) (((long) 1)));
										{	/* Coerce/convert.scm 74 */
											obj_t BgL_arg3755z00_1059;
											obj_t BgL_arg3756z00_1060;

											BgL_arg3755z00_1059 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg3756z00_1060 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 73 */
												obj_t BgL_list3757z00_1061;

												{	/* Coerce/convert.scm 73 */
													obj_t BgL_arg3758z00_1062;

													{	/* Coerce/convert.scm 73 */
														obj_t BgL_arg3759z00_1063;

														BgL_arg3759z00_1063 =
															MAKE_PAIR(BgL_arg3756z00_1060, BNIL);
														BgL_arg3758z00_1062 =
															MAKE_PAIR(BgL_arg3755z00_1059,
															BgL_arg3759z00_1063);
													}
													BgL_list3757z00_1061 =
														MAKE_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg3758z00_1062);
												}
												BgL_arg3753z00_1057 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string4014z00zzcoerce_convertz00,
													BgL_list3757z00_1061);
										}}
										{	/* Coerce/convert.scm 71 */
											obj_t BgL_list3754z00_1058;

											BgL_list3754z00_1058 =
												MAKE_PAIR(BgL_arg3753z00_1057, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg3751z00_1055,
												BgL_arg3752z00_1056, BgL_list3754z00_1058);
						}}}}
					else
						{	/* Coerce/convert.scm 63 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 67 */
								obj_t BgL_arg3760z00_1064;

								{	/* Coerce/convert.scm 67 */
									obj_t BgL_arg3762z00_1066;
									obj_t BgL_arg3763z00_1067;

									BgL_arg3762z00_1066 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg3763z00_1067 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 66 */
										obj_t BgL_list3764z00_1068;

										{	/* Coerce/convert.scm 66 */
											obj_t BgL_arg3765z00_1069;

											{	/* Coerce/convert.scm 66 */
												obj_t BgL_arg3766z00_1070;

												BgL_arg3766z00_1070 =
													MAKE_PAIR(BgL_arg3763z00_1067, BNIL);
												BgL_arg3765z00_1069 =
													MAKE_PAIR(BgL_arg3762z00_1066, BgL_arg3766z00_1070);
											}
											BgL_list3764z00_1068 =
												MAKE_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg3765z00_1069);
										}
										BgL_arg3760z00_1064 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4014z00zzcoerce_convertz00,
											BgL_list3764z00_1068);
								}}
								{	/* Coerce/convert.scm 65 */
									obj_t BgL_list3761z00_1065;

									BgL_list3761z00_1065 = MAKE_PAIR(BgL_arg3760z00_1064, BNIL);
									BGl_warningz00zz__errorz00(BgL_list3761z00_1065);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1053);
				}
			else
				{	/* Coerce/convert.scm 59 */
					return BFALSE;
				}
		}
	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}
	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_1906)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 117 */
			{	/* Coerce/convert.scm 119 */
				obj_t BgL_fnamez00_1078;
				obj_t BgL_posz00_1079;

				{	/* Coerce/convert.scm 119 */
					bool_t BgL_testz00_2111;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 119 */
							BgL_testz00_2111 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_testz00_2111 = ((bool_t) 0);
						}
					if (BgL_testz00_2111)
						{	/* Coerce/convert.scm 119 */
							BgL_fnamez00_1078 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_fnamez00_1078 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 120 */
					bool_t BgL_testz00_2118;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 120 */
							BgL_testz00_2118 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 120 */
							BgL_testz00_2118 = ((bool_t) 0);
						}
					if (BgL_testz00_2118)
						{	/* Coerce/convert.scm 120 */
							BgL_posz00_1079 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 120 */
							BgL_posz00_1079 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 122 */
					obj_t BgL_arg3774z00_1080;

					{	/* Coerce/convert.scm 122 */
						obj_t BgL_arg3775z00_1081;
						obj_t BgL_arg3776z00_1082;

						{	/* Coerce/convert.scm 122 */
							obj_t BgL_arg3777z00_1083;
							obj_t BgL_arg3778z00_1084;

							{	/* Coerce/convert.scm 122 */
								obj_t BgL_arg3779z00_1085;

								{	/* Coerce/convert.scm 122 */
									obj_t BgL_arg3780z00_1086;

									BgL_arg3780z00_1086 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg3779z00_1085 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg3780z00_1086);
								}
								BgL_arg3777z00_1083 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg3779z00_1085);
							}
							{	/* Coerce/convert.scm 123 */
								obj_t BgL_arg3781z00_1087;

								{	/* Coerce/convert.scm 123 */
									obj_t BgL_arg3782z00_1088;

									{	/* Coerce/convert.scm 123 */
										obj_t BgL_arg3783z00_1089;
										obj_t BgL_arg3784z00_1090;

										{	/* Coerce/convert.scm 123 */
											obj_t BgL_arg3785z00_1091;

											BgL_arg3785z00_1091 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 123 */
												obj_t BgL_res3988z00_1732;

												{	/* Coerce/convert.scm 123 */
													obj_t BgL_symbolz00_1730;

													BgL_symbolz00_1730 = BgL_arg3785z00_1091;
													{	/* Coerce/convert.scm 123 */
														obj_t BgL_arg2069z00_1731;

														BgL_arg2069z00_1731 =
															SYMBOL_TO_STRING(BgL_symbolz00_1730);
														BgL_res3988z00_1732 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg2069z00_1731);
												}}
												BgL_arg3783z00_1089 = BgL_res3988z00_1732;
										}}
										{	/* Coerce/convert.scm 124 */
											obj_t BgL_arg3786z00_1092;
											obj_t BgL_arg3787z00_1093;

											{	/* Coerce/convert.scm 124 */
												obj_t BgL_res3989z00_1735;

												{	/* Coerce/convert.scm 124 */
													obj_t BgL_symbolz00_1733;

													BgL_symbolz00_1733 = BgL_tiz00_50;
													{	/* Coerce/convert.scm 124 */
														obj_t BgL_arg2069z00_1734;

														BgL_arg2069z00_1734 =
															SYMBOL_TO_STRING(BgL_symbolz00_1733);
														BgL_res3989z00_1735 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg2069z00_1734);
												}}
												BgL_arg3786z00_1092 = BgL_res3989z00_1735;
											}
											BgL_arg3787z00_1093 = MAKE_PAIR(BgL_idz00_51, BNIL);
											BgL_arg3784z00_1090 =
												MAKE_PAIR(BgL_arg3786z00_1092, BgL_arg3787z00_1093);
										}
										BgL_arg3782z00_1088 =
											MAKE_PAIR(BgL_arg3783z00_1089, BgL_arg3784z00_1090);
									}
									BgL_arg3781z00_1087 =
										MAKE_PAIR(BgL_posz00_1079, BgL_arg3782z00_1088);
								}
								BgL_arg3778z00_1084 =
									MAKE_PAIR(BgL_fnamez00_1078, BgL_arg3781z00_1087);
							}
							BgL_arg3775z00_1081 =
								MAKE_PAIR(BgL_arg3777z00_1083, BgL_arg3778z00_1084);
						}
						{	/* Coerce/convert.scm 121 */
							obj_t BgL_arg3788z00_1094;

							BgL_arg3788z00_1094 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg3776z00_1082 = MAKE_PAIR(BFALSE, BgL_arg3788z00_1094);
						}
						BgL_arg3774z00_1080 =
							MAKE_PAIR(BgL_arg3775z00_1081, BgL_arg3776z00_1082);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg3774z00_1080);
		}}}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 131 */
			{	/* Coerce/convert.scm 133 */
				obj_t BgL_auxz00_1097;

				BgL_auxz00_1097 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 133 */
					BgL_nodez00_bglt BgL_resz00_1098;

					{	/* Coerce/convert.scm 135 */
						obj_t BgL_arg3794z00_1101;

						{	/* Coerce/convert.scm 135 */
							obj_t BgL_arg3795z00_1102;

							{	/* Coerce/convert.scm 135 */
								obj_t BgL_arg3798z00_1103;
								obj_t BgL_arg3799z00_1104;

								{	/* Coerce/convert.scm 135 */
									obj_t BgL_arg3801z00_1105;

									{	/* Coerce/convert.scm 135 */
										obj_t BgL_arg3802z00_1106;
										obj_t BgL_arg3803z00_1107;

										{	/* Coerce/convert.scm 135 */
											obj_t BgL_arg3804z00_1108;

											{	/* Coerce/convert.scm 135 */
												obj_t BgL_arg3805z00_1109;

												{	/* Coerce/convert.scm 135 */
													obj_t BgL_arg3806z00_1110;
													obj_t BgL_arg3807z00_1111;

													{	/* Coerce/convert.scm 135 */
														obj_t BgL_res3990z00_1738;

														{	/* Coerce/convert.scm 135 */
															obj_t BgL_arg2069z00_1737;

															BgL_arg2069z00_1737 =
																SYMBOL_TO_STRING(BgL_auxz00_1097);
															BgL_res3990z00_1738 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg2069z00_1737);
														}
														BgL_arg3806z00_1110 = BgL_res3990z00_1738;
													}
													{	/* Coerce/convert.scm 135 */
														obj_t BgL_res3991z00_1741;

														{	/* Coerce/convert.scm 135 */
															obj_t BgL_symbolz00_1739;

															BgL_symbolz00_1739 = CNST_TABLE_REF(((long) 6));
															{	/* Coerce/convert.scm 135 */
																obj_t BgL_arg2069z00_1740;

																BgL_arg2069z00_1740 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1739);
																BgL_res3991z00_1741 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg2069z00_1740);
														}}
														BgL_arg3807z00_1111 = BgL_res3991z00_1741;
													}
													BgL_arg3805z00_1109 =
														string_append(BgL_arg3806z00_1110,
														BgL_arg3807z00_1111);
												}
												BgL_arg3804z00_1108 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg3805z00_1109));
											}
											BgL_arg3802z00_1106 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BgL_arg3804z00_1108);
										}
										BgL_arg3803z00_1107 = MAKE_PAIR(BUNSPEC, BNIL);
										BgL_arg3801z00_1105 =
											MAKE_PAIR(BgL_arg3802z00_1106, BgL_arg3803z00_1107);
									}
									BgL_arg3798z00_1103 = MAKE_PAIR(BgL_arg3801z00_1105, BNIL);
								}
								BgL_arg3799z00_1104 =
									MAKE_PAIR
									(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
									(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1097), BNIL);
								BgL_arg3795z00_1102 =
									MAKE_PAIR(BgL_arg3798z00_1103, BgL_arg3799z00_1104);
							}
							BgL_arg3794z00_1101 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg3795z00_1102);
						}
						BgL_resz00_1098 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg3794z00_1101, BgL_locz00_52);
					}
					{	/* Coerce/convert.scm 134 */

						{	/* Coerce/convert.scm 139 */
							obj_t BgL_arg3791z00_1099;

							{	/* Coerce/convert.scm 139 */
								obj_t BgL_pairz00_1745;

								{	/* Coerce/convert.scm 139 */
									BgL_letzd2varzd2_bglt BgL_obj3280z00_1744;

									BgL_obj3280z00_1744 =
										((BgL_letzd2varzd2_bglt) BgL_resz00_1098);
									BgL_pairz00_1745 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((obj_t) BgL_obj3280z00_1744)))->BgL_bindingsz00);
								}
								BgL_arg3791z00_1099 = CAR(BgL_pairz00_1745);
							}
							{	/* Coerce/convert.scm 139 */
								obj_t BgL_pairz00_1746;
								obj_t BgL_objz00_1747;

								BgL_pairz00_1746 = BgL_arg3791z00_1099;
								BgL_objz00_1747 = ((obj_t) BgL_valuez00_54);
								SET_CDR(BgL_pairz00_1746, BgL_objz00_1747);
						}}
						return ((obj_t) BgL_resz00_1098);
					}
				}
			}
		}
	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_1907, obj_t BgL_locz00_1908, obj_t BgL_tiz00_1909,
		obj_t BgL_valuez00_1910)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 131 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_1908,
				BgL_tiz00_1909, ((BgL_nodez00_bglt) BgL_valuez00_1910));
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 149 */
			{	/* Coerce/convert.scm 152 */
				bool_t BgL_testz00_2177;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 152 */
						BgL_testz00_2177 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 152 */
						BgL_typez00_bglt BgL_auxz00_2181;

						{	/* Coerce/convert.scm 152 */
							obj_t BgL_xz00_1924;

							BgL_xz00_1924 = BGl_za2objza2z00zztype_cachez00;
							BgL_auxz00_2181 = ((BgL_typez00_bglt) BgL_xz00_1924);
						}
						BgL_testz00_2177 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56, BgL_auxz00_2181);
					}
				if (BgL_testz00_2177)
					{	/* Coerce/convert.scm 153 */
						obj_t BgL_nodez00_1114;

						{	/* Coerce/convert.scm 153 */
							obj_t BgL_arg3811z00_1116;

							BgL_arg3811z00_1116 =
								(((BgL_typez00_bglt) CREF(((obj_t) BgL_toz00_56)))->BgL_idz00);
							BgL_nodez00_1114 =
								BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
								BgL_arg3811z00_1116, BgL_nodez00_58);
						}
						{	/* Coerce/convert.scm 154 */
							obj_t BgL_arg3810z00_1115;

							BgL_arg3810z00_1115 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 154 */
								obj_t BgL_arg3771z00_1753;

								{	/* Coerce/convert.scm 154 */
									obj_t BgL_arg3772z00_1754;
									obj_t BgL_arg3773z00_1755;

									BgL_arg3772z00_1754 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg3773z00_1755 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg3771z00_1753 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string4015z00zzcoerce_convertz00, BgL_arg3772z00_1754,
										BgL_arg3773z00_1755);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg3810z00_1115, BGl_string4016z00zzcoerce_convertz00,
									BgL_arg3771z00_1753);
							}
						}
						if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
							{	/* Coerce/convert.scm 155 */
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
									((BgL_nodez00_bglt) BgL_nodez00_1114));
							}
						else
							{	/* Coerce/convert.scm 155 */
								BFALSE;
							}
						{	/* Coerce/convert.scm 157 */
							BgL_nodez00_bglt BgL_xz00_1930;

							BgL_xz00_1930 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1114), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0));
							return ((obj_t) BgL_xz00_1930);
						}
					}
				else
					{	/* Coerce/convert.scm 158 */
						obj_t BgL_arg3812z00_1117;

						BgL_arg3812z00_1117 = BGl_currentzd2functionzd2zztools_errorz00();
						{	/* Coerce/convert.scm 158 */
							obj_t BgL_arg3767z00_1760;

							{	/* Coerce/convert.scm 158 */
								obj_t BgL_arg3769z00_1761;
								obj_t BgL_arg3770z00_1762;

								BgL_arg3769z00_1761 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
								BgL_arg3770z00_1762 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
								BgL_arg3767z00_1760 =
									BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
									(BGl_string4015z00zzcoerce_convertz00, BgL_arg3769z00_1761,
									BgL_arg3770z00_1762);
							}
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_57,
								BgL_arg3812z00_1117, BGl_string4016z00zzcoerce_convertz00,
								BgL_arg3767z00_1760, BNIL);
						}
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 166 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 170 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 172 */
					BgL_typez00_bglt BgL_toz00_1120;
					BgL_typez00_bglt BgL_fromz00_1121;

					BgL_toz00_1120 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_fromz00_1121 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 174 */
						bool_t BgL_testz00_2214;

						if ((((obj_t) BgL_fromz00_1121) == ((obj_t) BgL_toz00_1120)))
							{	/* Coerce/convert.scm 174 */
								BgL_testz00_2214 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 174 */
								BgL_testz00_2214 =
									(((BgL_typez00_bglt) CREF(
											((obj_t) BgL_fromz00_1121)))->BgL_magiczf3zf3);
							}
						if (BgL_testz00_2214)
							{	/* Coerce/convert.scm 174 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 176 */
								obj_t BgL_coercerz00_1123;
								obj_t BgL_locz00_1124;

								BgL_coercerz00_1123 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1121,
									BgL_toz00_1120);
								BgL_locz00_1124 =
									(((BgL_nodez00_bglt) CREF(((obj_t) BgL_nodez00_59)))->
									BgL_locz00);
								{	/* Coerce/convert.scm 178 */
									bool_t BgL_testz00_2224;

									if (STRUCTP(BgL_coercerz00_1123))
										{	/* Coerce/convert.scm 178 */
											BgL_testz00_2224 =
												(STRUCT_KEY(BgL_coercerz00_1123) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 178 */
											BgL_testz00_2224 = ((bool_t) 0);
										}
									if (BgL_testz00_2224)
										{	/* Coerce/convert.scm 182 */
											obj_t BgL_g3729z00_1126;
											obj_t BgL_g3730z00_1127;

											BgL_g3729z00_1126 =
												STRUCT_REF(BgL_coercerz00_1123, (int) (((long) 2)));
											BgL_g3730z00_1127 =
												STRUCT_REF(BgL_coercerz00_1123, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1129;
												obj_t BgL_coercesz00_1130;
												obj_t BgL_nodez00_1131;

												{	/* Coerce/convert.scm 182 */
													obj_t BgL_xz00_1944;

													BgL_checksz00_1129 = BgL_g3729z00_1126;
													BgL_coercesz00_1130 = BgL_g3730z00_1127;
													BgL_nodez00_1131 = ((obj_t) BgL_nodez00_59);
												BgL_zc3anonymousza33817ze3z83_1132:
													if (NULLP(BgL_checksz00_1129))
														{	/* Coerce/convert.scm 186 */
															if (NULLP(BgL_coercesz00_1130))
																{	/* Coerce/convert.scm 187 */
																	BgL_xz00_1944 = BgL_nodez00_1131;
																}
															else
																{	/* Coerce/convert.scm 190 */
																	obj_t BgL_arg3820z00_1135;
																	obj_t BgL_arg3821z00_1136;

																	BgL_arg3820z00_1135 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1121));
																	BgL_arg3821z00_1136 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1120));
																	BgL_xz00_1944 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string4017z00zzcoerce_convertz00,
																		BgL_arg3820z00_1135, BgL_arg3821z00_1136);
																}
														}
													else
														{	/* Coerce/convert.scm 186 */
															if (NULLP(BgL_coercesz00_1130))
																{	/* Coerce/convert.scm 194 */
																	obj_t BgL_arg3823z00_1138;
																	obj_t BgL_arg3824z00_1139;

																	BgL_arg3823z00_1138 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1121));
																	BgL_arg3824z00_1139 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1120));
																	BgL_xz00_1944 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string4017z00zzcoerce_convertz00,
																		BgL_arg3823z00_1138, BgL_arg3824z00_1139);
																}
															else
																{	/* Coerce/convert.scm 197 */
																	obj_t BgL_arg3825z00_1140;
																	obj_t BgL_arg3826z00_1141;
																	obj_t BgL_arg3827z00_1142;

																	BgL_arg3825z00_1140 = CDR(BgL_checksz00_1129);
																	BgL_arg3826z00_1141 =
																		CDR(BgL_coercesz00_1130);
																	{	/* Coerce/convert.scm 199 */
																		obj_t BgL_arg3828z00_1143;
																		obj_t BgL_arg3829z00_1144;
																		obj_t BgL_arg3830z00_1145;
																		obj_t BgL_arg3831z00_1146;
																		obj_t BgL_arg3832z00_1147;

																		{	/* Coerce/convert.scm 199 */
																			obj_t BgL_pairz00_1787;

																			BgL_pairz00_1787 = BgL_checksz00_1129;
																			BgL_arg3828z00_1143 =
																				CAR(CAR(BgL_pairz00_1787));
																		}
																		{	/* Coerce/convert.scm 200 */
																			obj_t BgL_pairz00_1791;

																			BgL_pairz00_1791 = BgL_checksz00_1129;
																			BgL_arg3829z00_1144 =
																				CDR(CAR(BgL_pairz00_1791));
																		}
																		{	/* Coerce/convert.scm 201 */
																			obj_t BgL_pairz00_1795;

																			BgL_pairz00_1795 = BgL_coercesz00_1130;
																			BgL_arg3830z00_1145 =
																				CDR(CAR(BgL_pairz00_1795));
																		}
																		{	/* Coerce/convert.scm 202 */
																			obj_t BgL_pairz00_1799;

																			BgL_pairz00_1799 = BgL_checksz00_1129;
																			BgL_arg3831z00_1146 =
																				CAR(CAR(BgL_pairz00_1799));
																		}
																		{	/* Coerce/convert.scm 203 */
																			obj_t BgL_pairz00_1803;

																			BgL_pairz00_1803 = BgL_coercesz00_1130;
																			BgL_arg3832z00_1147 =
																				CAR(CAR(BgL_pairz00_1803));
																		}
																		BgL_arg3827z00_1142 =
																			BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																			(BgL_arg3828z00_1143, BgL_arg3829z00_1144,
																			BgL_arg3830z00_1145, BgL_arg3831z00_1146,
																			BgL_arg3832z00_1147, BgL_nodez00_1131,
																			BgL_safez00_62);
																	}
																	{
																		obj_t BgL_nodez00_2265;
																		obj_t BgL_coercesz00_2264;
																		obj_t BgL_checksz00_2263;

																		BgL_checksz00_2263 = BgL_arg3825z00_1140;
																		BgL_coercesz00_2264 = BgL_arg3826z00_1141;
																		BgL_nodez00_2265 = BgL_arg3827z00_1142;
																		BgL_nodez00_1131 = BgL_nodez00_2265;
																		BgL_coercesz00_1130 = BgL_coercesz00_2264;
																		BgL_checksz00_1129 = BgL_checksz00_2263;
																		goto BgL_zc3anonymousza33817ze3z83_1132;
																	}
																}
														}
													return ((BgL_nodez00_bglt) BgL_xz00_1944);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 181 */
											obj_t BgL_xz00_1945;

											BgL_xz00_1945 =
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_fromz00_1121, BgL_toz00_1120, BgL_locz00_1124,
												BgL_nodez00_59);
											return ((BgL_nodez00_bglt) BgL_xz00_1945);
										}
								}
							}
					}
				}
		}
	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_1911, obj_t BgL_nodez00_1912, obj_t BgL_fromz00_1913,
		obj_t BgL_toz00_1914, obj_t BgL_safez00_1915)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 166 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_1912),
				((BgL_typez00_bglt) BgL_fromz00_1913),
				((BgL_typez00_bglt) BgL_toz00_1914), CBOOL(BgL_safez00_1915));
		}
	}



/* make-one-conversion */
	obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_63, obj_t BgL_fromz00_64, obj_t BgL_toz00_65,
		obj_t BgL_checkopz00_66, obj_t BgL_coerceopz00_67, obj_t BgL_nodez00_68,
		bool_t BgL_safez00_69)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 216 */
			{	/* Coerce/convert.scm 217 */
				bool_t BgL_testz00_2275;

				if ((BgL_checkopz00_66 == BTRUE))
					{	/* Coerce/convert.scm 217 */
						BgL_testz00_2275 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 217 */
						if (BgL_safez00_69)
							{	/* Coerce/convert.scm 217 */
								BgL_testz00_2275 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 217 */
								BgL_testz00_2275 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_2275)
					{	/* Coerce/convert.scm 217 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_67,
							BgL_nodez00_68, ((BgL_typez00_bglt) BgL_fromz00_64));
					}
				else
					{	/* Coerce/convert.scm 217 */
						if (BGl_iszd2azf3z21zz__objectz00(BgL_fromz00_64,
								BGl_tclassz00zzobject_classz00))
							{	/* Coerce/convert.scm 219 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00
									(BgL_idzd2fromzd2_63, ((BgL_tclassz00_bglt) BgL_fromz00_64),
									BgL_toz00_65, BgL_checkopz00_66, BgL_coerceopz00_67,
									BgL_nodez00_68);
							}
						else
							{	/* Coerce/convert.scm 221 */
								BgL_nodez00_bglt BgL_xz00_1951;

								BgL_xz00_1951 =
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_idzd2fromzd2_63, BgL_fromz00_64, BgL_toz00_65,
									BgL_checkopz00_66, BgL_coerceopz00_67, BgL_nodez00_68);
								return ((obj_t) BgL_xz00_1951);
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_70)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 226 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 227 */
				bool_t BgL_testz00_2287;

				{	/* Coerce/convert.scm 227 */
					bool_t BgL_res3999z00_1810;

					{	/* Coerce/convert.scm 227 */
						obj_t BgL_obj3313z00_1809;

						BgL_obj3313z00_1809 = ((obj_t) BgL_nodez00_70);
						BgL_res3999z00_1810 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3313z00_1809,
							BGl_letzd2varzd2zzast_nodez00);
					}
					BgL_testz00_2287 = BgL_res3999z00_1810;
				}
				if (BgL_testz00_2287)
					{
						BgL_nodez00_bglt BgL_nodez00_2290;

						{	/* Coerce/convert.scm 228 */
							BgL_letzd2varzd2_bglt BgL_obj3283z00_1811;

							BgL_obj3283z00_1811 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_70);
							BgL_nodez00_2290 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_obj3283z00_1811)))->BgL_bodyz00);
						}
						BgL_nodez00_70 = BgL_nodez00_2290;
						goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
					}
				else
					{	/* Coerce/convert.scm 227 */
						return BgL_nodez00_70;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_71, obj_t BgL_fromz00_72, obj_t BgL_toz00_73,
		obj_t BgL_checkzd2opzd2_74, obj_t BgL_coercezd2opzd2_75,
		obj_t BgL_nodez00_76)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 234 */
			{	/* Coerce/convert.scm 237 */
				obj_t BgL_auxz00_1155;

				BgL_auxz00_1155 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 237 */
					obj_t BgL_locz00_1156;

					{	/* Coerce/convert.scm 238 */
						BgL_nodez00_bglt BgL_obj2222z00_1812;

						BgL_obj2222z00_1812 = ((BgL_nodez00_bglt) BgL_nodez00_76);
						BgL_locz00_1156 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2222z00_1812)))->BgL_locz00);
					}
					{	/* Coerce/convert.scm 238 */
						BgL_nodez00_bglt BgL_lnodez00_1157;

						{	/* Coerce/convert.scm 246 */
							obj_t BgL_arg3847z00_1169;

							{	/* Coerce/convert.scm 246 */
								obj_t BgL_arg3848z00_1170;

								{	/* Coerce/convert.scm 246 */
									obj_t BgL_arg3849z00_1171;
									obj_t BgL_arg3850z00_1172;

									{	/* Coerce/convert.scm 246 */
										obj_t BgL_arg3851z00_1173;

										{	/* Coerce/convert.scm 246 */
											obj_t BgL_arg3852z00_1174;
											obj_t BgL_arg3853z00_1175;

											{	/* Coerce/convert.scm 246 */
												obj_t BgL_arg3854z00_1176;

												{	/* Coerce/convert.scm 246 */
													obj_t BgL_arg3855z00_1177;

													{	/* Coerce/convert.scm 246 */
														BgL_typez00_bglt BgL_obj1595z00_1813;

														BgL_obj1595z00_1813 =
															((BgL_typez00_bglt) BgL_fromz00_72);
														BgL_arg3855z00_1177 =
															(((BgL_typez00_bglt) CREF(
																	((obj_t) BgL_obj1595z00_1813)))->BgL_idz00);
													}
													BgL_arg3854z00_1176 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1155, BgL_arg3855z00_1177);
												}
												BgL_arg3852z00_1174 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg3854z00_1176);
											}
											BgL_arg3853z00_1175 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg3851z00_1173 =
												MAKE_PAIR(BgL_arg3852z00_1174, BgL_arg3853z00_1175);
										}
										BgL_arg3849z00_1171 = MAKE_PAIR(BgL_arg3851z00_1173, BNIL);
									}
									{	/* Coerce/convert.scm 248 */
										obj_t BgL_arg3856z00_1178;

										{	/* Coerce/convert.scm 248 */
											obj_t BgL_arg3857z00_1179;

											{	/* Coerce/convert.scm 248 */
												obj_t BgL_arg3858z00_1180;
												obj_t BgL_arg3859z00_1181;

												{	/* Coerce/convert.scm 248 */
													obj_t BgL_arg3860z00_1182;

													BgL_arg3860z00_1182 =
														MAKE_PAIR(BgL_auxz00_1155, BNIL);
													BgL_arg3858z00_1180 =
														MAKE_PAIR(BgL_checkzd2opzd2_74,
														BgL_arg3860z00_1182);
												}
												{	/* Coerce/convert.scm 250 */
													obj_t BgL_arg3861z00_1183;

													{	/* Coerce/convert.scm 250 */
														obj_t BgL_arg3862z00_1184;

														{	/* Coerce/convert.scm 250 */
															obj_t BgL_arg3863z00_1185;

															{	/* Coerce/convert.scm 250 */
																BgL_typez00_bglt BgL_obj1595z00_1814;

																BgL_obj1595z00_1814 =
																	((BgL_typez00_bglt) BgL_toz00_73);
																BgL_arg3863z00_1185 =
																	(((BgL_typez00_bglt) CREF(
																			((obj_t) BgL_obj1595z00_1814)))->
																	BgL_idz00);
															}
															BgL_arg3862z00_1184 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1156, BgL_arg3863z00_1185,
																BgL_auxz00_1155);
														}
														BgL_arg3861z00_1183 =
															MAKE_PAIR(BgL_arg3862z00_1184, BNIL);
													}
													BgL_arg3859z00_1181 =
														MAKE_PAIR(BgL_auxz00_1155, BgL_arg3861z00_1183);
												}
												BgL_arg3857z00_1179 =
													MAKE_PAIR(BgL_arg3858z00_1180, BgL_arg3859z00_1181);
											}
											BgL_arg3856z00_1178 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg3857z00_1179);
										}
										BgL_arg3850z00_1172 = MAKE_PAIR(BgL_arg3856z00_1178, BNIL);
									}
									BgL_arg3848z00_1170 =
										MAKE_PAIR(BgL_arg3849z00_1171, BgL_arg3850z00_1172);
								}
								BgL_arg3847z00_1169 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg3848z00_1170);
							}
							BgL_lnodez00_1157 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3847z00_1169, BgL_locz00_1156);
						}
						{	/* Coerce/convert.scm 239 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 252 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_72,
										BgL_toz00_73, BgL_locz00_1156);
								}
							else
								{	/* Coerce/convert.scm 252 */
									BFALSE;
								}
							if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
								{	/* Coerce/convert.scm 253 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 253 */
									BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1157);
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1157);
							{	/* Coerce/convert.scm 255 */
								obj_t BgL_varz00_1158;

								{	/* Coerce/convert.scm 255 */
									obj_t BgL_pairz00_1823;

									{	/* Coerce/convert.scm 255 */
										obj_t BgL_pairz00_1822;

										{	/* Coerce/convert.scm 255 */
											BgL_letzd2varzd2_bglt BgL_obj3280z00_1821;

											BgL_obj3280z00_1821 =
												((BgL_letzd2varzd2_bglt) BgL_lnodez00_1157);
											BgL_pairz00_1822 =
												(((BgL_letzd2varzd2_bglt) CREF(
														((obj_t) BgL_obj3280z00_1821)))->BgL_bindingsz00);
										}
										BgL_pairz00_1823 = CAR(BgL_pairz00_1822);
									}
									BgL_varz00_1158 = CAR(BgL_pairz00_1823);
								}
								{	/* Coerce/convert.scm 255 */
									obj_t BgL_coercezd2appzd2_1159;

									{	/* Coerce/convert.scm 259 */
										BgL_varz00_bglt BgL_arg3843z00_1165;

										{	/* Coerce/convert.scm 259 */
											BgL_typez00_bglt BgL_arg3844z00_1166;

											BgL_arg3844z00_1166 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt) BgL_toz00_73),
												((BgL_typez00_bglt) BgL_fromz00_72));
											BgL_arg3843z00_1165 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1156,
												BgL_arg3844z00_1166,
												((BgL_variablez00_bglt) BgL_varz00_1158));
										}
										BgL_coercezd2appzd2_1159 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_75, ((obj_t) BgL_arg3843z00_1165),
											((BgL_typez00_bglt) BgL_fromz00_72));
									}
									{	/* Coerce/convert.scm 256 */
										BgL_nodez00_bglt BgL_condnz00_1160;

										BgL_condnz00_1160 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1157);
										{	/* Coerce/convert.scm 262 */

											{	/* Coerce/convert.scm 264 */
												BgL_variablez00_bglt BgL_obj1699z00_1824;
												BgL_typez00_bglt BgL_val1698z00_1825;

												BgL_obj1699z00_1824 =
													((BgL_variablez00_bglt) BgL_varz00_1158);
												BgL_val1698z00_1825 =
													((BgL_typez00_bglt) BgL_fromz00_72);
												((((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1699z00_1824)))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_val1698z00_1825), BUNSPEC);
											}
											{	/* Coerce/convert.scm 266 */
												obj_t BgL_arg3839z00_1161;

												{	/* Coerce/convert.scm 266 */
													obj_t BgL_pairz00_1827;

													{	/* Coerce/convert.scm 266 */
														BgL_letzd2varzd2_bglt BgL_obj3280z00_1826;

														BgL_obj3280z00_1826 =
															((BgL_letzd2varzd2_bglt) BgL_lnodez00_1157);
														BgL_pairz00_1827 =
															(((BgL_letzd2varzd2_bglt) CREF(
																	((obj_t) BgL_obj3280z00_1826)))->
															BgL_bindingsz00);
													}
													BgL_arg3839z00_1161 = CAR(BgL_pairz00_1827);
												}
												SET_CDR(BgL_arg3839z00_1161, BgL_nodez00_76);
											}
											{	/* Coerce/convert.scm 267 */
												BgL_nodez00_bglt BgL_obj2225z00_1830;
												BgL_typez00_bglt BgL_val2224z00_1831;

												BgL_obj2225z00_1830 =
													((BgL_nodez00_bglt) BgL_nodez00_76);
												BgL_val2224z00_1831 =
													((BgL_typez00_bglt) BgL_fromz00_72);
												((((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2225z00_1830)))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_val2224z00_1831), BUNSPEC);
											}
											{	/* Coerce/convert.scm 268 */
												BgL_conditionalz00_bglt BgL_obj3131z00_1832;
												BgL_nodez00_bglt BgL_val3130z00_1833;

												BgL_obj3131z00_1832 =
													((BgL_conditionalz00_bglt) BgL_condnz00_1160);
												BgL_val3130z00_1833 =
													((BgL_nodez00_bglt) BgL_coercezd2appzd2_1159);
												((((BgL_conditionalz00_bglt) CREF(
																((obj_t) BgL_obj3131z00_1832)))->BgL_truez00) =
													((BgL_nodez00_bglt) BgL_val3130z00_1833), BUNSPEC);
											}
											{	/* Coerce/convert.scm 270 */
												BgL_nodez00_bglt BgL_arg3841z00_1163;

												{	/* Coerce/convert.scm 270 */
													BgL_nodez00_bglt BgL_arg3842z00_1164;

													{	/* Coerce/convert.scm 270 */
														BgL_conditionalz00_bglt BgL_obj3132z00_1834;

														BgL_obj3132z00_1834 =
															((BgL_conditionalz00_bglt) BgL_condnz00_1160);
														BgL_arg3842z00_1164 =
															(((BgL_conditionalz00_bglt) CREF(
																	((obj_t) BgL_obj3132z00_1834)))->
															BgL_falsez00);
													}
													BgL_arg3841z00_1163 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg3842z00_1164, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_72), ((bool_t) 0));
												}
												{	/* Coerce/convert.scm 269 */
													BgL_conditionalz00_bglt BgL_obj3134z00_1835;

													BgL_obj3134z00_1835 =
														((BgL_conditionalz00_bglt) BgL_condnz00_1160);
													((((BgL_conditionalz00_bglt) CREF(
																	((obj_t) BgL_obj3134z00_1835)))->
															BgL_falsez00) =
														((BgL_nodez00_bglt) BgL_arg3841z00_1163), BUNSPEC);
												}
											}
											if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
												{	/* Coerce/convert.scm 274 */
													BGl_lvtypezd2nodez12zc0zzast_lvtypez00
														(BgL_lnodez00_1157);
												}
											else
												{	/* Coerce/convert.scm 274 */
													BFALSE;
												}
											return BgL_lnodez00_1157;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_77, BgL_tclassz00_bglt BgL_fromz00_78, obj_t BgL_toz00_79,
		obj_t BgL_checkzd2opzd2_80, obj_t BgL_coercezd2opzd2_81,
		obj_t BgL_nodez00_82)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 280 */
			{	/* Coerce/convert.scm 281 */
				bool_t BgL_testz00_2374;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_toz00_79,
						BGl_tclassz00zzobject_classz00))
					{	/* Coerce/convert.scm 281 */
						BgL_testz00_2374 =
							BGl_typezd2subclasszf3z21zzobject_classz00(
							((BgL_typez00_bglt) BgL_fromz00_78),
							((BgL_typez00_bglt) ((BgL_tclassz00_bglt) BgL_toz00_79)));
					}
				else
					{	/* Coerce/convert.scm 281 */
						BgL_testz00_2374 = ((bool_t) 0);
					}
				if (BgL_testz00_2374)
					{	/* Coerce/convert.scm 281 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_81,
							BgL_nodez00_82, ((BgL_typez00_bglt) BgL_fromz00_78));
					}
				else
					{	/* Coerce/convert.scm 283 */
						obj_t BgL_auxz00_1188;

						BgL_auxz00_1188 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 283 */
							obj_t BgL_aux2z00_1189;

							BgL_aux2z00_1189 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 284 */
								obj_t BgL_locz00_1190;

								{	/* Coerce/convert.scm 285 */
									BgL_nodez00_bglt BgL_obj2222z00_1839;

									BgL_obj2222z00_1839 = ((BgL_nodez00_bglt) BgL_nodez00_82);
									BgL_locz00_1190 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2222z00_1839)))->BgL_locz00);
								}
								{	/* Coerce/convert.scm 285 */
									BgL_nodez00_bglt BgL_lnodez00_1191;

									{	/* Coerce/convert.scm 288 */
										obj_t BgL_arg3877z00_1207;

										{	/* Coerce/convert.scm 288 */
											obj_t BgL_arg3878z00_1208;

											{	/* Coerce/convert.scm 288 */
												obj_t BgL_arg3879z00_1209;
												obj_t BgL_arg3880z00_1210;

												{	/* Coerce/convert.scm 288 */
													obj_t BgL_arg3881z00_1211;

													{	/* Coerce/convert.scm 288 */
														obj_t BgL_arg3882z00_1212;
														obj_t BgL_arg3883z00_1213;

														{	/* Coerce/convert.scm 288 */
															obj_t BgL_arg3884z00_1214;

															{	/* Coerce/convert.scm 288 */
																obj_t BgL_arg3885z00_1215;

																{	/* Coerce/convert.scm 288 */
																	obj_t BgL_arg3886z00_1216;
																	obj_t BgL_arg3887z00_1217;

																	{	/* Coerce/convert.scm 288 */
																		obj_t BgL_res4002z00_1842;

																		{	/* Coerce/convert.scm 288 */
																			obj_t BgL_arg2069z00_1841;

																			BgL_arg2069z00_1841 =
																				SYMBOL_TO_STRING(BgL_auxz00_1188);
																			BgL_res4002z00_1842 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg2069z00_1841);
																		}
																		BgL_arg3886z00_1216 = BgL_res4002z00_1842;
																	}
																	{	/* Coerce/convert.scm 288 */
																		obj_t BgL_res4003z00_1845;

																		{	/* Coerce/convert.scm 288 */
																			obj_t BgL_symbolz00_1843;

																			BgL_symbolz00_1843 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Coerce/convert.scm 288 */
																				obj_t BgL_arg2069z00_1844;

																				BgL_arg2069z00_1844 =
																					SYMBOL_TO_STRING(BgL_symbolz00_1843);
																				BgL_res4003z00_1845 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg2069z00_1844);
																		}}
																		BgL_arg3887z00_1217 = BgL_res4003z00_1845;
																	}
																	BgL_arg3885z00_1215 =
																		string_append(BgL_arg3886z00_1216,
																		BgL_arg3887z00_1217);
																}
																BgL_arg3884z00_1214 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_arg3885z00_1215));
															}
															BgL_arg3882z00_1212 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg3884z00_1214);
														}
														BgL_arg3883z00_1213 = MAKE_PAIR(BUNSPEC, BNIL);
														BgL_arg3881z00_1211 =
															MAKE_PAIR(BgL_arg3882z00_1212,
															BgL_arg3883z00_1213);
													}
													BgL_arg3879z00_1209 =
														MAKE_PAIR(BgL_arg3881z00_1211, BNIL);
												}
												{	/* Coerce/convert.scm 290 */
													obj_t BgL_arg3888z00_1218;

													{	/* Coerce/convert.scm 290 */
														obj_t BgL_arg3889z00_1219;

														{	/* Coerce/convert.scm 290 */
															obj_t BgL_arg3890z00_1220;
															obj_t BgL_arg3891z00_1221;

															{	/* Coerce/convert.scm 290 */
																obj_t BgL_arg3892z00_1222;

																{	/* Coerce/convert.scm 290 */
																	obj_t BgL_arg3893z00_1223;
																	obj_t BgL_arg3894z00_1224;

																	{	/* Coerce/convert.scm 290 */
																		obj_t BgL_arg3895z00_1225;

																		{	/* Coerce/convert.scm 290 */
																			obj_t BgL_arg3896z00_1226;

																			{	/* Coerce/convert.scm 290 */
																				obj_t BgL_arg3897z00_1227;
																				obj_t BgL_arg3898z00_1228;

																				{	/* Coerce/convert.scm 290 */
																					obj_t BgL_res4005z00_1850;

																					{	/* Coerce/convert.scm 290 */
																						obj_t BgL_arg2069z00_1849;

																						BgL_arg2069z00_1849 =
																							SYMBOL_TO_STRING
																							(BgL_aux2z00_1189);
																						BgL_res4005z00_1850 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg2069z00_1849);
																					}
																					BgL_arg3897z00_1227 =
																						BgL_res4005z00_1850;
																				}
																				{	/* Coerce/convert.scm 290 */
																					obj_t BgL_res4006z00_1853;

																					{	/* Coerce/convert.scm 290 */
																						obj_t BgL_symbolz00_1851;

																						BgL_symbolz00_1851 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Coerce/convert.scm 290 */
																							obj_t BgL_arg2069z00_1852;

																							BgL_arg2069z00_1852 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_1851);
																							BgL_res4006z00_1853 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg2069z00_1852);
																					}}
																					BgL_arg3898z00_1228 =
																						BgL_res4006z00_1853;
																				}
																				BgL_arg3896z00_1226 =
																					string_append(BgL_arg3897z00_1227,
																					BgL_arg3898z00_1228);
																			}
																			BgL_arg3895z00_1225 =
																				string_to_symbol(BSTRING_TO_STRING
																				(BgL_arg3896z00_1226));
																		}
																		BgL_arg3893z00_1223 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg3895z00_1225);
																	}
																	BgL_arg3894z00_1224 =
																		MAKE_PAIR(BUNSPEC, BNIL);
																	BgL_arg3892z00_1222 =
																		MAKE_PAIR(BgL_arg3893z00_1223,
																		BgL_arg3894z00_1224);
																}
																BgL_arg3890z00_1220 =
																	MAKE_PAIR(BgL_arg3892z00_1222, BNIL);
															}
															{	/* Coerce/convert.scm 291 */
																obj_t BgL_arg3899z00_1229;

																{	/* Coerce/convert.scm 291 */
																	obj_t BgL_arg3900z00_1230;

																	{	/* Coerce/convert.scm 291 */
																		obj_t BgL_arg3901z00_1231;
																		obj_t BgL_arg3902z00_1232;

																		{	/* Coerce/convert.scm 291 */
																			obj_t BgL_arg3903z00_1233;

																			BgL_arg3903z00_1233 =
																				MAKE_PAIR(BgL_aux2z00_1189, BNIL);
																			BgL_arg3901z00_1231 =
																				MAKE_PAIR(BgL_checkzd2opzd2_80,
																				BgL_arg3903z00_1233);
																		}
																		{	/* Coerce/convert.scm 293 */
																			obj_t BgL_arg3904z00_1234;

																			{	/* Coerce/convert.scm 293 */
																				obj_t BgL_arg3905z00_1235;

																				{	/* Coerce/convert.scm 293 */
																					obj_t BgL_arg3906z00_1236;

																					{	/* Coerce/convert.scm 293 */
																						BgL_typez00_bglt
																							BgL_obj1595z00_1856;
																						BgL_obj1595z00_1856 =
																							((BgL_typez00_bglt) BgL_toz00_79);
																						BgL_arg3906z00_1236 =
																							(((BgL_typez00_bglt) CREF(((obj_t)
																										BgL_obj1595z00_1856)))->
																							BgL_idz00);
																					}
																					BgL_arg3905z00_1235 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_1190,
																						BgL_arg3906z00_1236,
																						BgL_auxz00_1188);
																				}
																				BgL_arg3904z00_1234 =
																					MAKE_PAIR(BgL_arg3905z00_1235, BNIL);
																			}
																			BgL_arg3902z00_1232 =
																				MAKE_PAIR(BgL_auxz00_1188,
																				BgL_arg3904z00_1234);
																		}
																		BgL_arg3900z00_1230 =
																			MAKE_PAIR(BgL_arg3901z00_1231,
																			BgL_arg3902z00_1232);
																	}
																	BgL_arg3899z00_1229 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg3900z00_1230);
																}
																BgL_arg3891z00_1221 =
																	MAKE_PAIR(BgL_arg3899z00_1229, BNIL);
															}
															BgL_arg3889z00_1219 =
																MAKE_PAIR(BgL_arg3890z00_1220,
																BgL_arg3891z00_1221);
														}
														BgL_arg3888z00_1218 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg3889z00_1219);
													}
													BgL_arg3880z00_1210 =
														MAKE_PAIR(BgL_arg3888z00_1218, BNIL);
												}
												BgL_arg3878z00_1208 =
													MAKE_PAIR(BgL_arg3879z00_1209, BgL_arg3880z00_1210);
											}
											BgL_arg3877z00_1207 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg3878z00_1208);
										}
										BgL_lnodez00_1191 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg3877z00_1207, BgL_locz00_1190);
									}
									{	/* Coerce/convert.scm 286 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 295 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00(
													((obj_t) BgL_fromz00_78), BgL_toz00_79,
													BgL_locz00_1190);
											}
										else
											{	/* Coerce/convert.scm 295 */
												BFALSE;
											}
										if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
											{	/* Coerce/convert.scm 296 */
												BFALSE;
											}
										else
											{	/* Coerce/convert.scm 296 */
												BGl_lvtypezd2nodez12zc0zzast_lvtypez00
													(BgL_lnodez00_1191);
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1191);
										{	/* Coerce/convert.scm 298 */
											obj_t BgL_varz00_1192;

											{	/* Coerce/convert.scm 298 */
												obj_t BgL_pairz00_1865;

												{	/* Coerce/convert.scm 298 */
													obj_t BgL_pairz00_1864;

													{	/* Coerce/convert.scm 298 */
														BgL_letzd2varzd2_bglt BgL_obj3280z00_1863;

														BgL_obj3280z00_1863 =
															((BgL_letzd2varzd2_bglt) BgL_lnodez00_1191);
														BgL_pairz00_1864 =
															(((BgL_letzd2varzd2_bglt) CREF(
																	((obj_t) BgL_obj3280z00_1863)))->
															BgL_bindingsz00);
													}
													BgL_pairz00_1865 = CAR(BgL_pairz00_1864);
												}
												BgL_varz00_1192 = CAR(BgL_pairz00_1865);
											}
											{	/* Coerce/convert.scm 298 */
												obj_t BgL_coercezd2appzd2_1193;

												{	/* Coerce/convert.scm 300 */
													BgL_varz00_bglt BgL_arg3874z00_1204;

													BgL_arg3874z00_1204 =
														BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1190,
														((BgL_typez00_bglt) BgL_fromz00_78),
														((BgL_variablez00_bglt) BgL_varz00_1192));
													BgL_coercezd2appzd2_1193 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_81,
														((obj_t) BgL_arg3874z00_1204),
														((BgL_typez00_bglt) BgL_fromz00_78));
												}
												{	/* Coerce/convert.scm 299 */
													BgL_nodez00_bglt BgL_condnz00_1194;

													BgL_condnz00_1194 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1191);
													{	/* Coerce/convert.scm 305 */

														{	/* Coerce/convert.scm 307 */
															BgL_variablez00_bglt BgL_obj1699z00_1866;
															BgL_typez00_bglt BgL_val1698z00_1867;

															BgL_obj1699z00_1866 =
																((BgL_variablez00_bglt) BgL_varz00_1192);
															BgL_val1698z00_1867 =
																((BgL_typez00_bglt) BgL_fromz00_78);
															((((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1699z00_1866)))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_val1698z00_1867),
																BUNSPEC);
														}
														{	/* Coerce/convert.scm 309 */
															obj_t BgL_arg3866z00_1195;

															{	/* Coerce/convert.scm 309 */
																obj_t BgL_pairz00_1869;

																{	/* Coerce/convert.scm 309 */
																	BgL_letzd2varzd2_bglt BgL_obj3280z00_1868;

																	BgL_obj3280z00_1868 =
																		((BgL_letzd2varzd2_bglt) BgL_lnodez00_1191);
																	BgL_pairz00_1869 =
																		(((BgL_letzd2varzd2_bglt) CREF(
																				((obj_t) BgL_obj3280z00_1868)))->
																		BgL_bindingsz00);
																}
																BgL_arg3866z00_1195 = CAR(BgL_pairz00_1869);
															}
															SET_CDR(BgL_arg3866z00_1195, BgL_nodez00_82);
														}
														{	/* Coerce/convert.scm 310 */
															obj_t BgL_binding2z00_1197;

															{	/* Coerce/convert.scm 310 */
																obj_t BgL_pairz00_1874;

																{	/* Coerce/convert.scm 310 */
																	BgL_letzd2varzd2_bglt BgL_obj3280z00_1873;

																	{	/* Coerce/convert.scm 310 */
																		BgL_letzd2varzd2_bglt BgL_obj3283z00_1872;

																		BgL_obj3283z00_1872 =
																			((BgL_letzd2varzd2_bglt)
																			BgL_lnodez00_1191);
																		BgL_obj3280z00_1873 =
																			((BgL_letzd2varzd2_bglt) ((
																					(BgL_letzd2varzd2_bglt) CREF(((obj_t)
																							BgL_obj3283z00_1872)))->
																				BgL_bodyz00));
																	}
																	BgL_pairz00_1874 =
																		(((BgL_letzd2varzd2_bglt) CREF(
																				((obj_t) BgL_obj3280z00_1873)))->
																		BgL_bindingsz00);
																}
																BgL_binding2z00_1197 = CAR(BgL_pairz00_1874);
															}
															{	/* Coerce/convert.scm 314 */
																BgL_castz00_bglt BgL_arg3868z00_1198;

																{	/* Coerce/convert.scm 314 */
																	BgL_varz00_bglt BgL_arg3869z00_1199;

																	BgL_arg3869z00_1199 =
																		BGl_makezd2varzd2zzast_nodez00
																		(BgL_locz00_1190,
																		((BgL_typez00_bglt) BgL_fromz00_78),
																		((BgL_variablez00_bglt) BgL_varz00_1192));
																	{	/* Coerce/convert.scm 311 */
																		BgL_typez00_bglt BgL_auxz00_2474;

																		{	/* Coerce/convert.scm 311 */
																			obj_t BgL_xz00_2010;

																			BgL_xz00_2010 =
																				BGl_za2objza2z00zztype_cachez00;
																			BgL_auxz00_2474 =
																				((BgL_typez00_bglt) BgL_xz00_2010);
																		}
																		BgL_arg3868z00_1198 =
																			BGl_makezd2castzd2zzast_nodez00
																			(BgL_locz00_1190, BgL_auxz00_2474,
																			((BgL_nodez00_bglt) BgL_arg3869z00_1199));
																	}
																}
																{	/* Coerce/convert.scm 311 */
																	obj_t BgL_pairz00_1875;
																	obj_t BgL_objz00_1876;

																	BgL_pairz00_1875 = BgL_binding2z00_1197;
																	BgL_objz00_1876 =
																		((obj_t) BgL_arg3868z00_1198);
																	SET_CDR(BgL_pairz00_1875, BgL_objz00_1876);
																}
															}
														}
														{	/* Coerce/convert.scm 318 */
															BgL_conditionalz00_bglt BgL_obj3131z00_1877;
															BgL_nodez00_bglt BgL_val3130z00_1878;

															BgL_obj3131z00_1877 =
																((BgL_conditionalz00_bglt) BgL_condnz00_1194);
															BgL_val3130z00_1878 =
																((BgL_nodez00_bglt) BgL_coercezd2appzd2_1193);
															((((BgL_conditionalz00_bglt) CREF(
																			((obj_t) BgL_obj3131z00_1877)))->
																	BgL_truez00) =
																((BgL_nodez00_bglt) BgL_val3130z00_1878),
																BUNSPEC);
														}
														{	/* Coerce/convert.scm 320 */
															BgL_nodez00_bglt BgL_arg3872z00_1202;

															{	/* Coerce/convert.scm 320 */
																BgL_nodez00_bglt BgL_arg3873z00_1203;

																{	/* Coerce/convert.scm 320 */
																	BgL_conditionalz00_bglt BgL_obj3132z00_1879;

																	BgL_obj3132z00_1879 =
																		((BgL_conditionalz00_bglt)
																		BgL_condnz00_1194);
																	BgL_arg3873z00_1203 =
																		(((BgL_conditionalz00_bglt) CREF(((obj_t)
																					BgL_obj3132z00_1879)))->BgL_falsez00);
																}
																BgL_arg3872z00_1202 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg3873z00_1203, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_78),
																	((bool_t) 0));
															}
															{	/* Coerce/convert.scm 319 */
																BgL_conditionalz00_bglt BgL_obj3134z00_1880;

																BgL_obj3134z00_1880 =
																	((BgL_conditionalz00_bglt) BgL_condnz00_1194);
																((((BgL_conditionalz00_bglt) CREF(
																				((obj_t) BgL_obj3134z00_1880)))->
																		BgL_falsez00) =
																	((BgL_nodez00_bglt) BgL_arg3872z00_1202),
																	BUNSPEC);
															}
														}
														if (CBOOL
															(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
															{	/* Coerce/convert.scm 324 */
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00
																	(BgL_lnodez00_1191);
															}
														else
															{	/* Coerce/convert.scm 324 */
																BFALSE;
															}
														return ((obj_t) BgL_lnodez00_1191);
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t BgL_coercezd2opzd2_83,
		obj_t BgL_nodez00_84, BgL_typez00_bglt BgL_fromz00_85)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 330 */
			if ((BgL_coercezd2opzd2_83 == BTRUE))
				{	/* Coerce/convert.scm 333 */
					return BgL_nodez00_84;
				}
			else
				{	/* Coerce/convert.scm 335 */
					BgL_nodez00_bglt BgL_nnodez00_1239;

					{	/* Coerce/convert.scm 335 */
						obj_t BgL_arg3922z00_1254;
						obj_t BgL_arg3923z00_1255;

						{	/* Coerce/convert.scm 335 */
							obj_t BgL_arg3924z00_1256;

							BgL_arg3924z00_1256 = MAKE_PAIR(BUNSPEC, BNIL);
							BgL_arg3922z00_1254 =
								MAKE_PAIR(BgL_coercezd2opzd2_83, BgL_arg3924z00_1256);
						}
						{	/* Coerce/convert.scm 336 */
							BgL_nodez00_bglt BgL_obj2222z00_1882;

							BgL_obj2222z00_1882 = ((BgL_nodez00_bglt) BgL_nodez00_84);
							BgL_arg3923z00_1255 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2222z00_1882)))->BgL_locz00);
						}
						BgL_nnodez00_1239 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg3922z00_1254, BgL_arg3923z00_1255);
					}
					{	/* Coerce/convert.scm 335 */

						if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
							{	/* Coerce/convert.scm 345 */
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_1239);
							}
						else
							{	/* Coerce/convert.scm 347 */
								BgL_nodez00_bglt BgL_obj2225z00_1883;

								BgL_obj2225z00_1883 = ((BgL_nodez00_bglt) BgL_nodez00_84);
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2225z00_1883)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_fromz00_85), BUNSPEC);
							}
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_nnodez00_1239);
						{	/* Coerce/convert.scm 351 */
							bool_t BgL_testz00_2511;

							{	/* Coerce/convert.scm 351 */
								bool_t BgL_res4009z00_1886;

								{	/* Coerce/convert.scm 351 */
									obj_t BgL_obj2412z00_1885;

									BgL_obj2412z00_1885 = ((obj_t) BgL_nnodez00_1239);
									BgL_res4009z00_1886 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2412z00_1885,
										BGl_appz00zzast_nodez00);
								}
								BgL_testz00_2511 = BgL_res4009z00_1886;
							}
							if (BgL_testz00_2511)
								{	/* Coerce/convert.scm 351 */
									{	/* Coerce/convert.scm 352 */
										obj_t BgL_arg3910z00_1241;

										{	/* Coerce/convert.scm 352 */
											obj_t BgL_list3911z00_1242;

											BgL_list3911z00_1242 = MAKE_PAIR(BgL_nodez00_84, BNIL);
											BgL_arg3910z00_1241 = BgL_list3911z00_1242;
										}
										{	/* Coerce/convert.scm 352 */
											BgL_appz00_bglt BgL_obj2390z00_1889;

											BgL_obj2390z00_1889 =
												((BgL_appz00_bglt) BgL_nnodez00_1239);
											((((BgL_appz00_bglt) CREF(
															((obj_t) BgL_obj2390z00_1889)))->BgL_argsz00) =
												((obj_t) BgL_arg3910z00_1241), BUNSPEC);
										}
									}
									return ((obj_t) BgL_nnodez00_1239);
								}
							else
								{	/* Coerce/convert.scm 354 */
									bool_t BgL_testz00_2519;

									{	/* Coerce/convert.scm 354 */
										bool_t BgL_res4011z00_1892;

										{	/* Coerce/convert.scm 354 */
											obj_t BgL_obj3313z00_1891;

											BgL_obj3313z00_1891 = ((obj_t) BgL_nnodez00_1239);
											BgL_res4011z00_1892 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj3313z00_1891,
												BGl_letzd2varzd2zzast_nodez00);
										}
										BgL_testz00_2519 = BgL_res4011z00_1892;
									}
									if (BgL_testz00_2519)
										{	/* Coerce/convert.scm 355 */
											obj_t BgL_bdgsz00_1244;

											{	/* Coerce/convert.scm 355 */
												BgL_letzd2varzd2_bglt BgL_obj3280z00_1893;

												BgL_obj3280z00_1893 =
													((BgL_letzd2varzd2_bglt) BgL_nnodez00_1239);
												BgL_bdgsz00_1244 =
													(((BgL_letzd2varzd2_bglt) CREF(
															((obj_t) BgL_obj3280z00_1893)))->BgL_bindingsz00);
											}
											{	/* Coerce/convert.scm 356 */
												bool_t BgL_testz00_2525;

												if (NULLP(BgL_bdgsz00_1244))
													{	/* Coerce/convert.scm 356 */
														BgL_testz00_2525 = ((bool_t) 1);
													}
												else
													{	/* Coerce/convert.scm 356 */
														if (NULLP(CDR(BgL_bdgsz00_1244)))
															{	/* Coerce/convert.scm 356 */
																BgL_testz00_2525 = ((bool_t) 0);
															}
														else
															{	/* Coerce/convert.scm 356 */
																BgL_testz00_2525 = ((bool_t) 1);
															}
													}
												if (BgL_testz00_2525)
													{	/* Coerce/convert.scm 356 */
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string4018z00zzcoerce_convertz00,
															BGl_string4019z00zzcoerce_convertz00,
															BGl_shapez00zztools_shapez00
															(BgL_coercezd2opzd2_83));
													}
												else
													{	/* Coerce/convert.scm 356 */
														{	/* Coerce/convert.scm 361 */
															obj_t BgL_arg3915z00_1247;

															BgL_arg3915z00_1247 = CAR(CAR(BgL_bdgsz00_1244));
															{	/* Coerce/convert.scm 361 */
																BgL_variablez00_bglt BgL_obj1699z00_1901;

																BgL_obj1699z00_1901 =
																	((BgL_variablez00_bglt) BgL_arg3915z00_1247);
																((((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1699z00_1901)))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_fromz00_85), BUNSPEC);
															}
														}
														{	/* Coerce/convert.scm 362 */
															obj_t BgL_auxz00_2538;

															BgL_auxz00_2538 = CAR(BgL_bdgsz00_1244);
															SET_CDR(BgL_auxz00_2538, BgL_nodez00_84);
														}
														return ((obj_t) BgL_nnodez00_1239);
													}
											}
										}
									else
										{	/* Coerce/convert.scm 354 */
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string4018z00zzcoerce_convertz00,
												BGl_string4019z00zzcoerce_convertz00,
												BGl_shapez00zztools_shapez00(BgL_coercezd2opzd2_83));
										}
								}
						}
					}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string4020z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
