/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	static bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_zc3exitza33595ze3z83zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl_za762effectza7d2walk3737z00,
		BGl_z62effectzd2walkz12za2zzeffect_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl_za762writeza7d2effec3738z00,
		BGl_z62writezd2effectzb0zzeffect_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3714z00zzeffect_walkz00,
		BgL_bgl_string3714za700za7za7e3739za7, "Effect", 6);
	      DEFINE_STRING(BGl_string3715z00zzeffect_walkz00,
		BgL_bgl_string3715za700za7za7e3740za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3716z00zzeffect_walkz00,
		BgL_bgl_string3716za700za7za7e3741za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3717z00zzeffect_walkz00,
		BgL_bgl_string3717za700za7za7e3742za7, " error", 6);
	      DEFINE_STRING(BGl_string3718z00zzeffect_walkz00,
		BgL_bgl_string3718za700za7za7e3743za7, "s", 1);
	      DEFINE_STRING(BGl_string3719z00zzeffect_walkz00,
		BgL_bgl_string3719za700za7za7e3744za7, "", 0);
	      DEFINE_STRING(BGl_string3720z00zzeffect_walkz00,
		BgL_bgl_string3720za700za7za7e3745za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3721z00zzeffect_walkz00,
		BgL_bgl_string3721za700za7za7e3746za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3722z00zzeffect_walkz00,
		BgL_bgl_string3722za700za7za7e3747za7, ".sch", 4);
	      DEFINE_STRING(BGl_string3723z00zzeffect_walkz00,
		BgL_bgl_string3723za700za7za7e3748za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string3724z00zzeffect_walkz00,
		BgL_bgl_string3724za700za7za7e3749za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string3725z00zzeffect_walkz00,
		BgL_bgl_string3725za700za7za7e3750za7, " (effect", 8);
	      DEFINE_STRING(BGl_string3726z00zzeffect_walkz00,
		BgL_bgl_string3726za700za7za7e3751za7, "   (", 4);
	      DEFINE_STRING(BGl_string3727z00zzeffect_walkz00,
		BgL_bgl_string3727za700za7za7e3752za7, ")", 1);
	      DEFINE_STRING(BGl_string3728z00zzeffect_walkz00,
		BgL_bgl_string3728za700za7za7e3753za7, " (read ", 7);
	      DEFINE_STRING(BGl_string3729z00zzeffect_walkz00,
		BgL_bgl_string3729za700za7za7e3754za7, " (write ", 8);
	      DEFINE_STRING(BGl_string3730z00zzeffect_walkz00,
		BgL_bgl_string3730za700za7za7e3755za7, "))", 2);
	      DEFINE_STRING(BGl_string3731z00zzeffect_walkz00,
		BgL_bgl_string3731za700za7za7e3756za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string3732z00zzeffect_walkz00,
		BgL_bgl_string3732za700za7za7e3757za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string3733z00zzeffect_walkz00,
		BgL_bgl_string3733za700za7za7e3758za7, "effect_walk", 11);
	      DEFINE_STRING(BGl_string3734z00zzeffect_walkz00,
		BgL_bgl_string3734za700za7za7e3759za7,
		"top (reset-effect-tables!) pass-started ", 40);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_1540, char *BgL_fromz00_1541)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "effect_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_1532;

				BgL_cportz00_1532 =
					bgl_open_input_string(BGl_string3734z00zzeffect_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1533;

					BgL_iz00_1533 = ((long) 2);
				BgL_loopz00_1534:
					if ((BgL_iz00_1533 == ((long) -1)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg3736z00_1536;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_1538;

										BgL_locationz00_1538 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg3736z00_1536 =
												BGl_readz00zz__readerz00(BgL_cportz00_1532,
												BgL_locationz00_1538);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_auxz00_1563;

									BgL_auxz00_1563 = (int) (BgL_iz00_1533);
									CNST_TABLE_SET(BgL_auxz00_1563, BgL_arg3736z00_1536);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_1539;

								BgL_auxz00_1539 = (int) ((BgL_iz00_1533 - ((long) 1)));
								{
									long BgL_iz00_1568;

									BgL_iz00_1568 = (long) (BgL_auxz00_1539);
									BgL_iz00_1533 = BgL_iz00_1568;
									goto BgL_loopz00_1534;
								}
							}
						}
				}
			}
		}
	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_3, bool_t BgL_feffectz00_4)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list3539z00_834;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg3540z00_835;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg3541z00_836;

						BgL_arg3541z00_836 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3540z00_835 =
							MAKE_PAIR(BGl_string3714z00zzeffect_walkz00, BgL_arg3541z00_836);
					}
					BgL_list3539z00_834 =
						MAKE_PAIR(BGl_string3715z00zzeffect_walkz00, BgL_arg3540z00_835);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3539z00_834);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3714z00zzeffect_walkz00;
			{
				obj_t BgL_hooksz00_840;
				obj_t BgL_hnamesz00_841;

				BgL_hooksz00_840 = BNIL;
				BgL_hnamesz00_841 = BNIL;
			BgL_zc3anonymousza33542ze3z83_842:
				if (NULLP(BgL_hooksz00_840))
					{	/* Effect/walk.scm 34 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Effect/walk.scm 34 */
						bool_t BgL_testz00_1580;

						{	/* Effect/walk.scm 34 */
							obj_t BgL_fun3548z00_848;

							BgL_fun3548z00_848 = CAR(BgL_hooksz00_840);
							BgL_testz00_1580 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3548z00_848) (BgL_fun3548z00_848,
									BEOA));
						}
						if (BgL_testz00_1580)
							{
								obj_t BgL_hnamesz00_1588;
								obj_t BgL_hooksz00_1586;

								BgL_hooksz00_1586 = CDR(BgL_hooksz00_840);
								BgL_hnamesz00_1588 = CDR(BgL_hnamesz00_841);
								BgL_hnamesz00_841 = BgL_hnamesz00_1588;
								BgL_hooksz00_840 = BgL_hooksz00_1586;
								goto BgL_zc3anonymousza33542ze3z83_842;
							}
						else
							{	/* Effect/walk.scm 34 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3714z00zzeffect_walkz00,
									BGl_string3716z00zzeffect_walkz00, CAR(BgL_hnamesz00_841));
							}
					}
			}
			{
				obj_t BgL_l3523z00_852;

				BgL_l3523z00_852 = BgL_globalsz00_3;
			BgL_zc3anonymousza33550ze3z83_853:
				if (PAIRP(BgL_l3523z00_852))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_855;

							BgL_globalz00_855 = CAR(BgL_l3523z00_852);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_globalz00_855));
						}
						{
							obj_t BgL_l3523z00_1597;

							BgL_l3523z00_1597 = CDR(BgL_l3523z00_852);
							BgL_l3523z00_852 = BgL_l3523z00_1597;
							goto BgL_zc3anonymousza33550ze3z83_853;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 44 */
				obj_t BgL_g3527z00_859;

				BgL_g3527z00_859 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l3525z00_861;

					BgL_l3525z00_861 = BgL_g3527z00_859;
				BgL_zc3anonymousza33554ze3z83_862:
					if (PAIRP(BgL_l3525z00_861))
						{	/* Effect/walk.scm 48 */
							{	/* Effect/walk.scm 45 */
								obj_t BgL_varz00_864;

								BgL_varz00_864 = CAR(BgL_l3525z00_861);
								{	/* Effect/walk.scm 45 */
									BgL_valuez00_bglt BgL_funz00_865;

									{	/* Effect/walk.scm 45 */
										BgL_variablez00_bglt BgL_obj1612z00_1393;

										BgL_obj1612z00_1393 =
											((BgL_variablez00_bglt) BgL_varz00_864);
										BgL_funz00_865 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1612z00_1393)))->BgL_valuez00);
									}
									{	/* Effect/walk.scm 46 */
										bool_t BgL_testz00_1608;

										{	/* Effect/walk.scm 46 */
											obj_t BgL_auxz00_1609;

											{	/* Effect/walk.scm 46 */
												BgL_funz00_bglt BgL_obj1855z00_1394;

												BgL_obj1855z00_1394 =
													((BgL_funz00_bglt) BgL_funz00_865);
												BgL_auxz00_1609 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1855z00_1394)))->
													BgL_sidezd2effectzd2);
											}
											BgL_testz00_1608 = (BgL_auxz00_1609 == BUNSPEC);
										}
										if (BgL_testz00_1608)
											{	/* Effect/walk.scm 47 */
												BgL_funz00_bglt BgL_obj1857z00_1395;

												BgL_obj1857z00_1395 =
													((BgL_funz00_bglt) BgL_funz00_865);
												((((BgL_funz00_bglt) CREF(
																((obj_t) BgL_obj1857z00_1395)))->
														BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
											}
										else
											{	/* Effect/walk.scm 46 */
												BFALSE;
											}
									}
								}
							}
							{
								obj_t BgL_l3525z00_1617;

								BgL_l3525z00_1617 = CDR(BgL_l3525z00_861);
								BgL_l3525z00_861 = BgL_l3525z00_1617;
								goto BgL_zc3anonymousza33554ze3z83_862;
							}
						}
					else
						{	/* Effect/walk.scm 48 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l3528z00_871;

				BgL_l3528z00_871 = BgL_globalsz00_3;
			BgL_zc3anonymousza33559ze3z83_872:
				if (PAIRP(BgL_l3528z00_871))
					{	/* Effect/walk.scm 51 */
						{	/* Effect/walk.scm 52 */
							obj_t BgL_globalz00_874;

							BgL_globalz00_874 = CAR(BgL_l3528z00_871);
							{	/* Effect/walk.scm 52 */
								obj_t BgL_arg3561z00_875;

								{	/* Effect/walk.scm 52 */
									BgL_sfunz00_bglt BgL_obj1924z00_1402;

									{	/* Effect/walk.scm 52 */
										BgL_variablez00_bglt BgL_obj1612z00_1401;

										BgL_obj1612z00_1401 =
											((BgL_variablez00_bglt) BgL_globalz00_874);
										BgL_obj1924z00_1402 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1401)))->BgL_valuez00));
									}
									BgL_arg3561z00_875 =
										(((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_obj1924z00_1402)))->BgL_bodyz00);
								}
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									((BgL_nodez00_bglt) BgL_arg3561z00_875));
							}
						}
						{
							obj_t BgL_l3528z00_1630;

							BgL_l3528z00_1630 = CDR(BgL_l3528z00_871);
							BgL_l3528z00_871 = BgL_l3528z00_1630;
							goto BgL_zc3anonymousza33559ze3z83_872;
						}
					}
				else
					{	/* Effect/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_4)
				{	/* Effect/walk.scm 57 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_3);
				}
			else
				{	/* Effect/walk.scm 57 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Effect/walk.scm 60 */
					{	/* Effect/walk.scm 60 */
						obj_t BgL_port3530z00_881;

						{	/* Effect/walk.scm 60 */
							obj_t BgL_res3692z00_1408;

							{	/* Effect/walk.scm 60 */
								obj_t BgL_auxz00_1637;

								BgL_auxz00_1637 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3692z00_1408 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1637);
							}
							BgL_port3530z00_881 = BgL_res3692z00_1408;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port3530z00_881);
						BGL_DISPLAY_STRING(BGl_string3717z00zzeffect_walkz00,
							BgL_port3530z00_881);
						{	/* Effect/walk.scm 60 */
							obj_t BgL_arg3565z00_882;

							{	/* Effect/walk.scm 60 */
								bool_t BgL_testz00_1642;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 60 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Effect/walk.scm 60 */
												BgL_testz00_1642 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Effect/walk.scm 60 */
												BgL_testz00_1642 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Effect/walk.scm 60 */
										BgL_testz00_1642 = ((bool_t) 0);
									}
								if (BgL_testz00_1642)
									{	/* Effect/walk.scm 60 */
										BgL_arg3565z00_882 = BGl_string3718z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 60 */
										BgL_arg3565z00_882 = BGl_string3719z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg3565z00_882, BgL_port3530z00_881);
						}
						BGL_DISPLAY_STRING(BGl_string3720z00zzeffect_walkz00,
							BgL_port3530z00_881);
						bgl_display_char(((unsigned char) '\n'), BgL_port3530z00_881);
					}
					{	/* Effect/walk.scm 60 */
						obj_t BgL_list3569z00_886;

						BgL_list3569z00_886 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list3569z00_886);
					}
				}
			else
				{	/* Effect/walk.scm 60 */
					obj_t BgL_g3516z00_887;
					obj_t BgL_g3517z00_888;

					{	/* Effect/walk.scm 60 */
						obj_t BgL_list3578z00_900;

						BgL_list3578z00_900 =
							MAKE_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g3516z00_887 = BgL_list3578z00_900;
					}
					BgL_g3517z00_888 = CNST_TABLE_REF(((long) 1));
					{
						obj_t BgL_hooksz00_890;
						obj_t BgL_hnamesz00_891;

						BgL_hooksz00_890 = BgL_g3516z00_887;
						BgL_hnamesz00_891 = BgL_g3517z00_888;
					BgL_zc3anonymousza33570ze3z83_892:
						if (NULLP(BgL_hooksz00_890))
							{	/* Effect/walk.scm 60 */
								return BgL_globalsz00_3;
							}
						else
							{	/* Effect/walk.scm 60 */
								bool_t BgL_testz00_1661;

								{	/* Effect/walk.scm 60 */
									obj_t BgL_fun3577z00_898;

									BgL_fun3577z00_898 = CAR(BgL_hooksz00_890);
									BgL_testz00_1661 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun3577z00_898)
										(BgL_fun3577z00_898, BEOA));
								}
								if (BgL_testz00_1661)
									{
										obj_t BgL_hnamesz00_1669;
										obj_t BgL_hooksz00_1667;

										BgL_hooksz00_1667 = CDR(BgL_hooksz00_890);
										BgL_hnamesz00_1669 = CDR(BgL_hnamesz00_891);
										BgL_hnamesz00_891 = BgL_hnamesz00_1669;
										BgL_hooksz00_890 = BgL_hooksz00_1667;
										goto BgL_zc3anonymousza33570ze3z83_892;
									}
								else
									{	/* Effect/walk.scm 60 */
										obj_t BgL_arg3575z00_897;

										BgL_arg3575z00_897 = CAR(BgL_hnamesz00_891);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string3721z00zzeffect_walkz00, BgL_arg3575z00_897);
									}
							}
					}
				}
		}
	}



/* &effect-walk! */
	obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t BgL_envz00_1492,
		obj_t BgL_globalsz00_1493, obj_t BgL_feffectz00_1494)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_1493,
				CBOOL(BgL_feffectz00_1494));
		}
	}



/* iterate-to-fix-point! */
	bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_5)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 65 */
			if (PAIRP(BgL_wz00_5))
				{
					obj_t BgL_l3531z00_903;

					BgL_l3531z00_903 = BgL_wz00_5;
				BgL_zc3anonymousza33580ze3z83_904:
					if (PAIRP(BgL_l3531z00_903))
						{	/* Effect/walk.scm 67 */
							{	/* Effect/walk.scm 69 */
								obj_t BgL_varz00_906;

								BgL_varz00_906 = CAR(BgL_l3531z00_903);
								{	/* Effect/walk.scm 69 */
									BgL_valuez00_bglt BgL_funz00_907;

									{	/* Effect/walk.scm 69 */
										BgL_variablez00_bglt BgL_obj1612z00_1432;

										BgL_obj1612z00_1432 =
											((BgL_variablez00_bglt) BgL_varz00_906);
										BgL_funz00_907 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1612z00_1432)))->BgL_valuez00);
									}
									{	/* Effect/walk.scm 70 */
										bool_t BgL_testz00_1683;

										{	/* Effect/walk.scm 70 */
											obj_t BgL_auxz00_1684;

											{	/* Effect/walk.scm 70 */
												BgL_funz00_bglt BgL_obj1855z00_1433;

												BgL_obj1855z00_1433 =
													((BgL_funz00_bglt) BgL_funz00_907);
												BgL_auxz00_1684 =
													(((BgL_funz00_bglt) CREF(
															((obj_t) BgL_obj1855z00_1433)))->
													BgL_sidezd2effectzd2);
											}
											BgL_testz00_1683 = (BgL_auxz00_1684 == BTRUE);
										}
										if (BgL_testz00_1683)
											{	/* Effect/walk.scm 70 */
												((bool_t) 0);
											}
										else
											{	/* Effect/walk.scm 70 */
												{	/* Effect/walk.scm 71 */
													BgL_funz00_bglt BgL_obj1857z00_1434;

													BgL_obj1857z00_1434 =
														((BgL_funz00_bglt) BgL_funz00_907);
													((((BgL_funz00_bglt) CREF(
																	((obj_t) BgL_obj1857z00_1434)))->
															BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
												}
												if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_906,
														BGl_localzf2fromzf2zzeffect_cgraphz00))
													{	/* Effect/walk.scm 74 */
														obj_t BgL_arg3584z00_910;

														{	/* Effect/walk.scm 74 */
															BgL_localzf2fromzf2_bglt BgL_obj3386z00_1438;

															BgL_obj3386z00_1438 =
																((BgL_localzf2fromzf2_bglt) BgL_varz00_906);
															{
																obj_t BgL_auxz00_1695;

																{	/* Effect/walk.scm 74 */
																	BgL_objectz00_bglt BgL_auxz00_1696;

																	BgL_auxz00_1696 =
																		((BgL_objectz00_bglt) BgL_obj3386z00_1438);
																	BgL_auxz00_1695 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1696);
																}
																BgL_arg3584z00_910 =
																	(((BgL_localzf2fromzf2_bglt)
																		CREF(BgL_auxz00_1695))->BgL_fromz00);
															}
														}
														BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
															(BgL_arg3584z00_910);
													}
												else
													{	/* Effect/walk.scm 73 */
														if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_906,
																BGl_globalzf2fromzf2zzeffect_cgraphz00))
															{	/* Effect/walk.scm 76 */
																obj_t BgL_arg3586z00_912;

																{	/* Effect/walk.scm 76 */
																	BgL_globalzf2fromzf2_bglt BgL_obj3446z00_1441;

																	BgL_obj3446z00_1441 =
																		((BgL_globalzf2fromzf2_bglt)
																		BgL_varz00_906);
																	{
																		obj_t BgL_auxz00_1704;

																		{	/* Effect/walk.scm 76 */
																			BgL_objectz00_bglt BgL_auxz00_1705;

																			BgL_auxz00_1705 =
																				((BgL_objectz00_bglt)
																				BgL_obj3446z00_1441);
																			BgL_auxz00_1704 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1705);
																		}
																		BgL_arg3586z00_912 =
																			(((BgL_globalzf2fromzf2_bglt)
																				CREF(BgL_auxz00_1704))->BgL_fromz00);
																	}
																}
																BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																	(BgL_arg3586z00_912);
															}
														else
															{	/* Effect/walk.scm 75 */
																((bool_t) 0);
															}
													}
											}
									}
								}
							}
							{
								obj_t BgL_l3531z00_1710;

								BgL_l3531z00_1710 = CDR(BgL_l3531z00_903);
								BgL_l3531z00_903 = BgL_l3531z00_1710;
								goto BgL_zc3anonymousza33580ze3z83_904;
							}
						}
					else
						{	/* Effect/walk.scm 67 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Effect/walk.scm 66 */
					return ((bool_t) 0);
				}
		}
	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_6)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 82 */
			{	/* Effect/walk.scm 93 */
				obj_t BgL_onamez00_917;

				if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
					{	/* Effect/walk.scm 93 */
						BgL_onamez00_917 = BGl_za2destza2z00zzengine_paramz00;
					}
				else
					{	/* Effect/walk.scm 95 */
						bool_t BgL_testz00_1714;

						if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
							{	/* Effect/walk.scm 95 */
								obj_t BgL_auxz00_1717;

								BgL_auxz00_1717 =
									CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								BgL_testz00_1714 = STRINGP(BgL_auxz00_1717);
							}
						else
							{	/* Effect/walk.scm 95 */
								BgL_testz00_1714 = ((bool_t) 0);
							}
						if (BgL_testz00_1714)
							{	/* Effect/walk.scm 95 */
								BgL_onamez00_917 =
									string_append(BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
									BGl_string3722z00zzeffect_walkz00);
							}
						else
							{	/* Effect/walk.scm 95 */
								BgL_onamez00_917 = BFALSE;
							}
					}
				{	/* Effect/walk.scm 93 */
					obj_t BgL_portz00_918;

					if (STRINGP(BgL_onamez00_917))
						{	/* Effect/walk.scm 99 */
							obj_t BgL_g2598z00_939;

							BgL_g2598z00_939 = BgL_onamez00_917;
							{	/* Effect/walk.scm 99 */

								BgL_portz00_918 =
									BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_g2598z00_939, BTRUE);
							}
						}
					else
						{	/* Effect/walk.scm 100 */
							obj_t BgL_res3709z00_1473;

							{	/* Effect/walk.scm 100 */
								obj_t BgL_auxz00_1726;

								BgL_auxz00_1726 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3709z00_1473 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1726);
							}
							BgL_portz00_918 = BgL_res3709z00_1473;
						}
					{	/* Effect/walk.scm 98 */

						if (OUTPUT_PORTP(BgL_portz00_918))
							{	/* Effect/walk.scm 103 */
								obj_t BgL_val3520z00_920;

								BgL_val3520z00_920 =
									BGl_zc3exitza33595ze3z83zzeffect_walkz00(BgL_globalsz00_6);
								{	/* Effect/walk.scm 108 */
									bool_t BgL_testz00_1732;

									{	/* Effect/walk.scm 108 */
										obj_t BgL_arg3591z00_922;

										{	/* Effect/walk.scm 108 */
											obj_t BgL_res3713z00_1488;

											{	/* Effect/walk.scm 108 */
												obj_t BgL_auxz00_1733;

												BgL_auxz00_1733 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res3713z00_1488 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1733);
											}
											BgL_arg3591z00_922 = BgL_res3713z00_1488;
										}
										BgL_testz00_1732 = (BgL_portz00_918 == BgL_arg3591z00_922);
									}
									if (BgL_testz00_1732)
										{	/* Effect/walk.scm 108 */
											BFALSE;
										}
									else
										{	/* Effect/walk.scm 108 */
											bgl_close_output_port(BgL_portz00_918);
										}
								}
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val3520z00_920)))
									{	/* Effect/walk.scm 108 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val3520z00_920), CDR(BgL_val3520z00_920));
									}
								else
									{	/* Effect/walk.scm 108 */
										return BgL_val3520z00_920;
									}
							}
						else
							{	/* Effect/walk.scm 101 */
								return
									BGl_errorz00zz__errorz00(BGl_string3723z00zzeffect_walkz00,
									BGl_string3724z00zzeffect_walkz00, BgL_onamez00_917);
							}
					}
				}
			}
		}
	}



/* <exit:3595> */
	obj_t BGl_zc3exitza33595ze3z83zzeffect_walkz00(obj_t BgL_globalsz00_1498)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 108 */
			{
				obj_t BgL_gz00_947;
				jmp_buf_t jmpbuf;
				void *BgL_an_exit3521z00_927;

				if (SET_EXIT(BgL_an_exit3521z00_927))
					{
						return BGL_EXIT_VALUE();
					}
				else
					{
#if( SIGSETJMP_SAVESIGS == 0 )
						bgl_restore_signal_handlers();
#endif

						BgL_an_exit3521z00_927 = (void *) jmpbuf;
						{	/* Effect/walk.scm 108 */

							PUSH_EXIT(BgL_an_exit3521z00_927, ((long) 0));
							{	/* Effect/walk.scm 106 */
								obj_t BgL_val3522z00_928;

								{	/* Effect/walk.scm 105 */
									obj_t BgL_arg3596z00_929;

									{	/* Effect/walk.scm 105 */
										obj_t BgL_res3710z00_1476;

										{	/* Effect/walk.scm 105 */
											obj_t BgL_auxz00_1748;

											BgL_auxz00_1748 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res3710z00_1476 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1748);
										}
										BgL_arg3596z00_929 = BgL_res3710z00_1476;
									}
									BGL_DISPLAY_STRING(BGl_string3731z00zzeffect_walkz00,
										BgL_arg3596z00_929);
								}
								{
									obj_t BgL_l3534z00_931;

									BgL_l3534z00_931 = BgL_globalsz00_1498;
								BgL_zc3anonymousza33597ze3z83_932:
									if (PAIRP(BgL_l3534z00_931))
										{	/* Effect/walk.scm 106 */
											BgL_gz00_947 = CAR(BgL_l3534z00_931);
											{	/* Effect/walk.scm 84 */
												obj_t BgL_fez00_949;

												{	/* Effect/walk.scm 84 */
													BgL_funz00_bglt BgL_obj1870z00_1444;

													{	/* Effect/walk.scm 84 */
														BgL_variablez00_bglt BgL_obj1612z00_1443;

														BgL_obj1612z00_1443 =
															((BgL_variablez00_bglt) BgL_gz00_947);
														BgL_obj1870z00_1444 =
															((BgL_funz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1443)))->
																BgL_valuez00));
													}
													BgL_fez00_949 =
														(((BgL_funz00_bglt) CREF(
																((obj_t) BgL_obj1870z00_1444)))->BgL_effectz00);
												}
												if (BGl_iszd2azf3z21zz__objectz00(BgL_fez00_949,
														BGl_feffectz00zzast_varz00))
													{	/* Effect/walk.scm 86 */
														BgL_feffectz00_bglt BgL_instance3518z00_951;

														BgL_instance3518z00_951 =
															((BgL_feffectz00_bglt) BgL_fez00_949);
														{	/* Effect/walk.scm 87 */
															bool_t BgL_testz00_1763;

															if (
																((((BgL_feffectz00_bglt) CREF(
																				((obj_t) BgL_instance3518z00_951)))->
																		BgL_readz00) == CNST_TABLE_REF(((long) 2))))
																{	/* Effect/walk.scm 87 */
																	BgL_testz00_1763 =
																		(
																		(((BgL_feffectz00_bglt) CREF(
																					((obj_t) BgL_instance3518z00_951)))->
																			BgL_writez00) ==
																		CNST_TABLE_REF(((long) 2)));
																}
															else
																{	/* Effect/walk.scm 87 */
																	BgL_testz00_1763 = ((bool_t) 0);
																}
															if (BgL_testz00_1763)
																{	/* Effect/walk.scm 87 */
																	BFALSE;
																}
															else
																{	/* Effect/walk.scm 87 */
																	{	/* Effect/walk.scm 89 */
																		obj_t BgL_arg3612z00_953;

																		BgL_arg3612z00_953 =
																			BGl_shapez00zztools_shapez00
																			(BgL_gz00_947);
																		{	/* Effect/walk.scm 89 */
																			obj_t BgL_list3613z00_954;

																			{	/* Effect/walk.scm 89 */
																				obj_t BgL_arg3614z00_955;

																				{	/* Effect/walk.scm 89 */
																					obj_t BgL_arg3615z00_956;

																					BgL_arg3615z00_956 =
																						MAKE_PAIR
																						(BGl_string3725z00zzeffect_walkz00,
																						BNIL);
																					BgL_arg3614z00_955 =
																						MAKE_PAIR(BgL_arg3612z00_953,
																						BgL_arg3615z00_956);
																				}
																				BgL_list3613z00_954 =
																					MAKE_PAIR
																					(BGl_string3726z00zzeffect_walkz00,
																					BgL_arg3614z00_955);
																			}
																			BGl_displayza2za2zz__r4_output_6_10_3z00
																				(BgL_list3613z00_954);
																		}
																	}
																	if (NULLP(
																			(((BgL_feffectz00_bglt) CREF(
																						((obj_t)
																							BgL_instance3518z00_951)))->
																				BgL_readz00)))
																		{	/* Effect/walk.scm 90 */
																			BFALSE;
																		}
																	else
																		{	/* Effect/walk.scm 90 */
																			obj_t BgL_arg3617z00_958;

																			BgL_arg3617z00_958 =
																				(((BgL_feffectz00_bglt) CREF(
																						((obj_t)
																							BgL_instance3518z00_951)))->
																				BgL_readz00);
																			{	/* Effect/walk.scm 90 */
																				obj_t BgL_list3618z00_959;

																				{	/* Effect/walk.scm 90 */
																					obj_t BgL_arg3619z00_960;

																					{	/* Effect/walk.scm 90 */
																						obj_t BgL_arg3620z00_961;

																						BgL_arg3620z00_961 =
																							MAKE_PAIR
																							(BGl_string3727z00zzeffect_walkz00,
																							BNIL);
																						BgL_arg3619z00_960 =
																							MAKE_PAIR(BgL_arg3617z00_958,
																							BgL_arg3620z00_961);
																					}
																					BgL_list3618z00_959 =
																						MAKE_PAIR
																						(BGl_string3728z00zzeffect_walkz00,
																						BgL_arg3619z00_960);
																				}
																				BGl_displayza2za2zz__r4_output_6_10_3z00
																					(BgL_list3618z00_959);
																			}
																		}
																	if (NULLP(
																			(((BgL_feffectz00_bglt) CREF(
																						((obj_t)
																							BgL_instance3518z00_951)))->
																				BgL_writez00)))
																		{	/* Effect/walk.scm 91 */
																			BFALSE;
																		}
																	else
																		{	/* Effect/walk.scm 91 */
																			obj_t BgL_arg3623z00_964;

																			BgL_arg3623z00_964 =
																				(((BgL_feffectz00_bglt) CREF(
																						((obj_t)
																							BgL_instance3518z00_951)))->
																				BgL_writez00);
																			{	/* Effect/walk.scm 91 */
																				obj_t BgL_list3624z00_965;

																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_arg3625z00_966;

																					{	/* Effect/walk.scm 91 */
																						obj_t BgL_arg3626z00_967;

																						BgL_arg3626z00_967 =
																							MAKE_PAIR
																							(BGl_string3727z00zzeffect_walkz00,
																							BNIL);
																						BgL_arg3625z00_966 =
																							MAKE_PAIR(BgL_arg3623z00_964,
																							BgL_arg3626z00_967);
																					}
																					BgL_list3624z00_965 =
																						MAKE_PAIR
																						(BGl_string3729z00zzeffect_walkz00,
																						BgL_arg3625z00_966);
																				}
																				BGl_displayza2za2zz__r4_output_6_10_3z00
																					(BgL_list3624z00_965);
																			}
																		}
																	{	/* Effect/walk.scm 92 */
																		obj_t BgL_port3533z00_969;

																		{	/* Effect/walk.scm 92 */
																			obj_t BgL_res3704z00_1458;

																			{	/* Effect/walk.scm 92 */
																				obj_t BgL_auxz00_1798;

																				BgL_auxz00_1798 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res3704z00_1458 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1798);
																			}
																			BgL_port3533z00_969 = BgL_res3704z00_1458;
																		}
																		BGL_DISPLAY_STRING
																			(BGl_string3730z00zzeffect_walkz00,
																			BgL_port3533z00_969);
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port3533z00_969);
													}}}}
												else
													{	/* Effect/walk.scm 85 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l3534z00_1804;

												BgL_l3534z00_1804 = CDR(BgL_l3534z00_931);
												BgL_l3534z00_931 = BgL_l3534z00_1804;
												goto BgL_zc3anonymousza33597ze3z83_932;
											}
										}
									else
										{	/* Effect/walk.scm 106 */
											((bool_t) 1);
										}
								}
								{	/* Effect/walk.scm 107 */
									obj_t BgL_arg3601z00_937;

									{	/* Effect/walk.scm 107 */
										obj_t BgL_res3712z00_1484;

										{	/* Effect/walk.scm 107 */
											obj_t BgL_auxz00_1806;

											BgL_auxz00_1806 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res3712z00_1484 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1806);
										}
										BgL_arg3601z00_937 = BgL_res3712z00_1484;
									}
									BgL_val3522z00_928 =
										BGL_DISPLAY_STRING(BGl_string3732z00zzeffect_walkz00,
										BgL_arg3601z00_937);
								}
								POP_EXIT();
								return BgL_val3522z00_928;
							}
						}
					}
			}
		}
	}



/* &write-effect */
	obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t BgL_envz00_1496,
		obj_t BgL_globalsz00_1497)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 82 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_1497);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 517369393),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3733z00zzeffect_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
