/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/recursion.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	static obj_t
		BGl_z62findzd2recursivezd2calls3592z62zzinline_recursionz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_methodzd2initzd2zzinline_recursionz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	static obj_t BGl_appendzd221095zd2zzinline_recursionz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	static BgL_letzd2funzd2_bglt
		BGl_z62zc3anonymousza33679ze3ze1zzinline_recursionz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00();
	extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_genericzd2initzd2zzinline_recursionz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t,
		obj_t);
	static obj_t
		BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_recursionz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
	static BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
	extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls3549z62zzinline_recursionz00(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	static obj_t
		BGl_z62findzd2recursivezd2calls3552z62zzinline_recursionz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_z62findzd2recursivezd2calls3554z62zzinline_recursionz00(obj_t,
		BgL_appz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3556z62zzinline_recursionz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3559z62zzinline_recursionz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3562z62zzinline_recursionz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3564z62zzinline_recursionz00(obj_t,
		BgL_castz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3567z62zzinline_recursionz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3569z62zzinline_recursionz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3571z62zzinline_recursionz00(obj_t,
		BgL_failz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3574z62zzinline_recursionz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3576z62zzinline_recursionz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3578z62zzinline_recursionz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62findzd2recursivezd2calls3581z62zzinline_recursionz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3584z62zzinline_recursionz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3586z62zzinline_recursionz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls3589z62zzinline_recursionz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string3872z00zzinline_recursionz00,
		BgL_bgl_string3872za700za7za7i3901za7, "simple", 6);
	      DEFINE_STRING(BGl_string3873z00zzinline_recursionz00,
		BgL_bgl_string3873za700za7za7i3902za7, " (recursive)", 12);
	      DEFINE_STRING(BGl_string3874z00zzinline_recursionz00,
		BgL_bgl_string3874za700za7za7i3903za7, " --> ", 5);
	      DEFINE_STRING(BGl_string3875z00zzinline_recursionz00,
		BgL_bgl_string3875za700za7za7i3904za7, "         ", 9);
	      DEFINE_STRING(BGl_string3876z00zzinline_recursionz00,
		BgL_bgl_string3876za700za7za7i3905za7, "unrolling", 9);
	      DEFINE_STRING(BGl_string3878z00zzinline_recursionz00,
		BgL_bgl_string3878za700za7za7i3906za7, "find-recursive-calls3549", 24);
	      DEFINE_STRING(BGl_string3880z00zzinline_recursionz00,
		BgL_bgl_string3880za700za7za7i3907za7, "find-recursive-calls", 20);
	      DEFINE_STRING(BGl_string3897z00zzinline_recursionz00,
		BgL_bgl_string3897za700za7za7i3908za7, "inline_recursion", 16);
	      DEFINE_STRING(BGl_string3898z00zzinline_recursionz00,
		BgL_bgl_string3898za700za7za7i3909za7, "(sifun sgfun) sfun ", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00,
		BgL_bgl_za762inlineza7d2appza73910za7,
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00,
		BgL_bgl_za762isza7d2recursiv3911z00,
		BGl_z62iszd2recursivezf3z43zzinline_recursionz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3912z00,
		BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3877z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3913z00,
		BGl_z62findzd2recursivezd2calls3549z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3879z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3914z00,
		BGl_z62findzd2recursivezd2calls3552z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3881z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3915z00,
		BGl_z62findzd2recursivezd2calls3554z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3882z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3916z00,
		BGl_z62findzd2recursivezd2calls3556z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3883z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3917z00,
		BGl_z62findzd2recursivezd2calls3559z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3884z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3918z00,
		BGl_z62findzd2recursivezd2calls3562z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3885z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3919z00,
		BGl_z62findzd2recursivezd2calls3564z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3886z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3920z00,
		BGl_z62findzd2recursivezd2calls3567z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3887z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3921z00,
		BGl_z62findzd2recursivezd2calls3569z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3888z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3922z00,
		BGl_z62findzd2recursivezd2calls3571z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3889z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3923z00,
		BGl_z62findzd2recursivezd2calls3574z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3890z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3924z00,
		BGl_z62findzd2recursivezd2calls3576z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3891z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3925z00,
		BGl_z62findzd2recursivezd2calls3578z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3892z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3926z00,
		BGl_z62findzd2recursivezd2calls3581z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3893z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3927z00,
		BGl_z62findzd2recursivezd2calls3584z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3894z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3928z00,
		BGl_z62findzd2recursivezd2calls3586z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3895z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3929z00,
		BGl_z62findzd2recursivezd2calls3589z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3896z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs3930z00,
		BGl_z62findzd2recursivezd2calls3592z62zzinline_recursionz00, 0L, BUNSPEC,
		2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long
		BgL_checksumz00_2191, char *BgL_fromz00_2192)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_recursionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
					BGl_cnstzd2initzd2zzinline_recursionz00();
					BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
					BGl_genericzd2initzd2zzinline_recursionz00();
					BGl_methodzd2initzd2zzinline_recursionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_recursion");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			{	/* Inline/recursion.scm 15 */
				obj_t BgL_cportz00_2181;

				BgL_cportz00_2181 =
					bgl_open_input_string(BGl_string3898z00zzinline_recursionz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2182;

					BgL_iz00_2182 = ((long) 1);
				BgL_loopz00_2183:
					if ((BgL_iz00_2182 == ((long) -1)))
						{	/* Inline/recursion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/recursion.scm 15 */
							{	/* Inline/recursion.scm 15 */
								obj_t BgL_arg3900z00_2185;

								{	/* Inline/recursion.scm 15 */

									{	/* Inline/recursion.scm 15 */
										obj_t BgL_locationz00_2187;

										BgL_locationz00_2187 = BBOOL(((bool_t) 0));
										{	/* Inline/recursion.scm 15 */

											BgL_arg3900z00_2185 =
												BGl_readz00zz__readerz00(BgL_cportz00_2181,
												BgL_locationz00_2187);
										}
									}
								}
								{	/* Inline/recursion.scm 15 */
									int BgL_auxz00_2211;

									BgL_auxz00_2211 = (int) (BgL_iz00_2182);
									CNST_TABLE_SET(BgL_auxz00_2211, BgL_arg3900z00_2185);
							}}
							{	/* Inline/recursion.scm 15 */
								int BgL_auxz00_2188;

								BgL_auxz00_2188 = (int) ((BgL_iz00_2182 - ((long) 1)));
								{
									long BgL_iz00_2216;

									BgL_iz00_2216 = (long) (BgL_auxz00_2188);
									BgL_iz00_2182 = BgL_iz00_2216;
									goto BgL_loopz00_2183;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzinline_recursionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_880;

				BgL_headz00_880 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_881;
					obj_t BgL_tailz00_882;

					BgL_prevz00_881 = BgL_headz00_880;
					BgL_tailz00_882 = BgL_l1z00_1;
				BgL_loopz00_883:
					if (PAIRP(BgL_tailz00_882))
						{
							obj_t BgL_newzd2prevzd2_885;

							BgL_newzd2prevzd2_885 =
								MAKE_PAIR(CAR(BgL_tailz00_882), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_881, BgL_newzd2prevzd2_885);
							{
								obj_t BgL_tailz00_2225;
								obj_t BgL_prevz00_2224;

								BgL_prevz00_2224 = BgL_newzd2prevzd2_885;
								BgL_tailz00_2225 = CDR(BgL_tailz00_882);
								BgL_tailz00_882 = BgL_tailz00_2225;
								BgL_prevz00_881 = BgL_prevz00_2224;
								goto BgL_loopz00_883;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_880);
				}
			}
		}
	}



/* inline-app-recursive */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 40 */
			{	/* Inline/recursion.scm 41 */
				BgL_variablez00_bglt BgL_calleez00_889;

				{	/* Inline/recursion.scm 42 */
					BgL_varz00_bglt BgL_obj2201z00_1670;

					{	/* Inline/recursion.scm 42 */
						BgL_appz00_bglt BgL_obj2299z00_1669;

						BgL_obj2299z00_1669 = ((BgL_appz00_bglt) BgL_nodez00_3);
						BgL_obj2201z00_1670 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_obj2299z00_1669)))->BgL_funz00);
					}
					BgL_calleez00_889 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_obj2201z00_1670)))->BgL_variablez00);
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_calleez00_889), BgL_stackz00_5)))
					{	/* Inline/recursion.scm 43 */
						return
							BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_3,
							BgL_kfactorz00_4, BgL_stackz00_5,
							BGl_string3872z00zzinline_recursionz00);
					}
				else
					{	/* Inline/recursion.scm 43 */
						{	/* Inline/recursion.scm 52 */
							obj_t BgL_xz00_1987;

							BgL_xz00_1987 =
								BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_3,
								BgL_kfactorz00_4, BgL_stackz00_5);
							return ((BgL_nodez00_bglt) BgL_xz00_1987);
						}
					}
			}
		}
	}



/* &inline-app-recursive */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t
		BgL_envz00_1897, obj_t BgL_nodez00_1898, obj_t BgL_kfactorz00_1899,
		obj_t BgL_stackz00_1900)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 40 */
			return
				BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_1898),
				(long) CINT(BgL_kfactorz00_1899), BgL_stackz00_1900);
		}
	}



/* inline-app-labels */
	obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_6, long BgL_kfactorz00_7, obj_t BgL_stackz00_8)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 59 */
			{	/* Inline/recursion.scm 60 */
				BgL_variablez00_bglt BgL_variablez00_892;

				{	/* Inline/recursion.scm 60 */
					BgL_varz00_bglt BgL_obj2201z00_1672;

					{	/* Inline/recursion.scm 60 */
						BgL_appz00_bglt BgL_obj2299z00_1671;

						BgL_obj2299z00_1671 = ((BgL_appz00_bglt) BgL_nodez00_6);
						BgL_obj2201z00_1672 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_obj2299z00_1671)))->BgL_funz00);
					}
					BgL_variablez00_892 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_obj2201z00_1672)))->BgL_variablez00);
				}
				{	/* Inline/recursion.scm 60 */
					long BgL_callzd2siza7ez75_893;

					{	/* Inline/recursion.scm 61 */
						long BgL_auxz00_2248;

						{	/* Inline/recursion.scm 61 */
							obj_t BgL_auxz00_2249;

							{	/* Inline/recursion.scm 61 */
								BgL_appz00_bglt BgL_obj2302z00_1673;

								BgL_obj2302z00_1673 = ((BgL_appz00_bglt) BgL_nodez00_6);
								BgL_auxz00_2249 =
									(((BgL_appz00_bglt) CREF(
											((obj_t) BgL_obj2302z00_1673)))->BgL_argsz00);
							}
							BgL_auxz00_2248 = bgl_list_length(BgL_auxz00_2249);
						}
						BgL_callzd2siza7ez75_893 = (((long) 1) + BgL_auxz00_2248);
					}
					{	/* Inline/recursion.scm 61 */
						BgL_localz00_bglt BgL_localz00_894;

						{	/* Inline/recursion.scm 62 */
							obj_t BgL_arg3663z00_1008;
							BgL_typez00_bglt BgL_arg3664z00_1009;
							BgL_valuez00_bglt BgL_arg3665z00_1010;

							BgL_arg3663z00_1008 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_variablez00_892)))->BgL_idz00);
							BgL_arg3664z00_1009 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_variablez00_892)))->BgL_typez00);
							BgL_arg3665z00_1010 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_variablez00_892)))->BgL_valuez00);
							BgL_localz00_894 =
								BGl_makezd2localzd2sfunz00zzast_localz00(BgL_arg3663z00_1008,
								BgL_arg3664z00_1009, ((BgL_sfunz00_bglt) BgL_arg3665z00_1010));
						}
						{	/* Inline/recursion.scm 62 */
							BgL_valuez00_bglt BgL_oldzd2sfunzd2_895;

							BgL_oldzd2sfunzd2_895 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_variablez00_892)))->BgL_valuez00);
							{	/* Inline/recursion.scm 65 */
								obj_t BgL_reczd2callszd2_896;

								{	/* Inline/recursion.scm 66 */
									BgL_isfunz00_bglt BgL_obj3395z00_1681;

									BgL_obj3395z00_1681 =
										((BgL_isfunz00_bglt) BgL_oldzd2sfunzd2_895);
									{
										obj_t BgL_auxz00_2266;

										{	/* Inline/recursion.scm 66 */
											BgL_objectz00_bglt BgL_auxz00_2267;

											BgL_auxz00_2267 =
												((BgL_objectz00_bglt) BgL_obj3395z00_1681);
											BgL_auxz00_2266 = BGL_OBJECT_WIDENING(BgL_auxz00_2267);
										}
										BgL_reczd2callszd2_896 =
											(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2266))->
											BgL_recursivezd2callszd2);
								}}
								{	/* Inline/recursion.scm 66 */
									obj_t BgL_oldzd2argszd2_897;

									{	/* Inline/recursion.scm 67 */
										BgL_sfunz00_bglt BgL_obj1920z00_1682;

										BgL_obj1920z00_1682 =
											((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_895);
										BgL_oldzd2argszd2_897 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1920z00_1682)))->BgL_argsz00);
									}
									{	/* Inline/recursion.scm 67 */
										obj_t BgL_invzd2argszd2_898;

										BgL_invzd2argszd2_898 =
											BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_6,
											BgL_variablez00_892, BgL_reczd2callszd2_896);
										{	/* Inline/recursion.scm 68 */
											obj_t BgL_varzd2argszd2_899;

											BgL_varzd2argszd2_899 =
												BGl_variantzd2argszd2zzinline_variantz00
												(BgL_variablez00_892);
											{	/* Inline/recursion.scm 69 */
												obj_t BgL_newzd2argszd2_900;

												if (NULLP(BgL_varzd2argszd2_899))
													{	/* Inline/recursion.scm 70 */
														BgL_newzd2argszd2_900 = BNIL;
													}
												else
													{	/* Inline/recursion.scm 70 */
														obj_t BgL_head3533z00_993;

														{	/* Inline/recursion.scm 70 */
															obj_t BgL_res3836z00_1687;

															BgL_res3836z00_1687 = MAKE_PAIR(BNIL, BNIL);
															BgL_head3533z00_993 = BgL_res3836z00_1687;
														}
														{
															obj_t BgL_l3531z00_995;
															obj_t BgL_tail3534z00_996;

															BgL_l3531z00_995 = BgL_varzd2argszd2_899;
															BgL_tail3534z00_996 = BgL_head3533z00_993;
														BgL_zc3anonymousza33655ze3z83_997:
															if (NULLP(BgL_l3531z00_995))
																{	/* Inline/recursion.scm 70 */
																	BgL_newzd2argszd2_900 =
																		CDR(BgL_head3533z00_993);
																}
															else
																{	/* Inline/recursion.scm 70 */
																	obj_t BgL_newtail3535z00_999;

																	{	/* Inline/recursion.scm 70 */
																		BgL_localz00_bglt BgL_arg3659z00_1001;

																		{	/* Inline/recursion.scm 70 */
																			obj_t BgL_lz00_1002;

																			BgL_lz00_1002 = CAR(BgL_l3531z00_995);
																			{	/* Inline/recursion.scm 73 */
																				BgL_svarz00_bglt BgL_arg3660z00_1003;

																				{	/* Inline/recursion.scm 73 */
																					BgL_svarz00_bglt
																						BgL_duplicated3502z00_1004;
																					{	/* Inline/recursion.scm 73 */
																						BgL_variablez00_bglt
																							BgL_obj1612z00_1692;
																						BgL_obj1612z00_1692 =
																							((BgL_variablez00_bglt)
																							BgL_lz00_1002);
																						BgL_duplicated3502z00_1004 =
																							((BgL_svarz00_bglt) ((
																									(BgL_variablez00_bglt)
																									CREF(((obj_t)
																											BgL_obj1612z00_1692)))->
																								BgL_valuez00));
																					}
																					{	/* Inline/recursion.scm 73 */
																						BgL_svarz00_bglt
																							BgL_new3503z00_1005;
																						{	/* Inline/recursion.scm 73 */
																							obj_t BgL_arg3661z00_1006;

																							BgL_arg3661z00_1006 =
																								(((BgL_svarz00_bglt) CREF(
																										((obj_t)
																											BgL_duplicated3502z00_1004)))->
																								BgL_locz00);
																							BgL_new3503z00_1005 =
																								BGl_makezd2svarzd2zzast_varz00
																								(BgL_arg3661z00_1006);
																						}
																						{	/* Inline/recursion.scm 73 */

																							BgL_arg3660z00_1003 =
																								BgL_new3503z00_1005;
																						}
																					}
																				}
																				BgL_arg3659z00_1001 =
																					BGl_clonezd2localzd2zzast_localz00(
																					((BgL_localz00_bglt) BgL_lz00_1002),
																					((BgL_valuez00_bglt)
																						BgL_arg3660z00_1003));
																			}
																		}
																		{	/* Inline/recursion.scm 70 */
																			obj_t BgL_res3838z00_1696;

																			{	/* Inline/recursion.scm 70 */
																				obj_t BgL_obj1z00_1694;

																				BgL_obj1z00_1694 =
																					((obj_t) BgL_arg3659z00_1001);
																				BgL_res3838z00_1696 =
																					MAKE_PAIR(BgL_obj1z00_1694, BNIL);
																			}
																			BgL_newtail3535z00_999 =
																				BgL_res3838z00_1696;
																		}
																	}
																	SET_CDR(BgL_tail3534z00_996,
																		BgL_newtail3535z00_999);
																	{
																		obj_t BgL_tail3534z00_2298;
																		obj_t BgL_l3531z00_2296;

																		BgL_l3531z00_2296 = CDR(BgL_l3531z00_995);
																		BgL_tail3534z00_2298 =
																			BgL_newtail3535z00_999;
																		BgL_tail3534z00_996 = BgL_tail3534z00_2298;
																		BgL_l3531z00_995 = BgL_l3531z00_2296;
																		goto BgL_zc3anonymousza33655ze3z83_997;
																	}
																}
														}
													}
												{	/* Inline/recursion.scm 70 */
													obj_t BgL_substitutez00_901;

													{	/* Inline/recursion.scm 75 */
														obj_t BgL_arg3653z00_990;

														{	/* Inline/recursion.scm 75 */
															BgL_appz00_bglt BgL_obj2302z00_1700;

															BgL_obj2302z00_1700 =
																((BgL_appz00_bglt) BgL_nodez00_6);
															BgL_arg3653z00_990 =
																(((BgL_appz00_bglt) CREF(
																		((obj_t) BgL_obj2302z00_1700)))->
																BgL_argsz00);
														}
														BgL_substitutez00_901 =
															BGl_substitutionsz00zzinline_variantz00
															(BgL_variablez00_892, BgL_arg3653z00_990,
															BgL_newzd2argszd2_900);
													}
													{	/* Inline/recursion.scm 75 */
														obj_t BgL_oldzd2bodyzd2_902;

														{	/* Inline/recursion.scm 76 */
															bool_t BgL_testz00_2303;

															{	/* Inline/recursion.scm 76 */
																bool_t BgL_res3839z00_1702;

																{	/* Inline/recursion.scm 76 */
																	obj_t BgL_obj3393z00_1701;

																	BgL_obj3393z00_1701 =
																		((obj_t) BgL_oldzd2sfunzd2_895);
																	BgL_res3839z00_1702 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj3393z00_1701,
																		BGl_isfunz00zzinline_inlinez00);
																}
																BgL_testz00_2303 = BgL_res3839z00_1702;
															}
															if (BgL_testz00_2303)
																{	/* Inline/recursion.scm 77 */
																	BgL_isfunz00_bglt BgL_obj3394z00_1703;

																	BgL_obj3394z00_1703 =
																		((BgL_isfunz00_bglt) BgL_oldzd2sfunzd2_895);
																	{
																		BgL_nodez00_bglt BgL_auxz00_2307;

																		{
																			obj_t BgL_auxz00_2308;

																			{	/* Inline/recursion.scm 77 */
																				BgL_objectz00_bglt BgL_auxz00_2309;

																				BgL_auxz00_2309 =
																					((BgL_objectz00_bglt)
																					BgL_obj3394z00_1703);
																				BgL_auxz00_2308 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2309);
																			}
																			BgL_auxz00_2307 =
																				(((BgL_isfunz00_bglt)
																					CREF(BgL_auxz00_2308))->
																				BgL_originalzd2bodyzd2);
																		}
																		BgL_oldzd2bodyzd2_902 =
																			((obj_t) BgL_auxz00_2307);
																	}
																}
															else
																{	/* Inline/recursion.scm 78 */
																	BgL_sfunz00_bglt BgL_obj1924z00_1704;

																	BgL_obj1924z00_1704 =
																		((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_895);
																	BgL_oldzd2bodyzd2_902 =
																		(((BgL_sfunz00_bglt) CREF(
																				((obj_t) BgL_obj1924z00_1704)))->
																		BgL_bodyz00);
																}
														}
														{	/* Inline/recursion.scm 76 */
															obj_t BgL_svgzd2callszd2argsz00_903;

															if (NULLP(BgL_reczd2callszd2_896))
																{	/* Inline/recursion.scm 79 */
																	BgL_svgzd2callszd2argsz00_903 = BNIL;
																}
															else
																{	/* Inline/recursion.scm 79 */
																	obj_t BgL_head3538z00_978;

																	{	/* Inline/recursion.scm 79 */
																		obj_t BgL_res3841z00_1709;

																		BgL_res3841z00_1709 = MAKE_PAIR(BNIL, BNIL);
																		BgL_head3538z00_978 = BgL_res3841z00_1709;
																	}
																	{
																		obj_t BgL_l3536z00_980;
																		obj_t BgL_tail3539z00_981;

																		BgL_l3536z00_980 = BgL_reczd2callszd2_896;
																		BgL_tail3539z00_981 = BgL_head3538z00_978;
																	BgL_zc3anonymousza33648ze3z83_982:
																		if (NULLP(BgL_l3536z00_980))
																			{	/* Inline/recursion.scm 79 */
																				BgL_svgzd2callszd2argsz00_903 =
																					CDR(BgL_head3538z00_978);
																			}
																		else
																			{	/* Inline/recursion.scm 79 */
																				obj_t BgL_newtail3540z00_984;

																				{	/* Inline/recursion.scm 79 */
																					obj_t BgL_arg3651z00_986;

																					{	/* Inline/recursion.scm 79 */
																						BgL_appz00_bglt BgL_obj2302z00_1714;

																						{	/* Inline/recursion.scm 79 */
																							obj_t BgL_pairz00_1713;

																							BgL_pairz00_1713 =
																								BgL_l3536z00_980;
																							BgL_obj2302z00_1714 =
																								((BgL_appz00_bglt)
																								CAR(BgL_pairz00_1713));
																						}
																						BgL_arg3651z00_986 =
																							(((BgL_appz00_bglt) CREF(
																									((obj_t)
																										BgL_obj2302z00_1714)))->
																							BgL_argsz00);
																					}
																					{	/* Inline/recursion.scm 79 */
																						obj_t BgL_res3843z00_1717;

																						BgL_res3843z00_1717 =
																							MAKE_PAIR(BgL_arg3651z00_986,
																							BNIL);
																						BgL_newtail3540z00_984 =
																							BgL_res3843z00_1717;
																					}
																				}
																				SET_CDR(BgL_tail3539z00_981,
																					BgL_newtail3540z00_984);
																				{
																					obj_t BgL_tail3539z00_2331;
																					obj_t BgL_l3536z00_2329;

																					BgL_l3536z00_2329 =
																						CDR(BgL_l3536z00_980);
																					BgL_tail3539z00_2331 =
																						BgL_newtail3540z00_984;
																					BgL_tail3539z00_981 =
																						BgL_tail3539z00_2331;
																					BgL_l3536z00_980 = BgL_l3536z00_2329;
																					goto
																						BgL_zc3anonymousza33648ze3z83_982;
																				}
																			}
																	}
																}
															{	/* Inline/recursion.scm 79 */
																bool_t BgL_removez12z12_904;

																{
																	obj_t BgL_l3541z00_970;

																	BgL_l3541z00_970 = BgL_reczd2callszd2_896;
																BgL_zc3anonymousza33642ze3z83_971:
																	if (PAIRP(BgL_l3541z00_970))
																		{	/* Inline/recursion.scm 80 */
																			{	/* Inline/recursion.scm 80 */
																				obj_t BgL_arg3645z00_973;

																				BgL_arg3645z00_973 =
																					CAR(BgL_l3541z00_970);
																				BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																					(((BgL_appz00_bglt)
																						BgL_arg3645z00_973));
																			}
																			{
																				obj_t BgL_l3541z00_2337;

																				BgL_l3541z00_2337 =
																					CDR(BgL_l3541z00_970);
																				BgL_l3541z00_970 = BgL_l3541z00_2337;
																				goto BgL_zc3anonymousza33642ze3z83_971;
																			}
																		}
																	else
																		{	/* Inline/recursion.scm 80 */
																			BgL_removez12z12_904 = ((bool_t) 1);
																		}
																}
																{	/* Inline/recursion.scm 80 */
																	BgL_nodez00_bglt BgL_newzd2bodyzd2_905;

																	{	/* Inline/recursion.scm 81 */
																		obj_t BgL_arg3639z00_966;
																		obj_t BgL_arg3640z00_967;
																		obj_t BgL_arg3641z00_968;

																		BgL_arg3639z00_966 =
																			MAKE_PAIR(
																			((obj_t) BgL_variablez00_892),
																			BgL_oldzd2argszd2_897);
																		BgL_arg3640z00_967 =
																			MAKE_PAIR(((obj_t) BgL_localz00_894),
																			BgL_substitutez00_901);
																		BgL_arg3641z00_968 =
																			(((BgL_nodez00_bglt) CREF(((obj_t)
																						BgL_nodez00_6)))->BgL_locz00);
																		BgL_newzd2bodyzd2_905 =
																			BGl_alphatiza7eza7zzast_alphatiza7eza7
																			(BgL_arg3639z00_966, BgL_arg3640z00_967,
																			BgL_arg3641z00_968,
																			((BgL_nodez00_bglt)
																				BgL_oldzd2bodyzd2_902));
																	}
																	{	/* Inline/recursion.scm 81 */
																		bool_t BgL_restorez12z12_906;

																		{
																			obj_t BgL_ll3543z00_957;
																			obj_t BgL_ll3544z00_958;

																			BgL_ll3543z00_957 =
																				BgL_reczd2callszd2_896;
																			BgL_ll3544z00_958 =
																				BgL_svgzd2callszd2argsz00_903;
																		BgL_zc3anonymousza33635ze3z83_959:
																			if (NULLP(BgL_ll3543z00_957))
																				{	/* Inline/recursion.scm 85 */
																					BgL_restorez12z12_906 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/recursion.scm 85 */
																					{	/* Inline/recursion.scm 86 */
																						obj_t BgL_appz00_961;
																						obj_t BgL_argsz00_962;

																						BgL_appz00_961 =
																							CAR(BgL_ll3543z00_957);
																						BgL_argsz00_962 =
																							CAR(BgL_ll3544z00_958);
																						{	/* Inline/recursion.scm 86 */
																							BgL_appz00_bglt
																								BgL_obj2304z00_1730;
																							BgL_obj2304z00_1730 =
																								((BgL_appz00_bglt)
																								BgL_appz00_961);
																							((((BgL_appz00_bglt) CREF(((obj_t)
																												BgL_obj2304z00_1730)))->
																									BgL_argsz00) =
																								((obj_t) BgL_argsz00_962),
																								BUNSPEC);
																						}
																					}
																					{
																						obj_t BgL_ll3544z00_2356;
																						obj_t BgL_ll3543z00_2354;

																						BgL_ll3543z00_2354 =
																							CDR(BgL_ll3543z00_957);
																						BgL_ll3544z00_2356 =
																							CDR(BgL_ll3544z00_958);
																						BgL_ll3544z00_958 =
																							BgL_ll3544z00_2356;
																						BgL_ll3543z00_957 =
																							BgL_ll3543z00_2354;
																						goto
																							BgL_zc3anonymousza33635ze3z83_959;
																					}
																				}
																		}
																		{	/* Inline/recursion.scm 85 */
																			BgL_sfunz00_bglt BgL_newzd2sfunzd2_907;

																			{	/* Inline/recursion.scm 89 */
																				BgL_sfunz00_bglt
																					BgL_duplicated3504z00_939;
																				BgL_duplicated3504z00_939 =
																					((BgL_sfunz00_bglt)
																					BgL_oldzd2sfunzd2_895);
																				{	/* Inline/recursion.scm 89 */
																					BgL_sfunz00_bglt BgL_new3505z00_940;

																					{	/* Inline/recursion.scm 89 */
																						long BgL_arg3620z00_941;
																						obj_t BgL_arg3621z00_942;
																						obj_t BgL_arg3622z00_943;
																						obj_t BgL_arg3623z00_944;
																						bool_t BgL_arg3624z00_945;
																						obj_t BgL_arg3625z00_946;
																						obj_t BgL_arg3626z00_947;
																						obj_t BgL_arg3627z00_948;
																						obj_t BgL_arg3628z00_949;
																						obj_t BgL_arg3629z00_950;
																						obj_t BgL_arg3630z00_951;
																						obj_t BgL_arg3631z00_952;
																						obj_t BgL_arg3632z00_953;
																						obj_t BgL_arg3633z00_954;
																						obj_t BgL_arg3634z00_955;

																						{	/* Inline/recursion.scm 89 */
																							BgL_funz00_bglt
																								BgL_obj1854z00_1734;
																							BgL_obj1854z00_1734 =
																								((BgL_funz00_bglt)
																								BgL_duplicated3504z00_939);
																							BgL_arg3620z00_941 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1854z00_1734)))->
																								BgL_arityz00);
																						}
																						{	/* Inline/recursion.scm 89 */
																							BgL_funz00_bglt
																								BgL_obj1855z00_1735;
																							BgL_obj1855z00_1735 =
																								((BgL_funz00_bglt)
																								BgL_duplicated3504z00_939);
																							BgL_arg3621z00_942 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1855z00_1735)))->
																								BgL_sidezd2effectzd2);
																						}
																						{	/* Inline/recursion.scm 89 */
																							BgL_funz00_bglt
																								BgL_obj1858z00_1736;
																							BgL_obj1858z00_1736 =
																								((BgL_funz00_bglt)
																								BgL_duplicated3504z00_939);
																							BgL_arg3622z00_943 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1858z00_1736)))->
																								BgL_predicatezd2ofzd2);
																						}
																						{	/* Inline/recursion.scm 89 */
																							BgL_funz00_bglt
																								BgL_obj1861z00_1737;
																							BgL_obj1861z00_1737 =
																								((BgL_funz00_bglt)
																								BgL_duplicated3504z00_939);
																							BgL_arg3623z00_944 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1861z00_1737)))->
																								BgL_stackzd2allocatorzd2);
																						}
																						{	/* Inline/recursion.scm 89 */
																							BgL_funz00_bglt
																								BgL_obj1864z00_1738;
																							BgL_obj1864z00_1738 =
																								((BgL_funz00_bglt)
																								BgL_duplicated3504z00_939);
																							BgL_arg3624z00_945 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1864z00_1738)))->
																								BgL_topzf3zf3);
																						}
																						{	/* Inline/recursion.scm 89 */
																							BgL_funz00_bglt
																								BgL_obj1867z00_1739;
																							BgL_obj1867z00_1739 =
																								((BgL_funz00_bglt)
																								BgL_duplicated3504z00_939);
																							BgL_arg3625z00_946 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1867z00_1739)))->
																								BgL_thezd2closurezd2);
																						}
																						{	/* Inline/recursion.scm 89 */
																							BgL_funz00_bglt
																								BgL_obj1870z00_1740;
																							BgL_obj1870z00_1740 =
																								((BgL_funz00_bglt)
																								BgL_duplicated3504z00_939);
																							BgL_arg3626z00_947 =
																								(((BgL_funz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1870z00_1740)))->
																								BgL_effectz00);
																						}
																						BgL_arg3627z00_948 =
																							(((BgL_sfunz00_bglt) CREF(
																									((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_propertyz00);
																						BgL_arg3628z00_949 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_argszd2namezd2);
																						BgL_arg3629z00_950 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_dssslzd2keywordszd2);
																						BgL_arg3630z00_951 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_locz00);
																						BgL_arg3631z00_952 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_optionalsz00);
																						BgL_arg3632z00_953 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_keysz00);
																						BgL_arg3633z00_954 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_thezd2closurezd2globalz00);
																						BgL_arg3634z00_955 =
																							(((BgL_sfunz00_bglt) CREF(((obj_t)
																										BgL_duplicated3504z00_939)))->
																							BgL_strengthz00);
																						BgL_new3505z00_940 =
																							BGl_makezd2sfunzd2zzast_varz00
																							(BgL_arg3620z00_941,
																							BgL_arg3621z00_942,
																							BgL_arg3622z00_943,
																							BgL_arg3623z00_944,
																							BgL_arg3624z00_945,
																							BgL_arg3625z00_946,
																							BgL_arg3626z00_947,
																							BgL_arg3627z00_948,
																							BgL_newzd2argszd2_900,
																							BgL_arg3628z00_949,
																							((obj_t) BgL_newzd2bodyzd2_905),
																							CNST_TABLE_REF(((long) 0)),
																							BgL_arg3629z00_950,
																							BgL_arg3630z00_951,
																							BgL_arg3631z00_952,
																							BgL_arg3632z00_953,
																							BgL_arg3633z00_954,
																							BgL_arg3634z00_955);
																					}
																					{	/* Inline/recursion.scm 89 */

																						BgL_newzd2sfunzd2_907 =
																							BgL_new3505z00_940;
																			}}}
																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_newzd2kfactorzd2_908;

																				BgL_newzd2kfactorzd2_908 =
																					PROCEDURE_ENTRY
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
																					BINT(BgL_kfactorz00_7), BEOA);
																				{	/* Inline/recursion.scm 93 */

																					{
																						obj_t BgL_ll3546z00_910;
																						obj_t BgL_ll3547z00_911;

																						BgL_ll3546z00_910 =
																							BgL_newzd2argszd2_900;
																						BgL_ll3547z00_911 =
																							BgL_varzd2argszd2_899;
																					BgL_zc3anonymousza33598ze3z83_912:
																						if (NULLP(BgL_ll3546z00_910))
																							{	/* Inline/recursion.scm 95 */
																								((bool_t) 1);
																							}
																						else
																							{	/* Inline/recursion.scm 95 */
																								{	/* Inline/recursion.scm 96 */
																									obj_t BgL_newz00_914;
																									obj_t BgL_oldz00_915;

																									BgL_newz00_914 =
																										CAR(BgL_ll3546z00_910);
																									BgL_oldz00_915 =
																										CAR(BgL_ll3547z00_911);
																									{	/* Inline/recursion.scm 96 */
																										bool_t BgL_arg3600z00_916;

																										{	/* Inline/recursion.scm 96 */
																											BgL_variablez00_bglt
																												BgL_obj1630z00_1753;
																											BgL_obj1630z00_1753 =
																												((BgL_variablez00_bglt)
																												BgL_oldz00_915);
																											BgL_arg3600z00_916 =
																												(((BgL_variablez00_bglt)
																													CREF(((obj_t)
																															BgL_obj1630z00_1753)))->
																												BgL_userzf3zf3);
																										}
																										{	/* Inline/recursion.scm 96 */
																											BgL_variablez00_bglt
																												BgL_obj1632z00_1754;
																											BgL_obj1632z00_1754 =
																												((BgL_variablez00_bglt)
																												BgL_newz00_914);
																											((((BgL_variablez00_bglt)
																														CREF(((obj_t)
																																BgL_obj1632z00_1754)))->
																													BgL_userzf3zf3) =
																												((bool_t)
																													BgL_arg3600z00_916),
																												BUNSPEC);
																										}
																									}
																								}
																								{
																									obj_t BgL_ll3547z00_2416;
																									obj_t BgL_ll3546z00_2414;

																									BgL_ll3546z00_2414 =
																										CDR(BgL_ll3546z00_910);
																									BgL_ll3547z00_2416 =
																										CDR(BgL_ll3547z00_911);
																									BgL_ll3547z00_911 =
																										BgL_ll3547z00_2416;
																									BgL_ll3546z00_910 =
																										BgL_ll3546z00_2414;
																									goto
																										BgL_zc3anonymousza33598ze3z83_912;
																								}
																							}
																					}
																					{	/* Inline/recursion.scm 101 */
																						bool_t BgL_arg3603z00_920;

																						{	/* Inline/recursion.scm 101 */
																							bool_t BgL_testz00_2418;

																							{	/* Inline/recursion.scm 101 */
																								bool_t BgL_res3847z00_1759;

																								{	/* Inline/recursion.scm 101 */
																									obj_t BgL_obj1786z00_1758;

																									BgL_obj1786z00_1758 =
																										((obj_t)
																										BgL_variablez00_892);
																									BgL_res3847z00_1759 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj1786z00_1758,
																										BGl_globalz00zzast_varz00);
																								}
																								BgL_testz00_2418 =
																									BgL_res3847z00_1759;
																							}
																							if (BgL_testz00_2418)
																								{	/* Inline/recursion.scm 101 */
																									BgL_arg3603z00_920 =
																										(((BgL_variablez00_bglt)
																											CREF(((obj_t)
																													BgL_variablez00_892)))->
																										BgL_userzf3zf3);
																								}
																							else
																								{	/* Inline/recursion.scm 103 */
																									bool_t BgL_testz00_2423;

																									{	/* Inline/recursion.scm 103 */
																										bool_t BgL_res3848z00_1762;

																										{	/* Inline/recursion.scm 103 */
																											obj_t BgL_obj1853z00_1761;

																											BgL_obj1853z00_1761 =
																												((obj_t)
																												BgL_variablez00_892);
																											BgL_res3848z00_1762 =
																												BGl_iszd2azf3z21zz__objectz00
																												(BgL_obj1853z00_1761,
																												BGl_localz00zzast_varz00);
																										}
																										BgL_testz00_2423 =
																											BgL_res3848z00_1762;
																									}
																									if (BgL_testz00_2423)
																										{	/* Inline/recursion.scm 103 */
																											BgL_arg3603z00_920 =
																												(((BgL_variablez00_bglt)
																													CREF(((obj_t)
																															BgL_variablez00_892)))->
																												BgL_userzf3zf3);
																										}
																									else
																										{	/* Inline/recursion.scm 103 */
																											BgL_arg3603z00_920 =
																												((bool_t) 0);
																										}
																								}
																						}
																						{	/* Inline/recursion.scm 100 */
																							BgL_variablez00_bglt
																								BgL_obj1632z00_1764;
																							BgL_obj1632z00_1764 =
																								((BgL_variablez00_bglt)
																								BgL_localz00_894);
																							((((BgL_variablez00_bglt)
																										CREF(((obj_t)
																												BgL_obj1632z00_1764)))->
																									BgL_userzf3zf3) =
																								((bool_t) BgL_arg3603z00_920),
																								BUNSPEC);
																						}
																					}
																					{	/* Inline/recursion.scm 107 */
																						BgL_variablez00_bglt
																							BgL_obj1614z00_1766;
																						BgL_valuez00_bglt
																							BgL_val1613z00_1767;
																						BgL_obj1614z00_1766 =
																							((BgL_variablez00_bglt)
																							BgL_localz00_894);
																						BgL_val1613z00_1767 =
																							((BgL_valuez00_bglt)
																							BgL_newzd2sfunzd2_907);
																						((((BgL_variablez00_bglt)
																									CREF(((obj_t)
																											BgL_obj1614z00_1766)))->
																								BgL_valuez00) =
																							((BgL_valuez00_bglt)
																								BgL_val1613z00_1767), BUNSPEC);
																					}
																					{	/* Inline/recursion.scm 116 */
																						bool_t BgL_testz00_2435;

																						{	/* Inline/recursion.scm 116 */
																							obj_t BgL_auxz00_2436;

																							{	/* Inline/recursion.scm 116 */
																								obj_t BgL_auxz00_2437;

																								{	/* Inline/recursion.scm 116 */
																									BgL_sfunz00_bglt
																										BgL_obj1927z00_1768;
																									BgL_obj1927z00_1768 =
																										((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_895);
																									BgL_auxz00_2437 =
																										(((BgL_sfunz00_bglt)
																											CREF(((obj_t)
																													BgL_obj1927z00_1768)))->
																										BgL_classz00);
																								}
																								BgL_auxz00_2436 =
																									BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BgL_auxz00_2437,
																									CNST_TABLE_REF(((long) 1)));
																							}
																							BgL_testz00_2435 =
																								CBOOL(BgL_auxz00_2436);
																						}
																						if (BgL_testz00_2435)
																							{	/* Inline/recursion.scm 116 */
																								BFALSE;
																							}
																						else
																							{	/* Inline/recursion.scm 116 */
																								if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)), BGl_za2verboseza2z00zzengine_paramz00))
																									{	/* Inline/recursion.scm 118 */
																										obj_t BgL_arg3608z00_926;
																										obj_t BgL_arg3609z00_927;

																										BgL_arg3608z00_926 =
																											BGl_shapez00zztools_shapez00
																											(((obj_t)
																												BgL_variablez00_892));
																										BgL_arg3609z00_927 =
																											BGl_currentzd2functionzd2zztools_errorz00
																											();
																										{	/* Inline/recursion.scm 117 */
																											obj_t BgL_list3610z00_928;

																											{	/* Inline/recursion.scm 117 */
																												obj_t
																													BgL_arg3611z00_929;
																												{	/* Inline/recursion.scm 117 */
																													obj_t
																														BgL_arg3612z00_930;
																													{	/* Inline/recursion.scm 117 */
																														obj_t
																															BgL_arg3613z00_931;
																														{	/* Inline/recursion.scm 117 */
																															obj_t
																																BgL_arg3614z00_932;
																															{	/* Inline/recursion.scm 117 */
																																obj_t
																																	BgL_arg3615z00_933;
																																BgL_arg3615z00_933
																																	=
																																	MAKE_PAIR
																																	(BCHAR((
																																			(unsigned
																																				char)
																																			'\n')),
																																	BNIL);
																																BgL_arg3614z00_932
																																	=
																																	MAKE_PAIR
																																	(BGl_string3873z00zzinline_recursionz00,
																																	BgL_arg3615z00_933);
																															}
																															BgL_arg3613z00_931
																																=
																																MAKE_PAIR
																																(BgL_arg3609z00_927,
																																BgL_arg3614z00_932);
																														}
																														BgL_arg3612z00_930 =
																															MAKE_PAIR
																															(BGl_string3874z00zzinline_recursionz00,
																															BgL_arg3613z00_931);
																													}
																													BgL_arg3611z00_929 =
																														MAKE_PAIR
																														(BgL_arg3608z00_926,
																														BgL_arg3612z00_930);
																												}
																												BgL_list3610z00_928 =
																													MAKE_PAIR
																													(BGl_string3875z00zzinline_recursionz00,
																													BgL_arg3611z00_929);
																											}
																											BGl_verbosez00zztools_speekz00
																												(BINT(((long) 3)),
																												BgL_list3610z00_928);
																									}}
																								else
																									{	/* Inline/recursion.scm 117 */
																										BUNSPEC;
																									}
																							}
																					}
																					BGl_inlinezd2sfunz12zc0zzinline_inlinez00
																						(((BgL_variablez00_bglt)
																							BgL_localz00_894),
																						(long)
																						CINT(BgL_newzd2kfactorzd2_908),
																						BgL_stackz00_8);
																					{	/* Inline/recursion.scm 127 */
																						BgL_appz00_bglt
																							BgL_newzd2callzd2_935;
																						BgL_newzd2callzd2_935 =
																							BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																							(((BgL_appz00_bglt)
																								BgL_nodez00_6));
																						{	/* Inline/recursion.scm 128 */
																							bool_t BgL_testz00_2464;

																							if (CBOOL
																								(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
																								{	/* Inline/recursion.scm 128 */
																									if (BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_892))
																										{	/* Inline/recursion.scm 129 */
																											if (BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_892))
																												{	/* Inline/recursion.scm 132 */
																													BgL_testz00_2464 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/recursion.scm 132 */
																													BgL_testz00_2464 =
																														BGl_inlinezd2appzf3z21zzinline_appz00
																														(((BgL_variablez00_bglt) BgL_localz00_894), (long) CINT(BgL_newzd2kfactorzd2_908), BgL_callzd2siza7ez75_893, BgL_stackz00_8);
																										}}
																									else
																										{	/* Inline/recursion.scm 129 */
																											BgL_testz00_2464 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Inline/recursion.scm 128 */
																									BgL_testz00_2464 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_2464)
																								{	/* Inline/recursion.scm 128 */
																									return
																										BGl_unrollzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_892,
																										BgL_nodez00_6,
																										BgL_localz00_894,
																										BgL_newzd2kfactorzd2_908,
																										BgL_newzd2callzd2_935,
																										BgL_stackz00_8);
																								}
																							else
																								{	/* Inline/recursion.scm 135 */
																									BgL_letzd2funzd2_bglt
																										BgL_xz00_2070;
																									BgL_xz00_2070 =
																										BGl_plainzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_892,
																										BgL_nodez00_6,
																										BgL_localz00_894,
																										BgL_newzd2callzd2_935,
																										BgL_stackz00_8);
																									return ((obj_t)
																										BgL_xz00_2070);
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* plain-call */
	BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_9, BgL_nodez00_bglt BgL_nodez00_10,
		BgL_localz00_bglt BgL_localz00_11, BgL_appz00_bglt BgL_newzd2callzd2_12,
		obj_t BgL_stackz00_13)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 140 */
			BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_9);
			{	/* Inline/recursion.scm 150 */
				obj_t BgL_locz00_1014;

				BgL_locz00_1014 =
					(((BgL_nodez00_bglt) CREF(((obj_t) BgL_nodez00_10)))->BgL_locz00);
				{	/* Inline/recursion.scm 153 */
					BgL_typez00_bglt BgL_arg3669z00_1015;
					obj_t BgL_arg3670z00_1016;
					BgL_nodez00_bglt BgL_arg3671z00_1017;

					BgL_arg3669z00_1015 =
						(((BgL_nodez00_bglt) CREF(((obj_t) BgL_nodez00_10)))->BgL_typez00);
					{	/* Inline/recursion.scm 154 */
						obj_t BgL_list3672z00_1018;

						BgL_list3672z00_1018 = MAKE_PAIR(((obj_t) BgL_localz00_11), BNIL);
						BgL_arg3670z00_1016 = BgL_list3672z00_1018;
					}
					{	/* Inline/recursion.scm 155 */
						obj_t BgL_arg3673z00_1019;
						obj_t BgL_arg3674z00_1020;

						{	/* Inline/recursion.scm 155 */
							obj_t BgL_list3675z00_1021;

							BgL_list3675z00_1021 =
								MAKE_PAIR(((obj_t) BgL_variablez00_9), BNIL);
							BgL_arg3673z00_1019 = BgL_list3675z00_1021;
						}
						{	/* Inline/recursion.scm 155 */
							obj_t BgL_list3676z00_1022;

							BgL_list3676z00_1022 = MAKE_PAIR(((obj_t) BgL_localz00_11), BNIL);
							BgL_arg3674z00_1020 = BgL_list3676z00_1022;
						}
						BgL_arg3671z00_1017 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg3673z00_1019,
							BgL_arg3674z00_1020, BgL_locz00_1014,
							((BgL_nodez00_bglt) BgL_newzd2callzd2_12));
					}
					return
						BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_1014,
						BgL_arg3669z00_1015, BUNSPEC, BINT(((long) -1)),
						BgL_arg3670z00_1016, BgL_arg3671z00_1017);
		}}}
	}



/* unroll-call */
	obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_14, BgL_nodez00_bglt BgL_nodez00_15,
		BgL_localz00_bglt BgL_localz00_16, obj_t BgL_kfactorz00_17,
		BgL_appz00_bglt BgL_callz00_18, obj_t BgL_stackz00_19)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 160 */
			{	/* Inline/recursion.scm 166 */
				obj_t BgL_locz00_1023;

				{	/* Inline/recursion.scm 166 */
					BgL_nodez00_bglt BgL_obj2136z00_1777;

					BgL_obj2136z00_1777 = ((BgL_nodez00_bglt) BgL_callz00_18);
					BgL_locz00_1023 =
						(((BgL_nodez00_bglt) CREF(
								((obj_t) BgL_obj2136z00_1777)))->BgL_locz00);
				}
				{	/* Inline/recursion.scm 166 */
					BgL_nodez00_bglt BgL_newzd2callzd2_1024;

					{	/* Inline/recursion.scm 167 */
						obj_t BgL_arg3686z00_1039;
						obj_t BgL_arg3687z00_1040;

						{	/* Inline/recursion.scm 167 */
							obj_t BgL_list3688z00_1041;

							BgL_list3688z00_1041 =
								MAKE_PAIR(((obj_t) BgL_variablez00_14), BNIL);
							BgL_arg3686z00_1039 = BgL_list3688z00_1041;
						}
						{	/* Inline/recursion.scm 167 */
							obj_t BgL_list3689z00_1042;

							BgL_list3689z00_1042 = MAKE_PAIR(((obj_t) BgL_localz00_16), BNIL);
							BgL_arg3687z00_1040 = BgL_list3689z00_1042;
						}
						BgL_newzd2callzd2_1024 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg3686z00_1039,
							BgL_arg3687z00_1040, BgL_locz00_1023,
							((BgL_nodez00_bglt) BgL_callz00_18));
					}
					{	/* Inline/recursion.scm 168 */
						BgL_nodez00_bglt BgL_newzd2bodyzd2_1026;

						{	/* Inline/recursion.scm 171 */
							obj_t BgL_arg3684z00_1037;

							BgL_arg3684z00_1037 =
								MAKE_PAIR(((obj_t) BgL_localz00_16), BgL_stackz00_19);
							BgL_newzd2bodyzd2_1026 =
								BGl_inlinezd2appzd2simplez00zzinline_simplez00
								(BgL_newzd2callzd2_1024, (long) CINT(BgL_kfactorz00_17),
								BgL_arg3684z00_1037, BGl_string3876z00zzinline_recursionz00);
						}
						{	/* Inline/recursion.scm 169 */

							BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_14);
							{	/* Inline/recursion.scm 180 */
								obj_t BgL__z00_1027;

								{	/* Inline/recursion.scm 186 */
									BgL_nodez00_bglt BgL_arg3677z00_1029;

									{	/* Inline/recursion.scm 186 */
										obj_t BgL_zc3anonymousza33679ze3z83_1901;

										BgL_zc3anonymousza33679ze3z83_1901 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza33679ze3ze1zzinline_recursionz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33679ze3z83_1901,
											(int) (((long) 0)), ((obj_t) BgL_localz00_16));
										PROCEDURE_SET(BgL_zc3anonymousza33679ze3z83_1901,
											(int) (((long) 1)), BgL_locz00_1023);
										BgL_arg3677z00_1029 =
											BGl_nestzd2loopz12zc0zzinline_loopz00
											(BgL_newzd2bodyzd2_1026, BgL_localz00_16,
											BgL_zc3anonymousza33679ze3z83_1901);
									}
									BgL__z00_1027 =
										BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg3677z00_1029,
										BNIL);
								}
								{	/* Inline/recursion.scm 180 */
									obj_t BgL_nodez00_1028;

									{	/* Inline/recursion.scm 180 */
										int BgL_auxz00_2516;

										BgL_auxz00_2516 = (int) (((long) 1));
										BgL_nodez00_1028 = BGL_MVALUES_VAL(BgL_auxz00_2516);
									}
									return BgL_nodez00_1028;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3679> */
	BgL_letzd2funzd2_bglt
		BGl_z62zc3anonymousza33679ze3ze1zzinline_recursionz00(obj_t BgL_envz00_1902,
		obj_t BgL_nodez00_1905)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 183 */
			{	/* Inline/recursion.scm 186 */
				BgL_localz00_bglt BgL_localz00_1903;
				obj_t BgL_locz00_1904;

				BgL_localz00_1903 =
					((BgL_localz00_bglt)
					PROCEDURE_REF(BgL_envz00_1902, (int) (((long) 0))));
				BgL_locz00_1904 = PROCEDURE_REF(BgL_envz00_1902, (int) (((long) 1)));
				{
					obj_t BgL_nodez00_1031;

					BgL_nodez00_1031 = BgL_nodez00_1905;
					{	/* Inline/recursion.scm 186 */
						BgL_typez00_bglt BgL_arg3680z00_1033;
						obj_t BgL_arg3682z00_1034;

						{	/* Inline/recursion.scm 186 */
							BgL_nodez00_bglt BgL_obj2137z00_1784;

							BgL_obj2137z00_1784 = ((BgL_nodez00_bglt) BgL_nodez00_1031);
							BgL_arg3680z00_1033 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2137z00_1784)))->BgL_typez00);
						}
						{	/* Inline/recursion.scm 188 */
							obj_t BgL_list3683z00_1035;

							BgL_list3683z00_1035 =
								MAKE_PAIR(((obj_t) BgL_localz00_1903), BNIL);
							BgL_arg3682z00_1034 = BgL_list3683z00_1035;
						}
						return
							BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_1904,
							BgL_arg3680z00_1033, BUNSPEC, BINT(((long) -1)),
							BgL_arg3682z00_1034, ((BgL_nodez00_bglt) BgL_nodez00_1031));
		}}}}
	}



/* is-recursive? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_20)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 195 */
			{	/* Inline/recursion.scm 197 */
				BgL_valuez00_bglt BgL_sfunz00_1043;

				BgL_sfunz00_1043 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_varz00_20)))->BgL_valuez00);
				{	/* Inline/recursion.scm 198 */
					bool_t BgL_testz00_2534;

					{	/* Inline/recursion.scm 198 */
						bool_t BgL_res3855z00_1790;

						{	/* Inline/recursion.scm 198 */
							obj_t BgL_obj3393z00_1789;

							BgL_obj3393z00_1789 = ((obj_t) BgL_sfunz00_1043);
							BgL_res3855z00_1790 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj3393z00_1789,
								BGl_isfunz00zzinline_inlinez00);
						}
						BgL_testz00_2534 = BgL_res3855z00_1790;
					}
					if (BgL_testz00_2534)
						{	/* Inline/recursion.scm 205 */
							bool_t BgL_testz00_2537;

							{	/* Inline/recursion.scm 205 */
								obj_t BgL_auxz00_2538;

								{	/* Inline/recursion.scm 205 */
									BgL_isfunz00_bglt BgL_obj3395z00_1791;

									BgL_obj3395z00_1791 = ((BgL_isfunz00_bglt) BgL_sfunz00_1043);
									{
										obj_t BgL_auxz00_2540;

										{	/* Inline/recursion.scm 205 */
											BgL_objectz00_bglt BgL_auxz00_2541;

											BgL_auxz00_2541 =
												((BgL_objectz00_bglt) BgL_obj3395z00_1791);
											BgL_auxz00_2540 = BGL_OBJECT_WIDENING(BgL_auxz00_2541);
										}
										BgL_auxz00_2538 =
											(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2540))->
											BgL_recursivezd2callszd2);
									}
								}
								BgL_testz00_2537 = PAIRP(BgL_auxz00_2538);
							}
							if (BgL_testz00_2537)
								{	/* Inline/recursion.scm 205 */
									return ((bool_t) 1);
								}
							else
								{	/* Inline/recursion.scm 207 */
									bool_t BgL_testz00_2546;

									{	/* Inline/recursion.scm 207 */
										obj_t BgL_auxz00_2547;

										{	/* Inline/recursion.scm 207 */
											BgL_isfunz00_bglt BgL_obj3395z00_1794;

											BgL_obj3395z00_1794 =
												((BgL_isfunz00_bglt) BgL_sfunz00_1043);
											{
												obj_t BgL_auxz00_2549;

												{	/* Inline/recursion.scm 207 */
													BgL_objectz00_bglt BgL_auxz00_2550;

													BgL_auxz00_2550 =
														((BgL_objectz00_bglt) BgL_obj3395z00_1794);
													BgL_auxz00_2549 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2550);
												}
												BgL_auxz00_2547 =
													(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2549))->
													BgL_recursivezd2callszd2);
											}
										}
										BgL_testz00_2546 = NULLP(BgL_auxz00_2547);
									}
									if (BgL_testz00_2546)
										{	/* Inline/recursion.scm 207 */
											return ((bool_t) 0);
										}
									else
										{	/* Inline/recursion.scm 210 */
											obj_t BgL_callsz00_1047;

											{	/* Inline/recursion.scm 210 */
												BgL_nodez00_bglt BgL_arg3693z00_1048;

												{	/* Inline/recursion.scm 210 */
													BgL_isfunz00_bglt BgL_obj3394z00_1797;

													BgL_obj3394z00_1797 =
														((BgL_isfunz00_bglt) BgL_sfunz00_1043);
													{
														obj_t BgL_auxz00_2556;

														{	/* Inline/recursion.scm 210 */
															BgL_objectz00_bglt BgL_auxz00_2557;

															BgL_auxz00_2557 =
																((BgL_objectz00_bglt) BgL_obj3394z00_1797);
															BgL_auxz00_2556 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2557);
														}
														BgL_arg3693z00_1048 =
															(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2556))->
															BgL_originalzd2bodyzd2);
													}
												}
												BgL_callsz00_1047 =
													BGl_findzd2recursivezd2callsz00zzinline_recursionz00
													(BgL_arg3693z00_1048, BgL_varz00_20);
											}
											{	/* Inline/recursion.scm 212 */
												BgL_isfunz00_bglt BgL_obj3397z00_1798;

												BgL_obj3397z00_1798 =
													((BgL_isfunz00_bglt) BgL_sfunz00_1043);
												{
													obj_t BgL_auxz00_2563;

													{	/* Inline/recursion.scm 212 */
														BgL_objectz00_bglt BgL_auxz00_2564;

														BgL_auxz00_2564 =
															((BgL_objectz00_bglt) BgL_obj3397z00_1798);
														BgL_auxz00_2563 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2564);
													}
													((((BgL_isfunz00_bglt) CREF(BgL_auxz00_2563))->
															BgL_recursivezd2callszd2) =
														((obj_t) BgL_callsz00_1047), BUNSPEC);
												}
											}
											return PAIRP(BgL_callsz00_1047);
										}
								}
						}
					else
						{	/* Inline/recursion.scm 199 */
							obj_t BgL_callsz00_1051;

							{	/* Inline/recursion.scm 199 */
								obj_t BgL_arg3699z00_1056;

								{	/* Inline/recursion.scm 199 */
									BgL_sfunz00_bglt BgL_obj1924z00_1802;

									BgL_obj1924z00_1802 = ((BgL_sfunz00_bglt) BgL_sfunz00_1043);
									BgL_arg3699z00_1056 =
										(((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_obj1924z00_1802)))->BgL_bodyz00);
								}
								BgL_callsz00_1051 =
									BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
									((BgL_nodez00_bglt) BgL_arg3699z00_1056), BgL_varz00_20);
							}
							{	/* Inline/recursion.scm 200 */
								BgL_sfunz00_bglt BgL_obj3509z00_1052;

								BgL_obj3509z00_1052 = ((BgL_sfunz00_bglt) BgL_sfunz00_1043);
								{	/* Inline/recursion.scm 201 */
									obj_t BgL_arg3696z00_1053;

									{	/* Inline/recursion.scm 201 */
										obj_t BgL_arg3697z00_1054;

										{	/* Inline/recursion.scm 201 */
											BgL_sfunz00_bglt BgL_obj1924z00_1803;

											BgL_obj1924z00_1803 =
												((BgL_sfunz00_bglt) BgL_sfunz00_1043);
											BgL_arg3697z00_1054 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1924z00_1803)))->BgL_bodyz00);
										}
										BgL_arg3696z00_1053 =
											BGl_wideningzd2isfunzd2zzinline_inlinez00(
											((BgL_nodez00_bglt) BgL_arg3697z00_1054),
											BgL_callsz00_1051);
									}
									{	/* Inline/recursion.scm 200 */
										BgL_objectz00_bglt BgL_auxz00_2580;

										BgL_auxz00_2580 =
											((BgL_objectz00_bglt) BgL_obj3509z00_1052);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2580,
											BgL_arg3696z00_1053);
									}
								}
								{	/* Inline/recursion.scm 200 */
									long BgL_arg3698z00_1055;

									BgL_arg3698z00_1055 =
										BGl_classzd2numzd2zz__objectz00
										(BGl_isfunz00zzinline_inlinez00);
									{	/* Inline/recursion.scm 200 */
										BgL_objectz00_bglt BgL_objz00_1804;

										BgL_objz00_1804 =
											((BgL_objectz00_bglt) BgL_obj3509z00_1052);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1804,
											BgL_arg3698z00_1055);
								}} BgL_obj3509z00_1052;
							}
							return PAIRP(BgL_callsz00_1051);
						}
				}
			}
		}
	}



/* &is-recursive? */
	obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t BgL_envz00_1906,
		obj_t BgL_varz00_1907)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 195 */
			return
				BBOOL(BGl_iszd2recursivezf3z21zzinline_recursionz00(
					((BgL_variablez00_bglt) BgL_varz00_1907)));
		}
	}



/* find-recursive-calls* */
	obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t
		BgL_nodeza2za2_57, obj_t BgL_varz00_58)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 364 */
			{
				obj_t BgL_nodeza2za2_1059;
				obj_t BgL_callsz00_1060;

				BgL_nodeza2za2_1059 = BgL_nodeza2za2_57;
				BgL_callsz00_1060 = BNIL;
			BgL_zc3anonymousza33700ze3z83_1061:
				if (NULLP(BgL_nodeza2za2_1059))
					{	/* Inline/recursion.scm 367 */
						return BgL_callsz00_1060;
					}
				else
					{	/* Inline/recursion.scm 369 */
						obj_t BgL_arg3702z00_1063;
						obj_t BgL_arg3703z00_1064;

						BgL_arg3702z00_1063 = CDR(BgL_nodeza2za2_1059);
						{	/* Inline/recursion.scm 370 */
							obj_t BgL_arg3705z00_1065;

							{	/* Inline/recursion.scm 370 */
								obj_t BgL_arg3706z00_1066;

								BgL_arg3706z00_1066 = CAR(BgL_nodeza2za2_1059);
								BgL_arg3705z00_1065 =
									BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
									((BgL_nodez00_bglt) BgL_arg3706z00_1066),
									((BgL_variablez00_bglt) BgL_varz00_58));
							}
							BgL_arg3703z00_1064 =
								BGl_appendzd221095zd2zzinline_recursionz00(BgL_arg3705z00_1065,
								BgL_callsz00_1060);
						}
						{
							obj_t BgL_callsz00_2599;
							obj_t BgL_nodeza2za2_2598;

							BgL_nodeza2za2_2598 = BgL_arg3702z00_1063;
							BgL_callsz00_2599 = BgL_arg3703z00_1064;
							BgL_callsz00_1060 = BgL_callsz00_2599;
							BgL_nodeza2za2_1059 = BgL_nodeza2za2_2598;
							goto BgL_zc3anonymousza33700ze3z83_1061;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_proc3877z00zzinline_recursionz00, BGl_nodez00zzast_nodez00,
				BGl_string3878z00zzinline_recursionz00);
		}
	}



/* &find-recursive-calls3549 */
	obj_t BGl_z62findzd2recursivezd2calls3549z62zzinline_recursionz00(obj_t
		BgL_envz00_1909, BgL_nodez00_bglt BgL_nodez00_1910,
		BgL_variablez00_bglt BgL_varz00_1911)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 218 */
			return BNIL;
		}
	}



/* find-recursive-calls */
	obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_21, BgL_variablez00_bglt BgL_varz00_22)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 218 */
			{	/* Inline/recursion.scm 218 */
				obj_t BgL_method3550z00_1477;

				{	/* Inline/recursion.scm 218 */
					obj_t BgL_res3867z00_1840;

					{	/* Inline/recursion.scm 218 */
						BgL_objectz00_bglt BgL_objz00_1812;

						BgL_objz00_1812 = ((BgL_objectz00_bglt) BgL_nodez00_21);
						{	/* Inline/recursion.scm 218 */
							long BgL_objzd2classzd2numz00_1813;

							{	/* Inline/recursion.scm 218 */
								long BgL_res3861z00_1816;

								BgL_res3861z00_1816 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1812);
								BgL_objzd2classzd2numz00_1813 = BgL_res3861z00_1816;
							}
							{	/* Inline/recursion.scm 218 */
								obj_t BgL_arg2545z00_1814;

								BgL_arg2545z00_1814 =
									PROCEDURE_REF
									(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
									(int) (((long) 1)));
								{	/* Inline/recursion.scm 218 */
									obj_t BgL_arrayz00_1817;
									int BgL_offsetz00_1818;

									BgL_arrayz00_1817 = BgL_arg2545z00_1814;
									BgL_offsetz00_1818 = (int) (BgL_objzd2classzd2numz00_1813);
									{	/* Inline/recursion.scm 218 */
										long BgL_offsetz00_1819;

										BgL_offsetz00_1819 =
											((long) (BgL_offsetz00_1818) - OBJECT_TYPE);
										{	/* Inline/recursion.scm 218 */
											long BgL_modz00_1820;

											{	/* Inline/recursion.scm 218 */
												int BgL_arg2547z00_1821;

												BgL_arg2547z00_1821 = (int) (((long) 16));
												{	/* Inline/recursion.scm 218 */
													long BgL_res3864z00_1831;

													{	/* Inline/recursion.scm 218 */
														long BgL_auxz00_2609;

														BgL_auxz00_2609 = (long) (BgL_arg2547z00_1821);
														BgL_res3864z00_1831 =
															(BgL_offsetz00_1819 / BgL_auxz00_2609);
													}
													BgL_modz00_1820 = BgL_res3864z00_1831;
											}}
											{	/* Inline/recursion.scm 218 */
												long BgL_restz00_1822;

												{	/* Inline/recursion.scm 218 */
													int BgL_arg2546z00_1823;

													BgL_arg2546z00_1823 = (int) (((long) 16));
													{	/* Inline/recursion.scm 218 */
														long BgL_res3866z00_1835;

														{	/* Inline/recursion.scm 218 */
															long BgL_auxz00_2613;

															BgL_auxz00_2613 = (long) (BgL_arg2546z00_1823);
															BgL_res3866z00_1835 =
																(BgL_offsetz00_1819 % BgL_auxz00_2613);
														}
														BgL_restz00_1822 = BgL_res3866z00_1835;
												}}
												{	/* Inline/recursion.scm 218 */

													BgL_res3867z00_1840 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1817,
															(int) (BgL_modz00_1820)),
														(int) (BgL_restz00_1822));
					}}}}}}}}
					BgL_method3550z00_1477 = BgL_res3867z00_1840;
				}
				return
					PROCEDURE_ENTRY(BgL_method3550z00_1477) (BgL_method3550z00_1477,
					((obj_t) BgL_nodez00_21), ((obj_t) BgL_varz00_22), BEOA);
			}
		}
	}



/* &find-recursive-calls */
	obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t
		BgL_envz00_1912, obj_t BgL_nodez00_1913, obj_t BgL_varz00_1914)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 218 */
			return
				BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_1913),
				((BgL_variablez00_bglt) BgL_varz00_1914));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3879z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appz00zzast_nodez00, BGl_proc3881z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3882z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3883z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_externz00zzast_nodez00, BGl_proc3884z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_castz00zzast_nodez00, BGl_proc3885z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setqz00zzast_nodez00, BGl_proc3886z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3887z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_failz00zzast_nodez00, BGl_proc3888z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_selectz00zzast_nodez00, BGl_proc3889z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3890z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3891z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3892z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3893z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3894z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3895z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3896z00zzinline_recursionz00,
				BGl_string3880z00zzinline_recursionz00);
		}
	}



/* &find-recursive-calls3592 */
	obj_t BGl_z62findzd2recursivezd2calls3592z62zzinline_recursionz00(obj_t
		BgL_envz00_1932, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1933,
		obj_t BgL_vz00_1934)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 357 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1651;
				obj_t BgL_vz00_1652;

				BgL_nodez00_1651 = BgL_nodez00_1933;
				BgL_vz00_1652 = BgL_vz00_1934;
				{	/* Inline/recursion.scm 359 */
					obj_t BgL_arg3829z00_1656;
					obj_t BgL_arg3830z00_1657;

					{	/* Inline/recursion.scm 359 */
						BgL_varz00_bglt BgL_arg3831z00_1658;

						BgL_arg3831z00_1658 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1651)))->BgL_varz00);
						BgL_arg3829z00_1656 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
							((BgL_nodez00_bglt) BgL_arg3831z00_1658),
							((BgL_variablez00_bglt) BgL_vz00_1652));
					}
					{	/* Inline/recursion.scm 359 */
						BgL_nodez00_bglt BgL_arg3832z00_1659;

						BgL_arg3832z00_1659 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1651)))->BgL_valuez00);
						BgL_arg3830z00_1657 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3832z00_1659, ((BgL_variablez00_bglt) BgL_vz00_1652));
					}
					return
						BGl_appendzd221095zd2zzinline_recursionz00(BgL_arg3829z00_1656,
						BgL_arg3830z00_1657);
				}
			}
		}
	}



/* &find-recursive-calls3589 */
	obj_t BGl_z62findzd2recursivezd2calls3589z62zzinline_recursionz00(obj_t
		BgL_envz00_1935, BgL_boxzd2refzd2_bglt BgL_nodez00_1936,
		obj_t BgL_varz00_1937)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 351 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1645;
				obj_t BgL_varz00_1646;

				BgL_nodez00_1645 = BgL_nodez00_1936;
				BgL_varz00_1646 = BgL_varz00_1937;
				{	/* Inline/recursion.scm 352 */
					BgL_varz00_bglt BgL_arg3828z00_1893;

					BgL_arg3828z00_1893 =
						(((BgL_boxzd2refzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1645)))->BgL_varz00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
						((BgL_nodez00_bglt) BgL_arg3828z00_1893),
						((BgL_variablez00_bglt) BgL_varz00_1646));
				}
			}
		}
	}



/* &find-recursive-calls3586 */
	obj_t BGl_z62findzd2recursivezd2calls3586z62zzinline_recursionz00(obj_t
		BgL_envz00_1938, BgL_makezd2boxzd2_bglt BgL_nodez00_1939,
		obj_t BgL_varz00_1940)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 345 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1639;
				obj_t BgL_varz00_1640;

				BgL_nodez00_1639 = BgL_nodez00_1939;
				BgL_varz00_1640 = BgL_varz00_1940;
				{	/* Inline/recursion.scm 346 */
					BgL_nodez00_bglt BgL_arg3827z00_1891;

					BgL_arg3827z00_1891 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1639)))->BgL_valuez00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg3827z00_1891, ((BgL_variablez00_bglt) BgL_varz00_1640));
				}
			}
		}
	}



/* &find-recursive-calls3584 */
	obj_t BGl_z62findzd2recursivezd2calls3584z62zzinline_recursionz00(obj_t
		BgL_envz00_1941, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1942,
		obj_t BgL_vz00_1943)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 338 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1629;
				obj_t BgL_vz00_1630;

				BgL_nodez00_1629 = BgL_nodez00_1942;
				BgL_vz00_1630 = BgL_vz00_1943;
				{	/* Inline/recursion.scm 340 */
					obj_t BgL_arg3823z00_1634;
					obj_t BgL_arg3824z00_1635;

					{	/* Inline/recursion.scm 340 */
						BgL_nodez00_bglt BgL_arg3825z00_1636;

						BgL_arg3825z00_1636 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1629)))->BgL_exitz00);
						BgL_arg3823z00_1634 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3825z00_1636, ((BgL_variablez00_bglt) BgL_vz00_1630));
					}
					{	/* Inline/recursion.scm 340 */
						BgL_nodez00_bglt BgL_arg3826z00_1637;

						BgL_arg3826z00_1637 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1629)))->BgL_valuez00);
						BgL_arg3824z00_1635 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3826z00_1637, ((BgL_variablez00_bglt) BgL_vz00_1630));
					}
					return
						BGl_appendzd221095zd2zzinline_recursionz00(BgL_arg3823z00_1634,
						BgL_arg3824z00_1635);
				}
			}
		}
	}



/* &find-recursive-calls3581 */
	obj_t BGl_z62findzd2recursivezd2calls3581z62zzinline_recursionz00(obj_t
		BgL_envz00_1944, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1945,
		obj_t BgL_varz00_1946)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 332 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1623;
				obj_t BgL_varz00_1624;

				BgL_nodez00_1623 = BgL_nodez00_1945;
				BgL_varz00_1624 = BgL_varz00_1946;
				{	/* Inline/recursion.scm 333 */
					BgL_nodez00_bglt BgL_arg3822z00_1887;

					BgL_arg3822z00_1887 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1623)))->BgL_bodyz00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg3822z00_1887, ((BgL_variablez00_bglt) BgL_varz00_1624));
				}
			}
		}
	}



/* &find-recursive-calls3578 */
	obj_t BGl_z62findzd2recursivezd2calls3578z62zzinline_recursionz00(obj_t
		BgL_envz00_1947, BgL_letzd2varzd2_bglt BgL_nodez00_1948,
		obj_t BgL_varz00_1949)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 320 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1604;
				obj_t BgL_varz00_1605;

				BgL_nodez00_1604 = BgL_nodez00_1948;
				BgL_varz00_1605 = BgL_varz00_1949;
				{	/* Inline/recursion.scm 321 */
					obj_t BgL_g3524z00_1608;
					obj_t BgL_g3525z00_1609;

					BgL_g3524z00_1608 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1604)))->BgL_bindingsz00);
					{	/* Inline/recursion.scm 322 */
						BgL_nodez00_bglt BgL_arg3821z00_1621;

						BgL_arg3821z00_1621 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1604)))->BgL_bodyz00);
						BgL_g3525z00_1609 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3821z00_1621, ((BgL_variablez00_bglt) BgL_varz00_1605));
					}
					{
						obj_t BgL_bindingsz00_1611;
						obj_t BgL_callsz00_1612;

						BgL_bindingsz00_1611 = BgL_g3524z00_1608;
						BgL_callsz00_1612 = BgL_g3525z00_1609;
					BgL_zc3anonymousza33814ze3z83_1613:
						if (NULLP(BgL_bindingsz00_1611))
							{	/* Inline/recursion.scm 323 */
								return BgL_callsz00_1612;
							}
						else
							{	/* Inline/recursion.scm 325 */
								obj_t BgL_arg3816z00_1615;
								obj_t BgL_arg3817z00_1616;

								BgL_arg3816z00_1615 = CDR(BgL_bindingsz00_1611);
								{	/* Inline/recursion.scm 327 */
									obj_t BgL_arg3818z00_1617;

									{	/* Inline/recursion.scm 327 */
										obj_t BgL_arg3819z00_1618;

										BgL_arg3819z00_1618 = CDR(CAR(BgL_bindingsz00_1611));
										BgL_arg3818z00_1617 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg3819z00_1618),
											((BgL_variablez00_bglt) BgL_varz00_1605));
									}
									BgL_arg3817z00_1616 =
										BGl_appendzd221095zd2zzinline_recursionz00
										(BgL_callsz00_1612, BgL_arg3818z00_1617);
								}
								{
									obj_t BgL_callsz00_2695;
									obj_t BgL_bindingsz00_2694;

									BgL_bindingsz00_2694 = BgL_arg3816z00_1615;
									BgL_callsz00_2695 = BgL_arg3817z00_1616;
									BgL_callsz00_1612 = BgL_callsz00_2695;
									BgL_bindingsz00_1611 = BgL_bindingsz00_2694;
									goto BgL_zc3anonymousza33814ze3z83_1613;
								}
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls3576 */
	obj_t BGl_z62findzd2recursivezd2calls3576z62zzinline_recursionz00(obj_t
		BgL_envz00_1950, BgL_letzd2funzd2_bglt BgL_nodez00_1951,
		obj_t BgL_varz00_1952)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 306 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1584;
				obj_t BgL_varz00_1585;

				BgL_nodez00_1584 = BgL_nodez00_1951;
				BgL_varz00_1585 = BgL_varz00_1952;
				{	/* Inline/recursion.scm 307 */
					obj_t BgL_g3522z00_1588;
					obj_t BgL_g3523z00_1589;

					BgL_g3522z00_1588 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1584)))->BgL_localsz00);
					{	/* Inline/recursion.scm 308 */
						BgL_nodez00_bglt BgL_arg3813z00_1602;

						BgL_arg3813z00_1602 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1584)))->BgL_bodyz00);
						BgL_g3523z00_1589 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3813z00_1602, ((BgL_variablez00_bglt) BgL_varz00_1585));
					}
					{
						obj_t BgL_localsz00_1591;
						obj_t BgL_callsz00_1592;

						BgL_localsz00_1591 = BgL_g3522z00_1588;
						BgL_callsz00_1592 = BgL_g3523z00_1589;
					BgL_zc3anonymousza33805ze3z83_1593:
						if (NULLP(BgL_localsz00_1591))
							{	/* Inline/recursion.scm 309 */
								return BgL_callsz00_1592;
							}
						else
							{	/* Inline/recursion.scm 311 */
								obj_t BgL_arg3807z00_1595;
								obj_t BgL_arg3808z00_1596;

								BgL_arg3807z00_1595 = CDR(BgL_localsz00_1591);
								{	/* Inline/recursion.scm 314 */
									obj_t BgL_arg3809z00_1597;

									{	/* Inline/recursion.scm 314 */
										obj_t BgL_arg3810z00_1598;

										{	/* Inline/recursion.scm 314 */
											BgL_sfunz00_bglt BgL_obj1924z00_1879;

											{
												BgL_valuez00_bglt BgL_auxz00_2705;

												{	/* Inline/recursion.scm 314 */
													BgL_variablez00_bglt BgL_obj1612z00_1878;

													{	/* Inline/recursion.scm 314 */
														obj_t BgL_pairz00_1877;

														BgL_pairz00_1877 = BgL_localsz00_1591;
														BgL_obj1612z00_1878 =
															((BgL_variablez00_bglt) CAR(BgL_pairz00_1877));
													}
													BgL_auxz00_2705 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1878)))->BgL_valuez00);
												}
												BgL_obj1924z00_1879 =
													((BgL_sfunz00_bglt) BgL_auxz00_2705);
											}
											BgL_arg3810z00_1598 =
												(((BgL_sfunz00_bglt) CREF(
														((obj_t) BgL_obj1924z00_1879)))->BgL_bodyz00);
										}
										BgL_arg3809z00_1597 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg3810z00_1598),
											((BgL_variablez00_bglt) BgL_varz00_1585));
									}
									BgL_arg3808z00_1596 =
										BGl_appendzd221095zd2zzinline_recursionz00
										(BgL_callsz00_1592, BgL_arg3809z00_1597);
								}
								{
									obj_t BgL_callsz00_2718;
									obj_t BgL_localsz00_2717;

									BgL_localsz00_2717 = BgL_arg3807z00_1595;
									BgL_callsz00_2718 = BgL_arg3808z00_1596;
									BgL_callsz00_1592 = BgL_callsz00_2718;
									BgL_localsz00_1591 = BgL_localsz00_2717;
									goto BgL_zc3anonymousza33805ze3z83_1593;
								}
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls3574 */
	obj_t BGl_z62findzd2recursivezd2calls3574z62zzinline_recursionz00(obj_t
		BgL_envz00_1953, BgL_selectz00_bglt BgL_nodez00_1954, obj_t BgL_varz00_1955)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 294 */
			{
				BgL_selectz00_bglt BgL_nodez00_1565;
				obj_t BgL_varz00_1566;

				BgL_nodez00_1565 = BgL_nodez00_1954;
				BgL_varz00_1566 = BgL_varz00_1955;
				{	/* Inline/recursion.scm 295 */
					obj_t BgL_g3520z00_1569;
					obj_t BgL_g3521z00_1570;

					BgL_g3520z00_1569 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1565)))->BgL_clausesz00);
					{	/* Inline/recursion.scm 296 */
						BgL_nodez00_bglt BgL_arg3804z00_1582;

						BgL_arg3804z00_1582 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1565)))->BgL_testz00);
						BgL_g3521z00_1570 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3804z00_1582, ((BgL_variablez00_bglt) BgL_varz00_1566));
					}
					{
						obj_t BgL_clausesz00_1572;
						obj_t BgL_callsz00_1573;

						BgL_clausesz00_1572 = BgL_g3520z00_1569;
						BgL_callsz00_1573 = BgL_g3521z00_1570;
					BgL_zc3anonymousza33796ze3z83_1574:
						if (NULLP(BgL_clausesz00_1572))
							{	/* Inline/recursion.scm 297 */
								return BgL_callsz00_1573;
							}
						else
							{	/* Inline/recursion.scm 299 */
								obj_t BgL_arg3798z00_1576;
								obj_t BgL_arg3799z00_1577;

								BgL_arg3798z00_1576 = CDR(BgL_clausesz00_1572);
								{	/* Inline/recursion.scm 300 */
									obj_t BgL_arg3801z00_1578;

									{	/* Inline/recursion.scm 300 */
										obj_t BgL_arg3802z00_1579;

										BgL_arg3802z00_1579 = CDR(CAR(BgL_clausesz00_1572));
										BgL_arg3801z00_1578 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg3802z00_1579),
											((BgL_variablez00_bglt) BgL_varz00_1566));
									}
									BgL_arg3799z00_1577 =
										BGl_appendzd221095zd2zzinline_recursionz00
										(BgL_arg3801z00_1578, BgL_callsz00_1573);
								}
								{
									obj_t BgL_callsz00_2735;
									obj_t BgL_clausesz00_2734;

									BgL_clausesz00_2734 = BgL_arg3798z00_1576;
									BgL_callsz00_2735 = BgL_arg3799z00_1577;
									BgL_callsz00_1573 = BgL_callsz00_2735;
									BgL_clausesz00_1572 = BgL_clausesz00_2734;
									goto BgL_zc3anonymousza33796ze3z83_1574;
								}
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls3571 */
	obj_t BGl_z62findzd2recursivezd2calls3571z62zzinline_recursionz00(obj_t
		BgL_envz00_1956, BgL_failz00_bglt BgL_nodez00_1957, obj_t BgL_varz00_1958)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 285 */
			{
				BgL_failz00_bglt BgL_nodez00_1550;
				obj_t BgL_varz00_1551;

				BgL_nodez00_1550 = BgL_nodez00_1957;
				BgL_varz00_1551 = BgL_varz00_1958;
				{	/* Inline/recursion.scm 287 */
					obj_t BgL_arg3786z00_1555;
					obj_t BgL_arg3787z00_1556;
					obj_t BgL_arg3788z00_1557;

					{	/* Inline/recursion.scm 287 */
						BgL_nodez00_bglt BgL_arg3792z00_1561;

						BgL_arg3792z00_1561 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1550)))->BgL_procz00);
						BgL_arg3786z00_1555 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3792z00_1561, ((BgL_variablez00_bglt) BgL_varz00_1551));
					}
					{	/* Inline/recursion.scm 288 */
						BgL_nodez00_bglt BgL_arg3794z00_1562;

						BgL_arg3794z00_1562 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1550)))->BgL_msgz00);
						BgL_arg3787z00_1556 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3794z00_1562, ((BgL_variablez00_bglt) BgL_varz00_1551));
					}
					{	/* Inline/recursion.scm 289 */
						BgL_nodez00_bglt BgL_arg3795z00_1563;

						BgL_arg3795z00_1563 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1550)))->BgL_objz00);
						BgL_arg3788z00_1557 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3795z00_1563, ((BgL_variablez00_bglt) BgL_varz00_1551));
					}
					{	/* Inline/recursion.scm 287 */
						obj_t BgL_list3789z00_1558;

						{	/* Inline/recursion.scm 287 */
							obj_t BgL_arg3790z00_1559;

							{	/* Inline/recursion.scm 287 */
								obj_t BgL_arg3791z00_1560;

								BgL_arg3791z00_1560 = MAKE_PAIR(BgL_arg3788z00_1557, BNIL);
								BgL_arg3790z00_1559 =
									MAKE_PAIR(BgL_arg3787z00_1556, BgL_arg3791z00_1560);
							}
							BgL_list3789z00_1558 =
								MAKE_PAIR(BgL_arg3786z00_1555, BgL_arg3790z00_1559);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3789z00_1558);
					}
				}
			}
		}
	}



/* &find-recursive-calls3569 */
	obj_t BGl_z62findzd2recursivezd2calls3569z62zzinline_recursionz00(obj_t
		BgL_envz00_1959, BgL_conditionalz00_bglt BgL_nodez00_1960,
		obj_t BgL_varz00_1961)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 276 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1535;
				obj_t BgL_varz00_1536;

				BgL_nodez00_1535 = BgL_nodez00_1960;
				BgL_varz00_1536 = BgL_varz00_1961;
				{	/* Inline/recursion.scm 278 */
					obj_t BgL_arg3777z00_1540;
					obj_t BgL_arg3778z00_1541;
					obj_t BgL_arg3779z00_1542;

					{	/* Inline/recursion.scm 278 */
						BgL_nodez00_bglt BgL_arg3783z00_1546;

						BgL_arg3783z00_1546 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1535)))->BgL_testz00);
						BgL_arg3777z00_1540 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3783z00_1546, ((BgL_variablez00_bglt) BgL_varz00_1536));
					}
					{	/* Inline/recursion.scm 279 */
						BgL_nodez00_bglt BgL_arg3784z00_1547;

						BgL_arg3784z00_1547 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1535)))->BgL_truez00);
						BgL_arg3778z00_1541 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3784z00_1547, ((BgL_variablez00_bglt) BgL_varz00_1536));
					}
					{	/* Inline/recursion.scm 280 */
						BgL_nodez00_bglt BgL_arg3785z00_1548;

						BgL_arg3785z00_1548 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1535)))->BgL_falsez00);
						BgL_arg3779z00_1542 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3785z00_1548, ((BgL_variablez00_bglt) BgL_varz00_1536));
					}
					{	/* Inline/recursion.scm 278 */
						obj_t BgL_list3780z00_1543;

						{	/* Inline/recursion.scm 278 */
							obj_t BgL_arg3781z00_1544;

							{	/* Inline/recursion.scm 278 */
								obj_t BgL_arg3782z00_1545;

								BgL_arg3782z00_1545 = MAKE_PAIR(BgL_arg3779z00_1542, BNIL);
								BgL_arg3781z00_1544 =
									MAKE_PAIR(BgL_arg3778z00_1541, BgL_arg3782z00_1545);
							}
							BgL_list3780z00_1543 =
								MAKE_PAIR(BgL_arg3777z00_1540, BgL_arg3781z00_1544);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3780z00_1543);
					}
				}
			}
		}
	}



/* &find-recursive-calls3567 */
	obj_t BGl_z62findzd2recursivezd2calls3567z62zzinline_recursionz00(obj_t
		BgL_envz00_1962, BgL_setqz00_bglt BgL_nodez00_1963, obj_t BgL_varz00_1964)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 270 */
			{
				BgL_setqz00_bglt BgL_nodez00_1529;
				obj_t BgL_varz00_1530;

				BgL_nodez00_1529 = BgL_nodez00_1963;
				BgL_varz00_1530 = BgL_varz00_1964;
				{	/* Inline/recursion.scm 271 */
					BgL_nodez00_bglt BgL_arg3776z00_1857;

					BgL_arg3776z00_1857 =
						(((BgL_setqz00_bglt) CREF(
								((obj_t) BgL_nodez00_1529)))->BgL_valuez00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg3776z00_1857, ((BgL_variablez00_bglt) BgL_varz00_1530));
				}
			}
		}
	}



/* &find-recursive-calls3564 */
	obj_t BGl_z62findzd2recursivezd2calls3564z62zzinline_recursionz00(obj_t
		BgL_envz00_1965, BgL_castz00_bglt BgL_nodez00_1966, obj_t BgL_varz00_1967)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 264 */
			{
				BgL_castz00_bglt BgL_nodez00_1523;
				obj_t BgL_varz00_1524;

				BgL_nodez00_1523 = BgL_nodez00_1966;
				BgL_varz00_1524 = BgL_varz00_1967;
				{	/* Inline/recursion.scm 265 */
					BgL_nodez00_bglt BgL_arg3775z00_1855;

					BgL_arg3775z00_1855 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1523)))->BgL_argz00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg3775z00_1855, ((BgL_variablez00_bglt) BgL_varz00_1524));
				}
			}
		}
	}



/* &find-recursive-calls3562 */
	obj_t BGl_z62findzd2recursivezd2calls3562z62zzinline_recursionz00(obj_t
		BgL_envz00_1968, BgL_externz00_bglt BgL_nodez00_1969, obj_t BgL_varz00_1970)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 258 */
			{
				BgL_externz00_bglt BgL_nodez00_1517;
				obj_t BgL_varz00_1518;

				BgL_nodez00_1517 = BgL_nodez00_1969;
				BgL_varz00_1518 = BgL_varz00_1970;
				{	/* Inline/recursion.scm 259 */
					obj_t BgL_arg3774z00_1853;

					BgL_arg3774z00_1853 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1517)))->BgL_exprza2za2);
					return
						BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
						(BgL_arg3774z00_1853, BgL_varz00_1518);
				}
			}
		}
	}



/* &find-recursive-calls3559 */
	obj_t BGl_z62findzd2recursivezd2calls3559z62zzinline_recursionz00(obj_t
		BgL_envz00_1971, BgL_funcallz00_bglt BgL_nodez00_1972,
		obj_t BgL_varz00_1973)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 250 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1507;
				obj_t BgL_varz00_1508;

				BgL_nodez00_1507 = BgL_nodez00_1972;
				BgL_varz00_1508 = BgL_varz00_1973;
				{	/* Inline/recursion.scm 252 */
					obj_t BgL_arg3770z00_1512;
					obj_t BgL_arg3771z00_1513;

					{	/* Inline/recursion.scm 252 */
						BgL_nodez00_bglt BgL_arg3772z00_1514;

						BgL_arg3772z00_1514 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1507)))->BgL_funz00);
						BgL_arg3770z00_1512 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3772z00_1514, ((BgL_variablez00_bglt) BgL_varz00_1508));
					}
					{	/* Inline/recursion.scm 253 */
						obj_t BgL_arg3773z00_1515;

						BgL_arg3773z00_1515 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1507)))->BgL_argsz00);
						BgL_arg3771z00_1513 =
							BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
							(BgL_arg3773z00_1515, BgL_varz00_1508);
					}
					return
						BGl_appendzd221095zd2zzinline_recursionz00(BgL_arg3770z00_1512,
						BgL_arg3771z00_1513);
				}
			}
		}
	}



/* &find-recursive-calls3556 */
	obj_t BGl_z62findzd2recursivezd2calls3556z62zzinline_recursionz00(obj_t
		BgL_envz00_1974, BgL_appzd2lyzd2_bglt BgL_nodez00_1975,
		obj_t BgL_varz00_1976)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 243 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1497;
				obj_t BgL_varz00_1498;

				BgL_nodez00_1497 = BgL_nodez00_1975;
				BgL_varz00_1498 = BgL_varz00_1976;
				{	/* Inline/recursion.scm 245 */
					obj_t BgL_arg3766z00_1502;
					obj_t BgL_arg3767z00_1503;

					{	/* Inline/recursion.scm 245 */
						BgL_nodez00_bglt BgL_arg3768z00_1504;

						BgL_arg3768z00_1504 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1497)))->BgL_funz00);
						BgL_arg3766z00_1502 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3768z00_1504, ((BgL_variablez00_bglt) BgL_varz00_1498));
					}
					{	/* Inline/recursion.scm 245 */
						BgL_nodez00_bglt BgL_arg3769z00_1505;

						BgL_arg3769z00_1505 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1497)))->BgL_argz00);
						BgL_arg3767z00_1503 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg3769z00_1505, ((BgL_variablez00_bglt) BgL_varz00_1498));
					}
					return
						BGl_appendzd221095zd2zzinline_recursionz00(BgL_arg3766z00_1502,
						BgL_arg3767z00_1503);
				}
			}
		}
	}



/* &find-recursive-calls3554 */
	obj_t BGl_z62findzd2recursivezd2calls3554z62zzinline_recursionz00(obj_t
		BgL_envz00_1977, BgL_appz00_bglt BgL_nodez00_1978, obj_t BgL_varz00_1979)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 233 */
			{
				BgL_appz00_bglt BgL_nodez00_1484;
				obj_t BgL_varz00_1485;

				BgL_nodez00_1484 = BgL_nodez00_1978;
				BgL_varz00_1485 = BgL_varz00_1979;
				{	/* Inline/recursion.scm 235 */
					obj_t BgL_argszd2callszd2_1489;

					{	/* Inline/recursion.scm 235 */
						obj_t BgL_arg3765z00_1495;

						BgL_arg3765z00_1495 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1484)))->BgL_argsz00);
						BgL_argszd2callszd2_1489 =
							BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
							(BgL_arg3765z00_1495, BgL_varz00_1485);
					}
					{	/* Inline/recursion.scm 236 */
						bool_t BgL_testz00_2799;

						{	/* Inline/recursion.scm 236 */
							bool_t BgL_testz00_2800;

							{	/* Inline/recursion.scm 236 */
								BgL_varz00_bglt BgL_arg3764z00_1494;

								BgL_arg3764z00_1494 =
									(((BgL_appz00_bglt) CREF(
											((obj_t) BgL_nodez00_1484)))->BgL_funz00);
								{	/* Inline/recursion.scm 236 */
									bool_t BgL_res3868z00_1846;

									{	/* Inline/recursion.scm 236 */
										obj_t BgL_obj2216z00_1845;

										BgL_obj2216z00_1845 = ((obj_t) BgL_arg3764z00_1494);
										BgL_res3868z00_1846 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2216z00_1845,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_2800 = BgL_res3868z00_1846;
								}
							}
							if (BgL_testz00_2800)
								{	/* Inline/recursion.scm 236 */
									obj_t BgL_auxz00_2805;

									{
										BgL_variablez00_bglt BgL_auxz00_2806;

										{	/* Inline/recursion.scm 236 */
											BgL_varz00_bglt BgL_obj2201z00_1848;

											BgL_obj2201z00_1848 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_nodez00_1484)))->BgL_funz00);
											BgL_auxz00_2806 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_obj2201z00_1848)))->BgL_variablez00);
										}
										BgL_auxz00_2805 = ((obj_t) BgL_auxz00_2806);
									}
									BgL_testz00_2799 = (BgL_auxz00_2805 == BgL_varz00_1485);
								}
							else
								{	/* Inline/recursion.scm 236 */
									BgL_testz00_2799 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2799)
							{	/* Inline/recursion.scm 236 */
								return
									MAKE_PAIR(
									((obj_t) BgL_nodez00_1484), BgL_argszd2callszd2_1489);
							}
						else
							{	/* Inline/recursion.scm 236 */
								return BgL_argszd2callszd2_1489;
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls3552 */
	obj_t BGl_z62findzd2recursivezd2calls3552z62zzinline_recursionz00(obj_t
		BgL_envz00_1980, BgL_sequencez00_bglt BgL_nodez00_1981,
		obj_t BgL_varz00_1982)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 224 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1478;
				obj_t BgL_varz00_1479;

				BgL_nodez00_1478 = BgL_nodez00_1981;
				BgL_varz00_1479 = BgL_varz00_1982;
				{	/* Inline/recursion.scm 225 */
					obj_t BgL_arg3759z00_1841;

					BgL_arg3759z00_1841 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1478)))->BgL_nodesz00);
					return
						BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
						(BgL_arg3759z00_1841, BgL_varz00_1479);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 234439708),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 206318302),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_loopz00(((long) 342478691),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_csez00(((long) 347839157),
				BSTRING_TO_STRING(BGl_string3897z00zzinline_recursionz00));
		}
	}

#ifdef __cplusplus
}
#endif
