/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/1occ.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2fun3502za2zzreduce_1occz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2boxzd2setz123512zb0zzreduce_1occz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2makezd2box3510za2zzreduce_1occz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2letzd2var3504za2zzreduce_1occz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static obj_t
		BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2cast3492z70zzreduce_1occz00(obj_t,
		BgL_castz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2setq3494z70zzreduce_1occz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	static obj_t BGl_appendzd221095zd2zzreduce_1occz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2funcall3488z70zzreduce_1occz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2appzd2ly3486za2zzreduce_1occz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i3508z70zzreduce_1occz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sequence3484z70zzreduce_1occz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2extern3490z70zzreduce_1occz00(obj_t,
		BgL_externz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2app3516z70zzreduce_1occz00(obj_t,
		BgL_appz00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2var3480z70zzreduce_1occz00(obj_t,
		BgL_varz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
	static obj_t BGl_z62nodezd21occz12zd2atom3476z70zzreduce_1occz00(obj_t,
		BgL_atomz00_bglt, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2kwote3478z70zzreduce_1occz00(obj_t,
		BgL_kwotez00_bglt, obj_t);
	static obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2select3500z70zzreduce_1occz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd21occz12zd2boxzd2ref3514za2zzreduce_1occz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd21occz12zd2fail3498z70zzreduce_1occz00(obj_t,
		BgL_failz00_bglt, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz123472za2zzreduce_1occz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_1occz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2condition3496z70zzreduce_1occz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2closure3482z70zzreduce_1occz00(obj_t,
		BgL_closurez00_bglt, obj_t);
	static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
	static obj_t
		BGl_z62nodezd21occz12zd2setzd2exzd2it3506z70zzreduce_1occz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713764za7,
		BGl_z62nodezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3735z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713765za7,
		BGl_z62nodezd21occz123472za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3738z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713766za7,
		BGl_z62nodezd21occz12zd2atom3476z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3740z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713767za7,
		BGl_z62nodezd21occz12zd2kwote3478z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3741z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713768za7,
		BGl_z62nodezd21occz12zd2var3480z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3742z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713769za7,
		BGl_z62nodezd21occz12zd2closure3482z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3743z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713770za7,
		BGl_z62nodezd21occz12zd2sequence3484z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3744z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713771za7,
		BGl_z62nodezd21occz12zd2appzd2ly3486za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3745z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713772za7,
		BGl_z62nodezd21occz12zd2funcall3488z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3746z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713773za7,
		BGl_z62nodezd21occz12zd2extern3490z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3747z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713774za7,
		BGl_z62nodezd21occz12zd2cast3492z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3748z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713775za7,
		BGl_z62nodezd21occz12zd2setq3494z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3749z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713776za7,
		BGl_z62nodezd21occz12zd2condition3496z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3750z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713777za7,
		BGl_z62nodezd21occz12zd2fail3498z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3751z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713778za7,
		BGl_z62nodezd21occz12zd2select3500z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3752z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713779za7,
		BGl_z62nodezd21occz12zd2letzd2fun3502za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3753z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713780za7,
		BGl_z62nodezd21occz12zd2letzd2var3504za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3754z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713781za7,
		BGl_z62nodezd21occz12zd2setzd2exzd2it3506z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713782za7,
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i3508z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3756z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713783za7,
		BGl_z62nodezd21occz12zd2makezd2box3510za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3757z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713784za7,
		BGl_z62nodezd21occz12zd2boxzd2setz123512zb0zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3758z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713785za7,
		BGl_z62nodezd21occz12zd2boxzd2ref3514za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3759z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza713786za7,
		BGl_z62nodezd21occz12zd2app3516z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762reduceza7d21occ3787z00,
		BGl_z62reducezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3733z00zzreduce_1occz00,
		BgL_bgl_string3733za700za7za7r3788za7, "      single occurrence", 23);
	      DEFINE_STRING(BGl_string3734z00zzreduce_1occz00,
		BgL_bgl_string3734za700za7za7r3789za7, "      (removed: ", 16);
	      DEFINE_STRING(BGl_string3736z00zzreduce_1occz00,
		BgL_bgl_string3736za700za7za7r3790za7, "node-1occ!3472", 14);
	      DEFINE_STRING(BGl_string3737z00zzreduce_1occz00,
		BgL_bgl_string3737za700za7za7r3791za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3739z00zzreduce_1occz00,
		BgL_bgl_string3739za700za7za7r3792za7, "node-1occ!", 10);
	      DEFINE_STRING(BGl_string3760z00zzreduce_1occz00,
		BgL_bgl_string3760za700za7za7r3793za7, "reduce_1occ", 11);
	      DEFINE_STRING(BGl_string3761z00zzreduce_1occz00,
		BgL_bgl_string3761za700za7za7r3794za7, "node-1occ!3472 read ", 20);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long
		BgL_checksumz00_2277, char *BgL_fromz00_2278)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_1occz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
					BGl_cnstzd2initzd2zzreduce_1occz00();
					BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
					BGl_genericzd2initzd2zzreduce_1occz00();
					BGl_methodzd2initzd2zzreduce_1occz00();
					BGl_toplevelzd2initzd2zzreduce_1occz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_1occ");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			{	/* Reduce/1occ.scm 16 */
				obj_t BgL_cportz00_2269;

				BgL_cportz00_2269 =
					bgl_open_input_string(BGl_string3761z00zzreduce_1occz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2270;

					BgL_iz00_2270 = ((long) 1);
				BgL_loopz00_2271:
					if ((BgL_iz00_2270 == ((long) -1)))
						{	/* Reduce/1occ.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/1occ.scm 16 */
							{	/* Reduce/1occ.scm 16 */
								obj_t BgL_arg3763z00_2273;

								{	/* Reduce/1occ.scm 16 */

									{	/* Reduce/1occ.scm 16 */
										obj_t BgL_locationz00_2275;

										BgL_locationz00_2275 = BBOOL(((bool_t) 0));
										{	/* Reduce/1occ.scm 16 */

											BgL_arg3763z00_2273 =
												BGl_readz00zz__readerz00(BgL_cportz00_2269,
												BgL_locationz00_2275);
										}
									}
								}
								{	/* Reduce/1occ.scm 16 */
									int BgL_auxz00_2298;

									BgL_auxz00_2298 = (int) (BgL_iz00_2270);
									CNST_TABLE_SET(BgL_auxz00_2298, BgL_arg3763z00_2273);
							}}
							{	/* Reduce/1occ.scm 16 */
								int BgL_auxz00_2276;

								BgL_auxz00_2276 = (int) ((BgL_iz00_2270 - ((long) 1)));
								{
									long BgL_iz00_2303;

									BgL_iz00_2303 = (long) (BgL_auxz00_2276);
									BgL_iz00_2270 = BgL_iz00_2303;
									goto BgL_loopz00_2271;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzreduce_1occz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_859;

				BgL_headz00_859 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_860;
					obj_t BgL_tailz00_861;

					BgL_prevz00_860 = BgL_headz00_859;
					BgL_tailz00_861 = BgL_l1z00_1;
				BgL_loopz00_862:
					if (PAIRP(BgL_tailz00_861))
						{
							obj_t BgL_newzd2prevzd2_864;

							BgL_newzd2prevzd2_864 =
								MAKE_PAIR(CAR(BgL_tailz00_861), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_860, BgL_newzd2prevzd2_864);
							{
								obj_t BgL_tailz00_2312;
								obj_t BgL_prevz00_2311;

								BgL_prevz00_2311 = BgL_newzd2prevzd2_864;
								BgL_tailz00_2312 = CDR(BgL_tailz00_861);
								BgL_tailz00_861 = BgL_tailz00_2312;
								BgL_prevz00_860 = BgL_prevz00_2311;
								goto BgL_loopz00_862;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_859);
				}
			}
		}
	}



/* reduce-1occ! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 36 */
			{	/* Reduce/1occ.scm 37 */
				obj_t BgL_list3520z00_867;

				BgL_list3520z00_867 =
					MAKE_PAIR(BGl_string3733z00zzreduce_1occz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3520z00_867);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			{
				obj_t BgL_l3422z00_869;

				BgL_l3422z00_869 = BgL_globalsz00_3;
			BgL_zc3anonymousza33521ze3z83_870:
				if (PAIRP(BgL_l3422z00_869))
					{	/* Reduce/1occ.scm 43 */
						{	/* Reduce/1occ.scm 44 */
							obj_t BgL_globalz00_872;

							BgL_globalz00_872 = CAR(BgL_l3422z00_869);
							{	/* Reduce/1occ.scm 44 */
								BgL_valuez00_bglt BgL_funz00_873;

								{	/* Reduce/1occ.scm 44 */
									BgL_variablez00_bglt BgL_obj1612z00_1674;

									BgL_obj1612z00_1674 =
										((BgL_variablez00_bglt) BgL_globalz00_872);
									BgL_funz00_873 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1674)))->BgL_valuez00);
								}
								{	/* Reduce/1occ.scm 44 */
									obj_t BgL_nodez00_874;

									{	/* Reduce/1occ.scm 45 */
										BgL_sfunz00_bglt BgL_obj1924z00_1675;

										BgL_obj1924z00_1675 = ((BgL_sfunz00_bglt) BgL_funz00_873);
										BgL_nodez00_874 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1924z00_1675)))->BgL_bodyz00);
									}
									{	/* Reduce/1occ.scm 45 */

										{	/* Reduce/1occ.scm 46 */
											obj_t BgL_arg3523z00_875;

											{	/* Reduce/1occ.scm 46 */
												obj_t BgL__z00_876;

												BgL__z00_876 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_nodez00_874), BNIL);
												{	/* Reduce/1occ.scm 46 */
													obj_t BgL_nodez00_877;

													{	/* Reduce/1occ.scm 46 */
														int BgL_auxz00_2330;

														BgL_auxz00_2330 = (int) (((long) 1));
														BgL_nodez00_877 = BGL_MVALUES_VAL(BgL_auxz00_2330);
													}
													BgL_arg3523z00_875 = BgL_nodez00_877;
											}}
											{	/* Reduce/1occ.scm 46 */
												BgL_sfunz00_bglt BgL_obj1926z00_1677;

												BgL_obj1926z00_1677 =
													((BgL_sfunz00_bglt) BgL_funz00_873);
												((((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1926z00_1677)))->BgL_bodyz00) =
													((obj_t) BgL_arg3523z00_875), BUNSPEC);
										}} BUNSPEC;
						}}}}
						{
							obj_t BgL_l3422z00_2336;

							BgL_l3422z00_2336 = CDR(BgL_l3422z00_869);
							BgL_l3422z00_869 = BgL_l3422z00_2336;
							goto BgL_zc3anonymousza33521ze3z83_870;
						}
					}
				else
					{	/* Reduce/1occ.scm 43 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/1occ.scm 51 */
				obj_t BgL_list3525z00_880;

				{	/* Reduce/1occ.scm 51 */
					obj_t BgL_arg3526z00_881;

					{	/* Reduce/1occ.scm 51 */
						obj_t BgL_arg3527z00_882;

						{	/* Reduce/1occ.scm 51 */
							obj_t BgL_arg3528z00_883;

							BgL_arg3528z00_883 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg3527z00_882 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg3528z00_883);
						}
						BgL_arg3526z00_881 =
							MAKE_PAIR(BINT(BGl_za2variablezd2removedza2zd2zzreduce_1occz00),
							BgL_arg3527z00_882);
					}
					BgL_list3525z00_880 =
						MAKE_PAIR(BGl_string3734z00zzreduce_1occz00, BgL_arg3526z00_881);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3525z00_880);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-1occ! */
	obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2017,
		obj_t BgL_globalsz00_2018)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 36 */
			return BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_2018);
		}
	}



/* node-1occ-let-var! */
	obj_t BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_36, obj_t BgL_1zd2expza2z70_37)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 256 */
			{
				obj_t BgL_obindingsz00_888;
				bool_t BgL_resetz00_889;
				obj_t BgL_extendz00_890;

				{	/* Reduce/1occ.scm 258 */
					obj_t BgL_arg3529z00_887;

					BgL_arg3529z00_887 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_36)))->BgL_bindingsz00);
					BgL_obindingsz00_888 = BgL_arg3529z00_887;
					BgL_resetz00_889 = ((bool_t) 0);
					BgL_extendz00_890 = BNIL;
				BgL_zc3anonymousza33530ze3z83_891:
					if (NULLP(BgL_obindingsz00_888))
						{	/* Reduce/1occ.scm 262 */
							bool_t BgL_testz00_2352;

							if (BgL_resetz00_889)
								{	/* Reduce/1occ.scm 262 */
									BgL_testz00_2352 = ((bool_t) 1);
								}
							else
								{	/* Reduce/1occ.scm 262 */
									BgL_nodez00_bglt BgL_arg3550z00_930;

									BgL_arg3550z00_930 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((obj_t) BgL_nodez00_36)))->BgL_bodyz00);
									BgL_testz00_2352 =
										BGl_sidezd2effectzf3z21zzeffect_effectz00
										(BgL_arg3550z00_930);
								}
							if (BgL_testz00_2352)
								{	/* Reduce/1occ.scm 263 */
									obj_t BgL_resetz72z72_894;

									{	/* Reduce/1occ.scm 264 */
										BgL_nodez00_bglt BgL_arg3533z00_898;

										BgL_arg3533z00_898 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((obj_t) BgL_nodez00_36)))->BgL_bodyz00);
										BgL_resetz72z72_894 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3533z00_898,
											BNIL);
									}
									{	/* Reduce/1occ.scm 265 */
										obj_t BgL_nbodyz00_895;

										{	/* Reduce/1occ.scm 265 */
											int BgL_auxz00_2360;

											BgL_auxz00_2360 = (int) (((long) 1));
											BgL_nbodyz00_895 = BGL_MVALUES_VAL(BgL_auxz00_2360);
										}
										{	/* Reduce/1occ.scm 265 */
											BgL_nodez00_bglt BgL_val3194z00_1686;

											BgL_val3194z00_1686 =
												((BgL_nodez00_bglt) BgL_nbodyz00_895);
											((((BgL_letzd2varzd2_bglt) CREF(
															((obj_t) BgL_nodez00_36)))->BgL_bodyz00) =
												((BgL_nodez00_bglt) BgL_val3194z00_1686), BUNSPEC);
										}
										{	/* Reduce/1occ.scm 266 */
											int BgL_res3686z00_1688;

											{	/* Reduce/1occ.scm 266 */
												int BgL_auxz00_2366;

												BgL_auxz00_2366 = (int) (((long) 2));
												BgL_res3686z00_1688 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_2366);
											} BgL_res3686z00_1688;
										}
										{	/* Reduce/1occ.scm 266 */
											obj_t BgL_oz00_1690;

											BgL_oz00_1690 = ((obj_t) BgL_nodez00_36);
											{	/* Reduce/1occ.scm 266 */
												int BgL_auxz00_2370;

												BgL_auxz00_2370 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2370, BgL_oz00_1690);
										}}
										return BTRUE;
									}
								}
							else
								{	/* Reduce/1occ.scm 267 */
									obj_t BgL_1zd2expza2z72z02_899;

									BgL_1zd2expza2z72z02_899 =
										BGl_appendzd221095zd2zzreduce_1occz00(BgL_extendz00_890,
										BgL_1zd2expza2z70_37);
									{	/* Reduce/1occ.scm 268 */
										obj_t BgL_resetz72z72_900;

										{	/* Reduce/1occ.scm 269 */
											BgL_nodez00_bglt BgL_arg3549z00_929;

											BgL_arg3549z00_929 =
												(((BgL_letzd2varzd2_bglt) CREF(
														((obj_t) BgL_nodez00_36)))->BgL_bodyz00);
											BgL_resetz72z72_900 =
												BGl_nodezd21occz12zc0zzreduce_1occz00
												(BgL_arg3549z00_929, BgL_1zd2expza2z72z02_899);
										}
										{	/* Reduce/1occ.scm 270 */
											obj_t BgL_nbodyz00_901;

											{	/* Reduce/1occ.scm 270 */
												int BgL_auxz00_2377;

												BgL_auxz00_2377 = (int) (((long) 1));
												BgL_nbodyz00_901 = BGL_MVALUES_VAL(BgL_auxz00_2377);
											}
											{	/* Reduce/1occ.scm 270 */
												BgL_nodez00_bglt BgL_val3194z00_1694;

												BgL_val3194z00_1694 =
													((BgL_nodez00_bglt) BgL_nbodyz00_901);
												((((BgL_letzd2varzd2_bglt) CREF(
																((obj_t) BgL_nodez00_36)))->BgL_bodyz00) =
													((BgL_nodez00_bglt) BgL_val3194z00_1694), BUNSPEC);
											}
											{
												obj_t BgL_obindingsz00_905;
												obj_t BgL_nbindingsz00_906;

												{	/* Reduce/1occ.scm 273 */
													obj_t BgL_arg3534z00_904;

													BgL_arg3534z00_904 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((obj_t) BgL_nodez00_36)))->BgL_bindingsz00);
													BgL_obindingsz00_905 = BgL_arg3534z00_904;
													BgL_nbindingsz00_906 = BNIL;
												BgL_zc3anonymousza33535ze3z83_907:
													if (NULLP(BgL_obindingsz00_905))
														{	/* Reduce/1occ.scm 277 */
															bool_t BgL_testz00_2387;

															if (
																(((BgL_letzd2varzd2_bglt) CREF(
																			((obj_t) BgL_nodez00_36)))->
																	BgL_removablezf3zf3))
																{	/* Reduce/1occ.scm 277 */
																	BgL_testz00_2387 =
																		NULLP(BgL_nbindingsz00_906);
																}
															else
																{	/* Reduce/1occ.scm 277 */
																	BgL_testz00_2387 = ((bool_t) 0);
																}
															if (BgL_testz00_2387)
																{	/* Reduce/1occ.scm 277 */
																	{	/* Reduce/1occ.scm 283 */
																		BgL_nodez00_bglt BgL_val1_3455z00_911;

																		BgL_val1_3455z00_911 =
																			(((BgL_letzd2varzd2_bglt) CREF(
																					((obj_t) BgL_nodez00_36)))->
																			BgL_bodyz00);
																		{	/* Reduce/1occ.scm 283 */
																			int BgL_res3689z00_1702;

																			{	/* Reduce/1occ.scm 283 */
																				int BgL_auxz00_2394;

																				BgL_auxz00_2394 = (int) (((long) 2));
																				BgL_res3689z00_1702 =
																					BGL_MVALUES_NUMBER_SET
																					(BgL_auxz00_2394);
																			} BgL_res3689z00_1702;
																		}
																		{	/* Reduce/1occ.scm 283 */
																			obj_t BgL_oz00_1704;

																			BgL_oz00_1704 =
																				((obj_t) BgL_val1_3455z00_911);
																			{	/* Reduce/1occ.scm 283 */
																				int BgL_auxz00_2398;

																				BgL_auxz00_2398 = (int) (((long) 1));
																				BGL_MVALUES_VAL_SET(BgL_auxz00_2398,
																					BgL_oz00_1704);
																		}}
																		return BgL_resetz72z72_900;
																	}
																}
															else
																{	/* Reduce/1occ.scm 277 */
																	{	/* Reduce/1occ.scm 285 */
																		obj_t BgL_arg3538z00_912;

																		BgL_arg3538z00_912 =
																			bgl_reverse_bang(BgL_nbindingsz00_906);
																		((((BgL_letzd2varzd2_bglt) CREF(
																						((obj_t) BgL_nodez00_36)))->
																				BgL_bindingsz00) =
																			((obj_t) BgL_arg3538z00_912), BUNSPEC);
																	}
																	{	/* Reduce/1occ.scm 286 */
																		int BgL_res3690z00_1708;

																		{	/* Reduce/1occ.scm 286 */
																			int BgL_auxz00_2404;

																			BgL_auxz00_2404 = (int) (((long) 2));
																			BgL_res3690z00_1708 =
																				BGL_MVALUES_NUMBER_SET(BgL_auxz00_2404);
																		} BgL_res3690z00_1708;
																	}
																	{	/* Reduce/1occ.scm 286 */
																		obj_t BgL_oz00_1710;

																		BgL_oz00_1710 = ((obj_t) BgL_nodez00_36);
																		{	/* Reduce/1occ.scm 286 */
																			int BgL_auxz00_2408;

																			BgL_auxz00_2408 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_auxz00_2408,
																				BgL_oz00_1710);
																	}}
																	return BgL_resetz72z72_900;
																}
														}
													else
														{	/* Reduce/1occ.scm 287 */
															bool_t BgL_testz00_2411;

															{	/* Reduce/1occ.scm 287 */
																obj_t BgL_varz00_921;
																obj_t BgL_valz00_922;

																BgL_varz00_921 = CAR(CAR(BgL_obindingsz00_905));
																BgL_valz00_922 = CDR(CAR(BgL_obindingsz00_905));
																{	/* Reduce/1occ.scm 289 */
																	bool_t BgL_testz00_2416;

																	{	/* Reduce/1occ.scm 289 */
																		long BgL_auxz00_2417;

																		{	/* Reduce/1occ.scm 289 */
																			BgL_variablez00_bglt BgL_obj1624z00_1715;

																			BgL_obj1624z00_1715 =
																				((BgL_variablez00_bglt) BgL_varz00_921);
																			BgL_auxz00_2417 =
																				(((BgL_variablez00_bglt) CREF(
																						((obj_t) BgL_obj1624z00_1715)))->
																				BgL_occurrencez00);
																		}
																		BgL_testz00_2416 =
																			(BgL_auxz00_2417 == ((long) 0));
																	}
																	if (BgL_testz00_2416)
																		{	/* Reduce/1occ.scm 289 */
																			if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_922)))
																				{	/* Reduce/1occ.scm 290 */
																					BgL_testz00_2411 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/1occ.scm 290 */
																					BgL_testz00_2411 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Reduce/1occ.scm 289 */
																			BgL_testz00_2411 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_testz00_2411)
																{	/* Reduce/1occ.scm 287 */
																	{
																		obj_t BgL_obindingsz00_2425;

																		BgL_obindingsz00_2425 =
																			CDR(BgL_obindingsz00_905);
																		BgL_obindingsz00_905 =
																			BgL_obindingsz00_2425;
																		goto BgL_zc3anonymousza33535ze3z83_907;
																	}
																}
															else
																{	/* Reduce/1occ.scm 297 */
																	obj_t BgL_arg3542z00_918;
																	obj_t BgL_arg3543z00_919;

																	BgL_arg3542z00_918 =
																		CDR(BgL_obindingsz00_905);
																	BgL_arg3543z00_919 =
																		MAKE_PAIR(CAR(BgL_obindingsz00_905),
																		BgL_nbindingsz00_906);
																	{
																		obj_t BgL_nbindingsz00_2431;
																		obj_t BgL_obindingsz00_2430;

																		BgL_obindingsz00_2430 = BgL_arg3542z00_918;
																		BgL_nbindingsz00_2431 = BgL_arg3543z00_919;
																		BgL_nbindingsz00_906 =
																			BgL_nbindingsz00_2431;
																		BgL_obindingsz00_905 =
																			BgL_obindingsz00_2430;
																		goto BgL_zc3anonymousza33535ze3z83_907;
																	}
																}
														}
												}
											}
										}
									}
								}
						}
					else
						{	/* Reduce/1occ.scm 299 */
							obj_t BgL_bindingz00_931;

							BgL_bindingz00_931 = CAR(BgL_obindingsz00_888);
							{	/* Reduce/1occ.scm 300 */
								obj_t BgL_varz00_932;
								obj_t BgL_valz00_933;

								BgL_varz00_932 = CAR(BgL_bindingz00_931);
								BgL_valz00_933 = CDR(BgL_bindingz00_931);
								{	/* Reduce/1occ.scm 302 */
									obj_t BgL_resetz72z72_934;

									BgL_resetz72z72_934 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_valz00_933), BgL_1zd2expza2z70_37);
									{	/* Reduce/1occ.scm 304 */
										obj_t BgL_nvalz00_935;

										{	/* Reduce/1occ.scm 304 */
											int BgL_auxz00_2437;

											BgL_auxz00_2437 = (int) (((long) 1));
											BgL_nvalz00_935 = BGL_MVALUES_VAL(BgL_auxz00_2437);
										}
										SET_CDR(BgL_bindingz00_931, BgL_nvalz00_935);
										{	/* Reduce/1occ.scm 306 */
											bool_t BgL_testz00_2441;

											if (BgL_resetz00_889)
												{	/* Reduce/1occ.scm 306 */
													BgL_testz00_2441 = ((bool_t) 1);
												}
											else
												{	/* Reduce/1occ.scm 306 */
													BgL_testz00_2441 = CBOOL(BgL_resetz72z72_934);
												}
											if (BgL_testz00_2441)
												{
													obj_t BgL_extendz00_2447;
													bool_t BgL_resetz00_2446;
													obj_t BgL_obindingsz00_2444;

													BgL_obindingsz00_2444 = CDR(BgL_obindingsz00_888);
													BgL_resetz00_2446 = ((bool_t) 1);
													BgL_extendz00_2447 = BNIL;
													BgL_extendz00_890 = BgL_extendz00_2447;
													BgL_resetz00_889 = BgL_resetz00_2446;
													BgL_obindingsz00_888 = BgL_obindingsz00_2444;
													goto BgL_zc3anonymousza33530ze3z83_891;
												}
											else
												{	/* Reduce/1occ.scm 310 */
													bool_t BgL_testz00_2448;

													{	/* Reduce/1occ.scm 310 */
														obj_t BgL_auxz00_2449;

														{	/* Reduce/1occ.scm 310 */
															BgL_variablez00_bglt BgL_obj1615z00_1730;

															BgL_obj1615z00_1730 =
																((BgL_variablez00_bglt) BgL_varz00_932);
															BgL_auxz00_2449 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1615z00_1730)))->
																BgL_accessz00);
														}
														BgL_testz00_2448 =
															(BgL_auxz00_2449 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_2448)
														{	/* Reduce/1occ.scm 314 */
															bool_t BgL_testz00_2455;

															{	/* Reduce/1occ.scm 314 */
																bool_t BgL_testz00_2456;

																{	/* Reduce/1occ.scm 314 */
																	long BgL_auxz00_2457;

																	{	/* Reduce/1occ.scm 314 */
																		BgL_variablez00_bglt BgL_obj1624z00_1731;

																		BgL_obj1624z00_1731 =
																			((BgL_variablez00_bglt) BgL_varz00_932);
																		BgL_auxz00_2457 =
																			(((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_obj1624z00_1731)))->
																			BgL_occurrencez00);
																	}
																	BgL_testz00_2456 =
																		(BgL_auxz00_2457 == ((long) 1));
																}
																if (BgL_testz00_2456)
																	{	/* Reduce/1occ.scm 315 */
																		bool_t BgL_testz00_2462;

																		{	/* Reduce/1occ.scm 315 */
																			obj_t BgL_auxz00_2463;

																			{	/* Reduce/1occ.scm 315 */
																				BgL_variablez00_bglt
																					BgL_obj1615z00_1735;
																				BgL_obj1615z00_1735 =
																					((BgL_variablez00_bglt)
																					BgL_varz00_932);
																				BgL_auxz00_2463 =
																					(((BgL_variablez00_bglt) CREF(((obj_t)
																								BgL_obj1615z00_1735)))->
																					BgL_accessz00);
																			}
																			BgL_testz00_2462 =
																				(BgL_auxz00_2463 ==
																				CNST_TABLE_REF(((long) 0)));
																		}
																		if (BgL_testz00_2462)
																			{	/* Reduce/1occ.scm 315 */
																				if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_933)))
																					{	/* Reduce/1occ.scm 316 */
																						BgL_testz00_2455 = ((bool_t) 0);
																					}
																				else
																					{	/* Reduce/1occ.scm 317 */
																						BgL_typez00_bglt BgL_arg3561z00_946;
																						BgL_typez00_bglt BgL_arg3562z00_947;

																						{	/* Reduce/1occ.scm 317 */
																							BgL_variablez00_bglt
																								BgL_obj1609z00_1736;
																							BgL_obj1609z00_1736 =
																								((BgL_variablez00_bglt)
																								BgL_varz00_932);
																							BgL_arg3561z00_946 =
																								(((BgL_variablez00_bglt)
																									CREF(((obj_t)
																											BgL_obj1609z00_1736)))->
																								BgL_typez00);
																						}
																						BgL_arg3562z00_947 =
																							BGl_getzd2typezd2zztype_typeofz00(
																							((BgL_nodez00_bglt)
																								BgL_valz00_933));
																						BgL_testz00_2455 =
																							BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																							(BgL_arg3561z00_946,
																							BgL_arg3562z00_947);
																					}
																			}
																		else
																			{	/* Reduce/1occ.scm 315 */
																				BgL_testz00_2455 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Reduce/1occ.scm 314 */
																		BgL_testz00_2455 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_2455)
																{	/* Reduce/1occ.scm 314 */
																	{	/* Reduce/1occ.scm 322 */
																		obj_t BgL_arg3555z00_940;
																		obj_t BgL_arg3556z00_941;

																		BgL_arg3555z00_940 =
																			CDR(BgL_obindingsz00_888);
																		BgL_arg3556z00_941 =
																			MAKE_PAIR(BgL_bindingz00_931,
																			BgL_extendz00_890);
																		{
																			obj_t BgL_extendz00_2482;
																			bool_t BgL_resetz00_2481;
																			obj_t BgL_obindingsz00_2480;

																			BgL_obindingsz00_2480 =
																				BgL_arg3555z00_940;
																			BgL_resetz00_2481 = ((bool_t) 0);
																			BgL_extendz00_2482 = BgL_arg3556z00_941;
																			BgL_extendz00_890 = BgL_extendz00_2482;
																			BgL_resetz00_889 = BgL_resetz00_2481;
																			BgL_obindingsz00_888 =
																				BgL_obindingsz00_2480;
																			goto BgL_zc3anonymousza33530ze3z83_891;
																		}
																	}
																}
															else
																{
																	bool_t BgL_resetz00_2485;
																	obj_t BgL_obindingsz00_2483;

																	BgL_obindingsz00_2483 =
																		CDR(BgL_obindingsz00_888);
																	BgL_resetz00_2485 = ((bool_t) 0);
																	BgL_resetz00_889 = BgL_resetz00_2485;
																	BgL_obindingsz00_888 = BgL_obindingsz00_2483;
																	goto BgL_zc3anonymousza33530ze3z83_891;
																}
														}
													else
														{
															bool_t BgL_resetz00_2488;
															obj_t BgL_obindingsz00_2486;

															BgL_obindingsz00_2486 = CDR(BgL_obindingsz00_888);
															BgL_resetz00_2488 = ((bool_t) 0);
															BgL_resetz00_889 = BgL_resetz00_2488;
															BgL_obindingsz00_888 = BgL_obindingsz00_2486;
															goto BgL_zc3anonymousza33530ze3z83_891;
														}
												}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* node-1occ*! */
	obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_50,
		obj_t BgL_1zd2expza2z70_51)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 396 */
			{
				obj_t BgL_nodeza2za2_954;
				bool_t BgL_resetz00_955;
				obj_t BgL_1zd2expza2z70_956;

				BgL_nodeza2za2_954 = BgL_nodeza2za2_50;
				BgL_resetz00_955 = ((bool_t) 0);
				BgL_1zd2expza2z70_956 = BgL_1zd2expza2z70_51;
			BgL_zc3anonymousza33568ze3z83_957:
				if (NULLP(BgL_nodeza2za2_954))
					{	/* Reduce/1occ.scm 401 */
						return BBOOL(BgL_resetz00_955);
					}
				else
					{	/* Reduce/1occ.scm 401 */
						if (NULLP(CDR(BgL_nodeza2za2_954)))
							{	/* Reduce/1occ.scm 404 */
								obj_t BgL_resetz72z72_960;

								{	/* Reduce/1occ.scm 405 */
									obj_t BgL_arg3571z00_963;

									BgL_arg3571z00_963 = CAR(BgL_nodeza2za2_954);
									BgL_resetz72z72_960 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg3571z00_963),
										BgL_1zd2expza2z70_956);
								}
								{	/* Reduce/1occ.scm 406 */
									obj_t BgL_nodez00_961;

									{	/* Reduce/1occ.scm 406 */
										int BgL_auxz00_2498;

										BgL_auxz00_2498 = (int) (((long) 1));
										BgL_nodez00_961 = BGL_MVALUES_VAL(BgL_auxz00_2498);
									}
									SET_CAR(BgL_nodeza2za2_954, BgL_nodez00_961);
									if (BgL_resetz00_955)
										{	/* Reduce/1occ.scm 407 */
											return BBOOL(BgL_resetz00_955);
										}
									else
										{	/* Reduce/1occ.scm 407 */
											return BgL_resetz72z72_960;
										}
								}
							}
						else
							{	/* Reduce/1occ.scm 409 */
								obj_t BgL_resetz72z72_964;

								{	/* Reduce/1occ.scm 410 */
									obj_t BgL_arg3575z00_969;

									BgL_arg3575z00_969 = CAR(BgL_nodeza2za2_954);
									BgL_resetz72z72_964 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg3575z00_969),
										BgL_1zd2expza2z70_956);
								}
								{	/* Reduce/1occ.scm 411 */
									obj_t BgL_nodez00_965;

									{	/* Reduce/1occ.scm 411 */
										int BgL_auxz00_2507;

										BgL_auxz00_2507 = (int) (((long) 1));
										BgL_nodez00_965 = BGL_MVALUES_VAL(BgL_auxz00_2507);
									}
									SET_CAR(BgL_nodeza2za2_954, BgL_nodez00_965);
									{	/* Reduce/1occ.scm 412 */
										bool_t BgL_testz00_2511;

										if (BgL_resetz00_955)
											{	/* Reduce/1occ.scm 412 */
												BgL_testz00_2511 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 412 */
												BgL_testz00_2511 = CBOOL(BgL_resetz72z72_964);
											}
										if (BgL_testz00_2511)
											{
												obj_t BgL_1zd2expza2z70_2517;
												bool_t BgL_resetz00_2516;
												obj_t BgL_nodeza2za2_2514;

												BgL_nodeza2za2_2514 = CDR(BgL_nodeza2za2_954);
												BgL_resetz00_2516 = ((bool_t) 1);
												BgL_1zd2expza2z70_2517 = BNIL;
												BgL_1zd2expza2z70_956 = BgL_1zd2expza2z70_2517;
												BgL_resetz00_955 = BgL_resetz00_2516;
												BgL_nodeza2za2_954 = BgL_nodeza2za2_2514;
												goto BgL_zc3anonymousza33568ze3z83_957;
											}
										else
											{
												bool_t BgL_resetz00_2520;
												obj_t BgL_nodeza2za2_2518;

												BgL_nodeza2za2_2518 = CDR(BgL_nodeza2za2_954);
												BgL_resetz00_2520 = ((bool_t) 0);
												BgL_resetz00_955 = BgL_resetz00_2520;
												BgL_nodeza2za2_954 = BgL_nodeza2za2_2518;
												goto BgL_zc3anonymousza33568ze3z83_957;
											}
									}
								}
							}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_proc3735z00zzreduce_1occz00, BGl_nodez00zzast_nodez00,
				BGl_string3736z00zzreduce_1occz00);
		}
	}



/* &node-1occ!3472 */
	obj_t BGl_z62nodezd21occz123472za2zzreduce_1occz00(obj_t BgL_envz00_2020,
		BgL_nodez00_bglt BgL_nodez00_2021, obj_t BgL_1zd2expza2z70_2022)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			{
				BgL_nodez00_bglt BgL_nodez00_1370;
				obj_t BgL_1zd2expza2z70_1371;

				BgL_nodez00_1370 = BgL_nodez00_2021;
				BgL_1zd2expza2z70_1371 = BgL_1zd2expza2z70_2022;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3737z00zzreduce_1occz00, ((obj_t) BgL_nodez00_1370));
		}}
	}



/* node-1occ! */
	obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4,
		obj_t BgL_1zd2expza2z70_5)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			{	/* Reduce/1occ.scm 66 */
				obj_t BgL_method3473z00_1374;

				{	/* Reduce/1occ.scm 66 */
					obj_t BgL_res3701z00_1784;

					{	/* Reduce/1occ.scm 66 */
						BgL_objectz00_bglt BgL_objz00_1756;

						BgL_objz00_1756 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/1occ.scm 66 */
							long BgL_objzd2classzd2numz00_1757;

							{	/* Reduce/1occ.scm 66 */
								long BgL_res3695z00_1760;

								BgL_res3695z00_1760 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1756);
								BgL_objzd2classzd2numz00_1757 = BgL_res3695z00_1760;
							}
							{	/* Reduce/1occ.scm 66 */
								obj_t BgL_arg2545z00_1758;

								BgL_arg2545z00_1758 =
									PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
									(int) (((long) 1)));
								{	/* Reduce/1occ.scm 66 */
									obj_t BgL_arrayz00_1761;
									int BgL_offsetz00_1762;

									BgL_arrayz00_1761 = BgL_arg2545z00_1758;
									BgL_offsetz00_1762 = (int) (BgL_objzd2classzd2numz00_1757);
									{	/* Reduce/1occ.scm 66 */
										long BgL_offsetz00_1763;

										BgL_offsetz00_1763 =
											((long) (BgL_offsetz00_1762) - OBJECT_TYPE);
										{	/* Reduce/1occ.scm 66 */
											long BgL_modz00_1764;

											{	/* Reduce/1occ.scm 66 */
												int BgL_arg2547z00_1765;

												BgL_arg2547z00_1765 = (int) (((long) 16));
												{	/* Reduce/1occ.scm 66 */
													long BgL_res3698z00_1775;

													{	/* Reduce/1occ.scm 66 */
														long BgL_auxz00_2533;

														BgL_auxz00_2533 = (long) (BgL_arg2547z00_1765);
														BgL_res3698z00_1775 =
															(BgL_offsetz00_1763 / BgL_auxz00_2533);
													}
													BgL_modz00_1764 = BgL_res3698z00_1775;
											}}
											{	/* Reduce/1occ.scm 66 */
												long BgL_restz00_1766;

												{	/* Reduce/1occ.scm 66 */
													int BgL_arg2546z00_1767;

													BgL_arg2546z00_1767 = (int) (((long) 16));
													{	/* Reduce/1occ.scm 66 */
														long BgL_res3700z00_1779;

														{	/* Reduce/1occ.scm 66 */
															long BgL_auxz00_2537;

															BgL_auxz00_2537 = (long) (BgL_arg2546z00_1767);
															BgL_res3700z00_1779 =
																(BgL_offsetz00_1763 % BgL_auxz00_2537);
														}
														BgL_restz00_1766 = BgL_res3700z00_1779;
												}}
												{	/* Reduce/1occ.scm 66 */

													BgL_res3701z00_1784 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1761,
															(int) (BgL_modz00_1764)),
														(int) (BgL_restz00_1766));
					}}}}}}}}
					BgL_method3473z00_1374 = BgL_res3701z00_1784;
				}
				return
					PROCEDURE_ENTRY(BgL_method3473z00_1374) (BgL_method3473z00_1374,
					((obj_t) BgL_nodez00_4), BgL_1zd2expza2z70_5, BEOA);
			}
		}
	}



/* &node-1occ! */
	obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2023,
		obj_t BgL_nodez00_2024, obj_t BgL_1zd2expza2z70_2025)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			return
				BGl_nodezd21occz12zc0zzreduce_1occz00(
				((BgL_nodez00_bglt) BgL_nodez00_2024), BgL_1zd2expza2z70_2025);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00,
				BGl_proc3738z00zzreduce_1occz00, BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00,
				BGl_proc3740z00zzreduce_1occz00, BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00,
				BGl_proc3741z00zzreduce_1occz00, BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_closurez00zzast_nodez00, BGl_proc3742z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3743z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3744z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3745z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_externz00zzast_nodez00, BGl_proc3746z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00,
				BGl_proc3747z00zzreduce_1occz00, BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00,
				BGl_proc3748z00zzreduce_1occz00, BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3749z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00,
				BGl_proc3750z00zzreduce_1occz00, BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_selectz00zzast_nodez00, BGl_proc3751z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3752z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3753z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3754z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3755z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3756z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3757z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3758z00zzreduce_1occz00,
				BGl_string3739z00zzreduce_1occz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00,
				BGl_proc3759z00zzreduce_1occz00, BGl_string3739z00zzreduce_1occz00);
		}
	}



/* &node-1occ!-app3516 */
	obj_t BGl_z62nodezd21occz12zd2app3516z70zzreduce_1occz00(obj_t
		BgL_envz00_2047, BgL_appz00_bglt BgL_nodez00_2048,
		obj_t BgL_1zd2expza2z70_2049)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 383 */
			{
				BgL_appz00_bglt BgL_nodez00_1651;
				obj_t BgL_1zd2expza2z70_1652;

				{	/* Reduce/1occ.scm 384 */
					bool_t BgL_auxz00_2573;

					BgL_nodez00_1651 = BgL_nodez00_2048;
					BgL_1zd2expza2z70_1652 = BgL_1zd2expza2z70_2049;
					{	/* Reduce/1occ.scm 385 */
						obj_t BgL_resetz00_1656;

						{	/* Reduce/1occ.scm 385 */
							obj_t BgL_arg3682z00_1662;

							BgL_arg3682z00_1662 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_1651)))->BgL_argsz00);
							BgL_resetz00_1656 =
								BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg3682z00_1662,
								BgL_1zd2expza2z70_1652);
						}
						{	/* Reduce/1occ.scm 386 */
							bool_t BgL_testz00_2577;

							if (CBOOL(BgL_resetz00_1656))
								{	/* Reduce/1occ.scm 386 */
									BgL_testz00_2577 = ((bool_t) 1);
								}
							else
								{	/* Reduce/1occ.scm 386 */
									BgL_testz00_2577 =
										BGl_sidezd2effectzf3z21zzeffect_effectz00(
										((BgL_nodez00_bglt) BgL_nodez00_1651));
								}
							if (BgL_testz00_2577)
								{	/* Reduce/1occ.scm 386 */
									{	/* Reduce/1occ.scm 390 */
										int BgL_res3731z00_2010;

										{	/* Reduce/1occ.scm 390 */
											int BgL_auxz00_2582;

											BgL_auxz00_2582 = (int) (((long) 2));
											BgL_res3731z00_2010 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2582);
										} BgL_res3731z00_2010;
									}
									{	/* Reduce/1occ.scm 390 */
										obj_t BgL_oz00_2012;

										BgL_oz00_2012 = ((obj_t) BgL_nodez00_1651);
										{	/* Reduce/1occ.scm 390 */
											int BgL_auxz00_2586;

											BgL_auxz00_2586 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_2586, BgL_oz00_2012);
									}}
									BgL_auxz00_2573 = ((bool_t) 1);
								}
							else
								{	/* Reduce/1occ.scm 386 */
									{	/* Reduce/1occ.scm 391 */
										int BgL_res3732z00_2014;

										{	/* Reduce/1occ.scm 391 */
											int BgL_auxz00_2589;

											BgL_auxz00_2589 = (int) (((long) 2));
											BgL_res3732z00_2014 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2589);
										} BgL_res3732z00_2014;
									}
									{	/* Reduce/1occ.scm 391 */
										obj_t BgL_oz00_2016;

										BgL_oz00_2016 = ((obj_t) BgL_nodez00_1651);
										{	/* Reduce/1occ.scm 391 */
											int BgL_auxz00_2593;

											BgL_auxz00_2593 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_2593, BgL_oz00_2016);
									}}
									BgL_auxz00_2573 = ((bool_t) 0);
					}}}
					return BBOOL(BgL_auxz00_2573);
				}
			}
		}
	}



/* &node-1occ!-box-ref3514 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2ref3514za2zzreduce_1occz00(obj_t
		BgL_envz00_2050, BgL_boxzd2refzd2_bglt BgL_nodez00_2051,
		obj_t BgL_1zd2expza2z70_2052)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 377 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1644;
				obj_t BgL_1zd2expza2z70_1645;

				{	/* Reduce/1occ.scm 378 */
					bool_t BgL_auxz00_2597;

					BgL_nodez00_1644 = BgL_nodez00_2051;
					BgL_1zd2expza2z70_1645 = BgL_1zd2expza2z70_2052;
					{	/* Reduce/1occ.scm 378 */
						int BgL_res3730z00_2005;

						{	/* Reduce/1occ.scm 378 */
							int BgL_auxz00_2598;

							BgL_auxz00_2598 = (int) (((long) 2));
							BgL_res3730z00_2005 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2598);
						} BgL_res3730z00_2005;
					}
					{	/* Reduce/1occ.scm 378 */
						obj_t BgL_oz00_2007;

						BgL_oz00_2007 = ((obj_t) BgL_nodez00_1644);
						{	/* Reduce/1occ.scm 378 */
							int BgL_auxz00_2602;

							BgL_auxz00_2602 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_2602, BgL_oz00_2007);
					}}
					BgL_auxz00_2597 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_2597);
				}
			}
		}
	}



/* &node-1occ!-box-set!3512 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2setz123512zb0zzreduce_1occz00(obj_t
		BgL_envz00_2053, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2054,
		obj_t BgL_1zd2expza2z70_2055)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 367 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1633;
				obj_t BgL_1zd2expza2z70_1634;

				BgL_nodez00_1633 = BgL_nodez00_2054;
				BgL_1zd2expza2z70_1634 = BgL_1zd2expza2z70_2055;
				{	/* Reduce/1occ.scm 369 */
					obj_t BgL_resetz00_1638;

					{	/* Reduce/1occ.scm 370 */
						BgL_nodez00_bglt BgL_arg3679z00_1642;

						BgL_arg3679z00_1642 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1633)))->BgL_valuez00);
						BgL_resetz00_1638 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3679z00_1642,
							BgL_1zd2expza2z70_1634);
					}
					{	/* Reduce/1occ.scm 371 */
						obj_t BgL_nvaluez00_1639;

						{	/* Reduce/1occ.scm 371 */
							int BgL_auxz00_2609;

							BgL_auxz00_2609 = (int) (((long) 1));
							BgL_nvaluez00_1639 = BGL_MVALUES_VAL(BgL_auxz00_2609);
						}
						{	/* Reduce/1occ.scm 371 */
							BgL_nodez00_bglt BgL_val3348z00_1997;

							BgL_val3348z00_1997 = ((BgL_nodez00_bglt) BgL_nvaluez00_1639);
							((((BgL_boxzd2setz12zc0_bglt) CREF(
											((obj_t) BgL_nodez00_1633)))->BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_val3348z00_1997), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 372 */
							int BgL_res3729z00_1999;

							{	/* Reduce/1occ.scm 372 */
								int BgL_auxz00_2615;

								BgL_auxz00_2615 = (int) (((long) 2));
								BgL_res3729z00_1999 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2615);
							} BgL_res3729z00_1999;
						}
						{	/* Reduce/1occ.scm 372 */
							obj_t BgL_oz00_2001;

							BgL_oz00_2001 = ((obj_t) BgL_nodez00_1633);
							{	/* Reduce/1occ.scm 372 */
								int BgL_auxz00_2619;

								BgL_auxz00_2619 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2619, BgL_oz00_2001);
						}}
						return BgL_resetz00_1638;
					}
				}
			}
		}
	}



/* &node-1occ!-make-box3510 */
	obj_t BGl_z62nodezd21occz12zd2makezd2box3510za2zzreduce_1occz00(obj_t
		BgL_envz00_2056, BgL_makezd2boxzd2_bglt BgL_nodez00_2057,
		obj_t BgL_1zd2expza2z70_2058)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 357 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1622;
				obj_t BgL_1zd2expza2z70_1623;

				BgL_nodez00_1622 = BgL_nodez00_2057;
				BgL_1zd2expza2z70_1623 = BgL_1zd2expza2z70_2058;
				{	/* Reduce/1occ.scm 359 */
					obj_t BgL_resetz00_1627;

					{	/* Reduce/1occ.scm 360 */
						BgL_nodez00_bglt BgL_arg3678z00_1631;

						BgL_arg3678z00_1631 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1622)))->BgL_valuez00);
						BgL_resetz00_1627 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3678z00_1631,
							BgL_1zd2expza2z70_1623);
					}
					{	/* Reduce/1occ.scm 361 */
						obj_t BgL_nvaluez00_1628;

						{	/* Reduce/1occ.scm 361 */
							int BgL_auxz00_2625;

							BgL_auxz00_2625 = (int) (((long) 1));
							BgL_nvaluez00_1628 = BGL_MVALUES_VAL(BgL_auxz00_2625);
						}
						{	/* Reduce/1occ.scm 361 */
							BgL_nodez00_bglt BgL_val3287z00_1989;

							BgL_val3287z00_1989 = ((BgL_nodez00_bglt) BgL_nvaluez00_1628);
							((((BgL_makezd2boxzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1622)))->BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_val3287z00_1989), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 362 */
							int BgL_res3728z00_1991;

							{	/* Reduce/1occ.scm 362 */
								int BgL_auxz00_2631;

								BgL_auxz00_2631 = (int) (((long) 2));
								BgL_res3728z00_1991 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2631);
							} BgL_res3728z00_1991;
						}
						{	/* Reduce/1occ.scm 362 */
							obj_t BgL_oz00_1993;

							BgL_oz00_1993 = ((obj_t) BgL_nodez00_1622);
							{	/* Reduce/1occ.scm 362 */
								int BgL_auxz00_2635;

								BgL_auxz00_2635 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2635, BgL_oz00_1993);
						}}
						return BgL_resetz00_1627;
					}
				}
			}
		}
	}



/* &node-1occ!-jump-ex-i3508 */
	obj_t BGl_z62nodezd21occz12zd2jumpzd2exzd2i3508z70zzreduce_1occz00(obj_t
		BgL_envz00_2059, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2060,
		obj_t BgL_1zd2expza2z70_2061)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 343 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1606;
				obj_t BgL_1zd2expza2z70_1607;

				BgL_nodez00_1606 = BgL_nodez00_2060;
				BgL_1zd2expza2z70_1607 = BgL_1zd2expza2z70_2061;
				{	/* Reduce/1occ.scm 345 */
					obj_t BgL_resetz00_1611;

					{	/* Reduce/1occ.scm 346 */
						BgL_nodez00_bglt BgL_arg3677z00_1620;

						BgL_arg3677z00_1620 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1606)))->BgL_exitz00);
						BgL_resetz00_1611 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3677z00_1620,
							BgL_1zd2expza2z70_1607);
					}
					{	/* Reduce/1occ.scm 347 */
						obj_t BgL_nexitz00_1612;

						{	/* Reduce/1occ.scm 347 */
							int BgL_auxz00_2641;

							BgL_auxz00_2641 = (int) (((long) 1));
							BgL_nexitz00_1612 = BGL_MVALUES_VAL(BgL_auxz00_2641);
						}
						{	/* Reduce/1occ.scm 347 */
							BgL_nodez00_bglt BgL_val3255z00_1977;

							BgL_val3255z00_1977 = ((BgL_nodez00_bglt) BgL_nexitz00_1612);
							((((BgL_jumpzd2exzd2itz00_bglt) CREF(
											((obj_t) BgL_nodez00_1606)))->BgL_exitz00) =
								((BgL_nodez00_bglt) BgL_val3255z00_1977), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 348 */
							obj_t BgL_1zd2expza2z72z02_1613;

							if (CBOOL(BgL_resetz00_1611))
								{	/* Reduce/1occ.scm 348 */
									BgL_1zd2expza2z72z02_1613 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 348 */
									BgL_1zd2expza2z72z02_1613 = BgL_1zd2expza2z70_1607;
								}
							{	/* Reduce/1occ.scm 349 */
								obj_t BgL_resetz72z72_1614;

								{	/* Reduce/1occ.scm 350 */
									BgL_nodez00_bglt BgL_arg3676z00_1619;

									BgL_arg3676z00_1619 =
										(((BgL_jumpzd2exzd2itz00_bglt) CREF(
												((obj_t) BgL_nodez00_1606)))->BgL_valuez00);
									BgL_resetz72z72_1614 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3676z00_1619,
										BgL_1zd2expza2z72z02_1613);
								}
								{	/* Reduce/1occ.scm 351 */
									obj_t BgL_nvaluez00_1615;

									{	/* Reduce/1occ.scm 351 */
										int BgL_auxz00_2652;

										BgL_auxz00_2652 = (int) (((long) 1));
										BgL_nvaluez00_1615 = BGL_MVALUES_VAL(BgL_auxz00_2652);
									}
									{	/* Reduce/1occ.scm 351 */
										BgL_nodez00_bglt BgL_val3258z00_1981;

										BgL_val3258z00_1981 =
											((BgL_nodez00_bglt) BgL_nvaluez00_1615);
										((((BgL_jumpzd2exzd2itz00_bglt) CREF(
														((obj_t) BgL_nodez00_1606)))->BgL_valuez00) =
											((BgL_nodez00_bglt) BgL_val3258z00_1981), BUNSPEC);
									}
									{	/* Reduce/1occ.scm 352 */
										obj_t BgL_val0_3460z00_1616;

										if (CBOOL(BgL_resetz00_1611))
											{	/* Reduce/1occ.scm 352 */
												BgL_val0_3460z00_1616 = BgL_resetz00_1611;
											}
										else
											{	/* Reduce/1occ.scm 352 */
												BgL_val0_3460z00_1616 = BgL_resetz72z72_1614;
											}
										{	/* Reduce/1occ.scm 352 */
											int BgL_res3727z00_1983;

											{	/* Reduce/1occ.scm 352 */
												int BgL_auxz00_2660;

												BgL_auxz00_2660 = (int) (((long) 2));
												BgL_res3727z00_1983 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_2660);
											} BgL_res3727z00_1983;
										}
										{	/* Reduce/1occ.scm 352 */
											obj_t BgL_oz00_1985;

											BgL_oz00_1985 = ((obj_t) BgL_nodez00_1606);
											{	/* Reduce/1occ.scm 352 */
												int BgL_auxz00_2664;

												BgL_auxz00_2664 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2664, BgL_oz00_1985);
										}}
										return BgL_val0_3460z00_1616;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-set-ex-it3506 */
	obj_t BGl_z62nodezd21occz12zd2setzd2exzd2it3506z70zzreduce_1occz00(obj_t
		BgL_envz00_2062, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2063,
		obj_t BgL_1zd2expza2z70_2064)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 333 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1595;
				obj_t BgL_1zd2expza2z70_1596;

				BgL_nodez00_1595 = BgL_nodez00_2063;
				BgL_1zd2expza2z70_1596 = BgL_1zd2expza2z70_2064;
				{	/* Reduce/1occ.scm 335 */
					obj_t BgL_resetz00_1600;

					{	/* Reduce/1occ.scm 336 */
						BgL_nodez00_bglt BgL_arg3674z00_1604;

						BgL_arg3674z00_1604 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1595)))->BgL_bodyz00);
						BgL_resetz00_1600 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3674z00_1604,
							BgL_1zd2expza2z70_1596);
					}
					{	/* Reduce/1occ.scm 337 */
						obj_t BgL_nbodyz00_1601;

						{	/* Reduce/1occ.scm 337 */
							int BgL_auxz00_2670;

							BgL_auxz00_2670 = (int) (((long) 1));
							BgL_nbodyz00_1601 = BGL_MVALUES_VAL(BgL_auxz00_2670);
						}
						{	/* Reduce/1occ.scm 337 */
							BgL_nodez00_bglt BgL_val3232z00_1969;

							BgL_val3232z00_1969 = ((BgL_nodez00_bglt) BgL_nbodyz00_1601);
							((((BgL_setzd2exzd2itz00_bglt) CREF(
											((obj_t) BgL_nodez00_1595)))->BgL_bodyz00) =
								((BgL_nodez00_bglt) BgL_val3232z00_1969), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 338 */
							int BgL_res3726z00_1971;

							{	/* Reduce/1occ.scm 338 */
								int BgL_auxz00_2676;

								BgL_auxz00_2676 = (int) (((long) 2));
								BgL_res3726z00_1971 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2676);
							} BgL_res3726z00_1971;
						}
						{	/* Reduce/1occ.scm 338 */
							obj_t BgL_oz00_1973;

							BgL_oz00_1973 = ((obj_t) BgL_nodez00_1595);
							{	/* Reduce/1occ.scm 338 */
								int BgL_auxz00_2680;

								BgL_auxz00_2680 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2680, BgL_oz00_1973);
						}}
						return BgL_resetz00_1600;
					}
				}
			}
		}
	}



/* &node-1occ!-let-var3504 */
	obj_t BGl_z62nodezd21occz12zd2letzd2var3504za2zzreduce_1occz00(obj_t
		BgL_envz00_2065, BgL_letzd2varzd2_bglt BgL_nodez00_2066,
		obj_t BgL_1zd2expza2z70_2067)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 232 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1566;
				obj_t BgL_1zd2expza2z70_1567;

				BgL_nodez00_1566 = BgL_nodez00_2066;
				BgL_1zd2expza2z70_1567 = BgL_1zd2expza2z70_2067;
				{	/* Reduce/1occ.scm 238 */
					bool_t BgL_testz00_2683;

					{	/* Reduce/1occ.scm 238 */
						bool_t BgL_testz00_2684;

						{	/* Reduce/1occ.scm 238 */
							obj_t BgL_auxz00_2685;

							BgL_auxz00_2685 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1566)))->BgL_bindingsz00);
							BgL_testz00_2684 = PAIRP(BgL_auxz00_2685);
						}
						if (BgL_testz00_2684)
							{	/* Reduce/1occ.scm 239 */
								bool_t BgL_testz00_2689;

								{	/* Reduce/1occ.scm 239 */
									obj_t BgL_auxz00_2690;

									{	/* Reduce/1occ.scm 239 */
										obj_t BgL_pairz00_1935;

										BgL_pairz00_1935 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((obj_t) BgL_nodez00_1566)))->BgL_bindingsz00);
										BgL_auxz00_2690 = CDR(BgL_pairz00_1935);
									}
									BgL_testz00_2689 = NULLP(BgL_auxz00_2690);
								}
								if (BgL_testz00_2689)
									{	/* Reduce/1occ.scm 240 */
										obj_t BgL_varz00_1578;

										{	/* Reduce/1occ.scm 240 */
											obj_t BgL_pairz00_1939;

											BgL_pairz00_1939 =
												(((BgL_letzd2varzd2_bglt) CREF(
														((obj_t) BgL_nodez00_1566)))->BgL_bindingsz00);
											BgL_varz00_1578 = CAR(CAR(BgL_pairz00_1939));
										}
										{	/* Reduce/1occ.scm 241 */
											bool_t BgL_testz00_2699;

											{	/* Reduce/1occ.scm 241 */
												long BgL_auxz00_2700;

												{	/* Reduce/1occ.scm 241 */
													BgL_variablez00_bglt BgL_obj1624z00_1943;

													BgL_obj1624z00_1943 =
														((BgL_variablez00_bglt) BgL_varz00_1578);
													BgL_auxz00_2700 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1624z00_1943)))->
														BgL_occurrencez00);
												}
												BgL_testz00_2699 = (BgL_auxz00_2700 == ((long) 1));
											}
											if (BgL_testz00_2699)
												{	/* Reduce/1occ.scm 242 */
													bool_t BgL_testz00_2705;

													{	/* Reduce/1occ.scm 242 */
														BgL_typez00_bglt BgL_arg3668z00_1588;

														{	/* Reduce/1occ.scm 242 */
															BgL_variablez00_bglt BgL_obj1609z00_1947;

															BgL_obj1609z00_1947 =
																((BgL_variablez00_bglt) BgL_varz00_1578);
															BgL_arg3668z00_1588 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1609z00_1947)))->
																BgL_typez00);
														}
														BgL_testz00_2705 =
															(
															((obj_t) BgL_arg3668z00_1588) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
													if (BgL_testz00_2705)
														{	/* Reduce/1occ.scm 243 */
															bool_t BgL_testz00_2711;

															{	/* Reduce/1occ.scm 243 */
																BgL_nodez00_bglt BgL_arg3667z00_1587;

																BgL_arg3667z00_1587 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((obj_t) BgL_nodez00_1566)))->
																	BgL_bodyz00);
																{	/* Reduce/1occ.scm 243 */
																	bool_t BgL_res3724z00_1950;

																	{	/* Reduce/1occ.scm 243 */
																		obj_t BgL_obj3069z00_1949;

																		BgL_obj3069z00_1949 =
																			((obj_t) BgL_arg3667z00_1587);
																		BgL_res3724z00_1950 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj3069z00_1949,
																			BGl_conditionalz00zzast_nodez00);
																	}
																	BgL_testz00_2711 = BgL_res3724z00_1950;
																}
															}
															if (BgL_testz00_2711)
																{	/* Reduce/1occ.scm 244 */
																	BgL_nodez00_bglt BgL_instance3400z00_1582;

																	BgL_instance3400z00_1582 =
																		(((BgL_letzd2varzd2_bglt) CREF(
																				((obj_t) BgL_nodez00_1566)))->
																		BgL_bodyz00);
																	{	/* Reduce/1occ.scm 245 */
																		bool_t BgL_testz00_2718;

																		{	/* Reduce/1occ.scm 245 */
																			BgL_nodez00_bglt BgL_arg3666z00_1586;

																			{	/* Reduce/1occ.scm 245 */
																				BgL_conditionalz00_bglt
																					BgL_obj3036z00_1952;
																				BgL_obj3036z00_1952 =
																					((BgL_conditionalz00_bglt)
																					BgL_instance3400z00_1582);
																				BgL_arg3666z00_1586 =
																					(((BgL_conditionalz00_bglt)
																						CREF(((obj_t)
																								BgL_obj3036z00_1952)))->
																					BgL_testz00);
																			}
																			{	/* Reduce/1occ.scm 245 */
																				bool_t BgL_res3725z00_1954;

																				{	/* Reduce/1occ.scm 245 */
																					obj_t BgL_obj2216z00_1953;

																					BgL_obj2216z00_1953 =
																						((obj_t) BgL_arg3666z00_1586);
																					BgL_res3725z00_1954 =
																						BGl_iszd2azf3z21zz__objectz00
																						(BgL_obj2216z00_1953,
																						BGl_varz00zzast_nodez00);
																				}
																				BgL_testz00_2718 = BgL_res3725z00_1954;
																			}
																		}
																		if (BgL_testz00_2718)
																			{	/* Reduce/1occ.scm 246 */
																				obj_t BgL_auxz00_2724;

																				{
																					BgL_variablez00_bglt BgL_auxz00_2725;

																					{	/* Reduce/1occ.scm 246 */
																						BgL_varz00_bglt BgL_obj2201z00_1956;

																						{	/* Reduce/1occ.scm 246 */
																							BgL_conditionalz00_bglt
																								BgL_obj3036z00_1955;
																							BgL_obj3036z00_1955 =
																								((BgL_conditionalz00_bglt)
																								BgL_instance3400z00_1582);
																							BgL_obj2201z00_1956 =
																								((BgL_varz00_bglt) ((
																										(BgL_conditionalz00_bglt)
																										CREF(((obj_t)
																												BgL_obj3036z00_1955)))->
																									BgL_testz00));
																						}
																						BgL_auxz00_2725 =
																							(((BgL_varz00_bglt) CREF(
																									((obj_t)
																										BgL_obj2201z00_1956)))->
																							BgL_variablez00);
																					}
																					BgL_auxz00_2724 =
																						((obj_t) BgL_auxz00_2725);
																				}
																				BgL_testz00_2683 =
																					(BgL_auxz00_2724 == BgL_varz00_1578);
																			}
																		else
																			{	/* Reduce/1occ.scm 245 */
																				BgL_testz00_2683 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Reduce/1occ.scm 243 */
																	BgL_testz00_2683 = ((bool_t) 0);
																}
														}
													else
														{	/* Reduce/1occ.scm 242 */
															BgL_testz00_2683 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/1occ.scm 241 */
													BgL_testz00_2683 = ((bool_t) 0);
												}
										}
									}
								else
									{	/* Reduce/1occ.scm 239 */
										BgL_testz00_2683 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/1occ.scm 238 */
								BgL_testz00_2683 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2683)
						{	/* Reduce/1occ.scm 248 */
							BgL_nodez00_bglt BgL_instance3403z00_1572;

							BgL_instance3403z00_1572 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1566)))->BgL_bodyz00);
							{	/* Reduce/1occ.scm 249 */
								obj_t BgL_arg3659z00_1573;

								{	/* Reduce/1occ.scm 249 */
									obj_t BgL_pairz00_1959;

									BgL_pairz00_1959 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((obj_t) BgL_nodez00_1566)))->BgL_bindingsz00);
									BgL_arg3659z00_1573 = CDR(CAR(BgL_pairz00_1959));
								}
								{	/* Reduce/1occ.scm 249 */
									BgL_conditionalz00_bglt BgL_obj3038z00_1963;
									BgL_nodez00_bglt BgL_val3037z00_1964;

									BgL_obj3038z00_1963 =
										((BgL_conditionalz00_bglt) BgL_instance3403z00_1572);
									BgL_val3037z00_1964 =
										((BgL_nodez00_bglt) BgL_arg3659z00_1573);
									((((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_obj3038z00_1963)))->BgL_testz00) =
										((BgL_nodez00_bglt) BgL_val3037z00_1964), BUNSPEC);
								}
							}
							{	/* Reduce/1occ.scm 250 */
								BgL_nodez00_bglt BgL_arg3661z00_1575;

								BgL_arg3661z00_1575 =
									(((BgL_letzd2varzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1566)))->BgL_bodyz00);
								return
									BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3661z00_1575,
									BgL_1zd2expza2z70_1567);
							}
						}
					else
						{	/* Reduce/1occ.scm 238 */
							return
								BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00
								(BgL_nodez00_1566, BgL_1zd2expza2z70_1567);
						}
				}
			}
		}
	}



/* &node-1occ!-let-fun3502 */
	obj_t BGl_z62nodezd21occz12zd2letzd2fun3502za2zzreduce_1occz00(obj_t
		BgL_envz00_2068, BgL_letzd2funzd2_bglt BgL_nodez00_2069,
		obj_t BgL_1zd2expza2z70_2070)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 213 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1540;
				obj_t BgL_1zd2expza2z70_1541;

				BgL_nodez00_1540 = BgL_nodez00_2069;
				BgL_1zd2expza2z70_1541 = BgL_1zd2expza2z70_2070;
				{	/* Reduce/1occ.scm 215 */
					obj_t BgL_resetz00_1545;

					{	/* Reduce/1occ.scm 216 */
						BgL_nodez00_bglt BgL_arg3656z00_1564;

						BgL_arg3656z00_1564 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1540)))->BgL_bodyz00);
						BgL_resetz00_1545 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3656z00_1564,
							BgL_1zd2expza2z70_1541);
					}
					{	/* Reduce/1occ.scm 217 */
						obj_t BgL_nbodyz00_1546;

						{	/* Reduce/1occ.scm 217 */
							int BgL_auxz00_2751;

							BgL_auxz00_2751 = (int) (((long) 1));
							BgL_nbodyz00_1546 = BGL_MVALUES_VAL(BgL_auxz00_2751);
						}
						{	/* Reduce/1occ.scm 217 */
							BgL_nodez00_bglt BgL_val3156z00_1916;

							BgL_val3156z00_1916 = ((BgL_nodez00_bglt) BgL_nbodyz00_1546);
							((((BgL_letzd2funzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1540)))->BgL_bodyz00) =
								((BgL_nodez00_bglt) BgL_val3156z00_1916), BUNSPEC);
						}
						{
							obj_t BgL_localsz00_1549;
							obj_t BgL_resetz00_1550;

							{	/* Reduce/1occ.scm 218 */
								obj_t BgL_arg3650z00_1548;

								BgL_arg3650z00_1548 =
									(((BgL_letzd2funzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1540)))->BgL_localsz00);
								BgL_localsz00_1549 = BgL_arg3650z00_1548;
								BgL_resetz00_1550 = BgL_resetz00_1545;
							BgL_zc3anonymousza33651ze3z83_1551:
								if (NULLP(BgL_localsz00_1549))
									{	/* Reduce/1occ.scm 220 */
										{	/* Reduce/1occ.scm 221 */
											int BgL_res3720z00_1920;

											{	/* Reduce/1occ.scm 221 */
												int BgL_auxz00_2761;

												BgL_auxz00_2761 = (int) (((long) 2));
												BgL_res3720z00_1920 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_2761);
											} BgL_res3720z00_1920;
										}
										{	/* Reduce/1occ.scm 221 */
											obj_t BgL_oz00_1922;

											BgL_oz00_1922 = ((obj_t) BgL_nodez00_1540);
											{	/* Reduce/1occ.scm 221 */
												int BgL_auxz00_2765;

												BgL_auxz00_2765 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2765, BgL_oz00_1922);
										}}
										return BgL_resetz00_1550;
									}
								else
									{	/* Reduce/1occ.scm 222 */
										obj_t BgL_localz00_1555;

										BgL_localz00_1555 = CAR(BgL_localsz00_1549);
										{	/* Reduce/1occ.scm 222 */
											BgL_valuez00_bglt BgL_sfunz00_1556;

											{	/* Reduce/1occ.scm 223 */
												BgL_variablez00_bglt BgL_obj1612z00_1924;

												BgL_obj1612z00_1924 =
													((BgL_variablez00_bglt) BgL_localz00_1555);
												BgL_sfunz00_1556 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_1924)))->BgL_valuez00);
											}
											{	/* Reduce/1occ.scm 223 */

												{	/* Reduce/1occ.scm 224 */
													obj_t BgL_resetz72z72_1557;

													{	/* Reduce/1occ.scm 225 */
														obj_t BgL_arg3655z00_1562;

														{	/* Reduce/1occ.scm 225 */
															BgL_sfunz00_bglt BgL_obj1924z00_1925;

															BgL_obj1924z00_1925 =
																((BgL_sfunz00_bglt) BgL_sfunz00_1556);
															BgL_arg3655z00_1562 =
																(((BgL_sfunz00_bglt) CREF(
																		((obj_t) BgL_obj1924z00_1925)))->
																BgL_bodyz00);
														}
														BgL_resetz72z72_1557 =
															BGl_nodezd21occz12zc0zzreduce_1occz00(
															((BgL_nodez00_bglt) BgL_arg3655z00_1562), BNIL);
													}
													{	/* Reduce/1occ.scm 226 */
														obj_t BgL_nbodyz00_1558;

														{	/* Reduce/1occ.scm 226 */
															int BgL_auxz00_2777;

															BgL_auxz00_2777 = (int) (((long) 1));
															BgL_nbodyz00_1558 =
																BGL_MVALUES_VAL(BgL_auxz00_2777);
														}
														{	/* Reduce/1occ.scm 226 */
															BgL_sfunz00_bglt BgL_obj1926z00_1927;

															BgL_obj1926z00_1927 =
																((BgL_sfunz00_bglt) BgL_sfunz00_1556);
															((((BgL_sfunz00_bglt) CREF(
																			((obj_t) BgL_obj1926z00_1927)))->
																	BgL_bodyz00) =
																((obj_t) BgL_nbodyz00_1558), BUNSPEC);
														}
														{	/* Reduce/1occ.scm 227 */
															obj_t BgL_arg3653z00_1559;
															obj_t BgL_arg3654z00_1560;

															BgL_arg3653z00_1559 = CDR(BgL_localsz00_1549);
															if (CBOOL(BgL_resetz00_1550))
																{	/* Reduce/1occ.scm 227 */
																	BgL_arg3654z00_1560 = BgL_resetz00_1550;
																}
															else
																{	/* Reduce/1occ.scm 227 */
																	BgL_arg3654z00_1560 = BgL_resetz72z72_1557;
																}
															{
																obj_t BgL_resetz00_2787;
																obj_t BgL_localsz00_2786;

																BgL_localsz00_2786 = BgL_arg3653z00_1559;
																BgL_resetz00_2787 = BgL_arg3654z00_1560;
																BgL_resetz00_1550 = BgL_resetz00_2787;
																BgL_localsz00_1549 = BgL_localsz00_2786;
																goto BgL_zc3anonymousza33651ze3z83_1551;
															}
														}
													}
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-select3500 */
	obj_t BGl_z62nodezd21occz12zd2select3500z70zzreduce_1occz00(obj_t
		BgL_envz00_2071, BgL_selectz00_bglt BgL_nodez00_2072,
		obj_t BgL_1zd2expza2z70_2073)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 194 */
			{
				BgL_selectz00_bglt BgL_nodez00_1514;
				obj_t BgL_1zd2expza2z70_1515;

				BgL_nodez00_1514 = BgL_nodez00_2072;
				BgL_1zd2expza2z70_1515 = BgL_1zd2expza2z70_2073;
				{	/* Reduce/1occ.scm 196 */
					obj_t BgL_resetz00_1519;

					{	/* Reduce/1occ.scm 197 */
						BgL_nodez00_bglt BgL_arg3649z00_1538;

						BgL_arg3649z00_1538 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1514)))->BgL_testz00);
						BgL_resetz00_1519 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3649z00_1538,
							BgL_1zd2expza2z70_1515);
					}
					{	/* Reduce/1occ.scm 198 */
						obj_t BgL_ntestz00_1520;

						{	/* Reduce/1occ.scm 198 */
							int BgL_auxz00_2791;

							BgL_auxz00_2791 = (int) (((long) 1));
							BgL_ntestz00_1520 = BGL_MVALUES_VAL(BgL_auxz00_2791);
						}
						{	/* Reduce/1occ.scm 198 */
							BgL_nodez00_bglt BgL_val3113z00_1899;

							BgL_val3113z00_1899 = ((BgL_nodez00_bglt) BgL_ntestz00_1520);
							((((BgL_selectz00_bglt) CREF(
											((obj_t) BgL_nodez00_1514)))->BgL_testz00) =
								((BgL_nodez00_bglt) BgL_val3113z00_1899), BUNSPEC);
						}
						{
							obj_t BgL_clausesz00_1524;
							obj_t BgL_resetz00_1525;

							{	/* Reduce/1occ.scm 200 */
								obj_t BgL_arg3643z00_1523;

								BgL_arg3643z00_1523 =
									(((BgL_selectz00_bglt) CREF(
											((obj_t) BgL_nodez00_1514)))->BgL_clausesz00);
								BgL_clausesz00_1524 = BgL_arg3643z00_1523;
								BgL_resetz00_1525 = BgL_resetz00_1519;
							BgL_zc3anonymousza33644ze3z83_1526:
								if (NULLP(BgL_clausesz00_1524))
									{	/* Reduce/1occ.scm 202 */
										{	/* Reduce/1occ.scm 203 */
											int BgL_res3718z00_1903;

											{	/* Reduce/1occ.scm 203 */
												int BgL_auxz00_2801;

												BgL_auxz00_2801 = (int) (((long) 2));
												BgL_res3718z00_1903 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_2801);
											} BgL_res3718z00_1903;
										}
										{	/* Reduce/1occ.scm 203 */
											obj_t BgL_oz00_1905;

											BgL_oz00_1905 = ((obj_t) BgL_nodez00_1514);
											{	/* Reduce/1occ.scm 203 */
												int BgL_auxz00_2805;

												BgL_auxz00_2805 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2805, BgL_oz00_1905);
										}}
										return BgL_resetz00_1525;
									}
								else
									{	/* Reduce/1occ.scm 204 */
										obj_t BgL_clausez00_1530;

										BgL_clausez00_1530 = CAR(BgL_clausesz00_1524);
										{	/* Reduce/1occ.scm 205 */
											obj_t BgL_resetz72z72_1531;

											{	/* Reduce/1occ.scm 206 */
												obj_t BgL_arg3648z00_1536;

												BgL_arg3648z00_1536 = CDR(BgL_clausez00_1530);
												BgL_resetz72z72_1531 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_arg3648z00_1536),
													BgL_1zd2expza2z70_1515);
											}
											{	/* Reduce/1occ.scm 207 */
												obj_t BgL_nclausez00_1532;

												{	/* Reduce/1occ.scm 207 */
													int BgL_auxz00_2812;

													BgL_auxz00_2812 = (int) (((long) 1));
													BgL_nclausez00_1532 =
														BGL_MVALUES_VAL(BgL_auxz00_2812);
												}
												SET_CDR(BgL_clausez00_1530, BgL_nclausez00_1532);
												{	/* Reduce/1occ.scm 208 */
													obj_t BgL_arg3646z00_1533;
													obj_t BgL_arg3647z00_1534;

													BgL_arg3646z00_1533 = CDR(BgL_clausesz00_1524);
													if (CBOOL(BgL_resetz00_1525))
														{	/* Reduce/1occ.scm 208 */
															BgL_arg3647z00_1534 = BgL_resetz00_1525;
														}
													else
														{	/* Reduce/1occ.scm 208 */
															BgL_arg3647z00_1534 = BgL_resetz72z72_1531;
														}
													{
														obj_t BgL_resetz00_2820;
														obj_t BgL_clausesz00_2819;

														BgL_clausesz00_2819 = BgL_arg3646z00_1533;
														BgL_resetz00_2820 = BgL_arg3647z00_1534;
														BgL_resetz00_1525 = BgL_resetz00_2820;
														BgL_clausesz00_1524 = BgL_clausesz00_2819;
														goto BgL_zc3anonymousza33644ze3z83_1526;
													}
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-fail3498 */
	obj_t BGl_z62nodezd21occz12zd2fail3498z70zzreduce_1occz00(obj_t
		BgL_envz00_2074, BgL_failz00_bglt BgL_nodez00_2075,
		obj_t BgL_1zd2expza2z70_2076)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 176 */
			{
				BgL_failz00_bglt BgL_nodez00_1493;
				obj_t BgL_1zd2expza2z70_1494;

				BgL_nodez00_1493 = BgL_nodez00_2075;
				BgL_1zd2expza2z70_1494 = BgL_1zd2expza2z70_2076;
				{	/* Reduce/1occ.scm 178 */
					obj_t BgL_resetz00_1498;

					{	/* Reduce/1occ.scm 179 */
						BgL_nodez00_bglt BgL_arg3642z00_1512;

						BgL_arg3642z00_1512 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1493)))->BgL_procz00);
						BgL_resetz00_1498 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3642z00_1512,
							BgL_1zd2expza2z70_1494);
					}
					{	/* Reduce/1occ.scm 180 */
						obj_t BgL_nprocz00_1499;

						{	/* Reduce/1occ.scm 180 */
							int BgL_auxz00_2824;

							BgL_auxz00_2824 = (int) (((long) 1));
							BgL_nprocz00_1499 = BGL_MVALUES_VAL(BgL_auxz00_2824);
						}
						{	/* Reduce/1occ.scm 180 */
							BgL_nodez00_bglt BgL_val3075z00_1883;

							BgL_val3075z00_1883 = ((BgL_nodez00_bglt) BgL_nprocz00_1499);
							((((BgL_failz00_bglt) CREF(
											((obj_t) BgL_nodez00_1493)))->BgL_procz00) =
								((BgL_nodez00_bglt) BgL_val3075z00_1883), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 181 */
							obj_t BgL_1zd2expza2z72z02_1500;

							if (CBOOL(BgL_resetz00_1498))
								{	/* Reduce/1occ.scm 181 */
									BgL_1zd2expza2z72z02_1500 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 181 */
									BgL_1zd2expza2z72z02_1500 = BgL_1zd2expza2z70_1494;
								}
							{	/* Reduce/1occ.scm 182 */
								obj_t BgL_resetz72z72_1501;

								{	/* Reduce/1occ.scm 183 */
									BgL_nodez00_bglt BgL_arg3641z00_1511;

									BgL_arg3641z00_1511 =
										(((BgL_failz00_bglt) CREF(
												((obj_t) BgL_nodez00_1493)))->BgL_msgz00);
									BgL_resetz72z72_1501 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3641z00_1511,
										BgL_1zd2expza2z72z02_1500);
								}
								{	/* Reduce/1occ.scm 184 */
									obj_t BgL_nmsgz00_1502;

									{	/* Reduce/1occ.scm 184 */
										int BgL_auxz00_2835;

										BgL_auxz00_2835 = (int) (((long) 1));
										BgL_nmsgz00_1502 = BGL_MVALUES_VAL(BgL_auxz00_2835);
									}
									{	/* Reduce/1occ.scm 184 */
										BgL_nodez00_bglt BgL_val3078z00_1887;

										BgL_val3078z00_1887 = ((BgL_nodez00_bglt) BgL_nmsgz00_1502);
										((((BgL_failz00_bglt) CREF(
														((obj_t) BgL_nodez00_1493)))->BgL_msgz00) =
											((BgL_nodez00_bglt) BgL_val3078z00_1887), BUNSPEC);
									}
									{	/* Reduce/1occ.scm 185 */
										obj_t BgL_1zd2expza2z72z72z70_1503;

										if (CBOOL(BgL_resetz72z72_1501))
											{	/* Reduce/1occ.scm 185 */
												BgL_1zd2expza2z72z72z70_1503 = BNIL;
											}
										else
											{	/* Reduce/1occ.scm 185 */
												BgL_1zd2expza2z72z72z70_1503 =
													BgL_1zd2expza2z72z02_1500;
											}
										{	/* Reduce/1occ.scm 186 */
											obj_t BgL_resetz72z72z00_1504;

											{	/* Reduce/1occ.scm 187 */
												BgL_nodez00_bglt BgL_arg3640z00_1510;

												BgL_arg3640z00_1510 =
													(((BgL_failz00_bglt) CREF(
															((obj_t) BgL_nodez00_1493)))->BgL_objz00);
												BgL_resetz72z72z00_1504 =
													BGl_nodezd21occz12zc0zzreduce_1occz00
													(BgL_arg3640z00_1510, BgL_1zd2expza2z72z72z70_1503);
											}
											{	/* Reduce/1occ.scm 188 */
												obj_t BgL_nobjz00_1505;

												{	/* Reduce/1occ.scm 188 */
													int BgL_auxz00_2846;

													BgL_auxz00_2846 = (int) (((long) 1));
													BgL_nobjz00_1505 = BGL_MVALUES_VAL(BgL_auxz00_2846);
												}
												{	/* Reduce/1occ.scm 188 */
													BgL_nodez00_bglt BgL_val3081z00_1891;

													BgL_val3081z00_1891 =
														((BgL_nodez00_bglt) BgL_nobjz00_1505);
													((((BgL_failz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1493)))->BgL_objz00) =
														((BgL_nodez00_bglt) BgL_val3081z00_1891), BUNSPEC);
												}
												{	/* Reduce/1occ.scm 189 */
													obj_t BgL_val0_3446z00_1506;

													if (CBOOL(BgL_resetz00_1498))
														{	/* Reduce/1occ.scm 189 */
															BgL_val0_3446z00_1506 = BgL_resetz00_1498;
														}
													else
														{	/* Reduce/1occ.scm 189 */
															if (CBOOL(BgL_resetz72z72_1501))
																{	/* Reduce/1occ.scm 189 */
																	BgL_val0_3446z00_1506 = BgL_resetz72z72_1501;
																}
															else
																{	/* Reduce/1occ.scm 189 */
																	BgL_val0_3446z00_1506 =
																		BgL_resetz72z72z00_1504;
																}
														}
													{	/* Reduce/1occ.scm 189 */
														int BgL_res3716z00_1893;

														{	/* Reduce/1occ.scm 189 */
															int BgL_auxz00_2856;

															BgL_auxz00_2856 = (int) (((long) 2));
															BgL_res3716z00_1893 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_2856);
														} BgL_res3716z00_1893;
													}
													{	/* Reduce/1occ.scm 189 */
														obj_t BgL_oz00_1895;

														BgL_oz00_1895 = ((obj_t) BgL_nodez00_1493);
														{	/* Reduce/1occ.scm 189 */
															int BgL_auxz00_2860;

															BgL_auxz00_2860 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_2860,
																BgL_oz00_1895);
													}}
													return BgL_val0_3446z00_1506;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-condition3496 */
	obj_t BGl_z62nodezd21occz12zd2condition3496z70zzreduce_1occz00(obj_t
		BgL_envz00_2077, BgL_conditionalz00_bglt BgL_nodez00_2078,
		obj_t BgL_1zd2expza2z70_2079)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 159 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1473;
				obj_t BgL_1zd2expza2z70_1474;

				BgL_nodez00_1473 = BgL_nodez00_2078;
				BgL_1zd2expza2z70_1474 = BgL_1zd2expza2z70_2079;
				{	/* Reduce/1occ.scm 161 */
					obj_t BgL_resetz00_1478;

					{	/* Reduce/1occ.scm 162 */
						BgL_nodez00_bglt BgL_arg3639z00_1491;

						BgL_arg3639z00_1491 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1473)))->BgL_testz00);
						BgL_resetz00_1478 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3639z00_1491,
							BgL_1zd2expza2z70_1474);
					}
					{	/* Reduce/1occ.scm 163 */
						obj_t BgL_ntestz00_1479;

						{	/* Reduce/1occ.scm 163 */
							int BgL_auxz00_2866;

							BgL_auxz00_2866 = (int) (((long) 1));
							BgL_ntestz00_1479 = BGL_MVALUES_VAL(BgL_auxz00_2866);
						}
						{	/* Reduce/1occ.scm 163 */
							BgL_nodez00_bglt BgL_val3037z00_1867;

							BgL_val3037z00_1867 = ((BgL_nodez00_bglt) BgL_ntestz00_1479);
							((((BgL_conditionalz00_bglt) CREF(
											((obj_t) BgL_nodez00_1473)))->BgL_testz00) =
								((BgL_nodez00_bglt) BgL_val3037z00_1867), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 164 */
							obj_t BgL_1zd2expza2z72z02_1480;

							if (CBOOL(BgL_resetz00_1478))
								{	/* Reduce/1occ.scm 164 */
									BgL_1zd2expza2z72z02_1480 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 164 */
									BgL_1zd2expza2z72z02_1480 = BgL_1zd2expza2z70_1474;
								}
							{	/* Reduce/1occ.scm 165 */
								obj_t BgL_resetz72z72_1481;

								{	/* Reduce/1occ.scm 166 */
									BgL_nodez00_bglt BgL_arg3638z00_1490;

									BgL_arg3638z00_1490 =
										(((BgL_conditionalz00_bglt) CREF(
												((obj_t) BgL_nodez00_1473)))->BgL_truez00);
									BgL_resetz72z72_1481 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3638z00_1490,
										BgL_1zd2expza2z72z02_1480);
								}
								{	/* Reduce/1occ.scm 167 */
									obj_t BgL_ntruez00_1482;

									{	/* Reduce/1occ.scm 167 */
										int BgL_auxz00_2877;

										BgL_auxz00_2877 = (int) (((long) 1));
										BgL_ntruez00_1482 = BGL_MVALUES_VAL(BgL_auxz00_2877);
									}
									{	/* Reduce/1occ.scm 167 */
										BgL_nodez00_bglt BgL_val3040z00_1871;

										BgL_val3040z00_1871 =
											((BgL_nodez00_bglt) BgL_ntruez00_1482);
										((((BgL_conditionalz00_bglt) CREF(
														((obj_t) BgL_nodez00_1473)))->BgL_truez00) =
											((BgL_nodez00_bglt) BgL_val3040z00_1871), BUNSPEC);
									}
									{	/* Reduce/1occ.scm 168 */
										obj_t BgL_resetz72z72z00_1483;

										{	/* Reduce/1occ.scm 169 */
											BgL_nodez00_bglt BgL_arg3637z00_1489;

											BgL_arg3637z00_1489 =
												(((BgL_conditionalz00_bglt) CREF(
														((obj_t) BgL_nodez00_1473)))->BgL_falsez00);
											BgL_resetz72z72z00_1483 =
												BGl_nodezd21occz12zc0zzreduce_1occz00
												(BgL_arg3637z00_1489, BgL_1zd2expza2z72z02_1480);
										}
										{	/* Reduce/1occ.scm 170 */
											obj_t BgL_nfalsez00_1484;

											{	/* Reduce/1occ.scm 170 */
												int BgL_auxz00_2886;

												BgL_auxz00_2886 = (int) (((long) 1));
												BgL_nfalsez00_1484 = BGL_MVALUES_VAL(BgL_auxz00_2886);
											}
											{	/* Reduce/1occ.scm 170 */
												BgL_nodez00_bglt BgL_val3043z00_1875;

												BgL_val3043z00_1875 =
													((BgL_nodez00_bglt) BgL_nfalsez00_1484);
												((((BgL_conditionalz00_bglt) CREF(
																((obj_t) BgL_nodez00_1473)))->BgL_falsez00) =
													((BgL_nodez00_bglt) BgL_val3043z00_1875), BUNSPEC);
											}
											{	/* Reduce/1occ.scm 171 */
												obj_t BgL_val0_3444z00_1485;

												if (CBOOL(BgL_resetz00_1478))
													{	/* Reduce/1occ.scm 171 */
														BgL_val0_3444z00_1485 = BgL_resetz00_1478;
													}
												else
													{	/* Reduce/1occ.scm 171 */
														if (CBOOL(BgL_resetz72z72_1481))
															{	/* Reduce/1occ.scm 171 */
																BgL_val0_3444z00_1485 = BgL_resetz72z72_1481;
															}
														else
															{	/* Reduce/1occ.scm 171 */
																BgL_val0_3444z00_1485 = BgL_resetz72z72z00_1483;
															}
													}
												{	/* Reduce/1occ.scm 171 */
													int BgL_res3715z00_1877;

													{	/* Reduce/1occ.scm 171 */
														int BgL_auxz00_2896;

														BgL_auxz00_2896 = (int) (((long) 2));
														BgL_res3715z00_1877 =
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_2896);
													} BgL_res3715z00_1877;
												}
												{	/* Reduce/1occ.scm 171 */
													obj_t BgL_oz00_1879;

													BgL_oz00_1879 = ((obj_t) BgL_nodez00_1473);
													{	/* Reduce/1occ.scm 171 */
														int BgL_auxz00_2900;

														BgL_auxz00_2900 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_2900, BgL_oz00_1879);
												}}
												return BgL_val0_3444z00_1485;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-setq3494 */
	obj_t BGl_z62nodezd21occz12zd2setq3494z70zzreduce_1occz00(obj_t
		BgL_envz00_2080, BgL_setqz00_bglt BgL_nodez00_2081,
		obj_t BgL_1zd2expza2z70_2082)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 149 */
			{
				BgL_setqz00_bglt BgL_nodez00_1462;
				obj_t BgL_1zd2expza2z70_1463;

				BgL_nodez00_1462 = BgL_nodez00_2081;
				BgL_1zd2expza2z70_1463 = BgL_1zd2expza2z70_2082;
				{	/* Reduce/1occ.scm 151 */
					obj_t BgL_resetz00_1467;

					{	/* Reduce/1occ.scm 152 */
						BgL_nodez00_bglt BgL_arg3636z00_1471;

						BgL_arg3636z00_1471 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1462)))->BgL_valuez00);
						BgL_resetz00_1467 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3636z00_1471,
							BgL_1zd2expza2z70_1463);
					}
					{	/* Reduce/1occ.scm 153 */
						obj_t BgL_nvaluez00_1468;

						{	/* Reduce/1occ.scm 153 */
							int BgL_auxz00_2906;

							BgL_auxz00_2906 = (int) (((long) 1));
							BgL_nvaluez00_1468 = BGL_MVALUES_VAL(BgL_auxz00_2906);
						}
						{	/* Reduce/1occ.scm 153 */
							BgL_nodez00_bglt BgL_val3008z00_1859;

							BgL_val3008z00_1859 = ((BgL_nodez00_bglt) BgL_nvaluez00_1468);
							((((BgL_setqz00_bglt) CREF(
											((obj_t) BgL_nodez00_1462)))->BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_val3008z00_1859), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 154 */
							int BgL_res3714z00_1861;

							{	/* Reduce/1occ.scm 154 */
								int BgL_auxz00_2912;

								BgL_auxz00_2912 = (int) (((long) 2));
								BgL_res3714z00_1861 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2912);
							} BgL_res3714z00_1861;
						}
						{	/* Reduce/1occ.scm 154 */
							obj_t BgL_oz00_1863;

							BgL_oz00_1863 = ((obj_t) BgL_nodez00_1462);
							{	/* Reduce/1occ.scm 154 */
								int BgL_auxz00_2916;

								BgL_auxz00_2916 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2916, BgL_oz00_1863);
						}}
						return BgL_resetz00_1467;
					}
				}
			}
		}
	}



/* &node-1occ!-cast3492 */
	obj_t BGl_z62nodezd21occz12zd2cast3492z70zzreduce_1occz00(obj_t
		BgL_envz00_2083, BgL_castz00_bglt BgL_nodez00_2084,
		obj_t BgL_1zd2expza2z70_2085)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 139 */
			{
				BgL_castz00_bglt BgL_nodez00_1451;
				obj_t BgL_1zd2expza2z70_1452;

				BgL_nodez00_1451 = BgL_nodez00_2084;
				BgL_1zd2expza2z70_1452 = BgL_1zd2expza2z70_2085;
				{	/* Reduce/1occ.scm 141 */
					obj_t BgL_resetz00_1456;

					{	/* Reduce/1occ.scm 142 */
						BgL_nodez00_bglt BgL_arg3635z00_1460;

						BgL_arg3635z00_1460 =
							(((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_1451)))->BgL_argz00);
						BgL_resetz00_1456 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3635z00_1460,
							BgL_1zd2expza2z70_1452);
					}
					{	/* Reduce/1occ.scm 143 */
						obj_t BgL_nargz00_1457;

						{	/* Reduce/1occ.scm 143 */
							int BgL_auxz00_2922;

							BgL_auxz00_2922 = (int) (((long) 1));
							BgL_nargz00_1457 = BGL_MVALUES_VAL(BgL_auxz00_2922);
						}
						{	/* Reduce/1occ.scm 143 */
							BgL_nodez00_bglt BgL_val2985z00_1851;

							BgL_val2985z00_1851 = ((BgL_nodez00_bglt) BgL_nargz00_1457);
							((((BgL_castz00_bglt) CREF(
											((obj_t) BgL_nodez00_1451)))->BgL_argz00) =
								((BgL_nodez00_bglt) BgL_val2985z00_1851), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 144 */
							int BgL_res3713z00_1853;

							{	/* Reduce/1occ.scm 144 */
								int BgL_auxz00_2928;

								BgL_auxz00_2928 = (int) (((long) 2));
								BgL_res3713z00_1853 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2928);
							} BgL_res3713z00_1853;
						}
						{	/* Reduce/1occ.scm 144 */
							obj_t BgL_oz00_1855;

							BgL_oz00_1855 = ((obj_t) BgL_nodez00_1451);
							{	/* Reduce/1occ.scm 144 */
								int BgL_auxz00_2932;

								BgL_auxz00_2932 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2932, BgL_oz00_1855);
						}}
						return BgL_resetz00_1456;
					}
				}
			}
		}
	}



/* &node-1occ!-extern3490 */
	obj_t BGl_z62nodezd21occz12zd2extern3490z70zzreduce_1occz00(obj_t
		BgL_envz00_2086, BgL_externz00_bglt BgL_nodez00_2087,
		obj_t BgL_1zd2expza2z70_2088)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 133 */
			{
				BgL_externz00_bglt BgL_nodez00_1444;
				obj_t BgL_1zd2expza2z70_1445;

				{	/* Reduce/1occ.scm 134 */
					bool_t BgL_auxz00_2935;

					BgL_nodez00_1444 = BgL_nodez00_2087;
					BgL_1zd2expza2z70_1445 = BgL_1zd2expza2z70_2088;
					{	/* Reduce/1occ.scm 134 */
						bool_t BgL_val0_3438z00_1842;

						BgL_val0_3438z00_1842 =
							BGl_sidezd2effectzf3z21zzeffect_effectz00(
							((BgL_nodez00_bglt) BgL_nodez00_1444));
						{	/* Reduce/1occ.scm 134 */
							int BgL_res3712z00_1845;

							{	/* Reduce/1occ.scm 134 */
								int BgL_auxz00_2938;

								BgL_auxz00_2938 = (int) (((long) 2));
								BgL_res3712z00_1845 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2938);
							} BgL_res3712z00_1845;
						}
						{	/* Reduce/1occ.scm 134 */
							obj_t BgL_oz00_1847;

							BgL_oz00_1847 = ((obj_t) BgL_nodez00_1444);
							{	/* Reduce/1occ.scm 134 */
								int BgL_auxz00_2942;

								BgL_auxz00_2942 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_2942, BgL_oz00_1847);
						}}
						BgL_auxz00_2935 = BgL_val0_3438z00_1842;
					}
					return BBOOL(BgL_auxz00_2935);
				}
			}
		}
	}



/* &node-1occ!-funcall3488 */
	obj_t BGl_z62nodezd21occz12zd2funcall3488z70zzreduce_1occz00(obj_t
		BgL_envz00_2089, BgL_funcallz00_bglt BgL_nodez00_2090,
		obj_t BgL_1zd2expza2z70_2091)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 122 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1434;
				obj_t BgL_1zd2expza2z70_1435;

				BgL_nodez00_1434 = BgL_nodez00_2090;
				BgL_1zd2expza2z70_1435 = BgL_1zd2expza2z70_2091;
				{	/* Reduce/1occ.scm 124 */
					obj_t BgL_resetz72z72_1439;

					{	/* Reduce/1occ.scm 124 */
						obj_t BgL_arg3634z00_1442;

						BgL_arg3634z00_1442 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1434)))->BgL_argsz00);
						BgL_resetz72z72_1439 =
							BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg3634z00_1442,
							BgL_1zd2expza2z70_1435);
					}
					{	/* Reduce/1occ.scm 125 */
						int BgL_res3711z00_1839;

						{	/* Reduce/1occ.scm 125 */
							int BgL_auxz00_2949;

							BgL_auxz00_2949 = (int) (((long) 2));
							BgL_res3711z00_1839 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2949);
						} BgL_res3711z00_1839;
					}
					{	/* Reduce/1occ.scm 125 */
						obj_t BgL_oz00_1841;

						BgL_oz00_1841 = ((obj_t) BgL_nodez00_1434);
						{	/* Reduce/1occ.scm 125 */
							int BgL_auxz00_2953;

							BgL_auxz00_2953 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_2953, BgL_oz00_1841);
					}}
					return BgL_resetz72z72_1439;
				}
			}
		}
	}



/* &node-1occ!-app-ly3486 */
	obj_t BGl_z62nodezd21occz12zd2appzd2ly3486za2zzreduce_1occz00(obj_t
		BgL_envz00_2092, BgL_appzd2lyzd2_bglt BgL_nodez00_2093,
		obj_t BgL_1zd2expza2z70_2094)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 109 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1418;
				obj_t BgL_1zd2expza2z70_1419;

				BgL_nodez00_1418 = BgL_nodez00_2093;
				BgL_1zd2expza2z70_1419 = BgL_1zd2expza2z70_2094;
				{	/* Reduce/1occ.scm 111 */
					obj_t BgL_resetz00_1423;

					{	/* Reduce/1occ.scm 112 */
						BgL_nodez00_bglt BgL_arg3633z00_1432;

						BgL_arg3633z00_1432 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1418)))->BgL_funz00);
						BgL_resetz00_1423 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3633z00_1432,
							BgL_1zd2expza2z70_1419);
					}
					{	/* Reduce/1occ.scm 113 */
						obj_t BgL_nfunz00_1424;

						{	/* Reduce/1occ.scm 113 */
							int BgL_auxz00_2959;

							BgL_auxz00_2959 = (int) (((long) 1));
							BgL_nfunz00_1424 = BGL_MVALUES_VAL(BgL_auxz00_2959);
						}
						{	/* Reduce/1occ.scm 113 */
							BgL_nodez00_bglt BgL_val2332z00_1828;

							BgL_val2332z00_1828 = ((BgL_nodez00_bglt) BgL_nfunz00_1424);
							((((BgL_appzd2lyzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1418)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_val2332z00_1828), BUNSPEC);
						}
						{	/* Reduce/1occ.scm 114 */
							obj_t BgL_resetz72z72_1425;

							{	/* Reduce/1occ.scm 115 */
								BgL_nodez00_bglt BgL_arg3631z00_1430;
								obj_t BgL_arg3632z00_1431;

								BgL_arg3631z00_1430 =
									(((BgL_appzd2lyzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1418)))->BgL_argz00);
								if (CBOOL(BgL_resetz00_1423))
									{	/* Reduce/1occ.scm 115 */
										BgL_arg3632z00_1431 = BNIL;
									}
								else
									{	/* Reduce/1occ.scm 115 */
										BgL_arg3632z00_1431 = BgL_1zd2expza2z70_1419;
									}
								BgL_resetz72z72_1425 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg3631z00_1430,
									BgL_arg3632z00_1431);
							}
							{	/* Reduce/1occ.scm 116 */
								obj_t BgL_nargz00_1426;

								{	/* Reduce/1occ.scm 116 */
									int BgL_auxz00_2970;

									BgL_auxz00_2970 = (int) (((long) 1));
									BgL_nargz00_1426 = BGL_MVALUES_VAL(BgL_auxz00_2970);
								}
								{	/* Reduce/1occ.scm 116 */
									BgL_nodez00_bglt BgL_val2335z00_1832;

									BgL_val2335z00_1832 = ((BgL_nodez00_bglt) BgL_nargz00_1426);
									((((BgL_appzd2lyzd2_bglt) CREF(
													((obj_t) BgL_nodez00_1418)))->BgL_argz00) =
										((BgL_nodez00_bglt) BgL_val2335z00_1832), BUNSPEC);
								}
								{	/* Reduce/1occ.scm 117 */
									obj_t BgL_val0_3434z00_1427;

									if (CBOOL(BgL_resetz00_1423))
										{	/* Reduce/1occ.scm 117 */
											BgL_val0_3434z00_1427 = BgL_resetz00_1423;
										}
									else
										{	/* Reduce/1occ.scm 117 */
											BgL_val0_3434z00_1427 = BgL_resetz72z72_1425;
										}
									{	/* Reduce/1occ.scm 117 */
										int BgL_res3710z00_1834;

										{	/* Reduce/1occ.scm 117 */
											int BgL_auxz00_2978;

											BgL_auxz00_2978 = (int) (((long) 2));
											BgL_res3710z00_1834 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2978);
										} BgL_res3710z00_1834;
									}
									{	/* Reduce/1occ.scm 117 */
										obj_t BgL_oz00_1836;

										BgL_oz00_1836 = ((obj_t) BgL_nodez00_1418);
										{	/* Reduce/1occ.scm 117 */
											int BgL_auxz00_2982;

											BgL_auxz00_2982 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_2982, BgL_oz00_1836);
									}}
									return BgL_val0_3434z00_1427;
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-sequence3484 */
	obj_t BGl_z62nodezd21occz12zd2sequence3484z70zzreduce_1occz00(obj_t
		BgL_envz00_2095, BgL_sequencez00_bglt BgL_nodez00_2096,
		obj_t BgL_1zd2expza2z70_2097)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 102 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1409;
				obj_t BgL_1zd2expza2z70_1410;

				BgL_nodez00_1409 = BgL_nodez00_2096;
				BgL_1zd2expza2z70_1410 = BgL_1zd2expza2z70_2097;
				{	/* Reduce/1occ.scm 104 */
					obj_t BgL_val0_3432z00_1414;

					{	/* Reduce/1occ.scm 104 */
						obj_t BgL_arg3630z00_1416;

						BgL_arg3630z00_1416 =
							(((BgL_sequencez00_bglt) CREF(
									((obj_t) BgL_nodez00_1409)))->BgL_nodesz00);
						BgL_val0_3432z00_1414 =
							BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg3630z00_1416,
							BgL_1zd2expza2z70_1410);
					}
					{	/* Reduce/1occ.scm 104 */
						int BgL_res3709z00_1822;

						{	/* Reduce/1occ.scm 104 */
							int BgL_auxz00_2988;

							BgL_auxz00_2988 = (int) (((long) 2));
							BgL_res3709z00_1822 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2988);
						} BgL_res3709z00_1822;
					}
					{	/* Reduce/1occ.scm 104 */
						obj_t BgL_oz00_1824;

						BgL_oz00_1824 = ((obj_t) BgL_nodez00_1409);
						{	/* Reduce/1occ.scm 104 */
							int BgL_auxz00_2992;

							BgL_auxz00_2992 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_2992, BgL_oz00_1824);
					}}
					return BgL_val0_3432z00_1414;
				}
			}
		}
	}



/* &node-1occ!-closure3482 */
	obj_t BGl_z62nodezd21occz12zd2closure3482z70zzreduce_1occz00(obj_t
		BgL_envz00_2098, BgL_closurez00_bglt BgL_nodez00_2099,
		obj_t BgL_1zd2expza2z70_2100)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 96 */
			{
				BgL_closurez00_bglt BgL_nodez00_1402;
				obj_t BgL_1zd2expza2z70_1403;

				{	/* Reduce/1occ.scm 97 */
					bool_t BgL_auxz00_2995;

					BgL_nodez00_1402 = BgL_nodez00_2099;
					BgL_1zd2expza2z70_1403 = BgL_1zd2expza2z70_2100;
					{	/* Reduce/1occ.scm 97 */
						int BgL_res3708z00_1817;

						{	/* Reduce/1occ.scm 97 */
							int BgL_auxz00_2996;

							BgL_auxz00_2996 = (int) (((long) 2));
							BgL_res3708z00_1817 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2996);
						} BgL_res3708z00_1817;
					}
					{	/* Reduce/1occ.scm 97 */
						obj_t BgL_oz00_1819;

						BgL_oz00_1819 = ((obj_t) BgL_nodez00_1402);
						{	/* Reduce/1occ.scm 97 */
							int BgL_auxz00_3000;

							BgL_auxz00_3000 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3000, BgL_oz00_1819);
					}}
					BgL_auxz00_2995 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_2995);
				}
			}
		}
	}



/* &node-1occ!-var3480 */
	obj_t BGl_z62nodezd21occz12zd2var3480z70zzreduce_1occz00(obj_t
		BgL_envz00_2101, BgL_varz00_bglt BgL_nodez00_2102,
		obj_t BgL_1zd2expza2z70_2103)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 83 */
			{
				BgL_varz00_bglt BgL_nodez00_1389;
				obj_t BgL_1zd2expza2z70_1390;

				BgL_nodez00_1389 = BgL_nodez00_2102;
				BgL_1zd2expza2z70_1390 = BgL_1zd2expza2z70_2103;
				{	/* Reduce/1occ.scm 84 */
					BgL_variablez00_bglt BgL_vz00_1393;

					BgL_vz00_1393 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_nodez00_1389)))->BgL_variablez00);
					{	/* Reduce/1occ.scm 85 */
						obj_t BgL_falphaz00_1394;

						BgL_falphaz00_1394 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_vz00_1393), BgL_1zd2expza2z70_1390);
						if (PAIRP(BgL_falphaz00_1394))
							{	/* Reduce/1occ.scm 86 */
								{	/* Reduce/1occ.scm 88 */
									long BgL_arg3627z00_1396;

									BgL_arg3627z00_1396 =
										(
										(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_vz00_1393)))->BgL_occurrencez00) -
										((long) 1));
									((((BgL_variablez00_bglt) CREF(((obj_t) BgL_vz00_1393)))->
											BgL_occurrencez00) =
										((long) BgL_arg3627z00_1396), BUNSPEC);
								}
								BGl_za2variablezd2removedza2zd2zzreduce_1occz00 =
									(BGl_za2variablezd2removedza2zd2zzreduce_1occz00 +
									((long) 1));
								{	/* Reduce/1occ.scm 90 */
									obj_t BgL_arg3629z00_1398;

									BgL_arg3629z00_1398 = CDR(BgL_falphaz00_1394);
									return
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg3629z00_1398),
										BgL_1zd2expza2z70_1390);
								}
							}
						else
							{	/* Reduce/1occ.scm 86 */
								{	/* Reduce/1occ.scm 91 */
									int BgL_res3707z00_1811;

									{	/* Reduce/1occ.scm 91 */
										int BgL_auxz00_3019;

										BgL_auxz00_3019 = (int) (((long) 2));
										BgL_res3707z00_1811 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_3019);
									} BgL_res3707z00_1811;
								}
								{	/* Reduce/1occ.scm 91 */
									obj_t BgL_oz00_1813;

									BgL_oz00_1813 = ((obj_t) BgL_nodez00_1389);
									{	/* Reduce/1occ.scm 91 */
										int BgL_auxz00_3023;

										BgL_auxz00_3023 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3023, BgL_oz00_1813);
								}}
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &node-1occ!-kwote3478 */
	obj_t BGl_z62nodezd21occz12zd2kwote3478z70zzreduce_1occz00(obj_t
		BgL_envz00_2104, BgL_kwotez00_bglt BgL_nodez00_2105,
		obj_t BgL_1zd2expza2z70_2106)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 77 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1382;
				obj_t BgL_1zd2expza2z70_1383;

				{	/* Reduce/1occ.scm 78 */
					bool_t BgL_auxz00_3026;

					BgL_nodez00_1382 = BgL_nodez00_2105;
					BgL_1zd2expza2z70_1383 = BgL_1zd2expza2z70_2106;
					{	/* Reduce/1occ.scm 78 */
						int BgL_res3703z00_1794;

						{	/* Reduce/1occ.scm 78 */
							int BgL_auxz00_3027;

							BgL_auxz00_3027 = (int) (((long) 2));
							BgL_res3703z00_1794 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3027);
						} BgL_res3703z00_1794;
					}
					{	/* Reduce/1occ.scm 78 */
						obj_t BgL_oz00_1796;

						BgL_oz00_1796 = ((obj_t) BgL_nodez00_1382);
						{	/* Reduce/1occ.scm 78 */
							int BgL_auxz00_3031;

							BgL_auxz00_3031 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3031, BgL_oz00_1796);
					}}
					BgL_auxz00_3026 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3026);
				}
			}
		}
	}



/* &node-1occ!-atom3476 */
	obj_t BGl_z62nodezd21occz12zd2atom3476z70zzreduce_1occz00(obj_t
		BgL_envz00_2107, BgL_atomz00_bglt BgL_nodez00_2108,
		obj_t BgL_1zd2expza2z70_2109)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 71 */
			{
				BgL_atomz00_bglt BgL_nodez00_1375;
				obj_t BgL_1zd2expza2z70_1376;

				{	/* Reduce/1occ.scm 72 */
					bool_t BgL_auxz00_3035;

					BgL_nodez00_1375 = BgL_nodez00_2108;
					BgL_1zd2expza2z70_1376 = BgL_1zd2expza2z70_2109;
					{	/* Reduce/1occ.scm 72 */
						int BgL_res3702z00_1788;

						{	/* Reduce/1occ.scm 72 */
							int BgL_auxz00_3036;

							BgL_auxz00_3036 = (int) (((long) 2));
							BgL_res3702z00_1788 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3036);
						} BgL_res3702z00_1788;
					}
					{	/* Reduce/1occ.scm 72 */
						obj_t BgL_oz00_1790;

						BgL_oz00_1790 = ((obj_t) BgL_nodez00_1375);
						{	/* Reduce/1occ.scm 72 */
							int BgL_auxz00_3040;

							BgL_auxz00_3040 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3040, BgL_oz00_1790);
					}}
					BgL_auxz00_3035 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3035);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 9037614),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
			return
				BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 535161272),
				BSTRING_TO_STRING(BGl_string3760z00zzreduce_1occz00));
		}
	}

#ifdef __cplusplus
}
#endif
