/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/copy.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2fail3445z70zzreduce_copyz00(obj_t,
		BgL_failz00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2app3464z70zzreduce_copyz00(obj_t, BgL_appz00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var3451za2zzreduce_copyz00(obj_t,
		BgL_letzd2varzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2closure3426z70zzreduce_copyz00(obj_t,
		BgL_closurez00_bglt);
	static obj_t BGl_methodzd2initzd2zzreduce_copyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition3443z70zzreduce_copyz00(obj_t,
		BgL_conditionalz00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box3458za2zzreduce_copyz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz123460zb0zzreduce_copyz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	static BgL_nodez00_bglt
		BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i3455z70zzreduce_copyz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2copyz123416za2zzreduce_copyz00(obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2var3424z70zzreduce_copyz00(obj_t, BgL_varz00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2cast3436z70zzreduce_copyz00(obj_t,
		BgL_castz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setq3438z70zzreduce_copyz00(obj_t,
		BgL_setqz00_bglt);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00();
	static obj_t BGl_genericzd2initzd2zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2funcall3432z70zzreduce_copyz00(obj_t,
		BgL_funcallz00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref3462za2zzreduce_copyz00(obj_t,
		BgL_boxzd2refzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2kwote3422z70zzreduce_copyz00(obj_t,
		BgL_kwotez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2select3447z70zzreduce_copyz00(obj_t,
		BgL_selectz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2appzd2ly3430za2zzreduce_copyz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2atom3420z70zzreduce_copyz00(obj_t,
		BgL_atomz00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_copyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2extern3434z70zzreduce_copyz00(obj_t,
		BgL_externz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
	static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun3449za2zzreduce_copyz00(obj_t,
		BgL_letzd2funzd2_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it3453z70zzreduce_copyz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sequence3428z70zzreduce_copyz00(obj_t,
		BgL_sequencez00_bglt);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string3629z00zzreduce_copyz00,
		BgL_bgl_string3629za700za7za7r3660za7, "      copy propagation       ", 29);
	      DEFINE_STRING(BGl_string3630z00zzreduce_copyz00,
		BgL_bgl_string3630za700za7za7r3661za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string3632z00zzreduce_copyz00,
		BgL_bgl_string3632za700za7za7r3662za7, "node-copy!3416", 14);
	      DEFINE_STRING(BGl_string3633z00zzreduce_copyz00,
		BgL_bgl_string3633za700za7za7r3663za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3635z00zzreduce_copyz00,
		BgL_bgl_string3635za700za7za7r3664za7, "node-copy!", 10);
	      DEFINE_STRING(BGl_string3656z00zzreduce_copyz00,
		BgL_bgl_string3656za700za7za7r3665za7, "reduce_copy", 11);
	      DEFINE_STRING(BGl_string3657z00zzreduce_copyz00,
		BgL_bgl_string3657za700za7za7r3666za7, "read node-copy!3416 done ", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762reduceza7d2copy3667z00,
		BGl_z62reducezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3631z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713668za7,
		BGl_z62nodezd2copyz123416za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3634z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713669za7,
		BGl_z62nodezd2copyz12zd2atom3420z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3636z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713670za7,
		BGl_z62nodezd2copyz12zd2kwote3422z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3637z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713671za7,
		BGl_z62nodezd2copyz12zd2var3424z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3638z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713672za7,
		BGl_z62nodezd2copyz12zd2closure3426z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3639z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713673za7,
		BGl_z62nodezd2copyz12zd2sequence3428z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3640z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713674za7,
		BGl_z62nodezd2copyz12zd2appzd2ly3430za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3641z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713675za7,
		BGl_z62nodezd2copyz12zd2funcall3432z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3642z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713676za7,
		BGl_z62nodezd2copyz12zd2extern3434z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3643z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713677za7,
		BGl_z62nodezd2copyz12zd2cast3436z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3644z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713678za7,
		BGl_z62nodezd2copyz12zd2setq3438z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3645z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713679za7,
		BGl_z62nodezd2copyz12zd2condition3443z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3646z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713680za7,
		BGl_z62nodezd2copyz12zd2fail3445z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3647z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713681za7,
		BGl_z62nodezd2copyz12zd2select3447z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3648z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713682za7,
		BGl_z62nodezd2copyz12zd2letzd2fun3449za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3649z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713683za7,
		BGl_z62nodezd2copyz12zd2letzd2var3451za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3650z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713684za7,
		BGl_z62nodezd2copyz12zd2setzd2exzd2it3453z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3651z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713685za7,
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i3455z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3652z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713686za7,
		BGl_z62nodezd2copyz12zd2makezd2box3458za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3653z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713687za7,
		BGl_z62nodezd2copyz12zd2boxzd2setz123460zb0zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3654z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713688za7,
		BGl_z62nodezd2copyz12zd2boxzd2ref3462za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3655z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713689za7,
		BGl_z62nodezd2copyz12zd2app3464z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza713690za7,
		BGl_z62nodezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long
		BgL_checksumz00_1859, char *BgL_fromz00_1860)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_copyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
					BGl_cnstzd2initzd2zzreduce_copyz00();
					BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
					BGl_genericzd2initzd2zzreduce_copyz00();
					BGl_methodzd2initzd2zzreduce_copyz00();
					BGl_toplevelzd2initzd2zzreduce_copyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_copy");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			{	/* Reduce/copy.scm 15 */
				obj_t BgL_cportz00_1848;

				BgL_cportz00_1848 =
					bgl_open_input_string(BGl_string3657z00zzreduce_copyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1849;

					BgL_iz00_1849 = ((long) 2);
				BgL_loopz00_1850:
					if ((BgL_iz00_1849 == ((long) -1)))
						{	/* Reduce/copy.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/copy.scm 15 */
							{	/* Reduce/copy.scm 15 */
								obj_t BgL_arg3659z00_1852;

								{	/* Reduce/copy.scm 15 */

									{	/* Reduce/copy.scm 15 */
										obj_t BgL_locationz00_1854;

										BgL_locationz00_1854 = BBOOL(((bool_t) 0));
										{	/* Reduce/copy.scm 15 */

											BgL_arg3659z00_1852 =
												BGl_readz00zz__readerz00(BgL_cportz00_1848,
												BgL_locationz00_1854);
										}
									}
								}
								{	/* Reduce/copy.scm 15 */
									int BgL_auxz00_1879;

									BgL_auxz00_1879 = (int) (BgL_iz00_1849);
									CNST_TABLE_SET(BgL_auxz00_1879, BgL_arg3659z00_1852);
							}}
							{	/* Reduce/copy.scm 15 */
								int BgL_auxz00_1855;

								BgL_auxz00_1855 = (int) ((BgL_iz00_1849 - ((long) 1)));
								{
									long BgL_iz00_1884;

									BgL_iz00_1884 = (long) (BgL_auxz00_1855);
									BgL_iz00_1849 = BgL_iz00_1884;
									goto BgL_loopz00_1850;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-copy! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 34 */
			{	/* Reduce/copy.scm 35 */
				obj_t BgL_list3468z00_842;

				BgL_list3468z00_842 =
					MAKE_PAIR(BGl_string3629z00zzreduce_copyz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3468z00_842);
			}
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			{
				obj_t BgL_l3408z00_844;

				BgL_l3408z00_844 = BgL_globalsz00_3;
			BgL_zc3anonymousza33469ze3z83_845:
				if (PAIRP(BgL_l3408z00_844))
					{	/* Reduce/copy.scm 37 */
						{	/* Reduce/copy.scm 38 */
							obj_t BgL_globalz00_847;

							BgL_globalz00_847 = CAR(BgL_l3408z00_844);
							{	/* Reduce/copy.scm 38 */
								BgL_valuez00_bglt BgL_funz00_848;

								{	/* Reduce/copy.scm 38 */
									BgL_variablez00_bglt BgL_obj1612z00_1476;

									BgL_obj1612z00_1476 =
										((BgL_variablez00_bglt) BgL_globalz00_847);
									BgL_funz00_848 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1476)))->BgL_valuez00);
								}
								{	/* Reduce/copy.scm 38 */
									obj_t BgL_nodez00_849;

									{	/* Reduce/copy.scm 39 */
										BgL_sfunz00_bglt BgL_obj1924z00_1477;

										BgL_obj1924z00_1477 = ((BgL_sfunz00_bglt) BgL_funz00_848);
										BgL_nodez00_849 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1924z00_1477)))->BgL_bodyz00);
									}
									{	/* Reduce/copy.scm 39 */

										{	/* Reduce/copy.scm 40 */
											BgL_nodez00_bglt BgL_arg3471z00_850;

											BgL_arg3471z00_850 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_nodez00_849));
											{	/* Reduce/copy.scm 40 */
												BgL_sfunz00_bglt BgL_obj1926z00_1478;
												obj_t BgL_val1925z00_1479;

												BgL_obj1926z00_1478 =
													((BgL_sfunz00_bglt) BgL_funz00_848);
												BgL_val1925z00_1479 = ((obj_t) BgL_arg3471z00_850);
												((((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1926z00_1478)))->BgL_bodyz00) =
													((obj_t) BgL_val1925z00_1479), BUNSPEC);
											}
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l3408z00_1904;

							BgL_l3408z00_1904 = CDR(BgL_l3408z00_844);
							BgL_l3408z00_844 = BgL_l3408z00_1904;
							goto BgL_zc3anonymousza33469ze3z83_845;
						}
					}
				else
					{	/* Reduce/copy.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/copy.scm 43 */
				obj_t BgL_list3473z00_853;

				{	/* Reduce/copy.scm 43 */
					obj_t BgL_arg3474z00_854;

					{	/* Reduce/copy.scm 43 */
						obj_t BgL_arg3475z00_855;

						{	/* Reduce/copy.scm 43 */
							obj_t BgL_arg3476z00_856;

							BgL_arg3476z00_856 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg3475z00_855 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg3476z00_856);
						}
						BgL_arg3474z00_854 =
							MAKE_PAIR(BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00),
							BgL_arg3475z00_855);
					}
					BgL_list3473z00_853 =
						MAKE_PAIR(BGl_string3630z00zzreduce_copyz00, BgL_arg3474z00_854);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3473z00_853);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-copy! */
	obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t BgL_envz00_1646,
		obj_t BgL_globalsz00_1647)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 34 */
			return BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_1647);
		}
	}



/* node-copy*! */
	obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_26)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 276 */
			{
				obj_t BgL_nodeza2za2_858;

				BgL_nodeza2za2_858 = BgL_nodeza2za2_26;
			BgL_zc3anonymousza33477ze3z83_859:
				if (NULLP(BgL_nodeza2za2_858))
					{	/* Reduce/copy.scm 278 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/copy.scm 278 */
						{	/* Reduce/copy.scm 281 */
							BgL_nodez00_bglt BgL_arg3479z00_861;

							{	/* Reduce/copy.scm 281 */
								obj_t BgL_arg3480z00_862;

								BgL_arg3480z00_862 = CAR(BgL_nodeza2za2_858);
								BgL_arg3479z00_861 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_arg3480z00_862));
							}
							{	/* Reduce/copy.scm 281 */
								obj_t BgL_pairz00_1484;
								obj_t BgL_objz00_1485;

								BgL_pairz00_1484 = BgL_nodeza2za2_858;
								BgL_objz00_1485 = ((obj_t) BgL_arg3479z00_861);
								SET_CAR(BgL_pairz00_1484, BgL_objz00_1485);
							}
						}
						{
							obj_t BgL_nodeza2za2_1924;

							BgL_nodeza2za2_1924 = CDR(BgL_nodeza2za2_858);
							BgL_nodeza2za2_858 = BgL_nodeza2za2_1924;
							goto BgL_zc3anonymousza33477ze3z83_859;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_proc3631z00zzreduce_copyz00, BGl_nodez00zzast_nodez00,
				BGl_string3632z00zzreduce_copyz00);
		}
	}



/* &node-copy!3416 */
	obj_t BGl_z62nodezd2copyz123416za2zzreduce_copyz00(obj_t BgL_envz00_1649,
		BgL_nodez00_bglt BgL_nodez00_1650)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{
				BgL_nodez00_bglt BgL_nodez00_1263;

				BgL_nodez00_1263 = BgL_nodez00_1650;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3633z00zzreduce_copyz00, ((obj_t) BgL_nodez00_1263));
		}}
	}



/* node-copy! */
	BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{	/* Reduce/copy.scm 55 */
				obj_t BgL_method3418z00_1266;

				{	/* Reduce/copy.scm 55 */
					obj_t BgL_res3621z00_1515;

					{	/* Reduce/copy.scm 55 */
						BgL_objectz00_bglt BgL_objz00_1487;

						BgL_objz00_1487 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/copy.scm 55 */
							long BgL_objzd2classzd2numz00_1488;

							{	/* Reduce/copy.scm 55 */
								long BgL_res3615z00_1491;

								BgL_res3615z00_1491 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1487);
								BgL_objzd2classzd2numz00_1488 = BgL_res3615z00_1491;
							}
							{	/* Reduce/copy.scm 55 */
								obj_t BgL_arg2545z00_1489;

								BgL_arg2545z00_1489 =
									PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
									(int) (((long) 1)));
								{	/* Reduce/copy.scm 55 */
									obj_t BgL_arrayz00_1492;
									int BgL_offsetz00_1493;

									BgL_arrayz00_1492 = BgL_arg2545z00_1489;
									BgL_offsetz00_1493 = (int) (BgL_objzd2classzd2numz00_1488);
									{	/* Reduce/copy.scm 55 */
										long BgL_offsetz00_1494;

										BgL_offsetz00_1494 =
											((long) (BgL_offsetz00_1493) - OBJECT_TYPE);
										{	/* Reduce/copy.scm 55 */
											long BgL_modz00_1495;

											{	/* Reduce/copy.scm 55 */
												int BgL_arg2547z00_1496;

												BgL_arg2547z00_1496 = (int) (((long) 16));
												{	/* Reduce/copy.scm 55 */
													long BgL_res3618z00_1506;

													{	/* Reduce/copy.scm 55 */
														long BgL_auxz00_1938;

														BgL_auxz00_1938 = (long) (BgL_arg2547z00_1496);
														BgL_res3618z00_1506 =
															(BgL_offsetz00_1494 / BgL_auxz00_1938);
													}
													BgL_modz00_1495 = BgL_res3618z00_1506;
											}}
											{	/* Reduce/copy.scm 55 */
												long BgL_restz00_1497;

												{	/* Reduce/copy.scm 55 */
													int BgL_arg2546z00_1498;

													BgL_arg2546z00_1498 = (int) (((long) 16));
													{	/* Reduce/copy.scm 55 */
														long BgL_res3620z00_1510;

														{	/* Reduce/copy.scm 55 */
															long BgL_auxz00_1942;

															BgL_auxz00_1942 = (long) (BgL_arg2546z00_1498);
															BgL_res3620z00_1510 =
																(BgL_offsetz00_1494 % BgL_auxz00_1942);
														}
														BgL_restz00_1497 = BgL_res3620z00_1510;
												}}
												{	/* Reduce/copy.scm 55 */

													BgL_res3621z00_1515 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1492,
															(int) (BgL_modz00_1495)),
														(int) (BgL_restz00_1497));
					}}}}}}}}
					BgL_method3418z00_1266 = BgL_res3621z00_1515;
				}
				{	/* Reduce/copy.scm 55 */
					obj_t BgL_xz00_1729;

					BgL_xz00_1729 =
						PROCEDURE_ENTRY(BgL_method3418z00_1266) (BgL_method3418z00_1266,
						((obj_t) BgL_nodez00_4), BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_1729);
				}
			}
		}
	}



/* &node-copy! */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t
		BgL_envz00_1651, obj_t BgL_nodez00_1652)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			return
				BGl_nodezd2copyz12zc0zzreduce_copyz00(
				((BgL_nodez00_bglt) BgL_nodez00_1652));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc3634z00zzreduce_copyz00, BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00,
				BGl_proc3636z00zzreduce_copyz00, BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc3637z00zzreduce_copyz00, BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_closurez00zzast_nodez00, BGl_proc3638z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3639z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3640z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3641z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_externz00zzast_nodez00, BGl_proc3642z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc3643z00zzreduce_copyz00, BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00,
				BGl_proc3644z00zzreduce_copyz00, BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3645z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc3646z00zzreduce_copyz00, BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_selectz00zzast_nodez00, BGl_proc3647z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3648z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3649z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3650z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3651z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3652z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3653z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3654z00zzreduce_copyz00,
				BGl_string3635z00zzreduce_copyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00,
				BGl_proc3655z00zzreduce_copyz00, BGl_string3635z00zzreduce_copyz00);
		}
	}



/* &node-copy!-app3464 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2app3464z70zzreduce_copyz00(obj_t
		BgL_envz00_1674, BgL_appz00_bglt BgL_nodez00_1675)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 268 */
			{
				BgL_appz00_bglt BgL_nodez00_1467;

				BgL_nodez00_1467 = BgL_nodez00_1675;
				{	/* Reduce/copy.scm 269 */
					obj_t BgL_arg3612z00_1644;

					BgL_arg3612z00_1644 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1467)))->BgL_argsz00);
					BGl_nodezd2copyza2z12z62zzreduce_copyz00(BgL_arg3612z00_1644);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1467);
			}
		}
	}



/* &node-copy!-box-ref3462 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref3462za2zzreduce_copyz00(obj_t
		BgL_envz00_1676, BgL_boxzd2refzd2_bglt BgL_nodez00_1677)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 260 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1460;

				BgL_nodez00_1460 = BgL_nodez00_1677;
				{	/* Reduce/copy.scm 262 */
					BgL_nodez00_bglt BgL_arg3609z00_1464;

					{	/* Reduce/copy.scm 262 */
						BgL_varz00_bglt BgL_arg3611z00_1465;

						BgL_arg3611z00_1465 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1460)))->BgL_varz00);
						BgL_arg3609z00_1464 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg3611z00_1465));
					}
					{	/* Reduce/copy.scm 262 */
						BgL_varz00_bglt BgL_val3319z00_1642;

						BgL_val3319z00_1642 = ((BgL_varz00_bglt) BgL_arg3609z00_1464);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1460)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_1642), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1460);
			}
		}
	}



/* &node-copy!-box-set!3460 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz123460zb0zzreduce_copyz00(obj_t
		BgL_envz00_1678, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1679)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 251 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1451;

				BgL_nodez00_1451 = BgL_nodez00_1679;
				{	/* Reduce/copy.scm 253 */
					BgL_nodez00_bglt BgL_arg3605z00_1455;

					{	/* Reduce/copy.scm 253 */
						BgL_varz00_bglt BgL_arg3606z00_1456;

						BgL_arg3606z00_1456 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1451)))->BgL_varz00);
						BgL_arg3605z00_1455 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg3606z00_1456));
					}
					{	/* Reduce/copy.scm 253 */
						BgL_varz00_bglt BgL_val3345z00_1636;

						BgL_val3345z00_1636 = ((BgL_varz00_bglt) BgL_arg3605z00_1455);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1451)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_1636), BUNSPEC);
					}
				}
				{	/* Reduce/copy.scm 254 */
					BgL_nodez00_bglt BgL_arg3607z00_1457;

					{	/* Reduce/copy.scm 254 */
						BgL_nodez00_bglt BgL_arg3608z00_1458;

						BgL_arg3608z00_1458 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1451)))->BgL_valuez00);
						BgL_arg3607z00_1457 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3608z00_1458);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1451)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3607z00_1457), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1451);
			}
		}
	}



/* &node-copy!-make-box3458 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box3458za2zzreduce_copyz00(obj_t
		BgL_envz00_1680, BgL_makezd2boxzd2_bglt BgL_nodez00_1681)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 243 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1444;

				BgL_nodez00_1444 = BgL_nodez00_1681;
				{	/* Reduce/copy.scm 245 */
					BgL_nodez00_bglt BgL_arg3603z00_1448;

					{	/* Reduce/copy.scm 245 */
						BgL_nodez00_bglt BgL_arg3604z00_1449;

						BgL_arg3604z00_1449 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1444)))->BgL_valuez00);
						BgL_arg3603z00_1448 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3604z00_1449);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1444)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3603z00_1448), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1444);
			}
		}
	}



/* &node-copy!-jump-ex-i3455 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i3455z70zzreduce_copyz00(obj_t
		BgL_envz00_1682, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1683)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 234 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1435;

				BgL_nodez00_1435 = BgL_nodez00_1683;
				{	/* Reduce/copy.scm 236 */
					BgL_nodez00_bglt BgL_arg3599z00_1439;

					{	/* Reduce/copy.scm 236 */
						BgL_nodez00_bglt BgL_arg3600z00_1440;

						BgL_arg3600z00_1440 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1435)))->BgL_exitz00);
						BgL_arg3599z00_1439 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3600z00_1440);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1435)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg3599z00_1439), BUNSPEC);
				}
				{	/* Reduce/copy.scm 237 */
					BgL_nodez00_bglt BgL_arg3601z00_1441;

					{	/* Reduce/copy.scm 237 */
						BgL_nodez00_bglt BgL_arg3602z00_1442;

						BgL_arg3602z00_1442 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1435)))->BgL_valuez00);
						BgL_arg3601z00_1441 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3602z00_1442);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1435)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3601z00_1441), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1435);
			}
		}
	}



/* &node-copy!-set-ex-it3453 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it3453z70zzreduce_copyz00(obj_t
		BgL_envz00_1684, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1685)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 225 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1426;

				BgL_nodez00_1426 = BgL_nodez00_1685;
				{	/* Reduce/copy.scm 227 */
					BgL_nodez00_bglt BgL_arg3595z00_1430;

					{	/* Reduce/copy.scm 227 */
						BgL_nodez00_bglt BgL_arg3596z00_1431;

						BgL_arg3596z00_1431 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_bodyz00);
						BgL_arg3595z00_1430 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3596z00_1431);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3595z00_1430), BUNSPEC);
				}
				{	/* Reduce/copy.scm 228 */
					BgL_nodez00_bglt BgL_arg3597z00_1432;

					{	/* Reduce/copy.scm 228 */
						BgL_varz00_bglt BgL_arg3598z00_1433;

						BgL_arg3598z00_1433 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1426)))->BgL_varz00);
						BgL_arg3597z00_1432 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg3598z00_1433));
					}
					{	/* Reduce/copy.scm 228 */
						BgL_varz00_bglt BgL_val3229z00_1624;

						BgL_val3229z00_1624 = ((BgL_varz00_bglt) BgL_arg3597z00_1432);
						((((BgL_setzd2exzd2itz00_bglt) CREF(
										((obj_t) BgL_nodez00_1426)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3229z00_1624), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1426);
			}
		}
	}



/* &node-copy!-let-var3451 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var3451za2zzreduce_copyz00(obj_t
		BgL_envz00_1686, BgL_letzd2varzd2_bglt BgL_nodez00_1687)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 182 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1390;

				BgL_nodez00_1390 = BgL_nodez00_1687;
				{
					obj_t BgL_obindingsz00_1397;
					obj_t BgL_nbindingsz00_1398;

					{	/* Reduce/copy.scm 184 */
						obj_t BgL_arg3575z00_1396;

						BgL_arg3575z00_1396 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1390)))->BgL_bindingsz00);
						BgL_obindingsz00_1397 = BgL_arg3575z00_1396;
						BgL_nbindingsz00_1398 = BNIL;
					BgL_zc3anonymousza33576ze3z83_1399:
						if (NULLP(BgL_obindingsz00_1397))
							{	/* Reduce/copy.scm 187 */
								bool_t BgL_testz00_2037;

								if (NULLP(BgL_nbindingsz00_1398))
									{	/* Reduce/copy.scm 187 */
										BgL_testz00_2037 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((obj_t) BgL_nodez00_1390)))->BgL_removablezf3zf3);
									}
								else
									{	/* Reduce/copy.scm 187 */
										BgL_testz00_2037 = ((bool_t) 0);
									}
								if (BgL_testz00_2037)
									{	/* Reduce/copy.scm 188 */
										BgL_nodez00_bglt BgL_arg3579z00_1402;

										BgL_arg3579z00_1402 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((obj_t) BgL_nodez00_1390)))->BgL_bodyz00);
										return
											BGl_nodezd2copyz12zc0zzreduce_copyz00
											(BgL_arg3579z00_1402);
									}
								else
									{	/* Reduce/copy.scm 187 */
										((((BgL_letzd2varzd2_bglt) CREF(
														((obj_t) BgL_nodez00_1390)))->BgL_bindingsz00) =
											((obj_t) BgL_nbindingsz00_1398), BUNSPEC);
										{	/* Reduce/copy.scm 191 */
											BgL_nodez00_bglt BgL_arg3580z00_1403;

											{	/* Reduce/copy.scm 191 */
												BgL_nodez00_bglt BgL_arg3581z00_1404;

												BgL_arg3581z00_1404 =
													(((BgL_letzd2varzd2_bglt) CREF(
															((obj_t) BgL_nodez00_1390)))->BgL_bodyz00);
												BgL_arg3580z00_1403 =
													BGl_nodezd2copyz12zc0zzreduce_copyz00
													(BgL_arg3581z00_1404);
											}
											((((BgL_letzd2varzd2_bglt) CREF(
															((obj_t) BgL_nodez00_1390)))->BgL_bodyz00) =
												((BgL_nodez00_bglt) BgL_arg3580z00_1403), BUNSPEC);
										}
										return ((BgL_nodez00_bglt) BgL_nodez00_1390);
									}
							}
						else
							{	/* Reduce/copy.scm 193 */
								obj_t BgL_bindingz00_1406;

								BgL_bindingz00_1406 = CAR(BgL_obindingsz00_1397);
								{	/* Reduce/copy.scm 193 */
									obj_t BgL_varz00_1407;

									BgL_varz00_1407 = CAR(BgL_bindingz00_1406);
									{	/* Reduce/copy.scm 194 */
										BgL_nodez00_bglt BgL_valz00_1408;

										{	/* Reduce/copy.scm 195 */
											obj_t BgL_arg3594z00_1423;

											BgL_arg3594z00_1423 = CDR(BgL_bindingz00_1406);
											BgL_valz00_1408 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_arg3594z00_1423));
										}
										{	/* Reduce/copy.scm 195 */

											{	/* Reduce/copy.scm 196 */
												obj_t BgL_pairz00_1599;
												obj_t BgL_objz00_1600;

												BgL_pairz00_1599 = BgL_bindingz00_1406;
												BgL_objz00_1600 = ((obj_t) BgL_valz00_1408);
												SET_CDR(BgL_pairz00_1599, BgL_objz00_1600);
											}
											{	/* Reduce/copy.scm 205 */
												bool_t BgL_testz00_2060;

												{	/* Reduce/copy.scm 205 */
													bool_t BgL_testz00_2061;

													{	/* Reduce/copy.scm 205 */
														obj_t BgL_auxz00_2062;

														{	/* Reduce/copy.scm 205 */
															BgL_variablez00_bglt BgL_obj1615z00_1601;

															BgL_obj1615z00_1601 =
																((BgL_variablez00_bglt) BgL_varz00_1407);
															BgL_auxz00_2062 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1615z00_1601)))->
																BgL_accessz00);
														}
														BgL_testz00_2061 =
															(BgL_auxz00_2062 == CNST_TABLE_REF(((long) 2)));
													}
													if (BgL_testz00_2061)
														{	/* Reduce/copy.scm 206 */
															bool_t BgL__ortest_3393z00_1414;

															{	/* Reduce/copy.scm 206 */
																bool_t BgL_res3626z00_1603;

																{	/* Reduce/copy.scm 206 */
																	obj_t BgL_obj2196z00_1602;

																	BgL_obj2196z00_1602 =
																		((obj_t) BgL_valz00_1408);
																	BgL_res3626z00_1603 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj2196z00_1602,
																		BGl_atomz00zzast_nodez00);
																}
																BgL__ortest_3393z00_1414 = BgL_res3626z00_1603;
															}
															if (BgL__ortest_3393z00_1414)
																{	/* Reduce/copy.scm 206 */
																	BgL_testz00_2060 = BgL__ortest_3393z00_1414;
																}
															else
																{	/* Reduce/copy.scm 207 */
																	bool_t BgL_testz00_2071;

																	{	/* Reduce/copy.scm 207 */
																		bool_t BgL_res3627z00_1605;

																		{	/* Reduce/copy.scm 207 */
																			obj_t BgL_obj2216z00_1604;

																			BgL_obj2216z00_1604 =
																				((obj_t) BgL_valz00_1408);
																			BgL_res3627z00_1605 =
																				BGl_iszd2azf3z21zz__objectz00
																				(BgL_obj2216z00_1604,
																				BGl_varz00zzast_nodez00);
																		}
																		BgL_testz00_2071 = BgL_res3627z00_1605;
																	}
																	if (BgL_testz00_2071)
																		{	/* Reduce/copy.scm 208 */
																			bool_t BgL_testz00_2074;

																			{	/* Reduce/copy.scm 208 */
																				obj_t BgL_auxz00_2075;

																				{	/* Reduce/copy.scm 208 */
																					BgL_variablez00_bglt
																						BgL_obj1615z00_1607;
																					{	/* Reduce/copy.scm 208 */
																						BgL_varz00_bglt BgL_obj2201z00_1606;

																						BgL_obj2201z00_1606 =
																							((BgL_varz00_bglt)
																							BgL_valz00_1408);
																						BgL_obj1615z00_1607 =
																							(((BgL_varz00_bglt) CREF(((obj_t)
																										BgL_obj2201z00_1606)))->
																							BgL_variablez00);
																					}
																					BgL_auxz00_2075 =
																						(((BgL_variablez00_bglt) CREF(
																								((obj_t)
																									BgL_obj1615z00_1607)))->
																						BgL_accessz00);
																				}
																				BgL_testz00_2074 =
																					(BgL_auxz00_2075 ==
																					CNST_TABLE_REF(((long) 2)));
																			}
																			if (BgL_testz00_2074)
																				{	/* Reduce/copy.scm 211 */
																					BgL_typez00_bglt BgL_arg3588z00_1417;
																					BgL_typez00_bglt BgL_arg3589z00_1418;

																					{	/* Reduce/copy.scm 211 */
																						BgL_variablez00_bglt
																							BgL_obj1609z00_1608;
																						BgL_obj1609z00_1608 =
																							((BgL_variablez00_bglt)
																							BgL_varz00_1407);
																						BgL_arg3588z00_1417 =
																							(((BgL_variablez00_bglt)
																								CREF(((obj_t)
																										BgL_obj1609z00_1608)))->
																							BgL_typez00);
																					}
																					{	/* Reduce/copy.scm 212 */
																						BgL_variablez00_bglt
																							BgL_obj1609z00_1610;
																						{	/* Reduce/copy.scm 212 */
																							BgL_varz00_bglt
																								BgL_obj2201z00_1609;
																							BgL_obj2201z00_1609 =
																								((BgL_varz00_bglt)
																								BgL_valz00_1408);
																							BgL_obj1609z00_1610 =
																								(((BgL_varz00_bglt)
																									CREF(((obj_t)
																											BgL_obj2201z00_1609)))->
																								BgL_variablez00);
																						}
																						BgL_arg3589z00_1418 =
																							(((BgL_variablez00_bglt) CREF(
																									((obj_t)
																										BgL_obj1609z00_1610)))->
																							BgL_typez00);
																					}
																					BgL_testz00_2060 =
																						BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																						(BgL_arg3588z00_1417,
																						BgL_arg3589z00_1418);
																				}
																			else
																				{	/* Reduce/copy.scm 208 */
																					BgL_testz00_2060 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/copy.scm 207 */
																			BgL_testz00_2060 = ((bool_t) 0);
																		}
																}
														}
													else
														{	/* Reduce/copy.scm 205 */
															BgL_testz00_2060 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_2060)
													{	/* Reduce/copy.scm 205 */
														BGl_za2copyzd2removedza2zd2zzreduce_copyz00 =
															(BGl_za2copyzd2removedza2zd2zzreduce_copyz00 +
															((long) 1));
														{	/* Reduce/copy.scm 218 */
															BgL_variablez00_bglt BgL_obj1620z00_1614;
															obj_t BgL_val1619z00_1615;

															BgL_obj1620z00_1614 =
																((BgL_variablez00_bglt) BgL_varz00_1407);
															BgL_val1619z00_1615 = ((obj_t) BgL_valz00_1408);
															((((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1620z00_1614)))->
																	BgL_fastzd2alphazd2) =
																((obj_t) BgL_val1619z00_1615), BUNSPEC);
														}
														{
															obj_t BgL_obindingsz00_2097;

															BgL_obindingsz00_2097 =
																CDR(BgL_obindingsz00_1397);
															BgL_obindingsz00_1397 = BgL_obindingsz00_2097;
															goto BgL_zc3anonymousza33576ze3z83_1399;
														}
													}
												else
													{	/* Reduce/copy.scm 220 */
														obj_t BgL_arg3585z00_1411;
														obj_t BgL_arg3586z00_1412;

														BgL_arg3585z00_1411 = CDR(BgL_obindingsz00_1397);
														BgL_arg3586z00_1412 =
															MAKE_PAIR(BgL_bindingz00_1406,
															BgL_nbindingsz00_1398);
														{
															obj_t BgL_nbindingsz00_2102;
															obj_t BgL_obindingsz00_2101;

															BgL_obindingsz00_2101 = BgL_arg3585z00_1411;
															BgL_nbindingsz00_2102 = BgL_arg3586z00_1412;
															BgL_nbindingsz00_1398 = BgL_nbindingsz00_2102;
															BgL_obindingsz00_1397 = BgL_obindingsz00_2101;
															goto BgL_zc3anonymousza33576ze3z83_1399;
														}
													}
											}
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &node-copy!-let-fun3449 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun3449za2zzreduce_copyz00(obj_t
		BgL_envz00_1688, BgL_letzd2funzd2_bglt BgL_nodez00_1689)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 170 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1372;

				BgL_nodez00_1372 = BgL_nodez00_1689;
				{	/* Reduce/copy.scm 172 */
					obj_t BgL_g3415z00_1376;

					BgL_g3415z00_1376 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1372)))->BgL_localsz00);
					{
						obj_t BgL_l3413z00_1378;

						BgL_l3413z00_1378 = BgL_g3415z00_1376;
					BgL_zc3anonymousza33568ze3z83_1379:
						if (PAIRP(BgL_l3413z00_1378))
							{	/* Reduce/copy.scm 172 */
								{	/* Reduce/copy.scm 173 */
									obj_t BgL_localz00_1381;

									BgL_localz00_1381 = CAR(BgL_l3413z00_1378);
									{	/* Reduce/copy.scm 173 */
										BgL_valuez00_bglt BgL_funz00_1382;

										{	/* Reduce/copy.scm 173 */
											BgL_variablez00_bglt BgL_obj1612z00_1577;

											BgL_obj1612z00_1577 =
												((BgL_variablez00_bglt) BgL_localz00_1381);
											BgL_funz00_1382 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1577)))->BgL_valuez00);
										}
										{	/* Reduce/copy.scm 174 */
											BgL_nodez00_bglt BgL_arg3570z00_1383;

											{	/* Reduce/copy.scm 174 */
												obj_t BgL_arg3571z00_1384;

												{	/* Reduce/copy.scm 174 */
													BgL_sfunz00_bglt BgL_obj1924z00_1578;

													BgL_obj1924z00_1578 =
														((BgL_sfunz00_bglt) BgL_funz00_1382);
													BgL_arg3571z00_1384 =
														(((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1924z00_1578)))->BgL_bodyz00);
												}
												BgL_arg3570z00_1383 =
													BGl_nodezd2copyz12zc0zzreduce_copyz00(
													((BgL_nodez00_bglt) BgL_arg3571z00_1384));
											}
											{	/* Reduce/copy.scm 174 */
												BgL_sfunz00_bglt BgL_obj1926z00_1579;
												obj_t BgL_val1925z00_1580;

												BgL_obj1926z00_1579 =
													((BgL_sfunz00_bglt) BgL_funz00_1382);
												BgL_val1925z00_1580 = ((obj_t) BgL_arg3570z00_1383);
												((((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1926z00_1579)))->BgL_bodyz00) =
													((obj_t) BgL_val1925z00_1580), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l3413z00_2120;

									BgL_l3413z00_2120 = CDR(BgL_l3413z00_1378);
									BgL_l3413z00_1378 = BgL_l3413z00_2120;
									goto BgL_zc3anonymousza33568ze3z83_1379;
								}
							}
						else
							{	/* Reduce/copy.scm 172 */
								((bool_t) 1);
							}
					}
				}
				{	/* Reduce/copy.scm 176 */
					BgL_nodez00_bglt BgL_arg3573z00_1387;

					{	/* Reduce/copy.scm 176 */
						BgL_nodez00_bglt BgL_arg3574z00_1388;

						BgL_arg3574z00_1388 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1372)))->BgL_bodyz00);
						BgL_arg3573z00_1387 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3574z00_1388);
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1372)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3573z00_1387), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1372);
			}
		}
	}



/* &node-copy!-select3447 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2select3447z70zzreduce_copyz00(obj_t
		BgL_envz00_1690, BgL_selectz00_bglt BgL_nodez00_1691)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 159 */
			{
				BgL_selectz00_bglt BgL_nodez00_1355;

				BgL_nodez00_1355 = BgL_nodez00_1691;
				{	/* Reduce/copy.scm 161 */
					BgL_nodez00_bglt BgL_arg3561z00_1359;

					{	/* Reduce/copy.scm 161 */
						BgL_nodez00_bglt BgL_arg3562z00_1360;

						BgL_arg3562z00_1360 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1355)))->BgL_testz00);
						BgL_arg3561z00_1359 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3562z00_1360);
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1355)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3561z00_1359), BUNSPEC);
				}
				{	/* Reduce/copy.scm 162 */
					obj_t BgL_g3412z00_1361;

					BgL_g3412z00_1361 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1355)))->BgL_clausesz00);
					{
						obj_t BgL_l3410z00_1363;

						BgL_l3410z00_1363 = BgL_g3412z00_1361;
					BgL_zc3anonymousza33563ze3z83_1364:
						if (PAIRP(BgL_l3410z00_1363))
							{	/* Reduce/copy.scm 162 */
								{	/* Reduce/copy.scm 163 */
									obj_t BgL_clausez00_1366;

									BgL_clausez00_1366 = CAR(BgL_l3410z00_1363);
									{	/* Reduce/copy.scm 163 */
										BgL_nodez00_bglt BgL_arg3565z00_1367;

										{	/* Reduce/copy.scm 163 */
											obj_t BgL_arg3566z00_1368;

											BgL_arg3566z00_1368 = CDR(BgL_clausez00_1366);
											BgL_arg3565z00_1367 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_arg3566z00_1368));
										}
										{	/* Reduce/copy.scm 163 */
											obj_t BgL_pairz00_1570;
											obj_t BgL_objz00_1571;

											BgL_pairz00_1570 = BgL_clausez00_1366;
											BgL_objz00_1571 = ((obj_t) BgL_arg3565z00_1367);
											SET_CDR(BgL_pairz00_1570, BgL_objz00_1571);
										}
									}
								}
								{
									obj_t BgL_l3410z00_2143;

									BgL_l3410z00_2143 = CDR(BgL_l3410z00_1363);
									BgL_l3410z00_1363 = BgL_l3410z00_2143;
									goto BgL_zc3anonymousza33563ze3z83_1364;
								}
							}
						else
							{	/* Reduce/copy.scm 162 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1355);
			}
		}
	}



/* &node-copy!-fail3445 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2fail3445z70zzreduce_copyz00(obj_t
		BgL_envz00_1692, BgL_failz00_bglt BgL_nodez00_1693)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 149 */
			{
				BgL_failz00_bglt BgL_nodez00_1344;

				BgL_nodez00_1344 = BgL_nodez00_1693;
				{	/* Reduce/copy.scm 151 */
					BgL_nodez00_bglt BgL_arg3555z00_1348;

					{	/* Reduce/copy.scm 151 */
						BgL_nodez00_bglt BgL_arg3556z00_1349;

						BgL_arg3556z00_1349 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1344)))->BgL_procz00);
						BgL_arg3555z00_1348 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3556z00_1349);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1344)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg3555z00_1348), BUNSPEC);
				}
				{	/* Reduce/copy.scm 152 */
					BgL_nodez00_bglt BgL_arg3557z00_1350;

					{	/* Reduce/copy.scm 152 */
						BgL_nodez00_bglt BgL_arg3558z00_1351;

						BgL_arg3558z00_1351 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1344)))->BgL_msgz00);
						BgL_arg3557z00_1350 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3558z00_1351);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1344)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg3557z00_1350), BUNSPEC);
				}
				{	/* Reduce/copy.scm 153 */
					BgL_nodez00_bglt BgL_arg3559z00_1352;

					{	/* Reduce/copy.scm 153 */
						BgL_nodez00_bglt BgL_arg3560z00_1353;

						BgL_arg3560z00_1353 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1344)))->BgL_objz00);
						BgL_arg3559z00_1352 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3560z00_1353);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1344)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg3559z00_1352), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1344);
			}
		}
	}



/* &node-copy!-condition3443 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition3443z70zzreduce_copyz00(obj_t
		BgL_envz00_1694, BgL_conditionalz00_bglt BgL_nodez00_1695)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 139 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1333;

				BgL_nodez00_1333 = BgL_nodez00_1695;
				{	/* Reduce/copy.scm 141 */
					BgL_nodez00_bglt BgL_arg3549z00_1337;

					{	/* Reduce/copy.scm 141 */
						BgL_nodez00_bglt BgL_arg3550z00_1338;

						BgL_arg3550z00_1338 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1333)))->BgL_testz00);
						BgL_arg3549z00_1337 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3550z00_1338);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1333)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3549z00_1337), BUNSPEC);
				}
				{	/* Reduce/copy.scm 142 */
					BgL_nodez00_bglt BgL_arg3551z00_1339;

					{	/* Reduce/copy.scm 142 */
						BgL_nodez00_bglt BgL_arg3552z00_1340;

						BgL_arg3552z00_1340 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1333)))->BgL_truez00);
						BgL_arg3551z00_1339 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3552z00_1340);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1333)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_arg3551z00_1339), BUNSPEC);
				}
				{	/* Reduce/copy.scm 143 */
					BgL_nodez00_bglt BgL_arg3553z00_1341;

					{	/* Reduce/copy.scm 143 */
						BgL_nodez00_bglt BgL_arg3554z00_1342;

						BgL_arg3554z00_1342 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1333)))->BgL_falsez00);
						BgL_arg3553z00_1341 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3554z00_1342);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1333)))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_arg3553z00_1341), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1333);
			}
		}
	}



/* &node-copy!-setq3438 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2setq3438z70zzreduce_copyz00(obj_t
		BgL_envz00_1696, BgL_setqz00_bglt BgL_nodez00_1697)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 130 */
			{
				BgL_setqz00_bglt BgL_nodez00_1324;

				BgL_nodez00_1324 = BgL_nodez00_1697;
				{	/* Reduce/copy.scm 132 */
					BgL_nodez00_bglt BgL_arg3545z00_1328;

					{	/* Reduce/copy.scm 132 */
						BgL_nodez00_bglt BgL_arg3546z00_1329;

						BgL_arg3546z00_1329 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1324)))->BgL_valuez00);
						BgL_arg3545z00_1328 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3546z00_1329);
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1324)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3545z00_1328), BUNSPEC);
				}
				{	/* Reduce/copy.scm 133 */
					BgL_nodez00_bglt BgL_arg3547z00_1330;

					{	/* Reduce/copy.scm 133 */
						BgL_varz00_bglt BgL_arg3548z00_1331;

						BgL_arg3548z00_1331 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1324)))->BgL_varz00);
						BgL_arg3547z00_1330 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg3548z00_1331));
					}
					{	/* Reduce/copy.scm 133 */
						BgL_varz00_bglt BgL_val3005z00_1543;

						BgL_val3005z00_1543 = ((BgL_varz00_bglt) BgL_arg3547z00_1330);
						((((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_1324)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3005z00_1543), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1324);
			}
		}
	}



/* &node-copy!-cast3436 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2cast3436z70zzreduce_copyz00(obj_t
		BgL_envz00_1698, BgL_castz00_bglt BgL_nodez00_1699)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 122 */
			{
				BgL_castz00_bglt BgL_nodez00_1317;

				BgL_nodez00_1317 = BgL_nodez00_1699;
				{	/* Reduce/copy.scm 124 */
					BgL_nodez00_bglt BgL_arg3543z00_1321;

					{	/* Reduce/copy.scm 124 */
						BgL_nodez00_bglt BgL_arg3544z00_1322;

						BgL_arg3544z00_1322 =
							(((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_1317)))->BgL_argz00);
						BgL_arg3543z00_1321 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3544z00_1322);
					}
					((((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_1317)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3543z00_1321), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1317);
			}
		}
	}



/* &node-copy!-extern3434 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2extern3434z70zzreduce_copyz00(obj_t
		BgL_envz00_1700, BgL_externz00_bglt BgL_nodez00_1701)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 114 */
			{
				BgL_externz00_bglt BgL_nodez00_1311;

				BgL_nodez00_1311 = BgL_nodez00_1701;
				{	/* Reduce/copy.scm 115 */
					obj_t BgL_arg3542z00_1533;

					BgL_arg3542z00_1533 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1311)))->BgL_exprza2za2);
					BGl_nodezd2copyza2z12z62zzreduce_copyz00(BgL_arg3542z00_1533);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1311);
			}
		}
	}



/* &node-copy!-funcall3432 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2funcall3432z70zzreduce_copyz00(obj_t
		BgL_envz00_1702, BgL_funcallz00_bglt BgL_nodez00_1703)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 105 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1303;

				BgL_nodez00_1303 = BgL_nodez00_1703;
				{	/* Reduce/copy.scm 107 */
					BgL_nodez00_bglt BgL_arg3539z00_1307;

					{	/* Reduce/copy.scm 107 */
						BgL_nodez00_bglt BgL_arg3540z00_1308;

						BgL_arg3540z00_1308 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1303)))->BgL_funz00);
						BgL_arg3539z00_1307 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3540z00_1308);
					}
					((((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1303)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3539z00_1307), BUNSPEC);
				}
				{	/* Reduce/copy.scm 108 */
					obj_t BgL_arg3541z00_1309;

					BgL_arg3541z00_1309 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1303)))->BgL_argsz00);
					BGl_nodezd2copyza2z12z62zzreduce_copyz00(BgL_arg3541z00_1309);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1303);
			}
		}
	}



/* &node-copy!-app-ly3430 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2appzd2ly3430za2zzreduce_copyz00(obj_t
		BgL_envz00_1704, BgL_appzd2lyzd2_bglt BgL_nodez00_1705)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 96 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1294;

				BgL_nodez00_1294 = BgL_nodez00_1705;
				{	/* Reduce/copy.scm 98 */
					BgL_nodez00_bglt BgL_arg3535z00_1298;

					{	/* Reduce/copy.scm 98 */
						BgL_nodez00_bglt BgL_arg3536z00_1299;

						BgL_arg3536z00_1299 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1294)))->BgL_funz00);
						BgL_arg3535z00_1298 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3536z00_1299);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1294)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3535z00_1298), BUNSPEC);
				}
				{	/* Reduce/copy.scm 99 */
					BgL_nodez00_bglt BgL_arg3537z00_1300;

					{	/* Reduce/copy.scm 99 */
						BgL_nodez00_bglt BgL_arg3538z00_1301;

						BgL_arg3538z00_1301 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1294)))->BgL_argz00);
						BgL_arg3537z00_1300 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg3538z00_1301);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1294)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3537z00_1300), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1294);
			}
		}
	}



/* &node-copy!-sequence3428 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sequence3428z70zzreduce_copyz00(obj_t
		BgL_envz00_1706, BgL_sequencez00_bglt BgL_nodez00_1707)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 88 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1288;

				BgL_nodez00_1288 = BgL_nodez00_1707;
				{	/* Reduce/copy.scm 89 */
					obj_t BgL_arg3534z00_1520;

					BgL_arg3534z00_1520 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1288)))->BgL_nodesz00);
					BGl_nodezd2copyza2z12z62zzreduce_copyz00(BgL_arg3534z00_1520);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1288);
			}
		}
	}



/* &node-copy!-closure3426 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2closure3426z70zzreduce_copyz00(obj_t
		BgL_envz00_1708, BgL_closurez00_bglt BgL_nodez00_1709)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 82 */
			return ((BgL_nodez00_bglt) BgL_nodez00_1709);
		}
	}



/* &node-copy!-var3424 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2var3424z70zzreduce_copyz00(obj_t
		BgL_envz00_1710, BgL_varz00_bglt BgL_nodez00_1711)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 72 */
			{
				BgL_varz00_bglt BgL_nodez00_1275;

				BgL_nodez00_1275 = BgL_nodez00_1711;
				{	/* Reduce/copy.scm 73 */
					BgL_variablez00_bglt BgL_vz00_1278;

					BgL_vz00_1278 =
						(((BgL_varz00_bglt) CREF(
								((obj_t) BgL_nodez00_1275)))->BgL_variablez00);
					{	/* Reduce/copy.scm 74 */
						obj_t BgL_falphaz00_1279;

						BgL_falphaz00_1279 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_vz00_1278)))->BgL_fastzd2alphazd2);
						if ((BgL_falphaz00_1279 == BUNSPEC))
							{	/* Reduce/copy.scm 75 */
								return ((BgL_nodez00_bglt) BgL_nodez00_1275);
							}
						else
							{	/* Reduce/copy.scm 76 */
								obj_t BgL_arg3532z00_1281;
								BgL_nodez00_bglt BgL_arg3533z00_1282;

								{	/* Reduce/copy.scm 76 */
									BgL_nodez00_bglt BgL_obj2136z00_1518;

									BgL_obj2136z00_1518 = ((BgL_nodez00_bglt) BgL_nodez00_1275);
									BgL_arg3532z00_1281 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2136z00_1518)))->BgL_locz00);
								}
								BgL_arg3533z00_1282 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_falphaz00_1279));
								return
									BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg3532z00_1281, BgL_arg3533z00_1282);
							}
					}
				}
			}
		}
	}



/* &node-copy!-kwote3422 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2kwote3422z70zzreduce_copyz00(obj_t
		BgL_envz00_1712, BgL_kwotez00_bglt BgL_nodez00_1713)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 66 */
			return ((BgL_nodez00_bglt) BgL_nodez00_1713);
		}
	}



/* &node-copy!-atom3420 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2atom3420z70zzreduce_copyz00(obj_t
		BgL_envz00_1714, BgL_atomz00_bglt BgL_nodez00_1715)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 60 */
			return ((BgL_nodez00_bglt) BgL_nodez00_1715);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 9037614),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 234439708),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string3656z00zzreduce_copyz00));
		}
	}

#ifdef __cplusplus
}
#endif
