/*===========================================================================*/
/*   (Reduce/ftypec.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/ftypec.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence3698z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_sequencez00_bglt, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz123695za2zzreduce_flowzd2typeczd2(obj_t,
		BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun3717za2zzreduce_flowzd2typeczd2(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast3707z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_castz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd23725z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq3709z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_setqz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var3720za2zzreduce_flowzd2typeczd2(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
		BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app3733z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_appz00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz123729zb0zzreduce_flowzd2typeczd2(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i3722z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio3711z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box3727za2zzreduce_flowzd2typeczd2(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall3703z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail3713z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_failz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select3715z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_selectz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly3700za2zzreduce_flowzd2typeczd2(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref3731za2zzreduce_flowzd2typeczd2(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern3705z70zzreduce_flowzd2typeczd2(obj_t,
		BgL_externz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73962za7,
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3938z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73963za7,
		BGl_z62nodezd2typecz123695za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3940z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73964za7,
		BGl_z62nodezd2typecz12zd2sequence3698z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3942z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73965za7,
		BGl_z62nodezd2typecz12zd2appzd2ly3700za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3943z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73966za7,
		BGl_z62nodezd2typecz12zd2funcall3703z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3944z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73967za7,
		BGl_z62nodezd2typecz12zd2extern3705z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3945z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73968za7,
		BGl_z62nodezd2typecz12zd2cast3707z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3946z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73969za7,
		BGl_z62nodezd2typecz12zd2setq3709z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3947z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73970za7,
		BGl_z62nodezd2typecz12zd2conditio3711z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3948z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73971za7,
		BGl_z62nodezd2typecz12zd2fail3713z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3949z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73972za7,
		BGl_z62nodezd2typecz12zd2select3715z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3950z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73973za7,
		BGl_z62nodezd2typecz12zd2letzd2fun3717za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3951z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73974za7,
		BGl_z62nodezd2typecz12zd2letzd2var3720za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3952z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73975za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i3722z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3953z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73976za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd23725z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3954z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73977za7,
		BGl_z62nodezd2typecz12zd2makezd2box3727za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3955z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73978za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz123729zb0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3956z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73979za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref3731za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3957z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza73980za7,
		BGl_z62nodezd2typecz12zd2app3733z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string3934z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3934za700za7za7r3981za7, "      flow type check        ", 29);
	      DEFINE_STRING(BGl_string3935z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3935za700za7za7r3982za7, ")\n", 2);
	      DEFINE_STRING(BGl_string3936z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3936za700za7za7r3983za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string3937z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3937za700za7za7r3984za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string3939z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3939za700za7za7r3985za7, "node-typec!3695", 15);
	      DEFINE_STRING(BGl_string3941z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3941za700za7za7r3986za7, "node-typec!", 11);
	      DEFINE_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3958za700za7za7r3987za7, "reduce_flow-typec", 17);
	      DEFINE_STRING(BGl_string3959z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3959za700za7za7r3988za7, "read done ", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2flowzd2typezd2checkz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762reduceza7d2flow3989z00,
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long
		BgL_checksumz00_2035, char *BgL_fromz00_2036)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2))
				{
					BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"reduce_flow-typec");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			{	/* Reduce/ftypec.scm 15 */
				obj_t BgL_cportz00_2025;

				BgL_cportz00_2025 =
					bgl_open_input_string(BGl_string3959z00zzreduce_flowzd2typeczd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_2026;

					BgL_iz00_2026 = ((long) 1);
				BgL_loopz00_2027:
					if ((BgL_iz00_2026 == ((long) -1)))
						{	/* Reduce/ftypec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/ftypec.scm 15 */
							{	/* Reduce/ftypec.scm 15 */
								obj_t BgL_arg3961z00_2029;

								{	/* Reduce/ftypec.scm 15 */

									{	/* Reduce/ftypec.scm 15 */
										obj_t BgL_locationz00_2031;

										BgL_locationz00_2031 = BBOOL(((bool_t) 0));
										{	/* Reduce/ftypec.scm 15 */

											BgL_arg3961z00_2029 =
												BGl_readz00zz__readerz00(BgL_cportz00_2025,
												BgL_locationz00_2031);
										}
									}
								}
								{	/* Reduce/ftypec.scm 15 */
									int BgL_auxz00_2055;

									BgL_auxz00_2055 = (int) (BgL_iz00_2026);
									CNST_TABLE_SET(BgL_auxz00_2055, BgL_arg3961z00_2029);
							}}
							{	/* Reduce/ftypec.scm 15 */
								int BgL_auxz00_2032;

								BgL_auxz00_2032 = (int) ((BgL_iz00_2026 - ((long) 1)));
								{
									long BgL_iz00_2060;

									BgL_iz00_2060 = (long) (BgL_auxz00_2032);
									BgL_iz00_2026 = BgL_iz00_2060;
									goto BgL_loopz00_2027;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 =
				((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-flow-type-check! */
	BGL_EXPORTED_DEF obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			{	/* Reduce/ftypec.scm 55 */
				obj_t BgL_list3737z00_907;

				BgL_list3737z00_907 =
					MAKE_PAIR(BGl_string3934z00zzreduce_flowzd2typeczd2, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3737z00_907);
			}
			{
				obj_t BgL_l3684z00_909;

				BgL_l3684z00_909 = BgL_globalsz00_3;
			BgL_zc3anonymousza33738ze3z83_910:
				if (PAIRP(BgL_l3684z00_909))
					{	/* Reduce/ftypec.scm 56 */
						{	/* Reduce/ftypec.scm 57 */
							obj_t BgL_globalz00_912;

							BgL_globalz00_912 = CAR(BgL_l3684z00_909);
							{	/* Reduce/ftypec.scm 57 */
								BgL_valuez00_bglt BgL_funz00_913;

								{	/* Reduce/ftypec.scm 57 */
									BgL_variablez00_bglt BgL_obj1612z00_1614;

									BgL_obj1612z00_1614 =
										((BgL_variablez00_bglt) BgL_globalz00_912);
									BgL_funz00_913 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1614)))->BgL_valuez00);
								}
								{	/* Reduce/ftypec.scm 57 */
									obj_t BgL_nodez00_914;

									{	/* Reduce/ftypec.scm 58 */
										BgL_sfunz00_bglt BgL_obj1924z00_1615;

										BgL_obj1924z00_1615 = ((BgL_sfunz00_bglt) BgL_funz00_913);
										BgL_nodez00_914 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1924z00_1615)))->BgL_bodyz00);
									}
									{	/* Reduce/ftypec.scm 58 */

										{	/* Reduce/ftypec.scm 59 */
											BgL_nodez00_bglt BgL_arg3740z00_915;

											BgL_arg3740z00_915 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_nodez00_914), BNIL);
											{	/* Reduce/ftypec.scm 59 */
												BgL_sfunz00_bglt BgL_obj1926z00_1616;
												obj_t BgL_val1925z00_1617;

												BgL_obj1926z00_1616 =
													((BgL_sfunz00_bglt) BgL_funz00_913);
												BgL_val1925z00_1617 = ((obj_t) BgL_arg3740z00_915);
												((((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1926z00_1616)))->BgL_bodyz00) =
													((obj_t) BgL_val1925z00_1617), BUNSPEC);
											}
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l3684z00_2080;

							BgL_l3684z00_2080 = CDR(BgL_l3684z00_909);
							BgL_l3684z00_909 = BgL_l3684z00_2080;
							goto BgL_zc3anonymousza33738ze3z83_910;
						}
					}
				else
					{	/* Reduce/ftypec.scm 56 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/ftypec.scm 62 */
				obj_t BgL_list3742z00_918;

				{	/* Reduce/ftypec.scm 62 */
					obj_t BgL_arg3743z00_919;

					{	/* Reduce/ftypec.scm 62 */
						obj_t BgL_arg3744z00_920;

						{	/* Reduce/ftypec.scm 62 */
							obj_t BgL_arg3745z00_921;

							{	/* Reduce/ftypec.scm 62 */
								obj_t BgL_arg3746z00_922;

								BgL_arg3746z00_922 =
									MAKE_PAIR(BGl_string3935z00zzreduce_flowzd2typeczd2, BNIL);
								BgL_arg3745z00_921 =
									MAKE_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2),
									BgL_arg3746z00_922);
							}
							BgL_arg3744z00_920 =
								MAKE_PAIR(BGl_string3936z00zzreduce_flowzd2typeczd2,
								BgL_arg3745z00_921);
						}
						BgL_arg3743z00_919 =
							MAKE_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2),
							BgL_arg3744z00_920);
					}
					BgL_list3742z00_918 =
						MAKE_PAIR(BGl_string3937z00zzreduce_flowzd2typeczd2,
						BgL_arg3743z00_919);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3742z00_918);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-flow-type-check! */
	obj_t BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1814, obj_t BgL_globalsz00_1815)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			return
				BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
				(BgL_globalsz00_1815);
		}
	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t
		BgL_nodeza2za2_38, obj_t BgL_stackz00_39)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 285 */
			{
				obj_t BgL_nodeza2za2_924;

				BgL_nodeza2za2_924 = BgL_nodeza2za2_38;
			BgL_zc3anonymousza33747ze3z83_925:
				if (NULLP(BgL_nodeza2za2_924))
					{	/* Reduce/ftypec.scm 287 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/ftypec.scm 287 */
						{	/* Reduce/ftypec.scm 290 */
							BgL_nodez00_bglt BgL_arg3749z00_927;

							{	/* Reduce/ftypec.scm 290 */
								obj_t BgL_arg3750z00_928;

								BgL_arg3750z00_928 = CAR(BgL_nodeza2za2_924);
								BgL_arg3749z00_927 =
									BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
									((BgL_nodez00_bglt) BgL_arg3750z00_928), BgL_stackz00_39);
							}
							{	/* Reduce/ftypec.scm 290 */
								obj_t BgL_pairz00_1622;
								obj_t BgL_objz00_1623;

								BgL_pairz00_1622 = BgL_nodeza2za2_924;
								BgL_objz00_1623 = ((obj_t) BgL_arg3749z00_927);
								SET_CAR(BgL_pairz00_1622, BgL_objz00_1623);
							}
						}
						{
							obj_t BgL_nodeza2za2_2100;

							BgL_nodeza2za2_2100 = CDR(BgL_nodeza2za2_924);
							BgL_nodeza2za2_924 = BgL_nodeza2za2_2100;
							goto BgL_zc3anonymousza33747ze3z83_925;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_proc3938z00zzreduce_flowzd2typeczd2, BGl_nodez00zzast_nodez00,
				BGl_string3939z00zzreduce_flowzd2typeczd2);
		}
	}



/* &node-typec!3695 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz123695za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1817, BgL_nodez00_bglt BgL_nodez00_1818, obj_t BgL_stackz00_1819)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			return BgL_nodez00_1818;
		}
	}



/* node-typec! */
	BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			{	/* Reduce/ftypec.scm 76 */
				obj_t BgL_method3696z00_1353;

				{	/* Reduce/ftypec.scm 76 */
					obj_t BgL_res3923z00_1653;

					{	/* Reduce/ftypec.scm 76 */
						BgL_objectz00_bglt BgL_objz00_1625;

						BgL_objz00_1625 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/ftypec.scm 76 */
							long BgL_objzd2classzd2numz00_1626;

							{	/* Reduce/ftypec.scm 76 */
								long BgL_res3917z00_1629;

								BgL_res3917z00_1629 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1625);
								BgL_objzd2classzd2numz00_1626 = BgL_res3917z00_1629;
							}
							{	/* Reduce/ftypec.scm 76 */
								obj_t BgL_arg2545z00_1627;

								BgL_arg2545z00_1627 =
									PROCEDURE_REF
									(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
									(int) (((long) 1)));
								{	/* Reduce/ftypec.scm 76 */
									obj_t BgL_arrayz00_1630;
									int BgL_offsetz00_1631;

									BgL_arrayz00_1630 = BgL_arg2545z00_1627;
									BgL_offsetz00_1631 = (int) (BgL_objzd2classzd2numz00_1626);
									{	/* Reduce/ftypec.scm 76 */
										long BgL_offsetz00_1632;

										BgL_offsetz00_1632 =
											((long) (BgL_offsetz00_1631) - OBJECT_TYPE);
										{	/* Reduce/ftypec.scm 76 */
											long BgL_modz00_1633;

											{	/* Reduce/ftypec.scm 76 */
												int BgL_arg2547z00_1634;

												BgL_arg2547z00_1634 = (int) (((long) 16));
												{	/* Reduce/ftypec.scm 76 */
													long BgL_res3920z00_1644;

													{	/* Reduce/ftypec.scm 76 */
														long BgL_auxz00_2111;

														BgL_auxz00_2111 = (long) (BgL_arg2547z00_1634);
														BgL_res3920z00_1644 =
															(BgL_offsetz00_1632 / BgL_auxz00_2111);
													}
													BgL_modz00_1633 = BgL_res3920z00_1644;
											}}
											{	/* Reduce/ftypec.scm 76 */
												long BgL_restz00_1635;

												{	/* Reduce/ftypec.scm 76 */
													int BgL_arg2546z00_1636;

													BgL_arg2546z00_1636 = (int) (((long) 16));
													{	/* Reduce/ftypec.scm 76 */
														long BgL_res3922z00_1648;

														{	/* Reduce/ftypec.scm 76 */
															long BgL_auxz00_2115;

															BgL_auxz00_2115 = (long) (BgL_arg2546z00_1636);
															BgL_res3922z00_1648 =
																(BgL_offsetz00_1632 % BgL_auxz00_2115);
														}
														BgL_restz00_1635 = BgL_res3922z00_1648;
												}}
												{	/* Reduce/ftypec.scm 76 */

													BgL_res3923z00_1653 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1630,
															(int) (BgL_modz00_1633)),
														(int) (BgL_restz00_1635));
					}}}}}}}}
					BgL_method3696z00_1353 = BgL_res3923z00_1653;
				}
				{	/* Reduce/ftypec.scm 76 */
					obj_t BgL_xz00_1903;

					BgL_xz00_1903 =
						PROCEDURE_ENTRY(BgL_method3696z00_1353) (BgL_method3696z00_1353,
						((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_1903);
				}
			}
		}
	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1820, obj_t BgL_nodez00_1821, obj_t BgL_stackz00_1822)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			return
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				((BgL_nodez00_bglt) BgL_nodez00_1821), BgL_stackz00_1822);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_sequencez00zzast_nodez00, BGl_proc3940z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3942z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_funcallz00zzast_nodez00, BGl_proc3943z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_externz00zzast_nodez00, BGl_proc3944z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_castz00zzast_nodez00, BGl_proc3945z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setqz00zzast_nodez00, BGl_proc3946z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc3947z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_failz00zzast_nodez00, BGl_proc3948z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_selectz00zzast_nodez00, BGl_proc3949z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3950z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3951z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3952z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3953z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3954z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3955z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3956z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appz00zzast_nodez00, BGl_proc3957z00zzreduce_flowzd2typeczd2,
				BGl_string3941z00zzreduce_flowzd2typeczd2);
		}
	}



/* &node-typec!-app3733 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app3733z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1840, BgL_appz00_bglt BgL_nodez00_1841, obj_t BgL_stackz00_1842)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 301 */
			{
				BgL_appz00_bglt BgL_nodez00_1604;
				obj_t BgL_stackz00_1605;

				BgL_nodez00_1604 = BgL_nodez00_1841;
				BgL_stackz00_1605 = BgL_stackz00_1842;
				{	/* Reduce/ftypec.scm 302 */
					obj_t BgL_arg3914z00_1812;

					BgL_arg3914z00_1812 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1604)))->BgL_argsz00);
					BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(BgL_arg3914z00_1812,
						BgL_stackz00_1605);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1604);
			}
		}
	}



/* &node-typec!-box-ref3731 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref3731za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1843, BgL_boxzd2refzd2_bglt BgL_nodez00_1844,
		obj_t BgL_stackz00_1845)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 277 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1596;
				obj_t BgL_stackz00_1597;

				BgL_nodez00_1596 = BgL_nodez00_1844;
				BgL_stackz00_1597 = BgL_stackz00_1845;
				{	/* Reduce/ftypec.scm 278 */
					BgL_nodez00_bglt BgL_arg3912z00_1806;

					{	/* Reduce/ftypec.scm 278 */
						BgL_varz00_bglt BgL_arg3913z00_1807;

						BgL_arg3913z00_1807 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1596)))->BgL_varz00);
						BgL_arg3912z00_1806 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg3913z00_1807), BgL_stackz00_1597);
					}
					{	/* Reduce/ftypec.scm 278 */
						BgL_varz00_bglt BgL_val3319z00_1810;

						BgL_val3319z00_1810 = ((BgL_varz00_bglt) BgL_arg3912z00_1806);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1596)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_1810), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1596);
			}
		}
	}



/* &node-typec!-box-set!3729 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz123729zb0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1846, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1847,
		obj_t BgL_stackz00_1848)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 268 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1586;
				obj_t BgL_stackz00_1587;

				BgL_nodez00_1586 = BgL_nodez00_1847;
				BgL_stackz00_1587 = BgL_stackz00_1848;
				{	/* Reduce/ftypec.scm 270 */
					BgL_nodez00_bglt BgL_arg3908z00_1591;

					{	/* Reduce/ftypec.scm 270 */
						BgL_varz00_bglt BgL_arg3909z00_1592;

						BgL_arg3909z00_1592 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1586)))->BgL_varz00);
						BgL_arg3908z00_1591 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg3909z00_1592), BgL_stackz00_1587);
					}
					{	/* Reduce/ftypec.scm 270 */
						BgL_varz00_bglt BgL_val3345z00_1801;

						BgL_val3345z00_1801 = ((BgL_varz00_bglt) BgL_arg3908z00_1591);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1586)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_1801), BUNSPEC);
					}
				}
				{	/* Reduce/ftypec.scm 271 */
					BgL_nodez00_bglt BgL_arg3910z00_1593;

					{	/* Reduce/ftypec.scm 271 */
						BgL_nodez00_bglt BgL_arg3911z00_1594;

						BgL_arg3911z00_1594 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1586)))->BgL_valuez00);
						BgL_arg3910z00_1593 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3911z00_1594, BgL_stackz00_1587);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1586)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3910z00_1593), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1586);
			}
		}
	}



/* &node-typec!-make-box3727 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box3727za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1849, BgL_makezd2boxzd2_bglt BgL_nodez00_1850,
		obj_t BgL_stackz00_1851)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 260 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1578;
				obj_t BgL_stackz00_1579;

				BgL_nodez00_1578 = BgL_nodez00_1850;
				BgL_stackz00_1579 = BgL_stackz00_1851;
				{	/* Reduce/ftypec.scm 261 */
					BgL_nodez00_bglt BgL_arg3906z00_1794;

					{	/* Reduce/ftypec.scm 261 */
						BgL_nodez00_bglt BgL_arg3907z00_1795;

						BgL_arg3907z00_1795 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1578)))->BgL_valuez00);
						BgL_arg3906z00_1794 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3907z00_1795, BgL_stackz00_1579);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1578)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3906z00_1794), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1578);
			}
		}
	}



/* &node-typec!-jump-ex-3725 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd23725z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1852, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1853,
		obj_t BgL_stackz00_1854)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 251 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1568;
				obj_t BgL_stackz00_1569;

				BgL_nodez00_1568 = BgL_nodez00_1853;
				BgL_stackz00_1569 = BgL_stackz00_1854;
				{	/* Reduce/ftypec.scm 253 */
					BgL_nodez00_bglt BgL_arg3902z00_1573;

					{	/* Reduce/ftypec.scm 253 */
						BgL_nodez00_bglt BgL_arg3903z00_1574;

						BgL_arg3903z00_1574 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1568)))->BgL_exitz00);
						BgL_arg3902z00_1573 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3903z00_1574, BgL_stackz00_1569);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1568)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg3902z00_1573), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 254 */
					BgL_nodez00_bglt BgL_arg3904z00_1575;

					{	/* Reduce/ftypec.scm 254 */
						BgL_nodez00_bglt BgL_arg3905z00_1576;

						BgL_arg3905z00_1576 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1568)))->BgL_valuez00);
						BgL_arg3904z00_1575 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3905z00_1576, BgL_stackz00_1569);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1568)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3904z00_1575), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1568);
			}
		}
	}



/* &node-typec!-set-ex-i3722 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i3722z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1855, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1856,
		obj_t BgL_stackz00_1857)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 242 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1558;
				obj_t BgL_stackz00_1559;

				BgL_nodez00_1558 = BgL_nodez00_1856;
				BgL_stackz00_1559 = BgL_stackz00_1857;
				{	/* Reduce/ftypec.scm 244 */
					BgL_nodez00_bglt BgL_arg3898z00_1563;

					{	/* Reduce/ftypec.scm 244 */
						BgL_nodez00_bglt BgL_arg3899z00_1564;

						BgL_arg3899z00_1564 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1558)))->BgL_bodyz00);
						BgL_arg3898z00_1563 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3899z00_1564, BgL_stackz00_1559);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1558)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3898z00_1563), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 245 */
					BgL_nodez00_bglt BgL_arg3900z00_1565;

					{	/* Reduce/ftypec.scm 245 */
						BgL_varz00_bglt BgL_arg3901z00_1566;

						BgL_arg3901z00_1566 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1558)))->BgL_varz00);
						BgL_arg3900z00_1565 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg3901z00_1566), BgL_stackz00_1559);
					}
					{	/* Reduce/ftypec.scm 245 */
						BgL_varz00_bglt BgL_val3229z00_1786;

						BgL_val3229z00_1786 = ((BgL_varz00_bglt) BgL_arg3900z00_1565);
						((((BgL_setzd2exzd2itz00_bglt) CREF(
										((obj_t) BgL_nodez00_1558)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3229z00_1786), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1558);
			}
		}
	}



/* &node-typec!-let-var3720 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var3720za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1858, BgL_letzd2varzd2_bglt BgL_nodez00_1859,
		obj_t BgL_stackz00_1860)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 231 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1540;
				obj_t BgL_stackz00_1541;

				BgL_nodez00_1540 = BgL_nodez00_1859;
				BgL_stackz00_1541 = BgL_stackz00_1860;
				{	/* Reduce/ftypec.scm 233 */
					obj_t BgL_g3694z00_1545;

					BgL_g3694z00_1545 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1540)))->BgL_bindingsz00);
					{
						obj_t BgL_l3692z00_1547;

						BgL_l3692z00_1547 = BgL_g3694z00_1545;
					BgL_zc3anonymousza33891ze3z83_1548:
						if (PAIRP(BgL_l3692z00_1547))
							{	/* Reduce/ftypec.scm 233 */
								{	/* Reduce/ftypec.scm 234 */
									obj_t BgL_bindingz00_1550;

									BgL_bindingz00_1550 = CAR(BgL_l3692z00_1547);
									{	/* Reduce/ftypec.scm 234 */
										BgL_nodez00_bglt BgL_arg3893z00_1551;

										{	/* Reduce/ftypec.scm 234 */
											obj_t BgL_arg3894z00_1552;

											BgL_arg3894z00_1552 = CDR(BgL_bindingz00_1550);
											BgL_arg3893z00_1551 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_arg3894z00_1552),
												BgL_stackz00_1541);
										}
										{	/* Reduce/ftypec.scm 234 */
											obj_t BgL_pairz00_1775;
											obj_t BgL_objz00_1776;

											BgL_pairz00_1775 = BgL_bindingz00_1550;
											BgL_objz00_1776 = ((obj_t) BgL_arg3893z00_1551);
											SET_CDR(BgL_pairz00_1775, BgL_objz00_1776);
										}
									}
								}
								{
									obj_t BgL_l3692z00_2213;

									BgL_l3692z00_2213 = CDR(BgL_l3692z00_1547);
									BgL_l3692z00_1547 = BgL_l3692z00_2213;
									goto BgL_zc3anonymousza33891ze3z83_1548;
								}
							}
						else
							{	/* Reduce/ftypec.scm 233 */
								((bool_t) 1);
							}
					}
				}
				{	/* Reduce/ftypec.scm 236 */
					BgL_nodez00_bglt BgL_arg3896z00_1555;

					{	/* Reduce/ftypec.scm 236 */
						BgL_nodez00_bglt BgL_arg3897z00_1556;

						BgL_arg3897z00_1556 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1540)))->BgL_bodyz00);
						BgL_arg3896z00_1555 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3897z00_1556, BgL_stackz00_1541);
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1540)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3896z00_1555), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1540);
			}
		}
	}



/* &node-typec!-let-fun3717 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun3717za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1861, BgL_letzd2funzd2_bglt BgL_nodez00_1862,
		obj_t BgL_stackz00_1863)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 219 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1521;
				obj_t BgL_stackz00_1522;

				BgL_nodez00_1521 = BgL_nodez00_1862;
				BgL_stackz00_1522 = BgL_stackz00_1863;
				{	/* Reduce/ftypec.scm 221 */
					obj_t BgL_g3691z00_1526;

					BgL_g3691z00_1526 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1521)))->BgL_localsz00);
					{
						obj_t BgL_l3689z00_1528;

						BgL_l3689z00_1528 = BgL_g3691z00_1526;
					BgL_zc3anonymousza33884ze3z83_1529:
						if (PAIRP(BgL_l3689z00_1528))
							{	/* Reduce/ftypec.scm 221 */
								{	/* Reduce/ftypec.scm 222 */
									obj_t BgL_localz00_1531;

									BgL_localz00_1531 = CAR(BgL_l3689z00_1528);
									{	/* Reduce/ftypec.scm 222 */
										BgL_valuez00_bglt BgL_funz00_1532;

										{	/* Reduce/ftypec.scm 222 */
											BgL_variablez00_bglt BgL_obj1612z00_1762;

											BgL_obj1612z00_1762 =
												((BgL_variablez00_bglt) BgL_localz00_1531);
											BgL_funz00_1532 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1762)))->BgL_valuez00);
										}
										{	/* Reduce/ftypec.scm 223 */
											BgL_nodez00_bglt BgL_arg3886z00_1533;

											{	/* Reduce/ftypec.scm 223 */
												obj_t BgL_arg3887z00_1534;

												{	/* Reduce/ftypec.scm 223 */
													BgL_sfunz00_bglt BgL_obj1924z00_1763;

													BgL_obj1924z00_1763 =
														((BgL_sfunz00_bglt) BgL_funz00_1532);
													BgL_arg3887z00_1534 =
														(((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1924z00_1763)))->BgL_bodyz00);
												}
												BgL_arg3886z00_1533 =
													BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
													((BgL_nodez00_bglt) BgL_arg3887z00_1534),
													BgL_stackz00_1522);
											}
											{	/* Reduce/ftypec.scm 223 */
												BgL_sfunz00_bglt BgL_obj1926z00_1764;
												obj_t BgL_val1925z00_1765;

												BgL_obj1926z00_1764 =
													((BgL_sfunz00_bglt) BgL_funz00_1532);
												BgL_val1925z00_1765 = ((obj_t) BgL_arg3886z00_1533);
												((((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_obj1926z00_1764)))->BgL_bodyz00) =
													((obj_t) BgL_val1925z00_1765), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l3689z00_2238;

									BgL_l3689z00_2238 = CDR(BgL_l3689z00_1528);
									BgL_l3689z00_1528 = BgL_l3689z00_2238;
									goto BgL_zc3anonymousza33884ze3z83_1529;
								}
							}
						else
							{	/* Reduce/ftypec.scm 221 */
								((bool_t) 1);
							}
					}
				}
				{	/* Reduce/ftypec.scm 225 */
					BgL_nodez00_bglt BgL_arg3889z00_1537;

					{	/* Reduce/ftypec.scm 225 */
						BgL_nodez00_bglt BgL_arg3890z00_1538;

						BgL_arg3890z00_1538 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1521)))->BgL_bodyz00);
						BgL_arg3889z00_1537 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3890z00_1538, BgL_stackz00_1522);
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1521)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg3889z00_1537), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1521);
			}
		}
	}



/* &node-typec!-select3715 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select3715z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1864, BgL_selectz00_bglt BgL_nodez00_1865,
		obj_t BgL_stackz00_1866)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 208 */
			{
				BgL_selectz00_bglt BgL_nodez00_1503;
				obj_t BgL_stackz00_1504;

				BgL_nodez00_1503 = BgL_nodez00_1865;
				BgL_stackz00_1504 = BgL_stackz00_1866;
				{	/* Reduce/ftypec.scm 210 */
					BgL_nodez00_bglt BgL_arg3877z00_1508;

					{	/* Reduce/ftypec.scm 210 */
						BgL_nodez00_bglt BgL_arg3878z00_1509;

						BgL_arg3878z00_1509 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1503)))->BgL_testz00);
						BgL_arg3877z00_1508 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3878z00_1509, BgL_stackz00_1504);
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1503)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg3877z00_1508), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 211 */
					obj_t BgL_g3688z00_1510;

					BgL_g3688z00_1510 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1503)))->BgL_clausesz00);
					{
						obj_t BgL_l3686z00_1512;

						BgL_l3686z00_1512 = BgL_g3688z00_1510;
					BgL_zc3anonymousza33879ze3z83_1513:
						if (PAIRP(BgL_l3686z00_1512))
							{	/* Reduce/ftypec.scm 211 */
								{	/* Reduce/ftypec.scm 212 */
									obj_t BgL_clausez00_1515;

									BgL_clausez00_1515 = CAR(BgL_l3686z00_1512);
									{	/* Reduce/ftypec.scm 212 */
										BgL_nodez00_bglt BgL_arg3881z00_1516;

										{	/* Reduce/ftypec.scm 212 */
											obj_t BgL_arg3882z00_1517;

											BgL_arg3882z00_1517 = CDR(BgL_clausez00_1515);
											BgL_arg3881z00_1516 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_arg3882z00_1517),
												BgL_stackz00_1504);
										}
										{	/* Reduce/ftypec.scm 212 */
											obj_t BgL_pairz00_1755;
											obj_t BgL_objz00_1756;

											BgL_pairz00_1755 = BgL_clausez00_1515;
											BgL_objz00_1756 = ((obj_t) BgL_arg3881z00_1516);
											SET_CDR(BgL_pairz00_1755, BgL_objz00_1756);
										}
									}
								}
								{
									obj_t BgL_l3686z00_2261;

									BgL_l3686z00_2261 = CDR(BgL_l3686z00_1512);
									BgL_l3686z00_1512 = BgL_l3686z00_2261;
									goto BgL_zc3anonymousza33879ze3z83_1513;
								}
							}
						else
							{	/* Reduce/ftypec.scm 211 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1503);
			}
		}
	}



/* &node-typec!-fail3713 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail3713z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1867, BgL_failz00_bglt BgL_nodez00_1868, obj_t BgL_stackz00_1869)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 198 */
			{
				BgL_failz00_bglt BgL_nodez00_1491;
				obj_t BgL_stackz00_1492;

				BgL_nodez00_1491 = BgL_nodez00_1868;
				BgL_stackz00_1492 = BgL_stackz00_1869;
				{	/* Reduce/ftypec.scm 200 */
					BgL_nodez00_bglt BgL_arg3871z00_1496;

					{	/* Reduce/ftypec.scm 200 */
						BgL_nodez00_bglt BgL_arg3872z00_1497;

						BgL_arg3872z00_1497 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1491)))->BgL_procz00);
						BgL_arg3871z00_1496 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3872z00_1497, BgL_stackz00_1492);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1491)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg3871z00_1496), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 201 */
					BgL_nodez00_bglt BgL_arg3873z00_1498;

					{	/* Reduce/ftypec.scm 201 */
						BgL_nodez00_bglt BgL_arg3874z00_1499;

						BgL_arg3874z00_1499 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1491)))->BgL_msgz00);
						BgL_arg3873z00_1498 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3874z00_1499, BgL_stackz00_1492);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1491)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg3873z00_1498), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 202 */
					BgL_nodez00_bglt BgL_arg3875z00_1500;

					{	/* Reduce/ftypec.scm 202 */
						BgL_nodez00_bglt BgL_arg3876z00_1501;

						BgL_arg3876z00_1501 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1491)))->BgL_objz00);
						BgL_arg3875z00_1500 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3876z00_1501, BgL_stackz00_1492);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1491)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg3875z00_1500), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1491);
			}
		}
	}



/* &node-typec!-conditio3711 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio3711z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1870, BgL_conditionalz00_bglt BgL_nodez00_1871,
		obj_t BgL_stackz00_1872)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 133 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1404;
				obj_t BgL_stackz00_1405;

				BgL_nodez00_1404 = BgL_nodez00_1871;
				BgL_stackz00_1405 = BgL_stackz00_1872;
				{
					BgL_nodez00_bglt BgL_nodez00_1441;

					{	/* Reduce/ftypec.scm 169 */
						BgL_nodez00_bglt BgL_arg3821z00_1411;

						{	/* Reduce/ftypec.scm 169 */
							BgL_nodez00_bglt BgL_arg3822z00_1412;

							BgL_arg3822z00_1412 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1404)))->BgL_testz00);
							BgL_arg3821z00_1411 =
								BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
								(BgL_arg3822z00_1412, BgL_stackz00_1405);
						}
						((((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1404)))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3821z00_1411), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 170 */
						obj_t BgL_typecz00_1413;

						BgL_nodez00_1441 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1404)))->BgL_testz00);
						{	/* Reduce/ftypec.scm 135 */
							bool_t BgL_testz00_2285;

							{	/* Reduce/ftypec.scm 135 */
								bool_t BgL_res3924z00_1680;

								{	/* Reduce/ftypec.scm 135 */
									obj_t BgL_obj2326z00_1679;

									BgL_obj2326z00_1679 = ((obj_t) BgL_nodez00_1441);
									BgL_res3924z00_1680 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2326z00_1679,
										BGl_appz00zzast_nodez00);
								}
								BgL_testz00_2285 = BgL_res3924z00_1680;
							}
							if (BgL_testz00_2285)
								{	/* Reduce/ftypec.scm 136 */
									BgL_appz00_bglt BgL_instance3649z00_1444;

									BgL_instance3649z00_1444 =
										((BgL_appz00_bglt) BgL_nodez00_1441);
									{	/* Reduce/ftypec.scm 137 */
										bool_t BgL_testz00_2289;

										{	/* Reduce/ftypec.scm 137 */
											obj_t BgL_auxz00_2290;

											BgL_auxz00_2290 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_instance3649z00_1444)))->BgL_argsz00);
											BgL_testz00_2289 = PAIRP(BgL_auxz00_2290);
										}
										if (BgL_testz00_2289)
											{	/* Reduce/ftypec.scm 138 */
												bool_t BgL_testz00_2294;

												{	/* Reduce/ftypec.scm 138 */
													obj_t BgL_auxz00_2295;

													{	/* Reduce/ftypec.scm 138 */
														obj_t BgL_pairz00_1685;

														BgL_pairz00_1685 =
															(((BgL_appz00_bglt) CREF(
																	((obj_t) BgL_instance3649z00_1444)))->
															BgL_argsz00);
														BgL_auxz00_2295 = CDR(BgL_pairz00_1685);
													}
													BgL_testz00_2294 = NULLP(BgL_auxz00_2295);
												}
												if (BgL_testz00_2294)
													{	/* Reduce/ftypec.scm 139 */
														bool_t BgL_testz00_2300;

														{	/* Reduce/ftypec.scm 139 */
															obj_t BgL_arg3851z00_1457;

															{	/* Reduce/ftypec.scm 139 */
																obj_t BgL_pairz00_1689;

																BgL_pairz00_1689 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_instance3649z00_1444)))->
																	BgL_argsz00);
																BgL_arg3851z00_1457 = CAR(BgL_pairz00_1689);
															}
															BgL_testz00_2300 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_arg3851z00_1457, BGl_varz00zzast_nodez00);
														}
														if (BgL_testz00_2300)
															{	/* Reduce/ftypec.scm 140 */
																bool_t BgL_testz00_2305;

																{	/* Reduce/ftypec.scm 140 */
																	obj_t BgL_auxz00_2306;

																	{	/* Reduce/ftypec.scm 140 */
																		BgL_variablez00_bglt BgL_arg3848z00_1454;

																		{	/* Reduce/ftypec.scm 140 */
																			BgL_varz00_bglt BgL_obj2201z00_1694;

																			{
																				obj_t BgL_auxz00_2307;

																				{	/* Reduce/ftypec.scm 140 */
																					obj_t BgL_pairz00_1693;

																					BgL_pairz00_1693 =
																						(((BgL_appz00_bglt) CREF(
																								((obj_t)
																									BgL_instance3649z00_1444)))->
																						BgL_argsz00);
																					BgL_auxz00_2307 =
																						CAR(BgL_pairz00_1693);
																				}
																				BgL_obj2201z00_1694 =
																					((BgL_varz00_bglt) BgL_auxz00_2307);
																			}
																			BgL_arg3848z00_1454 =
																				(((BgL_varz00_bglt) CREF(
																						((obj_t) BgL_obj2201z00_1694)))->
																				BgL_variablez00);
																		}
																		BgL_auxz00_2306 =
																			(((BgL_variablez00_bglt) CREF(
																					((obj_t) BgL_arg3848z00_1454)))->
																			BgL_accessz00);
																	}
																	BgL_testz00_2305 =
																		(BgL_auxz00_2306 ==
																		CNST_TABLE_REF(((long) 1)));
																}
																if (BgL_testz00_2305)
																	{	/* Reduce/ftypec.scm 141 */
																		BgL_varz00_bglt BgL_funz00_1449;

																		{	/* Reduce/ftypec.scm 141 */
																			BgL_appz00_bglt BgL_obj2299z00_1696;

																			BgL_obj2299z00_1696 =
																				((BgL_appz00_bglt) BgL_nodez00_1441);
																			BgL_funz00_1449 =
																				(((BgL_appz00_bglt) CREF(
																						((obj_t) BgL_obj2299z00_1696)))->
																				BgL_funz00);
																		}
																		{	/* Reduce/ftypec.scm 143 */

																			{	/* Reduce/ftypec.scm 143 */
																				BgL_funz00_bglt BgL_obj1858z00_1699;

																				{
																					BgL_valuez00_bglt BgL_auxz00_2321;

																					{	/* Reduce/ftypec.scm 142 */
																						BgL_variablez00_bglt
																							BgL_obj1612z00_1698;
																						BgL_obj1612z00_1698 =
																							(((BgL_varz00_bglt) CREF(((obj_t)
																										BgL_funz00_1449)))->
																							BgL_variablez00);
																						BgL_auxz00_2321 =
																							(((BgL_variablez00_bglt)
																								CREF(((obj_t)
																										BgL_obj1612z00_1698)))->
																							BgL_valuez00);
																					}
																					BgL_obj1858z00_1699 =
																						((BgL_funz00_bglt) BgL_auxz00_2321);
																				}
																				BgL_typecz00_1413 =
																					(((BgL_funz00_bglt) CREF(
																							((obj_t) BgL_obj1858z00_1699)))->
																					BgL_predicatezd2ofzd2);
																			}
																		}
																	}
																else
																	{	/* Reduce/ftypec.scm 140 */
																		BgL_typecz00_1413 = BFALSE;
																	}
															}
														else
															{	/* Reduce/ftypec.scm 139 */
																BgL_typecz00_1413 = BFALSE;
															}
													}
												else
													{	/* Reduce/ftypec.scm 138 */
														BgL_typecz00_1413 = BFALSE;
													}
											}
										else
											{	/* Reduce/ftypec.scm 137 */
												BgL_typecz00_1413 = BFALSE;
											}
									}
								}
							else
								{	/* Reduce/ftypec.scm 135 */
									BgL_typecz00_1413 = BFALSE;
								}
						}
						if (BGl_iszd2azf3z21zz__objectz00(BgL_typecz00_1413,
								BGl_typez00zztype_typez00))
							{	/* Reduce/ftypec.scm 176 */
								obj_t BgL_argsz00_1415;

								{	/* Reduce/ftypec.scm 176 */
									BgL_appz00_bglt BgL_obj2302z00_1707;

									BgL_obj2302z00_1707 =
										((BgL_appz00_bglt)
										(((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1404)))->BgL_testz00));
									BgL_argsz00_1415 =
										(((BgL_appz00_bglt) CREF(
												((obj_t) BgL_obj2302z00_1707)))->BgL_argsz00);
								}
								{	/* Reduce/ftypec.scm 176 */
									BgL_variablez00_bglt BgL_varz00_1416;

									{	/* Reduce/ftypec.scm 177 */
										BgL_varz00_bglt BgL_obj2201z00_1709;

										{	/* Reduce/ftypec.scm 177 */
											obj_t BgL_pairz00_1708;

											BgL_pairz00_1708 = BgL_argsz00_1415;
											BgL_obj2201z00_1709 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_1708));
										}
										BgL_varz00_1416 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_obj2201z00_1709)))->BgL_variablez00);
									}
									{	/* Reduce/ftypec.scm 177 */
										obj_t BgL_typesz00_1417;

										BgL_typesz00_1417 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_varz00_1416), BgL_stackz00_1405);
										{	/* Reduce/ftypec.scm 178 */
											obj_t BgL_tzd2stackzd2_1418;

											{	/* Reduce/ftypec.scm 179 */
												obj_t BgL_arg3836z00_1432;

												{	/* Reduce/ftypec.scm 179 */
													obj_t BgL_arg3837z00_1433;

													BgL_arg3837z00_1433 =
														MAKE_PAIR(BgL_typecz00_1413, BTRUE);
													BgL_arg3836z00_1432 =
														MAKE_PAIR(
														((obj_t) BgL_varz00_1416), BgL_arg3837z00_1433);
												}
												BgL_tzd2stackzd2_1418 =
													MAKE_PAIR(BgL_arg3836z00_1432, BgL_stackz00_1405);
											}
											{	/* Reduce/ftypec.scm 179 */
												obj_t BgL_fzd2stackzd2_1419;

												{	/* Reduce/ftypec.scm 180 */
													obj_t BgL_arg3834z00_1430;

													{	/* Reduce/ftypec.scm 180 */
														obj_t BgL_arg3835z00_1431;

														BgL_arg3835z00_1431 =
															MAKE_PAIR(BgL_typecz00_1413, BFALSE);
														BgL_arg3834z00_1430 =
															MAKE_PAIR(
															((obj_t) BgL_varz00_1416), BgL_arg3835z00_1431);
													}
													BgL_fzd2stackzd2_1419 =
														MAKE_PAIR(BgL_arg3834z00_1430, BgL_stackz00_1405);
												}
												{	/* Reduce/ftypec.scm 180 */

													{	/* Reduce/ftypec.scm 181 */
														bool_t BgL_testz00_2352;

														if (CBOOL(BgL_typesz00_1417))
															{	/* Reduce/ftypec.scm 181 */
																bool_t BgL_testz00_2355;

																{	/* Reduce/ftypec.scm 181 */
																	obj_t BgL_auxz00_2356;

																	{	/* Reduce/ftypec.scm 181 */
																		obj_t BgL_pairz00_1710;

																		BgL_pairz00_1710 = BgL_typesz00_1417;
																		BgL_auxz00_2356 =
																			CAR(CDR(BgL_pairz00_1710));
																	}
																	BgL_testz00_2355 =
																		(BgL_auxz00_2356 == BgL_typecz00_1413);
																}
																if (BgL_testz00_2355)
																	{	/* Reduce/ftypec.scm 181 */
																		BgL_testz00_2352 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/ftypec.scm 181 */
																		BgL_testz00_2352 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/ftypec.scm 181 */
																BgL_testz00_2352 = ((bool_t) 1);
															}
														if (BgL_testz00_2352)
															{	/* Reduce/ftypec.scm 181 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 185 */
																	BgL_nodez00_bglt BgL_arg3825z00_1421;

																	{	/* Reduce/ftypec.scm 185 */
																		BgL_nodez00_bglt BgL_arg3826z00_1422;

																		BgL_arg3826z00_1422 =
																			(((BgL_conditionalz00_bglt) CREF(
																					((obj_t) BgL_nodez00_1404)))->
																			BgL_truez00);
																		BgL_arg3825z00_1421 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg3826z00_1422,
																			BgL_tzd2stackzd2_1418);
																	}
																	((((BgL_conditionalz00_bglt) CREF(
																					((obj_t) BgL_nodez00_1404)))->
																			BgL_truez00) =
																		((BgL_nodez00_bglt) BgL_arg3825z00_1421),
																		BUNSPEC);
																}
																{	/* Reduce/ftypec.scm 186 */
																	BgL_nodez00_bglt BgL_arg3827z00_1423;

																	{	/* Reduce/ftypec.scm 186 */
																		BgL_nodez00_bglt BgL_arg3828z00_1424;

																		BgL_arg3828z00_1424 =
																			(((BgL_conditionalz00_bglt) CREF(
																					((obj_t) BgL_nodez00_1404)))->
																			BgL_falsez00);
																		BgL_arg3827z00_1423 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg3828z00_1424,
																			BgL_fzd2stackzd2_1419);
																	}
																	((((BgL_conditionalz00_bglt) CREF(
																					((obj_t) BgL_nodez00_1404)))->
																			BgL_falsez00) =
																		((BgL_nodez00_bglt) BgL_arg3827z00_1423),
																		BUNSPEC);
																}
																return ((BgL_nodez00_bglt) BgL_nodez00_1404);
															}
														else
															{	/* Reduce/ftypec.scm 181 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 191 */
																	bool_t BgL_testz00_2373;

																	{	/* Reduce/ftypec.scm 191 */
																		obj_t BgL_pairz00_1726;

																		BgL_pairz00_1726 = BgL_typesz00_1417;
																		{	/* Reduce/ftypec.scm 191 */
																			obj_t BgL_pairz00_1729;

																			BgL_pairz00_1729 = CDR(BgL_pairz00_1726);
																			BgL_testz00_2373 =
																				CBOOL(CDR(BgL_pairz00_1729));
																	}}
																	if (BgL_testz00_2373)
																		{	/* Reduce/ftypec.scm 192 */
																			BgL_nodez00_bglt BgL_arg3830z00_1426;

																			BgL_arg3830z00_1426 =
																				(((BgL_conditionalz00_bglt) CREF(
																						((obj_t) BgL_nodez00_1404)))->
																				BgL_truez00);
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				(BgL_arg3830z00_1426,
																				BgL_tzd2stackzd2_1418);
																		}
																	else
																		{	/* Reduce/ftypec.scm 193 */
																			BgL_nodez00_bglt BgL_arg3831z00_1427;

																			BgL_arg3831z00_1427 =
																				(((BgL_conditionalz00_bglt) CREF(
																						((obj_t) BgL_nodez00_1404)))->
																				BgL_falsez00);
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				(BgL_arg3831z00_1427,
																				BgL_fzd2stackzd2_1419);
																		}
																}
															}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Reduce/ftypec.scm 171 */
								{	/* Reduce/ftypec.scm 173 */
									BgL_nodez00_bglt BgL_arg3840z00_1436;

									{	/* Reduce/ftypec.scm 173 */
										BgL_nodez00_bglt BgL_arg3841z00_1437;

										BgL_arg3841z00_1437 =
											(((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1404)))->BgL_truez00);
										BgL_arg3840z00_1436 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg3841z00_1437, BgL_stackz00_1405);
									}
									((((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1404)))->BgL_truez00) =
										((BgL_nodez00_bglt) BgL_arg3840z00_1436), BUNSPEC);
								}
								{	/* Reduce/ftypec.scm 174 */
									BgL_nodez00_bglt BgL_arg3842z00_1438;

									{	/* Reduce/ftypec.scm 174 */
										BgL_nodez00_bglt BgL_arg3843z00_1439;

										BgL_arg3843z00_1439 =
											(((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1404)))->BgL_falsez00);
										BgL_arg3842z00_1438 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg3843z00_1439, BgL_stackz00_1405);
									}
									((((BgL_conditionalz00_bglt) CREF(
													((obj_t) BgL_nodez00_1404)))->BgL_falsez00) =
										((BgL_nodez00_bglt) BgL_arg3842z00_1438), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_nodez00_1404);
							}
					}
				}
			}
		}
	}



/* &node-typec!-setq3709 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq3709z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1873, BgL_setqz00_bglt BgL_nodez00_1874, obj_t BgL_stackz00_1875)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 124 */
			{
				BgL_setqz00_bglt BgL_nodez00_1394;
				obj_t BgL_stackz00_1395;

				BgL_nodez00_1394 = BgL_nodez00_1874;
				BgL_stackz00_1395 = BgL_stackz00_1875;
				{	/* Reduce/ftypec.scm 126 */
					BgL_nodez00_bglt BgL_arg3817z00_1399;

					{	/* Reduce/ftypec.scm 126 */
						BgL_nodez00_bglt BgL_arg3818z00_1400;

						BgL_arg3818z00_1400 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1394)))->BgL_valuez00);
						BgL_arg3817z00_1399 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3818z00_1400, BgL_stackz00_1395);
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1394)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3817z00_1399), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 127 */
					BgL_nodez00_bglt BgL_arg3819z00_1401;

					{	/* Reduce/ftypec.scm 127 */
						BgL_varz00_bglt BgL_arg3820z00_1402;

						BgL_arg3820z00_1402 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1394)))->BgL_varz00);
						BgL_arg3819z00_1401 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg3820z00_1402), BgL_stackz00_1395);
					}
					{	/* Reduce/ftypec.scm 127 */
						BgL_varz00_bglt BgL_val3005z00_1678;

						BgL_val3005z00_1678 = ((BgL_varz00_bglt) BgL_arg3819z00_1401);
						((((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_1394)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3005z00_1678), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1394);
			}
		}
	}



/* &node-typec!-cast3707 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast3707z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1876, BgL_castz00_bglt BgL_nodez00_1877, obj_t BgL_stackz00_1878)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 116 */
			{
				BgL_castz00_bglt BgL_nodez00_1387;
				obj_t BgL_stackz00_1388;

				BgL_nodez00_1387 = BgL_nodez00_1877;
				BgL_stackz00_1388 = BgL_stackz00_1878;
				{	/* Reduce/ftypec.scm 117 */
					BgL_nodez00_bglt BgL_arg3816z00_1671;

					BgL_arg3816z00_1671 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1387)))->BgL_argz00);
					BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg3816z00_1671,
						BgL_stackz00_1388);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1387);
			}
		}
	}



/* &node-typec!-extern3705 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern3705z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1879, BgL_externz00_bglt BgL_nodez00_1880,
		obj_t BgL_stackz00_1881)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 108 */
			{
				BgL_externz00_bglt BgL_nodez00_1380;
				obj_t BgL_stackz00_1381;

				BgL_nodez00_1380 = BgL_nodez00_1880;
				BgL_stackz00_1381 = BgL_stackz00_1881;
				{	/* Reduce/ftypec.scm 109 */
					obj_t BgL_arg3815z00_1668;

					BgL_arg3815z00_1668 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1380)))->BgL_exprza2za2);
					BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(BgL_arg3815z00_1668,
						BgL_stackz00_1381);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1380);
			}
		}
	}



/* &node-typec!-funcall3703 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall3703z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1882, BgL_funcallz00_bglt BgL_nodez00_1883,
		obj_t BgL_stackz00_1884)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 99 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1371;
				obj_t BgL_stackz00_1372;

				BgL_nodez00_1371 = BgL_nodez00_1883;
				BgL_stackz00_1372 = BgL_stackz00_1884;
				{	/* Reduce/ftypec.scm 101 */
					BgL_nodez00_bglt BgL_arg3812z00_1376;

					{	/* Reduce/ftypec.scm 101 */
						BgL_nodez00_bglt BgL_arg3813z00_1377;

						BgL_arg3813z00_1377 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1371)))->BgL_funz00);
						BgL_arg3812z00_1376 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3813z00_1377, BgL_stackz00_1372);
					}
					((((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1371)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3812z00_1376), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 102 */
					obj_t BgL_arg3814z00_1378;

					BgL_arg3814z00_1378 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1371)))->BgL_argsz00);
					BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(BgL_arg3814z00_1378,
						BgL_stackz00_1372);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1371);
			}
		}
	}



/* &node-typec!-app-ly3700 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly3700za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1885, BgL_appzd2lyzd2_bglt BgL_nodez00_1886,
		obj_t BgL_stackz00_1887)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 90 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1361;
				obj_t BgL_stackz00_1362;

				BgL_nodez00_1361 = BgL_nodez00_1886;
				BgL_stackz00_1362 = BgL_stackz00_1887;
				{	/* Reduce/ftypec.scm 92 */
					BgL_nodez00_bglt BgL_arg3808z00_1366;

					{	/* Reduce/ftypec.scm 92 */
						BgL_nodez00_bglt BgL_arg3809z00_1367;

						BgL_arg3809z00_1367 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1361)))->BgL_funz00);
						BgL_arg3808z00_1366 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3809z00_1367, BgL_stackz00_1362);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1361)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3808z00_1366), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 93 */
					BgL_nodez00_bglt BgL_arg3810z00_1368;

					{	/* Reduce/ftypec.scm 93 */
						BgL_nodez00_bglt BgL_arg3811z00_1369;

						BgL_arg3811z00_1369 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1361)))->BgL_argz00);
						BgL_arg3810z00_1368 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg3811z00_1369, BgL_stackz00_1362);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1361)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3810z00_1368), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1361);
			}
		}
	}



/* &node-typec!-sequence3698 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence3698z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_1888, BgL_sequencez00_bglt BgL_nodez00_1889,
		obj_t BgL_stackz00_1890)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 82 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1354;
				obj_t BgL_stackz00_1355;

				BgL_nodez00_1354 = BgL_nodez00_1889;
				BgL_stackz00_1355 = BgL_stackz00_1890;
				{	/* Reduce/ftypec.scm 83 */
					obj_t BgL_arg3807z00_1655;

					BgL_arg3807z00_1655 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1354)))->BgL_nodesz00);
					BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(BgL_arg3807z00_1655,
						BgL_stackz00_1355);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1354);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 9037614),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string3958z00zzreduce_flowzd2typeczd2));
		}
	}

#ifdef __cplusplus
}
#endif
