/*===========================================================================*/
/*   (Eval/evaluate_avar.scm)                                                */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_avar.scm -indent -o objs/obj_u/Eval/evaluate_avar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62avarzd2ev_letza22480z12zz__evaluate_avarz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_litt2460zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_bindzd2exit2472z62zz__evaluate_avarz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_abs2490zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avar2453z62zz__evaluate_avarz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_genericzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_prog22466zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	extern BgL_ev_absz00_bglt BGl_makezd2ev_abszd2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, BgL_ev_exprz00_bglt, int, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00;
	static obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_setlocal2470zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_avarz00();
	static obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_if2462zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_global2458zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_diffz00zz__evaluate_avarz00(obj_t, obj_t);
	extern obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt, obj_t,
		BgL_ev_absz00_bglt);
	static obj_t BGl_z62avarzd2ev_labels2484zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62avarzd2ev_hook2468zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62avarzd2ev_goto2486zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	static obj_t BGl_appendzd221095zd2zz__evaluate_avarz00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_var2456zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_letrec2482zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t, obj_t);
	static obj_t BGl_funionz00zz__evaluate_avarz00(obj_t);
	static obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_withzd2handler2476z62zz__evaluate_avarz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	static obj_t BGl_symbol3050z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_symbol3052z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_z62avarzd2ev_let2478zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letz00_bglt, obj_t, obj_t);
	static obj_t BGl_symbol3064z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_z62ev_varzd2effzb0zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_unwindzd2prote2474z62zz__evaluate_avarz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_app2488zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_list2464zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_avarzd2envzd2zz__evaluate_avarz00,
		BgL_bgl_za762avarza762za7za7__ev3087z00, BGl_z62avarz62zz__evaluate_avarz00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3051z00zz__evaluate_avarz00,
		BgL_bgl_string3051za700za7za7_3088za7, "never", 5);
	      DEFINE_STRING(BGl_string3053z00zz__evaluate_avarz00,
		BgL_bgl_string3053za700za7za7_3089za7, "fake", 4);
	      DEFINE_STRING(BGl_string3054z00zz__evaluate_avarz00,
		BgL_bgl_string3054za700za7za7_3090za7,
		"/tmp/bigloo/runtime/Eval/evaluate_avar.scm", 42);
	      DEFINE_STRING(BGl_string3055z00zz__evaluate_avarz00,
		BgL_bgl_string3055za700za7za7_3091za7, "&analyse-vars", 13);
	      DEFINE_STRING(BGl_string3056z00zz__evaluate_avarz00,
		BgL_bgl_string3056za700za7za7_3092za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string3057z00zz__evaluate_avarz00,
		BgL_bgl_string3057za700za7za7_3093za7, "&check-var", 10);
	      DEFINE_STRING(BGl_string3058z00zz__evaluate_avarz00,
		BgL_bgl_string3058za700za7za7_3094za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string3059z00zz__evaluate_avarz00,
		BgL_bgl_string3059za700za7za7_3095za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string3060z00zz__evaluate_avarz00,
		BgL_bgl_string3060za700za7za7_3096za7,
		"/tmp/bigloo/runtime/Eval/evaluate_types.scm", 43);
	      DEFINE_STRING(BGl_string3061z00zz__evaluate_avarz00,
		BgL_bgl_string3061za700za7za7_3097za7, "&ev_var-eff", 11);
	      DEFINE_STRING(BGl_string3063z00zz__evaluate_avarz00,
		BgL_bgl_string3063za700za7za7_3098za7, "avar2453", 8);
	      DEFINE_STRING(BGl_string3065z00zz__evaluate_avarz00,
		BgL_bgl_string3065za700za7za7_3099za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3066z00zz__evaluate_avarz00,
		BgL_bgl_string3066za700za7za7_3100za7, "&avar", 5);
	      DEFINE_STRING(BGl_string3068z00zz__evaluate_avarz00,
		BgL_bgl_string3068za700za7za7_3101za7, "avar", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_analysezd2varszd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762analyseza7d2var3102z00,
		BGl_z62analysezd2varszb0zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3062z00zz__evaluate_avarz00,
		BgL_bgl_za762avar2453za762za7za73103z00,
		BGl_z62avar2453z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3067z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_var3104z00,
		BGl_z62avarzd2ev_var2456zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3069z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_glo3105z00,
		BGl_z62avarzd2ev_global2458zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3070z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lit3106z00,
		BGl_z62avarzd2ev_litt2460zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3071z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_if23107z00,
		BGl_z62avarzd2ev_if2462zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3072z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lis3108z00,
		BGl_z62avarzd2ev_list2464zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_pro3109z00,
		BGl_z62avarzd2ev_prog22466zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_hoo3110z00,
		BGl_z62avarzd2ev_hook2468zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_set3111z00,
		BGl_z62avarzd2ev_setlocal2470zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_bin3112z00,
		BGl_z62avarzd2ev_bindzd2exit2472z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_unw3113z00,
		BGl_z62avarzd2ev_unwindzd2prote2474z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_wit3114z00,
		BGl_z62avarzd2ev_withzd2handler2476z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let3115z00,
		BGl_z62avarzd2ev_let2478zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3086z00zz__evaluate_avarz00,
		BgL_bgl_string3086za700za7za7_3116za7, "__evaluate_avar", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let3117z00,
		BGl_z62avarzd2ev_letza22480z12zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let3118z00,
		BGl_z62avarzd2ev_letrec2482zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lab3119z00,
		BGl_z62avarzd2ev_labels2484zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_got3120z00,
		BGl_z62avarzd2ev_goto2486zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_app3121z00,
		BGl_z62avarzd2ev_app2488zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_abs3122z00,
		BGl_z62avarzd2ev_abs2490zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_varzd2effzd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762ev_varza7d2effza73123za7,
		BGl_z62ev_varzd2effzb0zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2varzd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762checkza7d2varza7b3124za7,
		BGl_z62checkzd2varzb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long
		BgL_checksumz00_3286, char *BgL_fromz00_3287)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_avarz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_avarz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
					BGl_genericzd2initzd2zz__evaluate_avarz00();
					BGl_methodzd2initzd2zz__evaluate_avarz00();
					BGl_toplevelzd2initzd2zz__evaluate_avarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_symbol3050z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string3051z00zz__evaluate_avarz00);
			BGl_symbol3052z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string3053z00zz__evaluate_avarz00);
			return (BGl_symbol3064z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string3063z00zz__evaluate_avarz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00 =
				((bool_t) 0);
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zz__evaluate_avarz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1159;

				BgL_headz00_1159 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2121;
					obj_t BgL_tailz00_2122;

					BgL_prevz00_2121 = BgL_headz00_1159;
					BgL_tailz00_2122 = BgL_l1z00_1;
				BgL_loopz00_2120:
					if (PAIRP(BgL_tailz00_2122))
						{
							obj_t BgL_newzd2prevzd2_2128;

							BgL_newzd2prevzd2_2128 =
								MAKE_PAIR(CAR(BgL_tailz00_2122), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2121, BgL_newzd2prevzd2_2128);
							{
								obj_t BgL_tailz00_3306;
								obj_t BgL_prevz00_3305;

								BgL_prevz00_3305 = BgL_newzd2prevzd2_2128;
								BgL_tailz00_3306 = CDR(BgL_tailz00_2122);
								BgL_tailz00_2122 = BgL_tailz00_3306;
								BgL_prevz00_2121 = BgL_prevz00_3305;
								goto BgL_loopz00_2120;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1159);
			}
		}
	}



/* diff */
	obj_t BGl_diffz00zz__evaluate_avarz00(obj_t BgL_l1z00_11, obj_t BgL_l2z00_12)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 91 */
		BGl_diffz00zz__evaluate_avarz00:
			if (NULLP(BgL_l1z00_11))
				{	/* Eval/evaluate_avar.scm 92 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 94 */
					obj_t BgL_xz00_1211;

					BgL_xz00_1211 = CAR(BgL_l1z00_11);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1211,
								BgL_l2z00_12)))
						{
							obj_t BgL_l1z00_3315;

							BgL_l1z00_3315 = CDR(BgL_l1z00_11);
							BgL_l1z00_11 = BgL_l1z00_3315;
							goto BGl_diffz00zz__evaluate_avarz00;
						}
					else
						{	/* Eval/evaluate_avar.scm 95 */
							return
								MAKE_PAIR(BgL_xz00_1211,
								BGl_diffz00zz__evaluate_avarz00(CDR(BgL_l1z00_11),
									BgL_l2z00_12));
						}
				}
		}
	}



/* analyse-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_14)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 113 */
			{	/* Eval/evaluate_avar.scm 114 */
				BgL_ev_absz00_bglt BgL_fakez00_2163;

				BgL_fakez00_2163 =
					BGl_makezd2ev_abszd2zz__evaluate_typesz00
					(BGl_symbol3050z00zz__evaluate_avarz00,
					BGl_symbol3052z00zz__evaluate_avarz00, BINT(((long) 0)), BNIL,
					BgL_ez00_14, (int) (((long) 0)), BNIL, BNIL, BNIL, BNIL);
				return BGl_avarz00zz__evaluate_avarz00(BgL_ez00_14, BNIL,
					((obj_t) BgL_fakez00_2163));
			}
		}
	}



/* &analyse-vars */
	obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t BgL_envz00_3019,
		obj_t BgL_ez00_3020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 113 */
			{	/* Eval/evaluate_avar.scm 114 */
				BgL_ev_exprz00_bglt BgL_auxz00_3325;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_3020,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 114 */
						BgL_auxz00_3325 = ((BgL_ev_exprz00_bglt) BgL_ez00_3020);
					}
				else
					{
						obj_t BgL_auxz00_3329;

						BgL_auxz00_3329 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3054z00zz__evaluate_avarz00, BINT(((long) 2940)),
							BGl_string3055z00zz__evaluate_avarz00,
							BGl_string3056z00zz__evaluate_avarz00, BgL_ez00_3020);
						FAILURE(BgL_auxz00_3329, BFALSE, BFALSE);
					}
				return BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_auxz00_3325);
			}
		}
	}



/* check-var */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt BgL_varz00_15,
		obj_t BgL_localz00_16, BgL_ev_absz00_bglt BgL_absz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 118 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_varz00_15), BgL_localz00_16)))
				{	/* Eval/evaluate_avar.scm 119 */
					return BFALSE;
				}
			else
				{	/* Eval/evaluate_avar.scm 119 */
					obj_t BgL_freez00_2165;

					BgL_freez00_2165 =
						(((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_absz00_17)))->BgL_freez00);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_15), BgL_freez00_2165)))
						{	/* Eval/evaluate_avar.scm 119 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_avar.scm 119 */
							obj_t BgL_arg2565z00_2167;

							BgL_arg2565z00_2167 =
								MAKE_PAIR(((obj_t) BgL_varz00_15), BgL_freez00_2165);
							return
								((((BgL_ev_absz00_bglt) CREF(
											((obj_t) BgL_absz00_17)))->BgL_freez00) =
								((obj_t) BgL_arg2565z00_2167), BUNSPEC);
						}
				}
		}
	}



/* &check-var */
	obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t BgL_envz00_3021,
		obj_t BgL_varz00_3022, obj_t BgL_localz00_3023, obj_t BgL_absz00_3024)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 118 */
			{	/* Eval/evaluate_avar.scm 119 */
				BgL_ev_absz00_bglt BgL_auxz00_3356;
				BgL_ev_varz00_bglt BgL_auxz00_3348;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_absz00_3024,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 119 */
						BgL_auxz00_3356 = ((BgL_ev_absz00_bglt) BgL_absz00_3024);
					}
				else
					{
						obj_t BgL_auxz00_3360;

						BgL_auxz00_3360 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3054z00zz__evaluate_avarz00, BINT(((long) 3158)),
							BGl_string3057z00zz__evaluate_avarz00,
							BGl_string3059z00zz__evaluate_avarz00, BgL_absz00_3024);
						FAILURE(BgL_auxz00_3360, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_3022,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 119 */
						BgL_auxz00_3348 = ((BgL_ev_varz00_bglt) BgL_varz00_3022);
					}
				else
					{
						obj_t BgL_auxz00_3352;

						BgL_auxz00_3352 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3054z00zz__evaluate_avarz00, BINT(((long) 3158)),
							BGl_string3057z00zz__evaluate_avarz00,
							BGl_string3058z00zz__evaluate_avarz00, BgL_varz00_3022);
						FAILURE(BgL_auxz00_3352, BFALSE, BFALSE);
					}
				return
					BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_auxz00_3348,
					BgL_localz00_3023, BgL_auxz00_3356);
			}
		}
	}



/* bind-and-reset-effect */
	obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt
		BgL_absz00_72, obj_t BgL_varsz00_73)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 219 */
			{	/* Eval/evaluate_avar.scm 225 */
				obj_t BgL_ifreez00_1223;

				{	/* Eval/evaluate_avar.scm 225 */
					obj_t BgL_arg2571z00_1234;

					BgL_arg2571z00_1234 =
						(((BgL_ev_absz00_bglt) CREF(
								((obj_t) BgL_absz00_72)))->BgL_innerz00);
					BgL_ifreez00_1223 =
						BGl_funionz00zz__evaluate_avarz00(BgL_arg2571z00_1234);
				}
				{	/* Eval/evaluate_avar.scm 226 */
					obj_t BgL_arg2566z00_1224;

					{	/* Eval/evaluate_avar.scm 226 */
						obj_t BgL_arg2567z00_1225;

						BgL_arg2567z00_1225 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_absz00_72)))->BgL_bindz00);
						BgL_arg2566z00_1224 =
							BGl_appendzd221095zd2zz__evaluate_avarz00(BgL_varsz00_73,
							BgL_arg2567z00_1225);
					}
					((((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_absz00_72)))->BgL_bindz00) =
						((obj_t) BgL_arg2566z00_1224), BUNSPEC);
				}
				{	/* Eval/evaluate_avar.scm 228 */
					obj_t BgL_g2440z00_1226;

					BgL_g2440z00_1226 =
						BGl_diffz00zz__evaluate_avarz00(BgL_varsz00_73, BgL_ifreez00_1223);
					{
						obj_t BgL_l2438z00_2217;

						BgL_l2438z00_2217 = BgL_g2440z00_1226;
					BgL_zc3anonymousza32568ze3z83_2216:
						if (PAIRP(BgL_l2438z00_2217))
							{	/* Eval/evaluate_avar.scm 228 */
								{	/* Eval/evaluate_avar.scm 228 */
									obj_t BgL_vz00_2222;

									BgL_vz00_2222 = CAR(BgL_l2438z00_2217);
									{	/* Eval/evaluate_avar.scm 228 */
										BgL_ev_varz00_bglt BgL_obj1835z00_2227;

										BgL_obj1835z00_2227 = ((BgL_ev_varz00_bglt) BgL_vz00_2222);
										((((BgL_ev_varz00_bglt) CREF(
														((obj_t) BgL_obj1835z00_2227)))->BgL_effz00) =
											((obj_t) BFALSE), BUNSPEC);
									}
								}
								{
									obj_t BgL_l2438z00_3380;

									BgL_l2438z00_3380 = CDR(BgL_l2438z00_2217);
									BgL_l2438z00_2217 = BgL_l2438z00_3380;
									goto BgL_zc3anonymousza32568ze3z83_2216;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 228 */
								((bool_t) 1);
							}
					}
				}
				return BgL_ifreez00_1223;
			}
		}
	}



/* funion */
	obj_t BGl_funionz00zz__evaluate_avarz00(obj_t BgL_lz00_1235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 224 */
			if (NULLP(BgL_lz00_1235))
				{	/* Eval/evaluate_avar.scm 222 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 224 */
					obj_t BgL_arg2574z00_1238;
					obj_t BgL_arg2575z00_1239;

					{	/* Eval/evaluate_avar.scm 224 */
						BgL_ev_absz00_bglt BgL_obj2289z00_2174;

						{	/* Eval/evaluate_avar.scm 224 */
							obj_t BgL_pairz00_2173;

							BgL_pairz00_2173 = BgL_lz00_1235;
							BgL_obj2289z00_2174 =
								((BgL_ev_absz00_bglt) CAR(BgL_pairz00_2173));
						}
						BgL_arg2574z00_1238 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_obj2289z00_2174)))->BgL_freez00);
					}
					BgL_arg2575z00_1239 =
						BGl_funionz00zz__evaluate_avarz00(CDR(BgL_lz00_1235));
					{
						obj_t BgL_l1z00_2177;
						obj_t BgL_l2z00_2178;

						BgL_l1z00_2177 = BgL_arg2574z00_1238;
						BgL_l2z00_2178 = BgL_arg2575z00_1239;
					BgL_unionz00_2176:
						if (NULLP(BgL_l1z00_2177))
							{	/* Eval/evaluate_avar.scm 224 */
								return BgL_l2z00_2178;
							}
						else
							{	/* Eval/evaluate_avar.scm 224 */
								obj_t BgL_xz00_2185;

								BgL_xz00_2185 = CAR(BgL_l1z00_2177);
								{	/* Eval/evaluate_avar.scm 224 */
									obj_t BgL_arg2548z00_2186;
									obj_t BgL_arg2549z00_2187;

									BgL_arg2548z00_2186 = CDR(BgL_l1z00_2177);
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_xz00_2185, BgL_l2z00_2178)))
										{	/* Eval/evaluate_avar.scm 224 */
											BgL_arg2549z00_2187 = BgL_l2z00_2178;
										}
									else
										{	/* Eval/evaluate_avar.scm 224 */
											BgL_arg2549z00_2187 =
												MAKE_PAIR(BgL_xz00_2185, BgL_l2z00_2178);
										}
									{
										obj_t BgL_l2z00_3399;
										obj_t BgL_l1z00_3398;

										BgL_l1z00_3398 = BgL_arg2548z00_2186;
										BgL_l2z00_3399 = BgL_arg2549z00_2187;
										BgL_l2z00_2178 = BgL_l2z00_3399;
										BgL_l1z00_2177 = BgL_l1z00_3398;
										goto BgL_unionz00_2176;
									}
								}
							}
					}
				}
		}
	}



/* &ev_var-eff */
	obj_t BGl_z62ev_varzd2effzb0zz__evaluate_avarz00(obj_t BgL_envz00_3025,
		obj_t BgL_obj1833z00_3026)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 54 */
			{	/* Eval/evaluate_types.scm 54 */
				BgL_ev_varz00_bglt BgL_obj1833z00_3275;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1833z00_3026,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_types.scm 54 */
						BgL_obj1833z00_3275 = ((BgL_ev_varz00_bglt) BgL_obj1833z00_3026);
					}
				else
					{
						obj_t BgL_auxz00_3403;

						BgL_auxz00_3403 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3060z00zz__evaluate_avarz00, BINT(((long) 1710)),
							BGl_string3061z00zz__evaluate_avarz00,
							BGl_string3058z00zz__evaluate_avarz00, BgL_obj1833z00_3026);
						FAILURE(BgL_auxz00_3403, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_varz00_bglt) CREF(
							((obj_t) BgL_obj1833z00_3275)))->BgL_effz00);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_proc3062z00zz__evaluate_avarz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string3063z00zz__evaluate_avarz00);
		}
	}



/* &avar2453 */
	obj_t BGl_z62avar2453z62zz__evaluate_avarz00(obj_t BgL_envz00_3028,
		BgL_ev_exprz00_bglt BgL_ez00_3029, obj_t BgL_localz00_3030,
		obj_t BgL_absz00_3031)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 123 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol3064z00zz__evaluate_avarz00,
				BGl_string3065z00zz__evaluate_avarz00, ((obj_t) BgL_ez00_3029));
		}
	}



/* avar */
	obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_18,
		obj_t BgL_localz00_19, obj_t BgL_absz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 123 */
			{	/* Eval/evaluate_avar.scm 123 */
				obj_t BgL_method2454z00_1537;

				{	/* Eval/evaluate_avar.scm 123 */
					obj_t BgL_res2950z00_2258;

					{	/* Eval/evaluate_avar.scm 123 */
						BgL_objectz00_bglt BgL_objz00_2230;

						BgL_objz00_2230 = ((BgL_objectz00_bglt) BgL_ez00_18);
						{	/* Eval/evaluate_avar.scm 123 */
							long BgL_objzd2classzd2numz00_2231;

							{	/* Eval/evaluate_avar.scm 123 */
								long BgL_res2944z00_2234;

								BgL_res2944z00_2234 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2230);
								BgL_objzd2classzd2numz00_2231 = BgL_res2944z00_2234;
							}
							{	/* Eval/evaluate_avar.scm 123 */
								obj_t BgL_arg2927z00_2232;

								BgL_arg2927z00_2232 =
									PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluate_avarz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_avar.scm 123 */
									obj_t BgL_arrayz00_2235;
									int BgL_offsetz00_2236;

									BgL_arrayz00_2235 = BgL_arg2927z00_2232;
									BgL_offsetz00_2236 = (int) (BgL_objzd2classzd2numz00_2231);
									{	/* Eval/evaluate_avar.scm 123 */
										long BgL_offsetz00_2237;

										BgL_offsetz00_2237 =
											((long) (BgL_offsetz00_2236) - OBJECT_TYPE);
										{	/* Eval/evaluate_avar.scm 123 */
											long BgL_modz00_2238;

											{	/* Eval/evaluate_avar.scm 123 */
												int BgL_arg2929z00_2239;

												BgL_arg2929z00_2239 = (int) (((long) 16));
												{	/* Eval/evaluate_avar.scm 123 */
													long BgL_res2947z00_2249;

													{	/* Eval/evaluate_avar.scm 123 */
														long BgL_auxz00_3420;

														BgL_auxz00_3420 = (long) (BgL_arg2929z00_2239);
														BgL_res2947z00_2249 =
															(BgL_offsetz00_2237 / BgL_auxz00_3420);
													}
													BgL_modz00_2238 = BgL_res2947z00_2249;
											}}
											{	/* Eval/evaluate_avar.scm 123 */
												long BgL_restz00_2240;

												{	/* Eval/evaluate_avar.scm 123 */
													int BgL_arg2928z00_2241;

													BgL_arg2928z00_2241 = (int) (((long) 16));
													{	/* Eval/evaluate_avar.scm 123 */
														long BgL_res2949z00_2253;

														{	/* Eval/evaluate_avar.scm 123 */
															long BgL_auxz00_3424;

															BgL_auxz00_3424 = (long) (BgL_arg2928z00_2241);
															BgL_res2949z00_2253 =
																(BgL_offsetz00_2237 % BgL_auxz00_3424);
														}
														BgL_restz00_2240 = BgL_res2949z00_2253;
												}}
												{	/* Eval/evaluate_avar.scm 123 */

													BgL_res2950z00_2258 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2235,
															(int) (BgL_modz00_2238)),
														(int) (BgL_restz00_2240));
					}}}}}}}}
					BgL_method2454z00_1537 = BgL_res2950z00_2258;
				}
				return
					PROCEDURE_ENTRY(BgL_method2454z00_1537) (BgL_method2454z00_1537,
					((obj_t) BgL_ez00_18), BgL_localz00_19, BgL_absz00_20, BEOA);
			}
		}
	}



/* &avar */
	obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t BgL_envz00_3032,
		obj_t BgL_ez00_3033, obj_t BgL_localz00_3034, obj_t BgL_absz00_3035)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 123 */
			{	/* Eval/evaluate_avar.scm 123 */
				BgL_ev_exprz00_bglt BgL_auxz00_3438;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_3033,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 123 */
						BgL_auxz00_3438 = ((BgL_ev_exprz00_bglt) BgL_ez00_3033);
					}
				else
					{
						obj_t BgL_auxz00_3442;

						BgL_auxz00_3442 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string3054z00zz__evaluate_avarz00, BINT(((long) 3294)),
							BGl_string3066z00zz__evaluate_avarz00,
							BGl_string3056z00zz__evaluate_avarz00, BgL_ez00_3033);
						FAILURE(BgL_auxz00_3442, BFALSE, BFALSE);
					}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_auxz00_3438, BgL_localz00_3034,
					BgL_absz00_3035);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc3067z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc3069z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc3070z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc3071z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc3072z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc3073z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc3074z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc3075z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc3076z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc3077z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc3078z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc3079z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc3080z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc3081z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc3082z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc3083z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc3084z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc3085z00zz__evaluate_avarz00,
				BGl_string3068z00zz__evaluate_avarz00);
		}
	}



/* &avar-ev_abs2490 */
	obj_t BGl_z62avarzd2ev_abs2490zb0zz__evaluate_avarz00(obj_t BgL_envz00_3054,
		BgL_ev_absz00_bglt BgL_ez00_3055, obj_t BgL_localz00_3056,
		obj_t BgL_absz00_3057)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 231 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1812;
				obj_t BgL_localz00_1813;
				obj_t BgL_absz00_1814;

				BgL_ez00_1812 = BgL_ez00_3055;
				BgL_localz00_1813 = BgL_localz00_3056;
				BgL_absz00_1814 = BgL_absz00_3057;
				{	/* Eval/evaluate_avar.scm 233 */
					obj_t BgL_arg2726z00_1818;

					{	/* Eval/evaluate_avar.scm 233 */
						obj_t BgL_arg2727z00_1819;

						{	/* Eval/evaluate_avar.scm 233 */
							BgL_ev_absz00_bglt BgL_obj2292z00_2723;

							BgL_obj2292z00_2723 = ((BgL_ev_absz00_bglt) BgL_absz00_1814);
							BgL_arg2727z00_1819 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_obj2292z00_2723)))->BgL_innerz00);
						}
						BgL_arg2726z00_1818 =
							MAKE_PAIR(((obj_t) BgL_ez00_1812), BgL_arg2727z00_1819);
					}
					{	/* Eval/evaluate_avar.scm 233 */
						BgL_ev_absz00_bglt BgL_obj2294z00_2724;

						BgL_obj2294z00_2724 = ((BgL_ev_absz00_bglt) BgL_absz00_1814);
						((((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_obj2294z00_2724)))->BgL_innerz00) =
							((obj_t) BgL_arg2726z00_1818), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_avar.scm 234 */
					BgL_ev_exprz00_bglt BgL_arg2728z00_1820;
					obj_t BgL_arg2729z00_1821;

					BgL_arg2728z00_1820 =
						(((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_ez00_1812)))->BgL_bodyz00);
					BgL_arg2729z00_1821 =
						(((BgL_ev_absz00_bglt) CREF(((obj_t) BgL_ez00_1812)))->BgL_varsz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2728z00_1820,
						BgL_arg2729z00_1821, ((obj_t) BgL_ez00_1812));
				}
				{	/* Eval/evaluate_avar.scm 235 */
					obj_t BgL_ifreez00_1822;

					{	/* Eval/evaluate_avar.scm 235 */
						obj_t BgL_arg2736z00_1829;

						BgL_arg2736z00_1829 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_ez00_1812)))->BgL_varsz00);
						BgL_ifreez00_1822 =
							BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00
							(BgL_ez00_1812, BgL_arg2736z00_1829);
					}
					{	/* Eval/evaluate_avar.scm 236 */
						obj_t BgL_arg2730z00_1823;

						{	/* Eval/evaluate_avar.scm 236 */
							obj_t BgL_arg2731z00_1824;
							obj_t BgL_arg2732z00_1825;

							{	/* Eval/evaluate_avar.scm 236 */
								obj_t BgL_arg2733z00_1826;

								BgL_arg2733z00_1826 =
									(((BgL_ev_absz00_bglt) CREF(
											((obj_t) BgL_ez00_1812)))->BgL_freez00);
								{
									obj_t BgL_l1z00_2731;
									obj_t BgL_l2z00_2732;

									BgL_l1z00_2731 = BgL_ifreez00_1822;
									BgL_l2z00_2732 = BgL_arg2733z00_1826;
								BgL_unionz00_2730:
									if (NULLP(BgL_l1z00_2731))
										{	/* Eval/evaluate_avar.scm 236 */
											BgL_arg2731z00_1824 = BgL_l2z00_2732;
										}
									else
										{	/* Eval/evaluate_avar.scm 236 */
											obj_t BgL_xz00_2739;

											BgL_xz00_2739 = CAR(BgL_l1z00_2731);
											{	/* Eval/evaluate_avar.scm 236 */
												obj_t BgL_arg2548z00_2740;
												obj_t BgL_arg2549z00_2741;

												BgL_arg2548z00_2740 = CDR(BgL_l1z00_2731);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_xz00_2739, BgL_l2z00_2732)))
													{	/* Eval/evaluate_avar.scm 236 */
														BgL_arg2549z00_2741 = BgL_l2z00_2732;
													}
												else
													{	/* Eval/evaluate_avar.scm 236 */
														BgL_arg2549z00_2741 =
															MAKE_PAIR(BgL_xz00_2739, BgL_l2z00_2732);
													}
												{
													obj_t BgL_l2z00_3493;
													obj_t BgL_l1z00_3492;

													BgL_l1z00_3492 = BgL_arg2548z00_2740;
													BgL_l2z00_3493 = BgL_arg2549z00_2741;
													BgL_l2z00_2732 = BgL_l2z00_3493;
													BgL_l1z00_2731 = BgL_l1z00_3492;
													goto BgL_unionz00_2730;
												}
											}
										}
								}
							}
							BgL_arg2732z00_1825 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1812)))->BgL_bindz00);
							BgL_arg2730z00_1823 =
								BGl_diffz00zz__evaluate_avarz00(BgL_arg2731z00_1824,
								BgL_arg2732z00_1825);
						}
						((((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1812)))->BgL_freez00) =
							((obj_t) BgL_arg2730z00_1823), BUNSPEC);
					}
					{	/* Eval/evaluate_avar.scm 237 */
						obj_t BgL_arg2734z00_1827;

						{	/* Eval/evaluate_avar.scm 237 */
							obj_t BgL_arg2735z00_1828;

							BgL_arg2735z00_1828 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1812)))->BgL_varsz00);
							BgL_arg2734z00_1827 =
								BGl_filterz00zz__r4_control_features_6_9z00
								(BGl_ev_varzd2effzd2envz00zz__evaluate_avarz00,
								BgL_arg2735z00_1828);
						}
						return
							((((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_1812)))->BgL_boxesz00) =
							((obj_t) BgL_arg2734z00_1827), BUNSPEC);
					}
				}
			}
		}
	}



/* &avar-ev_app2488 */
	obj_t BGl_z62avarzd2ev_app2488zb0zz__evaluate_avarz00(obj_t BgL_envz00_3058,
		BgL_ev_appz00_bglt BgL_ez00_3059, obj_t BgL_localz00_3060,
		obj_t BgL_absz00_3061)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 213 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1796;
				obj_t BgL_localz00_1797;
				obj_t BgL_absz00_1798;

				{	/* Eval/evaluate_avar.scm 214 */
					bool_t BgL_auxz00_3504;

					BgL_ez00_1796 = BgL_ez00_3059;
					BgL_localz00_1797 = BgL_localz00_3060;
					BgL_absz00_1798 = BgL_absz00_3061;
					{	/* Eval/evaluate_avar.scm 214 */
						BgL_ev_exprz00_bglt BgL_arg2722z00_2687;

						BgL_arg2722z00_2687 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_1796)))->BgL_funz00);
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2722z00_2687,
							BgL_localz00_1797, BgL_absz00_1798);
					}
					{	/* Eval/evaluate_avar.scm 214 */
						obj_t BgL_g2437z00_2688;

						BgL_g2437z00_2688 =
							(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_1796)))->BgL_argsz00);
						{
							obj_t BgL_l2435z00_2712;

							BgL_l2435z00_2712 = BgL_g2437z00_2688;
						BgL_zc3anonymousza32723ze3z83_2711:
							if (PAIRP(BgL_l2435z00_2712))
								{	/* Eval/evaluate_avar.scm 214 */
									{	/* Eval/evaluate_avar.scm 214 */
										obj_t BgL_ez00_2717;

										BgL_ez00_2717 = CAR(BgL_l2435z00_2712);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_2717), BgL_localz00_1797,
											BgL_absz00_1798);
									}
									{
										obj_t BgL_l2435z00_3515;

										BgL_l2435z00_3515 = CDR(BgL_l2435z00_2712);
										BgL_l2435z00_2712 = BgL_l2435z00_3515;
										goto BgL_zc3anonymousza32723ze3z83_2711;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 214 */
									BgL_auxz00_3504 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3504);
				}
			}
		}
	}



/* &avar-ev_goto2486 */
	obj_t BGl_z62avarzd2ev_goto2486zb0zz__evaluate_avarz00(obj_t BgL_envz00_3062,
		BgL_ev_gotoz00_bglt BgL_ez00_3063, obj_t BgL_localz00_3064,
		obj_t BgL_absz00_3065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 209 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1781;
				obj_t BgL_localz00_1782;
				obj_t BgL_absz00_1783;

				{	/* Eval/evaluate_avar.scm 210 */
					bool_t BgL_auxz00_3518;

					BgL_ez00_1781 = BgL_ez00_3063;
					BgL_localz00_1782 = BgL_localz00_3064;
					BgL_absz00_1783 = BgL_absz00_3065;
					{	/* Eval/evaluate_avar.scm 210 */
						obj_t BgL_g2434z00_2652;

						BgL_g2434z00_2652 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_ez00_1781)))->BgL_argsz00);
						{
							obj_t BgL_l2432z00_2675;

							BgL_l2432z00_2675 = BgL_g2434z00_2652;
						BgL_zc3anonymousza32719ze3z83_2674:
							if (PAIRP(BgL_l2432z00_2675))
								{	/* Eval/evaluate_avar.scm 210 */
									{	/* Eval/evaluate_avar.scm 210 */
										obj_t BgL_ez00_2680;

										BgL_ez00_2680 = CAR(BgL_l2432z00_2675);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_2680), BgL_localz00_1782,
											BgL_absz00_1783);
									}
									{
										obj_t BgL_l2432z00_3526;

										BgL_l2432z00_3526 = CDR(BgL_l2432z00_2675);
										BgL_l2432z00_2675 = BgL_l2432z00_3526;
										goto BgL_zc3anonymousza32719ze3z83_2674;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 210 */
									BgL_auxz00_3518 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3518);
				}
			}
		}
	}



/* &avar-ev_labels2484 */
	obj_t BGl_z62avarzd2ev_labels2484zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_3066, BgL_ev_labelsz00_bglt BgL_ez00_3067,
		obj_t BgL_localz00_3068, obj_t BgL_absz00_3069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 197 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1724;
				obj_t BgL_localz00_1725;
				obj_t BgL_absz00_1726;

				BgL_ez00_1724 = BgL_ez00_3067;
				BgL_localz00_1725 = BgL_localz00_3068;
				BgL_absz00_1726 = BgL_absz00_3069;
				{	/* Eval/evaluate_avar.scm 199 */
					obj_t BgL_localz00_1730;

					{	/* Eval/evaluate_avar.scm 199 */
						obj_t BgL_arg2718z00_1779;

						BgL_arg2718z00_1779 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_1724)))->BgL_varsz00);
						BgL_localz00_1730 =
							BGl_appendzd221095zd2zz__evaluate_avarz00(BgL_arg2718z00_1779,
							BgL_localz00_1725);
					}
					{	/* Eval/evaluate_avar.scm 200 */
						obj_t BgL_g2419z00_1731;

						BgL_g2419z00_1731 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_1724)))->BgL_valsz00);
						{
							obj_t BgL_l2417z00_1733;

							BgL_l2417z00_1733 = BgL_g2419z00_1731;
						BgL_zc3anonymousza32694ze3z83_1734:
							if (PAIRP(BgL_l2417z00_1733))
								{	/* Eval/evaluate_avar.scm 200 */
									{	/* Eval/evaluate_avar.scm 202 */
										obj_t BgL_sz00_1736;

										BgL_sz00_1736 = CAR(BgL_l2417z00_1733);
										{	/* Eval/evaluate_avar.scm 202 */
											obj_t BgL_arg2696z00_1737;
											obj_t BgL_arg2697z00_1738;

											BgL_arg2696z00_1737 = CDR(BgL_sz00_1736);
											BgL_arg2697z00_1738 =
												BGl_appendzd221095zd2zz__evaluate_avarz00(CAR
												(BgL_sz00_1736), BgL_localz00_1730);
											BGl_avarz00zz__evaluate_avarz00(((BgL_ev_exprz00_bglt)
													BgL_arg2696z00_1737), BgL_arg2697z00_1738,
												BgL_absz00_1726);
										}
										{	/* Eval/evaluate_avar.scm 203 */
											obj_t BgL_arg2699z00_1740;

											BgL_arg2699z00_1740 = CAR(BgL_sz00_1736);
											BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
												((BgL_ev_absz00_bglt) BgL_absz00_1726),
												BgL_arg2699z00_1740);
										}
									}
									{
										obj_t BgL_l2417z00_3545;

										BgL_l2417z00_3545 = CDR(BgL_l2417z00_1733);
										BgL_l2417z00_1733 = BgL_l2417z00_3545;
										goto BgL_zc3anonymousza32694ze3z83_1734;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 200 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate_avar.scm 206 */
						obj_t BgL_arg2701z00_1743;

						{	/* Eval/evaluate_avar.scm 206 */
							obj_t BgL_ll2426z00_1744;
							obj_t BgL_ll2427z00_1745;

							BgL_ll2426z00_1744 =
								(((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_1724)))->BgL_varsz00);
							BgL_ll2427z00_1745 =
								(((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_1724)))->BgL_valsz00);
							if (NULLP(BgL_ll2426z00_1744))
								{	/* Eval/evaluate_avar.scm 206 */
									BgL_arg2701z00_1743 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 206 */
									obj_t BgL_head2428z00_1747;

									{	/* Eval/evaluate_avar.scm 206 */
										obj_t BgL_res2976z00_2571;

										BgL_res2976z00_2571 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2428z00_1747 = BgL_res2976z00_2571;
									}
									{
										obj_t BgL_ll2426z00_1749;
										obj_t BgL_ll2427z00_1750;
										obj_t BgL_tail2429z00_1751;

										BgL_ll2426z00_1749 = BgL_ll2426z00_1744;
										BgL_ll2427z00_1750 = BgL_ll2427z00_1745;
										BgL_tail2429z00_1751 = BgL_head2428z00_1747;
									BgL_zc3anonymousza32703ze3z83_1752:
										if (NULLP(BgL_ll2426z00_1749))
											{	/* Eval/evaluate_avar.scm 206 */
												BgL_arg2701z00_1743 = CDR(BgL_head2428z00_1747);
											}
										else
											{	/* Eval/evaluate_avar.scm 206 */
												obj_t BgL_newtail2430z00_1754;

												{	/* Eval/evaluate_avar.scm 206 */
													obj_t BgL_arg2707z00_1757;

													{	/* Eval/evaluate_avar.scm 206 */
														obj_t BgL_varz00_1758;
														obj_t BgL_sz00_1759;

														BgL_varz00_1758 = CAR(BgL_ll2426z00_1749);
														BgL_sz00_1759 = CAR(BgL_ll2427z00_1750);
														{	/* Eval/evaluate_avar.scm 206 */
															obj_t BgL_arg2708z00_1760;

															{	/* Eval/evaluate_avar.scm 206 */
																obj_t BgL_l2420z00_1761;

																BgL_l2420z00_1761 = CAR(BgL_sz00_1759);
																if (NULLP(BgL_l2420z00_1761))
																	{	/* Eval/evaluate_avar.scm 206 */
																		BgL_arg2708z00_1760 = BNIL;
																	}
																else
																	{	/* Eval/evaluate_avar.scm 206 */
																		obj_t BgL_head2422z00_1763;

																		{	/* Eval/evaluate_avar.scm 206 */
																			obj_t BgL_arg2715z00_1775;

																			{	/* Eval/evaluate_avar.scm 206 */
																				BgL_ev_varz00_bglt BgL_obj1833z00_2581;

																				{	/* Eval/evaluate_avar.scm 206 */
																					obj_t BgL_pairz00_2580;

																					BgL_pairz00_2580 = BgL_l2420z00_1761;
																					BgL_obj1833z00_2581 =
																						((BgL_ev_varz00_bglt)
																						CAR(BgL_pairz00_2580));
																				}
																				BgL_arg2715z00_1775 =
																					(((BgL_ev_varz00_bglt) CREF(
																							((obj_t) BgL_obj1833z00_2581)))->
																					BgL_effz00);
																			}
																			{	/* Eval/evaluate_avar.scm 206 */
																				obj_t BgL_res2979z00_2584;

																				BgL_res2979z00_2584 =
																					MAKE_PAIR(BgL_arg2715z00_1775, BNIL);
																				BgL_head2422z00_1763 =
																					BgL_res2979z00_2584;
																			}
																		}
																		{	/* Eval/evaluate_avar.scm 206 */
																			obj_t BgL_g2425z00_1764;

																			BgL_g2425z00_1764 =
																				CDR(BgL_l2420z00_1761);
																			{
																				obj_t BgL_l2420z00_2619;
																				obj_t BgL_tail2423z00_2620;

																				BgL_l2420z00_2619 = BgL_g2425z00_1764;
																				BgL_tail2423z00_2620 =
																					BgL_head2422z00_1763;
																			BgL_zc3anonymousza32710ze3z83_2618:
																				if (NULLP(BgL_l2420z00_2619))
																					{	/* Eval/evaluate_avar.scm 206 */
																						BgL_arg2708z00_1760 =
																							BgL_head2422z00_1763;
																					}
																				else
																					{	/* Eval/evaluate_avar.scm 206 */
																						obj_t BgL_newtail2424z00_2627;

																						{	/* Eval/evaluate_avar.scm 206 */
																							obj_t BgL_arg2713z00_2628;

																							{	/* Eval/evaluate_avar.scm 206 */
																								BgL_ev_varz00_bglt
																									BgL_obj1833z00_2634;
																								{	/* Eval/evaluate_avar.scm 206 */
																									obj_t BgL_pairz00_2633;

																									BgL_pairz00_2633 =
																										BgL_l2420z00_2619;
																									BgL_obj1833z00_2634 =
																										((BgL_ev_varz00_bglt)
																										CAR(BgL_pairz00_2633));
																								}
																								BgL_arg2713z00_2628 =
																									(((BgL_ev_varz00_bglt) CREF(
																											((obj_t)
																												BgL_obj1833z00_2634)))->
																									BgL_effz00);
																							}
																							{	/* Eval/evaluate_avar.scm 206 */
																								obj_t BgL_res2985z00_2637;

																								BgL_res2985z00_2637 =
																									MAKE_PAIR(BgL_arg2713z00_2628,
																									BNIL);
																								BgL_newtail2424z00_2627 =
																									BgL_res2985z00_2637;
																							}
																						}
																						SET_CDR(BgL_tail2423z00_2620,
																							BgL_newtail2424z00_2627);
																						{
																							obj_t BgL_tail2423z00_3578;
																							obj_t BgL_l2420z00_3576;

																							BgL_l2420z00_3576 =
																								CDR(BgL_l2420z00_2619);
																							BgL_tail2423z00_3578 =
																								BgL_newtail2424z00_2627;
																							BgL_tail2423z00_2620 =
																								BgL_tail2423z00_3578;
																							BgL_l2420z00_2619 =
																								BgL_l2420z00_3576;
																							goto
																								BgL_zc3anonymousza32710ze3z83_2618;
																						}
																					}
																			}
																		}
																	}
															}
															BgL_arg2707z00_1757 =
																MAKE_PAIR(BgL_varz00_1758, BgL_arg2708z00_1760);
														}
													}
													{	/* Eval/evaluate_avar.scm 206 */
														obj_t BgL_res2986z00_2643;

														BgL_res2986z00_2643 =
															MAKE_PAIR(BgL_arg2707z00_1757, BNIL);
														BgL_newtail2430z00_1754 = BgL_res2986z00_2643;
													}
												}
												SET_CDR(BgL_tail2429z00_1751, BgL_newtail2430z00_1754);
												{
													obj_t BgL_tail2429z00_3586;
													obj_t BgL_ll2427z00_3584;
													obj_t BgL_ll2426z00_3582;

													BgL_ll2426z00_3582 = CDR(BgL_ll2426z00_1749);
													BgL_ll2427z00_3584 = CDR(BgL_ll2427z00_1750);
													BgL_tail2429z00_3586 = BgL_newtail2430z00_1754;
													BgL_tail2429z00_1751 = BgL_tail2429z00_3586;
													BgL_ll2427z00_1750 = BgL_ll2427z00_3584;
													BgL_ll2426z00_1749 = BgL_ll2426z00_3582;
													goto BgL_zc3anonymousza32703ze3z83_1752;
												}
											}
									}
								}
						}
						((((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_ez00_1724)))->BgL_boxesz00) =
							((obj_t) BgL_arg2701z00_1743), BUNSPEC);
					}
					{	/* Eval/evaluate_avar.scm 207 */
						BgL_ev_exprz00_bglt BgL_arg2717z00_1778;

						BgL_arg2717z00_1778 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_1724)))->BgL_bodyz00);
						return
							BGl_avarz00zz__evaluate_avarz00(BgL_arg2717z00_1778,
							BgL_localz00_1730, BgL_absz00_1726);
					}
				}
			}
		}
	}



/* &avar-ev_letrec2482 */
	obj_t BGl_z62avarzd2ev_letrec2482zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_3070, BgL_ev_letrecz00_bglt BgL_ez00_3071,
		obj_t BgL_localz00_3072, obj_t BgL_absz00_3073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 189 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1695;
				obj_t BgL_localz00_1696;
				obj_t BgL_absz00_1697;

				{	/* Eval/evaluate_avar.scm 190 */
					bool_t BgL_auxz00_3592;

					BgL_ez00_1695 = BgL_ez00_3071;
					BgL_localz00_1696 = BgL_localz00_3072;
					BgL_absz00_1697 = BgL_absz00_3073;
					{	/* Eval/evaluate_avar.scm 191 */
						obj_t BgL_localz00_1701;

						{	/* Eval/evaluate_avar.scm 191 */
							obj_t BgL_arg2693z00_1722;

							{	/* Eval/evaluate_avar.scm 191 */
								BgL_ev_binderz00_bglt BgL_obj2080z00_2488;

								BgL_obj2080z00_2488 = ((BgL_ev_binderz00_bglt) BgL_ez00_1695);
								BgL_arg2693z00_1722 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2080z00_2488)))->BgL_varsz00);
							}
							BgL_localz00_1701 =
								BGl_appendzd221095zd2zz__evaluate_avarz00(BgL_arg2693z00_1722,
								BgL_localz00_1696);
						}
						{	/* Eval/evaluate_avar.scm 192 */
							obj_t BgL_g2413z00_1702;

							{	/* Eval/evaluate_avar.scm 192 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_2489;

								BgL_obj2083z00_2489 = ((BgL_ev_binderz00_bglt) BgL_ez00_1695);
								BgL_g2413z00_1702 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_2489)))->BgL_valsz00);
							}
							{
								obj_t BgL_l2411z00_2506;

								BgL_l2411z00_2506 = BgL_g2413z00_1702;
							BgL_zc3anonymousza32682ze3z83_2505:
								if (PAIRP(BgL_l2411z00_2506))
									{	/* Eval/evaluate_avar.scm 192 */
										{	/* Eval/evaluate_avar.scm 192 */
											obj_t BgL_ez00_2511;

											BgL_ez00_2511 = CAR(BgL_l2411z00_2506);
											BGl_avarz00zz__evaluate_avarz00(
												((BgL_ev_exprz00_bglt) BgL_ez00_2511),
												BgL_localz00_1701, BgL_absz00_1697);
										}
										{
											obj_t BgL_l2411z00_3605;

											BgL_l2411z00_3605 = CDR(BgL_l2411z00_2506);
											BgL_l2411z00_2506 = BgL_l2411z00_3605;
											goto BgL_zc3anonymousza32682ze3z83_2505;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 192 */
										((bool_t) 1);
									}
							}
						}
						{	/* Eval/evaluate_avar.scm 193 */
							BgL_ev_exprz00_bglt BgL_arg2685z00_1710;

							{	/* Eval/evaluate_avar.scm 193 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_2517;

								BgL_obj2086z00_2517 = ((BgL_ev_binderz00_bglt) BgL_ez00_1695);
								BgL_arg2685z00_1710 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_2517)))->BgL_bodyz00);
							}
							BGl_avarz00zz__evaluate_avarz00(BgL_arg2685z00_1710,
								BgL_localz00_1701, BgL_absz00_1697);
						}
						{	/* Eval/evaluate_avar.scm 194 */
							obj_t BgL_arg2687z00_1711;

							{	/* Eval/evaluate_avar.scm 194 */
								obj_t BgL_arg2688z00_1712;
								obj_t BgL_arg2689z00_1713;

								{	/* Eval/evaluate_avar.scm 194 */
									BgL_ev_binderz00_bglt BgL_obj2080z00_2518;

									BgL_obj2080z00_2518 = ((BgL_ev_binderz00_bglt) BgL_ez00_1695);
									BgL_arg2688z00_1712 =
										(((BgL_ev_binderz00_bglt) CREF(
												((obj_t) BgL_obj2080z00_2518)))->BgL_varsz00);
								}
								{	/* Eval/evaluate_avar.scm 194 */
									BgL_ev_absz00_bglt BgL_obj2286z00_2519;

									BgL_obj2286z00_2519 = ((BgL_ev_absz00_bglt) BgL_absz00_1697);
									BgL_arg2689z00_1713 =
										(((BgL_ev_absz00_bglt) CREF(
												((obj_t) BgL_obj2286z00_2519)))->BgL_bindz00);
								}
								BgL_arg2687z00_1711 =
									BGl_appendzd221095zd2zz__evaluate_avarz00(BgL_arg2688z00_1712,
									BgL_arg2689z00_1713);
							}
							{	/* Eval/evaluate_avar.scm 194 */
								BgL_ev_absz00_bglt BgL_obj2288z00_2520;

								BgL_obj2288z00_2520 = ((BgL_ev_absz00_bglt) BgL_absz00_1697);
								((((BgL_ev_absz00_bglt) CREF(
												((obj_t) BgL_obj2288z00_2520)))->BgL_bindz00) =
									((obj_t) BgL_arg2687z00_1711), BUNSPEC);
							}
						}
						{	/* Eval/evaluate_avar.scm 195 */
							obj_t BgL_g2416z00_1714;

							{	/* Eval/evaluate_avar.scm 195 */
								BgL_ev_binderz00_bglt BgL_obj2080z00_2522;

								BgL_obj2080z00_2522 = ((BgL_ev_binderz00_bglt) BgL_ez00_1695);
								BgL_g2416z00_1714 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2080z00_2522)))->BgL_varsz00);
							}
							{
								obj_t BgL_l2414z00_2543;

								BgL_l2414z00_2543 = BgL_g2416z00_1714;
							BgL_zc3anonymousza32690ze3z83_2542:
								if (PAIRP(BgL_l2414z00_2543))
									{	/* Eval/evaluate_avar.scm 195 */
										{	/* Eval/evaluate_avar.scm 195 */
											obj_t BgL_vz00_2548;

											BgL_vz00_2548 = CAR(BgL_l2414z00_2543);
											{	/* Eval/evaluate_avar.scm 195 */
												BgL_ev_varz00_bglt BgL_obj1835z00_2553;

												BgL_obj1835z00_2553 =
													((BgL_ev_varz00_bglt) BgL_vz00_2548);
												((((BgL_ev_varz00_bglt) CREF(
																((obj_t) BgL_obj1835z00_2553)))->BgL_effz00) =
													((obj_t) BTRUE), BUNSPEC);
											}
										}
										{
											obj_t BgL_l2414z00_3630;

											BgL_l2414z00_3630 = CDR(BgL_l2414z00_2543);
											BgL_l2414z00_2543 = BgL_l2414z00_3630;
											goto BgL_zc3anonymousza32690ze3z83_2542;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 195 */
										BgL_auxz00_3592 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_3592);
				}
			}
		}
	}



/* &avar-ev_let*2480 */
	obj_t BGl_z62avarzd2ev_letza22480z12zz__evaluate_avarz00(obj_t
		BgL_envz00_3074, BgL_ev_letza2za2_bglt BgL_ez00_3075,
		obj_t BgL_localz00_3076, obj_t BgL_absz00_3077)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 181 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1659;
				obj_t BgL_localz00_1660;
				obj_t BgL_absz00_1661;

				BgL_ez00_1659 = BgL_ez00_3075;
				BgL_localz00_1660 = BgL_localz00_3076;
				BgL_absz00_1661 = BgL_absz00_3077;
				{	/* Eval/evaluate_avar.scm 183 */
					obj_t BgL_localz00_1665;

					{	/* Eval/evaluate_avar.scm 183 */
						obj_t BgL_arg2681z00_1693;

						{	/* Eval/evaluate_avar.scm 183 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_2391;

							BgL_obj2080z00_2391 = ((BgL_ev_binderz00_bglt) BgL_ez00_1659);
							BgL_arg2681z00_1693 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_2391)))->BgL_varsz00);
						}
						BgL_localz00_1665 =
							BGl_appendzd221095zd2zz__evaluate_avarz00(BgL_arg2681z00_1693,
							BgL_localz00_1660);
					}
					{	/* Eval/evaluate_avar.scm 184 */
						obj_t BgL_g2404z00_1666;

						{	/* Eval/evaluate_avar.scm 184 */
							BgL_ev_binderz00_bglt BgL_obj2083z00_2392;

							BgL_obj2083z00_2392 = ((BgL_ev_binderz00_bglt) BgL_ez00_1659);
							BgL_g2404z00_1666 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2083z00_2392)))->BgL_valsz00);
						}
						{
							obj_t BgL_l2402z00_2409;

							BgL_l2402z00_2409 = BgL_g2404z00_1666;
						BgL_zc3anonymousza32667ze3z83_2408:
							if (PAIRP(BgL_l2402z00_2409))
								{	/* Eval/evaluate_avar.scm 184 */
									{	/* Eval/evaluate_avar.scm 184 */
										obj_t BgL_ez00_2414;

										BgL_ez00_2414 = CAR(BgL_l2402z00_2409);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_2414), BgL_localz00_1665,
											BgL_absz00_1661);
									}
									{
										obj_t BgL_l2402z00_3645;

										BgL_l2402z00_3645 = CDR(BgL_l2402z00_2409);
										BgL_l2402z00_2409 = BgL_l2402z00_3645;
										goto BgL_zc3anonymousza32667ze3z83_2408;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 184 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate_avar.scm 185 */
						BgL_ev_exprz00_bglt BgL_arg2670z00_1674;

						{	/* Eval/evaluate_avar.scm 185 */
							BgL_ev_binderz00_bglt BgL_obj2086z00_2420;

							BgL_obj2086z00_2420 = ((BgL_ev_binderz00_bglt) BgL_ez00_1659);
							BgL_arg2670z00_1674 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2086z00_2420)))->BgL_bodyz00);
						}
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2670z00_1674,
							BgL_localz00_1665, BgL_absz00_1661);
					}
					{	/* Eval/evaluate_avar.scm 186 */
						obj_t BgL_arg2671z00_1675;

						{	/* Eval/evaluate_avar.scm 186 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_2421;

							BgL_obj2080z00_2421 = ((BgL_ev_binderz00_bglt) BgL_ez00_1659);
							BgL_arg2671z00_1675 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_2421)))->BgL_varsz00);
						}
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
							((BgL_ev_absz00_bglt) BgL_absz00_1661), BgL_arg2671z00_1675);
					}
					{	/* Eval/evaluate_avar.scm 187 */
						obj_t BgL_arg2672z00_1676;

						{	/* Eval/evaluate_avar.scm 187 */
							obj_t BgL_l2405z00_1677;

							{	/* Eval/evaluate_avar.scm 187 */
								BgL_ev_binderz00_bglt BgL_obj2080z00_2422;

								BgL_obj2080z00_2422 = ((BgL_ev_binderz00_bglt) BgL_ez00_1659);
								BgL_l2405z00_1677 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2080z00_2422)))->BgL_varsz00);
							}
							if (NULLP(BgL_l2405z00_1677))
								{	/* Eval/evaluate_avar.scm 187 */
									BgL_arg2672z00_1676 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 187 */
									obj_t BgL_head2407z00_1679;

									{	/* Eval/evaluate_avar.scm 187 */
										obj_t BgL_arg2679z00_1691;

										{	/* Eval/evaluate_avar.scm 187 */
											BgL_ev_varz00_bglt BgL_obj1833z00_2426;

											{	/* Eval/evaluate_avar.scm 187 */
												obj_t BgL_pairz00_2425;

												BgL_pairz00_2425 = BgL_l2405z00_1677;
												BgL_obj1833z00_2426 =
													((BgL_ev_varz00_bglt) CAR(BgL_pairz00_2425));
											}
											BgL_arg2679z00_1691 =
												(((BgL_ev_varz00_bglt) CREF(
														((obj_t) BgL_obj1833z00_2426)))->BgL_effz00);
										}
										{	/* Eval/evaluate_avar.scm 187 */
											obj_t BgL_res2961z00_2429;

											BgL_res2961z00_2429 =
												MAKE_PAIR(BgL_arg2679z00_1691, BNIL);
											BgL_head2407z00_1679 = BgL_res2961z00_2429;
										}
									}
									{	/* Eval/evaluate_avar.scm 187 */
										obj_t BgL_g2410z00_1680;

										BgL_g2410z00_1680 = CDR(BgL_l2405z00_1677);
										{
											obj_t BgL_l2405z00_2464;
											obj_t BgL_tail2408z00_2465;

											BgL_l2405z00_2464 = BgL_g2410z00_1680;
											BgL_tail2408z00_2465 = BgL_head2407z00_1679;
										BgL_zc3anonymousza32674ze3z83_2463:
											if (NULLP(BgL_l2405z00_2464))
												{	/* Eval/evaluate_avar.scm 187 */
													BgL_arg2672z00_1676 = BgL_head2407z00_1679;
												}
											else
												{	/* Eval/evaluate_avar.scm 187 */
													obj_t BgL_newtail2409z00_2472;

													{	/* Eval/evaluate_avar.scm 187 */
														obj_t BgL_arg2677z00_2473;

														{	/* Eval/evaluate_avar.scm 187 */
															BgL_ev_varz00_bglt BgL_obj1833z00_2479;

															{	/* Eval/evaluate_avar.scm 187 */
																obj_t BgL_pairz00_2478;

																BgL_pairz00_2478 = BgL_l2405z00_2464;
																BgL_obj1833z00_2479 =
																	((BgL_ev_varz00_bglt) CAR(BgL_pairz00_2478));
															}
															BgL_arg2677z00_2473 =
																(((BgL_ev_varz00_bglt) CREF(
																		((obj_t) BgL_obj1833z00_2479)))->
																BgL_effz00);
														}
														{	/* Eval/evaluate_avar.scm 187 */
															obj_t BgL_res2967z00_2482;

															BgL_res2967z00_2482 =
																MAKE_PAIR(BgL_arg2677z00_2473, BNIL);
															BgL_newtail2409z00_2472 = BgL_res2967z00_2482;
														}
													}
													SET_CDR(BgL_tail2408z00_2465,
														BgL_newtail2409z00_2472);
													{
														obj_t BgL_tail2408z00_3677;
														obj_t BgL_l2405z00_3675;

														BgL_l2405z00_3675 = CDR(BgL_l2405z00_2464);
														BgL_tail2408z00_3677 = BgL_newtail2409z00_2472;
														BgL_tail2408z00_2465 = BgL_tail2408z00_3677;
														BgL_l2405z00_2464 = BgL_l2405z00_3675;
														goto BgL_zc3anonymousza32674ze3z83_2463;
													}
												}
										}
									}
								}
						}
						return
							((((BgL_ev_letza2za2_bglt) CREF(
										((obj_t) BgL_ez00_1659)))->BgL_boxesz00) =
							((obj_t) BgL_arg2672z00_1676), BUNSPEC);
					}
				}
			}
		}
	}



/* &avar-ev_let2478 */
	obj_t BGl_z62avarzd2ev_let2478zb0zz__evaluate_avarz00(obj_t BgL_envz00_3078,
		BgL_ev_letz00_bglt BgL_ez00_3079, obj_t BgL_localz00_3080,
		obj_t BgL_absz00_3081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 174 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1638;
				obj_t BgL_localz00_1639;
				obj_t BgL_absz00_1640;

				BgL_ez00_1638 = BgL_ez00_3079;
				BgL_localz00_1639 = BgL_localz00_3080;
				BgL_absz00_1640 = BgL_absz00_3081;
				{	/* Eval/evaluate_avar.scm 176 */
					obj_t BgL_g2401z00_1644;

					{	/* Eval/evaluate_avar.scm 176 */
						BgL_ev_binderz00_bglt BgL_obj2083z00_2357;

						BgL_obj2083z00_2357 = ((BgL_ev_binderz00_bglt) BgL_ez00_1638);
						BgL_g2401z00_1644 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2083z00_2357)))->BgL_valsz00);
					}
					{
						obj_t BgL_l2399z00_2374;

						BgL_l2399z00_2374 = BgL_g2401z00_1644;
					BgL_zc3anonymousza32657ze3z83_2373:
						if (PAIRP(BgL_l2399z00_2374))
							{	/* Eval/evaluate_avar.scm 176 */
								{	/* Eval/evaluate_avar.scm 176 */
									obj_t BgL_ez00_2379;

									BgL_ez00_2379 = CAR(BgL_l2399z00_2374);
									BGl_avarz00zz__evaluate_avarz00(
										((BgL_ev_exprz00_bglt) BgL_ez00_2379), BgL_localz00_1639,
										BgL_absz00_1640);
								}
								{
									obj_t BgL_l2399z00_3688;

									BgL_l2399z00_3688 = CDR(BgL_l2399z00_2374);
									BgL_l2399z00_2374 = BgL_l2399z00_3688;
									goto BgL_zc3anonymousza32657ze3z83_2373;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 176 */
								((bool_t) 1);
							}
					}
				}
				{	/* Eval/evaluate_avar.scm 177 */
					BgL_ev_exprz00_bglt BgL_arg2661z00_1652;
					obj_t BgL_arg2662z00_1653;

					{	/* Eval/evaluate_avar.scm 177 */
						BgL_ev_binderz00_bglt BgL_obj2086z00_2385;

						BgL_obj2086z00_2385 = ((BgL_ev_binderz00_bglt) BgL_ez00_1638);
						BgL_arg2661z00_1652 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2086z00_2385)))->BgL_bodyz00);
					}
					{	/* Eval/evaluate_avar.scm 177 */
						obj_t BgL_arg2663z00_1654;

						{	/* Eval/evaluate_avar.scm 177 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_2386;

							BgL_obj2080z00_2386 = ((BgL_ev_binderz00_bglt) BgL_ez00_1638);
							BgL_arg2663z00_1654 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_2386)))->BgL_varsz00);
						}
						BgL_arg2662z00_1653 =
							BGl_appendzd221095zd2zz__evaluate_avarz00(BgL_arg2663z00_1654,
							BgL_localz00_1639);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2661z00_1652,
						BgL_arg2662z00_1653, BgL_absz00_1640);
				}
				{	/* Eval/evaluate_avar.scm 178 */
					obj_t BgL_arg2664z00_1655;

					{	/* Eval/evaluate_avar.scm 178 */
						BgL_ev_binderz00_bglt BgL_obj2080z00_2387;

						BgL_obj2080z00_2387 = ((BgL_ev_binderz00_bglt) BgL_ez00_1638);
						BgL_arg2664z00_1655 =
							(((BgL_ev_binderz00_bglt) CREF(
									((obj_t) BgL_obj2080z00_2387)))->BgL_varsz00);
					}
					BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_1640), BgL_arg2664z00_1655);
				}
				{	/* Eval/evaluate_avar.scm 179 */
					obj_t BgL_arg2665z00_1656;

					{	/* Eval/evaluate_avar.scm 179 */
						obj_t BgL_arg2666z00_1657;

						{	/* Eval/evaluate_avar.scm 179 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_2388;

							BgL_obj2080z00_2388 = ((BgL_ev_binderz00_bglt) BgL_ez00_1638);
							BgL_arg2666z00_1657 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_2388)))->BgL_varsz00);
						}
						BgL_arg2665z00_1656 =
							BGl_filterz00zz__r4_control_features_6_9z00
							(BGl_ev_varzd2effzd2envz00zz__evaluate_avarz00,
							BgL_arg2666z00_1657);
					}
					return
						((((BgL_ev_letz00_bglt) CREF(
									((obj_t) BgL_ez00_1638)))->BgL_boxesz00) =
						((obj_t) BgL_arg2665z00_1656), BUNSPEC);
				}
			}
		}
	}



/* &avar-ev_with-handler2476 */
	obj_t BGl_z62avarzd2ev_withzd2handler2476z62zz__evaluate_avarz00(obj_t
		BgL_envz00_3082, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3083,
		obj_t BgL_localz00_3084, obj_t BgL_absz00_3085)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 169 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1629;
				obj_t BgL_localz00_1630;
				obj_t BgL_absz00_1631;

				BgL_ez00_1629 = BgL_ez00_3083;
				BgL_localz00_1630 = BgL_localz00_3084;
				BgL_absz00_1631 = BgL_absz00_3085;
				{	/* Eval/evaluate_avar.scm 170 */
					BgL_ev_exprz00_bglt BgL_arg2654z00_2353;

					BgL_arg2654z00_2353 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(
								((obj_t) BgL_ez00_1629)))->BgL_handlerz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2654z00_2353,
						BgL_localz00_1630, BgL_absz00_1631);
				}
				{	/* Eval/evaluate_avar.scm 170 */
					BgL_ev_exprz00_bglt BgL_arg2656z00_2354;

					BgL_arg2656z00_2354 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(
								((obj_t) BgL_ez00_1629)))->BgL_bodyz00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2656z00_2354,
						BgL_localz00_1630, BgL_absz00_1631);
				}
			}
		}
	}



/* &avar-ev_unwind-prote2474 */
	obj_t BGl_z62avarzd2ev_unwindzd2prote2474z62zz__evaluate_avarz00(obj_t
		BgL_envz00_3086, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3087,
		obj_t BgL_localz00_3088, obj_t BgL_absz00_3089)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 164 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1620;
				obj_t BgL_localz00_1621;
				obj_t BgL_absz00_1622;

				BgL_ez00_1620 = BgL_ez00_3087;
				BgL_localz00_1621 = BgL_localz00_3088;
				BgL_absz00_1622 = BgL_absz00_3089;
				{	/* Eval/evaluate_avar.scm 165 */
					BgL_ev_exprz00_bglt BgL_arg2652z00_2348;

					BgL_arg2652z00_2348 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
								((obj_t) BgL_ez00_1620)))->BgL_ez00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2652z00_2348,
						BgL_localz00_1621, BgL_absz00_1622);
				}
				{	/* Eval/evaluate_avar.scm 165 */
					BgL_ev_exprz00_bglt BgL_arg2653z00_2349;

					BgL_arg2653z00_2349 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
								((obj_t) BgL_ez00_1620)))->BgL_bodyz00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2653z00_2349,
						BgL_localz00_1621, BgL_absz00_1622);
				}
			}
		}
	}



/* &avar-ev_bind-exit2472 */
	obj_t BGl_z62avarzd2ev_bindzd2exit2472z62zz__evaluate_avarz00(obj_t
		BgL_envz00_3090, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3091,
		obj_t BgL_localz00_3092, obj_t BgL_absz00_3093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 159 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1608;
				obj_t BgL_localz00_1609;
				obj_t BgL_absz00_1610;

				BgL_ez00_1608 = BgL_ez00_3091;
				BgL_localz00_1609 = BgL_localz00_3092;
				BgL_absz00_1610 = BgL_absz00_3093;
				{	/* Eval/evaluate_avar.scm 160 */
					BgL_ev_exprz00_bglt BgL_arg2646z00_2339;
					obj_t BgL_arg2647z00_2340;

					BgL_arg2646z00_2339 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(
								((obj_t) BgL_ez00_1608)))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg2648z00_2341;

						BgL_arg2648z00_2341 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_ez00_1608)))->BgL_varz00);
						BgL_arg2647z00_2340 =
							MAKE_PAIR(((obj_t) BgL_arg2648z00_2341), BgL_localz00_1609);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2646z00_2339,
						BgL_arg2647z00_2340, BgL_absz00_1610);
				}
				{	/* Eval/evaluate_avar.scm 160 */
					obj_t BgL_arg2650z00_2342;

					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg2651z00_2343;

						BgL_arg2651z00_2343 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(
									((obj_t) BgL_ez00_1608)))->BgL_varz00);
						BgL_arg2650z00_2342 =
							MAKE_PAIR(((obj_t) BgL_arg2651z00_2343), BNIL);
					}
					return
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_1610), BgL_arg2650z00_2342);
				}
			}
		}
	}



/* &avar-ev_setlocal2470 */
	obj_t BGl_z62avarzd2ev_setlocal2470zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_3094, BgL_ev_setlocalz00_bglt BgL_ez00_3095,
		obj_t BgL_localz00_3096, obj_t BgL_absz00_3097)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 153 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1598;
				obj_t BgL_localz00_1599;
				obj_t BgL_absz00_1600;

				BgL_ez00_1598 = BgL_ez00_3095;
				BgL_localz00_1599 = BgL_localz00_3096;
				BgL_absz00_1600 = BgL_absz00_3097;
				{	/* Eval/evaluate_avar.scm 154 */
					BgL_ev_varz00_bglt BgL_arg2643z00_2320;

					BgL_arg2643z00_2320 =
						(((BgL_ev_setlocalz00_bglt) CREF(
								((obj_t) BgL_ez00_1598)))->BgL_vz00);
					{	/* Eval/evaluate_avar.scm 154 */
						BgL_ev_absz00_bglt BgL_absz00_2326;

						BgL_absz00_2326 = ((BgL_ev_absz00_bglt) BgL_absz00_1600);
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_arg2643z00_2320), BgL_localz00_1599)))
							{	/* Eval/evaluate_avar.scm 154 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_avar.scm 154 */
								obj_t BgL_freez00_2328;

								BgL_freez00_2328 =
									(((BgL_ev_absz00_bglt) CREF(
											((obj_t) BgL_absz00_2326)))->BgL_freez00);
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_arg2643z00_2320), BgL_freez00_2328)))
									{	/* Eval/evaluate_avar.scm 154 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_avar.scm 154 */
										obj_t BgL_arg2565z00_2330;

										BgL_arg2565z00_2330 =
											MAKE_PAIR(
											((obj_t) BgL_arg2643z00_2320), BgL_freez00_2328);
										((((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_absz00_2326)))->BgL_freez00) =
											((obj_t) BgL_arg2565z00_2330), BUNSPEC);
									}
							}
					}
				}
				{	/* Eval/evaluate_avar.scm 154 */
					BgL_ev_varz00_bglt BgL_arg2644z00_2321;

					BgL_arg2644z00_2321 =
						(((BgL_ev_setlocalz00_bglt) CREF(
								((obj_t) BgL_ez00_1598)))->BgL_vz00);
					((((BgL_ev_varz00_bglt) CREF(
									((obj_t) BgL_arg2644z00_2321)))->BgL_effz00) =
						((obj_t) BTRUE), BUNSPEC);
				}
				{	/* Eval/evaluate_avar.scm 154 */
					BgL_ev_exprz00_bglt BgL_arg2645z00_2322;

					{	/* Eval/evaluate_avar.scm 154 */
						BgL_ev_hookz00_bglt BgL_obj1944z00_2337;

						BgL_obj1944z00_2337 = ((BgL_ev_hookz00_bglt) BgL_ez00_1598);
						BgL_arg2645z00_2322 =
							(((BgL_ev_hookz00_bglt) CREF(
									((obj_t) BgL_obj1944z00_2337)))->BgL_ez00);
					}
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2645z00_2322,
						BgL_localz00_1599, BgL_absz00_1600);
				}
			}
		}
	}



/* &avar-ev_hook2468 */
	obj_t BGl_z62avarzd2ev_hook2468zb0zz__evaluate_avarz00(obj_t BgL_envz00_3098,
		BgL_ev_hookz00_bglt BgL_ez00_3099, obj_t BgL_localz00_3100,
		obj_t BgL_absz00_3101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 149 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1590;
				obj_t BgL_localz00_1591;
				obj_t BgL_absz00_1592;

				BgL_ez00_1590 = BgL_ez00_3099;
				BgL_localz00_1591 = BgL_localz00_3100;
				BgL_absz00_1592 = BgL_absz00_3101;
				{	/* Eval/evaluate_avar.scm 150 */
					BgL_ev_exprz00_bglt BgL_arg2642z00_2317;

					BgL_arg2642z00_2317 =
						(((BgL_ev_hookz00_bglt) CREF(((obj_t) BgL_ez00_1590)))->BgL_ez00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2642z00_2317,
						BgL_localz00_1591, BgL_absz00_1592);
				}
			}
		}
	}



/* &avar-ev_prog22466 */
	obj_t BGl_z62avarzd2ev_prog22466zb0zz__evaluate_avarz00(obj_t BgL_envz00_3102,
		BgL_ev_prog2z00_bglt BgL_ez00_3103, obj_t BgL_localz00_3104,
		obj_t BgL_absz00_3105)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 144 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1581;
				obj_t BgL_localz00_1582;
				obj_t BgL_absz00_1583;

				BgL_ez00_1581 = BgL_ez00_3103;
				BgL_localz00_1582 = BgL_localz00_3104;
				BgL_absz00_1583 = BgL_absz00_3105;
				{	/* Eval/evaluate_avar.scm 145 */
					BgL_ev_exprz00_bglt BgL_arg2640z00_2312;

					BgL_arg2640z00_2312 =
						(((BgL_ev_prog2z00_bglt) CREF(((obj_t) BgL_ez00_1581)))->BgL_e1z00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2640z00_2312,
						BgL_localz00_1582, BgL_absz00_1583);
				}
				{	/* Eval/evaluate_avar.scm 145 */
					BgL_ev_exprz00_bglt BgL_arg2641z00_2313;

					BgL_arg2641z00_2313 =
						(((BgL_ev_prog2z00_bglt) CREF(((obj_t) BgL_ez00_1581)))->BgL_e2z00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2641z00_2313,
						BgL_localz00_1582, BgL_absz00_1583);
				}
			}
		}
	}



/* &avar-ev_list2464 */
	obj_t BGl_z62avarzd2ev_list2464zb0zz__evaluate_avarz00(obj_t BgL_envz00_3106,
		BgL_ev_listz00_bglt BgL_ez00_3107, obj_t BgL_localz00_3108,
		obj_t BgL_absz00_3109)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 140 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1566;
				obj_t BgL_localz00_1567;
				obj_t BgL_absz00_1568;

				{	/* Eval/evaluate_avar.scm 141 */
					bool_t BgL_auxz00_3768;

					BgL_ez00_1566 = BgL_ez00_3107;
					BgL_localz00_1567 = BgL_localz00_3108;
					BgL_absz00_1568 = BgL_absz00_3109;
					{	/* Eval/evaluate_avar.scm 141 */
						obj_t BgL_g2398z00_2277;

						BgL_g2398z00_2277 =
							(((BgL_ev_listz00_bglt) CREF(
									((obj_t) BgL_ez00_1566)))->BgL_argsz00);
						{
							obj_t BgL_l2396z00_2300;

							BgL_l2396z00_2300 = BgL_g2398z00_2277;
						BgL_zc3anonymousza32637ze3z83_2299:
							if (PAIRP(BgL_l2396z00_2300))
								{	/* Eval/evaluate_avar.scm 141 */
									{	/* Eval/evaluate_avar.scm 141 */
										obj_t BgL_ez00_2305;

										BgL_ez00_2305 = CAR(BgL_l2396z00_2300);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_2305), BgL_localz00_1567,
											BgL_absz00_1568);
									}
									{
										obj_t BgL_l2396z00_3776;

										BgL_l2396z00_3776 = CDR(BgL_l2396z00_2300);
										BgL_l2396z00_2300 = BgL_l2396z00_3776;
										goto BgL_zc3anonymousza32637ze3z83_2299;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 141 */
									BgL_auxz00_3768 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3768);
				}
			}
		}
	}



/* &avar-ev_if2462 */
	obj_t BGl_z62avarzd2ev_if2462zb0zz__evaluate_avarz00(obj_t BgL_envz00_3110,
		BgL_ev_ifz00_bglt BgL_ez00_3111, obj_t BgL_localz00_3112,
		obj_t BgL_absz00_3113)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 134 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1556;
				obj_t BgL_localz00_1557;
				obj_t BgL_absz00_1558;

				BgL_ez00_1556 = BgL_ez00_3111;
				BgL_localz00_1557 = BgL_localz00_3112;
				BgL_absz00_1558 = BgL_absz00_3113;
				{	/* Eval/evaluate_avar.scm 135 */
					BgL_ev_exprz00_bglt BgL_arg2634z00_2270;

					BgL_arg2634z00_2270 =
						(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1556)))->BgL_pz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2634z00_2270,
						BgL_localz00_1557, BgL_absz00_1558);
				}
				{	/* Eval/evaluate_avar.scm 135 */
					BgL_ev_exprz00_bglt BgL_arg2635z00_2271;

					BgL_arg2635z00_2271 =
						(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1556)))->BgL_tz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg2635z00_2271,
						BgL_localz00_1557, BgL_absz00_1558);
				}
				{	/* Eval/evaluate_avar.scm 135 */
					BgL_ev_exprz00_bglt BgL_arg2636z00_2272;

					BgL_arg2636z00_2272 =
						(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_1556)))->BgL_ez00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg2636z00_2272,
						BgL_localz00_1557, BgL_absz00_1558);
				}
			}
		}
	}



/* &avar-ev_litt2460 */
	obj_t BGl_z62avarzd2ev_litt2460zb0zz__evaluate_avarz00(obj_t BgL_envz00_3114,
		BgL_ev_littz00_bglt BgL_ez00_3115, obj_t BgL_localz00_3116,
		obj_t BgL_absz00_3117)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 131 */
			return BUNSPEC;
		}
	}



/* &avar-ev_global2458 */
	obj_t BGl_z62avarzd2ev_global2458zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_3118, BgL_ev_globalz00_bglt BgL_varz00_3119,
		obj_t BgL_localz00_3120, obj_t BgL_absz00_3121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 128 */
			return BUNSPEC;
		}
	}



/* &avar-ev_var2456 */
	obj_t BGl_z62avarzd2ev_var2456zb0zz__evaluate_avarz00(obj_t BgL_envz00_3122,
		BgL_ev_varz00_bglt BgL_varz00_3123, obj_t BgL_localz00_3124,
		obj_t BgL_absz00_3125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 125 */
			{
				BgL_ev_varz00_bglt BgL_varz00_1538;
				obj_t BgL_localz00_1539;
				obj_t BgL_absz00_1540;

				BgL_varz00_1538 = BgL_varz00_3123;
				BgL_localz00_1539 = BgL_localz00_3124;
				BgL_absz00_1540 = BgL_absz00_3125;
				{	/* Eval/evaluate_avar.scm 126 */
					BgL_ev_absz00_bglt BgL_absz00_2261;

					BgL_absz00_2261 = ((BgL_ev_absz00_bglt) BgL_absz00_1540);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_1538), BgL_localz00_1539)))
						{	/* Eval/evaluate_avar.scm 126 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_avar.scm 126 */
							obj_t BgL_freez00_2263;

							BgL_freez00_2263 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_absz00_2261)))->BgL_freez00);
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_varz00_1538), BgL_freez00_2263)))
								{	/* Eval/evaluate_avar.scm 126 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_avar.scm 126 */
									obj_t BgL_arg2565z00_2265;

									BgL_arg2565z00_2265 =
										MAKE_PAIR(((obj_t) BgL_varz00_1538), BgL_freez00_2263);
									return
										((((BgL_ev_absz00_bglt) CREF(
													((obj_t) BgL_absz00_2261)))->BgL_freez00) =
										((obj_t) BgL_arg2565z00_2265), BUNSPEC);
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 2457613),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534), BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 126621575),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3086z00zz__evaluate_avarz00));
		}
	}

#ifdef __cplusplus
}
#endif
