/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;


	BGL_IMPORT obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	extern BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	static obj_t BGl_z62zc3anonymousza33503ze3ze1zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62zc3anonymousza33504ze3ze1zzast_sexpz00(obj_t);
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern BgL_conditionalz00_bglt BGl_makezd2conditionalzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_sequencez00_bglt BGl_makezd2sequencezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, bool_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza33746ze3ze1zzast_sexpz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33949ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_liipz00zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_lookupz00zzast_sexpz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33500ze3z83zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62zc3anonymousza33752ze3ze1zzast_sexpz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[41];


	   
		 
		DEFINE_STRING(BGl_string4358z00zzast_sexpz00,
		BgL_bgl_string4358za700za7za7a4391za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string4359z00zzast_sexpz00,
		BgL_bgl_string4359za700za7za7a4392za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string4360z00zzast_sexpz00,
		BgL_bgl_string4360za700za7za7a4393za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string4361z00zzast_sexpz00,
		BgL_bgl_string4361za700za7za7a4394za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string4362z00zzast_sexpz00,
		BgL_bgl_string4362za700za7za7a4395za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string4363z00zzast_sexpz00,
		BgL_bgl_string4363za700za7za7a4396za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string4364z00zzast_sexpz00,
		BgL_bgl_string4364za700za7za7a4397za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string4365z00zzast_sexpz00,
		BgL_bgl_string4365za700za7za7a4398za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string4366z00zzast_sexpz00,
		BgL_bgl_string4366za700za7za7a4399za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string4367z00zzast_sexpz00,
		BgL_bgl_string4367za700za7za7a4400za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string4368z00zzast_sexpz00,
		BgL_bgl_string4368za700za7za7a4401za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string4369z00zzast_sexpz00,
		BgL_bgl_string4369za700za7za7a4402za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string4370z00zzast_sexpz00,
		BgL_bgl_string4370za700za7za7a4403za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string4371z00zzast_sexpz00,
		BgL_bgl_string4371za700za7za7a4404za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string4372z00zzast_sexpz00,
		BgL_bgl_string4372za700za7za7a4405za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string4373z00zzast_sexpz00,
		BgL_bgl_string4373za700za7za7a4406za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string4374z00zzast_sexpz00,
		BgL_bgl_string4374za700za7za7a4407za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string4375z00zzast_sexpz00,
		BgL_bgl_string4375za700za7za7a4408za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string4376z00zzast_sexpz00,
		BgL_bgl_string4376za700za7za7a4409za7, "Illegal `pragma/effect' form", 28);
	      DEFINE_STRING(BGl_string4377z00zzast_sexpz00,
		BgL_bgl_string4377za700za7za7a4410za7, "Illegal `free-pragma/effect' form",
		33);
	      DEFINE_STRING(BGl_string4378z00zzast_sexpz00,
		BgL_bgl_string4378za700za7za7a4411za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string4379z00zzast_sexpz00,
		BgL_bgl_string4379za700za7za7a4412za7, "Illegal mutation", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim4413z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4380z00zzast_sexpz00,
		BgL_bgl_string4380za700za7za7a4414za7, "($1)", 4);
	      DEFINE_STRING(BGl_string4381z00zzast_sexpz00,
		BgL_bgl_string4381za700za7za7a4415za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string4382z00zzast_sexpz00,
		BgL_bgl_string4382za700za7za7a4416za7, "<", 1);
	      DEFINE_STRING(BGl_string4383z00zzast_sexpz00,
		BgL_bgl_string4383za700za7za7a4417za7, ":", 1);
	      DEFINE_STRING(BGl_string4384z00zzast_sexpz00,
		BgL_bgl_string4384za700za7za7a4418za7, "./", 2);
	      DEFINE_STRING(BGl_string4385z00zzast_sexpz00,
		BgL_bgl_string4385za700za7za7a4419za7, ">", 1);
	      DEFINE_STRING(BGl_string4386z00zzast_sexpz00,
		BgL_bgl_string4386za700za7za7a4420za7, "-", 1);
	      DEFINE_STRING(BGl_string4387z00zzast_sexpz00,
		BgL_bgl_string4387za700za7za7a4421za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string4388z00zzast_sexpz00,
		BgL_bgl_string4388za700za7za7a4422za7,
		"> bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons (quote ()) apply jump-exit set-exit case failure free-pragma/effect free-pragma pragma/effect letrec* labels letrec let lambda define begin __r4_control_features_6_9 quote @ eval not bool test set! pragma else value if (value apply app set!) ",
		382);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza74423za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym4424z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e4425za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod4426za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d4427za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e34428z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za74429za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl4430z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim4431z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_3209, char *BgL_fromz00_3210)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					BGl_toplevelzd2initzd2zzast_sexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_3201;

				BgL_cportz00_3201 =
					bgl_open_input_string(BGl_string4388z00zzast_sexpz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3202;

					BgL_iz00_3202 = ((long) 40);
				BgL_loopz00_3203:
					if ((BgL_iz00_3202 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg4390z00_3205;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_3207;

										BgL_locationz00_3207 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg4390z00_3205 =
												BGl_readz00zz__readerz00(BgL_cportz00_3201,
												BgL_locationz00_3207);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_auxz00_3236;

									BgL_auxz00_3236 = (int) (BgL_iz00_3202);
									CNST_TABLE_SET(BgL_auxz00_3236, BgL_arg4390z00_3205);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_3208;

								BgL_auxz00_3208 = (int) ((BgL_iz00_3202 - ((long) 1)));
								{
									long BgL_iz00_3241;

									BgL_iz00_3241 = (long) (BgL_auxz00_3208);
									BgL_iz00_3202 = BgL_iz00_3241;
									goto BgL_loopz00_3203;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 59 */
			{	/* Ast/sexp.scm 60 */
				obj_t BgL_xz00_3001;

				BgL_xz00_3001 =
					BGl_zc3exitza33500ze3z83zzast_sexpz00(BgL_locz00_18, BgL_expz00_17);
				return ((BgL_nodez00_bglt) BgL_xz00_3001);
			}
		}
	}



/* <exit:3500> */
	obj_t BGl_zc3exitza33500ze3z83zzast_sexpz00(obj_t BgL_locz00_2999,
		obj_t BgL_expz00_2998)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 60 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit3464z00_960;

			if (SET_EXIT(BgL_an_exit3464z00_960))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit3464z00_960 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 60 */

						PUSH_EXIT(BgL_an_exit3464z00_960, ((long) 1));
						{	/* Ast/sexp.scm 60 */
							obj_t BgL_an_exitd3465z00_961;

							BgL_an_exitd3465z00_961 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Ast/sexp.scm 63 */
								obj_t BgL_res3467z00_964;

								{	/* Ast/sexp.scm 63 */
									obj_t BgL_zc3anonymousza33504ze3z83_2938;
									obj_t BgL_zc3anonymousza33503ze3z83_2939;

									BgL_zc3anonymousza33504ze3z83_2938 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33504ze3ze1zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3anonymousza33503ze3z83_2939 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33503ze3ze1zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza33504ze3z83_2938,
										(int) (((long) 0)), BgL_expz00_2998);
									PROCEDURE_SET(BgL_zc3anonymousza33504ze3z83_2938,
										(int) (((long) 1)), BgL_locz00_2999);
									PROCEDURE_SET(BgL_zc3anonymousza33503ze3z83_2939,
										(int) (((long) 0)), BgL_an_exitd3465z00_961);
									BgL_res3467z00_964 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3anonymousza33503ze3z83_2939,
										BgL_zc3anonymousza33504ze3z83_2938);
								}
								POP_EXIT();
								return BgL_res3467z00_964;
							}
						}
					}
				}
		}
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_2940, obj_t BgL_expz00_2941, obj_t BgL_locz00_2942)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 59 */
			return
				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_2941,
				BgL_locz00_2942);
		}
	}



/* &<anonymous:3504> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza33504ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_2943)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 65 */
			{	/* Ast/sexp.scm 66 */
				obj_t BgL_expz00_2944;
				obj_t BgL_locz00_2945;

				BgL_expz00_2944 = PROCEDURE_REF(BgL_envz00_2943, (int) (((long) 0)));
				BgL_locz00_2945 = PROCEDURE_REF(BgL_envz00_2943, (int) (((long) 1)));
				{

					return
						BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_2944, BNIL,
						BgL_locz00_2945, CNST_TABLE_REF(((long) 2)));
		}}}
	}



/* &<anonymous:3503> */
	obj_t BGl_z62zc3anonymousza33503ze3ze1zzast_sexpz00(obj_t BgL_envz00_2946,
		obj_t BgL_ez00_2948)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			{	/* Ast/sexp.scm 63 */
				obj_t BgL_an_exitd3465z00_2947;

				BgL_an_exitd3465z00_2947 =
					PROCEDURE_REF(BgL_envz00_2946, (int) (((long) 0)));
				{
					obj_t BgL_ez00_967;

					BgL_ez00_967 = BgL_ez00_2948;
					BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_967);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd3465z00_2947,
						BUNSPEC);
				}
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 81 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_2949)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 81 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_20, obj_t BgL_stackz00_21, obj_t BgL_locz00_22,
		obj_t BgL_sitez00_23)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 98 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_974;
				obj_t BgL_bodyz00_981;
				obj_t BgL_bodyz00_986;
				obj_t BgL_argsz00_987;
				obj_t BgL_varsz00_991;
				obj_t BgL_bodyz00_992;
				obj_t BgL_argsz00_993;
				obj_t BgL_effectz00_997;
				obj_t BgL_restz00_998;
				obj_t BgL_effectz00_1001;
				obj_t BgL_restz00_1002;

				if (NULLP(BgL_expz00_20))
					{	/* Ast/sexp.scm 103 */
						return
							BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string4372z00zzast_sexpz00, BgL_expz00_20, BgL_locz00_22);
					}
				else
					{	/* Ast/sexp.scm 103 */
						if (BGl_iszd2azf3z21zz__objectz00(BgL_expz00_20,
								BGl_nodez00zzast_nodez00))
							{	/* Ast/sexp.scm 103 */
								obj_t BgL_xz00_3052;

								if (BGl_iszd2azf3z21zz__objectz00(BgL_expz00_20,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 110 */
										BgL_externz00_bglt BgL_instance3468z00_1285;

										BgL_instance3468z00_1285 =
											((BgL_externz00_bglt) BgL_expz00_20);
										{	/* Ast/sexp.scm 111 */
											obj_t BgL_arg3744z00_1287;

											BgL_arg3744z00_1287 =
												(((BgL_externz00_bglt) CREF(
														((obj_t) BgL_instance3468z00_1285)))->
												BgL_exprza2za2);
											{	/* Ast/sexp.scm 111 */
												obj_t BgL_zc3anonymousza33746ze3z83_2952;

												BgL_zc3anonymousza33746ze3z83_2952 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33746ze3ze1zzast_sexpz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33746ze3z83_2952,
													(int) (((long) 0)),
													((obj_t) BgL_instance3468z00_1285));
												PROCEDURE_SET(BgL_zc3anonymousza33746ze3z83_2952,
													(int) (((long) 1)), BgL_stackz00_21);
												{	/* Ast/sexp.scm 111 */
													obj_t BgL_list3745z00_1288;

													BgL_list3745z00_1288 =
														MAKE_PAIR(BgL_arg3744z00_1287, BNIL);
													BGl_mapz12z12zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza33746ze3z83_2952,
														BgL_list3745z00_1288);
									}}}}
								else
									{	/* Ast/sexp.scm 109 */
										BFALSE;
									}
								if (BGl_iszd2azf3z21zz__objectz00(BgL_expz00_20,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 113 */
										BgL_appz00_bglt BgL_instance3470z00_1294;

										BgL_instance3470z00_1294 =
											((BgL_appz00_bglt) BgL_expz00_20);
										{	/* Ast/sexp.scm 114 */
											obj_t BgL_arg3750z00_1296;

											BgL_arg3750z00_1296 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_instance3470z00_1294)))->BgL_argsz00);
											{	/* Ast/sexp.scm 114 */
												obj_t BgL_zc3anonymousza33752ze3z83_2951;

												BgL_zc3anonymousza33752ze3z83_2951 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33752ze3ze1zzast_sexpz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33752ze3z83_2951,
													(int) (((long) 0)),
													((obj_t) BgL_instance3470z00_1294));
												PROCEDURE_SET(BgL_zc3anonymousza33752ze3z83_2951,
													(int) (((long) 1)), BgL_stackz00_21);
												{	/* Ast/sexp.scm 114 */
													obj_t BgL_list3751z00_1297;

													BgL_list3751z00_1297 =
														MAKE_PAIR(BgL_arg3750z00_1296, BNIL);
													BGl_mapz12z12zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza33752ze3z83_2951,
														BgL_list3751z00_1297);
									}}}}
								else
									{	/* Ast/sexp.scm 112 */
										BFALSE;
									}
								BgL_xz00_3052 = BgL_expz00_20;
								return ((BgL_nodez00_bglt) BgL_xz00_3052);
							}
						else
							{	/* Ast/sexp.scm 103 */
								if (PAIRP(BgL_expz00_20))
									{	/* Ast/sexp.scm 103 */
										obj_t BgL_carzd21704zd2_1016;

										BgL_carzd21704zd2_1016 = CAR(BgL_expz00_20);
										if (SYMBOLP(BgL_carzd21704zd2_1016))
											{	/* Ast/sexp.scm 103 */
												bool_t BgL_testz00_3318;

												{	/* Ast/sexp.scm 103 */
													obj_t BgL_xz00_1149;

													BgL_xz00_1149 = BgL_carzd21704zd2_1016;
													{	/* Ast/sexp.scm 103 */
														obj_t BgL__ortest_3484z00_1150;

														BgL__ortest_3484z00_1150 =
															BGl_lookupz00zzast_sexpz00(BgL_xz00_1149,
															BgL_stackz00_21);
														if (CBOOL(BgL__ortest_3484z00_1150))
															{	/* Ast/sexp.scm 103 */
																BgL_testz00_3318 =
																	CBOOL(BgL__ortest_3484z00_1150);
															}
														else
															{	/* Ast/sexp.scm 103 */
																obj_t BgL_gz00_1151;

																BgL_gz00_1151 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_xz00_1149, BNIL);
																if (CBOOL(BgL_gz00_1151))
																	{	/* Ast/sexp.scm 103 */
																		bool_t BgL_testz00_3326;

																		{	/* Ast/sexp.scm 103 */
																			obj_t BgL_auxz00_3327;

																			{	/* Ast/sexp.scm 103 */
																				BgL_globalz00_bglt BgL_obj1785z00_2610;

																				BgL_obj1785z00_2610 =
																					((BgL_globalz00_bglt) BgL_gz00_1151);
																				BgL_auxz00_3327 =
																					(((BgL_globalz00_bglt) CREF(
																							((obj_t) BgL_obj1785z00_2610)))->
																					BgL_modulez00);
																			}
																			BgL_testz00_3326 =
																				(BgL_auxz00_3327 ==
																				CNST_TABLE_REF(((long) 12)));
																		}
																		if (BgL_testz00_3326)
																			{	/* Ast/sexp.scm 103 */
																				BgL_testz00_3318 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/sexp.scm 103 */
																				BgL_testz00_3318 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/sexp.scm 103 */
																		BgL_testz00_3318 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_testz00_3318)
													{	/* Ast/sexp.scm 103 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_20,
															BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
													}
												else
													{	/* Ast/sexp.scm 103 */
														if (
															(CAR(BgL_expz00_20) ==
																CNST_TABLE_REF(((long) 10))))
															{	/* Ast/sexp.scm 103 */
															BgL_tagzd21651zd2_978:
																{	/* Ast/sexp.scm 153 */
																	obj_t BgL_locz00_1321;

																	BgL_locz00_1321 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_20, BgL_locz00_22);
																	{
																		obj_t BgL_namez00_1322;
																		obj_t BgL_modulez00_1323;

																		if (PAIRP(BgL_expz00_20))
																			{	/* Ast/sexp.scm 154 */
																				obj_t BgL_cdrzd22474zd2_1328;

																				BgL_cdrzd22474zd2_1328 =
																					CDR(BgL_expz00_20);
																				if (
																					(CAR(BgL_expz00_20) ==
																						CNST_TABLE_REF(((long) 10))))
																					{	/* Ast/sexp.scm 154 */
																						if (PAIRP(BgL_cdrzd22474zd2_1328))
																							{	/* Ast/sexp.scm 154 */
																								obj_t BgL_carzd22477zd2_1331;
																								obj_t BgL_cdrzd22478zd2_1332;

																								BgL_carzd22477zd2_1331 =
																									CAR(BgL_cdrzd22474zd2_1328);
																								BgL_cdrzd22478zd2_1332 =
																									CDR(BgL_cdrzd22474zd2_1328);
																								if (SYMBOLP
																									(BgL_carzd22477zd2_1331))
																									{	/* Ast/sexp.scm 154 */
																										if (PAIRP
																											(BgL_cdrzd22478zd2_1332))
																											{	/* Ast/sexp.scm 154 */
																												obj_t
																													BgL_carzd22483zd2_1335;
																												BgL_carzd22483zd2_1335 =
																													CAR
																													(BgL_cdrzd22478zd2_1332);
																												if (SYMBOLP
																													(BgL_carzd22483zd2_1335))
																													{	/* Ast/sexp.scm 154 */
																														if (NULLP(CDR
																																(BgL_cdrzd22478zd2_1332)))
																															{	/* Ast/sexp.scm 154 */
																																BgL_namez00_1322
																																	=
																																	BgL_carzd22477zd2_1331;
																																BgL_modulez00_1323
																																	=
																																	BgL_carzd22483zd2_1335;
																																{	/* Ast/sexp.scm 156 */
																																	obj_t
																																		BgL_globalz00_1340;
																																	BgL_globalz00_1340
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_1322,
																																		BgL_modulez00_1323);
																																	if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1340, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 160 */
																																			bool_t
																																				BgL_testz00_3363;
																																			{	/* Ast/sexp.scm 160 */
																																				obj_t
																																					BgL_auxz00_3364;
																																				{	/* Ast/sexp.scm 160 */
																																					BgL_globalz00_bglt
																																						BgL_obj1788z00_2321;
																																					BgL_obj1788z00_2321
																																						=
																																						(
																																						(BgL_globalz00_bglt)
																																						BgL_globalz00_1340);
																																					BgL_auxz00_3364
																																						=
																																						(((BgL_globalz00_bglt) CREF(((obj_t) BgL_obj1788z00_2321)))->BgL_importz00);
																																				}
																																				BgL_testz00_3363
																																					=
																																					(BgL_auxz00_3364
																																					==
																																					CNST_TABLE_REF
																																					(((long) 9)));
																																			}
																																			if (BgL_testz00_3363)
																																				{	/* Ast/sexp.scm 161 */
																																					obj_t
																																						BgL_arg3783z00_1343;
																																					{	/* Ast/sexp.scm 161 */
																																						obj_t
																																							BgL_arg3784z00_1344;
																																						BgL_arg3784z00_1344
																																							=
																																							MAKE_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg3783z00_1343
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 9)), BgL_arg3784z00_1344);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_3374;
																																						obj_t
																																							BgL_expz00_3373;
																																						BgL_expz00_3373
																																							=
																																							BgL_arg3783z00_1343;
																																						BgL_locz00_3374
																																							=
																																							BgL_locz00_1321;
																																						BgL_locz00_22
																																							=
																																							BgL_locz00_3374;
																																						BgL_expz00_20
																																							=
																																							BgL_expz00_3373;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 160 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_1340,
																																						BgL_locz00_1321,
																																						BgL_sitez00_23);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 158 */
																																			return
																																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																				(BGl_string4370z00zzast_sexpz00,
																																				BgL_expz00_20,
																																				BgL_locz00_1321);
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 154 */
																															BgL_tagzd22467zd2_1325:
																																return
																																	BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																	(BGl_string4369z00zzast_sexpz00,
																																	BgL_expz00_20,
																																	BgL_locz00_1321);
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 154 */
																														goto
																															BgL_tagzd22467zd2_1325;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 154 */
																												goto
																													BgL_tagzd22467zd2_1325;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 154 */
																										goto BgL_tagzd22467zd2_1325;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 154 */
																								goto BgL_tagzd22467zd2_1325;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 154 */
																						goto BgL_tagzd22467zd2_1325;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 154 */
																				goto BgL_tagzd22467zd2_1325;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 103 */
																if (
																	(CAR(BgL_expz00_20) ==
																		CNST_TABLE_REF(((long) 11))))
																	{	/* Ast/sexp.scm 103 */
																	BgL_tagzd21652zd2_979:
																		{
																			obj_t BgL_valuez00_1346;

																			if (PAIRP(BgL_expz00_20))
																				{	/* Ast/sexp.scm 103 */
																					obj_t BgL_cdrzd22494zd2_1351;

																					BgL_cdrzd22494zd2_1351 =
																						CDR(BgL_expz00_20);
																					if (PAIRP(BgL_cdrzd22494zd2_1351))
																						{	/* Ast/sexp.scm 103 */
																							if (NULLP(CDR
																									(BgL_cdrzd22494zd2_1351)))
																								{	/* Ast/sexp.scm 103 */
																									BgL_valuez00_1346 =
																										CAR(BgL_cdrzd22494zd2_1351);
																									{	/* Ast/sexp.scm 170 */
																										obj_t BgL_locz00_1356;

																										BgL_locz00_1356 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_20,
																											BgL_locz00_22);
																										if (NULLP
																											(BgL_valuez00_1346))
																											{	/* Ast/sexp.scm 175 */
																												BgL_typez00_bglt
																													BgL_arg3792z00_1358;
																												{	/* Ast/sexp.scm 175 */
																													BgL_typez00_bglt
																														BgL_arg3794z00_1359;
																													BgL_arg3794z00_1359 =
																														BGl_getzd2typezd2kwotez00zztype_typeofz00
																														(BgL_valuez00_1346);
																													{	/* Ast/sexp.scm 175 */
																														BgL_typez00_bglt
																															BgL_auxz00_3394;
																														{	/* Ast/sexp.scm 175 */
																															obj_t
																																BgL_xz00_3037;
																															BgL_xz00_3037 =
																																BGl_za2bnilza2z00zztype_cachez00;
																															BgL_auxz00_3394 =
																																(
																																(BgL_typez00_bglt)
																																BgL_xz00_3037);
																														}
																														BgL_arg3792z00_1358
																															=
																															BGl_strictzd2nodezd2typez00zzast_nodez00
																															(BgL_arg3794z00_1359,
																															BgL_auxz00_3394);
																													}
																												}
																												{	/* Ast/sexp.scm 173 */
																													BgL_atomz00_bglt
																														BgL_xz00_3038;
																													BgL_xz00_3038 =
																														BGl_makezd2atomzd2zzast_nodez00
																														(BgL_locz00_1356,
																														BgL_arg3792z00_1358,
																														BNIL);
																													return (
																														(BgL_nodez00_bglt)
																														BgL_xz00_3038);
																												}
																											}
																										else
																											{	/* Ast/sexp.scm 177 */
																												bool_t BgL_testz00_3399;

																												if (PAIRP
																													(BgL_valuez00_1346))
																													{	/* Ast/sexp.scm 177 */
																														BgL_testz00_3399 =
																															((bool_t) 1);
																													}
																												else
																													{	/* Ast/sexp.scm 177 */
																														if (VECTORP
																															(BgL_valuez00_1346))
																															{	/* Ast/sexp.scm 178 */
																																BgL_testz00_3399
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 178 */
																																if (BGL_HVECTORP
																																	(BgL_valuez00_1346))
																																	{	/* Ast/sexp.scm 179 */
																																		BgL_testz00_3399
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 179 */
																																		if (STRUCTP
																																			(BgL_valuez00_1346))
																																			{	/* Ast/sexp.scm 180 */
																																				BgL_testz00_3399
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 180 */
																																				if (SYMBOLP(BgL_valuez00_1346))
																																					{	/* Ast/sexp.scm 181 */
																																						BgL_testz00_3399
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 181 */
																																						BgL_testz00_3399
																																							=
																																							KEYWORDP
																																							(BgL_valuez00_1346);
																																					}
																																			}
																																	}
																															}
																													}
																												if (BgL_testz00_3399)
																													{	/* Ast/sexp.scm 185 */
																														BgL_typez00_bglt
																															BgL_arg3798z00_1361;
																														{	/* Ast/sexp.scm 185 */
																															BgL_typez00_bglt
																																BgL_arg3799z00_1362;
																															BgL_arg3799z00_1362
																																=
																																BGl_getzd2typezd2kwotez00zztype_typeofz00
																																(BgL_valuez00_1346);
																															{	/* Ast/sexp.scm 185 */
																																BgL_typez00_bglt
																																	BgL_auxz00_3412;
																																{	/* Ast/sexp.scm 185 */
																																	obj_t
																																		BgL_xz00_3039;
																																	BgL_xz00_3039
																																		=
																																		BGl_za2_za2z00zztype_cachez00;
																																	BgL_auxz00_3412
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		BgL_xz00_3039);
																																}
																																BgL_arg3798z00_1361
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg3799z00_1362,
																																	BgL_auxz00_3412);
																															}
																														}
																														{	/* Ast/sexp.scm 183 */
																															BgL_kwotez00_bglt
																																BgL_xz00_3040;
																															BgL_xz00_3040 =
																																BGl_makezd2kwotezd2zzast_nodez00
																																(BgL_locz00_1356,
																																BgL_arg3798z00_1361,
																																BgL_valuez00_1346);
																															return (
																																(BgL_nodez00_bglt)
																																BgL_xz00_3040);
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 187 */
																														bool_t
																															BgL_testz00_3417;
																														if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_1346))
																															{	/* Ast/sexp.scm 187 */
																																BgL_testz00_3417
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 187 */
																																if (STRINGP
																																	(BgL_valuez00_1346))
																																	{	/* Ast/sexp.scm 188 */
																																		BgL_testz00_3417
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 188 */
																																		if (CNSTP
																																			(BgL_valuez00_1346))
																																			{	/* Ast/sexp.scm 189 */
																																				BgL_testz00_3417
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 189 */
																																				if (CHARP(BgL_valuez00_1346))
																																					{	/* Ast/sexp.scm 193 */
																																						BgL_testz00_3417
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 193 */
																																						BgL_testz00_3417
																																							=
																																							BOOLEANP
																																							(BgL_valuez00_1346);
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_3417)
																															{
																																obj_t
																																	BgL_locz00_3428;
																																obj_t
																																	BgL_expz00_3427;
																																BgL_expz00_3427
																																	=
																																	BgL_valuez00_1346;
																																BgL_locz00_3428
																																	=
																																	BgL_locz00_1356;
																																BgL_locz00_22 =
																																	BgL_locz00_3428;
																																BgL_expz00_20 =
																																	BgL_expz00_3427;
																																goto
																																	BGl_sexpzd2ze3nodez31zzast_sexpz00;
																															}
																														else
																															{	/* Ast/sexp.scm 187 */
																																return
																																	BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																	(BGl_string4368z00zzast_sexpz00,
																																	BgL_expz00_20,
																																	BgL_locz00_1356);
																															}
																													}
																											}
																									}
																								}
																							else
																								{	/* Ast/sexp.scm 103 */
																								BgL_tagzd22489zd2_1348:
																									return
																										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																										(BGl_string4368z00zzast_sexpz00,
																										BgL_expz00_20,
																										BgL_locz00_22);
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 103 */
																							goto BgL_tagzd22489zd2_1348;
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 103 */
																					goto BgL_tagzd22489zd2_1348;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 103 */
																		if (
																			(CAR(BgL_expz00_20) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/sexp.scm 103 */
																				if (NULLP(CDR(BgL_expz00_20)))
																					{	/* Ast/sexp.scm 103 */
																					BgL_tagzd21653zd2_980:
																						{
																							obj_t BgL_locz00_3440;
																							obj_t BgL_expz00_3439;

																							BgL_expz00_3439 = BUNSPEC;
																							BgL_locz00_3440 =
																								BGl_findzd2locationzf2locz20zztools_locationz00
																								(BgL_expz00_20, BgL_locz00_22);
																							BgL_locz00_22 = BgL_locz00_3440;
																							BgL_expz00_20 = BgL_expz00_3439;
																							goto
																								BGl_sexpzd2ze3nodez31zzast_sexpz00;
																						}
																					}
																				else
																					{	/* Ast/sexp.scm 103 */
																						obj_t BgL_arg3515z00_1024;

																						BgL_arg3515z00_1024 =
																							CDR(BgL_expz00_20);
																						{	/* Ast/sexp.scm 103 */
																							BgL_sequencez00_bglt
																								BgL_xz00_3055;
																							BgL_bodyz00_981 =
																								BgL_arg3515z00_1024;
																						BgL_tagzd21654zd2_982:
																							{	/* Ast/sexp.scm 204 */
																								obj_t BgL_locz00_1374;

																								BgL_locz00_1374 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_20,
																									BgL_locz00_22);
																								{	/* Ast/sexp.scm 204 */
																									obj_t BgL_nodesz00_1375;

																									BgL_nodesz00_1375 =
																										BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																										(BgL_bodyz00_981,
																										BgL_stackz00_21,
																										BgL_locz00_1374,
																										BgL_sitez00_23);
																									{	/* Ast/sexp.scm 205 */

																										{	/* Ast/sexp.scm 206 */
																											BgL_typez00_bglt
																												BgL_auxz00_3445;
																											{	/* Ast/sexp.scm 206 */
																												obj_t BgL_xz00_3036;

																												BgL_xz00_3036 =
																													BGl_za2_za2z00zztype_cachez00;
																												BgL_auxz00_3445 =
																													((BgL_typez00_bglt)
																													BgL_xz00_3036);
																											}
																											BgL_xz00_3055 =
																												BGl_makezd2sequencezd2zzast_nodez00
																												(BgL_locz00_1374,
																												BgL_auxz00_3445,
																												BUNSPEC,
																												BINT(((long) -1)),
																												BgL_nodesz00_1375,
																												((bool_t) 0));
																							}}}}
																							return
																								((BgL_nodez00_bglt)
																								BgL_xz00_3055);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 103 */
																				obj_t BgL_carzd21748zd2_1026;

																				BgL_carzd21748zd2_1026 =
																					CAR(BgL_expz00_20);
																				if (
																					(BgL_carzd21748zd2_1026 ==
																						CNST_TABLE_REF(((long) 1))))
																					{	/* Ast/sexp.scm 103 */
																					BgL_tagzd21655zd2_983:
																						{
																							obj_t BgL_siz00_1376;
																							obj_t BgL_alorsz00_1377;
																							obj_t BgL_sinonz00_1378;
																							obj_t BgL_siz00_1380;
																							obj_t BgL_alorsz00_1381;

																							if (PAIRP(BgL_expz00_20))
																								{	/* Ast/sexp.scm 103 */
																									obj_t BgL_cdrzd22510zd2_1386;

																									BgL_cdrzd22510zd2_1386 =
																										CDR(BgL_expz00_20);
																									if (PAIRP
																										(BgL_cdrzd22510zd2_1386))
																										{	/* Ast/sexp.scm 103 */
																											obj_t
																												BgL_cdrzd22515zd2_1388;
																											BgL_cdrzd22515zd2_1388 =
																												CDR
																												(BgL_cdrzd22510zd2_1386);
																											if (PAIRP
																												(BgL_cdrzd22515zd2_1388))
																												{	/* Ast/sexp.scm 103 */
																													obj_t
																														BgL_cdrzd22520zd2_1390;
																													BgL_cdrzd22520zd2_1390
																														=
																														CDR
																														(BgL_cdrzd22515zd2_1388);
																													if (PAIRP
																														(BgL_cdrzd22520zd2_1390))
																														{	/* Ast/sexp.scm 103 */
																															if (NULLP(CDR
																																	(BgL_cdrzd22520zd2_1390)))
																																{	/* Ast/sexp.scm 103 */
																																	BgL_siz00_1376
																																		=
																																		CAR
																																		(BgL_cdrzd22510zd2_1386);
																																	BgL_alorsz00_1377
																																		=
																																		CAR
																																		(BgL_cdrzd22515zd2_1388);
																																	BgL_sinonz00_1378
																																		=
																																		CAR
																																		(BgL_cdrzd22520zd2_1390);
																																	{
																																		obj_t
																																			BgL_siz00_1403;
																																		if (PAIRP
																																			(BgL_siz00_1376))
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_cdrzd22575zd2_1408;
																																				BgL_cdrzd22575zd2_1408
																																					=
																																					CDR
																																					(BgL_siz00_1376);
																																				if ((CAR
																																						(BgL_siz00_1376)
																																						==
																																						CNST_TABLE_REF
																																						(((long) 1))))
																																					{	/* Ast/sexp.scm 103 */
																																						if (PAIRP(BgL_cdrzd22575zd2_1408))
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_cdrzd22578zd2_1411;
																																								BgL_cdrzd22578zd2_1411
																																									=
																																									CDR
																																									(BgL_cdrzd22575zd2_1408);
																																								if (PAIRP(BgL_cdrzd22578zd2_1411))
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_cdrzd22581zd2_1413;
																																										BgL_cdrzd22581zd2_1413
																																											=
																																											CDR
																																											(BgL_cdrzd22578zd2_1411);
																																										if ((CAR(BgL_cdrzd22578zd2_1411) == BFALSE))
																																											{	/* Ast/sexp.scm 103 */
																																												if (PAIRP(BgL_cdrzd22581zd2_1413))
																																													{	/* Ast/sexp.scm 103 */
																																														if ((CAR(BgL_cdrzd22581zd2_1413) == BTRUE))
																																															{	/* Ast/sexp.scm 103 */
																																																if (NULLP(CDR(BgL_cdrzd22581zd2_1413)))
																																																	{	/* Ast/sexp.scm 103 */
																																																		BgL_siz00_1403
																																																			=
																																																			CAR
																																																			(BgL_cdrzd22575zd2_1408);
																																																	BgL_tagzd22567zd2_1404:
																																																		{	/* Ast/sexp.scm 216 */
																																																			obj_t
																																																				BgL_auxz00_3492;
																																																			BgL_auxz00_3492
																																																				=
																																																				CDR
																																																				(BgL_expz00_20);
																																																			SET_CAR
																																																				(BgL_auxz00_3492,
																																																				BgL_siz00_1403);
																																																		}
																																																		{	/* Ast/sexp.scm 217 */
																																																			obj_t
																																																				BgL_arg3844z00_1431;
																																																			{	/* Ast/sexp.scm 217 */
																																																				obj_t
																																																					BgL_pairz00_2373;
																																																				BgL_pairz00_2373
																																																					=
																																																					BgL_expz00_20;
																																																				BgL_arg3844z00_1431
																																																					=
																																																					CDR
																																																					(CDR
																																																					(BgL_pairz00_2373));
																																																			}
																																																			SET_CAR
																																																				(BgL_arg3844z00_1431,
																																																				BgL_sinonz00_1378);
																																																		}
																																																		{	/* Ast/sexp.scm 218 */
																																																			obj_t
																																																				BgL_arg3845z00_1432;
																																																			{	/* Ast/sexp.scm 218 */
																																																				obj_t
																																																					BgL_pairz00_2379;
																																																				BgL_pairz00_2379
																																																					=
																																																					BgL_expz00_20;
																																																				BgL_arg3845z00_1432
																																																					=
																																																					CDR
																																																					(CDR
																																																					(CDR
																																																						(BgL_pairz00_2379)));
																																																			}
																																																			SET_CAR
																																																				(BgL_arg3845z00_1432,
																																																				BgL_alorsz00_1377);
																																																		}
																																																		{

																																																			goto
																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																	BgL_tagzd22568zd2_1405:
																																																		{	/* Ast/sexp.scm 221 */
																																																			bool_t
																																																				BgL_testz00_3503;
																																																			if (SYMBOLP(BgL_siz00_1376))
																																																				{	/* Ast/sexp.scm 221 */
																																																					BgL_testz00_3503
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 221 */
																																																					BgL_testz00_3503
																																																						=
																																																						BGl_iszd2azf3z21zz__objectz00
																																																						(BgL_siz00_1376,
																																																						BGl_atomz00zzast_nodez00);
																																																				}
																																																			if (BgL_testz00_3503)
																																																				{	/* Ast/sexp.scm 222 */
																																																					obj_t
																																																						BgL_locz00_1434;
																																																					BgL_locz00_1434
																																																						=
																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																						(BgL_expz00_20,
																																																						BgL_locz00_22);
																																																					{	/* Ast/sexp.scm 222 */
																																																						obj_t
																																																							BgL_cdlocz00_1435;
																																																						BgL_cdlocz00_1435
																																																							=
																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																							(CDR
																																																							(BgL_expz00_20),
																																																							BgL_locz00_1434);
																																																						{	/* Ast/sexp.scm 223 */
																																																							obj_t
																																																								BgL_cddlocz00_1436;
																																																							{	/* Ast/sexp.scm 224 */
																																																								obj_t
																																																									BgL_arg3848z00_1445;
																																																								{	/* Ast/sexp.scm 224 */
																																																									obj_t
																																																										BgL_pairz00_2392;
																																																									BgL_pairz00_2392
																																																										=
																																																										BgL_expz00_20;
																																																									BgL_arg3848z00_1445
																																																										=
																																																										CDR
																																																										(CDR
																																																										(BgL_pairz00_2392));
																																																								}
																																																								BgL_cddlocz00_1436
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(BgL_arg3848z00_1445,
																																																									BgL_locz00_1434);
																																																							}
																																																							{	/* Ast/sexp.scm 224 */
																																																								obj_t
																																																									BgL_cdddlocz00_1437;
																																																								{	/* Ast/sexp.scm 225 */
																																																									obj_t
																																																										BgL_arg3847z00_1444;
																																																									{	/* Ast/sexp.scm 225 */
																																																										obj_t
																																																											BgL_pairz00_2396;
																																																										BgL_pairz00_2396
																																																											=
																																																											BgL_expz00_20;
																																																										BgL_arg3847z00_1444
																																																											=
																																																											CDR
																																																											(CDR
																																																											(CDR
																																																												(BgL_pairz00_2396)));
																																																									}
																																																									BgL_cdddlocz00_1437
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg3847z00_1444,
																																																										BgL_locz00_1434);
																																																								}
																																																								{	/* Ast/sexp.scm 225 */
																																																									obj_t
																																																										BgL_lzd2sizd2_1438;
																																																									BgL_lzd2sizd2_1438
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_siz00_1376,
																																																										BgL_cdlocz00_1435);
																																																									{	/* Ast/sexp.scm 226 */
																																																										obj_t
																																																											BgL_lzd2alorszd2_1439;
																																																										BgL_lzd2alorszd2_1439
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_alorsz00_1377,
																																																											BgL_cddlocz00_1436);
																																																										{	/* Ast/sexp.scm 227 */
																																																											obj_t
																																																												BgL_lzd2sinonzd2_1440;
																																																											BgL_lzd2sinonzd2_1440
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_sinonz00_1378,
																																																												BgL_cdddlocz00_1437);
																																																											{	/* Ast/sexp.scm 228 */
																																																												BgL_nodez00_bglt
																																																													BgL_siz00_1441;
																																																												BgL_siz00_1441
																																																													=
																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																													(BgL_siz00_1376,
																																																													BgL_stackz00_21,
																																																													BgL_lzd2sizd2_1438,
																																																													CNST_TABLE_REF
																																																													(((long) 2)));
																																																												{	/* Ast/sexp.scm 229 */
																																																													BgL_nodez00_bglt
																																																														BgL_alorsz00_1442;
																																																													BgL_alorsz00_1442
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_alorsz00_1377,
																																																														BgL_stackz00_21,
																																																														BgL_lzd2alorszd2_1439,
																																																														CNST_TABLE_REF
																																																														(((long) 2)));
																																																													{	/* Ast/sexp.scm 230 */
																																																														BgL_nodez00_bglt
																																																															BgL_sinonz00_1443;
																																																														BgL_sinonz00_1443
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_sinonz00_1378,
																																																															BgL_stackz00_21,
																																																															BgL_lzd2sinonzd2_1440,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														{	/* Ast/sexp.scm 231 */

																																																															{	/* Ast/sexp.scm 232 */
																																																																BgL_conditionalz00_bglt
																																																																	BgL_xz00_3035;
																																																																{	/* Ast/sexp.scm 232 */
																																																																	BgL_typez00_bglt
																																																																		BgL_auxz00_3526;
																																																																	{	/* Ast/sexp.scm 232 */
																																																																		obj_t
																																																																			BgL_xz00_3034;
																																																																		BgL_xz00_3034
																																																																			=
																																																																			BGl_za2_za2z00zztype_cachez00;
																																																																		BgL_auxz00_3526
																																																																			=
																																																																			(
																																																																			(BgL_typez00_bglt)
																																																																			BgL_xz00_3034);
																																																																	}
																																																																	BgL_xz00_3035
																																																																		=
																																																																		BGl_makezd2conditionalzd2zzast_nodez00
																																																																		(BgL_locz00_1434,
																																																																		BgL_auxz00_3526,
																																																																		BUNSPEC,
																																																																		BINT
																																																																		(((long) -1)), BgL_siz00_1441, BgL_alorsz00_1442, BgL_sinonz00_1443);
																																																																}
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_xz00_3035);
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 238 */
																																																					obj_t
																																																						BgL_vz00_1447;
																																																					BgL_vz00_1447
																																																						=
																																																						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																						(BGl_gensymz00zz__r4_symbols_6_4z00
																																																						(CNST_TABLE_REF
																																																							(((long) 6))));
																																																					{	/* Ast/sexp.scm 238 */
																																																						obj_t
																																																							BgL_varz00_1448;
																																																						if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
																																																							{	/* Ast/sexp.scm 239 */
																																																								BgL_varz00_1448
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_vz00_1447,
																																																									CNST_TABLE_REF
																																																									(((long) 7)));
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 239 */
																																																								BgL_varz00_1448
																																																									=
																																																									BgL_vz00_1447;
																																																							}
																																																						{	/* Ast/sexp.scm 239 */
																																																							obj_t
																																																								BgL_nexpz00_1449;
																																																							{	/* Ast/sexp.scm 242 */
																																																								obj_t
																																																									BgL_arg3857z00_1457;
																																																								{	/* Ast/sexp.scm 242 */
																																																									obj_t
																																																										BgL_arg3858z00_1458;
																																																									{	/* Ast/sexp.scm 242 */
																																																										obj_t
																																																											BgL_arg3859z00_1459;
																																																										{	/* Ast/sexp.scm 242 */
																																																											obj_t
																																																												BgL_arg3860z00_1460;
																																																											BgL_arg3860z00_1460
																																																												=
																																																												MAKE_PAIR
																																																												(BgL_sinonz00_1378,
																																																												BNIL);
																																																											BgL_arg3859z00_1459
																																																												=
																																																												MAKE_PAIR
																																																												(BgL_alorsz00_1377,
																																																												BgL_arg3860z00_1460);
																																																										}
																																																										BgL_arg3858z00_1458
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_vz00_1447,
																																																											BgL_arg3859z00_1459);
																																																									}
																																																									BgL_arg3857z00_1457
																																																										=
																																																										MAKE_PAIR
																																																										(CNST_TABLE_REF
																																																										(((long) 1)), BgL_arg3858z00_1458);
																																																								}
																																																								BgL_nexpz00_1449
																																																									=
																																																									BGl_epairifyzd2reczd2zztools_miscz00
																																																									(BgL_arg3857z00_1457,
																																																									BgL_expz00_20);
																																																							}
																																																							{	/* Ast/sexp.scm 242 */

																																																								{	/* Ast/sexp.scm 243 */
																																																									obj_t
																																																										BgL_arg3850z00_1450;
																																																									{	/* Ast/sexp.scm 243 */
																																																										obj_t
																																																											BgL_arg3851z00_1451;
																																																										obj_t
																																																											BgL_arg3852z00_1452;
																																																										BgL_arg3851z00_1451
																																																											=
																																																											BGl_letzd2symzd2zzast_letz00
																																																											();
																																																										{	/* Ast/sexp.scm 243 */
																																																											obj_t
																																																												BgL_arg3853z00_1453;
																																																											obj_t
																																																												BgL_arg3854z00_1454;
																																																											{	/* Ast/sexp.scm 243 */
																																																												obj_t
																																																													BgL_arg3855z00_1455;
																																																												{	/* Ast/sexp.scm 243 */
																																																													obj_t
																																																														BgL_arg3856z00_1456;
																																																													BgL_arg3856z00_1456
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_siz00_1376,
																																																														BNIL);
																																																													BgL_arg3855z00_1455
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_varz00_1448,
																																																														BgL_arg3856z00_1456);
																																																												}
																																																												BgL_arg3853z00_1453
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_arg3855z00_1455,
																																																													BNIL);
																																																											}
																																																											BgL_arg3854z00_1454
																																																												=
																																																												MAKE_PAIR
																																																												(BgL_nexpz00_1449,
																																																												BNIL);
																																																											BgL_arg3852z00_1452
																																																												=
																																																												MAKE_PAIR
																																																												(BgL_arg3853z00_1453,
																																																												BgL_arg3854z00_1454);
																																																										}
																																																										BgL_arg3850z00_1450
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_arg3851z00_1451,
																																																											BgL_arg3852z00_1452);
																																																									}
																																																									BGl_replacez12z12zztools_miscz00
																																																										(BgL_expz00_20,
																																																										BgL_arg3850z00_1450);
																																																								}
																																																								{

																																																									goto
																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																								}
																																																							}
																																																						}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																goto
																																																	BgL_tagzd22568zd2_1405;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														goto
																																															BgL_tagzd22568zd2_1405;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												goto
																																													BgL_tagzd22568zd2_1405;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										goto
																																											BgL_tagzd22568zd2_1405;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								goto
																																									BgL_tagzd22568zd2_1405;
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 103 */
																																						if (
																																							(CAR
																																								(BgL_siz00_1376)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 8))))
																																							{	/* Ast/sexp.scm 103 */
																																								if (PAIRP(BgL_cdrzd22575zd2_1408))
																																									{	/* Ast/sexp.scm 103 */
																																										if (NULLP(CDR(BgL_cdrzd22575zd2_1408)))
																																											{
																																												obj_t
																																													BgL_siz00_3561;
																																												BgL_siz00_3561
																																													=
																																													CAR
																																													(BgL_cdrzd22575zd2_1408);
																																												BgL_siz00_1403
																																													=
																																													BgL_siz00_3561;
																																												goto
																																													BgL_tagzd22567zd2_1404;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												goto
																																													BgL_tagzd22568zd2_1405;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										goto
																																											BgL_tagzd22568zd2_1405;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								goto
																																									BgL_tagzd22568zd2_1405;
																																							}
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 103 */
																																				goto
																																					BgL_tagzd22568zd2_1405;
																																			}
																																	}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																BgL_tagzd22501zd2_1383:
																																	return
																																		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																		(BGl_string4367z00zzast_sexpz00,
																																		BgL_expz00_20,
																																		BgL_locz00_22);
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_cdrzd22545zd2_1398;
																															BgL_cdrzd22545zd2_1398
																																=
																																CDR
																																(BgL_cdrzd22510zd2_1386);
																															if (NULLP(CDR
																																	(BgL_cdrzd22545zd2_1398)))
																																{	/* Ast/sexp.scm 103 */
																																	BgL_siz00_1380
																																		=
																																		CAR
																																		(BgL_cdrzd22510zd2_1386);
																																	BgL_alorsz00_1381
																																		=
																																		CAR
																																		(BgL_cdrzd22545zd2_1398);
																																	{	/* Ast/sexp.scm 246 */
																																		obj_t
																																			BgL_arg3863z00_1463;
																																		obj_t
																																			BgL_arg3864z00_1464;
																																		{	/* Ast/sexp.scm 246 */
																																			obj_t
																																				BgL_pairz00_2428;
																																			BgL_pairz00_2428
																																				=
																																				BgL_expz00_20;
																																			BgL_arg3863z00_1463
																																				=
																																				CDR(CDR
																																				(BgL_pairz00_2428));
																																		}
																																		{	/* Ast/sexp.scm 246 */
																																			obj_t
																																				BgL_list3865z00_1465;
																																			BgL_list3865z00_1465
																																				=
																																				MAKE_PAIR
																																				(BUNSPEC,
																																				BNIL);
																																			BgL_arg3864z00_1464
																																				=
																																				BgL_list3865z00_1465;
																																		}
																																		SET_CDR
																																			(BgL_arg3863z00_1463,
																																			BgL_arg3864z00_1464);
																																	}
																																	{

																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	goto
																																		BgL_tagzd22501zd2_1383;
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 103 */
																													goto
																														BgL_tagzd22501zd2_1383;
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 103 */
																											goto
																												BgL_tagzd22501zd2_1383;
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 103 */
																									goto BgL_tagzd22501zd2_1383;
																								}
																						}
																					}
																				else
																					{	/* Ast/sexp.scm 103 */
																						if (
																							(BgL_carzd21748zd2_1026 ==
																								BGl_za2ifza2z00zzast_sexpz00))
																							{	/* Ast/sexp.scm 103 */
																								goto BgL_tagzd21655zd2_983;
																							}
																						else
																							{	/* Ast/sexp.scm 103 */
																								if (
																									(CAR(BgL_expz00_20) ==
																										CNST_TABLE_REF(((long) 5))))
																									{	/* Ast/sexp.scm 103 */
																									BgL_tagzd21656zd2_984:
																										{
																											obj_t BgL_varz00_1466;
																											obj_t BgL_valz00_1467;

																											if (PAIRP(BgL_expz00_20))
																												{	/* Ast/sexp.scm 103 */
																													obj_t
																														BgL_cdrzd22606zd2_1472;
																													BgL_cdrzd22606zd2_1472
																														=
																														CDR(BgL_expz00_20);
																													if (PAIRP
																														(BgL_cdrzd22606zd2_1472))
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_cdrzd22610zd2_1474;
																															BgL_cdrzd22610zd2_1474
																																=
																																CDR
																																(BgL_cdrzd22606zd2_1472);
																															if (PAIRP
																																(BgL_cdrzd22610zd2_1474))
																																{	/* Ast/sexp.scm 103 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd22610zd2_1474)))
																																		{	/* Ast/sexp.scm 103 */
																																			BgL_varz00_1466
																																				=
																																				CAR
																																				(BgL_cdrzd22606zd2_1472);
																																			BgL_valz00_1467
																																				=
																																				CAR
																																				(BgL_cdrzd22610zd2_1474);
																																			{	/* Ast/sexp.scm 254 */
																																				obj_t
																																					BgL_locz00_1480;
																																				BgL_locz00_1480
																																					=
																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																					(BgL_expz00_20,
																																					BgL_locz00_22);
																																				{	/* Ast/sexp.scm 254 */
																																					obj_t
																																						BgL_cdlocz00_1481;
																																					BgL_cdlocz00_1481
																																						=
																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																						(CDR
																																						(BgL_expz00_20),
																																						BgL_locz00_1480);
																																					{	/* Ast/sexp.scm 255 */
																																						obj_t
																																							BgL_cddlocz00_1482;
																																						{	/* Ast/sexp.scm 256 */
																																							obj_t
																																								BgL_arg3878z00_1492;
																																							{	/* Ast/sexp.scm 256 */
																																								obj_t
																																									BgL_pairz00_2461;
																																								BgL_pairz00_2461
																																									=
																																									BgL_expz00_20;
																																								BgL_arg3878z00_1492
																																									=
																																									CDR
																																									(CDR
																																									(BgL_pairz00_2461));
																																							}
																																							BgL_cddlocz00_1482
																																								=
																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																								(BgL_arg3878z00_1492,
																																								BgL_locz00_1480);
																																						}
																																						{	/* Ast/sexp.scm 256 */
																																							obj_t
																																								BgL_valzd2loczd2_1483;
																																							BgL_valzd2loczd2_1483
																																								=
																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																								(BgL_valz00_1467,
																																								BgL_cddlocz00_1482);
																																							{	/* Ast/sexp.scm 257 */
																																								BgL_nodez00_bglt
																																									BgL_valz00_1484;
																																								BgL_valz00_1484
																																									=
																																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																																									(BgL_valz00_1467,
																																									BgL_stackz00_21,
																																									BgL_valzd2loczd2_1483,
																																									CNST_TABLE_REF
																																									(((long) 2)));
																																								{	/* Ast/sexp.scm 258 */

																																									{	/* Ast/sexp.scm 259 */
																																										BgL_nodez00_bglt
																																											BgL_astz00_1485;
																																										BgL_astz00_1485
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(BgL_varz00_1466,
																																											BgL_stackz00_21,
																																											BgL_cdlocz00_1481,
																																											CNST_TABLE_REF
																																											(((long) 5)));
																																										{	/* Ast/sexp.scm 260 */
																																											bool_t
																																												BgL_testz00_3605;
																																											{	/* Ast/sexp.scm 260 */
																																												bool_t
																																													BgL_res4259z00_2466;
																																												{	/* Ast/sexp.scm 260 */
																																													obj_t
																																														BgL_obj2301z00_2465;
																																													BgL_obj2301z00_2465
																																														=
																																														(
																																														(obj_t)
																																														BgL_astz00_1485);
																																													BgL_res4259z00_2466
																																														=
																																														BGl_iszd2azf3z21zz__objectz00
																																														(BgL_obj2301z00_2465,
																																														BGl_varz00zzast_nodez00);
																																												}
																																												BgL_testz00_3605
																																													=
																																													BgL_res4259z00_2466;
																																											}
																																											if (BgL_testz00_3605)
																																												{	/* Ast/sexp.scm 261 */
																																													BgL_varz00_bglt
																																														BgL_instance3477z00_1487;
																																													BgL_instance3477z00_1487
																																														=
																																														(
																																														(BgL_varz00_bglt)
																																														BgL_astz00_1485);
																																													{	/* Ast/sexp.scm 262 */
																																														bool_t
																																															BgL_testz00_3609;
																																														{	/* Ast/sexp.scm 262 */
																																															bool_t
																																																BgL_testz00_3610;
																																															{	/* Ast/sexp.scm 262 */
																																																BgL_variablez00_bglt
																																																	BgL_arg3877z00_1491;
																																																BgL_arg3877z00_1491
																																																	=
																																																	(
																																																	((BgL_varz00_bglt) CREF(((obj_t) BgL_instance3477z00_1487)))->BgL_variablez00);
																																																{	/* Ast/sexp.scm 262 */
																																																	bool_t
																																																		BgL_res4260z00_2469;
																																																	{	/* Ast/sexp.scm 262 */
																																																		obj_t
																																																			BgL_obj1872z00_2468;
																																																		BgL_obj1872z00_2468
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_arg3877z00_1491);
																																																		BgL_res4260z00_2469
																																																			=
																																																			BGl_iszd2azf3z21zz__objectz00
																																																			(BgL_obj1872z00_2468,
																																																			BGl_globalz00zzast_varz00);
																																																	}
																																																	BgL_testz00_3610
																																																		=
																																																		BgL_res4260z00_2469;
																																																}
																																															}
																																															if (BgL_testz00_3610)
																																																{	/* Ast/sexp.scm 263 */
																																																	BgL_variablez00_bglt
																																																		BgL_arg3876z00_1490;
																																																	BgL_arg3876z00_1490
																																																		=
																																																		(
																																																		((BgL_varz00_bglt) CREF(((obj_t) BgL_instance3477z00_1487)))->BgL_variablez00);
																																																	BgL_testz00_3609
																																																		=
																																																		BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																		(
																																																		((BgL_globalz00_bglt) BgL_arg3876z00_1490));
																																																}
																																															else
																																																{	/* Ast/sexp.scm 262 */
																																																	BgL_testz00_3609
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																														if (BgL_testz00_3609)
																																															{	/* Ast/sexp.scm 262 */
																																																return
																																																	BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																	(BGl_string4365z00zzast_sexpz00,
																																																	BgL_expz00_20,
																																																	BgL_cdlocz00_1481);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 266 */
																																																BgL_setqz00_bglt
																																																	BgL_xz00_3033;
																																																{	/* Ast/sexp.scm 266 */
																																																	BgL_typez00_bglt
																																																		BgL_auxz00_3620;
																																																	{	/* Ast/sexp.scm 266 */
																																																		obj_t
																																																			BgL_xz00_3031;
																																																		BgL_xz00_3031
																																																			=
																																																			BGl_za2unspecza2z00zztype_cachez00;
																																																		BgL_auxz00_3620
																																																			=
																																																			(
																																																			(BgL_typez00_bglt)
																																																			BgL_xz00_3031);
																																																	}
																																																	BgL_xz00_3033
																																																		=
																																																		BGl_makezd2setqzd2zzast_nodez00
																																																		(BgL_locz00_1480,
																																																		BgL_auxz00_3620,
																																																		((BgL_varz00_bglt) BgL_astz00_1485), BgL_valz00_1484);
																																																}
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_xz00_3033);
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 260 */
																																													return
																																														BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																														(BGl_string4366z00zzast_sexpz00,
																																														BgL_expz00_20,
																																														BgL_locz00_1480);
																																												}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																		BgL_tagzd22599zd2_1469:
																																			return
																																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																				(BGl_string4364z00zzast_sexpz00,
																																				BgL_expz00_20,
																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																				(BgL_expz00_20,
																																					BgL_locz00_22));
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	goto
																																		BgL_tagzd22599zd2_1469;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															goto
																																BgL_tagzd22599zd2_1469;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 103 */
																													goto
																														BgL_tagzd22599zd2_1469;
																												}
																										}
																									}
																								else
																									{	/* Ast/sexp.scm 103 */
																										if (
																											(CAR(BgL_expz00_20) ==
																												CNST_TABLE_REF(((long)
																														14))))
																											{	/* Ast/sexp.scm 103 */
																											BgL_tagzd21657zd2_985:
																												{
																													obj_t BgL_varz00_1495;
																													obj_t BgL_valz00_1496;

																													if (PAIRP
																														(BgL_expz00_20))
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_cdrzd22624zd2_1501;
																															BgL_cdrzd22624zd2_1501
																																=
																																CDR
																																(BgL_expz00_20);
																															if (PAIRP
																																(BgL_cdrzd22624zd2_1501))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_cdrzd22628zd2_1503;
																																	BgL_cdrzd22628zd2_1503
																																		=
																																		CDR
																																		(BgL_cdrzd22624zd2_1501);
																																	if (PAIRP
																																		(BgL_cdrzd22628zd2_1503))
																																		{	/* Ast/sexp.scm 103 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd22628zd2_1503)))
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_varz00_1495
																																						=
																																						CAR
																																						(BgL_cdrzd22624zd2_1501);
																																					BgL_valz00_1496
																																						=
																																						CAR
																																						(BgL_cdrzd22628zd2_1503);
																																					{	/* Ast/sexp.scm 282 */
																																						obj_t
																																							BgL_locz00_1509;
																																						BgL_locz00_1509
																																							=
																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																							(BgL_expz00_20,
																																							BgL_locz00_22);
																																						{	/* Ast/sexp.scm 282 */
																																							obj_t
																																								BgL_cdlocz00_1510;
																																							BgL_cdlocz00_1510
																																								=
																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																								(CDR
																																								(BgL_expz00_20),
																																								BgL_locz00_1509);
																																							{	/* Ast/sexp.scm 283 */
																																								obj_t
																																									BgL_cddlocz00_1511;
																																								{	/* Ast/sexp.scm 284 */
																																									obj_t
																																										BgL_arg3892z00_1519;
																																									{	/* Ast/sexp.scm 284 */
																																										obj_t
																																											BgL_pairz00_2485;
																																										BgL_pairz00_2485
																																											=
																																											BgL_expz00_20;
																																										BgL_arg3892z00_1519
																																											=
																																											CDR
																																											(CDR
																																											(BgL_pairz00_2485));
																																									}
																																									BgL_cddlocz00_1511
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(BgL_arg3892z00_1519,
																																										BgL_locz00_1509);
																																								}
																																								{	/* Ast/sexp.scm 284 */
																																									obj_t
																																										BgL_valzd2loczd2_1512;
																																									BgL_valzd2loczd2_1512
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(BgL_valz00_1496,
																																										BgL_cddlocz00_1511);
																																									{	/* Ast/sexp.scm 285 */
																																										BgL_nodez00_bglt
																																											BgL_valz00_1513;
																																										BgL_valz00_1513
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(BgL_valz00_1496,
																																											BgL_stackz00_21,
																																											BgL_valzd2loczd2_1512,
																																											CNST_TABLE_REF
																																											(((long) 2)));
																																										{	/* Ast/sexp.scm 286 */

																																											{	/* Ast/sexp.scm 287 */
																																												BgL_nodez00_bglt
																																													BgL_astz00_1514;
																																												BgL_astz00_1514
																																													=
																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																													(BgL_varz00_1495,
																																													BgL_stackz00_21,
																																													BgL_cdlocz00_1510,
																																													CNST_TABLE_REF
																																													(((long) 2)));
																																												{	/* Ast/sexp.scm 288 */
																																													bool_t
																																														BgL_testz00_3656;
																																													{	/* Ast/sexp.scm 288 */
																																														bool_t
																																															BgL_testz00_3657;
																																														{	/* Ast/sexp.scm 288 */
																																															bool_t
																																																BgL_res4265z00_2490;
																																															{	/* Ast/sexp.scm 288 */
																																																obj_t
																																																	BgL_obj2301z00_2489;
																																																BgL_obj2301z00_2489
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_astz00_1514);
																																																BgL_res4265z00_2490
																																																	=
																																																	BGl_iszd2azf3z21zz__objectz00
																																																	(BgL_obj2301z00_2489,
																																																	BGl_varz00zzast_nodez00);
																																															}
																																															BgL_testz00_3657
																																																=
																																																BgL_res4265z00_2490;
																																														}
																																														if (BgL_testz00_3657)
																																															{	/* Ast/sexp.scm 288 */
																																																BgL_variablez00_bglt
																																																	BgL_arg3891z00_1518;
																																																{	/* Ast/sexp.scm 288 */
																																																	BgL_varz00_bglt
																																																		BgL_obj2286z00_2491;
																																																	BgL_obj2286z00_2491
																																																		=
																																																		(
																																																		(BgL_varz00_bglt)
																																																		BgL_astz00_1514);
																																																	BgL_arg3891z00_1518
																																																		=
																																																		(
																																																		((BgL_varz00_bglt) CREF(((obj_t) BgL_obj2286z00_2491)))->BgL_variablez00);
																																																}
																																																{	/* Ast/sexp.scm 288 */
																																																	bool_t
																																																		BgL_res4266z00_2493;
																																																	{	/* Ast/sexp.scm 288 */
																																																		obj_t
																																																			BgL_obj1872z00_2492;
																																																		BgL_obj1872z00_2492
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_arg3891z00_1518);
																																																		BgL_res4266z00_2493
																																																			=
																																																			BGl_iszd2azf3z21zz__objectz00
																																																			(BgL_obj1872z00_2492,
																																																			BGl_globalz00zzast_varz00);
																																																	}
																																																	BgL_testz00_3656
																																																		=
																																																		BgL_res4266z00_2493;
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 288 */
																																																BgL_testz00_3656
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																													if (BgL_testz00_3656)
																																														{	/* Ast/sexp.scm 288 */
																																															{	/* Ast/sexp.scm 290 */
																																																BgL_variablez00_bglt
																																																	BgL_arg3889z00_1516;
																																																{	/* Ast/sexp.scm 290 */
																																																	BgL_varz00_bglt
																																																		BgL_obj2286z00_2494;
																																																	BgL_obj2286z00_2494
																																																		=
																																																		(
																																																		(BgL_varz00_bglt)
																																																		BgL_astz00_1514);
																																																	BgL_arg3889z00_1516
																																																		=
																																																		(
																																																		((BgL_varz00_bglt) CREF(((obj_t) BgL_obj2286z00_2494)))->BgL_variablez00);
																																																}
																																																{	/* Ast/sexp.scm 290 */
																																																	BgL_globalz00_bglt
																																																		BgL_obj1805z00_2495;
																																																	obj_t
																																																		BgL_val1804z00_2496;
																																																	BgL_obj1805z00_2495
																																																		=
																																																		(
																																																		(BgL_globalz00_bglt)
																																																		BgL_arg3889z00_1516);
																																																	BgL_val1804z00_2496
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_valz00_1513);
																																																	((((BgL_globalz00_bglt) CREF(((obj_t) BgL_obj1805z00_2495)))->BgL_srcz00) = ((obj_t) BgL_val1804z00_2496), BUNSPEC);
																																																}
																																															}
																																															{	/* Ast/sexp.scm 291 */
																																																BgL_setqz00_bglt
																																																	BgL_xz00_3024;
																																																{	/* Ast/sexp.scm 291 */
																																																	BgL_typez00_bglt
																																																		BgL_auxz00_3672;
																																																	{	/* Ast/sexp.scm 291 */
																																																		obj_t
																																																			BgL_xz00_3022;
																																																		BgL_xz00_3022
																																																			=
																																																			BGl_za2unspecza2z00zztype_cachez00;
																																																		BgL_auxz00_3672
																																																			=
																																																			(
																																																			(BgL_typez00_bglt)
																																																			BgL_xz00_3022);
																																																	}
																																																	BgL_xz00_3024
																																																		=
																																																		BGl_makezd2setqzd2zzast_nodez00
																																																		(BgL_locz00_1509,
																																																		BgL_auxz00_3672,
																																																		((BgL_varz00_bglt) BgL_astz00_1514), BgL_valz00_1513);
																																																}
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_xz00_3024);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 288 */
																																															return
																																																BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																(BGl_string4363z00zzast_sexpz00,
																																																BgL_expz00_20,
																																																BgL_locz00_1509);
																																														}
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																				BgL_tagzd22617zd2_1498:
																																					return
																																						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																						(BGl_string4362z00zzast_sexpz00,
																																						BgL_expz00_20,
																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																						(BgL_expz00_20,
																																							BgL_locz00_22));
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			goto
																																				BgL_tagzd22617zd2_1498;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	goto
																																		BgL_tagzd22617zd2_1498;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															goto
																																BgL_tagzd22617zd2_1498;
																														}
																												}
																											}
																										else
																											{	/* Ast/sexp.scm 103 */
																												obj_t
																													BgL_carzd21772zd2_1031;
																												BgL_carzd21772zd2_1031 =
																													CAR(BgL_expz00_20);
																												if (PAIRP
																													(BgL_carzd21772zd2_1031))
																													{	/* Ast/sexp.scm 103 */
																														obj_t
																															BgL_carzd21775zd2_1033;
																														obj_t
																															BgL_cdrzd21776zd2_1034;
																														BgL_carzd21775zd2_1033
																															=
																															CAR
																															(BgL_carzd21772zd2_1031);
																														BgL_cdrzd21776zd2_1034
																															=
																															CDR
																															(BgL_carzd21772zd2_1031);
																														{

																															if (
																																(BgL_carzd21775zd2_1033
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			16))))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_xz00_3068;
																																BgL_kapzd21777zd2_1035:
																																	if (PAIRP
																																		(BgL_cdrzd21776zd2_1034))
																																		{	/* Ast/sexp.scm 103 */
																																			obj_t
																																				BgL_cdrzd21780zd2_1056;
																																			BgL_cdrzd21780zd2_1056
																																				=
																																				CDR
																																				(BgL_cdrzd21776zd2_1034);
																																			if (PAIRP
																																				(BgL_cdrzd21780zd2_1056))
																																				{	/* Ast/sexp.scm 103 */
																																					if (NULLP(CDR(BgL_cdrzd21780zd2_1056)))
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_arg3542z00_1059;
																																							obj_t
																																								BgL_arg3543z00_1060;
																																							BgL_arg3542z00_1059
																																								=
																																								CAR
																																								(BgL_cdrzd21780zd2_1056);
																																							BgL_arg3543z00_1060
																																								=
																																								CDR
																																								(BgL_expz00_20);
																																							{	/* Ast/sexp.scm 103 */
																																								BgL_nodez00_bglt
																																									BgL_xz00_3056;
																																								BgL_bodyz00_986
																																									=
																																									BgL_arg3542z00_1059;
																																								BgL_argsz00_987
																																									=
																																									BgL_arg3543z00_1060;
																																							BgL_tagzd21658zd2_988:
																																								{	/* Ast/sexp.scm 303 */
																																									obj_t
																																										BgL_letzd2partzd2_1522;
																																									BgL_letzd2partzd2_1522
																																										=
																																										CAR
																																										(BgL_expz00_20);
																																									{	/* Ast/sexp.scm 303 */
																																										obj_t
																																											BgL_nexpz00_1523;
																																										{	/* Ast/sexp.scm 304 */
																																											obj_t
																																												BgL_arg3895z00_1524;
																																											obj_t
																																												BgL_arg3896z00_1525;
																																											BgL_arg3895z00_1524
																																												=
																																												CAR
																																												(BgL_letzd2partzd2_1522);
																																											{	/* Ast/sexp.scm 304 */
																																												obj_t
																																													BgL_arg3897z00_1526;
																																												obj_t
																																													BgL_arg3898z00_1527;
																																												{	/* Ast/sexp.scm 304 */
																																													obj_t
																																														BgL_pairz00_2512;
																																													BgL_pairz00_2512
																																														=
																																														BgL_letzd2partzd2_1522;
																																													BgL_arg3897z00_1526
																																														=
																																														CAR
																																														(CDR
																																														(BgL_pairz00_2512));
																																												}
																																												{	/* Ast/sexp.scm 304 */
																																													obj_t
																																														BgL_arg3899z00_1528;
																																													BgL_arg3899z00_1528
																																														=
																																														MAKE_PAIR
																																														(BgL_bodyz00_986,
																																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																														(BgL_argsz00_987,
																																															BNIL));
																																													BgL_arg3898z00_1527
																																														=
																																														MAKE_PAIR
																																														(BgL_arg3899z00_1528,
																																														BNIL);
																																												}
																																												BgL_arg3896z00_1525
																																													=
																																													MAKE_PAIR
																																													(BgL_arg3897z00_1526,
																																													BgL_arg3898z00_1527);
																																											}
																																											BgL_nexpz00_1523
																																												=
																																												MAKE_PAIR
																																												(BgL_arg3895z00_1524,
																																												BgL_arg3896z00_1525);
																																										}
																																										{	/* Ast/sexp.scm 304 */

																																											BgL_xz00_3056
																																												=
																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																												(BgL_nexpz00_1523,
																																												BgL_stackz00_21,
																																												BgL_locz00_22,
																																												BgL_sitez00_23);
																																										}
																																									}
																																								}
																																								BgL_xz00_3068
																																									=
																																									(
																																									(obj_t)
																																									BgL_xz00_3056);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_3711;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3553z00_1072;
																																								BgL_arg3553z00_1072
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_3711
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg3553z00_1072));
																																							}
																																							if (BgL_testz00_3711)
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_nodez00_bglt
																																										BgL_xz00_3057;
																																								BgL_tagzd21659zd2_989:
																																									BgL_xz00_3057 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																									BgL_xz00_3068
																																										=
																																										(
																																										(obj_t)
																																										BgL_xz00_3057);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									bool_t
																																										BgL_testz00_3718;
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3552z00_1071;
																																										BgL_arg3552z00_1071
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_3718
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg3552z00_1071));
																																									}
																																									if (BgL_testz00_3718)
																																										{	/* Ast/sexp.scm 103 */
																																											BgL_letzd2funzd2_bglt
																																												BgL_xz00_3058;
																																										BgL_tagzd21660zd2_990:
																																											BgL_xz00_3058 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																											BgL_xz00_3068
																																												=
																																												(
																																												(obj_t)
																																												BgL_xz00_3058);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 103 */
																																											obj_t
																																												BgL_carzd21812zd2_1063;
																																											BgL_carzd21812zd2_1063
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_cdrzd21817zd2_1064;
																																												BgL_cdrzd21817zd2_1064
																																													=
																																													CDR
																																													(BgL_carzd21812zd2_1063);
																																												if ((CAR(BgL_carzd21812zd2_1063) == CNST_TABLE_REF(((long) 15))))
																																													{	/* Ast/sexp.scm 103 */
																																														obj_t
																																															BgL_arg3547z00_1066;
																																														obj_t
																																															BgL_arg3548z00_1067;
																																														obj_t
																																															BgL_arg3549z00_1068;
																																														BgL_arg3547z00_1066
																																															=
																																															CAR
																																															(BgL_cdrzd21817zd2_1064);
																																														BgL_arg3548z00_1067
																																															=
																																															CDR
																																															(BgL_cdrzd21817zd2_1064);
																																														BgL_arg3549z00_1068
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														{	/* Ast/sexp.scm 103 */
																																															BgL_nodez00_bglt
																																																BgL_xz00_3059;
																																															BgL_varsz00_991
																																																=
																																																BgL_arg3547z00_1066;
																																															BgL_bodyz00_992
																																																=
																																																BgL_arg3548z00_1067;
																																															BgL_argsz00_993
																																																=
																																																BgL_arg3549z00_1068;
																																														BgL_tagzd21661zd2_994:
																																															{	/* Ast/sexp.scm 314 */
																																																obj_t
																																																	BgL_locz00_1530;
																																																obj_t
																																																	BgL_nexpz00_1531;
																																																BgL_locz00_1530
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_20,
																																																	BgL_locz00_22);
																																																{	/* Ast/sexp.scm 315 */
																																																	obj_t
																																																		BgL_arg3901z00_1532;
																																																	obj_t
																																																		BgL_arg3902z00_1533;
																																																	BgL_arg3901z00_1532
																																																		=
																																																		BGl_letzd2symzd2zzast_letz00
																																																		();
																																																	{	/* Ast/sexp.scm 318 */
																																																		obj_t
																																																			BgL_arg3903z00_1534;
																																																		obj_t
																																																			BgL_arg3904z00_1535;
																																																		BgL_arg3903z00_1534
																																																			=
																																																			BGl_loopz00zzast_sexpz00
																																																			(BgL_expz00_20,
																																																			BgL_locz00_22,
																																																			BgL_varsz00_991,
																																																			BgL_argsz00_993);
																																																		{	/* Ast/sexp.scm 357 */
																																																			obj_t
																																																				BgL_arg3944z00_1583;
																																																			{	/* Ast/sexp.scm 357 */
																																																				obj_t
																																																					BgL_arg3945z00_1584;
																																																				obj_t
																																																					BgL_arg3946z00_1585;
																																																				BgL_arg3945z00_1584
																																																					=
																																																					BGl_shapez00zztools_shapez00
																																																					(BGl_currentzd2functionzd2zztools_errorz00
																																																					());
																																																				BgL_arg3946z00_1585
																																																					=
																																																					BGl_normaliza7ezd2prognz75zztools_prognz00
																																																					(BgL_bodyz00_992);
																																																				{	/* Ast/sexp.scm 361 */
																																																					obj_t
																																																						BgL_zc3anonymousza33949ze3z83_2950;
																																																					BgL_zc3anonymousza33949ze3z83_2950
																																																						=
																																																						MAKE_FX_PROCEDURE
																																																						(BGl_z62zc3anonymousza33949ze3ze1zzast_sexpz00,
																																																						(int)
																																																						(((long) 3)), (int) (((long) 1)));
																																																					PROCEDURE_SET
																																																						(BgL_zc3anonymousza33949ze3z83_2950,
																																																						(int)
																																																						(((long) 0)), BgL_locz00_22);
																																																					BgL_arg3944z00_1583
																																																						=
																																																						BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																						(BgL_arg3945z00_1584,
																																																						BgL_varsz00_991,
																																																						BgL_arg3946z00_1585,
																																																						BgL_zc3anonymousza33949ze3z83_2950);
																																																			}}
																																																			BgL_arg3904z00_1535
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg3944z00_1583,
																																																				BNIL);
																																																		}
																																																		BgL_arg3902z00_1533
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg3903z00_1534,
																																																			BgL_arg3904z00_1535);
																																																	}
																																																	BgL_nexpz00_1531
																																																		=
																																																		MAKE_PAIR
																																																		(BgL_arg3901z00_1532,
																																																		BgL_arg3902z00_1533);
																																																}
																																																BgL_xz00_3059
																																																	=
																																																	BGl_letzd2ze3nodez31zzast_letz00
																																																	(BgL_nexpz00_1531,
																																																	BgL_stackz00_21,
																																																	BgL_locz00_1530,
																																																	BgL_sitez00_23);
																																															}
																																															BgL_xz00_3068
																																																=
																																																(
																																																(obj_t)
																																																BgL_xz00_3059);
																																													}}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																															{	/* Ast/sexp.scm 103 */
																																															BgL_tagzd21673zd2_1010:
																																																BgL_xz00_3068 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																BgL_nodez00_bglt
																																																	BgL_xz00_3060;
																																															BgL_tagzd21674zd2_1011:
																																																BgL_xz00_3060 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																BgL_xz00_3068
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_3060);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_3756;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3565z00_1085;
																																						BgL_arg3565z00_1085
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_3756
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg3565z00_1085));
																																					}
																																					if (BgL_testz00_3756)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_nodez00_bglt
																																								BgL_xz00_3061;
																																							goto
																																								BgL_tagzd21659zd2_989;
																																							BgL_xz00_3068
																																								=
																																								(
																																								(obj_t)
																																								BgL_xz00_3061);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_3761;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3563z00_1084;
																																								BgL_arg3563z00_1084
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_3761
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg3563z00_1084));
																																							}
																																							if (BgL_testz00_3761)
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_letzd2funzd2_bglt
																																										BgL_xz00_3062;
																																									goto
																																										BgL_tagzd21660zd2_990;
																																									BgL_xz00_3068
																																										=
																																										(
																																										(obj_t)
																																										BgL_xz00_3062);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									obj_t
																																										BgL_carzd21865zd2_1076;
																																									BgL_carzd21865zd2_1076
																																										=
																																										CAR
																																										(BgL_expz00_20);
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_cdrzd21870zd2_1077;
																																										BgL_cdrzd21870zd2_1077
																																											=
																																											CDR
																																											(BgL_carzd21865zd2_1076);
																																										if ((CAR(BgL_carzd21865zd2_1076) == CNST_TABLE_REF(((long) 15))))
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_arg3558z00_1079;
																																												obj_t
																																													BgL_arg3559z00_1080;
																																												obj_t
																																													BgL_arg3560z00_1081;
																																												BgL_arg3558z00_1079
																																													=
																																													CAR
																																													(BgL_cdrzd21870zd2_1077);
																																												BgL_arg3559z00_1080
																																													=
																																													CDR
																																													(BgL_cdrzd21870zd2_1077);
																																												BgL_arg3560z00_1081
																																													=
																																													CDR
																																													(BgL_expz00_20);
																																												{	/* Ast/sexp.scm 103 */
																																													BgL_nodez00_bglt
																																														BgL_xz00_3063;
																																													{
																																														obj_t
																																															BgL_argsz00_3777;
																																														obj_t
																																															BgL_bodyz00_3776;
																																														obj_t
																																															BgL_varsz00_3775;
																																														BgL_varsz00_3775
																																															=
																																															BgL_arg3558z00_1079;
																																														BgL_bodyz00_3776
																																															=
																																															BgL_arg3559z00_1080;
																																														BgL_argsz00_3777
																																															=
																																															BgL_arg3560z00_1081;
																																														BgL_argsz00_993
																																															=
																																															BgL_argsz00_3777;
																																														BgL_bodyz00_992
																																															=
																																															BgL_bodyz00_3776;
																																														BgL_varsz00_991
																																															=
																																															BgL_varsz00_3775;
																																														goto
																																															BgL_tagzd21661zd2_994;
																																													}
																																													BgL_xz00_3068
																																														=
																																														(
																																														(obj_t)
																																														BgL_xz00_3063);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																													{	/* Ast/sexp.scm 103 */
																																														goto
																																															BgL_tagzd21673zd2_1010;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														BgL_nodez00_bglt
																																															BgL_xz00_3064;
																																														goto
																																															BgL_tagzd21674zd2_1011;
																																														BgL_xz00_3068
																																															=
																																															(
																																															(obj_t)
																																															BgL_xz00_3064);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			bool_t
																																				BgL_testz00_3782;
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_arg3570z00_1090;
																																				BgL_arg3570z00_1090
																																					=
																																					CAR
																																					(BgL_expz00_20);
																																				BgL_testz00_3782
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg3570z00_1090));
																																			}
																																			if (BgL_testz00_3782)
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_nodez00_bglt
																																						BgL_xz00_3065;
																																					goto
																																						BgL_tagzd21659zd2_989;
																																					BgL_xz00_3068
																																						=
																																						(
																																						(obj_t)
																																						BgL_xz00_3065);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_3787;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3569z00_1089;
																																						BgL_arg3569z00_1089
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_3787
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg3569z00_1089));
																																					}
																																					if (BgL_testz00_3787)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_letzd2funzd2_bglt
																																								BgL_xz00_3066;
																																							goto
																																								BgL_tagzd21660zd2_990;
																																							BgL_xz00_3068
																																								=
																																								(
																																								(obj_t)
																																								BgL_xz00_3066);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																								{	/* Ast/sexp.scm 103 */
																																									goto
																																										BgL_tagzd21673zd2_1010;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_nodez00_bglt
																																										BgL_xz00_3067;
																																									goto
																																										BgL_tagzd21674zd2_1011;
																																									BgL_xz00_3068
																																										=
																																										(
																																										(obj_t)
																																										BgL_xz00_3067);
																																								}
																																						}
																																				}
																																		}
																																	return
																																		(
																																		(BgL_nodez00_bglt)
																																		BgL_xz00_3068);
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	if (CBOOL
																																		(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_carzd21775zd2_1033)))
																																		{	/* Ast/sexp.scm 103 */
																																			obj_t
																																				BgL_xz00_3069;
																																			goto
																																				BgL_kapzd21777zd2_1035;
																																			return (
																																				(BgL_nodez00_bglt)
																																				BgL_xz00_3069);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			if (
																																				(BgL_carzd21775zd2_1033
																																					==
																																					CNST_TABLE_REF
																																					(((long) 17))))
																																				{	/* Ast/sexp.scm 103 */
																																					obj_t
																																						BgL_xz00_3070;
																																					goto
																																						BgL_kapzd21777zd2_1035;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_xz00_3070);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					if (
																																						(BgL_carzd21775zd2_1033
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_xz00_3071;
																																							goto
																																								BgL_kapzd21777zd2_1035;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_xz00_3071);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21775zd2_1033)))
																																								{	/* Ast/sexp.scm 103 */
																																									obj_t
																																										BgL_xz00_3072;
																																									goto
																																										BgL_kapzd21777zd2_1035;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_xz00_3072);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									bool_t
																																										BgL_testz00_3812;
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3538z00_1054;
																																										BgL_arg3538z00_1054
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_3812
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg3538z00_1054));
																																									}
																																									if (BgL_testz00_3812)
																																										{	/* Ast/sexp.scm 103 */
																																											goto
																																												BgL_tagzd21659zd2_989;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 103 */
																																											bool_t
																																												BgL_testz00_3816;
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_arg3537z00_1053;
																																												BgL_arg3537z00_1053
																																													=
																																													CAR
																																													(BgL_expz00_20);
																																												BgL_testz00_3816
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg3537z00_1053));
																																											}
																																											if (BgL_testz00_3816)
																																												{	/* Ast/sexp.scm 103 */
																																													BgL_letzd2funzd2_bglt
																																														BgL_xz00_3073;
																																													goto
																																														BgL_tagzd21660zd2_990;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_xz00_3073);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 103 */
																																													obj_t
																																														BgL_carzd21961zd2_1043;
																																													BgL_carzd21961zd2_1043
																																														=
																																														CAR
																																														(BgL_expz00_20);
																																													{	/* Ast/sexp.scm 103 */
																																														obj_t
																																															BgL_cdrzd21966zd2_1044;
																																														BgL_cdrzd21966zd2_1044
																																															=
																																															CDR
																																															(BgL_carzd21961zd2_1043);
																																														if ((CAR(BgL_carzd21961zd2_1043) == CNST_TABLE_REF(((long) 15))))
																																															{	/* Ast/sexp.scm 103 */
																																																if (PAIRP(BgL_cdrzd21966zd2_1044))
																																																	{
																																																		obj_t
																																																			BgL_argsz00_3833;
																																																		obj_t
																																																			BgL_bodyz00_3831;
																																																		obj_t
																																																			BgL_varsz00_3829;
																																																		BgL_varsz00_3829
																																																			=
																																																			CAR
																																																			(BgL_cdrzd21966zd2_1044);
																																																		BgL_bodyz00_3831
																																																			=
																																																			CDR
																																																			(BgL_cdrzd21966zd2_1044);
																																																		BgL_argsz00_3833
																																																			=
																																																			CDR
																																																			(BgL_expz00_20);
																																																		BgL_argsz00_993
																																																			=
																																																			BgL_argsz00_3833;
																																																		BgL_bodyz00_992
																																																			=
																																																			BgL_bodyz00_3831;
																																																		BgL_varsz00_991
																																																			=
																																																			BgL_varsz00_3829;
																																																		goto
																																																			BgL_tagzd21661zd2_994;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{	/* Ast/sexp.scm 103 */
																																																				obj_t
																																																					BgL_xz00_3074;
																																																				goto
																																																					BgL_tagzd21673zd2_1010;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_xz00_3074);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				goto
																																																					BgL_tagzd21674zd2_1011;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_xz00_3075;
																																																		goto
																																																			BgL_tagzd21673zd2_1010;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_xz00_3075);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		goto
																																																			BgL_tagzd21674zd2_1011;
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 103 */
																														if (
																															(BgL_carzd21772zd2_1031
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		16))))
																															{	/* Ast/sexp.scm 103 */
																																goto
																																	BgL_tagzd21659zd2_989;
																															}
																														else
																															{	/* Ast/sexp.scm 103 */
																																if (CBOOL
																																	(BGl_letzd2symzf3z21zzast_letz00
																																		(BgL_carzd21772zd2_1031)))
																																	{	/* Ast/sexp.scm 103 */
																																		goto
																																			BgL_tagzd21659zd2_989;
																																	}
																																else
																																	{	/* Ast/sexp.scm 103 */
																																		if (
																																			(BgL_carzd21772zd2_1031
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						17))))
																																			{	/* Ast/sexp.scm 103 */
																																				goto
																																					BgL_tagzd21659zd2_989;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 103 */
																																				if (
																																					(BgL_carzd21772zd2_1031
																																						==
																																						CNST_TABLE_REF
																																						(((long) 19))))
																																					{	/* Ast/sexp.scm 103 */
																																						goto
																																							BgL_tagzd21659zd2_989;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_carzd22017zd2_1096;
																																						BgL_carzd22017zd2_1096
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						if (
																																							(BgL_carzd22017zd2_1096
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{	/* Ast/sexp.scm 103 */
																																								BgL_letzd2funzd2_bglt
																																									BgL_xz00_3076;
																																								goto
																																									BgL_tagzd21660zd2_990;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_xz00_3076);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd22017zd2_1096)))
																																									{	/* Ast/sexp.scm 103 */
																																										BgL_letzd2funzd2_bglt
																																											BgL_xz00_3077;
																																										goto
																																											BgL_tagzd21660zd2_990;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_xz00_3077);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 15))))
																																											{	/* Ast/sexp.scm 103 */
																																											BgL_tagzd21662zd2_995:
																																												{
																																													obj_t
																																														BgL_argsz00_1594;
																																													obj_t
																																														BgL_bodyz00_1595;
																																													if (PAIRP(BgL_expz00_20))
																																														{	/* Ast/sexp.scm 103 */
																																															obj_t
																																																BgL_cdrzd22642zd2_1600;
																																															BgL_cdrzd22642zd2_1600
																																																=
																																																CDR
																																																(BgL_expz00_20);
																																															if (PAIRP(BgL_cdrzd22642zd2_1600))
																																																{	/* Ast/sexp.scm 103 */
																																																	BgL_argsz00_1594
																																																		=
																																																		CAR
																																																		(BgL_cdrzd22642zd2_1600);
																																																	BgL_bodyz00_1595
																																																		=
																																																		CDR
																																																		(BgL_cdrzd22642zd2_1600);
																																																	{	/* Ast/sexp.scm 367 */
																																																		obj_t
																																																			BgL_locz00_1604;
																																																		obj_t
																																																			BgL_funz00_1605;
																																																		BgL_locz00_1604
																																																			=
																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																			(BgL_expz00_20,
																																																			BgL_locz00_22);
																																																		BgL_funz00_1605
																																																			=
																																																			BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																			(BgL_locz00_22,
																																																			BNIL);
																																																		{	/* Ast/sexp.scm 369 */
																																																			obj_t
																																																				BgL_arg3955z00_1606;
																																																			{	/* Ast/sexp.scm 369 */
																																																				obj_t
																																																					BgL_arg3956z00_1607;
																																																				obj_t
																																																					BgL_arg3957z00_1608;
																																																				BgL_arg3956z00_1607
																																																					=
																																																					BGl_labelszd2symzd2zzast_labelsz00
																																																					();
																																																				{	/* Ast/sexp.scm 369 */
																																																					obj_t
																																																						BgL_arg3958z00_1609;
																																																					obj_t
																																																						BgL_arg3959z00_1610;
																																																					{	/* Ast/sexp.scm 369 */
																																																						obj_t
																																																							BgL_arg3960z00_1611;
																																																						{	/* Ast/sexp.scm 369 */
																																																							obj_t
																																																								BgL_arg3961z00_1612;
																																																							{	/* Ast/sexp.scm 369 */
																																																								obj_t
																																																									BgL_arg3962z00_1613;
																																																								BgL_arg3962z00_1613
																																																									=
																																																									MAKE_PAIR
																																																									(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																									(BgL_bodyz00_1595),
																																																									BNIL);
																																																								BgL_arg3961z00_1612
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_argsz00_1594,
																																																									BgL_arg3962z00_1613);
																																																							}
																																																							BgL_arg3960z00_1611
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_funz00_1605,
																																																								BgL_arg3961z00_1612);
																																																						}
																																																						BgL_arg3958z00_1609
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg3960z00_1611,
																																																							BNIL);
																																																					}
																																																					BgL_arg3959z00_1610
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_funz00_1605,
																																																						BNIL);
																																																					BgL_arg3957z00_1608
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg3958z00_1609,
																																																						BgL_arg3959z00_1610);
																																																				}
																																																				BgL_arg3955z00_1606
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg3956z00_1607,
																																																					BgL_arg3957z00_1608);
																																																			}
																																																			{
																																																				obj_t
																																																					BgL_locz00_3883;
																																																				obj_t
																																																					BgL_expz00_3882;
																																																				BgL_expz00_3882
																																																					=
																																																					BgL_arg3955z00_1606;
																																																				BgL_locz00_3883
																																																					=
																																																					BgL_locz00_1604;
																																																				BgL_locz00_22
																																																					=
																																																					BgL_locz00_3883;
																																																				BgL_expz00_20
																																																					=
																																																					BgL_expz00_3882;
																																																				goto
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																			}
																																																		}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 103 */
																																																BgL_tagzd22635zd2_1597:
																																																	return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4361z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 103 */
																																															goto
																																																BgL_tagzd22635zd2_1597;
																																														}
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 4))))
																																													{	/* Ast/sexp.scm 103 */
																																													BgL_tagzd21663zd2_996:
																																														{	/* Ast/sexp.scm 379 */
																																															BgL_typez00_bglt
																																																BgL_auxz00_3892;
																																															{	/* Ast/sexp.scm 379 */
																																																obj_t
																																																	BgL_xz00_3012;
																																																BgL_xz00_3012
																																																	=
																																																	BGl_za2unspecza2z00zztype_cachez00;
																																																BgL_auxz00_3892
																																																	=
																																																	(
																																																	(BgL_typez00_bglt)
																																																	BgL_xz00_3012);
																																															}
																																															return
																																																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																(
																																																((bool_t) 0), BFALSE, BgL_auxz00_3892, BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														obj_t
																																															BgL_cdrzd22041zd2_1101;
																																														BgL_cdrzd22041zd2_1101
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 20))))
																																															{	/* Ast/sexp.scm 103 */
																																																if (PAIRP(BgL_cdrzd22041zd2_1101))
																																																	{	/* Ast/sexp.scm 103 */
																																																		BgL_effectz00_997
																																																			=
																																																			CAR
																																																			(BgL_cdrzd22041zd2_1101);
																																																		BgL_restz00_998
																																																			=
																																																			CDR
																																																			(BgL_cdrzd22041zd2_1101);
																																																	BgL_tagzd21664zd2_999:
																																																		{	/* Ast/sexp.scm 383 */
																																																			BgL_feffectz00_bglt
																																																				BgL_arg3966z00_1617;
																																																			obj_t
																																																				BgL_arg3967z00_1618;
																																																			BgL_arg3966z00_1617
																																																				=
																																																				BGl_parsezd2effectzd2zzeffect_feffectz00
																																																				(BgL_effectz00_997);
																																																			{	/* Ast/sexp.scm 384 */
																																																				obj_t
																																																					BgL_arg3968z00_1619;
																																																				BgL_arg3968z00_1619
																																																					=
																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																					(BgL_restz00_998,
																																																					BNIL);
																																																				BgL_arg3967z00_1618
																																																					=
																																																					MAKE_PAIR
																																																					(CNST_TABLE_REF
																																																					(((long) 4)), BgL_arg3968z00_1619);
																																																			}
																																																			{	/* Ast/sexp.scm 382 */
																																																				BgL_typez00_bglt
																																																					BgL_auxz00_3906;
																																																				{	/* Ast/sexp.scm 384 */
																																																					obj_t
																																																						BgL_xz00_3011;
																																																					BgL_xz00_3011
																																																						=
																																																						BGl_za2unspecza2z00zztype_cachez00;
																																																					BgL_auxz00_3906
																																																						=
																																																						(
																																																						(BgL_typez00_bglt)
																																																						BgL_xz00_3011);
																																																				}
																																																				return
																																																					BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																					(
																																																					((bool_t) 0), ((obj_t) BgL_arg3966z00_1617), BgL_auxz00_3906, BgL_arg3967z00_1618, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																			}
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{	/* Ast/sexp.scm 103 */
																																																				obj_t
																																																					BgL_xz00_3078;
																																																				goto
																																																					BgL_tagzd21673zd2_1010;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_xz00_3078);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				goto
																																																					BgL_tagzd21674zd2_1011;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 21))))
																																																	{	/* Ast/sexp.scm 103 */
																																																	BgL_tagzd21665zd2_1000:
																																																		{	/* Ast/sexp.scm 387 */
																																																			BgL_typez00_bglt
																																																				BgL_auxz00_3919;
																																																			{	/* Ast/sexp.scm 387 */
																																																				obj_t
																																																					BgL_xz00_3009;
																																																				BgL_xz00_3009
																																																					=
																																																					BGl_za2unspecza2z00zztype_cachez00;
																																																				BgL_auxz00_3919
																																																					=
																																																					(
																																																					(BgL_typez00_bglt)
																																																					BgL_xz00_3009);
																																																			}
																																																			return
																																																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																				(
																																																				((bool_t) 1), BFALSE, BgL_auxz00_3919, BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 22))))
																																																			{	/* Ast/sexp.scm 103 */
																																																				if (PAIRP(BgL_cdrzd22041zd2_1101))
																																																					{	/* Ast/sexp.scm 103 */
																																																						BgL_effectz00_1001
																																																							=
																																																							CAR
																																																							(BgL_cdrzd22041zd2_1101);
																																																						BgL_restz00_1002
																																																							=
																																																							CDR
																																																							(BgL_cdrzd22041zd2_1101);
																																																					BgL_tagzd21666zd2_1003:
																																																						{	/* Ast/sexp.scm 391 */
																																																							BgL_feffectz00_bglt
																																																								BgL_arg3969z00_1620;
																																																							obj_t
																																																								BgL_arg3970z00_1621;
																																																							BgL_arg3969z00_1620
																																																								=
																																																								BGl_parsezd2effectzd2zzeffect_feffectz00
																																																								(BgL_effectz00_1001);
																																																							{	/* Ast/sexp.scm 392 */
																																																								obj_t
																																																									BgL_arg3971z00_1622;
																																																								BgL_arg3971z00_1622
																																																									=
																																																									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																									(BgL_restz00_1002,
																																																									BNIL);
																																																								BgL_arg3970z00_1621
																																																									=
																																																									MAKE_PAIR
																																																									(CNST_TABLE_REF
																																																									(((long) 4)), BgL_arg3971z00_1622);
																																																							}
																																																							{	/* Ast/sexp.scm 390 */
																																																								BgL_typez00_bglt
																																																									BgL_auxz00_3932;
																																																								{	/* Ast/sexp.scm 392 */
																																																									obj_t
																																																										BgL_xz00_3008;
																																																									BgL_xz00_3008
																																																										=
																																																										BGl_za2unspecza2z00zztype_cachez00;
																																																									BgL_auxz00_3932
																																																										=
																																																										(
																																																										(BgL_typez00_bglt)
																																																										BgL_xz00_3008);
																																																								}
																																																								return
																																																									BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																									(
																																																									((bool_t) 1), ((obj_t) BgL_arg3969z00_1620), BgL_auxz00_3932, BgL_arg3970z00_1621, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 103 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																							{	/* Ast/sexp.scm 103 */
																																																								obj_t
																																																									BgL_xz00_3079;
																																																								goto
																																																									BgL_tagzd21673zd2_1010;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_xz00_3079);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 103 */
																																																								goto
																																																									BgL_tagzd21674zd2_1011;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 23))))
																																																					{	/* Ast/sexp.scm 103 */
																																																					BgL_tagzd21667zd2_1004:
																																																						{
																																																							obj_t
																																																								BgL_procz00_1623;
																																																							obj_t
																																																								BgL_msgz00_1624;
																																																							obj_t
																																																								BgL_objz00_1625;
																																																							if (PAIRP(BgL_expz00_20))
																																																								{	/* Ast/sexp.scm 103 */
																																																									obj_t
																																																										BgL_cdrzd22659zd2_1630;
																																																									BgL_cdrzd22659zd2_1630
																																																										=
																																																										CDR
																																																										(BgL_expz00_20);
																																																									if (PAIRP(BgL_cdrzd22659zd2_1630))
																																																										{	/* Ast/sexp.scm 103 */
																																																											obj_t
																																																												BgL_cdrzd22664zd2_1632;
																																																											BgL_cdrzd22664zd2_1632
																																																												=
																																																												CDR
																																																												(BgL_cdrzd22659zd2_1630);
																																																											if (PAIRP(BgL_cdrzd22664zd2_1632))
																																																												{	/* Ast/sexp.scm 103 */
																																																													obj_t
																																																														BgL_cdrzd22669zd2_1634;
																																																													BgL_cdrzd22669zd2_1634
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22664zd2_1632);
																																																													if (PAIRP(BgL_cdrzd22669zd2_1634))
																																																														{	/* Ast/sexp.scm 103 */
																																																															if (NULLP(CDR(BgL_cdrzd22669zd2_1634)))
																																																																{	/* Ast/sexp.scm 103 */
																																																																	obj_t
																																																																		BgL_arg3977z00_1637;
																																																																	obj_t
																																																																		BgL_arg3978z00_1638;
																																																																	obj_t
																																																																		BgL_arg3979z00_1639;
																																																																	BgL_arg3977z00_1637
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22659zd2_1630);
																																																																	BgL_arg3978z00_1638
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22664zd2_1632);
																																																																	BgL_arg3979z00_1639
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22669zd2_1634);
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		BgL_failz00_bglt
																																																																			BgL_xz00_3006;
																																																																		BgL_procz00_1623
																																																																			=
																																																																			BgL_arg3977z00_1637;
																																																																		BgL_msgz00_1624
																																																																			=
																																																																			BgL_arg3978z00_1638;
																																																																		BgL_objz00_1625
																																																																			=
																																																																			BgL_arg3979z00_1639;
																																																																		{	/* Ast/sexp.scm 397 */
																																																																			obj_t
																																																																				BgL_locz00_1641;
																																																																			BgL_locz00_1641
																																																																				=
																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																				(BgL_expz00_20,
																																																																				BgL_locz00_22);
																																																																			{	/* Ast/sexp.scm 397 */
																																																																				obj_t
																																																																					BgL_cdlocz00_1642;
																																																																				BgL_cdlocz00_1642
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(CDR
																																																																					(BgL_expz00_20),
																																																																					BgL_locz00_1641);
																																																																				{	/* Ast/sexp.scm 398 */
																																																																					obj_t
																																																																						BgL_cddlocz00_1643;
																																																																					{	/* Ast/sexp.scm 399 */
																																																																						obj_t
																																																																							BgL_arg3982z00_1652;
																																																																						{	/* Ast/sexp.scm 399 */
																																																																							obj_t
																																																																								BgL_pairz00_2552;
																																																																							BgL_pairz00_2552
																																																																								=
																																																																								BgL_expz00_20;
																																																																							BgL_arg3982z00_1652
																																																																								=
																																																																								CDR
																																																																								(CDR
																																																																								(BgL_pairz00_2552));
																																																																						}
																																																																						BgL_cddlocz00_1643
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_arg3982z00_1652,
																																																																							BgL_locz00_1641);
																																																																					}
																																																																					{	/* Ast/sexp.scm 399 */
																																																																						obj_t
																																																																							BgL_cdddlocz00_1644;
																																																																						{	/* Ast/sexp.scm 400 */
																																																																							obj_t
																																																																								BgL_arg3981z00_1651;
																																																																							{	/* Ast/sexp.scm 400 */
																																																																								obj_t
																																																																									BgL_pairz00_2556;
																																																																								BgL_pairz00_2556
																																																																									=
																																																																									BgL_expz00_20;
																																																																								BgL_arg3981z00_1651
																																																																									=
																																																																									CDR
																																																																									(CDR
																																																																									(CDR
																																																																										(BgL_pairz00_2556)));
																																																																							}
																																																																							BgL_cdddlocz00_1644
																																																																								=
																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																								(BgL_arg3981z00_1651,
																																																																								BgL_locz00_1641);
																																																																						}
																																																																						{	/* Ast/sexp.scm 400 */
																																																																							obj_t
																																																																								BgL_loczd2proczd2_1645;
																																																																							BgL_loczd2proczd2_1645
																																																																								=
																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																								(BgL_procz00_1623,
																																																																								BgL_cdlocz00_1642);
																																																																							{	/* Ast/sexp.scm 401 */
																																																																								obj_t
																																																																									BgL_loczd2msgzd2_1646;
																																																																								BgL_loczd2msgzd2_1646
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_msgz00_1624,
																																																																									BgL_cddlocz00_1643);
																																																																								{	/* Ast/sexp.scm 402 */
																																																																									obj_t
																																																																										BgL_loczd2objzd2_1647;
																																																																									BgL_loczd2objzd2_1647
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_objz00_1625,
																																																																										BgL_cdddlocz00_1644);
																																																																									{	/* Ast/sexp.scm 403 */
																																																																										BgL_nodez00_bglt
																																																																											BgL_procz00_1648;
																																																																										BgL_procz00_1648
																																																																											=
																																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																											(BgL_procz00_1623,
																																																																											BgL_stackz00_21,
																																																																											BgL_loczd2proczd2_1645,
																																																																											CNST_TABLE_REF
																																																																											(((long) 2)));
																																																																										{	/* Ast/sexp.scm 404 */
																																																																											BgL_nodez00_bglt
																																																																												BgL_msgz00_1649;
																																																																											BgL_msgz00_1649
																																																																												=
																																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																												(BgL_msgz00_1624,
																																																																												BgL_stackz00_21,
																																																																												BgL_loczd2msgzd2_1646,
																																																																												CNST_TABLE_REF
																																																																												(((long) 2)));
																																																																											{	/* Ast/sexp.scm 405 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_objz00_1650;
																																																																												BgL_objz00_1650
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BgL_objz00_1625,
																																																																													BgL_stackz00_21,
																																																																													BgL_loczd2objzd2_1647,
																																																																													CNST_TABLE_REF
																																																																													(((long) 2)));
																																																																												{	/* Ast/sexp.scm 406 */

																																																																													{	/* Ast/sexp.scm 407 */
																																																																														BgL_typez00_bglt
																																																																															BgL_auxz00_3981;
																																																																														{	/* Ast/sexp.scm 407 */
																																																																															obj_t
																																																																																BgL_xz00_3005;
																																																																															BgL_xz00_3005
																																																																																=
																																																																																BGl_za2magicza2z00zztype_cachez00;
																																																																															BgL_auxz00_3981
																																																																																=
																																																																																(
																																																																																(BgL_typez00_bglt)
																																																																																BgL_xz00_3005);
																																																																														}
																																																																														BgL_xz00_3006
																																																																															=
																																																																															BGl_makezd2failzd2zzast_nodez00
																																																																															(BgL_locz00_1641,
																																																																															BgL_auxz00_3981,
																																																																															BgL_procz00_1648,
																																																																															BgL_msgz00_1649,
																																																																															BgL_objz00_1650);
																																																																		}}}}}}}}}}}}
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_xz00_3006);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 103 */
																																																																BgL_tagzd22650zd2_1627:
																																																																	return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4360z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 103 */
																																																															goto
																																																																BgL_tagzd22650zd2_1627;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 103 */
																																																													goto
																																																														BgL_tagzd22650zd2_1627;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 103 */
																																																											goto
																																																												BgL_tagzd22650zd2_1627;
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 103 */
																																																									goto
																																																										BgL_tagzd22650zd2_1627;
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 103 */
																																																						if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 24))))
																																																							{	/* Ast/sexp.scm 103 */
																																																							BgL_tagzd21668zd2_1005:
																																																								{
																																																									obj_t
																																																										BgL_testz00_1655;
																																																									obj_t
																																																										BgL_clausesz00_1656;
																																																									if (PAIRP(BgL_expz00_20))
																																																										{	/* Ast/sexp.scm 103 */
																																																											obj_t
																																																												BgL_cdrzd22683zd2_1661;
																																																											BgL_cdrzd22683zd2_1661
																																																												=
																																																												CDR
																																																												(BgL_expz00_20);
																																																											if (PAIRP(BgL_cdrzd22683zd2_1661))
																																																												{	/* Ast/sexp.scm 103 */
																																																													BgL_testz00_1655
																																																														=
																																																														CAR
																																																														(BgL_cdrzd22683zd2_1661);
																																																													BgL_clausesz00_1656
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22683zd2_1661);
																																																													{	/* Ast/sexp.scm 426 */
																																																														obj_t
																																																															BgL_locz00_1665;
																																																														BgL_locz00_1665
																																																															=
																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																															(BgL_expz00_20,
																																																															BgL_locz00_22);
																																																														{	/* Ast/sexp.scm 426 */
																																																															obj_t
																																																																BgL_cdlocz00_1666;
																																																															BgL_cdlocz00_1666
																																																																=
																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																(CDR
																																																																(BgL_expz00_20),
																																																																BgL_locz00_1665);
																																																															{	/* Ast/sexp.scm 427 */
																																																																obj_t
																																																																	BgL_cddlocz00_1667;
																																																																BgL_cddlocz00_1667
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(CDR
																																																																	(BgL_expz00_20),
																																																																	BgL_locz00_1665);
																																																																{	/* Ast/sexp.scm 428 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_testz00_1668;
																																																																	{	/* Ast/sexp.scm 431 */
																																																																		obj_t
																																																																			BgL_arg4009z00_1697;
																																																																		BgL_arg4009z00_1697
																																																																			=
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(BgL_testz00_1655,
																																																																			BgL_cdlocz00_1666);
																																																																		BgL_testz00_1668
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(BgL_testz00_1655,
																																																																			BgL_stackz00_21,
																																																																			BgL_arg4009z00_1697,
																																																																			CNST_TABLE_REF
																																																																			(((long) 2)));
																																																																	}
																																																																	{	/* Ast/sexp.scm 429 */

																																																																		{
																																																																			obj_t
																																																																				BgL_clsz00_1671;
																																																																			obj_t
																																																																				BgL_nclausesz00_1672;
																																																																			BgL_clsz00_1671
																																																																				=
																																																																				BgL_clausesz00_1656;
																																																																			BgL_nclausesz00_1672
																																																																				=
																																																																				BNIL;
																																																																		BgL_zc3anonymousza33989ze3z83_1673:
																																																																			if (NULLP(BgL_clsz00_1671))
																																																																				{	/* Ast/sexp.scm 441 */
																																																																					obj_t
																																																																						BgL_arg3991z00_1675;
																																																																					BgL_typez00_bglt
																																																																						BgL_arg3992z00_1676;
																																																																					BgL_arg3991z00_1675
																																																																						=
																																																																						bgl_reverse_bang
																																																																						(BgL_nclausesz00_1672);
																																																																					BgL_arg3992z00_1676
																																																																						=
																																																																						BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																						(CAR
																																																																						(CAR
																																																																							(CAR
																																																																								(BgL_clausesz00_1656))));
																																																																					{	/* Ast/sexp.scm 436 */
																																																																						BgL_selectz00_bglt
																																																																							BgL_xz00_3003;
																																																																						{	/* Ast/sexp.scm 436 */
																																																																							BgL_typez00_bglt
																																																																								BgL_auxz00_4011;
																																																																							{	/* Ast/sexp.scm 436 */
																																																																								obj_t
																																																																									BgL_xz00_3002;
																																																																								BgL_xz00_3002
																																																																									=
																																																																									BGl_za2_za2z00zztype_cachez00;
																																																																								BgL_auxz00_4011
																																																																									=
																																																																									(
																																																																									(BgL_typez00_bglt)
																																																																									BgL_xz00_3002);
																																																																							}
																																																																							BgL_xz00_3003
																																																																								=
																																																																								BGl_makezd2selectzd2zzast_nodez00
																																																																								(BgL_locz00_1665,
																																																																								BgL_auxz00_4011,
																																																																								BUNSPEC,
																																																																								BINT
																																																																								(((long) -1)), BgL_testz00_1668, BgL_arg3991z00_1675, BgL_arg3992z00_1676);
																																																																						}
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_xz00_3003);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 442 */
																																																																					obj_t
																																																																						BgL_clausez00_1680;
																																																																					BgL_clausez00_1680
																																																																						=
																																																																						CAR
																																																																						(BgL_clsz00_1671);
																																																																					{	/* Ast/sexp.scm 442 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_bodyz00_1681;
																																																																						{	/* Ast/sexp.scm 443 */
																																																																							obj_t
																																																																								BgL_arg4006z00_1693;
																																																																							obj_t
																																																																								BgL_arg4007z00_1694;
																																																																							BgL_arg4006z00_1693
																																																																								=
																																																																								BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																								(CDR
																																																																								(BgL_clausez00_1680));
																																																																							BgL_arg4007z00_1694
																																																																								=
																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																								(BgL_clausez00_1680,
																																																																								BgL_cddlocz00_1667);
																																																																							BgL_bodyz00_1681
																																																																								=
																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																								(BgL_arg4006z00_1693,
																																																																								BgL_stackz00_21,
																																																																								BgL_arg4007z00_1694,
																																																																								CNST_TABLE_REF
																																																																								(((long) 2)));
																																																																						}
																																																																						{	/* Ast/sexp.scm 443 */
																																																																							obj_t
																																																																								BgL_nclausez00_1682;
																																																																							{	/* Ast/sexp.scm 447 */
																																																																								obj_t
																																																																									BgL_arg4005z00_1692;
																																																																								BgL_arg4005z00_1692
																																																																									=
																																																																									CAR
																																																																									(BgL_clausez00_1680);
																																																																								BgL_nclausez00_1682
																																																																									=
																																																																									MAKE_PAIR
																																																																									(BgL_arg4005z00_1692,
																																																																									((obj_t) BgL_bodyz00_1681));
																																																																							}
																																																																							{	/* Ast/sexp.scm 447 */

																																																																								{	/* Ast/sexp.scm 449 */
																																																																									bool_t
																																																																										BgL_testz00_4025;
																																																																									if ((CAR(BgL_clausez00_1680) == CNST_TABLE_REF(((long) 3))))
																																																																										{	/* Ast/sexp.scm 449 */
																																																																											if (NULLP(CDR(BgL_clsz00_1671)))
																																																																												{	/* Ast/sexp.scm 450 */
																																																																													BgL_testz00_4025
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 450 */
																																																																													BgL_testz00_4025
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 449 */
																																																																											BgL_testz00_4025
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									if (BgL_testz00_4025)
																																																																										{	/* Ast/sexp.scm 449 */
																																																																											return
																																																																												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																																												(BGl_string4359z00zzast_sexpz00,
																																																																												BgL_expz00_20,
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_expz00_20,
																																																																													BgL_locz00_1665));
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 453 */
																																																																											obj_t
																																																																												BgL_arg3998z00_1685;
																																																																											obj_t
																																																																												BgL_arg3999z00_1686;
																																																																											BgL_arg3998z00_1685
																																																																												=
																																																																												CDR
																																																																												(BgL_clsz00_1671);
																																																																											BgL_arg3999z00_1686
																																																																												=
																																																																												MAKE_PAIR
																																																																												(BGl_epairifyz00zztools_miscz00
																																																																												(BgL_nclausez00_1682,
																																																																													BgL_clausez00_1680),
																																																																												BgL_nclausesz00_1672);
																																																																											{
																																																																												obj_t
																																																																													BgL_nclausesz00_4039;
																																																																												obj_t
																																																																													BgL_clsz00_4038;
																																																																												BgL_clsz00_4038
																																																																													=
																																																																													BgL_arg3998z00_1685;
																																																																												BgL_nclausesz00_4039
																																																																													=
																																																																													BgL_arg3999z00_1686;
																																																																												BgL_nclausesz00_1672
																																																																													=
																																																																													BgL_nclausesz00_4039;
																																																																												BgL_clsz00_1671
																																																																													=
																																																																													BgL_clsz00_4038;
																																																																												goto
																																																																													BgL_zc3anonymousza33989ze3z83_1673;
																																																																											}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 103 */
																																																												BgL_tagzd22676zd2_1658:
																																																													return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4359z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 103 */
																																																											goto
																																																												BgL_tagzd22676zd2_1658;
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 103 */
																																																								if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 25))))
																																																									{	/* Ast/sexp.scm 103 */
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_xz00_3080;
																																																									BgL_tagzd21669zd2_1006:
																																																										BgL_xz00_3080 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_xz00_3080);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 103 */
																																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 26))))
																																																											{	/* Ast/sexp.scm 103 */
																																																												BgL_jumpzd2exzd2itz00_bglt
																																																													BgL_xz00_3081;
																																																											BgL_tagzd21670zd2_1007:
																																																												BgL_xz00_3081 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_xz00_3081);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 103 */
																																																												obj_t
																																																													BgL_cdrzd22079zd2_1118;
																																																												BgL_cdrzd22079zd2_1118
																																																													=
																																																													CDR
																																																													(BgL_expz00_20);
																																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 27))))
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (PAIRP(BgL_cdrzd22079zd2_1118))
																																																															{	/* Ast/sexp.scm 103 */
																																																																obj_t
																																																																	BgL_cdrzd22081zd2_1121;
																																																																BgL_cdrzd22081zd2_1121
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd22079zd2_1118);
																																																																if (PAIRP(BgL_cdrzd22081zd2_1121))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		if (NULLP(CDR(BgL_cdrzd22081zd2_1121)))
																																																																			{	/* Ast/sexp.scm 103 */
																																																																			BgL_tagzd21671zd2_1008:
																																																																				return BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																					{	/* Ast/sexp.scm 103 */
																																																																						obj_t
																																																																							BgL_xz00_3082;
																																																																						goto
																																																																							BgL_tagzd21673zd2_1010;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_xz00_3082);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 103 */
																																																																						goto
																																																																							BgL_tagzd21674zd2_1011;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				obj_t
																																																																					BgL_xz00_3083;
																																																																				goto
																																																																					BgL_tagzd21673zd2_1010;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_xz00_3083);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				goto
																																																																					BgL_tagzd21674zd2_1011;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		obj_t
																																																																			BgL_xz00_3084;
																																																																		goto
																																																																			BgL_tagzd21673zd2_1010;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_xz00_3084);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21674zd2_1011;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_20), BUNSPEC))
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (NULLP(BgL_cdrzd22079zd2_1118))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																	BgL_tagzd21672zd2_1009:
																																																																		return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4358z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				obj_t
																																																																					BgL_xz00_3085;
																																																																				goto
																																																																					BgL_tagzd21673zd2_1010;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_xz00_3085);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				goto
																																																																					BgL_tagzd21674zd2_1011;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		obj_t
																																																																			BgL_xz00_3086;
																																																																		goto
																																																																			BgL_tagzd21673zd2_1010;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_xz00_3086);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21674zd2_1011;
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 103 */
												if (
													(BgL_carzd21704zd2_1016 ==
														CNST_TABLE_REF(((long) 10))))
													{	/* Ast/sexp.scm 103 */
														goto BgL_tagzd21651zd2_978;
													}
												else
													{	/* Ast/sexp.scm 103 */
														if (
															(CAR(BgL_expz00_20) ==
																CNST_TABLE_REF(((long) 11))))
															{	/* Ast/sexp.scm 103 */
																goto BgL_tagzd21652zd2_979;
															}
														else
															{	/* Ast/sexp.scm 103 */
																if (
																	(CAR(BgL_expz00_20) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 103 */
																		if (NULLP(CDR(BgL_expz00_20)))
																			{	/* Ast/sexp.scm 103 */
																				goto BgL_tagzd21653zd2_980;
																			}
																		else
																			{	/* Ast/sexp.scm 103 */
																				obj_t BgL_arg3631z00_1159;

																				BgL_arg3631z00_1159 =
																					CDR(BgL_expz00_20);
																				{	/* Ast/sexp.scm 103 */
																					BgL_sequencez00_bglt BgL_xz00_3087;

																					{
																						obj_t BgL_bodyz00_4107;

																						BgL_bodyz00_4107 =
																							BgL_arg3631z00_1159;
																						BgL_bodyz00_981 = BgL_bodyz00_4107;
																						goto BgL_tagzd21654zd2_982;
																					}
																					return
																						((BgL_nodez00_bglt) BgL_xz00_3087);
																				}
																			}
																	}
																else
																	{	/* Ast/sexp.scm 103 */
																		obj_t BgL_carzd22127zd2_1161;

																		BgL_carzd22127zd2_1161 = CAR(BgL_expz00_20);
																		if (
																			(BgL_carzd22127zd2_1161 ==
																				CNST_TABLE_REF(((long) 1))))
																			{	/* Ast/sexp.scm 103 */
																				goto BgL_tagzd21655zd2_983;
																			}
																		else
																			{	/* Ast/sexp.scm 103 */
																				if (
																					(BgL_carzd22127zd2_1161 ==
																						BGl_za2ifza2z00zzast_sexpz00))
																					{	/* Ast/sexp.scm 103 */
																						goto BgL_tagzd21655zd2_983;
																					}
																				else
																					{	/* Ast/sexp.scm 103 */
																						if (
																							(CAR(BgL_expz00_20) ==
																								CNST_TABLE_REF(((long) 5))))
																							{	/* Ast/sexp.scm 103 */
																								goto BgL_tagzd21656zd2_984;
																							}
																						else
																							{	/* Ast/sexp.scm 103 */
																								if (
																									(CAR(BgL_expz00_20) ==
																										CNST_TABLE_REF(((long)
																												14))))
																									{	/* Ast/sexp.scm 103 */
																										goto BgL_tagzd21657zd2_985;
																									}
																								else
																									{	/* Ast/sexp.scm 103 */
																										obj_t
																											BgL_carzd22151zd2_1166;
																										BgL_carzd22151zd2_1166 =
																											CAR(BgL_expz00_20);
																										if (PAIRP
																											(BgL_carzd22151zd2_1166))
																											{	/* Ast/sexp.scm 103 */
																												obj_t
																													BgL_carzd22154zd2_1168;
																												obj_t
																													BgL_cdrzd22155zd2_1169;
																												BgL_carzd22154zd2_1168 =
																													CAR
																													(BgL_carzd22151zd2_1166);
																												BgL_cdrzd22155zd2_1169 =
																													CDR
																													(BgL_carzd22151zd2_1166);
																												{

																													if (
																														(BgL_carzd22154zd2_1168
																															==
																															CNST_TABLE_REF((
																																	(long) 16))))
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_xz00_3100;
																														BgL_kapzd22156zd2_1170:
																															if (PAIRP
																																(BgL_cdrzd22155zd2_1169))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_cdrzd22159zd2_1191;
																																	BgL_cdrzd22159zd2_1191
																																		=
																																		CDR
																																		(BgL_cdrzd22155zd2_1169);
																																	if (PAIRP
																																		(BgL_cdrzd22159zd2_1191))
																																		{	/* Ast/sexp.scm 103 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd22159zd2_1191)))
																																				{	/* Ast/sexp.scm 103 */
																																					obj_t
																																						BgL_arg3659z00_1194;
																																					obj_t
																																						BgL_arg3660z00_1195;
																																					BgL_arg3659z00_1194
																																						=
																																						CAR
																																						(BgL_cdrzd22159zd2_1191);
																																					BgL_arg3660z00_1195
																																						=
																																						CDR
																																						(BgL_expz00_20);
																																					{	/* Ast/sexp.scm 103 */
																																						BgL_nodez00_bglt
																																							BgL_xz00_3088;
																																						{
																																							obj_t
																																								BgL_argsz00_4142;
																																							obj_t
																																								BgL_bodyz00_4141;
																																							BgL_bodyz00_4141
																																								=
																																								BgL_arg3659z00_1194;
																																							BgL_argsz00_4142
																																								=
																																								BgL_arg3660z00_1195;
																																							BgL_argsz00_987
																																								=
																																								BgL_argsz00_4142;
																																							BgL_bodyz00_986
																																								=
																																								BgL_bodyz00_4141;
																																							goto
																																								BgL_tagzd21658zd2_988;
																																						}
																																						BgL_xz00_3100
																																							=
																																							(
																																							(obj_t)
																																							BgL_xz00_3088);
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_4144;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3670z00_1207;
																																						BgL_arg3670z00_1207
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_4144
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg3670z00_1207));
																																					}
																																					if (BgL_testz00_4144)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_nodez00_bglt
																																								BgL_xz00_3089;
																																							goto
																																								BgL_tagzd21659zd2_989;
																																							BgL_xz00_3100
																																								=
																																								(
																																								(obj_t)
																																								BgL_xz00_3089);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_4149;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3669z00_1206;
																																								BgL_arg3669z00_1206
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_4149
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg3669z00_1206));
																																							}
																																							if (BgL_testz00_4149)
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_letzd2funzd2_bglt
																																										BgL_xz00_3090;
																																									goto
																																										BgL_tagzd21660zd2_990;
																																									BgL_xz00_3100
																																										=
																																										(
																																										(obj_t)
																																										BgL_xz00_3090);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									obj_t
																																										BgL_carzd22191zd2_1198;
																																									BgL_carzd22191zd2_1198
																																										=
																																										CAR
																																										(BgL_expz00_20);
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_cdrzd22196zd2_1199;
																																										BgL_cdrzd22196zd2_1199
																																											=
																																											CDR
																																											(BgL_carzd22191zd2_1198);
																																										if ((CAR(BgL_carzd22191zd2_1198) == CNST_TABLE_REF(((long) 15))))
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_arg3664z00_1201;
																																												obj_t
																																													BgL_arg3665z00_1202;
																																												obj_t
																																													BgL_arg3666z00_1203;
																																												BgL_arg3664z00_1201
																																													=
																																													CAR
																																													(BgL_cdrzd22196zd2_1199);
																																												BgL_arg3665z00_1202
																																													=
																																													CDR
																																													(BgL_cdrzd22196zd2_1199);
																																												BgL_arg3666z00_1203
																																													=
																																													CDR
																																													(BgL_expz00_20);
																																												{	/* Ast/sexp.scm 103 */
																																													BgL_nodez00_bglt
																																														BgL_xz00_3091;
																																													{
																																														obj_t
																																															BgL_argsz00_4165;
																																														obj_t
																																															BgL_bodyz00_4164;
																																														obj_t
																																															BgL_varsz00_4163;
																																														BgL_varsz00_4163
																																															=
																																															BgL_arg3664z00_1201;
																																														BgL_bodyz00_4164
																																															=
																																															BgL_arg3665z00_1202;
																																														BgL_argsz00_4165
																																															=
																																															BgL_arg3666z00_1203;
																																														BgL_argsz00_993
																																															=
																																															BgL_argsz00_4165;
																																														BgL_bodyz00_992
																																															=
																																															BgL_bodyz00_4164;
																																														BgL_varsz00_991
																																															=
																																															BgL_varsz00_4163;
																																														goto
																																															BgL_tagzd21661zd2_994;
																																													}
																																													BgL_xz00_3100
																																														=
																																														(
																																														(obj_t)
																																														BgL_xz00_3091);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																													{	/* Ast/sexp.scm 103 */
																																														goto
																																															BgL_tagzd21673zd2_1010;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														BgL_nodez00_bglt
																																															BgL_xz00_3092;
																																														goto
																																															BgL_tagzd21674zd2_1011;
																																														BgL_xz00_3100
																																															=
																																															(
																																															(obj_t)
																																															BgL_xz00_3092);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			bool_t
																																				BgL_testz00_4170;
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_arg3683z00_1220;
																																				BgL_arg3683z00_1220
																																					=
																																					CAR
																																					(BgL_expz00_20);
																																				BgL_testz00_4170
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg3683z00_1220));
																																			}
																																			if (BgL_testz00_4170)
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_nodez00_bglt
																																						BgL_xz00_3093;
																																					goto
																																						BgL_tagzd21659zd2_989;
																																					BgL_xz00_3100
																																						=
																																						(
																																						(obj_t)
																																						BgL_xz00_3093);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_4175;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3682z00_1219;
																																						BgL_arg3682z00_1219
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_4175
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg3682z00_1219));
																																					}
																																					if (BgL_testz00_4175)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_letzd2funzd2_bglt
																																								BgL_xz00_3094;
																																							goto
																																								BgL_tagzd21660zd2_990;
																																							BgL_xz00_3100
																																								=
																																								(
																																								(obj_t)
																																								BgL_xz00_3094);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_carzd22244zd2_1211;
																																							BgL_carzd22244zd2_1211
																																								=
																																								CAR
																																								(BgL_expz00_20);
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_cdrzd22249zd2_1212;
																																								BgL_cdrzd22249zd2_1212
																																									=
																																									CDR
																																									(BgL_carzd22244zd2_1211);
																																								if ((CAR(BgL_carzd22244zd2_1211) == CNST_TABLE_REF(((long) 15))))
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3676z00_1214;
																																										obj_t
																																											BgL_arg3677z00_1215;
																																										obj_t
																																											BgL_arg3678z00_1216;
																																										BgL_arg3676z00_1214
																																											=
																																											CAR
																																											(BgL_cdrzd22249zd2_1212);
																																										BgL_arg3677z00_1215
																																											=
																																											CDR
																																											(BgL_cdrzd22249zd2_1212);
																																										BgL_arg3678z00_1216
																																											=
																																											CDR
																																											(BgL_expz00_20);
																																										{	/* Ast/sexp.scm 103 */
																																											BgL_nodez00_bglt
																																												BgL_xz00_3095;
																																											{
																																												obj_t
																																													BgL_argsz00_4191;
																																												obj_t
																																													BgL_bodyz00_4190;
																																												obj_t
																																													BgL_varsz00_4189;
																																												BgL_varsz00_4189
																																													=
																																													BgL_arg3676z00_1214;
																																												BgL_bodyz00_4190
																																													=
																																													BgL_arg3677z00_1215;
																																												BgL_argsz00_4191
																																													=
																																													BgL_arg3678z00_1216;
																																												BgL_argsz00_993
																																													=
																																													BgL_argsz00_4191;
																																												BgL_bodyz00_992
																																													=
																																													BgL_bodyz00_4190;
																																												BgL_varsz00_991
																																													=
																																													BgL_varsz00_4189;
																																												goto
																																													BgL_tagzd21661zd2_994;
																																											}
																																											BgL_xz00_3100
																																												=
																																												(
																																												(obj_t)
																																												BgL_xz00_3095);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																											{	/* Ast/sexp.scm 103 */
																																												goto
																																													BgL_tagzd21673zd2_1010;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												BgL_nodez00_bglt
																																													BgL_xz00_3096;
																																												goto
																																													BgL_tagzd21674zd2_1011;
																																												BgL_xz00_3100
																																													=
																																													(
																																													(obj_t)
																																													BgL_xz00_3096);
																																											}
																																									}
																																							}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	bool_t
																																		BgL_testz00_4196;
																																	{	/* Ast/sexp.scm 103 */
																																		obj_t
																																			BgL_arg3688z00_1225;
																																		BgL_arg3688z00_1225
																																			=
																																			CAR
																																			(BgL_expz00_20);
																																		BgL_testz00_4196
																																			=
																																			CBOOL
																																			(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_arg3688z00_1225));
																																	}
																																	if (BgL_testz00_4196)
																																		{	/* Ast/sexp.scm 103 */
																																			BgL_nodez00_bglt
																																				BgL_xz00_3097;
																																			goto
																																				BgL_tagzd21659zd2_989;
																																			BgL_xz00_3100
																																				=
																																				((obj_t)
																																				BgL_xz00_3097);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			bool_t
																																				BgL_testz00_4201;
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_arg3687z00_1224;
																																				BgL_arg3687z00_1224
																																					=
																																					CAR
																																					(BgL_expz00_20);
																																				BgL_testz00_4201
																																					=
																																					CBOOL
																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																					(BgL_arg3687z00_1224));
																																			}
																																			if (BgL_testz00_4201)
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_letzd2funzd2_bglt
																																						BgL_xz00_3098;
																																					goto
																																						BgL_tagzd21660zd2_990;
																																					BgL_xz00_3100
																																						=
																																						(
																																						(obj_t)
																																						BgL_xz00_3098);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																						{	/* Ast/sexp.scm 103 */
																																							goto
																																								BgL_tagzd21673zd2_1010;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_nodez00_bglt
																																								BgL_xz00_3099;
																																							goto
																																								BgL_tagzd21674zd2_1011;
																																							BgL_xz00_3100
																																								=
																																								(
																																								(obj_t)
																																								BgL_xz00_3099);
																																						}
																																				}
																																		}
																																}
																															return
																																(
																																(BgL_nodez00_bglt)
																																BgL_xz00_3100);
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															if (CBOOL
																																(BGl_letzd2symzf3z21zzast_letz00
																																	(BgL_carzd22154zd2_1168)))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_xz00_3101;
																																	goto
																																		BgL_kapzd22156zd2_1170;
																																	return (
																																		(BgL_nodez00_bglt)
																																		BgL_xz00_3101);
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	if (
																																		(BgL_carzd22154zd2_1168
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{	/* Ast/sexp.scm 103 */
																																			obj_t
																																				BgL_xz00_3102;
																																			goto
																																				BgL_kapzd22156zd2_1170;
																																			return (
																																				(BgL_nodez00_bglt)
																																				BgL_xz00_3102);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			if (
																																				(BgL_carzd22154zd2_1168
																																					==
																																					CNST_TABLE_REF
																																					(((long) 18))))
																																				{	/* Ast/sexp.scm 103 */
																																					obj_t
																																						BgL_xz00_3103;
																																					goto
																																						BgL_kapzd22156zd2_1170;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_xz00_3103);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd22154zd2_1168)))
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_xz00_3104;
																																							goto
																																								BgL_kapzd22156zd2_1170;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_xz00_3104);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_4226;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3654z00_1189;
																																								BgL_arg3654z00_1189
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_4226
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg3654z00_1189));
																																							}
																																							if (BgL_testz00_4226)
																																								{	/* Ast/sexp.scm 103 */
																																									goto
																																										BgL_tagzd21659zd2_989;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									bool_t
																																										BgL_testz00_4230;
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3653z00_1188;
																																										BgL_arg3653z00_1188
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_4230
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg3653z00_1188));
																																									}
																																									if (BgL_testz00_4230)
																																										{	/* Ast/sexp.scm 103 */
																																											BgL_letzd2funzd2_bglt
																																												BgL_xz00_3105;
																																											goto
																																												BgL_tagzd21660zd2_990;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_xz00_3105);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 103 */
																																											obj_t
																																												BgL_carzd22340zd2_1178;
																																											BgL_carzd22340zd2_1178
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_cdrzd22345zd2_1179;
																																												BgL_cdrzd22345zd2_1179
																																													=
																																													CDR
																																													(BgL_carzd22340zd2_1178);
																																												if ((CAR(BgL_carzd22340zd2_1178) == CNST_TABLE_REF(((long) 15))))
																																													{	/* Ast/sexp.scm 103 */
																																														if (PAIRP(BgL_cdrzd22345zd2_1179))
																																															{
																																																obj_t
																																																	BgL_argsz00_4247;
																																																obj_t
																																																	BgL_bodyz00_4245;
																																																obj_t
																																																	BgL_varsz00_4243;
																																																BgL_varsz00_4243
																																																	=
																																																	CAR
																																																	(BgL_cdrzd22345zd2_1179);
																																																BgL_bodyz00_4245
																																																	=
																																																	CDR
																																																	(BgL_cdrzd22345zd2_1179);
																																																BgL_argsz00_4247
																																																	=
																																																	CDR
																																																	(BgL_expz00_20);
																																																BgL_argsz00_993
																																																	=
																																																	BgL_argsz00_4247;
																																																BgL_bodyz00_992
																																																	=
																																																	BgL_bodyz00_4245;
																																																BgL_varsz00_991
																																																	=
																																																	BgL_varsz00_4243;
																																																goto
																																																	BgL_tagzd21661zd2_994;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_xz00_3106;
																																																		goto
																																																			BgL_tagzd21673zd2_1010;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_xz00_3106);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		goto
																																																			BgL_tagzd21674zd2_1011;
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																															{	/* Ast/sexp.scm 103 */
																																																obj_t
																																																	BgL_xz00_3107;
																																																goto
																																																	BgL_tagzd21673zd2_1010;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_xz00_3107);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																goto
																																																	BgL_tagzd21674zd2_1011;
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											}
																										else
																											{	/* Ast/sexp.scm 103 */
																												if (
																													(BgL_carzd22151zd2_1166
																														==
																														CNST_TABLE_REF((
																																(long) 16))))
																													{	/* Ast/sexp.scm 103 */
																														goto
																															BgL_tagzd21659zd2_989;
																													}
																												else
																													{	/* Ast/sexp.scm 103 */
																														if (CBOOL
																															(BGl_letzd2symzf3z21zzast_letz00
																																(BgL_carzd22151zd2_1166)))
																															{	/* Ast/sexp.scm 103 */
																																goto
																																	BgL_tagzd21659zd2_989;
																															}
																														else
																															{	/* Ast/sexp.scm 103 */
																																if (
																																	(BgL_carzd22151zd2_1166
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				17))))
																																	{	/* Ast/sexp.scm 103 */
																																		goto
																																			BgL_tagzd21659zd2_989;
																																	}
																																else
																																	{	/* Ast/sexp.scm 103 */
																																		if (
																																			(BgL_carzd22151zd2_1166
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						19))))
																																			{	/* Ast/sexp.scm 103 */
																																				goto
																																					BgL_tagzd21659zd2_989;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_carzd22396zd2_1231;
																																				BgL_carzd22396zd2_1231
																																					=
																																					CAR
																																					(BgL_expz00_20);
																																				if (
																																					(BgL_carzd22396zd2_1231
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{	/* Ast/sexp.scm 103 */
																																						BgL_letzd2funzd2_bglt
																																							BgL_xz00_3108;
																																						goto
																																							BgL_tagzd21660zd2_990;
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_xz00_3108);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 103 */
																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd22396zd2_1231)))
																																							{	/* Ast/sexp.scm 103 */
																																								BgL_letzd2funzd2_bglt
																																									BgL_xz00_3109;
																																								goto
																																									BgL_tagzd21660zd2_990;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_xz00_3109);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 15))))
																																									{	/* Ast/sexp.scm 103 */
																																										goto
																																											BgL_tagzd21662zd2_995;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 4))))
																																											{	/* Ast/sexp.scm 103 */
																																												goto
																																													BgL_tagzd21663zd2_996;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_cdrzd22420zd2_1236;
																																												BgL_cdrzd22420zd2_1236
																																													=
																																													CDR
																																													(BgL_expz00_20);
																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 20))))
																																													{	/* Ast/sexp.scm 103 */
																																														if (PAIRP(BgL_cdrzd22420zd2_1236))
																																															{
																																																obj_t
																																																	BgL_restz00_4293;
																																																obj_t
																																																	BgL_effectz00_4291;
																																																BgL_effectz00_4291
																																																	=
																																																	CAR
																																																	(BgL_cdrzd22420zd2_1236);
																																																BgL_restz00_4293
																																																	=
																																																	CDR
																																																	(BgL_cdrzd22420zd2_1236);
																																																BgL_restz00_998
																																																	=
																																																	BgL_restz00_4293;
																																																BgL_effectz00_997
																																																	=
																																																	BgL_effectz00_4291;
																																																goto
																																																	BgL_tagzd21664zd2_999;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_xz00_3110;
																																																		goto
																																																			BgL_tagzd21673zd2_1010;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_xz00_3110);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		goto
																																																			BgL_tagzd21674zd2_1011;
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 21))))
																																															{	/* Ast/sexp.scm 103 */
																																																goto
																																																	BgL_tagzd21665zd2_1000;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 22))))
																																																	{	/* Ast/sexp.scm 103 */
																																																		if (PAIRP(BgL_cdrzd22420zd2_1236))
																																																			{
																																																				obj_t
																																																					BgL_restz00_4310;
																																																				obj_t
																																																					BgL_effectz00_4308;
																																																				BgL_effectz00_4308
																																																					=
																																																					CAR
																																																					(BgL_cdrzd22420zd2_1236);
																																																				BgL_restz00_4310
																																																					=
																																																					CDR
																																																					(BgL_cdrzd22420zd2_1236);
																																																				BgL_restz00_1002
																																																					=
																																																					BgL_restz00_4310;
																																																				BgL_effectz00_1001
																																																					=
																																																					BgL_effectz00_4308;
																																																				goto
																																																					BgL_tagzd21666zd2_1003;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																					{	/* Ast/sexp.scm 103 */
																																																						obj_t
																																																							BgL_xz00_3111;
																																																						goto
																																																							BgL_tagzd21673zd2_1010;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_xz00_3111);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 103 */
																																																						goto
																																																							BgL_tagzd21674zd2_1011;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 23))))
																																																			{	/* Ast/sexp.scm 103 */
																																																				goto
																																																					BgL_tagzd21667zd2_1004;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 24))))
																																																					{	/* Ast/sexp.scm 103 */
																																																						goto
																																																							BgL_tagzd21668zd2_1005;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 103 */
																																																						if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 25))))
																																																							{	/* Ast/sexp.scm 103 */
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_xz00_3112;
																																																								goto
																																																									BgL_tagzd21669zd2_1006;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_xz00_3112);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 103 */
																																																								if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 26))))
																																																									{	/* Ast/sexp.scm 103 */
																																																										BgL_jumpzd2exzd2itz00_bglt
																																																											BgL_xz00_3113;
																																																										goto
																																																											BgL_tagzd21670zd2_1007;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_xz00_3113);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 103 */
																																																										obj_t
																																																											BgL_cdrzd22458zd2_1253;
																																																										BgL_cdrzd22458zd2_1253
																																																											=
																																																											CDR
																																																											(BgL_expz00_20);
																																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 27))))
																																																											{	/* Ast/sexp.scm 103 */
																																																												if (PAIRP(BgL_cdrzd22458zd2_1253))
																																																													{	/* Ast/sexp.scm 103 */
																																																														obj_t
																																																															BgL_cdrzd22460zd2_1256;
																																																														BgL_cdrzd22460zd2_1256
																																																															=
																																																															CDR
																																																															(BgL_cdrzd22458zd2_1253);
																																																														if (PAIRP(BgL_cdrzd22460zd2_1256))
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (NULLP(CDR(BgL_cdrzd22460zd2_1256)))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21671zd2_1008;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				obj_t
																																																																					BgL_xz00_3114;
																																																																				goto
																																																																					BgL_tagzd21673zd2_1010;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_xz00_3114);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				goto
																																																																					BgL_tagzd21674zd2_1011;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		obj_t
																																																																			BgL_xz00_3115;
																																																																		goto
																																																																			BgL_tagzd21673zd2_1010;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_xz00_3115);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21674zd2_1011;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																															{	/* Ast/sexp.scm 103 */
																																																																obj_t
																																																																	BgL_xz00_3116;
																																																																goto
																																																																	BgL_tagzd21673zd2_1010;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_xz00_3116);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21674zd2_1011;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 103 */
																																																												if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_20), BUNSPEC))
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (NULLP(BgL_cdrzd22458zd2_1253))
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21672zd2_1009;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		obj_t
																																																																			BgL_xz00_3117;
																																																																		goto
																																																																			BgL_tagzd21673zd2_1010;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_xz00_3117);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21674zd2_1011;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																															{	/* Ast/sexp.scm 103 */
																																																																obj_t
																																																																	BgL_xz00_3118;
																																																																goto
																																																																	BgL_tagzd21673zd2_1010;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_xz00_3118);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21674zd2_1011;
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 103 */
										BgL_atomz00_974 = BgL_expz00_20;
										{	/* Ast/sexp.scm 119 */
											bool_t BgL_testz00_4366;

											if (BGl_iszd2azf3z21zz__objectz00(BgL_atomz00_974,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 119 */
													BgL_testz00_4366 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 119 */
													BgL_testz00_4366 =
														BGl_iszd2azf3z21zz__objectz00(BgL_atomz00_974,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_4366)
												{	/* Ast/sexp.scm 119 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_974, BgL_locz00_22, BgL_sitez00_23);
												}
											else
												{	/* Ast/sexp.scm 121 */
													bool_t BgL_testz00_4371;

													if (STRUCTP(BgL_atomz00_974))
														{	/* Ast/sexp.scm 121 */
															BgL_testz00_4371 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 121 */
															if (VECTORP(BgL_atomz00_974))
																{	/* Ast/sexp.scm 121 */
																	BgL_testz00_4371 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 121 */
																	bool_t BgL_testz00_4376;

																	{	/* Ast/sexp.scm 121 */
																		bool_t BgL_res4219z00_2311;

																		BgL_res4219z00_2311 =
																			BGL_OBJECTP(BgL_atomz00_974);
																		BgL_testz00_4376 = BgL_res4219z00_2311;
																	}
																	if (BgL_testz00_4376)
																		{	/* Ast/sexp.scm 121 */
																			BgL_testz00_4371 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 121 */
																			BgL_testz00_4371 =
																				PROCEDUREP(BgL_atomz00_974);
																		}
																}
														}
													if (BgL_testz00_4371)
														{	/* Ast/sexp.scm 121 */
															return
																BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																(BGl_string4371z00zzast_sexpz00, BgL_expz00_20,
																BgL_locz00_22);
														}
													else
														{	/* Ast/sexp.scm 121 */
															if (SYMBOLP(BgL_atomz00_974))
																{	/* Ast/sexp.scm 123 */
																	if (CBOOL(BGl_lookupz00zzast_sexpz00
																			(BgL_atomz00_974, BgL_stackz00_21)))
																		{	/* Ast/sexp.scm 128 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BGl_lookupz00zzast_sexpz00
																				(BgL_atomz00_974, BgL_stackz00_21),
																				BgL_locz00_22, BgL_sitez00_23);
																		}
																	else
																		{	/* Ast/sexp.scm 131 */
																			obj_t BgL_globalz00_1307;

																			BgL_globalz00_1307 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_974, BNIL);
																			if (BGl_iszd2azf3z21zz__objectz00
																				(BgL_globalz00_1307,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 135 */
																					bool_t BgL_testz00_4390;

																					{	/* Ast/sexp.scm 135 */
																						obj_t BgL_auxz00_4391;

																						{	/* Ast/sexp.scm 135 */
																							BgL_globalz00_bglt
																								BgL_obj1788z00_2318;
																							BgL_obj1788z00_2318 =
																								((BgL_globalz00_bglt)
																								BgL_globalz00_1307);
																							BgL_auxz00_4391 =
																								(((BgL_globalz00_bglt)
																									CREF(((obj_t)
																											BgL_obj1788z00_2318)))->
																								BgL_importz00);
																						}
																						BgL_testz00_4390 =
																							(BgL_auxz00_4391 ==
																							CNST_TABLE_REF(((long) 9)));
																					}
																					if (BgL_testz00_4390)
																						{	/* Ast/sexp.scm 136 */
																							obj_t BgL_arg3761z00_1310;

																							{	/* Ast/sexp.scm 136 */
																								obj_t BgL_arg3762z00_1311;

																								{	/* Ast/sexp.scm 136 */
																									obj_t BgL_arg3763z00_1312;

																									{	/* Ast/sexp.scm 136 */
																										obj_t BgL_arg3764z00_1313;

																										BgL_arg3764z00_1313 =
																											MAKE_PAIR(BgL_atomz00_974,
																											BNIL);
																										BgL_arg3763z00_1312 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 11)),
																											BgL_arg3764z00_1313);
																									}
																									BgL_arg3762z00_1311 =
																										MAKE_PAIR
																										(BgL_arg3763z00_1312, BNIL);
																								}
																								BgL_arg3761z00_1310 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 9)),
																									BgL_arg3762z00_1311);
																							}
																							{
																								obj_t BgL_expz00_4403;

																								BgL_expz00_4403 =
																									BgL_arg3761z00_1310;
																								BgL_expz00_20 = BgL_expz00_4403;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 135 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_1307,
																								BgL_locz00_22, BgL_sitez00_23);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 133 */
																					return
																						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																						(BGl_string4370z00zzast_sexpz00,
																						BgL_expz00_20, BgL_locz00_22);
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 126 */
																	BgL_typez00_bglt BgL_arg3767z00_1316;

																	BgL_arg3767z00_1316 =
																		BGl_getzd2typezd2atomz00zztype_typeofz00
																		(BgL_atomz00_974);
																	{	/* Ast/sexp.scm 124 */
																		BgL_atomz00_bglt BgL_xz00_3045;

																		BgL_xz00_3045 =
																			BGl_makezd2atomzd2zzast_nodez00
																			(BgL_locz00_22, BgL_arg3767z00_1316,
																			BgL_atomz00_974);
																		return ((BgL_nodez00_bglt) BgL_xz00_3045);
																	}
																}
														}
												}
										}
									}
							}
					}
			}
		}
	}



/* liip */
	obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_1573)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 330 */
			if (NULLP(BgL_argsz00_1573))
				{	/* Ast/sexp.scm 331 */
					return CNST_TABLE_REF(((long) 28));
				}
			else
				{	/* Ast/sexp.scm 333 */
					obj_t BgL_arg3939z00_1576;

					{	/* Ast/sexp.scm 333 */
						obj_t BgL_arg3940z00_1577;
						obj_t BgL_arg3941z00_1578;

						BgL_arg3940z00_1577 = CAR(BgL_argsz00_1573);
						BgL_arg3941z00_1578 =
							MAKE_PAIR(BGl_liipz00zzast_sexpz00(CDR(BgL_argsz00_1573)), BNIL);
						BgL_arg3939z00_1576 =
							MAKE_PAIR(BgL_arg3940z00_1577, BgL_arg3941z00_1578);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 29)), BgL_arg3939z00_1576);
		}}
	}



/* loop */
	obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_2997, obj_t BgL_locz00_2996,
		obj_t BgL_varsz00_1537, obj_t BgL_argsz00_1538)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 315 */
		BGl_loopz00zzast_sexpz00:
			if (NULLP(BgL_varsz00_1537))
				{	/* Ast/sexp.scm 318 */
					if (NULLP(BgL_argsz00_1538))
						{	/* Ast/sexp.scm 319 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 319 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_2996,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string4373z00zzast_sexpz00, BgL_expz00_2997, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 318 */
					if (PAIRP(BgL_varsz00_1537))
						{	/* Ast/sexp.scm 326 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_1537)))
								{	/* Ast/sexp.scm 336 */
									obj_t BgL_argz00_1547;

									BgL_argz00_1547 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_1537));
									if (CBOOL(BgL_argz00_1547))
										{
											obj_t BgL_varsz00_4435;

											BgL_varsz00_4435 = BgL_argz00_1547;
											BgL_varsz00_1537 = BgL_varsz00_4435;
											goto BGl_loopz00zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_4436;

											BgL_varsz00_4436 = BNIL;
											BgL_varsz00_1537 = BgL_varsz00_4436;
											goto BGl_loopz00zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 341 */
									bool_t BgL_testz00_4437;

									{	/* Ast/sexp.scm 341 */
										obj_t BgL_auxz00_4438;

										BgL_auxz00_4438 = CAR(BgL_varsz00_1537);
										BgL_testz00_4437 = SYMBOLP(BgL_auxz00_4438);
									}
									if (BgL_testz00_4437)
										{	/* Ast/sexp.scm 341 */
											if (NULLP(BgL_argsz00_1538))
												{	/* Ast/sexp.scm 347 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_2996,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string4373z00zzast_sexpz00, BgL_expz00_2997,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 354 */
													obj_t BgL_arg3919z00_1554;
													obj_t BgL_arg3920z00_1555;

													{	/* Ast/sexp.scm 354 */
														obj_t BgL_arg3921z00_1556;
														obj_t BgL_arg3922z00_1557;

														BgL_arg3921z00_1556 = CAR(BgL_varsz00_1537);
														BgL_arg3922z00_1557 = CAR(BgL_argsz00_1538);
														{	/* Ast/sexp.scm 354 */
															obj_t BgL_list3923z00_1558;

															{	/* Ast/sexp.scm 354 */
																obj_t BgL_arg3924z00_1559;

																BgL_arg3924z00_1559 =
																	MAKE_PAIR(BgL_arg3922z00_1557, BNIL);
																BgL_list3923z00_1558 =
																	MAKE_PAIR(BgL_arg3921z00_1556,
																	BgL_arg3924z00_1559);
															}
															BgL_arg3919z00_1554 = BgL_list3923z00_1558;
														}
													}
													BgL_arg3920z00_1555 =
														BGl_loopz00zzast_sexpz00(BgL_expz00_2997,
														BgL_locz00_2996, CDR(BgL_varsz00_1537),
														CDR(BgL_argsz00_1538));
													return MAKE_PAIR(BgL_arg3919z00_1554,
														BgL_arg3920z00_1555);
												}
										}
									else
										{	/* Ast/sexp.scm 341 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_2996,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string4374z00zzast_sexpz00, BgL_expz00_2997, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 331 */
							obj_t BgL_arg3932z00_1567;

							{	/* Ast/sexp.scm 331 */
								obj_t BgL_arg3934z00_1569;

								BgL_arg3934z00_1569 =
									BGl_liipz00zzast_sexpz00(BgL_argsz00_1538);
								{	/* Ast/sexp.scm 328 */
									obj_t BgL_list3935z00_1570;

									{	/* Ast/sexp.scm 328 */
										obj_t BgL_arg3936z00_1571;

										BgL_arg3936z00_1571 = MAKE_PAIR(BgL_arg3934z00_1569, BNIL);
										BgL_list3935z00_1570 =
											MAKE_PAIR(BgL_varsz00_1537, BgL_arg3936z00_1571);
									}
									BgL_arg3932z00_1567 = BgL_list3935z00_1570;
								}
							}
							{	/* Ast/sexp.scm 327 */
								obj_t BgL_list3933z00_1568;

								BgL_list3933z00_1568 = MAKE_PAIR(BgL_arg3932z00_1567, BNIL);
								return BgL_list3933z00_1568;
							}
						}
				}
		}
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_2953,
		obj_t BgL_expz00_2954, obj_t BgL_stackz00_2955, obj_t BgL_locz00_2956,
		obj_t BgL_sitez00_2957)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 98 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_2954, BgL_stackz00_2955,
				BgL_locz00_2956, BgL_sitez00_2957);
		}
	}



/* &<anonymous:3949> */
	obj_t BGl_z62zc3anonymousza33949ze3ze1zzast_sexpz00(obj_t BgL_envz00_2958,
		obj_t BgL_objz00_2960, obj_t BgL_procz00_2961, obj_t BgL_msgz00_2962)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 360 */
			{	/* Ast/sexp.scm 361 */
				obj_t BgL_locz00_2959;

				BgL_locz00_2959 = PROCEDURE_REF(BgL_envz00_2958, (int) (((long) 0)));
				{
					obj_t BgL_objz00_1588;
					obj_t BgL_procz00_1589;
					obj_t BgL_msgz00_1590;

					BgL_objz00_1588 = BgL_objz00_2960;
					BgL_procz00_1589 = BgL_procz00_2961;
					BgL_msgz00_1590 = BgL_msgz00_2962;
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_2959,
						BgL_objz00_1588, BgL_procz00_1589, BgL_msgz00_1590, BNIL);
				}
			}
		}
	}



/* &<anonymous:3752> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza33752ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_2963, obj_t BgL_ez00_2966)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 114 */
			{	/* Ast/sexp.scm 114 */
				BgL_appz00_bglt BgL_instance3470z00_2964;
				obj_t BgL_stackz00_2965;

				BgL_instance3470z00_2964 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_2963, (int) (((long) 0))));
				BgL_stackz00_2965 = PROCEDURE_REF(BgL_envz00_2963, (int) (((long) 1)));
				{
					obj_t BgL_ez00_1298;

					BgL_ez00_1298 = BgL_ez00_2966;
					{	/* Ast/sexp.scm 114 */
						obj_t BgL_arg3753z00_2300;

						{	/* Ast/sexp.scm 114 */
							BgL_nodez00_bglt BgL_obj2222z00_2301;

							BgL_obj2222z00_2301 =
								((BgL_nodez00_bglt) BgL_instance3470z00_2964);
							BgL_arg3753z00_2300 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2222z00_2301)))->BgL_locz00);
						}
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_ez00_1298,
							BgL_stackz00_2965, BgL_arg3753z00_2300,
							CNST_TABLE_REF(((long) 2)));
		}}}}
	}



/* &<anonymous:3746> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza33746ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_2967, obj_t BgL_ez00_2970)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 111 */
			{	/* Ast/sexp.scm 111 */
				BgL_externz00_bglt BgL_instance3468z00_2968;
				obj_t BgL_stackz00_2969;

				BgL_instance3468z00_2968 =
					((BgL_externz00_bglt)
					PROCEDURE_REF(BgL_envz00_2967, (int) (((long) 0))));
				BgL_stackz00_2969 = PROCEDURE_REF(BgL_envz00_2967, (int) (((long) 1)));
				{
					obj_t BgL_ez00_1289;

					BgL_ez00_1289 = BgL_ez00_2970;
					{	/* Ast/sexp.scm 111 */
						obj_t BgL_arg3747z00_2295;

						{	/* Ast/sexp.scm 111 */
							BgL_nodez00_bglt BgL_obj2222z00_2296;

							BgL_obj2222z00_2296 =
								((BgL_nodez00_bglt) BgL_instance3468z00_2968);
							BgL_arg3747z00_2295 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2222z00_2296)))->BgL_locz00);
						}
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_ez00_1289,
							BgL_stackz00_2969, BgL_arg3747z00_2295,
							CNST_TABLE_REF(((long) 2)));
		}}}}
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_24,
		obj_t BgL_locz00_25, obj_t BgL_sitez00_26)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 486 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_24), BgL_locz00_25, BgL_sitez00_26);
			{	/* Ast/sexp.scm 488 */
				bool_t BgL_testz00_4487;

				if ((BgL_sitez00_26 == CNST_TABLE_REF(((long) 30))))
					{	/* Ast/sexp.scm 488 */
						BgL_testz00_4487 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 488 */
						BgL_valuez00_bglt BgL_arg4033z00_1719;

						{	/* Ast/sexp.scm 488 */
							BgL_variablez00_bglt BgL_obj1701z00_2791;

							BgL_obj1701z00_2791 = ((BgL_variablez00_bglt) BgL_vz00_24);
							BgL_arg4033z00_1719 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1701z00_2791)))->BgL_valuez00);
						}
						{	/* Ast/sexp.scm 488 */
							bool_t BgL_res4319z00_2793;

							{	/* Ast/sexp.scm 488 */
								obj_t BgL_obj1983z00_2792;

								BgL_obj1983z00_2792 = ((obj_t) BgL_arg4033z00_1719);
								BgL_res4319z00_2793 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1983z00_2792,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_4487 = BgL_res4319z00_2793;
						}
					}
				if (BgL_testz00_4487)
					{	/* Ast/sexp.scm 489 */
						bool_t BgL_testz00_4496;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_24,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 490 */
								bool_t BgL_testz00_4499;

								{	/* Ast/sexp.scm 490 */
									BgL_valuez00_bglt BgL_arg4029z00_1715;

									{	/* Ast/sexp.scm 490 */
										BgL_variablez00_bglt BgL_obj1701z00_2796;

										BgL_obj1701z00_2796 =
											((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_24));
										BgL_arg4029z00_1715 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1701z00_2796)))->BgL_valuez00);
									}
									{	/* Ast/sexp.scm 490 */
										bool_t BgL_res4321z00_2798;

										{	/* Ast/sexp.scm 490 */
											obj_t BgL_obj2151z00_2797;

											BgL_obj2151z00_2797 = ((obj_t) BgL_arg4029z00_1715);
											BgL_res4321z00_2798 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj2151z00_2797,
												BGl_cfunz00zzast_varz00);
										}
										BgL_testz00_4499 = BgL_res4321z00_2798;
									}
								}
								if (BgL_testz00_4499)
									{	/* Ast/sexp.scm 491 */
										bool_t BgL_testz00_4506;

										{	/* Ast/sexp.scm 491 */
											obj_t BgL_arg4028z00_1714;

											BgL_arg4028z00_1714 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											{	/* Ast/sexp.scm 491 */
												BgL_backendz00_bglt BgL_obj1649z00_2799;

												BgL_obj1649z00_2799 =
													((BgL_backendz00_bglt) BgL_arg4028z00_1714);
												BgL_testz00_4506 =
													(((BgL_backendz00_bglt) CREF(
															((obj_t) BgL_obj1649z00_2799)))->
													BgL_foreignzd2closurezd2);
											}
										}
										if (BgL_testz00_4506)
											{	/* Ast/sexp.scm 491 */
												BgL_testz00_4496 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 491 */
												if ((BgL_sitez00_26 == CNST_TABLE_REF(((long) 27))))
													{	/* Ast/sexp.scm 492 */
														BgL_testz00_4496 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 492 */
														BgL_testz00_4496 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 490 */
										BgL_testz00_4496 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 489 */
								BgL_testz00_4496 = ((bool_t) 0);
							}
						if (BgL_testz00_4496)
							{	/* Ast/sexp.scm 494 */
								obj_t BgL_arg4016z00_1704;

								{	/* Ast/sexp.scm 494 */
									obj_t BgL_arg4018z00_1705;

									{	/* Ast/sexp.scm 494 */
										obj_t BgL_arg4020z00_1707;

										BgL_arg4020z00_1707 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{	/* Ast/sexp.scm 494 */
											BgL_backendz00_bglt BgL_obj1607z00_2800;

											BgL_obj1607z00_2800 =
												((BgL_backendz00_bglt) BgL_arg4020z00_1707);
											BgL_arg4018z00_1705 =
												(((BgL_backendz00_bglt) CREF(
														((obj_t) BgL_obj1607z00_2800)))->BgL_namez00);
										}
									}
									{	/* Ast/sexp.scm 494 */
										obj_t BgL_list4019z00_1706;

										BgL_list4019z00_1706 = MAKE_PAIR(BgL_arg4018z00_1705, BNIL);
										BgL_arg4016z00_1704 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4375z00zzast_sexpz00, BgL_list4019z00_1706);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg4016z00_1704, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_25);
							}
						else
							{	/* Ast/sexp.scm 497 */
								BgL_typez00_bglt BgL_arg4021z00_1708;

								{	/* Ast/sexp.scm 497 */
									BgL_typez00_bglt BgL_arg4022z00_1709;

									{	/* Ast/sexp.scm 497 */
										BgL_variablez00_bglt BgL_obj1698z00_2801;

										BgL_obj1698z00_2801 = ((BgL_variablez00_bglt) BgL_vz00_24);
										BgL_arg4022z00_1709 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1698z00_2801)))->BgL_typez00);
									}
									{	/* Ast/sexp.scm 497 */
										BgL_typez00_bglt BgL_auxz00_4524;

										{	/* Ast/sexp.scm 497 */
											obj_t BgL_xz00_3137;

											BgL_xz00_3137 = BGl_za2procedureza2z00zztype_cachez00;
											BgL_auxz00_4524 = ((BgL_typez00_bglt) BgL_xz00_3137);
										}
										BgL_arg4021z00_1708 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_4524,
											BgL_arg4022z00_1709);
									}
								}
								{	/* Ast/sexp.scm 495 */
									BgL_closurez00_bglt BgL_xz00_3139;

									BgL_xz00_3139 =
										BGl_makezd2closurezd2zzast_nodez00(BgL_locz00_25,
										BgL_arg4021z00_1708, ((BgL_variablez00_bglt) BgL_vz00_24));
									return ((BgL_nodez00_bglt) BgL_xz00_3139);
								}
							}
					}
				else
					{	/* Ast/sexp.scm 501 */
						BgL_typez00_bglt BgL_arg4030z00_1716;

						{	/* Ast/sexp.scm 501 */
							BgL_typez00_bglt BgL_arg4031z00_1717;

							{	/* Ast/sexp.scm 501 */
								BgL_variablez00_bglt BgL_obj1698z00_2802;

								BgL_obj1698z00_2802 = ((BgL_variablez00_bglt) BgL_vz00_24);
								BgL_arg4031z00_1717 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1698z00_2802)))->BgL_typez00);
							}
							{	/* Ast/sexp.scm 501 */
								BgL_typez00_bglt BgL_auxz00_4533;

								{	/* Ast/sexp.scm 501 */
									obj_t BgL_xz00_3142;

									BgL_xz00_3142 = BGl_za2_za2z00zztype_cachez00;
									BgL_auxz00_4533 = ((BgL_typez00_bglt) BgL_xz00_3142);
								}
								BgL_arg4030z00_1716 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_4533,
									BgL_arg4031z00_1717);
							}
						}
						{	/* Ast/sexp.scm 499 */
							BgL_varz00_bglt BgL_xz00_3144;

							BgL_xz00_3144 =
								BGl_makezd2varzd2zzast_nodez00(BgL_locz00_25,
								BgL_arg4030z00_1716, ((BgL_variablez00_bglt) BgL_vz00_24));
							return ((BgL_nodez00_bglt) BgL_xz00_3144);
						}
					}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_27,
		obj_t BgL_stackz00_28, obj_t BgL_locz00_29, obj_t BgL_sitez00_30)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 507 */
			{	/* Ast/sexp.scm 508 */
				obj_t BgL_callerz00_1720;
				obj_t BgL_locz00_1721;

				BgL_callerz00_1720 = CAR(BgL_expz00_27);
				BgL_locz00_1721 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_27,
					BgL_locz00_29);
				if (SYMBOLP(BgL_callerz00_1720))
					{	/* Ast/sexp.scm 512 */
						obj_t BgL_pidz00_1723;

						BgL_pidz00_1723 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_1720,
							BgL_locz00_1721);
						{	/* Ast/sexp.scm 512 */
							obj_t BgL_idz00_1724;

							BgL_idz00_1724 = CAR(BgL_pidz00_1723);
							{	/* Ast/sexp.scm 513 */
								obj_t BgL_typez00_1725;

								BgL_typez00_1725 = CDR(BgL_pidz00_1723);
								{	/* Ast/sexp.scm 514 */

									if ((BgL_idz00_1724 == CNST_TABLE_REF(((long) 4))))
										{	/* Ast/sexp.scm 515 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_1725),
												BgL_expz00_27, BgL_stackz00_28, BgL_locz00_1721,
												BgL_sitez00_30);
										}
									else
										{	/* Ast/sexp.scm 515 */
											if ((BgL_idz00_1724 == CNST_TABLE_REF(((long) 20))))
												{	/* Ast/sexp.scm 519 */
													bool_t BgL_testz00_4554;

													{	/* Ast/sexp.scm 519 */
														obj_t BgL_auxz00_4555;

														BgL_auxz00_4555 = CDR(BgL_expz00_27);
														BgL_testz00_4554 = PAIRP(BgL_auxz00_4555);
													}
													if (BgL_testz00_4554)
														{	/* Ast/sexp.scm 522 */
															BgL_feffectz00_bglt BgL_arg4038z00_1730;
															obj_t BgL_arg4039z00_1731;

															{	/* Ast/sexp.scm 522 */
																obj_t BgL_arg4040z00_1732;

																{	/* Ast/sexp.scm 522 */
																	obj_t BgL_pairz00_2817;

																	BgL_pairz00_2817 = BgL_expz00_27;
																	BgL_arg4040z00_1732 =
																		CAR(CDR(BgL_pairz00_2817));
																}
																BgL_arg4038z00_1730 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg4040z00_1732);
															}
															{	/* Ast/sexp.scm 523 */
																obj_t BgL_arg4042z00_1733;
																obj_t BgL_arg4043z00_1734;

																{	/* Ast/sexp.scm 523 */
																	obj_t BgL_arg4044z00_1735;

																	BgL_arg4044z00_1735 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 31)),
																		BNIL);
																	BgL_arg4042z00_1733 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
																		BgL_arg4044z00_1735);
																}
																{	/* Ast/sexp.scm 523 */
																	obj_t BgL_auxz00_4565;

																	{	/* Ast/sexp.scm 523 */
																		obj_t BgL_pairz00_2821;

																		BgL_pairz00_2821 = BgL_expz00_27;
																		BgL_auxz00_4565 =
																			CDR(CDR(BgL_pairz00_2821));
																	}
																	BgL_arg4043z00_1734 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_4565, BNIL);
																}
																BgL_arg4039z00_1731 =
																	MAKE_PAIR(BgL_arg4042z00_1733,
																	BgL_arg4043z00_1734);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg4038z00_1730),
																((BgL_typez00_bglt) BgL_typez00_1725),
																BgL_arg4039z00_1731, BgL_stackz00_28,
																BgL_locz00_1721, BgL_sitez00_30);
														}
													else
														{	/* Ast/sexp.scm 519 */
															return
																BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																(BGl_string4376z00zzast_sexpz00, BgL_expz00_27,
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_27, BgL_locz00_1721));
														}
												}
											else
												{	/* Ast/sexp.scm 515 */
													if ((BgL_idz00_1724 == CNST_TABLE_REF(((long) 21))))
														{	/* Ast/sexp.scm 515 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_1725),
																BgL_expz00_27, BgL_stackz00_28, BgL_locz00_1721,
																BgL_sitez00_30);
														}
													else
														{	/* Ast/sexp.scm 515 */
															if (
																(BgL_idz00_1724 == CNST_TABLE_REF(((long) 22))))
																{	/* Ast/sexp.scm 528 */
																	bool_t BgL_testz00_4583;

																	{	/* Ast/sexp.scm 528 */
																		obj_t BgL_auxz00_4584;

																		BgL_auxz00_4584 = CDR(BgL_expz00_27);
																		BgL_testz00_4583 = PAIRP(BgL_auxz00_4584);
																	}
																	if (BgL_testz00_4583)
																		{	/* Ast/sexp.scm 531 */
																			BgL_feffectz00_bglt BgL_arg4051z00_1742;
																			obj_t BgL_arg4052z00_1743;

																			{	/* Ast/sexp.scm 531 */
																				obj_t BgL_arg4053z00_1744;

																				{	/* Ast/sexp.scm 531 */
																					obj_t BgL_pairz00_2834;

																					BgL_pairz00_2834 = BgL_expz00_27;
																					BgL_arg4053z00_1744 =
																						CAR(CDR(BgL_pairz00_2834));
																				}
																				BgL_arg4051z00_1742 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg4053z00_1744);
																			}
																			{	/* Ast/sexp.scm 532 */
																				obj_t BgL_arg4054z00_1745;
																				obj_t BgL_arg4055z00_1746;

																				{	/* Ast/sexp.scm 532 */
																					obj_t BgL_arg4056z00_1747;

																					BgL_arg4056z00_1747 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								31)), BNIL);
																					BgL_arg4054z00_1745 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								32)), BgL_arg4056z00_1747);
																				}
																				{	/* Ast/sexp.scm 532 */
																					obj_t BgL_auxz00_4594;

																					{	/* Ast/sexp.scm 532 */
																						obj_t BgL_pairz00_2838;

																						BgL_pairz00_2838 = BgL_expz00_27;
																						BgL_auxz00_4594 =
																							CDR(CDR(BgL_pairz00_2838));
																					}
																					BgL_arg4055z00_1746 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_4594, BNIL);
																				}
																				BgL_arg4052z00_1743 =
																					MAKE_PAIR(BgL_arg4054z00_1745,
																					BgL_arg4055z00_1746);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg4051z00_1742),
																				((BgL_typez00_bglt) BgL_typez00_1725),
																				BgL_arg4052z00_1743, BgL_stackz00_28,
																				BgL_locz00_1721, BgL_sitez00_30);
																		}
																	else
																		{	/* Ast/sexp.scm 528 */
																			return
																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																				(BGl_string4377z00zzast_sexpz00,
																				BgL_expz00_27,
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_27, BgL_locz00_1721));
																		}
																}
															else
																{	/* Ast/sexp.scm 515 */
																	if (
																		(BgL_idz00_1724 ==
																			CNST_TABLE_REF(((long) 15))))
																		{
																			obj_t BgL_argsz00_1752;
																			obj_t BgL_bodyz00_1753;

																			if (PAIRP(BgL_expz00_27))
																				{	/* Ast/sexp.scm 535 */
																					obj_t BgL_cdrzd22698zd2_1758;

																					BgL_cdrzd22698zd2_1758 =
																						CDR(BgL_expz00_27);
																					if (PAIRP(BgL_cdrzd22698zd2_1758))
																						{	/* Ast/sexp.scm 535 */
																							BgL_argsz00_1752 =
																								CAR(BgL_cdrzd22698zd2_1758);
																							BgL_bodyz00_1753 =
																								CDR(BgL_cdrzd22698zd2_1758);
																							{	/* Ast/sexp.scm 537 */
																								obj_t BgL_locz00_1762;

																								BgL_locz00_1762 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_27,
																									BgL_locz00_1721);
																								{	/* Ast/sexp.scm 537 */
																									obj_t BgL_funz00_1763;

																									BgL_funz00_1763 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													15))));
																									{	/* Ast/sexp.scm 538 */
																										obj_t BgL_tfunz00_1764;

																										{	/* Ast/sexp.scm 539 */
																											obj_t BgL_arg4074z00_1774;

																											{	/* Ast/sexp.scm 539 */
																												BgL_typez00_bglt
																													BgL_obj1507z00_2845;
																												BgL_obj1507z00_2845 =
																													((BgL_typez00_bglt)
																													BgL_typez00_1725);
																												BgL_arg4074z00_1774 =
																													(((BgL_typez00_bglt)
																														CREF(((obj_t)
																																BgL_obj1507z00_2845)))->
																													BgL_idz00);
																											}
																											BgL_tfunz00_1764 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(BgL_funz00_1763,
																												BgL_arg4074z00_1774);
																										}
																										{	/* Ast/sexp.scm 539 */

																											{	/* Ast/sexp.scm 541 */
																												obj_t
																													BgL_arg4065z00_1765;
																												{	/* Ast/sexp.scm 541 */
																													obj_t
																														BgL_arg4066z00_1766;
																													obj_t
																														BgL_arg4067z00_1767;
																													BgL_arg4066z00_1766 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 541 */
																														obj_t
																															BgL_arg4068z00_1768;
																														obj_t
																															BgL_arg4069z00_1769;
																														{	/* Ast/sexp.scm 541 */
																															obj_t
																																BgL_arg4070z00_1770;
																															{	/* Ast/sexp.scm 541 */
																																obj_t
																																	BgL_arg4071z00_1771;
																																{	/* Ast/sexp.scm 541 */
																																	obj_t
																																		BgL_arg4072z00_1772;
																																	BgL_arg4072z00_1772
																																		=
																																		MAKE_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_1753),
																																		BNIL);
																																	BgL_arg4071z00_1771
																																		=
																																		MAKE_PAIR
																																		(BgL_argsz00_1752,
																																		BgL_arg4072z00_1772);
																																}
																																BgL_arg4070z00_1770
																																	=
																																	MAKE_PAIR
																																	(BgL_tfunz00_1764,
																																	BgL_arg4071z00_1771);
																															}
																															BgL_arg4068z00_1768
																																=
																																MAKE_PAIR
																																(BgL_arg4070z00_1770,
																																BNIL);
																														}
																														BgL_arg4069z00_1769
																															=
																															MAKE_PAIR
																															(BgL_funz00_1763,
																															BNIL);
																														BgL_arg4067z00_1767
																															=
																															MAKE_PAIR
																															(BgL_arg4068z00_1768,
																															BgL_arg4069z00_1769);
																													}
																													BgL_arg4065z00_1765 =
																														MAKE_PAIR
																														(BgL_arg4066z00_1766,
																														BgL_arg4067z00_1767);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg4065z00_1765,
																													BgL_stackz00_28,
																													BgL_locz00_1762,
																													BgL_sitez00_30);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 535 */
																						BgL_tagzd22691zd2_1755:
																							return
																								BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																								(BGl_string4361z00zzast_sexpz00,
																								BgL_expz00_27, BgL_locz00_1721);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 535 */
																					goto BgL_tagzd22691zd2_1755;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 515 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_27, BgL_stackz00_28,
																				BgL_locz00_1721, BgL_sitez00_30);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 510 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_27,
							BgL_stackz00_28, BgL_locz00_1721, BgL_sitez00_30);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_31, obj_t BgL_stackz00_32, obj_t BgL_locz00_33,
		obj_t BgL_sitez00_34)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 555 */
			{
				obj_t BgL_expsz00_1778;
				obj_t BgL_resz00_1779;
				obj_t BgL_locz00_1780;

				BgL_expsz00_1778 = BgL_expza2za2_31;
				BgL_resz00_1779 = BNIL;
				BgL_locz00_1780 = BgL_locz00_33;
			BgL_zc3anonymousza34076ze3z83_1781:
				if (NULLP(BgL_expsz00_1778))
					{	/* Ast/sexp.scm 561 */
						BgL_nodez00_bglt BgL_xz00_3153;

						BgL_xz00_3153 =
							BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string4378z00zzast_sexpz00, BgL_expsz00_1778,
							BgL_locz00_1780);
						return ((obj_t) BgL_xz00_3153);
					}
				else
					{	/* Ast/sexp.scm 560 */
						if (NULLP(CDR(BgL_expsz00_1778)))
							{	/* Ast/sexp.scm 563 */
								obj_t BgL_locz00_1784;
								obj_t BgL_nsitez00_1785;

								BgL_locz00_1784 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_1778),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_1778, BgL_locz00_1780));
								if ((BgL_sitez00_34 == CNST_TABLE_REF(((long) 30))))
									{	/* Ast/sexp.scm 565 */
										BgL_nsitez00_1785 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 565 */
										BgL_nsitez00_1785 = BgL_sitez00_34;
									}
								{	/* Ast/sexp.scm 566 */
									obj_t BgL_arg4080z00_1786;

									{	/* Ast/sexp.scm 566 */
										BgL_nodez00_bglt BgL_arg4081z00_1787;

										BgL_arg4081z00_1787 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_1778),
											BgL_stackz00_32, BgL_locz00_1784, BgL_nsitez00_1785);
										BgL_arg4080z00_1786 =
											MAKE_PAIR(((obj_t) BgL_arg4081z00_1787), BgL_resz00_1779);
									}
									return bgl_reverse_bang(BgL_arg4080z00_1786);
								}
							}
						else
							{	/* Ast/sexp.scm 568 */
								obj_t BgL_locz00_1792;

								BgL_locz00_1792 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_1778),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_1778, BgL_locz00_1780));
								{	/* Ast/sexp.scm 570 */
									obj_t BgL_arg4086z00_1793;
									obj_t BgL_arg4087z00_1794;

									BgL_arg4086z00_1793 = CDR(BgL_expsz00_1778);
									{	/* Ast/sexp.scm 571 */
										BgL_nodez00_bglt BgL_arg4088z00_1795;

										{	/* Ast/sexp.scm 571 */
											obj_t BgL_arg4089z00_1796;

											BgL_arg4089z00_1796 = CAR(BgL_expsz00_1778);
											BgL_arg4088z00_1795 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg4089z00_1796,
												BgL_stackz00_32, BgL_locz00_1792,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg4087z00_1794 =
											MAKE_PAIR(((obj_t) BgL_arg4088z00_1795), BgL_resz00_1779);
									}
									{
										obj_t BgL_locz00_4665;
										obj_t BgL_resz00_4664;
										obj_t BgL_expsz00_4663;

										BgL_expsz00_4663 = BgL_arg4086z00_1793;
										BgL_resz00_4664 = BgL_arg4087z00_1794;
										BgL_locz00_4665 = BgL_locz00_1792;
										BgL_locz00_1780 = BgL_locz00_4665;
										BgL_resz00_1779 = BgL_resz00_4664;
										BgL_expsz00_1778 = BgL_expsz00_4663;
										goto BgL_zc3anonymousza34076ze3z83_1781;
									}
								}
							}
					}
			}
		}
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_2973,
		obj_t BgL_expza2za2_2974, obj_t BgL_stackz00_2975, obj_t BgL_locz00_2976,
		obj_t BgL_sitez00_2977)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 555 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_2974,
				BgL_stackz00_2975, BgL_locz00_2976, BgL_sitez00_2977);
		}
	}



/* lookup */
	obj_t BGl_lookupz00zzast_sexpz00(obj_t BgL_namez00_35, obj_t BgL_stackz00_36)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 584 */
			{	/* Ast/sexp.scm 585 */
				bool_t BgL_testz00_4667;

				if ((BgL_namez00_35 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 585 */
						BgL_testz00_4667 =
							(BgL_stackz00_36 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 585 */
						BgL_testz00_4667 = ((bool_t) 0);
					}
				if (BgL_testz00_4667)
					{	/* Ast/sexp.scm 585 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 585 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_35;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_36;
						{
							obj_t BgL_stackz00_1803;

							BgL_stackz00_1803 = BgL_stackz00_36;
						BgL_zc3anonymousza34094ze3z83_1804:
							if (NULLP(BgL_stackz00_1803))
								{	/* Ast/sexp.scm 593 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 596 */
									bool_t BgL_testz00_4673;

									{	/* Ast/sexp.scm 596 */
										obj_t BgL_auxz00_4674;

										{	/* Ast/sexp.scm 596 */
											BgL_variablez00_bglt BgL_obj1693z00_2866;

											{	/* Ast/sexp.scm 596 */
												obj_t BgL_pairz00_2865;

												BgL_pairz00_2865 = BgL_stackz00_1803;
												BgL_obj1693z00_2866 =
													((BgL_variablez00_bglt) CAR(BgL_pairz00_2865));
											}
											BgL_auxz00_4674 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1693z00_2866)))->BgL_idz00);
										}
										BgL_testz00_4673 = (BgL_auxz00_4674 == BgL_namez00_35);
									}
									if (BgL_testz00_4673)
										{	/* Ast/sexp.scm 596 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_1803);
											return CAR(BgL_stackz00_1803);
										}
									else
										{
											obj_t BgL_stackz00_4682;

											BgL_stackz00_4682 = CDR(BgL_stackz00_1803);
											BgL_stackz00_1803 = BgL_stackz00_4682;
											goto BgL_zc3anonymousza34094ze3z83_1804;
										}
								}
						}
					}
			}
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_37,
		obj_t BgL_locz00_38, obj_t BgL_sitez00_39)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 605 */
			if ((BgL_sitez00_39 == CNST_TABLE_REF(((long) 5))))
				{	/* Ast/sexp.scm 608 */
					obj_t BgL_val1705z00_2871;

					BgL_val1705z00_2871 = CNST_TABLE_REF(((long) 33));
					((((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_varz00_37)))->BgL_accessz00) =
						((obj_t) BgL_val1705z00_2871), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 607 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 609 */
				BgL_valuez00_bglt BgL_valz00_1813;

				BgL_valz00_1813 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_varz00_37)))->BgL_valuez00);
				{	/* Ast/sexp.scm 610 */
					bool_t BgL_testz00_4692;

					if ((BgL_sitez00_39 == CNST_TABLE_REF(((long) 5))))
						{	/* Ast/sexp.scm 610 */
							bool_t BgL_res4335z00_2874;

							{	/* Ast/sexp.scm 610 */
								obj_t BgL_obj1983z00_2873;

								BgL_obj1983z00_2873 = ((obj_t) BgL_valz00_1813);
								BgL_res4335z00_2874 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1983z00_2873,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_4692 = BgL_res4335z00_2874;
						}
					else
						{	/* Ast/sexp.scm 610 */
							BgL_testz00_4692 = ((bool_t) 0);
						}
					if (BgL_testz00_4692)
						{	/* Ast/sexp.scm 611 */
							obj_t BgL_arg4103z00_1815;

							BgL_arg4103z00_1815 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_37));
							{	/* Ast/sexp.scm 611 */
								BgL_nodez00_bglt BgL_xz00_3162;

								BgL_xz00_3162 =
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BGl_string4379z00zzast_sexpz00, BgL_arg4103z00_1815,
									BgL_locz00_38);
								return ((obj_t) BgL_xz00_3162);
							}
						}
					else
						{	/* Ast/sexp.scm 610 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_2978,
		obj_t BgL_varz00_2979, obj_t BgL_locz00_2980, obj_t BgL_sitez00_2981)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 605 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_2979), BgL_locz00_2980,
				BgL_sitez00_2981);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_40,
		obj_t BgL_expz00_41, obj_t BgL_locz00_42)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 616 */
			{	/* Ast/sexp.scm 618 */
				obj_t BgL_arg4105z00_1817;
				BgL_nodez00_bglt BgL_arg4106z00_1818;

				BgL_arg4105z00_1817 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg4106z00_1818 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 28)), BNIL,
					BgL_locz00_42, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 617 */
					obj_t BgL_list4107z00_1819;

					BgL_list4107z00_1819 = MAKE_PAIR(((obj_t) BgL_arg4106z00_1818), BNIL);
					{	/* Ast/sexp.scm 617 */
						obj_t BgL_xz00_3165;

						BgL_xz00_3165 =
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_42,
							BgL_arg4105z00_1817, BgL_msgz00_40, BgL_expz00_41,
							BgL_list4107z00_1819);
						return ((BgL_nodez00_bglt) BgL_xz00_3165);
					}
				}
			}
		}
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_2982, obj_t BgL_msgz00_2983, obj_t BgL_expz00_2984,
		obj_t BgL_locz00_2985)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 616 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_2983,
				BgL_expz00_2984, BgL_locz00_2985);
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_43, BgL_nodez00_bglt BgL_refz00_44)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 626 */
			{	/* Ast/sexp.scm 627 */
				BgL_nodez00_bglt BgL_funz00_1821;

				BgL_funz00_1821 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 34)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 30)));
				{	/* Ast/sexp.scm 628 */
					bool_t BgL_testz00_4717;

					{	/* Ast/sexp.scm 628 */
						bool_t BgL_res4336z00_2876;

						{	/* Ast/sexp.scm 628 */
							obj_t BgL_obj2301z00_2875;

							BgL_obj2301z00_2875 = ((obj_t) BgL_funz00_1821);
							BgL_res4336z00_2876 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj2301z00_2875,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_4717 = BgL_res4336z00_2876;
					}
					if (BgL_testz00_4717)
						{	/* Ast/sexp.scm 632 */
							obj_t BgL_arg4110z00_1823;

							{	/* Ast/sexp.scm 632 */
								BgL_nodez00_bglt BgL_arg4111z00_1824;

								{	/* Ast/sexp.scm 632 */
									obj_t BgL_arg4114z00_1827;

									{	/* Ast/sexp.scm 632 */
										obj_t BgL_arg4116z00_1828;

										{	/* Ast/sexp.scm 632 */
											obj_t BgL_arg4117z00_1829;

											{	/* Ast/sexp.scm 632 */
												BgL_variablez00_bglt BgL_obj1693z00_2877;

												BgL_obj1693z00_2877 =
													((BgL_variablez00_bglt) BgL_globalz00_43);
												BgL_arg4117z00_1829 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1693z00_2877)))->BgL_idz00);
											}
											BgL_arg4116z00_1828 =
												MAKE_PAIR(BgL_arg4117z00_1829, BNIL);
										}
										BgL_arg4114z00_1827 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
											BgL_arg4116z00_1828);
									}
									BgL_arg4111z00_1824 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg4114z00_1827,
										BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
								}
								{	/* Ast/sexp.scm 632 */
									obj_t BgL_list4112z00_1825;

									{	/* Ast/sexp.scm 632 */
										obj_t BgL_arg4113z00_1826;

										BgL_arg4113z00_1826 =
											MAKE_PAIR(((obj_t) BgL_refz00_44), BNIL);
										BgL_list4112z00_1825 =
											MAKE_PAIR(
											((obj_t) BgL_arg4111z00_1824), BgL_arg4113z00_1826);
									}
									BgL_arg4110z00_1823 = BgL_list4112z00_1825;
							}}
							{	/* Ast/sexp.scm 629 */
								BgL_appz00_bglt BgL_xz00_3173;

								{	/* Ast/sexp.scm 629 */
									BgL_typez00_bglt BgL_auxz00_4732;

									{	/* Ast/sexp.scm 629 */
										obj_t BgL_xz00_3171;

										BgL_xz00_3171 = BGl_za2_za2z00zztype_cachez00;
										BgL_auxz00_4732 = ((BgL_typez00_bglt) BgL_xz00_3171);
									}
									BgL_xz00_3173 =
										BGl_makezd2appzd2zzast_nodez00(BFALSE, BgL_auxz00_4732,
										BUNSPEC, BINT(((long) -1)),
										((BgL_varz00_bglt) BgL_funz00_1821), BgL_arg4110z00_1823);
								}
								return ((BgL_nodez00_bglt) BgL_xz00_3173);
							}
						}
					else
						{	/* Ast/sexp.scm 628 */
							return BgL_funz00_1821;
						}
				}
			}
		}
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_2986, obj_t BgL_globalz00_2987, obj_t BgL_refz00_2988)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 626 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_2987),
				((BgL_nodez00_bglt) BgL_refz00_2988));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_45)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 638 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_45), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 640 */
				BgL_nodez00_bglt BgL_funz00_1830;

				BgL_funz00_1830 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 35)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 30)));
				{	/* Ast/sexp.scm 641 */
					bool_t BgL_testz00_4747;

					{	/* Ast/sexp.scm 641 */
						bool_t BgL_res4338z00_2881;

						{	/* Ast/sexp.scm 641 */
							obj_t BgL_obj2301z00_2880;

							BgL_obj2301z00_2880 = ((obj_t) BgL_funz00_1830);
							BgL_res4338z00_2881 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj2301z00_2880,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_4747 = BgL_res4338z00_2881;
					}
					if (BgL_testz00_4747)
						{	/* Ast/sexp.scm 645 */
							obj_t BgL_arg4119z00_1832;

							{	/* Ast/sexp.scm 645 */
								BgL_nodez00_bglt BgL_arg4120z00_1833;
								BgL_nodez00_bglt BgL_arg4121z00_1834;

								{	/* Ast/sexp.scm 645 */
									obj_t BgL_arg4124z00_1837;

									{	/* Ast/sexp.scm 645 */
										obj_t BgL_arg4125z00_1838;

										{	/* Ast/sexp.scm 645 */
											obj_t BgL_arg4126z00_1839;

											{	/* Ast/sexp.scm 645 */
												BgL_variablez00_bglt BgL_obj1693z00_2882;

												BgL_obj1693z00_2882 =
													((BgL_variablez00_bglt) BgL_globalz00_45);
												BgL_arg4126z00_1839 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1693z00_2882)))->BgL_idz00);
											}
											BgL_arg4125z00_1838 =
												MAKE_PAIR(BgL_arg4126z00_1839, BNIL);
										}
										BgL_arg4124z00_1837 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
											BgL_arg4125z00_1838);
									}
									BgL_arg4120z00_1833 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg4124z00_1837,
										BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
								}
								BgL_arg4121z00_1834 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(
									((obj_t) BgL_globalz00_45), BNIL, BFALSE,
									CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 645 */
									obj_t BgL_list4122z00_1835;

									{	/* Ast/sexp.scm 645 */
										obj_t BgL_arg4123z00_1836;

										BgL_arg4123z00_1836 =
											MAKE_PAIR(((obj_t) BgL_arg4121z00_1834), BNIL);
										BgL_list4122z00_1835 =
											MAKE_PAIR(
											((obj_t) BgL_arg4120z00_1833), BgL_arg4123z00_1836);
									}
									BgL_arg4119z00_1832 = BgL_list4122z00_1835;
							}}
							{	/* Ast/sexp.scm 642 */
								BgL_appz00_bglt BgL_xz00_3185;

								{	/* Ast/sexp.scm 642 */
									BgL_typez00_bglt BgL_auxz00_4765;

									{	/* Ast/sexp.scm 642 */
										obj_t BgL_xz00_3183;

										BgL_xz00_3183 = BGl_za2_za2z00zztype_cachez00;
										BgL_auxz00_4765 = ((BgL_typez00_bglt) BgL_xz00_3183);
									}
									BgL_xz00_3185 =
										BGl_makezd2appzd2zzast_nodez00(BFALSE, BgL_auxz00_4765,
										BUNSPEC, BINT(((long) -1)),
										((BgL_varz00_bglt) BgL_funz00_1830), BgL_arg4119z00_1832);
								}
								return ((BgL_nodez00_bglt) BgL_xz00_3185);
							}
						}
					else
						{	/* Ast/sexp.scm 641 */
							return BgL_funz00_1830;
						}
				}
			}
		}
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_2989, obj_t BgL_globalz00_2990)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 638 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_2990));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_46)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 652 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 654 */
				BgL_nodez00_bglt BgL_funz00_1840;

				BgL_funz00_1840 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 36)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 30)));
				{	/* Ast/sexp.scm 655 */
					bool_t BgL_testz00_4779;

					{	/* Ast/sexp.scm 655 */
						bool_t BgL_res4340z00_2886;

						{	/* Ast/sexp.scm 655 */
							obj_t BgL_obj2301z00_2885;

							BgL_obj2301z00_2885 = ((obj_t) BgL_funz00_1840);
							BgL_res4340z00_2886 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj2301z00_2885,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_4779 = BgL_res4340z00_2886;
					}
					if (BgL_testz00_4779)
						{	/* Ast/sexp.scm 656 */
							obj_t BgL_exprz00_1842;

							{	/* Ast/sexp.scm 656 */
								bool_t BgL_testz00_4782;

								{	/* Ast/sexp.scm 656 */
									obj_t BgL_arg4135z00_1850;

									BgL_arg4135z00_1850 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									{	/* Ast/sexp.scm 656 */
										BgL_backendz00_bglt BgL_obj1664z00_2887;

										BgL_obj1664z00_2887 =
											((BgL_backendz00_bglt) BgL_arg4135z00_1850);
										BgL_testz00_4782 =
											(((BgL_backendz00_bglt) CREF(
													((obj_t) BgL_obj1664z00_2887)))->
											BgL_pragmazd2supportzd2);
									}
								}
								if (BgL_testz00_4782)
									{	/* Ast/sexp.scm 657 */
										obj_t BgL_arg4133z00_1848;

										{	/* Ast/sexp.scm 657 */
											obj_t BgL_arg4134z00_1849;

											BgL_arg4134z00_1849 =
												MAKE_PAIR(((obj_t) BgL_globalz00_46), BNIL);
											BgL_arg4133z00_1848 =
												MAKE_PAIR(BGl_string4380z00zzast_sexpz00,
												BgL_arg4134z00_1849);
										}
										BgL_exprz00_1842 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 37)),
											BgL_arg4133z00_1848);
									}
								else
									{	/* Ast/sexp.scm 656 */
										BgL_exprz00_1842 = ((obj_t) BgL_globalz00_46);
									}
							}
							{	/* Ast/sexp.scm 660 */
								BgL_typez00_bglt BgL_arg4128z00_1843;
								obj_t BgL_arg4129z00_1844;

								{	/* Ast/sexp.scm 660 */
									BgL_typez00_bglt BgL_auxz00_4795;
									BgL_typez00_bglt BgL_auxz00_4793;

									{	/* Ast/sexp.scm 660 */
										obj_t BgL_xz00_3194;

										BgL_xz00_3194 = BGl_za2objza2z00zztype_cachez00;
										BgL_auxz00_4795 = ((BgL_typez00_bglt) BgL_xz00_3194);
									}
									{	/* Ast/sexp.scm 660 */
										obj_t BgL_xz00_3193;

										BgL_xz00_3193 = BGl_za2_za2z00zztype_cachez00;
										BgL_auxz00_4793 = ((BgL_typez00_bglt) BgL_xz00_3193);
									}
									BgL_arg4128z00_1843 =
										BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_auxz00_4793,
										BgL_auxz00_4795);
								}
								{	/* Ast/sexp.scm 662 */
									BgL_nodez00_bglt BgL_arg4130z00_1845;

									BgL_arg4130z00_1845 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_1842, BNIL,
										BFALSE, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 662 */
										obj_t BgL_list4131z00_1846;

										BgL_list4131z00_1846 =
											MAKE_PAIR(((obj_t) BgL_arg4130z00_1845), BNIL);
										BgL_arg4129z00_1844 = BgL_list4131z00_1846;
								}}
								{	/* Ast/sexp.scm 659 */
									BgL_appz00_bglt BgL_xz00_3197;

									BgL_xz00_3197 =
										BGl_makezd2appzd2zzast_nodez00(BFALSE, BgL_arg4128z00_1843,
										BUNSPEC, BINT(((long) -1)),
										((BgL_varz00_bglt) BgL_funz00_1840), BgL_arg4129z00_1844);
									return ((BgL_nodez00_bglt) BgL_xz00_3197);
								}
							}
						}
					else
						{	/* Ast/sexp.scm 655 */
							return BgL_funz00_1840;
						}
				}
			}
		}
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_2991, obj_t BgL_globalz00_2992)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 652 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_2992));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_47, obj_t BgL_prefz00_48)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 668 */
			{	/* Ast/sexp.scm 669 */
				obj_t BgL_prefz00_1851;

				{	/* Ast/sexp.scm 669 */
					bool_t BgL_testz00_4808;

					if (PAIRP(BgL_prefz00_48))
						{	/* Ast/sexp.scm 669 */
							obj_t BgL_auxz00_4811;

							BgL_auxz00_4811 = CAR(BgL_prefz00_48);
							BgL_testz00_4808 = STRINGP(BgL_auxz00_4811);
						}
					else
						{	/* Ast/sexp.scm 669 */
							BgL_testz00_4808 = ((bool_t) 0);
						}
					if (BgL_testz00_4808)
						{	/* Ast/sexp.scm 669 */
							BgL_prefz00_1851 = CAR(BgL_prefz00_48);
						}
					else
						{	/* Ast/sexp.scm 669 */
							BgL_prefz00_1851 = BGl_string4381z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 672 */
					bool_t BgL_testz00_4815;

					if (STRUCTP(BgL_locz00_47))
						{	/* Ast/sexp.scm 672 */
							BgL_testz00_4815 =
								(STRUCT_KEY(BgL_locz00_47) == CNST_TABLE_REF(((long) 38)));
						}
					else
						{	/* Ast/sexp.scm 672 */
							BgL_testz00_4815 = ((bool_t) 0);
						}
					if (BgL_testz00_4815)
						{	/* Ast/sexp.scm 673 */
							obj_t BgL_filez00_1853;
							obj_t BgL_linez00_1854;
							obj_t BgL_basez00_1855;

							BgL_filez00_1853 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_47);
							BgL_linez00_1854 = STRUCT_REF(BgL_locz00_47, (int) (((long) 2)));
							{	/* Ast/sexp.scm 675 */
								obj_t BgL_arg4153z00_1875;

								BgL_arg4153z00_1875 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string4382z00zzast_sexpz00, BgL_prefz00_1851,
										BGl_string4383z00zzast_sexpz00));
								{	/* Ast/sexp.scm 675 */
									obj_t BgL_res4346z00_2908;

									{	/* Ast/sexp.scm 675 */
										obj_t BgL_arg2069z00_2907;

										BgL_arg2069z00_2907 = SYMBOL_TO_STRING(BgL_arg4153z00_1875);
										BgL_res4346z00_2908 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg2069z00_2907);
									}
									BgL_basez00_1855 = BgL_res4346z00_2908;
							}}
							{	/* Ast/sexp.scm 677 */
								bool_t BgL_testz00_4828;

								{	/* Ast/sexp.scm 677 */
									bool_t BgL_testz00_4829;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 678 */
											obj_t BgL_arg4151z00_1873;

											{	/* Ast/sexp.scm 678 */
												obj_t BgL_arg4152z00_1874;

												BgL_arg4152z00_1874 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Ast/sexp.scm 678 */
													BgL_backendz00_bglt BgL_obj1661z00_2912;

													BgL_obj1661z00_2912 =
														((BgL_backendz00_bglt) BgL_arg4152z00_1874);
													BgL_arg4151z00_1873 =
														(((BgL_backendz00_bglt) CREF(
																((obj_t) BgL_obj1661z00_2912)))->
														BgL_debugzd2supportzd2);
											}}
											BgL_testz00_4829 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 39)), BgL_arg4151z00_1873));
										}
									else
										{	/* Ast/sexp.scm 677 */
											BgL_testz00_4829 = ((bool_t) 0);
										}
									if (BgL_testz00_4829)
										{	/* Ast/sexp.scm 677 */
											BgL_testz00_4828 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 677 */
											BgL_testz00_4828 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_4828)
									{	/* Ast/sexp.scm 680 */
										obj_t BgL_filez00_1857;

										if (bigloo_strncmp(BgL_filez00_1853,
												BGl_string4384z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 680 */
												BgL_filez00_1857 =
													c_substring(BgL_filez00_1853, ((long) 2),
													STRING_LENGTH(BgL_filez00_1853));
											}
										else
											{	/* Ast/sexp.scm 680 */
												BgL_filez00_1857 = BgL_filez00_1853;
											}
										{	/* Ast/sexp.scm 685 */
											obj_t BgL_arg4138z00_1858;

											{	/* Ast/sexp.scm 685 */
												obj_t BgL_arg4139z00_1859;

												{	/* Ast/sexp.scm 685 */

													BgL_arg4139z00_1859 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_1854, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 684 */
													obj_t BgL_list4140z00_1860;

													{	/* Ast/sexp.scm 684 */
														obj_t BgL_arg4141z00_1861;

														{	/* Ast/sexp.scm 684 */
															obj_t BgL_arg4142z00_1862;

															{	/* Ast/sexp.scm 684 */
																obj_t BgL_arg4143z00_1863;

																{	/* Ast/sexp.scm 684 */
																	obj_t BgL_arg4144z00_1864;

																	{	/* Ast/sexp.scm 684 */
																		obj_t BgL_arg4145z00_1865;

																		BgL_arg4145z00_1865 =
																			MAKE_PAIR(BGl_string4385z00zzast_sexpz00,
																			BNIL);
																		BgL_arg4144z00_1864 =
																			MAKE_PAIR(BgL_arg4139z00_1859,
																			BgL_arg4145z00_1865);
																	}
																	BgL_arg4143z00_1863 =
																		MAKE_PAIR(BGl_string4383z00zzast_sexpz00,
																		BgL_arg4144z00_1864);
																}
																BgL_arg4142z00_1862 =
																	MAKE_PAIR(BgL_filez00_1857,
																	BgL_arg4143z00_1863);
															}
															BgL_arg4141z00_1861 =
																MAKE_PAIR(BGl_string4383z00zzast_sexpz00,
																BgL_arg4142z00_1862);
														}
														BgL_list4140z00_1860 =
															MAKE_PAIR(BgL_basez00_1855, BgL_arg4141z00_1861);
													}
													BgL_arg4138z00_1858 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list4140z00_1860);
											}}
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg4138z00_1858));
										}
									}
								else
									{	/* Ast/sexp.scm 688 */
										obj_t BgL_arg4148z00_1870;

										BgL_arg4148z00_1870 =
											string_append(BgL_basez00_1855,
											BGl_string4385z00zzast_sexpz00);
										return
											string_to_symbol(BSTRING_TO_STRING(BgL_arg4148z00_1870));
									}
							}
						}
					else
						{	/* Ast/sexp.scm 689 */
							obj_t BgL_arg4155z00_1877;

							{	/* Ast/sexp.scm 689 */
								obj_t BgL_arg4156z00_1878;
								obj_t BgL_arg4157z00_1879;

								{	/* Ast/sexp.scm 689 */
									obj_t BgL_arg4158z00_1880;

									BgL_arg4158z00_1880 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string4382z00zzast_sexpz00, BgL_prefz00_1851,
											BGl_string4386z00zzast_sexpz00));
									{	/* Ast/sexp.scm 689 */
										obj_t BgL_res4354z00_2932;

										{	/* Ast/sexp.scm 689 */
											obj_t BgL_arg2069z00_2931;

											BgL_arg2069z00_2931 =
												SYMBOL_TO_STRING(BgL_arg4158z00_1880);
											BgL_res4354z00_2932 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg2069z00_2931);
										}
										BgL_arg4156z00_1878 = BgL_res4354z00_2932;
									}
								}
								{	/* Ast/sexp.scm 689 */
									obj_t BgL_res4355z00_2935;

									{	/* Ast/sexp.scm 689 */
										obj_t BgL_symbolz00_2933;

										BgL_symbolz00_2933 = CNST_TABLE_REF(((long) 40));
										{	/* Ast/sexp.scm 689 */
											obj_t BgL_arg2069z00_2934;

											BgL_arg2069z00_2934 =
												SYMBOL_TO_STRING(BgL_symbolz00_2933);
											BgL_res4355z00_2935 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg2069z00_2934);
									}}
									BgL_arg4157z00_1879 = BgL_res4355z00_2935;
								}
								BgL_arg4155z00_1877 =
									string_append(BgL_arg4156z00_1878, BgL_arg4157z00_1879);
							}
							return string_to_symbol(BSTRING_TO_STRING(BgL_arg4155z00_1877));
						}
				}
			}
		}
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_2993,
		obj_t BgL_locz00_2994, obj_t BgL_prefz00_2995)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 668 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_2994,
				BgL_prefz00_2995);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 28685330),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 220661558),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string4387z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
