/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	BGL_IMPORT obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail6058z70zzcfa_typez00(obj_t, BgL_failz00_bglt);
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti6030z70zzcfa_typez00(obj_t,
		BgL_arithmeticzd2appzd2_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref6046z70zzcfa_typez00(obj_t, BgL_vrefz00_bglt);
	static obj_t BGl_z62typezd2variablez12zd2scnst6008z70zzcfa_typez00(obj_t,
		BgL_scnstzf2cinfozf2_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun6062za2zzcfa_typez00(obj_t,
		BgL_letzd2funzd2_bglt);
	extern BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote6020z70zzcfa_typez00(obj_t, BgL_kwotez00_bglt);
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var6022z70zzcfa_typez00(obj_t,
		BgL_varz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition6054z70zzcfa_typez00(obj_t,
		BgL_conditionalz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition6056z70zzcfa_typez00(obj_t,
		BgL_conditionalzf2cinfozf2_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci6038z50zzcfa_typez00(obj_t,
		BgL_appzd2lyzf2cinfoz20_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence6026z70zzcfa_typez00(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc6044z70zzcfa_typez00(obj_t,
		BgL_vallocz00_bglt);
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure6024z70zzcfa_typez00(obj_t,
		BgL_closurez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var6064za2zzcfa_typez00(obj_t,
		BgL_letzd2varzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i6068z70zzcfa_typez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd26036z70zzcfa_typez00(obj_t,
		BgL_conszd2refzd2appz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2select6060z70zzcfa_typez00(obj_t,
		BgL_selectz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast6050z70zzcfa_typez00(obj_t, BgL_castz00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern6042z70zzcfa_typez00(obj_t,
		BgL_externz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq6052z70zzcfa_typez00(obj_t, BgL_setqz00_bglt);
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2sexit6012z70zzcfa_typez00(obj_t,
		BgL_sexitzf2cinfozf2_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf26006z82zzcfa_typez00(obj_t,
		BgL_svarzf2cinfozf2_bglt, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf26010z82zzcfa_typez00(obj_t,
		BgL_cvarzf2cinfozf2_bglt, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62cleanupzd2typezb0zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62typezd2variablez126003za2zzcfa_typez00(obj_t,
		BgL_valuez00_bglt, BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom6018z70zzcfa_typez00(obj_t, BgL_atomz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz126072zb0zzcfa_typez00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box6070za2zzcfa_typez00(obj_t,
		BgL_makezd2boxzd2_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure6032z70zzcfa_typez00(obj_t,
		BgL_procedurezd2refzd2appz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure6034z70zzcfa_typez00(obj_t,
		BgL_procedurezd2setz12zd2appz12_bglt);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez126015za2zzcfa_typez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app6028z70zzcfa_typez00(obj_t,
		BgL_appz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C6040z82zzcfa_typez00(obj_t,
		BgL_funcallzf2cinfozf2_bglt);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref6074za2zzcfa_typez00(obj_t,
		BgL_boxzd2refzd2_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it6066z70zzcfa_typez00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz126048z62zzcfa_typez00(obj_t,
		BgL_vsetz12z12_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t BGl_z62typezd2variablez12zd2inter6014z70zzcfa_typez00(obj_t,
		BgL_internzd2sfunzf2cinfoz20_bglt, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab6522z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6517z00zzcfa_typez00,
		BgL_bgl_string6517za700za7za7c6523za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string6518z00zzcfa_typez00,
		BgL_bgl_string6518za700za7za7c6524za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string6519z00zzcfa_typez00,
		BgL_bgl_string6519za700za7za7c6525za7,
		"nothing static type-node!6015 bigloo ", 37);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6475z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab6526z00,
		BGl_z62typezd2variablez126003za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6477z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716527za7,
		BGl_z62typezd2nodez126015za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6480z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab6528z00,
		BGl_z62typezd2variablez12zd2svarzf26006z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6482z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab6529z00,
		BGl_z62typezd2variablez12zd2scnst6008z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6483z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab6530z00,
		BGl_z62typezd2variablez12zd2cvarzf26010z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6484z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab6531z00,
		BGl_z62typezd2variablez12zd2sexit6012z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6485z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab6532z00,
		BGl_z62typezd2variablez12zd2inter6014z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6486z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716533za7,
		BGl_z62typezd2nodez12zd2atom6018z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6488z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716534za7,
		BGl_z62typezd2nodez12zd2kwote6020z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6489z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716535za7,
		BGl_z62typezd2nodez12zd2var6022z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6490z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716536za7,
		BGl_z62typezd2nodez12zd2closure6024z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6491z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716537za7,
		BGl_z62typezd2nodez12zd2sequence6026z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6492z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716538za7,
		BGl_z62typezd2nodez12zd2app6028z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6493z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716539za7,
		BGl_z62typezd2nodez12zd2arithmeti6030z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6494z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716540za7,
		BGl_z62typezd2nodez12zd2procedure6032z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6495z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716541za7,
		BGl_z62typezd2nodez12zd2procedure6034z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6496z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716542za7,
		BGl_z62typezd2nodez12zd2conszd2refzd26036z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6497z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716543za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci6038z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6498z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716544za7,
		BGl_z62typezd2nodez12zd2funcallzf2C6040z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6499z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716545za7,
		BGl_z62typezd2nodez12zd2extern6042z70zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin6546z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716547za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6500z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716548za7,
		BGl_z62typezd2nodez12zd2valloc6044z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6501z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716549za7,
		BGl_z62typezd2nodez12zd2vref6046z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6502z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716550za7,
		BGl_z62typezd2nodez12zd2vsetz126048z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6503z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716551za7,
		BGl_z62typezd2nodez12zd2cast6050z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6504z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716552za7,
		BGl_z62typezd2nodez12zd2setq6052z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6505z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716553za7,
		BGl_z62typezd2nodez12zd2condition6054z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6506z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716554za7,
		BGl_z62typezd2nodez12zd2condition6056z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6507z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716555za7,
		BGl_z62typezd2nodez12zd2fail6058z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6508z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716556za7,
		BGl_z62typezd2nodez12zd2select6060z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6509z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716557za7,
		BGl_z62typezd2nodez12zd2letzd2fun6062za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6510z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716558za7,
		BGl_z62typezd2nodez12zd2letzd2var6064za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6511z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716559za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it6066z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6512z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716560za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i6068z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6513z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716561za7,
		BGl_z62typezd2nodez12zd2makezd2box6070za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6514z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716562za7,
		BGl_z62typezd2nodez12zd2boxzd2setz126072zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6515z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza716563za7,
		BGl_z62typezd2nodez12zd2boxzd2ref6074za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6516z00zzcfa_typez00,
		BgL_bgl_za762cleanupza7d2typ6564z00, BGl_z62cleanupzd2typezb0zzcfa_typez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6473z00zzcfa_typez00,
		BgL_bgl_string6473za700za7za7c6565za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string6474z00zzcfa_typez00,
		BgL_bgl_string6474za700za7za7c6566za7, "Unknown value", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza76567za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6476z00zzcfa_typez00,
		BgL_bgl_string6476za700za7za7c6568za7, "type-variable!6003", 18);
	      DEFINE_STRING(BGl_string6478z00zzcfa_typez00,
		BgL_bgl_string6478za700za7za7c6569za7, "type-node!6015", 14);
	      DEFINE_STRING(BGl_string6479z00zzcfa_typez00,
		BgL_bgl_string6479za700za7za7c6570za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string6481z00zzcfa_typez00,
		BgL_bgl_string6481za700za7za7c6571za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string6487z00zzcfa_typez00,
		BgL_bgl_string6487za700za7za7c6572za7, "type-node!", 10);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_3428, char *BgL_fromz00_3429)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_3413;

				BgL_cportz00_3413 =
					bgl_open_input_string(BGl_string6519z00zzcfa_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3414;

					BgL_iz00_3414 = ((long) 3);
				BgL_loopz00_3415:
					if ((BgL_iz00_3414 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg6521z00_3417;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_3419;

										BgL_locationz00_3419 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg6521z00_3417 =
												BGl_readz00zz__readerz00(BgL_cportz00_3413,
												BgL_locationz00_3419);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_auxz00_3449;

									BgL_auxz00_3449 = (int) (BgL_iz00_3414);
									CNST_TABLE_SET(BgL_auxz00_3449, BgL_arg6521z00_3417);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_3420;

								BgL_auxz00_3420 = (int) ((BgL_iz00_3414 - ((long) 1)));
								{
									long BgL_iz00_3454;

									BgL_iz00_3454 = (long) (BgL_auxz00_3420);
									BgL_iz00_3414 = BgL_iz00_3454;
									goto BgL_loopz00_3415;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			{
				obj_t BgL_l5985z00_1333;

				{	/* Cfa/type.scm 39 */
					bool_t BgL_auxz00_3456;

					BgL_l5985z00_1333 = BgL_globalsz00_3;
				BgL_zc3anonymousza36078ze3z83_1334:
					if (PAIRP(BgL_l5985z00_1333))
						{	/* Cfa/type.scm 39 */
							{	/* Cfa/type.scm 39 */
								obj_t BgL_arg6080z00_1336;

								BgL_arg6080z00_1336 = CAR(BgL_l5985z00_1333);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg6080z00_1336));
							}
							{
								obj_t BgL_l5985z00_3462;

								BgL_l5985z00_3462 = CDR(BgL_l5985z00_1333);
								BgL_l5985z00_1333 = BgL_l5985z00_3462;
								goto BgL_zc3anonymousza36078ze3z83_1334;
							}
						}
					else
						{	/* Cfa/type.scm 39 */
							BgL_auxz00_3456 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_3456);
				}
			}
		}
	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_2883,
		obj_t BgL_globalsz00_2884)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_2884);
		}
	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 44 */
			{	/* Cfa/type.scm 45 */
				BgL_valuez00_bglt BgL_funz00_1339;

				BgL_funz00_1339 =
					(((BgL_variablez00_bglt) CREF(((obj_t) BgL_varz00_4)))->BgL_valuez00);
				{	/* Cfa/type.scm 47 */
					bool_t BgL_testz00_3468;

					{	/* Cfa/type.scm 47 */
						bool_t BgL_res6431z00_2476;

						{	/* Cfa/type.scm 47 */
							obj_t BgL_obj3560z00_2475;

							BgL_obj3560z00_2475 = ((obj_t) BgL_funz00_1339);
							BgL_res6431z00_2476 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj3560z00_2475,
								BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						}
						BgL_testz00_3468 = BgL_res6431z00_2476;
					}
					if (BgL_testz00_3468)
						{	/* Cfa/type.scm 50 */
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_instance5911z00_1341;

							BgL_instance5911z00_1341 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_funz00_1339);
							{	/* Cfa/type.scm 52 */
								obj_t BgL_g5989z00_1342;

								{	/* Cfa/type.scm 52 */
									BgL_sfunz00_bglt BgL_obj1920z00_2477;

									BgL_obj1920z00_2477 =
										((BgL_sfunz00_bglt) BgL_instance5911z00_1341);
									BgL_g5989z00_1342 =
										(((BgL_sfunz00_bglt) CREF(
												((obj_t) BgL_obj1920z00_2477)))->BgL_argsz00);
								}
								{
									obj_t BgL_l5987z00_1344;

									BgL_l5987z00_1344 = BgL_g5989z00_1342;
								BgL_zc3anonymousza36083ze3z83_1345:
									if (PAIRP(BgL_l5987z00_1344))
										{	/* Cfa/type.scm 52 */
											{	/* Cfa/type.scm 53 */
												obj_t BgL_varz00_1347;

												BgL_varz00_1347 = CAR(BgL_l5987z00_1344);
												{	/* Cfa/type.scm 53 */
													BgL_valuez00_bglt BgL_arg6085z00_1348;

													{	/* Cfa/type.scm 53 */
														BgL_variablez00_bglt BgL_obj1612z00_2481;

														BgL_obj1612z00_2481 =
															((BgL_variablez00_bglt) BgL_varz00_1347);
														BgL_arg6085z00_1348 =
															(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1612z00_2481)))->
															BgL_valuez00);
													}
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg6085z00_1348,
														((BgL_variablez00_bglt) BgL_varz00_1347));
												}
											}
											{
												obj_t BgL_l5987z00_3483;

												BgL_l5987z00_3483 = CDR(BgL_l5987z00_1344);
												BgL_l5987z00_1344 = BgL_l5987z00_3483;
												goto BgL_zc3anonymousza36083ze3z83_1345;
											}
										}
									else
										{	/* Cfa/type.scm 52 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 56 */
								obj_t BgL_arg6087z00_1351;

								{	/* Cfa/type.scm 56 */
									BgL_approxz00_bglt BgL_arg6088z00_1352;

									{
										obj_t BgL_auxz00_3485;

										{	/* Cfa/type.scm 56 */
											BgL_objectz00_bglt BgL_auxz00_3486;

											BgL_auxz00_3486 =
												((BgL_objectz00_bglt) BgL_instance5911z00_1341);
											BgL_auxz00_3485 = BGL_OBJECT_WIDENING(BgL_auxz00_3486);
										}
										BgL_arg6088z00_1352 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_3485))->BgL_approxz00);
									}
									BgL_arg6087z00_1351 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg6088z00_1352,
										((obj_t) BgL_varz00_4));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_4,
									((BgL_typez00_bglt) BgL_arg6087z00_1351));
							}
							{	/* Cfa/type.scm 57 */
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_o5913z00_1353;

								BgL_o5913z00_1353 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_funz00_1339);
								{	/* Cfa/type.scm 57 */
									long BgL_arg6089z00_1354;

									{	/* Cfa/type.scm 57 */
										obj_t BgL_arg6090z00_1355;

										{	/* Cfa/type.scm 57 */
											obj_t BgL_arg6091z00_1356;

											{	/* Cfa/type.scm 57 */
												BgL_objectz00_bglt BgL_objectz00_2484;

												BgL_objectz00_2484 =
													((BgL_objectz00_bglt) BgL_o5913z00_1353);
												{	/* Cfa/type.scm 57 */
													long BgL_arg2548z00_2485;

													{	/* Cfa/type.scm 57 */
														long BgL_arg2549z00_2486;

														{	/* Cfa/type.scm 57 */
															long BgL_res6433z00_2488;

															BgL_res6433z00_2488 =
																BGL_OBJECT_CLASS_NUM(BgL_objectz00_2484);
															BgL_arg2549z00_2486 = BgL_res6433z00_2488;
														}
														BgL_arg2548z00_2485 =
															(BgL_arg2549z00_2486 - OBJECT_TYPE);
													}
													BgL_arg6091z00_1356 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg2548z00_2485));
											}}
											BgL_arg6090z00_1355 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg6091z00_1356);
										}
										BgL_arg6089z00_1354 =
											BGl_classzd2numzd2zz__objectz00(BgL_arg6090z00_1355);
									}
									{	/* Cfa/type.scm 57 */
										BgL_objectz00_bglt BgL_objz00_2494;

										BgL_objz00_2494 = ((BgL_objectz00_bglt) BgL_o5913z00_1353);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2494,
											BgL_arg6089z00_1354);
								}}
								{	/* Cfa/type.scm 57 */
									BgL_objectz00_bglt BgL_auxz00_3504;

									BgL_auxz00_3504 = ((BgL_objectz00_bglt) BgL_o5913z00_1353);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3504, BFALSE);
								} BgL_o5913z00_1353;
							}
							{	/* Cfa/type.scm 59 */
								BgL_nodez00_bglt BgL_arg6092z00_1357;

								{	/* Cfa/type.scm 59 */
									obj_t BgL_arg6093z00_1358;

									{	/* Cfa/type.scm 59 */
										BgL_sfunz00_bglt BgL_obj1924z00_2496;

										BgL_obj1924z00_2496 =
											((BgL_sfunz00_bglt) BgL_instance5911z00_1341);
										BgL_arg6093z00_1358 =
											(((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1924z00_2496)))->BgL_bodyz00);
									}
									BgL_arg6092z00_1357 =
										BGl_typezd2nodez12zc0zzcfa_typez00(
										((BgL_nodez00_bglt) BgL_arg6093z00_1358));
								}
								{	/* Cfa/type.scm 59 */
									BgL_sfunz00_bglt BgL_obj1926z00_2497;
									obj_t BgL_val1925z00_2498;

									BgL_obj1926z00_2497 =
										((BgL_sfunz00_bglt) BgL_instance5911z00_1341);
									BgL_val1925z00_2498 = ((obj_t) BgL_arg6092z00_1357);
									return
										((((BgL_sfunz00_bglt) CREF(
													((obj_t) BgL_obj1926z00_2497)))->BgL_bodyz00) =
										((obj_t) BgL_val1925z00_2498), BUNSPEC);
								}
							}
						}
					else
						{	/* Cfa/type.scm 60 */
							bool_t BgL_testz00_3516;

							{	/* Cfa/type.scm 60 */
								bool_t BgL_res6435z00_2500;

								{	/* Cfa/type.scm 60 */
									obj_t BgL_obj2001z00_2499;

									BgL_obj2001z00_2499 = ((obj_t) BgL_funz00_1339);
									BgL_res6435z00_2500 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_2499,
										BGl_sfunz00zzast_varz00);
								}
								BgL_testz00_3516 = BgL_res6435z00_2500;
							}
							if (BgL_testz00_3516)
								{	/* Cfa/type.scm 60 */
									if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
										{	/* Cfa/type.scm 62 */
											BgL_sfunz00_bglt BgL_instance5914z00_1360;

											BgL_instance5914z00_1360 =
												((BgL_sfunz00_bglt) BgL_funz00_1339);
											{	/* Cfa/type.scm 63 */
												BgL_nodez00_bglt BgL_arg6095z00_1361;

												{	/* Cfa/type.scm 63 */
													obj_t BgL_arg6096z00_1362;

													BgL_arg6096z00_1362 =
														(((BgL_sfunz00_bglt) CREF(
																((obj_t) BgL_instance5914z00_1360)))->
														BgL_bodyz00);
													BgL_arg6095z00_1361 =
														BGl_typezd2nodez12zc0zzcfa_typez00((
															(BgL_nodez00_bglt) BgL_arg6096z00_1362));
												}
												{	/* Cfa/type.scm 63 */
													obj_t BgL_val1925z00_2503;

													BgL_val1925z00_2503 = ((obj_t) BgL_arg6095z00_1361);
													return
														((((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_instance5914z00_1360)))->
															BgL_bodyz00) =
														((obj_t) BgL_val1925z00_2503), BUNSPEC);
												}
											}
										}
									else
										{	/* Cfa/type.scm 61 */
											return BFALSE;
										}
								}
							else
								{	/* Cfa/type.scm 65 */
									obj_t BgL_arg6097z00_1363;

									BgL_arg6097z00_1363 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_4));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string6473z00zzcfa_typez00,
										BGl_string6474z00zzcfa_typez00, BgL_arg6097z00_1363);
								}
						}
				}
			}
		}
	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 70 */
			{	/* Cfa/type.scm 71 */
				BgL_variablez00_bglt BgL_varz00_1364;

				BgL_varz00_1364 =
					(((BgL_varz00_bglt) CREF(((obj_t) BgL_vz00_5)))->BgL_variablez00);
				{	/* Cfa/type.scm 71 */
					BgL_valuez00_bglt BgL_funz00_1365;

					BgL_funz00_1365 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_varz00_1364)))->BgL_valuez00);
					{	/* Cfa/type.scm 72 */

						{	/* Cfa/type.scm 73 */
							bool_t BgL_testz00_3536;

							{	/* Cfa/type.scm 73 */
								bool_t BgL_res6436z00_2507;

								{	/* Cfa/type.scm 73 */
									obj_t BgL_obj3560z00_2506;

									BgL_obj3560z00_2506 = ((obj_t) BgL_funz00_1365);
									BgL_res6436z00_2507 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj3560z00_2506,
										BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
								}
								BgL_testz00_3536 = BgL_res6436z00_2507;
							}
							if (BgL_testz00_3536)
								{	/* Cfa/type.scm 74 */
									BgL_internzd2sfunzf2cinfoz20_bglt BgL_instance5916z00_1367;

									BgL_instance5916z00_1367 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_funz00_1365);
									{	/* Cfa/type.scm 75 */
										obj_t BgL_arg6099z00_1368;

										{	/* Cfa/type.scm 75 */
											BgL_approxz00_bglt BgL_arg6100z00_1369;

											{
												obj_t BgL_auxz00_3540;

												{	/* Cfa/type.scm 75 */
													BgL_objectz00_bglt BgL_auxz00_3541;

													BgL_auxz00_3541 =
														((BgL_objectz00_bglt) BgL_instance5916z00_1367);
													BgL_auxz00_3540 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3541);
												}
												BgL_arg6100z00_1369 =
													(((BgL_internzd2sfunzf2cinfoz20_bglt)
														CREF(BgL_auxz00_3540))->BgL_approxz00);
											}
											BgL_arg6099z00_1368 =
												BGl_getzd2approxzd2typez00zzcfa_typez00
												(BgL_arg6100z00_1369, ((obj_t) BgL_vz00_5));
										}
										return
											BGl_setzd2variablezd2typez12z12zzcfa_typez00
											(BgL_varz00_1364,
											((BgL_typez00_bglt) BgL_arg6099z00_1368));
									}
								}
							else
								{	/* Cfa/type.scm 73 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_6,
		obj_t BgL_nodez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 80 */
			{	/* Cfa/type.scm 81 */
				BgL_typez00_bglt BgL_typez00_1370;
				obj_t BgL_alloczd2listzd2_1371;

				BgL_typez00_1370 =
					(((BgL_approxz00_bglt) CREF(((obj_t) BgL_approxz00_6)))->BgL_typez00);
				{	/* Cfa/type.scm 82 */
					obj_t BgL_arg6121z00_1408;

					BgL_arg6121z00_1408 =
						(((BgL_approxz00_bglt) CREF(
								((obj_t) BgL_approxz00_6)))->BgL_allocsz00);
					BgL_alloczd2listzd2_1371 =
						BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg6121z00_1408);
				}
				if (PAIRP(BgL_alloczd2listzd2_1371))
					{	/* Cfa/type.scm 84 */
						if (
							(((BgL_approxz00_bglt) CREF(
										((obj_t) BgL_approxz00_6)))->BgL_topzf3zf3))
							{	/* Cfa/type.scm 86 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 88 */
								bool_t BgL_testz00_3559;

								{
									obj_t BgL_l5990z00_1401;

									BgL_l5990z00_1401 = BgL_alloczd2listzd2_1371;
								BgL_zc3anonymousza36116ze3z83_1402:
									if (NULLP(BgL_l5990z00_1401))
										{	/* Cfa/type.scm 88 */
											BgL_testz00_3559 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 88 */
											bool_t BgL_testz00_3562;

											{	/* Cfa/type.scm 88 */
												obj_t BgL_arg6120z00_1406;

												BgL_arg6120z00_1406 = CAR(BgL_l5990z00_1401);
												BgL_testz00_3562 =
													BGl_iszd2azf3z21zz__objectz00(BgL_arg6120z00_1406,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
											}
											if (BgL_testz00_3562)
												{
													obj_t BgL_l5990z00_3565;

													BgL_l5990z00_3565 = CDR(BgL_l5990z00_1401);
													BgL_l5990z00_1401 = BgL_l5990z00_3565;
													goto BgL_zc3anonymousza36116ze3z83_1402;
												}
											else
												{	/* Cfa/type.scm 88 */
													BgL_testz00_3559 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_3559)
									{	/* Cfa/type.scm 89 */
										obj_t BgL_appz00_1375;

										BgL_appz00_1375 = CAR(BgL_alloczd2listzd2_1371);
										{	/* Cfa/type.scm 89 */
											BgL_typez00_bglt BgL_tvzd2typezd2_1376;

											BgL_tvzd2typezd2_1376 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_appz00_1375));
											{	/* Cfa/type.scm 90 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_1377;

												{	/* Cfa/type.scm 91 */
													BgL_makezd2vectorzd2appz00_bglt BgL_obj4639z00_2521;

													BgL_obj4639z00_2521 =
														((BgL_makezd2vectorzd2appz00_bglt) BgL_appz00_1375);
													{
														obj_t BgL_auxz00_3571;

														{	/* Cfa/type.scm 91 */
															BgL_objectz00_bglt BgL_auxz00_3572;

															BgL_auxz00_3572 =
																((BgL_objectz00_bglt) BgL_obj4639z00_2521);
															BgL_auxz00_3571 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3572);
														}
														BgL_valuezd2approxzd2_1377 =
															(((BgL_makezd2vectorzd2appz00_bglt)
																CREF(BgL_auxz00_3571))->BgL_valuezd2approxzd2);
													}
												}
												{	/* Cfa/type.scm 91 */
													BgL_typez00_bglt BgL_itemzd2typezd2_1378;

													BgL_itemzd2typezd2_1378 =
														(((BgL_approxz00_bglt) CREF(
																((obj_t) BgL_valuezd2approxzd2_1377)))->
														BgL_typez00);
													{	/* Cfa/type.scm 92 */
														obj_t BgL_tvz00_1379;

														BgL_tvz00_1379 =
															(((BgL_typez00_bglt) CREF(
																	((obj_t) BgL_itemzd2typezd2_1378)))->
															BgL_tvectorz00);
														{	/* Cfa/type.scm 93 */

															if (BGl_iszd2azf3z21zz__objectz00(BgL_tvz00_1379,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 95 */
																	return BgL_tvz00_1379;
																}
															else
																{	/* Cfa/type.scm 95 */
																	if (
																		(((obj_t) BgL_typez00_1370) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Cfa/type.scm 96 */
																			return BGl_za2vectorza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/type.scm 96 */
																			return ((obj_t) BgL_typez00_1370);
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 98 */
										bool_t BgL_testz00_3586;

										{
											obj_t BgL_l5992z00_1393;

											BgL_l5992z00_1393 = BgL_alloczd2listzd2_1371;
										BgL_zc3anonymousza36111ze3z83_1394:
											if (NULLP(BgL_l5992z00_1393))
												{	/* Cfa/type.scm 98 */
													BgL_testz00_3586 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 98 */
													bool_t BgL_testz00_3589;

													{	/* Cfa/type.scm 98 */
														obj_t BgL_arg6115z00_1398;

														BgL_arg6115z00_1398 = CAR(BgL_l5992z00_1393);
														BgL_testz00_3589 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg6115z00_1398,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
													if (BgL_testz00_3589)
														{
															obj_t BgL_l5992z00_3592;

															BgL_l5992z00_3592 = CDR(BgL_l5992z00_1393);
															BgL_l5992z00_1393 = BgL_l5992z00_3592;
															goto BgL_zc3anonymousza36111ze3z83_1394;
														}
													else
														{	/* Cfa/type.scm 98 */
															BgL_testz00_3586 = ((bool_t) 0);
														}
												}
										}
										if (BgL_testz00_3586)
											{	/* Cfa/type.scm 98 */
												if (CBOOL
													(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
														()))
													{	/* Cfa/type.scm 103 */
														obj_t BgL_appz00_1384;

														BgL_appz00_1384 = CAR(BgL_alloczd2listzd2_1371);
														{	/* Cfa/type.scm 103 */
															BgL_typez00_bglt BgL_tvzd2typezd2_1385;

															BgL_tvzd2typezd2_1385 =
																BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																(((BgL_nodez00_bglt) BgL_appz00_1384));
															{	/* Cfa/type.scm 104 */
																BgL_approxz00_bglt BgL_valuezd2approxzd2_1386;

																{	/* Cfa/type.scm 105 */
																	BgL_valloczf2cinfozb2optimz40_bglt
																		BgL_obj5552z00_2533;
																	BgL_obj5552z00_2533 =
																		((BgL_valloczf2cinfozb2optimz40_bglt)
																		BgL_appz00_1384);
																	{
																		obj_t BgL_auxz00_3601;

																		{	/* Cfa/type.scm 105 */
																			BgL_objectz00_bglt BgL_auxz00_3602;

																			BgL_auxz00_3602 =
																				((BgL_objectz00_bglt)
																				BgL_obj5552z00_2533);
																			BgL_auxz00_3601 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_3602);
																		}
																		BgL_valuezd2approxzd2_1386 =
																			(((BgL_valloczf2cinfozb2optimz40_bglt)
																				CREF(BgL_auxz00_3601))->
																			BgL_valuezd2approxzd2);
																	}
																}
																{	/* Cfa/type.scm 105 */
																	BgL_typez00_bglt BgL_itemzd2typezd2_1387;

																	BgL_itemzd2typezd2_1387 =
																		(((BgL_approxz00_bglt) CREF(
																				((obj_t) BgL_valuezd2approxzd2_1386)))->
																		BgL_typez00);
																	{	/* Cfa/type.scm 106 */
																		obj_t BgL_tvz00_1388;

																		BgL_tvz00_1388 =
																			(((BgL_typez00_bglt) CREF(
																					((obj_t) BgL_itemzd2typezd2_1387)))->
																			BgL_tvectorz00);
																		{	/* Cfa/type.scm 107 */

																			if (BGl_iszd2azf3z21zz__objectz00
																				(BgL_tvz00_1388,
																					BGl_typez00zztype_typez00))
																				{	/* Cfa/type.scm 109 */
																					return BgL_tvz00_1388;
																				}
																			else
																				{	/* Cfa/type.scm 109 */
																					if (
																						(((obj_t) BgL_typez00_1370) ==
																							BGl_za2_za2z00zztype_cachez00))
																						{	/* Cfa/type.scm 110 */
																							return
																								BGl_za2vectorza2z00zztype_cachez00;
																						}
																					else
																						{	/* Cfa/type.scm 110 */
																							return ((obj_t) BgL_typez00_1370);
																						}
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/type.scm 99 */
														if (
															(((obj_t) BgL_typez00_1370) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/type.scm 100 */
																return BGl_za2vectorza2z00zztype_cachez00;
															}
														else
															{	/* Cfa/type.scm 100 */
																return ((obj_t) BgL_typez00_1370);
															}
													}
											}
										else
											{	/* Cfa/type.scm 98 */
												return ((obj_t) BgL_typez00_1370);
											}
									}
							}
					}
				else
					{	/* Cfa/type.scm 84 */
						return ((obj_t) BgL_typez00_1370);
					}
			}
		}
	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_2885,
		obj_t BgL_approxz00_2886, obj_t BgL_nodez00_2887)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 80 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_2886), BgL_nodez00_2887);
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_20, BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 167 */
			{	/* Cfa/type.scm 168 */
				obj_t BgL_ntypez00_1409;
				BgL_typez00_bglt BgL_otypez00_1410;

				if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 168 */
						BgL_ntypez00_1409 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 168 */
						BgL_ntypez00_1409 = ((obj_t) BgL_typez00_21);
					}
				BgL_otypez00_1410 =
					(((BgL_variablez00_bglt) CREF(
							((obj_t) BgL_variablez00_20)))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_1410) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 172 */
						bool_t BgL_testz00_3633;

						{	/* Cfa/type.scm 172 */
							bool_t BgL_testz00_3634;

							{	/* Cfa/type.scm 172 */
								bool_t BgL_res6444z00_2540;

								{	/* Cfa/type.scm 172 */
									obj_t BgL_obj1786z00_2539;

									BgL_obj1786z00_2539 = ((obj_t) BgL_variablez00_20);
									BgL_res6444z00_2540 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_2539,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3634 = BgL_res6444z00_2540;
							}
							if (BgL_testz00_3634)
								{	/* Cfa/type.scm 173 */
									bool_t BgL_testz00_3637;

									{	/* Cfa/type.scm 173 */
										BgL_valuez00_bglt BgL_arg6130z00_1419;

										BgL_arg6130z00_1419 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_variablez00_20)))->BgL_valuez00);
										{	/* Cfa/type.scm 173 */
											bool_t BgL_res6445z00_2543;

											{	/* Cfa/type.scm 173 */
												obj_t BgL_obj1897z00_2542;

												BgL_obj1897z00_2542 = ((obj_t) BgL_arg6130z00_1419);
												BgL_res6445z00_2543 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1897z00_2542,
													BGl_funz00zzast_varz00);
											}
											BgL_testz00_3637 = BgL_res6445z00_2543;
										}
									}
									if (BgL_testz00_3637)
										{	/* Cfa/type.scm 173 */
											BgL_testz00_3633 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 174 */
											bool_t BgL_testz00_3642;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 174 */
													BgL_testz00_3642 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 174 */
													obj_t BgL_auxz00_3645;

													{	/* Cfa/type.scm 174 */
														BgL_globalz00_bglt BgL_obj1723z00_2544;

														BgL_obj1723z00_2544 =
															((BgL_globalz00_bglt) BgL_variablez00_20);
														BgL_auxz00_3645 =
															(((BgL_globalz00_bglt) CREF(
																	((obj_t) BgL_obj1723z00_2544)))->BgL_initz00);
													}
													BgL_testz00_3642 = (BgL_auxz00_3645 == BTRUE);
												}
											if (BgL_testz00_3642)
												{	/* Cfa/type.scm 174 */
													BgL_testz00_3633 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 175 */
													bool_t BgL_testz00_3650;

													{	/* Cfa/type.scm 175 */
														obj_t BgL_auxz00_3651;

														{	/* Cfa/type.scm 175 */
															BgL_typez00_bglt BgL_obj1514z00_2545;

															BgL_obj1514z00_2545 =
																((BgL_typez00_bglt) BgL_ntypez00_1409);
															BgL_auxz00_3651 =
																(((BgL_typez00_bglt) CREF(
																		((obj_t) BgL_obj1514z00_2545)))->
																BgL_classz00);
														}
														BgL_testz00_3650 =
															(BgL_auxz00_3651 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_3650)
														{	/* Cfa/type.scm 175 */
															BgL_testz00_3633 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 175 */
															BgL_testz00_3633 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 172 */
									BgL_testz00_3633 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3633)
							{	/* Cfa/type.scm 180 */
								BgL_typez00_bglt BgL_val1610z00_2547;

								{	/* Cfa/type.scm 180 */
									obj_t BgL_xz00_3079;

									BgL_xz00_3079 = BGl_za2objza2z00zztype_cachez00;
									BgL_val1610z00_2547 = ((BgL_typez00_bglt) BgL_xz00_3079);
								}
								return
									((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_variablez00_20)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val1610z00_2547), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 181 */
								BgL_typez00_bglt BgL_val1610z00_2549;

								BgL_val1610z00_2549 = ((BgL_typez00_bglt) BgL_ntypez00_1409);
								return
									((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_variablez00_20)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val1610z00_2549), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 182 */
						bool_t BgL_testz00_3663;

						if (
							(((obj_t) BgL_otypez00_1410) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 182 */
								BgL_testz00_3663 =
									BGl_iszd2azf3z21zz__objectz00(BgL_ntypez00_1409,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 182 */
								BgL_testz00_3663 = ((bool_t) 0);
							}
						if (BgL_testz00_3663)
							{	/* Cfa/type.scm 183 */
								BgL_typez00_bglt BgL_val1610z00_2553;

								BgL_val1610z00_2553 =
									((BgL_typez00_bglt) ((BgL_tvecz00_bglt) BgL_ntypez00_1409));
								return
									((((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_variablez00_20)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val1610z00_2553), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 182 */
								return BFALSE;
							}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc6475z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string6476z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc6477z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string6478z00zzcfa_typez00);
		}
	}



/* &type-node!6015 */
	obj_t BGl_z62typezd2nodez126015za2zzcfa_typez00(obj_t BgL_envz00_2890,
		BgL_nodez00_bglt BgL_nodez00_2891)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 188 */
			{
				BgL_nodez00_bglt BgL_nodez00_2083;

				BgL_nodez00_2083 = BgL_nodez00_2891;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string6479z00zzcfa_typez00, ((obj_t) BgL_nodez00_2083));
		}}
	}



/* &type-variable!6003 */
	obj_t BGl_z62typezd2variablez126003za2zzcfa_typez00(obj_t BgL_envz00_2892,
		BgL_valuez00_bglt BgL_valuez00_2893,
		BgL_variablez00_bglt BgL_variablez00_2894)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 118 */
			{
				BgL_valuez00_bglt BgL_valuez00_2075;
				BgL_variablez00_bglt BgL_variablez00_2076;

				BgL_valuez00_2075 = BgL_valuez00_2893;
				BgL_variablez00_2076 = BgL_variablez00_2894;
				{	/* Cfa/type.scm 119 */
					BgL_typez00_bglt BgL_typez00_2556;

					BgL_typez00_2556 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_variablez00_2076)))->BgL_typez00);
					{	/* Cfa/type.scm 119 */
						bool_t BgL_testz00_3679;

						{	/* Cfa/type.scm 119 */
							bool_t BgL_res6447z00_2561;

							{	/* Cfa/type.scm 119 */
								obj_t BgL_obj1600z00_2560;

								BgL_obj1600z00_2560 = ((obj_t) BgL_typez00_2556);
								BgL_res6447z00_2561 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1600z00_2560,
									BGl_typez00zztype_typez00);
							}
							BgL_testz00_3679 = BgL_res6447z00_2561;
						}
						if (BgL_testz00_3679)
							{	/* Cfa/type.scm 119 */
								return BFALSE;
							}
						else
							{	/* Cfa/type.scm 119 */
								return
									BGl_setzd2variablezd2typez12z12zzcfa_typez00
									(BgL_variablez00_2076,
									BGl_getzd2defaultzd2typez00zztype_cachez00());
							}
					}
				}
			}
		}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_8,
		BgL_variablez00_bglt BgL_variablez00_9)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 118 */
			{	/* Cfa/type.scm 118 */
				obj_t BgL_method6004z00_2086;

				{	/* Cfa/type.scm 118 */
					obj_t BgL_res6454z00_2590;

					{	/* Cfa/type.scm 118 */
						BgL_objectz00_bglt BgL_objz00_2562;

						BgL_objz00_2562 = ((BgL_objectz00_bglt) BgL_valuez00_8);
						{	/* Cfa/type.scm 118 */
							long BgL_objzd2classzd2numz00_2563;

							{	/* Cfa/type.scm 118 */
								long BgL_res6448z00_2566;

								BgL_res6448z00_2566 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2562);
								BgL_objzd2classzd2numz00_2563 = BgL_res6448z00_2566;
							}
							{	/* Cfa/type.scm 118 */
								obj_t BgL_arg2545z00_2564;

								BgL_arg2545z00_2564 =
									PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 118 */
									obj_t BgL_arrayz00_2567;
									int BgL_offsetz00_2568;

									BgL_arrayz00_2567 = BgL_arg2545z00_2564;
									BgL_offsetz00_2568 = (int) (BgL_objzd2classzd2numz00_2563);
									{	/* Cfa/type.scm 118 */
										long BgL_offsetz00_2569;

										BgL_offsetz00_2569 =
											((long) (BgL_offsetz00_2568) - OBJECT_TYPE);
										{	/* Cfa/type.scm 118 */
											long BgL_modz00_2570;

											{	/* Cfa/type.scm 118 */
												int BgL_arg2547z00_2571;

												BgL_arg2547z00_2571 = (int) (((long) 16));
												{	/* Cfa/type.scm 118 */
													long BgL_res6451z00_2581;

													{	/* Cfa/type.scm 118 */
														long BgL_auxz00_3692;

														BgL_auxz00_3692 = (long) (BgL_arg2547z00_2571);
														BgL_res6451z00_2581 =
															(BgL_offsetz00_2569 / BgL_auxz00_3692);
													}
													BgL_modz00_2570 = BgL_res6451z00_2581;
											}}
											{	/* Cfa/type.scm 118 */
												long BgL_restz00_2572;

												{	/* Cfa/type.scm 118 */
													int BgL_arg2546z00_2573;

													BgL_arg2546z00_2573 = (int) (((long) 16));
													{	/* Cfa/type.scm 118 */
														long BgL_res6453z00_2585;

														{	/* Cfa/type.scm 118 */
															long BgL_auxz00_3696;

															BgL_auxz00_3696 = (long) (BgL_arg2546z00_2573);
															BgL_res6453z00_2585 =
																(BgL_offsetz00_2569 % BgL_auxz00_3696);
														}
														BgL_restz00_2572 = BgL_res6453z00_2585;
												}}
												{	/* Cfa/type.scm 118 */

													BgL_res6454z00_2590 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2567,
															(int) (BgL_modz00_2570)),
														(int) (BgL_restz00_2572));
					}}}}}}}}
					BgL_method6004z00_2086 = BgL_res6454z00_2590;
				}
				return
					PROCEDURE_ENTRY(BgL_method6004z00_2086) (BgL_method6004z00_2086,
					((obj_t) BgL_valuez00_8), ((obj_t) BgL_variablez00_9), BEOA);
			}
		}
	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_2895,
		obj_t BgL_valuez00_2896, obj_t BgL_variablez00_2897)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 118 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_2896),
				((BgL_variablez00_bglt) BgL_variablez00_2897));
		}
	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 188 */
			{	/* Cfa/type.scm 188 */
				obj_t BgL_method6016z00_2087;

				{	/* Cfa/type.scm 188 */
					obj_t BgL_res6461z00_2619;

					{	/* Cfa/type.scm 188 */
						BgL_objectz00_bglt BgL_objz00_2591;

						BgL_objz00_2591 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Cfa/type.scm 188 */
							long BgL_objzd2classzd2numz00_2592;

							{	/* Cfa/type.scm 188 */
								long BgL_res6455z00_2595;

								BgL_res6455z00_2595 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2591);
								BgL_objzd2classzd2numz00_2592 = BgL_res6455z00_2595;
							}
							{	/* Cfa/type.scm 188 */
								obj_t BgL_arg2545z00_2593;

								BgL_arg2545z00_2593 =
									PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 188 */
									obj_t BgL_arrayz00_2596;
									int BgL_offsetz00_2597;

									BgL_arrayz00_2596 = BgL_arg2545z00_2593;
									BgL_offsetz00_2597 = (int) (BgL_objzd2classzd2numz00_2592);
									{	/* Cfa/type.scm 188 */
										long BgL_offsetz00_2598;

										BgL_offsetz00_2598 =
											((long) (BgL_offsetz00_2597) - OBJECT_TYPE);
										{	/* Cfa/type.scm 188 */
											long BgL_modz00_2599;

											{	/* Cfa/type.scm 188 */
												int BgL_arg2547z00_2600;

												BgL_arg2547z00_2600 = (int) (((long) 16));
												{	/* Cfa/type.scm 188 */
													long BgL_res6458z00_2610;

													{	/* Cfa/type.scm 188 */
														long BgL_auxz00_3721;

														BgL_auxz00_3721 = (long) (BgL_arg2547z00_2600);
														BgL_res6458z00_2610 =
															(BgL_offsetz00_2598 / BgL_auxz00_3721);
													}
													BgL_modz00_2599 = BgL_res6458z00_2610;
											}}
											{	/* Cfa/type.scm 188 */
												long BgL_restz00_2601;

												{	/* Cfa/type.scm 188 */
													int BgL_arg2546z00_2602;

													BgL_arg2546z00_2602 = (int) (((long) 16));
													{	/* Cfa/type.scm 188 */
														long BgL_res6460z00_2614;

														{	/* Cfa/type.scm 188 */
															long BgL_auxz00_3725;

															BgL_auxz00_3725 = (long) (BgL_arg2546z00_2602);
															BgL_res6460z00_2614 =
																(BgL_offsetz00_2598 % BgL_auxz00_3725);
														}
														BgL_restz00_2601 = BgL_res6460z00_2614;
												}}
												{	/* Cfa/type.scm 188 */

													BgL_res6461z00_2619 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2596,
															(int) (BgL_modz00_2599)),
														(int) (BgL_restz00_2601));
					}}}}}}}}
					BgL_method6016z00_2087 = BgL_res6461z00_2619;
				}
				{	/* Cfa/type.scm 188 */
					obj_t BgL_xz00_3097;

					BgL_xz00_3097 =
						PROCEDURE_ENTRY(BgL_method6016z00_2087) (BgL_method6016z00_2087,
						((obj_t) BgL_nodez00_22), BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_3097);
				}
			}
		}
	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_2898,
		obj_t BgL_nodez00_2899)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 188 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_2899));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc6480z00zzcfa_typez00,
				BGl_string6481z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc6482z00zzcfa_typez00,
				BGl_string6481z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc6483z00zzcfa_typez00,
				BGl_string6481z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc6484z00zzcfa_typez00,
				BGl_string6481z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc6485z00zzcfa_typez00,
				BGl_string6481z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc6486z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc6488z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc6489z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc6490z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc6491z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc6492z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc6493z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc6494z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc6495z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc6496z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc6497z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc6498z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc6499z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc6500z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc6501z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc6502z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc6503z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc6504z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc6505z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc6506z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc6507z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00,
				BGl_proc6508z00zzcfa_typez00, BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc6509z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc6510z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc6511z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc6512z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc6513z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc6514z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc6515z00zzcfa_typez00,
				BGl_string6487z00zzcfa_typez00);
		}
	}



/* &type-node!-box-ref6074 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref6074za2zzcfa_typez00(obj_t
		BgL_envz00_2935, BgL_boxzd2refzd2_bglt BgL_nodez00_2936)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 563 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2461;

				BgL_nodez00_2461 = BgL_nodez00_2936;
				{	/* Cfa/type.scm 565 */
					BgL_nodez00_bglt BgL_arg6426z00_2465;

					{	/* Cfa/type.scm 565 */
						BgL_varz00_bglt BgL_arg6427z00_2466;

						BgL_arg6427z00_2466 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2461)))->BgL_varz00);
						BgL_arg6426z00_2465 =
							BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg6427z00_2466));
					}
					{	/* Cfa/type.scm 565 */
						BgL_varz00_bglt BgL_val3319z00_2879;

						BgL_val3319z00_2879 = ((BgL_varz00_bglt) BgL_arg6426z00_2465);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_2461)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_2879), BUNSPEC);
					}
				}
				{	/* Cfa/type.scm 566 */
					BgL_typez00_bglt BgL_arg6428z00_2467;

					{	/* Cfa/type.scm 566 */
						BgL_varz00_bglt BgL_arg6429z00_2468;

						BgL_arg6429z00_2468 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2461)))->BgL_varz00);
						BgL_arg6428z00_2467 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg6429z00_2468));
					}
					{	/* Cfa/type.scm 566 */
						BgL_nodez00_bglt BgL_obj2139z00_2881;

						BgL_obj2139z00_2881 = ((BgL_nodez00_bglt) BgL_nodez00_2461);
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2139z00_2881)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_arg6428z00_2467), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2461);
			}
		}
	}



/* &type-node!-box-set!6072 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz126072zb0zzcfa_typez00(obj_t
		BgL_envz00_2937, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2938)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 554 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2452;

				BgL_nodez00_2452 = BgL_nodez00_2938;
				{	/* Cfa/type.scm 556 */
					BgL_nodez00_bglt BgL_arg6422z00_2456;

					{	/* Cfa/type.scm 556 */
						BgL_varz00_bglt BgL_arg6423z00_2457;

						BgL_arg6423z00_2457 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_2452)))->BgL_varz00);
						BgL_arg6422z00_2456 =
							BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg6423z00_2457));
					}
					{	/* Cfa/type.scm 556 */
						BgL_varz00_bglt BgL_val3345z00_2873;

						BgL_val3345z00_2873 = ((BgL_varz00_bglt) BgL_arg6422z00_2456);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_2452)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_2873), BUNSPEC);
					}
				}
				{	/* Cfa/type.scm 557 */
					BgL_nodez00_bglt BgL_arg6424z00_2458;

					{	/* Cfa/type.scm 557 */
						BgL_nodez00_bglt BgL_arg6425z00_2459;

						BgL_arg6425z00_2459 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_2452)))->BgL_valuez00);
						BgL_arg6424z00_2458 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6425z00_2459);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_2452)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg6424z00_2458), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2452);
			}
		}
	}



/* &type-node!-make-box6070 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box6070za2zzcfa_typez00(obj_t
		BgL_envz00_2939, BgL_makezd2boxzd2_bglt BgL_nodez00_2940)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 546 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2445;

				BgL_nodez00_2445 = BgL_nodez00_2940;
				{	/* Cfa/type.scm 548 */
					BgL_nodez00_bglt BgL_arg6420z00_2449;

					{	/* Cfa/type.scm 548 */
						BgL_nodez00_bglt BgL_arg6421z00_2450;

						BgL_arg6421z00_2450 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2445)))->BgL_valuez00);
						BgL_arg6420z00_2449 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6421z00_2450);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2445)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg6420z00_2449), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2445);
			}
		}
	}



/* &type-node!-jump-ex-i6068 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i6068z70zzcfa_typez00(obj_t
		BgL_envz00_2941, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2942)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 537 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2436;

				BgL_nodez00_2436 = BgL_nodez00_2942;
				{	/* Cfa/type.scm 539 */
					BgL_nodez00_bglt BgL_arg6416z00_2440;

					{	/* Cfa/type.scm 539 */
						BgL_nodez00_bglt BgL_arg6417z00_2441;

						BgL_arg6417z00_2441 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2436)))->BgL_exitz00);
						BgL_arg6416z00_2440 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6417z00_2441);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2436)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg6416z00_2440), BUNSPEC);
				}
				{	/* Cfa/type.scm 540 */
					BgL_nodez00_bglt BgL_arg6418z00_2442;

					{	/* Cfa/type.scm 540 */
						BgL_nodez00_bglt BgL_arg6419z00_2443;

						BgL_arg6419z00_2443 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2436)))->BgL_valuez00);
						BgL_arg6418z00_2442 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6419z00_2443);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2436)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg6418z00_2442), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2436);
			}
		}
	}



/* &type-node!-set-ex-it6066 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it6066z70zzcfa_typez00(obj_t
		BgL_envz00_2943, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2944)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 526 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2424;

				BgL_nodez00_2424 = BgL_nodez00_2944;
				{	/* Cfa/type.scm 528 */
					BgL_variablez00_bglt BgL_vz00_2428;

					{	/* Cfa/type.scm 528 */
						BgL_varz00_bglt BgL_obj2201z00_2854;

						BgL_obj2201z00_2854 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2424)))->BgL_varz00);
						BgL_vz00_2428 =
							(((BgL_varz00_bglt) CREF(
									((obj_t) BgL_obj2201z00_2854)))->BgL_variablez00);
					}
					{	/* Cfa/type.scm 529 */
						BgL_valuez00_bglt BgL_arg6410z00_2429;

						BgL_arg6410z00_2429 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_vz00_2428)))->BgL_valuez00);
						BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg6410z00_2429,
							BgL_vz00_2428);
					}
				}
				{	/* Cfa/type.scm 530 */
					BgL_nodez00_bglt BgL_arg6412z00_2431;

					{	/* Cfa/type.scm 530 */
						BgL_nodez00_bglt BgL_arg6413z00_2432;

						BgL_arg6413z00_2432 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2424)))->BgL_bodyz00);
						BgL_arg6412z00_2431 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6413z00_2432);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2424)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg6412z00_2431), BUNSPEC);
				}
				{	/* Cfa/type.scm 531 */
					BgL_nodez00_bglt BgL_arg6414z00_2433;

					{	/* Cfa/type.scm 531 */
						BgL_varz00_bglt BgL_arg6415z00_2434;

						BgL_arg6415z00_2434 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_2424)))->BgL_varz00);
						BgL_arg6414z00_2433 =
							BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg6415z00_2434));
					}
					{	/* Cfa/type.scm 531 */
						BgL_varz00_bglt BgL_val3229z00_2861;

						BgL_val3229z00_2861 = ((BgL_varz00_bglt) BgL_arg6414z00_2433);
						((((BgL_setzd2exzd2itz00_bglt) CREF(
										((obj_t) BgL_nodez00_2424)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3229z00_2861), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2424);
			}
		}
	}



/* &type-node!-let-var6064 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var6064za2zzcfa_typez00(obj_t
		BgL_envz00_2945, BgL_letzd2varzd2_bglt BgL_nodez00_2946)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 511 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2403;

				BgL_nodez00_2403 = BgL_nodez00_2946;
				{	/* Cfa/type.scm 513 */
					obj_t BgL_g6002z00_2407;

					BgL_g6002z00_2407 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_2403)))->BgL_bindingsz00);
					{
						obj_t BgL_l6000z00_2409;

						BgL_l6000z00_2409 = BgL_g6002z00_2407;
					BgL_zc3anonymousza36401ze3z83_2410:
						if (PAIRP(BgL_l6000z00_2409))
							{	/* Cfa/type.scm 513 */
								{	/* Cfa/type.scm 514 */
									obj_t BgL_bindingz00_2412;

									BgL_bindingz00_2412 = CAR(BgL_l6000z00_2409);
									{	/* Cfa/type.scm 514 */
										obj_t BgL_varz00_2413;
										obj_t BgL_valz00_2414;

										BgL_varz00_2413 = CAR(BgL_bindingz00_2412);
										BgL_valz00_2414 = CDR(BgL_bindingz00_2412);
										{	/* Cfa/type.scm 516 */
											BgL_nodez00_bglt BgL_arg6403z00_2415;

											BgL_arg6403z00_2415 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_valz00_2414));
											{	/* Cfa/type.scm 516 */
												obj_t BgL_pairz00_2842;
												obj_t BgL_objz00_2843;

												BgL_pairz00_2842 = BgL_bindingz00_2412;
												BgL_objz00_2843 = ((obj_t) BgL_arg6403z00_2415);
												SET_CDR(BgL_pairz00_2842, BgL_objz00_2843);
											}
										}
										{	/* Cfa/type.scm 517 */
											BgL_valuez00_bglt BgL_arg6404z00_2416;

											{	/* Cfa/type.scm 517 */
												BgL_variablez00_bglt BgL_obj1612z00_2844;

												BgL_obj1612z00_2844 =
													((BgL_variablez00_bglt) BgL_varz00_2413);
												BgL_arg6404z00_2416 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1612z00_2844)))->BgL_valuez00);
											}
											BGl_typezd2variablez12zc0zzcfa_typez00
												(BgL_arg6404z00_2416,
												((BgL_variablez00_bglt) BgL_varz00_2413));
										}
									}
								}
								{
									obj_t BgL_l6000z00_3855;

									BgL_l6000z00_3855 = CDR(BgL_l6000z00_2409);
									BgL_l6000z00_2409 = BgL_l6000z00_3855;
									goto BgL_zc3anonymousza36401ze3z83_2410;
								}
							}
						else
							{	/* Cfa/type.scm 513 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/type.scm 519 */
					BgL_nodez00_bglt BgL_arg6406z00_2419;

					{	/* Cfa/type.scm 519 */
						BgL_nodez00_bglt BgL_arg6407z00_2420;

						BgL_arg6407z00_2420 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2403)))->BgL_bodyz00);
						BgL_arg6406z00_2419 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6407z00_2420);
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2403)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg6406z00_2419), BUNSPEC);
				}
				{	/* Cfa/type.scm 520 */
					BgL_typez00_bglt BgL_arg6408z00_2421;

					{	/* Cfa/type.scm 520 */
						BgL_nodez00_bglt BgL_obj2137z00_2850;

						BgL_obj2137z00_2850 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2403)))->BgL_bodyz00);
						BgL_arg6408z00_2421 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2137z00_2850)))->BgL_typez00);
					}
					{	/* Cfa/type.scm 520 */
						BgL_nodez00_bglt BgL_obj2139z00_2851;

						BgL_obj2139z00_2851 = ((BgL_nodez00_bglt) BgL_nodez00_2403);
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2139z00_2851)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_arg6408z00_2421), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2403);
			}
		}
	}



/* &type-node!-let-fun6062 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun6062za2zzcfa_typez00(obj_t
		BgL_envz00_2947, BgL_letzd2funzd2_bglt BgL_nodez00_2948)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 501 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2386;

				BgL_nodez00_2386 = BgL_nodez00_2948;
				{	/* Cfa/type.scm 503 */
					obj_t BgL_g5999z00_2390;

					BgL_g5999z00_2390 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_2386)))->BgL_localsz00);
					{
						obj_t BgL_l5997z00_2392;

						BgL_l5997z00_2392 = BgL_g5999z00_2390;
					BgL_zc3anonymousza36393ze3z83_2393:
						if (PAIRP(BgL_l5997z00_2392))
							{	/* Cfa/type.scm 503 */
								{	/* Cfa/type.scm 503 */
									obj_t BgL_arg6395z00_2395;

									BgL_arg6395z00_2395 = CAR(BgL_l5997z00_2392);
									BGl_typezd2funz12zc0zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_arg6395z00_2395));
								}
								{
									obj_t BgL_l5997z00_3877;

									BgL_l5997z00_3877 = CDR(BgL_l5997z00_2392);
									BgL_l5997z00_2392 = BgL_l5997z00_3877;
									goto BgL_zc3anonymousza36393ze3z83_2393;
								}
							}
						else
							{	/* Cfa/type.scm 503 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/type.scm 504 */
					BgL_nodez00_bglt BgL_arg6397z00_2398;

					{	/* Cfa/type.scm 504 */
						BgL_nodez00_bglt BgL_arg6398z00_2399;

						BgL_arg6398z00_2399 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2386)))->BgL_bodyz00);
						BgL_arg6397z00_2398 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6398z00_2399);
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2386)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg6397z00_2398), BUNSPEC);
				}
				{	/* Cfa/type.scm 505 */
					BgL_typez00_bglt BgL_arg6399z00_2400;

					{	/* Cfa/type.scm 505 */
						BgL_nodez00_bglt BgL_obj2137z00_2833;

						BgL_obj2137z00_2833 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_2386)))->BgL_bodyz00);
						BgL_arg6399z00_2400 =
							(((BgL_nodez00_bglt) CREF(
									((obj_t) BgL_obj2137z00_2833)))->BgL_typez00);
					}
					{	/* Cfa/type.scm 505 */
						BgL_nodez00_bglt BgL_obj2139z00_2834;

						BgL_obj2139z00_2834 = ((BgL_nodez00_bglt) BgL_nodez00_2386);
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2139z00_2834)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_arg6399z00_2400), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2386);
			}
		}
	}



/* &type-node!-select6060 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2select6060z70zzcfa_typez00(obj_t
		BgL_envz00_2949, BgL_selectz00_bglt BgL_nodez00_2950)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 475 */
			{
				BgL_selectz00_bglt BgL_nodez00_2368;

				BgL_nodez00_2368 = BgL_nodez00_2950;
				{	/* Cfa/type.scm 477 */
					BgL_nodez00_bglt BgL_arg6385z00_2372;

					{	/* Cfa/type.scm 477 */
						BgL_nodez00_bglt BgL_arg6386z00_2373;

						BgL_arg6386z00_2373 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_2368)))->BgL_testz00);
						BgL_arg6385z00_2372 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6386z00_2373);
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_2368)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg6385z00_2372), BUNSPEC);
				}
				{	/* Cfa/type.scm 478 */
					obj_t BgL_g5996z00_2374;

					BgL_g5996z00_2374 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_2368)))->BgL_clausesz00);
					{
						obj_t BgL_l5994z00_2376;

						BgL_l5994z00_2376 = BgL_g5996z00_2374;
					BgL_zc3anonymousza36387ze3z83_2377:
						if (PAIRP(BgL_l5994z00_2376))
							{	/* Cfa/type.scm 478 */
								{	/* Cfa/type.scm 479 */
									obj_t BgL_clausez00_2379;

									BgL_clausez00_2379 = CAR(BgL_l5994z00_2376);
									{	/* Cfa/type.scm 479 */
										BgL_nodez00_bglt BgL_arg6389z00_2380;

										{	/* Cfa/type.scm 479 */
											obj_t BgL_arg6390z00_2381;

											BgL_arg6390z00_2381 = CDR(BgL_clausez00_2379);
											BgL_arg6389z00_2380 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg6390z00_2381));
										}
										{	/* Cfa/type.scm 479 */
											obj_t BgL_pairz00_2819;
											obj_t BgL_objz00_2820;

											BgL_pairz00_2819 = BgL_clausez00_2379;
											BgL_objz00_2820 = ((obj_t) BgL_arg6389z00_2380);
											SET_CDR(BgL_pairz00_2819, BgL_objz00_2820);
										}
									}
								}
								{
									obj_t BgL_l5994z00_3907;

									BgL_l5994z00_3907 = CDR(BgL_l5994z00_2376);
									BgL_l5994z00_2376 = BgL_l5994z00_3907;
									goto BgL_zc3anonymousza36387ze3z83_2377;
								}
							}
						else
							{	/* Cfa/type.scm 478 */
								((bool_t) 1);
							}
					}
				}
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Cfa/type.scm 485 */
						BgL_typez00_bglt BgL_arg6392z00_2384;

						BgL_arg6392z00_2384 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_nodez00_2368));
						{	/* Cfa/type.scm 485 */
							BgL_nodez00_bglt BgL_obj2139z00_2822;

							BgL_obj2139z00_2822 = ((BgL_nodez00_bglt) BgL_nodez00_2368);
							((((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2139z00_2822)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_arg6392z00_2384), BUNSPEC);
						}
					}
				else
					{	/* Cfa/type.scm 481 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_2368);
			}
		}
	}



/* &type-node!-fail6058 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail6058z70zzcfa_typez00(obj_t
		BgL_envz00_2951, BgL_failz00_bglt BgL_nodez00_2952)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 465 */
			{
				BgL_failz00_bglt BgL_nodez00_2357;

				BgL_nodez00_2357 = BgL_nodez00_2952;
				{	/* Cfa/type.scm 467 */
					BgL_nodez00_bglt BgL_arg6379z00_2361;

					{	/* Cfa/type.scm 467 */
						BgL_nodez00_bglt BgL_arg6380z00_2362;

						BgL_arg6380z00_2362 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_2357)))->BgL_procz00);
						BgL_arg6379z00_2361 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6380z00_2362);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_2357)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg6379z00_2361), BUNSPEC);
				}
				{	/* Cfa/type.scm 468 */
					BgL_nodez00_bglt BgL_arg6381z00_2363;

					{	/* Cfa/type.scm 468 */
						BgL_nodez00_bglt BgL_arg6382z00_2364;

						BgL_arg6382z00_2364 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_2357)))->BgL_msgz00);
						BgL_arg6381z00_2363 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6382z00_2364);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_2357)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg6381z00_2363), BUNSPEC);
				}
				{	/* Cfa/type.scm 469 */
					BgL_nodez00_bglt BgL_arg6383z00_2365;

					{	/* Cfa/type.scm 469 */
						BgL_nodez00_bglt BgL_arg6384z00_2366;

						BgL_arg6384z00_2366 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_2357)))->BgL_objz00);
						BgL_arg6383z00_2365 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6384z00_2366);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_2357)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg6383z00_2365), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2357);
			}
		}
	}



/* &type-node!-condition6056 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition6056z70zzcfa_typez00(obj_t
		BgL_envz00_2953, BgL_conditionalzf2cinfozf2_bglt BgL_nodez00_2954)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 455 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_nodez00_2350;

				BgL_nodez00_2350 = BgL_nodez00_2954;
				{

					{	/* Cfa/type.scm 455 */
						obj_t BgL_nextzd2method6055zd2_2356;

						BgL_nextzd2method6055zd2_2356 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2350),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						PROCEDURE_ENTRY(BgL_nextzd2method6055zd2_2356)
							(BgL_nextzd2method6055zd2_2356, ((obj_t) BgL_nodez00_2350), BEOA);
					}
					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/type.scm 457 */
							BFALSE;
						}
					else
						{	/* Cfa/type.scm 459 */
							obj_t BgL_arg6377z00_2354;

							{	/* Cfa/type.scm 459 */
								BgL_approxz00_bglt BgL_arg6378z00_2355;

								{
									obj_t BgL_auxz00_3942;

									{	/* Cfa/type.scm 459 */
										BgL_objectz00_bglt BgL_auxz00_3943;

										BgL_auxz00_3943 = ((BgL_objectz00_bglt) BgL_nodez00_2350);
										BgL_auxz00_3942 = BGL_OBJECT_WIDENING(BgL_auxz00_3943);
									}
									BgL_arg6378z00_2355 =
										(((BgL_conditionalzf2cinfozf2_bglt) CREF(BgL_auxz00_3942))->
										BgL_approxz00);
								}
								BgL_arg6377z00_2354 =
									BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg6378z00_2355,
									((obj_t) BgL_nodez00_2350));
							}
							{	/* Cfa/type.scm 459 */
								BgL_nodez00_bglt BgL_obj2139z00_2800;
								BgL_typez00_bglt BgL_val2138z00_2801;

								BgL_obj2139z00_2800 = ((BgL_nodez00_bglt) BgL_nodez00_2350);
								BgL_val2138z00_2801 = ((BgL_typez00_bglt) BgL_arg6377z00_2354);
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_2800)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_val2138z00_2801), BUNSPEC);
							}
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_2350);
				}
			}
		}
	}



/* &type-node!-condition6054 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition6054z70zzcfa_typez00(obj_t
		BgL_envz00_2955, BgL_conditionalz00_bglt BgL_nodez00_2956)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 443 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2338;

				BgL_nodez00_2338 = BgL_nodez00_2956;
				{	/* Cfa/type.scm 445 */
					BgL_nodez00_bglt BgL_arg6370z00_2342;

					{	/* Cfa/type.scm 445 */
						BgL_nodez00_bglt BgL_arg6371z00_2343;

						BgL_arg6371z00_2343 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_2338)))->BgL_testz00);
						BgL_arg6370z00_2342 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6371z00_2343);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_2338)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg6370z00_2342), BUNSPEC);
				}
				{	/* Cfa/type.scm 446 */
					BgL_nodez00_bglt BgL_arg6372z00_2344;

					{	/* Cfa/type.scm 446 */
						BgL_nodez00_bglt BgL_arg6373z00_2345;

						BgL_arg6373z00_2345 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_2338)))->BgL_truez00);
						BgL_arg6372z00_2344 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6373z00_2345);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_2338)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_arg6372z00_2344), BUNSPEC);
				}
				{	/* Cfa/type.scm 447 */
					BgL_nodez00_bglt BgL_arg6374z00_2346;

					{	/* Cfa/type.scm 447 */
						BgL_nodez00_bglt BgL_arg6375z00_2347;

						BgL_arg6375z00_2347 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_2338)))->BgL_falsez00);
						BgL_arg6374z00_2346 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6375z00_2347);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_2338)))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_arg6374z00_2346), BUNSPEC);
				}
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Cfa/type.scm 449 */
						BgL_typez00_bglt BgL_arg6376z00_2348;

						BgL_arg6376z00_2348 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_nodez00_2338));
						{	/* Cfa/type.scm 449 */
							BgL_nodez00_bglt BgL_obj2139z00_2797;

							BgL_obj2139z00_2797 = ((BgL_nodez00_bglt) BgL_nodez00_2338);
							((((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2139z00_2797)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_arg6376z00_2348), BUNSPEC);
						}
					}
				else
					{	/* Cfa/type.scm 448 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_2338);
			}
		}
	}



/* &type-node!-setq6052 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq6052z70zzcfa_typez00(obj_t
		BgL_envz00_2957, BgL_setqz00_bglt BgL_nodez00_2958)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 432 */
			{
				BgL_setqz00_bglt BgL_nodez00_2329;

				BgL_nodez00_2329 = BgL_nodez00_2958;
				{	/* Cfa/type.scm 434 */
					BgL_nodez00_bglt BgL_arg6366z00_2333;

					{	/* Cfa/type.scm 434 */
						BgL_nodez00_bglt BgL_arg6367z00_2334;

						BgL_arg6367z00_2334 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_2329)))->BgL_valuez00);
						BgL_arg6366z00_2333 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6367z00_2334);
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_2329)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg6366z00_2333), BUNSPEC);
				}
				{	/* Cfa/type.scm 435 */
					BgL_nodez00_bglt BgL_arg6368z00_2335;

					{	/* Cfa/type.scm 435 */
						BgL_varz00_bglt BgL_arg6369z00_2336;

						BgL_arg6369z00_2336 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_2329)))->BgL_varz00);
						BgL_arg6368z00_2335 =
							BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg6369z00_2336));
					}
					{	/* Cfa/type.scm 435 */
						BgL_varz00_bglt BgL_val3005z00_2787;

						BgL_val3005z00_2787 = ((BgL_varz00_bglt) BgL_arg6368z00_2335);
						((((BgL_setqz00_bglt) CREF(
										((obj_t) BgL_nodez00_2329)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3005z00_2787), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2329);
			}
		}
	}



/* &type-node!-cast6050 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast6050z70zzcfa_typez00(obj_t
		BgL_envz00_2959, BgL_castz00_bglt BgL_nodez00_2960)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 424 */
			{
				BgL_castz00_bglt BgL_nodez00_2322;

				BgL_nodez00_2322 = BgL_nodez00_2960;
				{	/* Cfa/type.scm 426 */
					BgL_nodez00_bglt BgL_arg6364z00_2326;

					{	/* Cfa/type.scm 426 */
						BgL_nodez00_bglt BgL_arg6365z00_2327;

						BgL_arg6365z00_2327 =
							(((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_2322)))->BgL_argz00);
						BgL_arg6364z00_2326 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6365z00_2327);
					}
					((((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_2322)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg6364z00_2326), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2322);
			}
		}
	}



/* &type-node!-vset!6048 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz126048z62zzcfa_typez00(obj_t
		BgL_envz00_2961, BgL_vsetz12z12_bglt BgL_nodez00_2962)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 414 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_2315;

				BgL_nodez00_2315 = BgL_nodez00_2962;
				{

					{	/* Cfa/type.scm 414 */
						obj_t BgL_nextzd2method6047zd2_2321;

						BgL_nextzd2method6047zd2_2321 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2315),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method6047zd2_2321)
							(BgL_nextzd2method6047zd2_2321, ((obj_t) BgL_nodez00_2315), BEOA);
					}
					{	/* Cfa/type.scm 417 */
						bool_t BgL_testz00_4003;

						{	/* Cfa/type.scm 417 */
							BgL_typez00_bglt BgL_arg6363z00_2320;

							BgL_arg6363z00_2320 =
								(((BgL_vsetz12z12_bglt) CREF(
										((obj_t) BgL_nodez00_2315)))->BgL_ftypez00);
							BgL_testz00_4003 =
								(
								((obj_t) BgL_arg6363z00_2320) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4003)
							{	/* Cfa/type.scm 418 */
								BgL_typez00_bglt BgL_val2804z00_2778;

								{	/* Cfa/type.scm 418 */
									obj_t BgL_xz00_3203;

									BgL_xz00_3203 = BGl_za2objza2z00zztype_cachez00;
									BgL_val2804z00_2778 = ((BgL_typez00_bglt) BgL_xz00_3203);
								}
								((((BgL_vsetz12z12_bglt) CREF(
												((obj_t) BgL_nodez00_2315)))->BgL_ftypez00) =
									((BgL_typez00_bglt) BgL_val2804z00_2778), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 417 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_2315);
				}
			}
		}
	}



/* &type-node!-vref6046 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref6046z70zzcfa_typez00(obj_t
		BgL_envz00_2963, BgL_vrefz00_bglt BgL_nodez00_2964)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 402 */
			{
				BgL_vrefz00_bglt BgL_nodez00_2307;

				BgL_nodez00_2307 = BgL_nodez00_2964;
				{

					{	/* Cfa/type.scm 402 */
						obj_t BgL_nextzd2method6045zd2_2314;

						BgL_nextzd2method6045zd2_2314 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2307),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method6045zd2_2314)
							(BgL_nextzd2method6045zd2_2314, ((obj_t) BgL_nodez00_2307), BEOA);
					}
					{	/* Cfa/type.scm 405 */
						bool_t BgL_testz00_4019;

						{	/* Cfa/type.scm 405 */
							BgL_typez00_bglt BgL_arg6360z00_2312;

							BgL_arg6360z00_2312 =
								(((BgL_vrefz00_bglt) CREF(
										((obj_t) BgL_nodez00_2307)))->BgL_ftypez00);
							BgL_testz00_4019 =
								(
								((obj_t) BgL_arg6360z00_2312) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4019)
							{	/* Cfa/type.scm 406 */
								BgL_typez00_bglt BgL_val2744z00_2772;

								{	/* Cfa/type.scm 406 */
									obj_t BgL_xz00_3210;

									BgL_xz00_3210 = BGl_za2objza2z00zztype_cachez00;
									BgL_val2744z00_2772 = ((BgL_typez00_bglt) BgL_xz00_3210);
								}
								((((BgL_vrefz00_bglt) CREF(
												((obj_t) BgL_nodez00_2307)))->BgL_ftypez00) =
									((BgL_typez00_bglt) BgL_val2744z00_2772), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 405 */
								BFALSE;
							}
					}
					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/type.scm 408 */
							BgL_typez00_bglt BgL_arg6361z00_2313;

							BgL_arg6361z00_2313 =
								(((BgL_vrefz00_bglt) CREF(
										((obj_t) BgL_nodez00_2307)))->BgL_ftypez00);
							{	/* Cfa/type.scm 408 */
								BgL_nodez00_bglt BgL_obj2139z00_2774;

								BgL_obj2139z00_2774 = ((BgL_nodez00_bglt) BgL_nodez00_2307);
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_2774)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg6361z00_2313), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 407 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_2307);
				}
			}
		}
	}



/* &type-node!-valloc6044 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc6044z70zzcfa_typez00(obj_t
		BgL_envz00_2965, BgL_vallocz00_bglt BgL_nodez00_2966)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 391 */
			{
				BgL_vallocz00_bglt BgL_nodez00_2293;

				BgL_nodez00_2293 = BgL_nodez00_2966;
				{

					{	/* Cfa/type.scm 391 */
						obj_t BgL_nextzd2method6043zd2_2306;

						BgL_nextzd2method6043zd2_2306 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2293),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vallocz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method6043zd2_2306)
							(BgL_nextzd2method6043zd2_2306, ((obj_t) BgL_nodez00_2293), BEOA);
					}
					{	/* Cfa/type.scm 394 */
						obj_t BgL_arg6350z00_2297;

						{	/* Cfa/type.scm 394 */
							BgL_externz00_bglt BgL_obj2405z00_2758;

							BgL_obj2405z00_2758 = ((BgL_externz00_bglt) BgL_nodez00_2293);
							BgL_arg6350z00_2297 =
								(((BgL_externz00_bglt) CREF(
										((obj_t) BgL_obj2405z00_2758)))->BgL_exprza2za2);
						}
						{	/* Cfa/type.scm 394 */
							obj_t BgL_list6135z00_2760;

							BgL_list6135z00_2760 = MAKE_PAIR(BgL_arg6350z00_2297, BNIL);
							BGl_mapz12z12zz__r4_control_features_6_9z00
								(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								BgL_list6135z00_2760);
						}
					}
					{	/* Cfa/type.scm 395 */
						BgL_typez00_bglt BgL_arg6351z00_2298;

						{	/* Cfa/type.scm 395 */
							obj_t BgL_arg6352z00_2299;
							BgL_typez00_bglt BgL_arg6353z00_2300;

							{	/* Cfa/type.scm 395 */
								bool_t BgL_testz00_4047;

								{	/* Cfa/type.scm 395 */
									BgL_typez00_bglt BgL_arg6355z00_2302;

									{	/* Cfa/type.scm 395 */
										BgL_nodez00_bglt BgL_obj2137z00_2761;

										BgL_obj2137z00_2761 = ((BgL_nodez00_bglt) BgL_nodez00_2293);
										BgL_arg6355z00_2302 =
											(((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2137z00_2761)))->BgL_typez00);
									}
									BgL_testz00_4047 =
										(
										((obj_t) BgL_arg6355z00_2302) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_4047)
									{	/* Cfa/type.scm 395 */
										BgL_arg6352z00_2299 = BGl_za2vectorza2z00zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 395 */
										BgL_nodez00_bglt BgL_obj2137z00_2762;

										BgL_obj2137z00_2762 = ((BgL_nodez00_bglt) BgL_nodez00_2293);
										BgL_arg6352z00_2299 =
											((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_2762)))->BgL_typez00));
									}
							}
							{	/* Cfa/type.scm 395 */
								BgL_nodez00_bglt BgL_obj2137z00_2763;

								BgL_obj2137z00_2763 = ((BgL_nodez00_bglt) BgL_nodez00_2293);
								BgL_arg6353z00_2300 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_2763)))->BgL_typez00);
							}
							BgL_arg6351z00_2298 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(
								((BgL_typez00_bglt) BgL_arg6352z00_2299), BgL_arg6353z00_2300);
						}
						{	/* Cfa/type.scm 395 */
							BgL_nodez00_bglt BgL_obj2139z00_2764;

							BgL_obj2139z00_2764 = ((BgL_nodez00_bglt) BgL_nodez00_2293);
							((((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2139z00_2764)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_arg6351z00_2298), BUNSPEC);
						}
					}
					{	/* Cfa/type.scm 396 */
						obj_t BgL_arg6356z00_2303;

						{	/* Cfa/type.scm 396 */
							bool_t BgL_testz00_4065;

							{	/* Cfa/type.scm 396 */
								BgL_typez00_bglt BgL_arg6358z00_2305;

								BgL_arg6358z00_2305 =
									(((BgL_vallocz00_bglt) CREF(
											((obj_t) BgL_nodez00_2293)))->BgL_ftypez00);
								BgL_testz00_4065 =
									(
									((obj_t) BgL_arg6358z00_2305) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_4065)
								{	/* Cfa/type.scm 396 */
									BgL_arg6356z00_2303 = BGl_za2objza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 396 */
									BgL_arg6356z00_2303 =
										((obj_t)
										(((BgL_vallocz00_bglt) CREF(
													((obj_t) BgL_nodez00_2293)))->BgL_ftypez00));
								}
						}
						{	/* Cfa/type.scm 396 */
							BgL_typez00_bglt BgL_val2692z00_2769;

							BgL_val2692z00_2769 = ((BgL_typez00_bglt) BgL_arg6356z00_2303);
							((((BgL_vallocz00_bglt) CREF(
											((obj_t) BgL_nodez00_2293)))->BgL_ftypez00) =
								((BgL_typez00_bglt) BgL_val2692z00_2769), BUNSPEC);
						}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_2293);
				}
			}
		}
	}



/* &type-node!-extern6042 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern6042z70zzcfa_typez00(obj_t
		BgL_envz00_2967, BgL_externz00_bglt BgL_nodez00_2968)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 383 */
			{
				BgL_externz00_bglt BgL_nodez00_2287;

				BgL_nodez00_2287 = BgL_nodez00_2968;
				{	/* Cfa/type.scm 384 */
					obj_t BgL_arg6349z00_2754;

					BgL_arg6349z00_2754 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_2287)))->BgL_exprza2za2);
					{	/* Cfa/type.scm 384 */
						obj_t BgL_list6135z00_2757;

						BgL_list6135z00_2757 = MAKE_PAIR(BgL_arg6349z00_2754, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list6135z00_2757);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2287);
			}
		}
	}



/* &type-node!-funcall/C6040 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C6040z82zzcfa_typez00(obj_t
		BgL_envz00_2969, BgL_funcallzf2cinfozf2_bglt BgL_nodez00_2970)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 360 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_nodez00_2275;

				BgL_nodez00_2275 = BgL_nodez00_2970;
				{	/* Cfa/type.scm 362 */
					BgL_nodez00_bglt BgL_arg6343z00_2279;

					{	/* Cfa/type.scm 362 */
						BgL_nodez00_bglt BgL_arg6344z00_2280;

						{	/* Cfa/type.scm 362 */
							BgL_funcallz00_bglt BgL_obj2360z00_2742;

							BgL_obj2360z00_2742 = ((BgL_funcallz00_bglt) BgL_nodez00_2275);
							BgL_arg6344z00_2280 =
								(((BgL_funcallz00_bglt) CREF(
										((obj_t) BgL_obj2360z00_2742)))->BgL_funz00);
						}
						BgL_arg6343z00_2279 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6344z00_2280);
					}
					{	/* Cfa/type.scm 362 */
						BgL_funcallz00_bglt BgL_obj2362z00_2743;

						BgL_obj2362z00_2743 = ((BgL_funcallz00_bglt) BgL_nodez00_2275);
						((((BgL_funcallz00_bglt) CREF(
										((obj_t) BgL_obj2362z00_2743)))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg6343z00_2279), BUNSPEC);
					}
				}
				{	/* Cfa/type.scm 363 */
					obj_t BgL_arg6345z00_2281;

					{	/* Cfa/type.scm 363 */
						BgL_funcallz00_bglt BgL_obj2363z00_2745;

						BgL_obj2363z00_2745 = ((BgL_funcallz00_bglt) BgL_nodez00_2275);
						BgL_arg6345z00_2281 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_obj2363z00_2745)))->BgL_argsz00);
					}
					{	/* Cfa/type.scm 363 */
						obj_t BgL_list6135z00_2747;

						BgL_list6135z00_2747 = MAKE_PAIR(BgL_arg6345z00_2281, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list6135z00_2747);
					}
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Cfa/type.scm 366 */
						obj_t BgL_typz00_2282;

						{	/* Cfa/type.scm 366 */
							BgL_approxz00_bglt BgL_arg6348z00_2285;

							{
								obj_t BgL_auxz00_4096;

								{	/* Cfa/type.scm 366 */
									BgL_objectz00_bglt BgL_auxz00_4097;

									BgL_auxz00_4097 = ((BgL_objectz00_bglt) BgL_nodez00_2275);
									BgL_auxz00_4096 = BGL_OBJECT_WIDENING(BgL_auxz00_4097);
								}
								BgL_arg6348z00_2285 =
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4096))->
									BgL_approxz00);
							}
							BgL_typz00_2282 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg6348z00_2285,
								((obj_t) BgL_nodez00_2275));
						}
						if ((BgL_typz00_2282 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 372 */
								BgL_typez00_bglt BgL_arg6347z00_2284;

								BgL_arg6347z00_2284 =
									BGl_getzd2typezd2atomz00zztype_typeofz00(BUNSPEC);
								{	/* Cfa/type.scm 370 */
									BgL_atomz00_bglt BgL_xz00_3248;

									BgL_xz00_3248 =
										BGl_makezd2atomzd2zzast_nodez00(BFALSE, BgL_arg6347z00_2284,
										BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_xz00_3248);
								}
							}
						else
							{	/* Cfa/type.scm 367 */
								{	/* Cfa/type.scm 374 */
									BgL_nodez00_bglt BgL_obj2139z00_2749;
									BgL_typez00_bglt BgL_val2138z00_2750;

									BgL_obj2139z00_2749 = ((BgL_nodez00_bglt) BgL_nodez00_2275);
									BgL_val2138z00_2750 = ((BgL_typez00_bglt) BgL_typz00_2282);
									((((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2139z00_2749)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_val2138z00_2750), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_nodez00_2275);
							}
					}
				else
					{	/* Cfa/type.scm 364 */
						{	/* Cfa/type.scm 377 */
							BgL_nodez00_bglt BgL_obj2139z00_2751;
							BgL_typez00_bglt BgL_val2138z00_2752;

							BgL_obj2139z00_2751 = ((BgL_nodez00_bglt) BgL_nodez00_2275);
							{	/* Cfa/type.scm 377 */
								obj_t BgL_xz00_3254;

								BgL_xz00_3254 = BGl_za2objza2z00zztype_cachez00;
								BgL_val2138z00_2752 = ((BgL_typez00_bglt) BgL_xz00_3254);
							}
							((((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2139z00_2751)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_val2138z00_2752), BUNSPEC);
						}
						return ((BgL_nodez00_bglt) BgL_nodez00_2275);
					}
			}
		}
	}



/* &type-node!-app-ly/Ci6038 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci6038z50zzcfa_typez00(obj_t
		BgL_envz00_2971, BgL_appzd2lyzf2cinfoz20_bglt BgL_nodez00_2972)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 348 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_nodez00_2264;

				BgL_nodez00_2264 = BgL_nodez00_2972;
				{	/* Cfa/type.scm 350 */
					BgL_nodez00_bglt BgL_arg6337z00_2268;

					{	/* Cfa/type.scm 350 */
						BgL_nodez00_bglt BgL_arg6338z00_2269;

						{	/* Cfa/type.scm 350 */
							BgL_appzd2lyzd2_bglt BgL_obj2331z00_2731;

							BgL_obj2331z00_2731 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2264);
							BgL_arg6338z00_2269 =
								(((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_obj2331z00_2731)))->BgL_funz00);
						}
						BgL_arg6337z00_2268 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6338z00_2269);
					}
					{	/* Cfa/type.scm 350 */
						BgL_appzd2lyzd2_bglt BgL_obj2333z00_2732;

						BgL_obj2333z00_2732 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2264);
						((((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_obj2333z00_2732)))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg6337z00_2268), BUNSPEC);
					}
				}
				{	/* Cfa/type.scm 351 */
					BgL_nodez00_bglt BgL_arg6339z00_2270;

					{	/* Cfa/type.scm 351 */
						BgL_nodez00_bglt BgL_arg6340z00_2271;

						{	/* Cfa/type.scm 351 */
							BgL_appzd2lyzd2_bglt BgL_obj2334z00_2734;

							BgL_obj2334z00_2734 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2264);
							BgL_arg6340z00_2271 =
								(((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_obj2334z00_2734)))->BgL_argz00);
						}
						BgL_arg6339z00_2270 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg6340z00_2271);
					}
					{	/* Cfa/type.scm 351 */
						BgL_appzd2lyzd2_bglt BgL_obj2336z00_2735;

						BgL_obj2336z00_2735 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2264);
						((((BgL_appzd2lyzd2_bglt) CREF(
										((obj_t) BgL_obj2336z00_2735)))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg6339z00_2270), BUNSPEC);
					}
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Cfa/type.scm 353 */
						obj_t BgL_arg6341z00_2272;

						{	/* Cfa/type.scm 353 */
							BgL_approxz00_bglt BgL_arg6342z00_2273;

							{
								obj_t BgL_auxz00_4134;

								{	/* Cfa/type.scm 353 */
									BgL_objectz00_bglt BgL_auxz00_4135;

									BgL_auxz00_4135 = ((BgL_objectz00_bglt) BgL_nodez00_2264);
									BgL_auxz00_4134 = BGL_OBJECT_WIDENING(BgL_auxz00_4135);
								}
								BgL_arg6342z00_2273 =
									(((BgL_appzd2lyzf2cinfoz20_bglt) CREF(BgL_auxz00_4134))->
									BgL_approxz00);
							}
							BgL_arg6341z00_2272 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg6342z00_2273,
								((obj_t) BgL_nodez00_2264));
						}
						{	/* Cfa/type.scm 353 */
							BgL_nodez00_bglt BgL_obj2139z00_2738;
							BgL_typez00_bglt BgL_val2138z00_2739;

							BgL_obj2139z00_2738 = ((BgL_nodez00_bglt) BgL_nodez00_2264);
							BgL_val2138z00_2739 = ((BgL_typez00_bglt) BgL_arg6341z00_2272);
							((((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2139z00_2738)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_val2138z00_2739), BUNSPEC);
						}
					}
				else
					{	/* Cfa/type.scm 354 */
						BgL_nodez00_bglt BgL_obj2139z00_2740;
						BgL_typez00_bglt BgL_val2138z00_2741;

						BgL_obj2139z00_2740 = ((BgL_nodez00_bglt) BgL_nodez00_2264);
						{	/* Cfa/type.scm 354 */
							obj_t BgL_xz00_3271;

							BgL_xz00_3271 = BGl_za2objza2z00zztype_cachez00;
							BgL_val2138z00_2741 = ((BgL_typez00_bglt) BgL_xz00_3271);
						}
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2139z00_2740)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_val2138z00_2741), BUNSPEC);
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_2264);
			}
		}
	}



/* &type-node!-cons-ref-6036 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd26036z70zzcfa_typez00(obj_t
		BgL_envz00_2973, BgL_conszd2refzd2appz00_bglt BgL_nodez00_2974)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 336 */
			{
				BgL_conszd2refzd2appz00_bglt BgL_nodez00_2256;

				BgL_nodez00_2256 = BgL_nodez00_2974;
				{

					{	/* Cfa/type.scm 336 */
						obj_t BgL_nextzd2method6035zd2_2263;

						BgL_nextzd2method6035zd2_2263 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2256),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conszd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method6035zd2_2263)
							(BgL_nextzd2method6035zd2_2263, ((obj_t) BgL_nodez00_2256), BEOA);
					}
					{	/* Cfa/type.scm 339 */
						obj_t BgL_atypez00_2260;

						{	/* Cfa/type.scm 339 */
							BgL_approxz00_bglt BgL_arg6336z00_2262;

							{
								obj_t BgL_auxz00_4157;

								{	/* Cfa/type.scm 339 */
									BgL_objectz00_bglt BgL_auxz00_4158;

									BgL_auxz00_4158 = ((BgL_objectz00_bglt) BgL_nodez00_2256);
									BgL_auxz00_4157 = BGL_OBJECT_WIDENING(BgL_auxz00_4158);
								}
								BgL_arg6336z00_2262 =
									(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_4157))->
									BgL_approxz00);
							}
							BgL_atypez00_2260 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg6336z00_2262,
								((obj_t) BgL_nodez00_2256));
						}
						if ((BgL_atypez00_2260 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 340 */
								BFALSE;
							}
						else
							{	/* Cfa/type.scm 340 */
								if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
									{	/* Cfa/type.scm 342 */
										BgL_nodez00_bglt BgL_obj2139z00_2729;
										BgL_typez00_bglt BgL_val2138z00_2730;

										BgL_obj2139z00_2729 = ((BgL_nodez00_bglt) BgL_nodez00_2256);
										BgL_val2138z00_2730 =
											((BgL_typez00_bglt) BgL_atypez00_2260);
										((((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2139z00_2729)))->BgL_typez00) =
											((BgL_typez00_bglt) BgL_val2138z00_2730), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 341 */
										BFALSE;
									}
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_2256);
				}
			}
		}
	}



/* &type-node!-procedure6034 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure6034z70zzcfa_typez00(obj_t
		BgL_envz00_2975, BgL_procedurezd2setz12zd2appz12_bglt BgL_nodez00_2976)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 319 */
			{
				BgL_procedurezd2setz12zd2appz12_bglt BgL_nodez00_2237;

				BgL_nodez00_2237 = BgL_nodez00_2976;
				{

					{	/* Cfa/type.scm 319 */
						obj_t BgL_nextzd2method6033zd2_2255;

						BgL_nextzd2method6033zd2_2255 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2237),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method6033zd2_2255)
							(BgL_nextzd2method6033zd2_2255, ((obj_t) BgL_nodez00_2237), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 323 */
							obj_t BgL_atypez00_2241;

							{	/* Cfa/type.scm 323 */
								obj_t BgL_arg6334z00_2254;

								{
									obj_t BgL_auxz00_4182;

									{	/* Cfa/type.scm 323 */
										BgL_objectz00_bglt BgL_auxz00_4183;

										BgL_auxz00_4183 = ((BgL_objectz00_bglt) BgL_nodez00_2237);
										BgL_auxz00_4182 = BGL_OBJECT_WIDENING(BgL_auxz00_4183);
									}
									BgL_arg6334z00_2254 =
										(((BgL_procedurezd2setz12zd2appz12_bglt)
											CREF(BgL_auxz00_4182))->BgL_vapproxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
										((BgL_approxz00_bglt) BgL_arg6334z00_2254)))
									{	/* Cfa/type.scm 323 */
										BgL_atypez00_2241 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 323 */
										BgL_atypez00_2241 =
											BGl_getzd2approxzd2typez00zzcfa_typez00(
											((BgL_approxz00_bglt) BgL_arg6334z00_2254),
											((obj_t) BgL_nodez00_2237));
									}
							}
							{	/* Cfa/type.scm 324 */
								bool_t BgL_testz00_4193;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_2241)))
									{	/* Cfa/type.scm 324 */
										if ((BgL_atypez00_2241 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 325 */
												BgL_testz00_4193 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 326 */
												bool_t BgL_testz00_4199;

												{	/* Cfa/type.scm 326 */
													BgL_typez00_bglt BgL_arg6331z00_2251;

													{	/* Cfa/type.scm 326 */
														obj_t BgL_arg6332z00_2252;

														{	/* Cfa/type.scm 326 */
															obj_t BgL_pairz00_2708;

															{	/* Cfa/type.scm 326 */
																BgL_appz00_bglt BgL_obj2302z00_2707;

																BgL_obj2302z00_2707 =
																	((BgL_appz00_bglt) BgL_nodez00_2237);
																BgL_pairz00_2708 =
																	(((BgL_appz00_bglt) CREF(
																			((obj_t) BgL_obj2302z00_2707)))->
																	BgL_argsz00);
															}
															BgL_arg6332z00_2252 =
																CAR(CDR(CDR(BgL_pairz00_2708)));
														}
														BgL_arg6331z00_2251 =
															BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg6332z00_2252));
													}
													BgL_testz00_4199 =
														(BgL_atypez00_2241 ==
														((obj_t) BgL_arg6331z00_2251));
												}
												if (BgL_testz00_4199)
													{	/* Cfa/type.scm 326 */
														BgL_testz00_4193 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 326 */
														BgL_testz00_4193 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 324 */
										BgL_testz00_4193 = ((bool_t) 0);
									}
								if (BgL_testz00_4193)
									{	/* Cfa/type.scm 327 */
										obj_t BgL_arg6323z00_2243;
										BgL_castz00_bglt BgL_arg6324z00_2244;

										{	/* Cfa/type.scm 327 */
											obj_t BgL_pairz00_2715;

											{	/* Cfa/type.scm 327 */
												BgL_appz00_bglt BgL_obj2302z00_2714;

												BgL_obj2302z00_2714 =
													((BgL_appz00_bglt) BgL_nodez00_2237);
												BgL_pairz00_2715 =
													(((BgL_appz00_bglt) CREF(
															((obj_t) BgL_obj2302z00_2714)))->BgL_argsz00);
											}
											BgL_arg6323z00_2243 = CDR(CDR(BgL_pairz00_2715));
										}
										{	/* Cfa/type.scm 330 */
											obj_t BgL_arg6326z00_2246;

											{	/* Cfa/type.scm 330 */
												obj_t BgL_pairz00_2720;

												{	/* Cfa/type.scm 330 */
													BgL_appz00_bglt BgL_obj2302z00_2719;

													BgL_obj2302z00_2719 =
														((BgL_appz00_bglt) BgL_nodez00_2237);
													BgL_pairz00_2720 =
														(((BgL_appz00_bglt) CREF(
																((obj_t) BgL_obj2302z00_2719)))->BgL_argsz00);
												}
												BgL_arg6326z00_2246 = CAR(CDR(CDR(BgL_pairz00_2720)));
											}
											{	/* Cfa/type.scm 328 */
												BgL_typez00_bglt BgL_auxz00_4221;

												{	/* Cfa/type.scm 328 */
													obj_t BgL_xz00_3297;

													BgL_xz00_3297 = BGl_za2objza2z00zztype_cachez00;
													BgL_auxz00_4221 = ((BgL_typez00_bglt) BgL_xz00_3297);
												}
												BgL_arg6324z00_2244 =
													BGl_makezd2castzd2zzast_nodez00(BFALSE,
													BgL_auxz00_4221,
													((BgL_nodez00_bglt) BgL_arg6326z00_2246));
											}
										}
										{	/* Cfa/type.scm 327 */
											obj_t BgL_pairz00_2726;
											obj_t BgL_objz00_2727;

											BgL_pairz00_2726 = BgL_arg6323z00_2243;
											BgL_objz00_2727 = ((obj_t) BgL_arg6324z00_2244);
											SET_CAR(BgL_pairz00_2726, BgL_objz00_2727);
										}
									}
								else
									{	/* Cfa/type.scm 324 */
										BFALSE;
									}
							}
						}
					else
						{	/* Cfa/type.scm 322 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_2237);
				}
			}
		}
	}



/* &type-node!-procedure6032 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure6032z70zzcfa_typez00(obj_t
		BgL_envz00_2977, BgL_procedurezd2refzd2appz00_bglt BgL_nodez00_2978)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 302 */
			{
				BgL_procedurezd2refzd2appz00_bglt BgL_nodez00_2225;

				BgL_nodez00_2225 = BgL_nodez00_2978;
				{

					{	/* Cfa/type.scm 302 */
						obj_t BgL_nextzd2method6031zd2_2236;

						BgL_nextzd2method6031zd2_2236 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2225),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method6031zd2_2236)
							(BgL_nextzd2method6031zd2_2236, ((obj_t) BgL_nodez00_2225), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 306 */
							obj_t BgL_atypez00_2229;

							{	/* Cfa/type.scm 306 */
								BgL_approxz00_bglt BgL_arg6321z00_2235;

								{
									obj_t BgL_auxz00_4237;

									{	/* Cfa/type.scm 306 */
										BgL_objectz00_bglt BgL_auxz00_4238;

										BgL_auxz00_4238 = ((BgL_objectz00_bglt) BgL_nodez00_2225);
										BgL_auxz00_4237 = BGL_OBJECT_WIDENING(BgL_auxz00_4238);
									}
									BgL_arg6321z00_2235 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_4237))->BgL_approxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
									(BgL_arg6321z00_2235))
									{	/* Cfa/type.scm 306 */
										BgL_atypez00_2229 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 306 */
										BgL_atypez00_2229 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg6321z00_2235, ((obj_t) BgL_nodez00_2225));
									}
							}
							{	/* Cfa/type.scm 307 */
								bool_t BgL_testz00_4246;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_2229)))
									{	/* Cfa/type.scm 307 */
										if ((BgL_atypez00_2229 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 308 */
												BgL_testz00_4246 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 309 */
												bool_t BgL_testz00_4252;

												{	/* Cfa/type.scm 309 */
													BgL_typez00_bglt BgL_arg6320z00_2234;

													BgL_arg6320z00_2234 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nodez00_2225));
													BgL_testz00_4252 =
														(BgL_atypez00_2229 ==
														((obj_t) BgL_arg6320z00_2234));
												}
												if (BgL_testz00_4252)
													{	/* Cfa/type.scm 309 */
														BgL_testz00_4246 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 309 */
														BgL_testz00_4246 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 307 */
										BgL_testz00_4246 = ((bool_t) 0);
									}
								if (BgL_testz00_4246)
									{	/* Cfa/type.scm 310 */
										BgL_castz00_bglt BgL_xz00_3310;

										BgL_xz00_3310 =
											BGl_makezd2castzd2zzast_nodez00(BFALSE,
											((BgL_typez00_bglt) BgL_atypez00_2229),
											((BgL_nodez00_bglt) BgL_nodez00_2225));
										return ((BgL_nodez00_bglt) BgL_xz00_3310);
									}
								else
									{	/* Cfa/type.scm 307 */
										return ((BgL_nodez00_bglt) BgL_nodez00_2225);
									}
							}
						}
					else
						{	/* Cfa/type.scm 305 */
							return ((BgL_nodez00_bglt) BgL_nodez00_2225);
						}
				}
			}
		}
	}



/* &type-node!-arithmeti6030 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti6030z70zzcfa_typez00(obj_t
		BgL_envz00_2979, BgL_arithmeticzd2appzd2_bglt BgL_nodez00_2980)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 257 */
			{
				BgL_arithmeticzd2appzd2_bglt BgL_nodez00_2198;

				BgL_nodez00_2198 = BgL_nodez00_2980;
				{

					{	/* Cfa/type.scm 257 */
						obj_t BgL_nextzd2method6029zd2_2224;

						BgL_nextzd2method6029zd2_2224 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_2198),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_arithmeticzd2appzd2zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method6029zd2_2224)
							(BgL_nextzd2method6029zd2_2224, ((obj_t) BgL_nodez00_2198), BEOA);
					}
					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/type.scm 272 */
							{	/* Cfa/type.scm 275 */
								BgL_variablez00_bglt BgL_vz00_2203;

								{	/* Cfa/type.scm 275 */
									BgL_varz00_bglt BgL_obj2201z00_2685;

									{	/* Cfa/type.scm 275 */
										BgL_appz00_bglt BgL_obj2299z00_2684;

										BgL_obj2299z00_2684 = ((BgL_appz00_bglt) BgL_nodez00_2198);
										BgL_obj2201z00_2685 =
											(((BgL_appz00_bglt) CREF(
													((obj_t) BgL_obj2299z00_2684)))->BgL_funz00);
									}
									BgL_vz00_2203 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_obj2201z00_2685)))->BgL_variablez00);
								}
								{	/* Cfa/type.scm 275 */
									BgL_valuez00_bglt BgL_valz00_2204;

									BgL_valz00_2204 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_vz00_2203)))->BgL_valuez00);
									{	/* Cfa/type.scm 276 */

										{	/* Cfa/type.scm 277 */
											bool_t BgL_testz00_4279;

											{	/* Cfa/type.scm 277 */
												BgL_typez00_bglt BgL_arg6300z00_2206;

												BgL_arg6300z00_2206 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_vz00_2203)))->BgL_typez00);
												BgL_testz00_4279 =
													(
													((obj_t) BgL_arg6300z00_2206) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_4279)
												{	/* Cfa/type.scm 278 */
													BgL_typez00_bglt BgL_val1610z00_2689;

													{	/* Cfa/type.scm 278 */
														obj_t BgL_xz00_3321;

														BgL_xz00_3321 = BGl_za2objza2z00zztype_cachez00;
														BgL_val1610z00_2689 =
															((BgL_typez00_bglt) BgL_xz00_3321);
													}
													((((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_vz00_2203)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_val1610z00_2689), BUNSPEC);
												}
											else
												{	/* Cfa/type.scm 277 */
													BFALSE;
												}
										}
										{	/* Cfa/type.scm 281 */
											bool_t BgL_testz00_4287;

											{	/* Cfa/type.scm 281 */
												bool_t BgL_res6468z00_2691;

												{	/* Cfa/type.scm 281 */
													obj_t BgL_obj2001z00_2690;

													BgL_obj2001z00_2690 = ((obj_t) BgL_valz00_2204);
													BgL_res6468z00_2691 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_2690,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_4287 = BgL_res6468z00_2691;
											}
											if (BgL_testz00_4287)
												{	/* Cfa/type.scm 282 */
													obj_t BgL_arg6302z00_2208;

													{	/* Cfa/type.scm 282 */
														BgL_sfunz00_bglt BgL_obj1920z00_2692;

														BgL_obj1920z00_2692 =
															((BgL_sfunz00_bglt) BgL_valz00_2204);
														BgL_arg6302z00_2208 =
															(((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1920z00_2692)))->BgL_argsz00);
													}
													{	/* Cfa/type.scm 282 */
														obj_t BgL_list6303z00_2209;

														BgL_list6303z00_2209 =
															MAKE_PAIR(BgL_arg6302z00_2208, BNIL);
														BGl_mapz12z12zz__r4_control_features_6_9z00
															(BGl_proc6516z00zzcfa_typez00,
															BgL_list6303z00_2209);
													}
												}
											else
												{	/* Cfa/type.scm 283 */
													bool_t BgL_testz00_4295;

													{	/* Cfa/type.scm 283 */
														bool_t BgL_res6469z00_2694;

														{	/* Cfa/type.scm 283 */
															obj_t BgL_obj2065z00_2693;

															BgL_obj2065z00_2693 = ((obj_t) BgL_valz00_2204);
															BgL_res6469z00_2694 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj2065z00_2693, BGl_cfunz00zzast_varz00);
														}
														BgL_testz00_4295 = BgL_res6469z00_2694;
													}
													if (BgL_testz00_4295)
														{	/* Cfa/type.scm 284 */
															obj_t BgL_arg6305z00_2211;

															{	/* Cfa/type.scm 284 */
																BgL_cfunz00_bglt BgL_obj2021z00_2695;

																BgL_obj2021z00_2695 =
																	((BgL_cfunz00_bglt) BgL_valz00_2204);
																BgL_arg6305z00_2211 =
																	(((BgL_cfunz00_bglt) CREF(
																			((obj_t) BgL_obj2021z00_2695)))->
																	BgL_argszd2typezd2);
															}
															{	/* Cfa/type.scm 284 */
																obj_t BgL_list6306z00_2212;

																BgL_list6306z00_2212 =
																	MAKE_PAIR(BgL_arg6305z00_2211, BNIL);
																BGl_mapz12z12zz__r4_control_features_6_9z00
																	(BGl_proc6516z00zzcfa_typez00,
																	BgL_list6306z00_2212);
															}
														}
													else
														{	/* Cfa/type.scm 283 */
															BFALSE;
														}
												}
										}
									}
								}
							}
							{	/* Cfa/type.scm 286 */
								bool_t BgL_testz00_4303;

								{	/* Cfa/type.scm 286 */
									BgL_typez00_bglt BgL_arg6309z00_2215;

									{	/* Cfa/type.scm 286 */
										BgL_nodez00_bglt BgL_obj2137z00_2696;

										BgL_obj2137z00_2696 = ((BgL_nodez00_bglt) BgL_nodez00_2198);
										BgL_arg6309z00_2215 =
											(((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2137z00_2696)))->BgL_typez00);
									}
									BgL_testz00_4303 =
										(
										((obj_t) BgL_arg6309z00_2215) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_4303)
									{	/* Cfa/type.scm 287 */
										BgL_nodez00_bglt BgL_obj2139z00_2697;
										BgL_typez00_bglt BgL_val2138z00_2698;

										BgL_obj2139z00_2697 = ((BgL_nodez00_bglt) BgL_nodez00_2198);
										{	/* Cfa/type.scm 287 */
											obj_t BgL_xz00_3333;

											BgL_xz00_3333 = BGl_za2objza2z00zztype_cachez00;
											BgL_val2138z00_2698 = ((BgL_typez00_bglt) BgL_xz00_3333);
										}
										((((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2139z00_2697)))->BgL_typez00) =
											((BgL_typez00_bglt) BgL_val2138z00_2698), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 286 */
										BFALSE;
									}
							}
						}
					else
						{	/* Cfa/type.scm 272 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_2198);
				}
			}
		}
	}



/* &cleanup-type */
	obj_t BGl_z62cleanupzd2typezb0zzcfa_typez00(obj_t BgL_envz00_2981,
		obj_t BgL_tz00_2982)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 268 */
			{
				obj_t BgL_tz00_2216;

				BgL_tz00_2216 = BgL_tz00_2982;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_2216,
						BGl_typez00zztype_typez00))
					{	/* Cfa/type.scm 261 */
						if ((BgL_tz00_2216 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 262 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 262 */
								return BgL_tz00_2216;
							}
					}
				else
					{	/* Cfa/type.scm 261 */
						if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_2216,
								BGl_localz00zzast_varz00))
							{	/* Cfa/type.scm 263 */
								{	/* Cfa/type.scm 264 */
									bool_t BgL_testz00_4320;

									{	/* Cfa/type.scm 264 */
										BgL_typez00_bglt BgL_arg6315z00_2222;

										{	/* Cfa/type.scm 264 */
											BgL_variablez00_bglt BgL_obj1609z00_2681;

											BgL_obj1609z00_2681 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_tz00_2216));
											BgL_arg6315z00_2222 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1609z00_2681)))->BgL_typez00);
										}
										BgL_testz00_4320 =
											(
											((obj_t) BgL_arg6315z00_2222) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_testz00_4320)
										{	/* Cfa/type.scm 265 */
											BgL_variablez00_bglt BgL_obj1611z00_2682;
											BgL_typez00_bglt BgL_val1610z00_2683;

											BgL_obj1611z00_2682 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_tz00_2216));
											{	/* Cfa/type.scm 265 */
												obj_t BgL_xz00_3342;

												BgL_xz00_3342 = BGl_za2objza2z00zztype_cachez00;
												BgL_val1610z00_2683 =
													((BgL_typez00_bglt) BgL_xz00_3342);
											}
											((((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1611z00_2682)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_val1610z00_2683), BUNSPEC);
										}
									else
										{	/* Cfa/type.scm 264 */
											BFALSE;
										}
								}
								return BgL_tz00_2216;
							}
						else
							{	/* Cfa/type.scm 263 */
								return BgL_tz00_2216;
							}
					}
			}
		}
	}



/* &type-node!-app6028 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app6028z70zzcfa_typez00(obj_t
		BgL_envz00_2983, BgL_appz00_bglt BgL_nodez00_2984)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 247 */
			{
				BgL_appz00_bglt BgL_nodez00_2186;

				BgL_nodez00_2186 = BgL_nodez00_2984;
				{	/* Cfa/type.scm 249 */
					obj_t BgL_arg6292z00_2190;

					BgL_arg6292z00_2190 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_2186)))->BgL_argsz00);
					{	/* Cfa/type.scm 249 */
						obj_t BgL_list6135z00_2669;

						BgL_list6135z00_2669 = MAKE_PAIR(BgL_arg6292z00_2190, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list6135z00_2669);
					}
				}
				{	/* Cfa/type.scm 250 */
					BgL_varz00_bglt BgL_arg6293z00_2191;

					BgL_arg6293z00_2191 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_2186)))->BgL_funz00);
					BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_arg6293z00_2191);
				}
				{	/* Cfa/type.scm 251 */
					BgL_typez00_bglt BgL_arg6294z00_2192;

					{	/* Cfa/type.scm 251 */
						BgL_typez00_bglt BgL_arg6295z00_2193;
						BgL_typez00_bglt BgL_arg6296z00_2194;

						{	/* Cfa/type.scm 251 */
							BgL_variablez00_bglt BgL_arg6297z00_2195;

							{	/* Cfa/type.scm 251 */
								BgL_varz00_bglt BgL_obj2201z00_2672;

								BgL_obj2201z00_2672 =
									(((BgL_appz00_bglt) CREF(
											((obj_t) BgL_nodez00_2186)))->BgL_funz00);
								BgL_arg6297z00_2195 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_obj2201z00_2672)))->BgL_variablez00);
							}
							BgL_arg6295z00_2193 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_arg6297z00_2195)))->BgL_typez00);
						}
						{	/* Cfa/type.scm 251 */
							BgL_nodez00_bglt BgL_obj2137z00_2674;

							BgL_obj2137z00_2674 = ((BgL_nodez00_bglt) BgL_nodez00_2186);
							BgL_arg6296z00_2194 =
								(((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2137z00_2674)))->BgL_typez00);
						}
						BgL_arg6294z00_2192 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg6295z00_2193,
							BgL_arg6296z00_2194);
					}
					{	/* Cfa/type.scm 251 */
						BgL_nodez00_bglt BgL_obj2139z00_2675;

						BgL_obj2139z00_2675 = ((BgL_nodez00_bglt) BgL_nodez00_2186);
						((((BgL_nodez00_bglt) CREF(
										((obj_t) BgL_obj2139z00_2675)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_arg6294z00_2192), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2186);
			}
		}
	}



/* &type-node!-sequence6026 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence6026z70zzcfa_typez00(obj_t
		BgL_envz00_2985, BgL_sequencez00_bglt BgL_nodez00_2986)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 234 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2172;

				BgL_nodez00_2172 = BgL_nodez00_2986;
				{	/* Cfa/type.scm 236 */
					obj_t BgL_arg6283z00_2176;

					BgL_arg6283z00_2176 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_2172)))->BgL_nodesz00);
					{	/* Cfa/type.scm 236 */
						obj_t BgL_list6135z00_2656;

						BgL_list6135z00_2656 = MAKE_PAIR(BgL_arg6283z00_2176, BNIL);
						BGl_mapz12z12zz__r4_control_features_6_9z00
							(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BgL_list6135z00_2656);
					}
				}
				if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
					{	/* Cfa/type.scm 238 */
						bool_t BgL_testz00_4359;

						{	/* Cfa/type.scm 238 */
							BgL_typez00_bglt BgL_arg6291z00_2184;

							{	/* Cfa/type.scm 238 */
								BgL_nodez00_bglt BgL_obj2137z00_2657;

								BgL_obj2137z00_2657 = ((BgL_nodez00_bglt) BgL_nodez00_2172);
								BgL_arg6291z00_2184 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_2657)))->BgL_typez00);
							}
							BgL_testz00_4359 =
								(
								((obj_t) BgL_arg6291z00_2184) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4359)
							{	/* Cfa/type.scm 239 */
								bool_t BgL_testz00_4365;

								{	/* Cfa/type.scm 239 */
									obj_t BgL_auxz00_4366;

									BgL_auxz00_4366 =
										(((BgL_sequencez00_bglt) CREF(
												((obj_t) BgL_nodez00_2172)))->BgL_nodesz00);
									BgL_testz00_4365 = PAIRP(BgL_auxz00_4366);
								}
								if (BgL_testz00_4365)
									{	/* Cfa/type.scm 240 */
										BgL_typez00_bglt BgL_arg6286z00_2179;

										{	/* Cfa/type.scm 240 */
											obj_t BgL_arg6287z00_2180;

											BgL_arg6287z00_2180 =
												CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
													(((BgL_sequencez00_bglt) CREF(
																((obj_t) BgL_nodez00_2172)))->BgL_nodesz00)));
											BgL_arg6286z00_2179 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_arg6287z00_2180));
										}
										{	/* Cfa/type.scm 240 */
											BgL_nodez00_bglt BgL_obj2139z00_2663;

											BgL_obj2139z00_2663 =
												((BgL_nodez00_bglt) BgL_nodez00_2172);
											((((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2139z00_2663)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg6286z00_2179), BUNSPEC);
										}
									}
								else
									{	/* Cfa/type.scm 241 */
										BgL_nodez00_bglt BgL_obj2139z00_2665;
										BgL_typez00_bglt BgL_val2138z00_2666;

										BgL_obj2139z00_2665 = ((BgL_nodez00_bglt) BgL_nodez00_2172);
										{	/* Cfa/type.scm 241 */
											obj_t BgL_xz00_3364;

											BgL_xz00_3364 = BGl_za2unspecza2z00zztype_cachez00;
											BgL_val2138z00_2666 = ((BgL_typez00_bglt) BgL_xz00_3364);
										}
										((((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2139z00_2665)))->BgL_typez00) =
											((BgL_typez00_bglt) BgL_val2138z00_2666), BUNSPEC);
									}
							}
						else
							{	/* Cfa/type.scm 238 */
								BFALSE;
							}
					}
				else
					{	/* Cfa/type.scm 237 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_2172);
			}
		}
	}



/* &type-node!-closure6024 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure6024z70zzcfa_typez00(obj_t
		BgL_envz00_2987, BgL_closurez00_bglt BgL_nodez00_2988)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 228 */
			{
				BgL_closurez00_bglt BgL_nodez00_2167;

				BgL_nodez00_2167 = BgL_nodez00_2988;
				{	/* Cfa/type.scm 229 */
					obj_t BgL_arg6282z00_2653;

					BgL_arg6282z00_2653 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_2167));
					{	/* Cfa/type.scm 229 */
						obj_t BgL_xz00_3368;

						BgL_xz00_3368 =
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string6487z00zzcfa_typez00, BGl_string6517z00zzcfa_typez00,
							BgL_arg6282z00_2653);
						return ((BgL_nodez00_bglt) BgL_xz00_3368);
					}
				}
			}
		}
	}



/* &type-node!-var6022 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var6022z70zzcfa_typez00(obj_t
		BgL_envz00_2989, BgL_varz00_bglt BgL_nodez00_2990)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 208 */
			{
				BgL_varz00_bglt BgL_nodez00_2132;

				BgL_nodez00_2132 = BgL_nodez00_2990;
				{
					BgL_typez00_bglt BgL_ntypez00_2155;
					BgL_typez00_bglt BgL_vtypez00_2156;

					{	/* Cfa/type.scm 217 */
						bool_t BgL_testz00_4388;

						{	/* Cfa/type.scm 217 */
							bool_t BgL_testz00_4389;

							{	/* Cfa/type.scm 217 */
								BgL_variablez00_bglt BgL_arg6269z00_2144;

								BgL_arg6269z00_2144 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_nodez00_2132)))->BgL_variablez00);
								{	/* Cfa/type.scm 217 */
									bool_t BgL_res6464z00_2638;

									{	/* Cfa/type.scm 217 */
										obj_t BgL_obj1786z00_2637;

										BgL_obj1786z00_2637 = ((obj_t) BgL_arg6269z00_2144);
										BgL_res6464z00_2638 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_2637,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_4389 = BgL_res6464z00_2638;
								}
							}
							if (BgL_testz00_4389)
								{	/* Cfa/type.scm 217 */
									obj_t BgL_auxz00_4394;

									{	/* Cfa/type.scm 217 */
										BgL_globalz00_bglt BgL_obj1701z00_2640;

										BgL_obj1701z00_2640 =
											((BgL_globalz00_bglt)
											(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_nodez00_2132)))->BgL_variablez00));
										BgL_auxz00_4394 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1701z00_2640)))->BgL_importz00);
									}
									BgL_testz00_4388 =
										(BgL_auxz00_4394 == CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Cfa/type.scm 217 */
									BgL_testz00_4388 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4388)
							{	/* Cfa/type.scm 218 */
								BgL_valuez00_bglt BgL_arg6263z00_2138;
								BgL_variablez00_bglt BgL_arg6264z00_2139;

								{	/* Cfa/type.scm 218 */
									BgL_variablez00_bglt BgL_obj1612z00_2642;

									BgL_obj1612z00_2642 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_nodez00_2132)))->BgL_variablez00);
									BgL_arg6263z00_2138 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_2642)))->BgL_valuez00);
								}
								BgL_arg6264z00_2139 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_nodez00_2132)))->BgL_variablez00);
								BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg6263z00_2138,
									BgL_arg6264z00_2139);
							}
						else
							{	/* Cfa/type.scm 217 */
								BFALSE;
							}
					}
					{	/* Cfa/type.scm 219 */
						bool_t BgL_testz00_4409;

						{	/* Cfa/type.scm 219 */
							bool_t BgL_testz00_4410;

							{	/* Cfa/type.scm 219 */
								BgL_typez00_bglt BgL_arg6279z00_2154;

								{	/* Cfa/type.scm 219 */
									BgL_nodez00_bglt BgL_obj2137z00_2644;

									BgL_obj2137z00_2644 = ((BgL_nodez00_bglt) BgL_nodez00_2132);
									BgL_arg6279z00_2154 =
										(((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2137z00_2644)))->BgL_typez00);
								}
								BgL_testz00_4410 =
									(
									((obj_t) BgL_arg6279z00_2154) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_4410)
								{	/* Cfa/type.scm 219 */
									BgL_testz00_4409 = ((bool_t) 1);
								}
							else
								{	/* Cfa/type.scm 220 */
									bool_t BgL_testz00_4416;

									{	/* Cfa/type.scm 220 */
										BgL_typez00_bglt BgL_arg6278z00_2153;

										{	/* Cfa/type.scm 220 */
											BgL_nodez00_bglt BgL_obj2137z00_2645;

											BgL_obj2137z00_2645 =
												((BgL_nodez00_bglt) BgL_nodez00_2132);
											BgL_arg6278z00_2153 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_2645)))->BgL_typez00);
										}
										BgL_testz00_4416 =
											(
											((obj_t) BgL_arg6278z00_2153) ==
											BGl_za2vectorza2z00zztype_cachez00);
									}
									if (BgL_testz00_4416)
										{	/* Cfa/type.scm 220 */
											BgL_testz00_4409 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 221 */
											BgL_typez00_bglt BgL_arg6275z00_2150;
											BgL_typez00_bglt BgL_arg6276z00_2151;

											{	/* Cfa/type.scm 221 */
												BgL_nodez00_bglt BgL_obj2137z00_2646;

												BgL_obj2137z00_2646 =
													((BgL_nodez00_bglt) BgL_nodez00_2132);
												BgL_arg6275z00_2150 =
													(((BgL_nodez00_bglt) CREF(
															((obj_t) BgL_obj2137z00_2646)))->BgL_typez00);
											}
											{	/* Cfa/type.scm 221 */
												BgL_variablez00_bglt BgL_obj1609z00_2648;

												BgL_obj1609z00_2648 =
													(((BgL_varz00_bglt) CREF(
															((obj_t) BgL_nodez00_2132)))->BgL_variablez00);
												BgL_arg6276z00_2151 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1609z00_2648)))->BgL_typez00);
											}
											BgL_ntypez00_2155 = BgL_arg6275z00_2150;
											BgL_vtypez00_2156 = BgL_arg6276z00_2151;
											{	/* Cfa/type.scm 211 */
												bool_t BgL__ortest_5924z00_2158;

												if (BGl_bigloozd2typezf3z21zztype_typez00
													(BgL_vtypez00_2156))
													{	/* Cfa/type.scm 211 */
														BgL__ortest_5924z00_2158 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 211 */
														BgL__ortest_5924z00_2158 = ((bool_t) 1);
													}
												if (BgL__ortest_5924z00_2158)
													{	/* Cfa/type.scm 211 */
														BgL_testz00_4409 = BgL__ortest_5924z00_2158;
													}
												else
													{	/* Cfa/type.scm 212 */
														bool_t BgL__ortest_5925z00_2159;

														BgL__ortest_5925z00_2159 =
															(
															((obj_t) BgL_ntypez00_2155) ==
															BGl_za2objza2z00zztype_cachez00);
														if (BgL__ortest_5925z00_2159)
															{	/* Cfa/type.scm 212 */
																BgL_testz00_4409 = BgL__ortest_5925z00_2159;
															}
														else
															{	/* Cfa/type.scm 213 */
																bool_t BgL__ortest_5926z00_2160;

																{	/* Cfa/type.scm 213 */
																	bool_t BgL__ortest_5927z00_2163;

																	BgL__ortest_5927z00_2163 =
																		(
																		((obj_t) BgL_vtypez00_2156) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_5927z00_2163)
																		{	/* Cfa/type.scm 213 */
																			BgL__ortest_5926z00_2160 =
																				BgL__ortest_5927z00_2163;
																		}
																	else
																		{	/* Cfa/type.scm 213 */
																			BgL__ortest_5926z00_2160 =
																				(
																				((obj_t) BgL_vtypez00_2156) ==
																				BGl_za2epairza2z00zztype_cachez00);
																		}
																}
																if (BgL__ortest_5926z00_2160)
																	{	/* Cfa/type.scm 213 */
																		BgL_testz00_4409 = BgL__ortest_5926z00_2160;
																	}
																else
																	{	/* Cfa/type.scm 214 */
																		bool_t BgL_testz00_4441;

																		{	/* Cfa/type.scm 214 */
																			bool_t BgL_res6462z00_2633;

																			{	/* Cfa/type.scm 214 */
																				obj_t BgL_obj5701z00_2632;

																				BgL_obj5701z00_2632 =
																					((obj_t) BgL_vtypez00_2156);
																				BgL_res6462z00_2633 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj5701z00_2632,
																					BGl_tclassz00zzobject_classz00);
																			}
																			BgL_testz00_4441 = BgL_res6462z00_2633;
																		}
																		if (BgL_testz00_4441)
																			{	/* Cfa/type.scm 214 */
																				bool_t BgL_testz00_4444;

																				{	/* Cfa/type.scm 214 */
																					bool_t BgL_res6463z00_2635;

																					{	/* Cfa/type.scm 214 */
																						obj_t BgL_obj5701z00_2634;

																						BgL_obj5701z00_2634 =
																							((obj_t) BgL_ntypez00_2155);
																						BgL_res6463z00_2635 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_obj5701z00_2634,
																							BGl_tclassz00zzobject_classz00);
																					}
																					BgL_testz00_4444 =
																						BgL_res6463z00_2635;
																				}
																				if (BgL_testz00_4444)
																					{	/* Cfa/type.scm 214 */
																						BgL_testz00_4409 =
																							BGl_typezd2subclasszf3z21zzobject_classz00
																							(BgL_vtypez00_2156,
																							BgL_ntypez00_2155);
																					}
																				else
																					{	/* Cfa/type.scm 214 */
																						BgL_testz00_4409 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Cfa/type.scm 214 */
																				BgL_testz00_4409 = ((bool_t) 0);
																			}
																	}
															}
													}
											}
										}
								}
						}
						if (BgL_testz00_4409)
							{	/* Cfa/type.scm 222 */
								BgL_typez00_bglt BgL_arg6271z00_2146;

								{	/* Cfa/type.scm 222 */
									BgL_variablez00_bglt BgL_obj1609z00_2650;

									BgL_obj1609z00_2650 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_nodez00_2132)))->BgL_variablez00);
									BgL_arg6271z00_2146 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1609z00_2650)))->BgL_typez00);
								}
								{	/* Cfa/type.scm 222 */
									BgL_nodez00_bglt BgL_obj2139z00_2651;

									BgL_obj2139z00_2651 = ((BgL_nodez00_bglt) BgL_nodez00_2132);
									((((BgL_nodez00_bglt) CREF(
													((obj_t) BgL_obj2139z00_2651)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg6271z00_2146), BUNSPEC);
								}
							}
						else
							{	/* Cfa/type.scm 219 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_2132);
				}
			}
		}
	}



/* &type-node!-kwote6020 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote6020z70zzcfa_typez00(obj_t
		BgL_envz00_2991, BgL_kwotez00_bglt BgL_nodez00_2992)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 199 */
			{
				BgL_kwotez00_bglt BgL_nodez00_2123;

				BgL_nodez00_2123 = BgL_nodez00_2992;
				{	/* Cfa/type.scm 201 */
					bool_t BgL_testz00_4456;

					if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
						{	/* Cfa/type.scm 201 */
							BgL_typez00_bglt BgL_arg6261z00_2130;

							{	/* Cfa/type.scm 201 */
								BgL_nodez00_bglt BgL_obj2137z00_2628;

								BgL_obj2137z00_2628 = ((BgL_nodez00_bglt) BgL_nodez00_2123);
								BgL_arg6261z00_2130 =
									(((BgL_nodez00_bglt) CREF(
											((obj_t) BgL_obj2137z00_2628)))->BgL_typez00);
							}
							BgL_testz00_4456 =
								(
								((obj_t) BgL_arg6261z00_2130) == BGl_za2_za2z00zztype_cachez00);
						}
					else
						{	/* Cfa/type.scm 201 */
							BgL_testz00_4456 = ((bool_t) 0);
						}
					if (BgL_testz00_4456)
						{	/* Cfa/type.scm 202 */
							BgL_typez00_bglt BgL_arg6259z00_2128;

							{	/* Cfa/type.scm 202 */
								obj_t BgL_arg6260z00_2129;

								BgL_arg6260z00_2129 =
									(((BgL_kwotez00_bglt) CREF(
											((obj_t) BgL_nodez00_2123)))->BgL_valuez00);
								BgL_arg6259z00_2128 =
									BGl_getzd2typezd2kwotez00zztype_typeofz00
									(BgL_arg6260z00_2129);
							}
							{	/* Cfa/type.scm 202 */
								BgL_nodez00_bglt BgL_obj2139z00_2630;

								BgL_obj2139z00_2630 = ((BgL_nodez00_bglt) BgL_nodez00_2123);
								((((BgL_nodez00_bglt) CREF(
												((obj_t) BgL_obj2139z00_2630)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg6259z00_2128), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 201 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2123);
			}
		}
	}



/* &type-node!-atom6018 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom6018z70zzcfa_typez00(obj_t
		BgL_envz00_2993, BgL_atomz00_bglt BgL_nodez00_2994)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 193 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2994);
		}
	}



/* &type-variable!-inter6014 */
	obj_t BGl_z62typezd2variablez12zd2inter6014z70zzcfa_typez00(obj_t
		BgL_envz00_2995, BgL_internzd2sfunzf2cinfoz20_bglt BgL_valuez00_2996,
		obj_t BgL_variablez00_2997)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 156 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-sexit6012 */
	obj_t BGl_z62typezd2variablez12zd2sexit6012z70zzcfa_typez00(obj_t
		BgL_envz00_2998, BgL_sexitzf2cinfozf2_bglt BgL_valuez00_2999,
		obj_t BgL_variablez00_3000)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 146 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-cvar/6010 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf26010z82zzcfa_typez00(obj_t
		BgL_envz00_3001, BgL_cvarzf2cinfozf2_bglt BgL_valuez00_3002,
		obj_t BgL_variablez00_3003)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 139 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_valuez00_2101;
				obj_t BgL_variablez00_2102;

				BgL_valuez00_2101 = BgL_valuez00_3002;
				BgL_variablez00_2102 = BgL_variablez00_3003;
				{	/* Cfa/type.scm 140 */
					obj_t BgL_arg6256z00_2625;

					{	/* Cfa/type.scm 140 */
						BgL_approxz00_bglt BgL_arg6257z00_2626;

						{
							obj_t BgL_auxz00_4474;

							{	/* Cfa/type.scm 140 */
								BgL_objectz00_bglt BgL_auxz00_4475;

								BgL_auxz00_4475 = ((BgL_objectz00_bglt) BgL_valuez00_2101);
								BgL_auxz00_4474 = BGL_OBJECT_WIDENING(BgL_auxz00_4475);
							}
							BgL_arg6257z00_2626 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_4474))->
								BgL_approxz00);
						}
						BgL_arg6256z00_2625 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg6257z00_2626,
							((obj_t) BgL_valuez00_2101));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_2102),
						((BgL_typez00_bglt) BgL_arg6256z00_2625));
				}
			}
		}
	}



/* &type-variable!-scnst6008 */
	obj_t BGl_z62typezd2variablez12zd2scnst6008z70zzcfa_typez00(obj_t
		BgL_envz00_3004, BgL_scnstzf2cinfozf2_bglt BgL_valuez00_3005,
		obj_t BgL_variablez00_3006)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 133 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-svar/6006 */
	obj_t BGl_z62typezd2variablez12zd2svarzf26006z82zzcfa_typez00(obj_t
		BgL_envz00_3007, BgL_svarzf2cinfozf2_bglt BgL_valuez00_3008,
		obj_t BgL_variablez00_3009)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 126 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_valuez00_2088;
				obj_t BgL_variablez00_2089;

				BgL_valuez00_2088 = BgL_valuez00_3008;
				BgL_variablez00_2089 = BgL_variablez00_3009;
				{	/* Cfa/type.scm 127 */
					obj_t BgL_arg6254z00_2621;

					{	/* Cfa/type.scm 127 */
						BgL_approxz00_bglt BgL_arg6255z00_2622;

						{
							obj_t BgL_auxz00_4485;

							{	/* Cfa/type.scm 127 */
								BgL_objectz00_bglt BgL_auxz00_4486;

								BgL_auxz00_4486 = ((BgL_objectz00_bglt) BgL_valuez00_2088);
								BgL_auxz00_4485 = BGL_OBJECT_WIDENING(BgL_auxz00_4486);
							}
							BgL_arg6255z00_2622 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_4485))->
								BgL_approxz00);
						}
						BgL_arg6254z00_2621 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg6255z00_2622,
							((obj_t) BgL_valuez00_2088));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_2089),
						((BgL_typez00_bglt) BgL_arg6254z00_2621));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 533335138),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 533042259),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string6518z00zzcfa_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
