/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_zc3exitza32493ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol3611z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3613z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_letrecz00_bglt
		BGl_makezd2ev_letreczd2zz__evaluate_typesz00(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol3615z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3617z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3619z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_letz00_bglt BGl_makezd2ev_letzd2zz__evaluate_typesz00(obj_t,
		obj_t, BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_symbol3621z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3623z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3625z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3627z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol3629z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3631z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3633z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3636z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3638z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol3640z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3642z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol3644z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3646z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_bindzd2exitzd2_bglt
		BGl_makezd2ev_bindzd2exitz00zz__evaluate_typesz00(BgL_ev_varz00_bglt,
		BgL_ev_exprz00_bglt);
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern BgL_ev_orz00_bglt BGl_makezd2ev_orzd2zz__evaluate_typesz00(obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	extern BgL_ev_absz00_bglt BGl_makezd2ev_abszd2zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, BgL_ev_exprz00_bglt, int, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextez12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern BgL_ev_setglobalz00_bglt
		BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2evaluationzd2contextez62zz__evaluatez00(obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern BgL_ev_globalz00_bglt
		BGl_makezd2ev_globalzd2zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern BgL_ev_varz00_bglt BGl_makezd2ev_varzd2zz__evaluate_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern BgL_ev_letza2za2_bglt
		BGl_makezd2ev_letza2z70zz__evaluate_typesz00(obj_t, obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	extern BgL_ev_setlocalz00_bglt
		BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_untypezd2identzd2zz__evcompilez00(obj_t);
	extern BgL_ev_trapz00_bglt
		BGl_makezd2ev_trapzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt);
	extern BgL_ev_andz00_bglt BGl_makezd2ev_andzd2zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_appendzd221095zd2zz__evaluatez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextez12z12zz__evaluatez00(obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t,
		obj_t);
	extern int bgl_debug();
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_ev_appz00_bglt BGl_makezd2ev_appzd2zz__evaluate_typesz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	extern BgL_ev_withzd2handlerzd2_bglt
		BGl_makezd2ev_withzd2handlerz00zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern BgL_ev_prog2z00_bglt
		BGl_makezd2ev_prog2zd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_ev_littz00_bglt BGl_makezd2ev_littzd2zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextez00zz__evaluatez00();
	extern BgL_ev_unwindzd2protectzd2_bglt
		BGl_makezd2ev_unwindzd2protectz00zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	extern BgL_ev_defglobalz00_bglt
		BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t, obj_t);
	extern BgL_ev_ifz00_bglt
		BGl_makezd2ev_ifzd2zz__evaluate_typesz00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt);
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol3604z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3608z00zz__evaluatez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string3603z00zz__evaluatez00,
		BgL_bgl_string3603za700za7za7_3649za7, "", 0);
	      DEFINE_STRING(BGl_string3605z00zz__evaluatez00,
		BgL_bgl_string3605za700za7za7_3650za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string3606z00zz__evaluatez00,
		BgL_bgl_string3606za700za7za7_3651za7, "eval", 4);
	      DEFINE_STRING(BGl_string3607z00zz__evaluatez00,
		BgL_bgl_string3607za700za7za7_3652za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string3609z00zz__evaluatez00,
		BgL_bgl_string3609za700za7za7_3653za7, " ", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextezd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3654z00,
		BGl_z62getzd2evaluationzd2contextez62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3610z00zz__evaluatez00,
		BgL_bgl_string3610za700za7za7_3655za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string3612z00zz__evaluatez00,
		BgL_bgl_string3612za700za7za7_3656za7, "module", 6);
	      DEFINE_STRING(BGl_string3614z00zz__evaluatez00,
		BgL_bgl_string3614za700za7za7_3657za7, "@", 1);
	      DEFINE_STRING(BGl_string3616z00zz__evaluatez00,
		BgL_bgl_string3616za700za7za7_3658za7, "trap", 4);
	      DEFINE_STRING(BGl_string3618z00zz__evaluatez00,
		BgL_bgl_string3618za700za7za7_3659za7, "quote", 5);
	      DEFINE_STRING(BGl_string3620z00zz__evaluatez00,
		BgL_bgl_string3620za700za7za7_3660za7, "if", 2);
	      DEFINE_STRING(BGl_string3622z00zz__evaluatez00,
		BgL_bgl_string3622za700za7za7_3661za7, "or", 2);
	      DEFINE_STRING(BGl_string3624z00zz__evaluatez00,
		BgL_bgl_string3624za700za7za7_3662za7, "and", 3);
	      DEFINE_STRING(BGl_string3626z00zz__evaluatez00,
		BgL_bgl_string3626za700za7za7_3663za7, "begin", 5);
	      DEFINE_STRING(BGl_string3628z00zz__evaluatez00,
		BgL_bgl_string3628za700za7za7_3664za7, "let", 3);
	      DEFINE_STRING(BGl_string3630z00zz__evaluatez00,
		BgL_bgl_string3630za700za7za7_3665za7, "let*", 4);
	      DEFINE_STRING(BGl_string3632z00zz__evaluatez00,
		BgL_bgl_string3632za700za7za7_3666za7, "letrec", 6);
	      DEFINE_STRING(BGl_string3634z00zz__evaluatez00,
		BgL_bgl_string3634za700za7za7_3667za7, "set!", 4);
	      DEFINE_STRING(BGl_string3635z00zz__evaluatez00,
		BgL_bgl_string3635za700za7za7_3668za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string3637z00zz__evaluatez00,
		BgL_bgl_string3637za700za7za7_3669za7, "define", 6);
	      DEFINE_STRING(BGl_string3639z00zz__evaluatez00,
		BgL_bgl_string3639za700za7za7_3670za7, "lambda", 6);
	      DEFINE_STRING(BGl_string3641z00zz__evaluatez00,
		BgL_bgl_string3641za700za7za7_3671za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3643z00zz__evaluatez00,
		BgL_bgl_string3643za700za7za7_3672za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3645z00zz__evaluatez00,
		BgL_bgl_string3645za700za7za7_3673za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string3647z00zz__evaluatez00,
		BgL_bgl_string3647za700za7za7_3674za7, "\\@", 2);
	      DEFINE_STRING(BGl_string3648z00zz__evaluatez00,
		BgL_bgl_string3648za700za7za7_3675za7, "__evaluate", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat3676z00,
		BGl_z62setzd2evaluationzd2contextez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73677za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_5810, char *BgL_fromz00_5811)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol3604z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3605z00zz__evaluatez00);
			BGl_symbol3608z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3609z00zz__evaluatez00);
			BGl_symbol3611z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3612z00zz__evaluatez00);
			BGl_symbol3613z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3614z00zz__evaluatez00);
			BGl_symbol3615z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3616z00zz__evaluatez00);
			BGl_symbol3617z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3618z00zz__evaluatez00);
			BGl_symbol3619z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3620z00zz__evaluatez00);
			BGl_symbol3621z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3622z00zz__evaluatez00);
			BGl_symbol3623z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3624z00zz__evaluatez00);
			BGl_symbol3625z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3626z00zz__evaluatez00);
			BGl_symbol3627z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3628z00zz__evaluatez00);
			BGl_symbol3629z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3630z00zz__evaluatez00);
			BGl_symbol3631z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3632z00zz__evaluatez00);
			BGl_symbol3633z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3634z00zz__evaluatez00);
			BGl_symbol3636z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3637z00zz__evaluatez00);
			BGl_symbol3638z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3639z00zz__evaluatez00);
			BGl_symbol3640z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3641z00zz__evaluatez00);
			BGl_symbol3642z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3643z00zz__evaluatez00);
			BGl_symbol3644z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3645z00zz__evaluatez00);
			return (BGl_symbol3646z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3647z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1113;

				BgL_headz00_1113 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2672;
					obj_t BgL_tailz00_2673;

					BgL_prevz00_2672 = BgL_headz00_1113;
					BgL_tailz00_2673 = BgL_l1z00_1;
				BgL_loopz00_2671:
					if (PAIRP(BgL_tailz00_2673))
						{
							obj_t BgL_newzd2prevzd2_2679;

							BgL_newzd2prevzd2_2679 =
								MAKE_PAIR(CAR(BgL_tailz00_2673), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2672, BgL_newzd2prevzd2_2679);
							{
								obj_t BgL_tailz00_5844;
								obj_t BgL_prevz00_5843;

								BgL_prevz00_5843 = BgL_newzd2prevzd2_2679;
								BgL_tailz00_5844 = CDR(BgL_tailz00_2673);
								BgL_tailz00_2673 = BgL_tailz00_5844;
								BgL_prevz00_2672 = BgL_prevz00_5843;
								goto BgL_loopz00_2671;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1113);
			}
		}
	}



/* get-evaluation-contexte */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextez00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 73 */
				obj_t BgL_sz00_1121;

				BgL_sz00_1121 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_bpz00_1122;

					BgL_bpz00_1122 = VECTOR_REF(BgL_sz00_1121, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 75 */
						obj_t BgL_rz00_1123;

						BgL_rz00_1123 =
							make_vector(CINT(BgL_bpz00_1122),
							BGl_string3603z00zz__evaluatez00);
						{
							long BgL_iz00_1125;

							BgL_iz00_1125 = ((long) 0);
						BgL_zc3anonymousza32478ze3z83_1126:
							if ((BgL_iz00_1125 < (long) CINT(BgL_bpz00_1122)))
								{	/* Eval/evaluate.scm 77 */
									VECTOR_SET(BgL_rz00_1123,
										(int) (BgL_iz00_1125),
										VECTOR_REF(BgL_sz00_1121, (int) (BgL_iz00_1125)));
									{
										long BgL_iz00_5859;

										BgL_iz00_5859 = (BgL_iz00_1125 + ((long) 1));
										BgL_iz00_1125 = BgL_iz00_5859;
										goto BgL_zc3anonymousza32478ze3z83_1126;
									}
								}
							else
								{	/* Eval/evaluate.scm 77 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1123;
					}
				}
			}
		}
	}



/* &get-evaluation-contexte */
	obj_t BGl_z62getzd2evaluationzd2contextez62zz__evaluatez00(obj_t
		BgL_envz00_5082)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			return BGl_getzd2evaluationzd2contextez00zz__evaluatez00();
		}
	}



/* set-evaluation-contexte! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextez12z12zz__evaluatez00(obj_t BgL_vz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 86 */
				obj_t BgL_sz00_1131;

				BgL_sz00_1131 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 87 */
					obj_t BgL_bpz00_1132;

					BgL_bpz00_1132 = VECTOR_REF(BgL_vz00_3, (int) (((long) 0)));
					{
						long BgL_iz00_1134;

						{	/* Eval/evaluate.scm 88 */
							bool_t BgL_auxz00_5865;

							BgL_iz00_1134 = ((long) 0);
						BgL_zc3anonymousza32482ze3z83_1135:
							if ((BgL_iz00_1134 < (long) CINT(BgL_bpz00_1132)))
								{	/* Eval/evaluate.scm 89 */
									VECTOR_SET(BgL_sz00_1131,
										(int) (BgL_iz00_1134),
										VECTOR_REF(BgL_vz00_3, (int) (BgL_iz00_1134)));
									{
										long BgL_iz00_5873;

										BgL_iz00_5873 = (BgL_iz00_1134 + ((long) 1));
										BgL_iz00_1134 = BgL_iz00_5873;
										goto BgL_zc3anonymousza32482ze3z83_1135;
									}
								}
							else
								{	/* Eval/evaluate.scm 89 */
									BgL_auxz00_5865 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_5865);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-contexte! */
	obj_t BGl_z62setzd2evaluationzd2contextez12z70zz__evaluatez00(obj_t
		BgL_envz00_5083, obj_t BgL_vz00_5084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			return
				BGl_setzd2evaluationzd2contextez12z12zz__evaluatez00(BgL_vz00_5084);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_4,
		obj_t BgL_envz00_5, obj_t BgL_locz00_6)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 96 */
			{	/* Eval/evaluate.scm 101 */
				BgL_ev_exprz00_bglt BgL_astz00_1140;

				{	/* Eval/evaluate.scm 101 */
					obj_t BgL_arg2494z00_1156;

					BgL_arg2494z00_1156 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_4, BNIL, BgL_envz00_5,
						BFALSE, BGl_symbol3604z00zz__evaluatez00, BgL_locz00_6,
						((bool_t) 1));
					BgL_astz00_1140 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg2494z00_1156));
				}
				{	/* Eval/evaluate.scm 102 */
					bool_t BgL_testz00_5880;

					{	/* Eval/evaluate.scm 102 */
						int BgL_arg2489z00_1144;

						BgL_arg2489z00_1144 = bgl_debug();
						BgL_testz00_5880 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2489z00_1144),
							BINT(((long) 10)));
					}
					if (BgL_testz00_5880)
						{	/* Eval/evaluate.scm 102 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_1140), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 102 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1140);
				{	/* Eval/evaluate.scm 104 */
					int BgL_nz00_1145;

					BgL_nz00_1145 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1140);
					{	/* Eval/evaluate.scm 105 */
						obj_t BgL_fz00_1146;

						BgL_fz00_1146 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1140);
						{	/* Eval/evaluate.scm 106 */
							obj_t BgL_sz00_1147;

							BgL_sz00_1147 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 107 */
								obj_t BgL_bpz00_1148;

								BgL_bpz00_1148 = VECTOR_REF(BgL_sz00_1147, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 108 */
									obj_t BgL_val2332z00_1149;

									BgL_val2332z00_1149 =
										BGl_zc3exitza32493ze3z83zz__evaluatez00(BgL_sz00_1147,
										BgL_fz00_1146);
									VECTOR_SET(BgL_sz00_1147, (int) (((long) 0)), BgL_bpz00_1148);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val2332z00_1149)))
										{	/* Eval/evaluate.scm 110 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val2332z00_1149), CDR(BgL_val2332z00_1149));
										}
									else
										{	/* Eval/evaluate.scm 110 */
											return BgL_val2332z00_1149;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:2493> */
	obj_t BGl_zc3exitza32493ze3z83zz__evaluatez00(obj_t BgL_sz00_5111,
		obj_t BgL_fz00_5110)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 110 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2333z00_1154;

			if (SET_EXIT(BgL_an_exit2333z00_1154))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2333z00_1154 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 110 */

						PUSH_EXIT(BgL_an_exit2333z00_1154, ((long) 0));
						{	/* Eval/evaluate.scm 109 */
							obj_t BgL_val2334z00_1155;

							BgL_val2334z00_1155 =
								PROCEDURE_ENTRY(BgL_fz00_5110) (BgL_fz00_5110, BgL_sz00_5111,
								BEOA);
							POP_EXIT();
							return BgL_val2334z00_1155;
						}
					}
				}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_5085,
		obj_t BgL_sexpz00_5086, obj_t BgL_envz00_5087, obj_t BgL_locz00_5088)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 96 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_5086, BgL_envz00_5087,
				BgL_locz00_5088);
		}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_7,
		obj_t BgL_locz00_8)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL__ortest_2335z00_2725;

				BgL__ortest_2335z00_2725 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_7);
				if (CBOOL(BgL__ortest_2335z00_2725))
					{	/* Eval/evaluate.scm 116 */
						return BgL__ortest_2335z00_2725;
					}
				else
					{	/* Eval/evaluate.scm 116 */
						return BgL_locz00_8;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_15,
		obj_t BgL_localsz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 135 */
			{
				obj_t BgL_lz00_1161;

				BgL_lz00_1161 = BgL_localsz00_16;
			BgL_zc3anonymousza32495ze3z83_1162:
				if (NULLP(BgL_lz00_1161))
					{	/* Eval/evaluate.scm 137 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 139 */
						obj_t BgL_rvz00_1164;

						BgL_rvz00_1164 = CAR(BgL_lz00_1161);
						{	/* Eval/evaluate.scm 140 */
							bool_t BgL_testz00_5917;

							{	/* Eval/evaluate.scm 140 */
								obj_t BgL_auxz00_5918;

								{	/* Eval/evaluate.scm 140 */
									BgL_ev_varz00_bglt BgL_obj1830z00_2731;

									BgL_obj1830z00_2731 = ((BgL_ev_varz00_bglt) BgL_rvz00_1164);
									BgL_auxz00_5918 =
										(((BgL_ev_varz00_bglt) CREF(
												((obj_t) BgL_obj1830z00_2731)))->BgL_namez00);
								}
								BgL_testz00_5917 = (BgL_vz00_15 == BgL_auxz00_5918);
							}
							if (BgL_testz00_5917)
								{	/* Eval/evaluate.scm 140 */
									return BgL_rvz00_1164;
								}
							else
								{
									obj_t BgL_lz00_5923;

									BgL_lz00_5923 = CDR(BgL_lz00_1161);
									BgL_lz00_1161 = BgL_lz00_5923;
									goto BgL_zc3anonymousza32495ze3z83_1162;
								}
						}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_17,
		obj_t BgL_localsz00_18, obj_t BgL_globalsz00_19, obj_t BgL_tailzf3zf3_20,
		obj_t BgL_wherez00_21, obj_t BgL_locz00_22, bool_t BgL_topzf3zf3_23)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 147 */
			{	/* Eval/evaluate.scm 148 */
				obj_t BgL_locz00_1169;

				{	/* Eval/evaluate.scm 148 */
					obj_t BgL__ortest_2335z00_2735;

					BgL__ortest_2335z00_2735 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_17);
					if (CBOOL(BgL__ortest_2335z00_2735))
						{	/* Eval/evaluate.scm 148 */
							BgL_locz00_1169 = BgL__ortest_2335z00_2735;
						}
					else
						{	/* Eval/evaluate.scm 148 */
							BgL_locz00_1169 = BgL_locz00_22;
						}
				}
				if (NULLP(BgL_lz00_17))
					{	/* Eval/evaluate.scm 149 */
						BgL_ev_littz00_bglt BgL_xz00_5115;

						BgL_xz00_5115 = BGl_makezd2ev_littzd2zz__evaluate_typesz00(BUNSPEC);
						return ((obj_t) BgL_xz00_5115);
					}
				else
					{	/* Eval/evaluate.scm 149 */
						if (PAIRP(BgL_lz00_17))
							{	/* Eval/evaluate.scm 149 */
								if (NULLP(CDR(BgL_lz00_17)))
									{	/* Eval/evaluate.scm 149 */
										obj_t BgL_arg2503z00_1181;

										BgL_arg2503z00_1181 = CAR(BgL_lz00_17);
										{	/* Eval/evaluate.scm 149 */
											obj_t BgL_arg2507z00_2755;

											{	/* Eval/evaluate.scm 149 */
												obj_t BgL__ortest_2335z00_2758;

												BgL__ortest_2335z00_2758 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg2503z00_1181);
												if (CBOOL(BgL__ortest_2335z00_2758))
													{	/* Eval/evaluate.scm 149 */
														BgL_arg2507z00_2755 = BgL__ortest_2335z00_2758;
													}
												else
													{	/* Eval/evaluate.scm 149 */
														BgL_arg2507z00_2755 = BgL_locz00_1169;
													}
											}
											return
												BGl_convz00zz__evaluatez00(BgL_arg2503z00_1181,
												BgL_localsz00_18, BgL_globalsz00_19, BgL_tailzf3zf3_20,
												BgL_wherez00_21, BgL_arg2507z00_2755, BgL_topzf3zf3_23);
										}
									}
								else
									{	/* Eval/evaluate.scm 149 */
										obj_t BgL_arg2504z00_1182;
										obj_t BgL_arg2505z00_1183;

										BgL_arg2504z00_1182 = CAR(BgL_lz00_17);
										BgL_arg2505z00_1183 = CDR(BgL_lz00_17);
										{	/* Eval/evaluate.scm 149 */
											obj_t BgL_arg2508z00_2763;
											obj_t BgL_arg2509z00_2764;

											{	/* Eval/evaluate.scm 149 */
												obj_t BgL_arg2510z00_2765;

												{	/* Eval/evaluate.scm 149 */
													obj_t BgL__ortest_2335z00_2768;

													BgL__ortest_2335z00_2768 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg2504z00_1182);
													if (CBOOL(BgL__ortest_2335z00_2768))
														{	/* Eval/evaluate.scm 149 */
															BgL_arg2510z00_2765 = BgL__ortest_2335z00_2768;
														}
													else
														{	/* Eval/evaluate.scm 149 */
															BgL_arg2510z00_2765 = BgL_locz00_1169;
														}
												}
												BgL_arg2508z00_2763 =
													BGl_convz00zz__evaluatez00(BgL_arg2504z00_1182,
													BgL_localsz00_18, BgL_globalsz00_19, BFALSE,
													BgL_wherez00_21, BgL_arg2510z00_2765,
													BgL_topzf3zf3_23);
											}
											BgL_arg2509z00_2764 =
												BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2505z00_1183,
												BgL_localsz00_18, BgL_globalsz00_19, BgL_tailzf3zf3_20,
												BgL_wherez00_21, BgL_locz00_1169, BgL_topzf3zf3_23);
											{	/* Eval/evaluate.scm 149 */
												BgL_ev_prog2z00_bglt BgL_xz00_5118;

												BgL_xz00_5118 =
													BGl_makezd2ev_prog2zd2zz__evaluate_typesz00(
													((BgL_ev_exprz00_bglt) BgL_arg2508z00_2763),
													((BgL_ev_exprz00_bglt) BgL_arg2509z00_2764));
												return ((obj_t) BgL_xz00_5118);
											}
										}
									}
							}
						else
							{	/* Eval/evaluate.scm 149 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1169,
									BGl_string3606z00zz__evaluatez00,
									BGl_string3607z00zz__evaluatez00, BgL_lz00_17);
							}
					}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_24, obj_t BgL_localsz00_25,
		obj_t BgL_globalsz00_26, obj_t BgL_tailzf3zf3_27, obj_t BgL_wherez00_28,
		obj_t BgL_locz00_29, bool_t BgL_topzf3zf3_30)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 165 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1195;
				obj_t BgL_bahz00_1197;
				obj_t BgL_bindsz00_1219;
				obj_t BgL_bodyz00_1220;
				obj_t BgL_bindsz00_1222;
				obj_t BgL_bodyz00_1223;
				obj_t BgL_bindsz00_1225;
				obj_t BgL_bodyz00_1226;

				if (PAIRP(BgL_ez00_24))
					{	/* Eval/evaluate.scm 212 */
						if ((CAR(BgL_ez00_24) == BGl_symbol3611z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 212 */
								BgL_bahz00_1197 = CDR(BgL_ez00_24);
								if (BgL_topzf3zf3_30)
									{	/* Eval/evaluate.scm 224 */
										obj_t BgL_arg3010z00_1860;

										{	/* Eval/evaluate.scm 224 */
											obj_t BgL_arg3011z00_1861;

											{	/* Eval/evaluate.scm 224 */
												obj_t BgL_arg3012z00_1862;

												{	/* Eval/evaluate.scm 224 */
													obj_t BgL__ortest_2335z00_2886;

													BgL__ortest_2335z00_2886 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_ez00_24);
													if (CBOOL(BgL__ortest_2335z00_2886))
														{	/* Eval/evaluate.scm 224 */
															BgL_arg3012z00_1862 = BgL__ortest_2335z00_2886;
														}
													else
														{	/* Eval/evaluate.scm 224 */
															BgL_arg3012z00_1862 = BgL_locz00_29;
														}
												}
												BgL_arg3011z00_1861 =
													BGl_evmodulez00zz__evmodulez00(BgL_ez00_24,
													BgL_arg3012z00_1862);
											}
											BgL_arg3010z00_1860 =
												BGl_expandz00zz__expandz00(BgL_arg3011z00_1861);
										}
										{
											bool_t BgL_topzf3zf3_5968;
											obj_t BgL_wherez00_5967;
											obj_t BgL_tailzf3zf3_5966;
											obj_t BgL_ez00_5965;

											BgL_ez00_5965 = BgL_arg3010z00_1860;
											BgL_tailzf3zf3_5966 = BgL_wherez00_28;
											BgL_wherez00_5967 = BFALSE;
											BgL_topzf3zf3_5968 = ((bool_t) 1);
											BgL_topzf3zf3_30 = BgL_topzf3zf3_5968;
											BgL_wherez00_28 = BgL_wherez00_5967;
											BgL_tailzf3zf3_27 = BgL_tailzf3zf3_5966;
											BgL_ez00_24 = BgL_ez00_5965;
											goto BGl_convz00zz__evaluatez00;
										}
									}
								else
									{	/* Eval/evaluate.scm 223 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_29,
											BGl_string3606z00zz__evaluatez00,
											BGl_string3610z00zz__evaluatez00, BgL_ez00_24);
									}
							}
						else
							{	/* Eval/evaluate.scm 212 */
								obj_t BgL_cdrzd21508zd2_1263;

								BgL_cdrzd21508zd2_1263 = CDR(BgL_ez00_24);
								if ((CAR(BgL_ez00_24) == BGl_symbol3613z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 212 */
										if (PAIRP(BgL_cdrzd21508zd2_1263))
											{	/* Eval/evaluate.scm 212 */
												obj_t BgL_carzd21511zd2_1266;
												obj_t BgL_cdrzd21512zd2_1267;

												BgL_carzd21511zd2_1266 = CAR(BgL_cdrzd21508zd2_1263);
												BgL_cdrzd21512zd2_1267 = CDR(BgL_cdrzd21508zd2_1263);
												if (SYMBOLP(BgL_carzd21511zd2_1266))
													{	/* Eval/evaluate.scm 212 */
														if (PAIRP(BgL_cdrzd21512zd2_1267))
															{	/* Eval/evaluate.scm 212 */
																obj_t BgL_carzd21516zd2_1270;

																BgL_carzd21516zd2_1270 =
																	CAR(BgL_cdrzd21512zd2_1267);
																if (SYMBOLP(BgL_carzd21516zd2_1270))
																	{	/* Eval/evaluate.scm 212 */
																		if (NULLP(CDR(BgL_cdrzd21512zd2_1267)))
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_idz00_3304;
																				obj_t BgL_modnamez00_3305;

																				BgL_idz00_3304 = BgL_carzd21511zd2_1266;
																				BgL_modnamez00_3305 =
																					BgL_carzd21516zd2_1270;
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_arg3013z00_3306;

																					BgL_arg3013z00_3306 =
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_modnamez00_3305);
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_globalz00_bglt BgL_xz00_5129;

																						BgL_xz00_5129 =
																							BGl_makezd2ev_globalzd2zz__evaluate_typesz00
																							(BgL_locz00_29, BgL_idz00_3304,
																							BgL_arg3013z00_3306);
																						return ((obj_t) BgL_xz00_5129);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_carzd21539zd2_1273;

																				BgL_carzd21539zd2_1273 =
																					CAR(BgL_ez00_24);
																				if (SYMBOLP(BgL_carzd21539zd2_1273))
																					{	/* Eval/evaluate.scm 212 */
																						bool_t BgL_testz00_5995;

																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_vz00_3310;

																							BgL_vz00_3310 =
																								BgL_carzd21539zd2_1273;
																							{
																								obj_t BgL_lz00_3313;

																								{	/* Eval/evaluate.scm 212 */
																									obj_t BgL_auxz00_5996;

																									BgL_lz00_3313 =
																										BgL_localsz00_25;
																								BgL_recz00_3312:
																									if (NULLP(BgL_lz00_3313))
																										{	/* Eval/evaluate.scm 212 */
																											BgL_auxz00_5996 = BFALSE;
																										}
																									else
																										{	/* Eval/evaluate.scm 212 */
																											obj_t BgL_rvz00_3317;

																											BgL_rvz00_3317 =
																												CAR(BgL_lz00_3313);
																											{	/* Eval/evaluate.scm 212 */
																												bool_t BgL_testz00_6000;

																												{	/* Eval/evaluate.scm 212 */
																													obj_t BgL_auxz00_6001;

																													{	/* Eval/evaluate.scm 212 */
																														BgL_ev_varz00_bglt
																															BgL_obj1830z00_3321;
																														BgL_obj1830z00_3321
																															=
																															(
																															(BgL_ev_varz00_bglt)
																															BgL_rvz00_3317);
																														BgL_auxz00_6001 =
																															(((BgL_ev_varz00_bglt) CREF(((obj_t) BgL_obj1830z00_3321)))->BgL_namez00);
																													}
																													BgL_testz00_6000 =
																														(BgL_vz00_3310 ==
																														BgL_auxz00_6001);
																												}
																												if (BgL_testz00_6000)
																													{	/* Eval/evaluate.scm 212 */
																														BgL_auxz00_5996 =
																															BgL_rvz00_3317;
																													}
																												else
																													{
																														obj_t BgL_lz00_6006;

																														BgL_lz00_6006 =
																															CDR
																															(BgL_lz00_3313);
																														BgL_lz00_3313 =
																															BgL_lz00_6006;
																														goto
																															BgL_recz00_3312;
																													}
																											}
																										}
																									BgL_testz00_5995 =
																										CBOOL(BgL_auxz00_5996);
																								}
																							}
																						}
																						if (BgL_testz00_5995)
																							{	/* Eval/evaluate.scm 212 */
																								obj_t BgL_funz00_3325;

																								BgL_funz00_3325 =
																									BgL_carzd21539zd2_1273;
																								{	/* Eval/evaluate.scm 212 */
																									obj_t BgL_funz00_3327;
																									obj_t BgL_argsz00_3328;

																									BgL_funz00_3327 =
																										BGl_uconvzf2loczf2zz__evaluatez00
																										(BgL_wherez00_28,
																										BgL_globalsz00_26,
																										BgL_localsz00_25,
																										BgL_funz00_3325,
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_funz00_3325,
																											BgL_locz00_29));
																									BgL_argsz00_3328 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_28,
																										BgL_globalsz00_26,
																										BgL_localsz00_25,
																										BgL_locz00_29,
																										BgL_cdrzd21508zd2_1263);
																									{	/* Eval/evaluate.scm 212 */
																										BgL_ev_appz00_bglt
																											BgL_xz00_5133;
																										BgL_xz00_5133 =
																											BGl_makezd2ev_appzd2zz__evaluate_typesz00
																											(BgL_locz00_29,
																											((BgL_ev_exprz00_bglt)
																												BgL_funz00_3327),
																											BgL_argsz00_3328,
																											BgL_tailzf3zf3_27);
																										return ((obj_t)
																											BgL_xz00_5133);
																									}
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 212 */
																								obj_t BgL_funz00_3335;
																								obj_t BgL_argsz00_3336;

																								BgL_funz00_3335 =
																									BGl_uconvzf2loczf2zz__evaluatez00
																									(BgL_wherez00_28,
																									BgL_globalsz00_26,
																									BgL_localsz00_25,
																									BgL_carzd21539zd2_1273,
																									BGl_getzd2locationzd2zz__evaluatez00
																									(BgL_carzd21539zd2_1273,
																										BgL_locz00_29));
																								BgL_argsz00_3336 =
																									BGl_loopz00zz__evaluatez00
																									(BgL_wherez00_28,
																									BgL_globalsz00_26,
																									BgL_localsz00_25,
																									BgL_locz00_29,
																									BgL_cdrzd21508zd2_1263);
																								{	/* Eval/evaluate.scm 212 */
																									BgL_ev_appz00_bglt
																										BgL_xz00_5135;
																									BgL_xz00_5135 =
																										BGl_makezd2ev_appzd2zz__evaluate_typesz00
																										(BgL_locz00_29,
																										((BgL_ev_exprz00_bglt)
																											BgL_funz00_3335),
																										BgL_argsz00_3336,
																										BgL_tailzf3zf3_27);
																									return ((obj_t)
																										BgL_xz00_5135);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_funz00_3343;
																						obj_t BgL_argsz00_3344;

																						BgL_funz00_3343 =
																							BGl_uconvzf2loczf2zz__evaluatez00
																							(BgL_wherez00_28,
																							BgL_globalsz00_26,
																							BgL_localsz00_25,
																							BgL_carzd21539zd2_1273,
																							BGl_getzd2locationzd2zz__evaluatez00
																							(BgL_carzd21539zd2_1273,
																								BgL_locz00_29));
																						BgL_argsz00_3344 =
																							BGl_loopz00zz__evaluatez00
																							(BgL_wherez00_28,
																							BgL_globalsz00_26,
																							BgL_localsz00_25, BgL_locz00_29,
																							BgL_cdrzd21508zd2_1263);
																						{	/* Eval/evaluate.scm 212 */
																							BgL_ev_appz00_bglt BgL_xz00_5137;

																							BgL_xz00_5137 =
																								BGl_makezd2ev_appzd2zz__evaluate_typesz00
																								(BgL_locz00_29,
																								((BgL_ev_exprz00_bglt)
																									BgL_funz00_3343),
																								BgL_argsz00_3344,
																								BgL_tailzf3zf3_27);
																							return ((obj_t) BgL_xz00_5137);
																						}
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_carzd22030zd2_1283;

																		BgL_carzd22030zd2_1283 = CAR(BgL_ez00_24);
																		if (SYMBOLP(BgL_carzd22030zd2_1283))
																			{	/* Eval/evaluate.scm 212 */
																				bool_t BgL_testz00_6030;

																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_vz00_3350;

																					BgL_vz00_3350 =
																						BgL_carzd22030zd2_1283;
																					{
																						obj_t BgL_lz00_3353;

																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_auxz00_6031;

																							BgL_lz00_3353 = BgL_localsz00_25;
																						BgL_recz00_3352:
																							if (NULLP(BgL_lz00_3353))
																								{	/* Eval/evaluate.scm 212 */
																									BgL_auxz00_6031 = BFALSE;
																								}
																							else
																								{	/* Eval/evaluate.scm 212 */
																									obj_t BgL_rvz00_3357;

																									BgL_rvz00_3357 =
																										CAR(BgL_lz00_3353);
																									{	/* Eval/evaluate.scm 212 */
																										bool_t BgL_testz00_6035;

																										{	/* Eval/evaluate.scm 212 */
																											obj_t BgL_auxz00_6036;

																											{	/* Eval/evaluate.scm 212 */
																												BgL_ev_varz00_bglt
																													BgL_obj1830z00_3361;
																												BgL_obj1830z00_3361 =
																													((BgL_ev_varz00_bglt)
																													BgL_rvz00_3357);
																												BgL_auxz00_6036 =
																													(((BgL_ev_varz00_bglt)
																														CREF(((obj_t)
																																BgL_obj1830z00_3361)))->
																													BgL_namez00);
																											}
																											BgL_testz00_6035 =
																												(BgL_vz00_3350 ==
																												BgL_auxz00_6036);
																										}
																										if (BgL_testz00_6035)
																											{	/* Eval/evaluate.scm 212 */
																												BgL_auxz00_6031 =
																													BgL_rvz00_3357;
																											}
																										else
																											{
																												obj_t BgL_lz00_6041;

																												BgL_lz00_6041 =
																													CDR(BgL_lz00_3353);
																												BgL_lz00_3353 =
																													BgL_lz00_6041;
																												goto BgL_recz00_3352;
																											}
																									}
																								}
																							BgL_testz00_6030 =
																								CBOOL(BgL_auxz00_6031);
																						}
																					}
																				}
																				if (BgL_testz00_6030)
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_funz00_3365;

																						BgL_funz00_3365 =
																							BgL_carzd22030zd2_1283;
																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_funz00_3367;
																							obj_t BgL_argsz00_3368;

																							BgL_funz00_3367 =
																								BGl_uconvzf2loczf2zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25,
																								BgL_funz00_3365,
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_funz00_3365,
																									BgL_locz00_29));
																							BgL_argsz00_3368 =
																								BGl_loopz00zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25, BgL_locz00_29,
																								BgL_cdrzd21508zd2_1263);
																							{	/* Eval/evaluate.scm 212 */
																								BgL_ev_appz00_bglt
																									BgL_xz00_5141;
																								BgL_xz00_5141 =
																									BGl_makezd2ev_appzd2zz__evaluate_typesz00
																									(BgL_locz00_29,
																									((BgL_ev_exprz00_bglt)
																										BgL_funz00_3367),
																									BgL_argsz00_3368,
																									BgL_tailzf3zf3_27);
																								return ((obj_t) BgL_xz00_5141);
																							}
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_funz00_3375;
																						obj_t BgL_argsz00_3376;

																						BgL_funz00_3375 =
																							BGl_uconvzf2loczf2zz__evaluatez00
																							(BgL_wherez00_28,
																							BgL_globalsz00_26,
																							BgL_localsz00_25,
																							BgL_carzd22030zd2_1283,
																							BGl_getzd2locationzd2zz__evaluatez00
																							(BgL_carzd22030zd2_1283,
																								BgL_locz00_29));
																						BgL_argsz00_3376 =
																							BGl_loopz00zz__evaluatez00
																							(BgL_wherez00_28,
																							BgL_globalsz00_26,
																							BgL_localsz00_25, BgL_locz00_29,
																							BgL_cdrzd21508zd2_1263);
																						{	/* Eval/evaluate.scm 212 */
																							BgL_ev_appz00_bglt BgL_xz00_5143;

																							BgL_xz00_5143 =
																								BGl_makezd2ev_appzd2zz__evaluate_typesz00
																								(BgL_locz00_29,
																								((BgL_ev_exprz00_bglt)
																									BgL_funz00_3375),
																								BgL_argsz00_3376,
																								BgL_tailzf3zf3_27);
																							return ((obj_t) BgL_xz00_5143);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_funz00_3383;
																				obj_t BgL_argsz00_3384;

																				BgL_funz00_3383 =
																					BGl_uconvzf2loczf2zz__evaluatez00
																					(BgL_wherez00_28, BgL_globalsz00_26,
																					BgL_localsz00_25,
																					BgL_carzd22030zd2_1283,
																					BGl_getzd2locationzd2zz__evaluatez00
																					(BgL_carzd22030zd2_1283,
																						BgL_locz00_29));
																				BgL_argsz00_3384 =
																					BGl_loopz00zz__evaluatez00
																					(BgL_wherez00_28, BgL_globalsz00_26,
																					BgL_localsz00_25, BgL_locz00_29,
																					BgL_cdrzd21508zd2_1263);
																				{	/* Eval/evaluate.scm 212 */
																					BgL_ev_appz00_bglt BgL_xz00_5145;

																					BgL_xz00_5145 =
																						BGl_makezd2ev_appzd2zz__evaluate_typesz00
																						(BgL_locz00_29,
																						((BgL_ev_exprz00_bglt)
																							BgL_funz00_3383),
																						BgL_argsz00_3384,
																						BgL_tailzf3zf3_27);
																					return ((obj_t) BgL_xz00_5145);
																				}
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 212 */
																obj_t BgL_carzd22521zd2_1292;

																BgL_carzd22521zd2_1292 = CAR(BgL_ez00_24);
																if (SYMBOLP(BgL_carzd22521zd2_1292))
																	{	/* Eval/evaluate.scm 212 */
																		bool_t BgL_testz00_6065;

																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_vz00_3390;

																			BgL_vz00_3390 = BgL_carzd22521zd2_1292;
																			{
																				obj_t BgL_lz00_3393;

																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_auxz00_6066;

																					BgL_lz00_3393 = BgL_localsz00_25;
																				BgL_recz00_3392:
																					if (NULLP(BgL_lz00_3393))
																						{	/* Eval/evaluate.scm 212 */
																							BgL_auxz00_6066 = BFALSE;
																						}
																					else
																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_rvz00_3397;

																							BgL_rvz00_3397 =
																								CAR(BgL_lz00_3393);
																							{	/* Eval/evaluate.scm 212 */
																								bool_t BgL_testz00_6070;

																								{	/* Eval/evaluate.scm 212 */
																									obj_t BgL_auxz00_6071;

																									{	/* Eval/evaluate.scm 212 */
																										BgL_ev_varz00_bglt
																											BgL_obj1830z00_3401;
																										BgL_obj1830z00_3401 =
																											((BgL_ev_varz00_bglt)
																											BgL_rvz00_3397);
																										BgL_auxz00_6071 =
																											(((BgL_ev_varz00_bglt)
																												CREF(((obj_t)
																														BgL_obj1830z00_3401)))->
																											BgL_namez00);
																									}
																									BgL_testz00_6070 =
																										(BgL_vz00_3390 ==
																										BgL_auxz00_6071);
																								}
																								if (BgL_testz00_6070)
																									{	/* Eval/evaluate.scm 212 */
																										BgL_auxz00_6066 =
																											BgL_rvz00_3397;
																									}
																								else
																									{
																										obj_t BgL_lz00_6076;

																										BgL_lz00_6076 =
																											CDR(BgL_lz00_3393);
																										BgL_lz00_3393 =
																											BgL_lz00_6076;
																										goto BgL_recz00_3392;
																									}
																							}
																						}
																					BgL_testz00_6065 =
																						CBOOL(BgL_auxz00_6066);
																				}
																			}
																		}
																		if (BgL_testz00_6065)
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_funz00_3405;

																				BgL_funz00_3405 =
																					BgL_carzd22521zd2_1292;
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_funz00_3407;
																					obj_t BgL_argsz00_3408;

																					BgL_funz00_3407 =
																						BGl_uconvzf2loczf2zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25, BgL_funz00_3405,
																						BGl_getzd2locationzd2zz__evaluatez00
																						(BgL_funz00_3405, BgL_locz00_29));
																					BgL_argsz00_3408 =
																						BGl_loopz00zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25, BgL_locz00_29,
																						BgL_cdrzd21508zd2_1263);
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_appz00_bglt BgL_xz00_5149;

																						BgL_xz00_5149 =
																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																							(BgL_locz00_29,
																							((BgL_ev_exprz00_bglt)
																								BgL_funz00_3407),
																							BgL_argsz00_3408,
																							BgL_tailzf3zf3_27);
																						return ((obj_t) BgL_xz00_5149);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_funz00_3415;
																				obj_t BgL_argsz00_3416;

																				BgL_funz00_3415 =
																					BGl_uconvzf2loczf2zz__evaluatez00
																					(BgL_wherez00_28, BgL_globalsz00_26,
																					BgL_localsz00_25,
																					BgL_carzd22521zd2_1292,
																					BGl_getzd2locationzd2zz__evaluatez00
																					(BgL_carzd22521zd2_1292,
																						BgL_locz00_29));
																				BgL_argsz00_3416 =
																					BGl_loopz00zz__evaluatez00
																					(BgL_wherez00_28, BgL_globalsz00_26,
																					BgL_localsz00_25, BgL_locz00_29,
																					BgL_cdrzd21508zd2_1263);
																				{	/* Eval/evaluate.scm 212 */
																					BgL_ev_appz00_bglt BgL_xz00_5151;

																					BgL_xz00_5151 =
																						BGl_makezd2ev_appzd2zz__evaluate_typesz00
																						(BgL_locz00_29,
																						((BgL_ev_exprz00_bglt)
																							BgL_funz00_3415),
																						BgL_argsz00_3416,
																						BgL_tailzf3zf3_27);
																					return ((obj_t) BgL_xz00_5151);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_funz00_3423;
																		obj_t BgL_argsz00_3424;

																		BgL_funz00_3423 =
																			BGl_uconvzf2loczf2zz__evaluatez00
																			(BgL_wherez00_28, BgL_globalsz00_26,
																			BgL_localsz00_25, BgL_carzd22521zd2_1292,
																			BGl_getzd2locationzd2zz__evaluatez00
																			(BgL_carzd22521zd2_1292, BgL_locz00_29));
																		BgL_argsz00_3424 =
																			BGl_loopz00zz__evaluatez00
																			(BgL_wherez00_28, BgL_globalsz00_26,
																			BgL_localsz00_25, BgL_locz00_29,
																			BgL_cdrzd21508zd2_1263);
																		{	/* Eval/evaluate.scm 212 */
																			BgL_ev_appz00_bglt BgL_xz00_5153;

																			BgL_xz00_5153 =
																				BGl_makezd2ev_appzd2zz__evaluate_typesz00
																				(BgL_locz00_29,
																				((BgL_ev_exprz00_bglt) BgL_funz00_3423),
																				BgL_argsz00_3424, BgL_tailzf3zf3_27);
																			return ((obj_t) BgL_xz00_5153);
																		}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 212 */
														obj_t BgL_carzd23012zd2_1301;

														BgL_carzd23012zd2_1301 = CAR(BgL_ez00_24);
														if (SYMBOLP(BgL_carzd23012zd2_1301))
															{	/* Eval/evaluate.scm 212 */
																bool_t BgL_testz00_6100;

																{	/* Eval/evaluate.scm 212 */
																	obj_t BgL_vz00_3430;

																	BgL_vz00_3430 = BgL_carzd23012zd2_1301;
																	{
																		obj_t BgL_lz00_3433;

																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_auxz00_6101;

																			BgL_lz00_3433 = BgL_localsz00_25;
																		BgL_recz00_3432:
																			if (NULLP(BgL_lz00_3433))
																				{	/* Eval/evaluate.scm 212 */
																					BgL_auxz00_6101 = BFALSE;
																				}
																			else
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_rvz00_3437;

																					BgL_rvz00_3437 = CAR(BgL_lz00_3433);
																					{	/* Eval/evaluate.scm 212 */
																						bool_t BgL_testz00_6105;

																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_auxz00_6106;

																							{	/* Eval/evaluate.scm 212 */
																								BgL_ev_varz00_bglt
																									BgL_obj1830z00_3441;
																								BgL_obj1830z00_3441 =
																									((BgL_ev_varz00_bglt)
																									BgL_rvz00_3437);
																								BgL_auxz00_6106 =
																									(((BgL_ev_varz00_bglt)
																										CREF(((obj_t)
																												BgL_obj1830z00_3441)))->
																									BgL_namez00);
																							}
																							BgL_testz00_6105 =
																								(BgL_vz00_3430 ==
																								BgL_auxz00_6106);
																						}
																						if (BgL_testz00_6105)
																							{	/* Eval/evaluate.scm 212 */
																								BgL_auxz00_6101 =
																									BgL_rvz00_3437;
																							}
																						else
																							{
																								obj_t BgL_lz00_6111;

																								BgL_lz00_6111 =
																									CDR(BgL_lz00_3433);
																								BgL_lz00_3433 = BgL_lz00_6111;
																								goto BgL_recz00_3432;
																							}
																					}
																				}
																			BgL_testz00_6100 = CBOOL(BgL_auxz00_6101);
																		}
																	}
																}
																if (BgL_testz00_6100)
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_funz00_3445;

																		BgL_funz00_3445 = BgL_carzd23012zd2_1301;
																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_funz00_3447;
																			obj_t BgL_argsz00_3448;

																			BgL_funz00_3447 =
																				BGl_uconvzf2loczf2zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_funz00_3445,
																				BGl_getzd2locationzd2zz__evaluatez00
																				(BgL_funz00_3445, BgL_locz00_29));
																			BgL_argsz00_3448 =
																				BGl_loopz00zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_locz00_29,
																				BgL_cdrzd21508zd2_1263);
																			{	/* Eval/evaluate.scm 212 */
																				BgL_ev_appz00_bglt BgL_xz00_5157;

																				BgL_xz00_5157 =
																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																					(BgL_locz00_29,
																					((BgL_ev_exprz00_bglt)
																						BgL_funz00_3447), BgL_argsz00_3448,
																					BgL_tailzf3zf3_27);
																				return ((obj_t) BgL_xz00_5157);
																			}
																		}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_funz00_3455;
																		obj_t BgL_argsz00_3456;

																		BgL_funz00_3455 =
																			BGl_uconvzf2loczf2zz__evaluatez00
																			(BgL_wherez00_28, BgL_globalsz00_26,
																			BgL_localsz00_25, BgL_carzd23012zd2_1301,
																			BGl_getzd2locationzd2zz__evaluatez00
																			(BgL_carzd23012zd2_1301, BgL_locz00_29));
																		BgL_argsz00_3456 =
																			BGl_loopz00zz__evaluatez00
																			(BgL_wherez00_28, BgL_globalsz00_26,
																			BgL_localsz00_25, BgL_locz00_29,
																			BgL_cdrzd21508zd2_1263);
																		{	/* Eval/evaluate.scm 212 */
																			BgL_ev_appz00_bglt BgL_xz00_5159;

																			BgL_xz00_5159 =
																				BGl_makezd2ev_appzd2zz__evaluate_typesz00
																				(BgL_locz00_29,
																				((BgL_ev_exprz00_bglt) BgL_funz00_3455),
																				BgL_argsz00_3456, BgL_tailzf3zf3_27);
																			return ((obj_t) BgL_xz00_5159);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 212 */
																obj_t BgL_funz00_3463;
																obj_t BgL_argsz00_3464;

																BgL_funz00_3463 =
																	BGl_uconvzf2loczf2zz__evaluatez00
																	(BgL_wherez00_28, BgL_globalsz00_26,
																	BgL_localsz00_25, BgL_carzd23012zd2_1301,
																	BGl_getzd2locationzd2zz__evaluatez00
																	(BgL_carzd23012zd2_1301, BgL_locz00_29));
																BgL_argsz00_3464 =
																	BGl_loopz00zz__evaluatez00(BgL_wherez00_28,
																	BgL_globalsz00_26, BgL_localsz00_25,
																	BgL_locz00_29, BgL_cdrzd21508zd2_1263);
																{	/* Eval/evaluate.scm 212 */
																	BgL_ev_appz00_bglt BgL_xz00_5161;

																	BgL_xz00_5161 =
																		BGl_makezd2ev_appzd2zz__evaluate_typesz00
																		(BgL_locz00_29,
																		((BgL_ev_exprz00_bglt) BgL_funz00_3463),
																		BgL_argsz00_3464, BgL_tailzf3zf3_27);
																	return ((obj_t) BgL_xz00_5161);
																}
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 212 */
												obj_t BgL_carzd23503zd2_1310;

												BgL_carzd23503zd2_1310 = CAR(BgL_ez00_24);
												if (SYMBOLP(BgL_carzd23503zd2_1310))
													{	/* Eval/evaluate.scm 212 */
														bool_t BgL_testz00_6135;

														{	/* Eval/evaluate.scm 212 */
															obj_t BgL_vz00_3470;

															BgL_vz00_3470 = BgL_carzd23503zd2_1310;
															{
																obj_t BgL_lz00_3473;

																{	/* Eval/evaluate.scm 212 */
																	obj_t BgL_auxz00_6136;

																	BgL_lz00_3473 = BgL_localsz00_25;
																BgL_recz00_3472:
																	if (NULLP(BgL_lz00_3473))
																		{	/* Eval/evaluate.scm 212 */
																			BgL_auxz00_6136 = BFALSE;
																		}
																	else
																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_rvz00_3477;

																			BgL_rvz00_3477 = CAR(BgL_lz00_3473);
																			{	/* Eval/evaluate.scm 212 */
																				bool_t BgL_testz00_6140;

																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_auxz00_6141;

																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_varz00_bglt
																							BgL_obj1830z00_3481;
																						BgL_obj1830z00_3481 =
																							((BgL_ev_varz00_bglt)
																							BgL_rvz00_3477);
																						BgL_auxz00_6141 =
																							(((BgL_ev_varz00_bglt)
																								CREF(((obj_t)
																										BgL_obj1830z00_3481)))->
																							BgL_namez00);
																					}
																					BgL_testz00_6140 =
																						(BgL_vz00_3470 == BgL_auxz00_6141);
																				}
																				if (BgL_testz00_6140)
																					{	/* Eval/evaluate.scm 212 */
																						BgL_auxz00_6136 = BgL_rvz00_3477;
																					}
																				else
																					{
																						obj_t BgL_lz00_6146;

																						BgL_lz00_6146 = CDR(BgL_lz00_3473);
																						BgL_lz00_3473 = BgL_lz00_6146;
																						goto BgL_recz00_3472;
																					}
																			}
																		}
																	BgL_testz00_6135 = CBOOL(BgL_auxz00_6136);
																}
															}
														}
														if (BgL_testz00_6135)
															{	/* Eval/evaluate.scm 212 */
																obj_t BgL_funz00_3485;

																BgL_funz00_3485 = BgL_carzd23503zd2_1310;
																{	/* Eval/evaluate.scm 212 */
																	obj_t BgL_funz00_3487;
																	obj_t BgL_argsz00_3488;

																	BgL_funz00_3487 =
																		BGl_uconvzf2loczf2zz__evaluatez00
																		(BgL_wherez00_28, BgL_globalsz00_26,
																		BgL_localsz00_25, BgL_funz00_3485,
																		BGl_getzd2locationzd2zz__evaluatez00
																		(BgL_funz00_3485, BgL_locz00_29));
																	BgL_argsz00_3488 =
																		BGl_loopz00zz__evaluatez00(BgL_wherez00_28,
																		BgL_globalsz00_26, BgL_localsz00_25,
																		BgL_locz00_29, BgL_cdrzd21508zd2_1263);
																	{	/* Eval/evaluate.scm 212 */
																		BgL_ev_appz00_bglt BgL_xz00_5165;

																		BgL_xz00_5165 =
																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																			(BgL_locz00_29,
																			((BgL_ev_exprz00_bglt) BgL_funz00_3487),
																			BgL_argsz00_3488, BgL_tailzf3zf3_27);
																		return ((obj_t) BgL_xz00_5165);
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 212 */
																obj_t BgL_funz00_3495;
																obj_t BgL_argsz00_3496;

																BgL_funz00_3495 =
																	BGl_uconvzf2loczf2zz__evaluatez00
																	(BgL_wherez00_28, BgL_globalsz00_26,
																	BgL_localsz00_25, BgL_carzd23503zd2_1310,
																	BGl_getzd2locationzd2zz__evaluatez00
																	(BgL_carzd23503zd2_1310, BgL_locz00_29));
																BgL_argsz00_3496 =
																	BGl_loopz00zz__evaluatez00(BgL_wherez00_28,
																	BgL_globalsz00_26, BgL_localsz00_25,
																	BgL_locz00_29, BgL_cdrzd21508zd2_1263);
																{	/* Eval/evaluate.scm 212 */
																	BgL_ev_appz00_bglt BgL_xz00_5167;

																	BgL_xz00_5167 =
																		BGl_makezd2ev_appzd2zz__evaluate_typesz00
																		(BgL_locz00_29,
																		((BgL_ev_exprz00_bglt) BgL_funz00_3495),
																		BgL_argsz00_3496, BgL_tailzf3zf3_27);
																	return ((obj_t) BgL_xz00_5167);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 212 */
														obj_t BgL_funz00_3503;
														obj_t BgL_argsz00_3504;

														BgL_funz00_3503 =
															BGl_uconvzf2loczf2zz__evaluatez00(BgL_wherez00_28,
															BgL_globalsz00_26, BgL_localsz00_25,
															BgL_carzd23503zd2_1310,
															BGl_getzd2locationzd2zz__evaluatez00
															(BgL_carzd23503zd2_1310, BgL_locz00_29));
														BgL_argsz00_3504 =
															BGl_loopz00zz__evaluatez00(BgL_wherez00_28,
															BgL_globalsz00_26, BgL_localsz00_25,
															BgL_locz00_29, BgL_cdrzd21508zd2_1263);
														{	/* Eval/evaluate.scm 212 */
															BgL_ev_appz00_bglt BgL_xz00_5169;

															BgL_xz00_5169 =
																BGl_makezd2ev_appzd2zz__evaluate_typesz00
																(BgL_locz00_29,
																((BgL_ev_exprz00_bglt) BgL_funz00_3503),
																BgL_argsz00_3504, BgL_tailzf3zf3_27);
															return ((obj_t) BgL_xz00_5169);
														}
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 212 */
										obj_t BgL_carzd23994zd2_1319;

										BgL_carzd23994zd2_1319 = CAR(BgL_ez00_24);
										if (SYMBOLP(BgL_carzd23994zd2_1319))
											{	/* Eval/evaluate.scm 212 */
												bool_t BgL_testz00_6170;

												{	/* Eval/evaluate.scm 212 */
													obj_t BgL_vz00_3510;

													BgL_vz00_3510 = BgL_carzd23994zd2_1319;
													{
														obj_t BgL_lz00_3513;

														{	/* Eval/evaluate.scm 212 */
															obj_t BgL_auxz00_6171;

															BgL_lz00_3513 = BgL_localsz00_25;
														BgL_recz00_3512:
															if (NULLP(BgL_lz00_3513))
																{	/* Eval/evaluate.scm 212 */
																	BgL_auxz00_6171 = BFALSE;
																}
															else
																{	/* Eval/evaluate.scm 212 */
																	obj_t BgL_rvz00_3517;

																	BgL_rvz00_3517 = CAR(BgL_lz00_3513);
																	{	/* Eval/evaluate.scm 212 */
																		bool_t BgL_testz00_6175;

																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_auxz00_6176;

																			{	/* Eval/evaluate.scm 212 */
																				BgL_ev_varz00_bglt BgL_obj1830z00_3521;

																				BgL_obj1830z00_3521 =
																					((BgL_ev_varz00_bglt) BgL_rvz00_3517);
																				BgL_auxz00_6176 =
																					(((BgL_ev_varz00_bglt) CREF(
																							((obj_t) BgL_obj1830z00_3521)))->
																					BgL_namez00);
																			}
																			BgL_testz00_6175 =
																				(BgL_vz00_3510 == BgL_auxz00_6176);
																		}
																		if (BgL_testz00_6175)
																			{	/* Eval/evaluate.scm 212 */
																				BgL_auxz00_6171 = BgL_rvz00_3517;
																			}
																		else
																			{
																				obj_t BgL_lz00_6181;

																				BgL_lz00_6181 = CDR(BgL_lz00_3513);
																				BgL_lz00_3513 = BgL_lz00_6181;
																				goto BgL_recz00_3512;
																			}
																	}
																}
															BgL_testz00_6170 = CBOOL(BgL_auxz00_6171);
														}
													}
												}
												if (BgL_testz00_6170)
													{	/* Eval/evaluate.scm 212 */
														obj_t BgL_funz00_3525;

														BgL_funz00_3525 = BgL_carzd23994zd2_1319;
														{	/* Eval/evaluate.scm 212 */
															obj_t BgL_funz00_3527;
															obj_t BgL_argsz00_3528;

															BgL_funz00_3527 =
																BGl_uconvzf2loczf2zz__evaluatez00
																(BgL_wherez00_28, BgL_globalsz00_26,
																BgL_localsz00_25, BgL_funz00_3525,
																BGl_getzd2locationzd2zz__evaluatez00
																(BgL_funz00_3525, BgL_locz00_29));
															BgL_argsz00_3528 =
																BGl_loopz00zz__evaluatez00(BgL_wherez00_28,
																BgL_globalsz00_26, BgL_localsz00_25,
																BgL_locz00_29, BgL_cdrzd21508zd2_1263);
															{	/* Eval/evaluate.scm 212 */
																BgL_ev_appz00_bglt BgL_xz00_5173;

																BgL_xz00_5173 =
																	BGl_makezd2ev_appzd2zz__evaluate_typesz00
																	(BgL_locz00_29,
																	((BgL_ev_exprz00_bglt) BgL_funz00_3527),
																	BgL_argsz00_3528, BgL_tailzf3zf3_27);
																return ((obj_t) BgL_xz00_5173);
															}
														}
													}
												else
													{	/* Eval/evaluate.scm 212 */
														if (
															(BgL_carzd23994zd2_1319 ==
																BGl_symbol3615z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 212 */
																if (PAIRP(BgL_cdrzd21508zd2_1263))
																	{	/* Eval/evaluate.scm 212 */
																		if (NULLP(CDR(BgL_cdrzd21508zd2_1263)))
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_arg2564z00_1327;

																				BgL_arg2564z00_1327 =
																					CAR(BgL_cdrzd21508zd2_1263);
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_arg3014z00_3540;

																					BgL_arg3014z00_3540 =
																						BGl_uconvzf2loczf2zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25,
																						BgL_arg2564z00_1327,
																						BGl_getzd2locationzd2zz__evaluatez00
																						(BgL_arg2564z00_1327,
																							BgL_locz00_29));
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_trapz00_bglt BgL_xz00_5175;

																						BgL_xz00_5175 =
																							BGl_makezd2ev_trapzd2zz__evaluate_typesz00
																							(((BgL_ev_exprz00_bglt)
																								BgL_arg3014z00_3540));
																						return ((obj_t) BgL_xz00_5175);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_arg2565z00_1328;
																				obj_t BgL_arg2566z00_1329;

																				BgL_arg2565z00_1328 = CAR(BgL_ez00_24);
																				BgL_arg2566z00_1329 = CDR(BgL_ez00_24);
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_funz00_3547;
																					obj_t BgL_argsz00_3548;

																					BgL_funz00_3547 =
																						BGl_uconvzf2loczf2zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25,
																						BgL_arg2565z00_1328,
																						BGl_getzd2locationzd2zz__evaluatez00
																						(BgL_arg2565z00_1328,
																							BgL_locz00_29));
																					BgL_argsz00_3548 =
																						BGl_loopz00zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25, BgL_locz00_29,
																						BgL_arg2566z00_1329);
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_appz00_bglt BgL_xz00_5177;

																						BgL_xz00_5177 =
																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																							(BgL_locz00_29,
																							((BgL_ev_exprz00_bglt)
																								BgL_funz00_3547),
																							BgL_argsz00_3548,
																							BgL_tailzf3zf3_27);
																						return ((obj_t) BgL_xz00_5177);
																					}
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_arg2568z00_1331;
																		obj_t BgL_arg2569z00_1332;

																		BgL_arg2568z00_1331 = CAR(BgL_ez00_24);
																		BgL_arg2569z00_1332 = CDR(BgL_ez00_24);
																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_funz00_3555;
																			obj_t BgL_argsz00_3556;

																			BgL_funz00_3555 =
																				BGl_uconvzf2loczf2zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_arg2568z00_1331,
																				BGl_getzd2locationzd2zz__evaluatez00
																				(BgL_arg2568z00_1331, BgL_locz00_29));
																			BgL_argsz00_3556 =
																				BGl_loopz00zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_locz00_29,
																				BgL_arg2569z00_1332);
																			{	/* Eval/evaluate.scm 212 */
																				BgL_ev_appz00_bglt BgL_xz00_5179;

																				BgL_xz00_5179 =
																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																					(BgL_locz00_29,
																					((BgL_ev_exprz00_bglt)
																						BgL_funz00_3555), BgL_argsz00_3556,
																					BgL_tailzf3zf3_27);
																				return ((obj_t) BgL_xz00_5179);
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 212 */
																obj_t BgL_cdrzd24473zd2_1333;

																BgL_cdrzd24473zd2_1333 = CDR(BgL_ez00_24);
																if (
																	(CAR(BgL_ez00_24) ==
																		BGl_symbol3617z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 212 */
																		if (PAIRP(BgL_cdrzd24473zd2_1333))
																			{	/* Eval/evaluate.scm 212 */
																				if (NULLP(CDR(BgL_cdrzd24473zd2_1333)))
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_arg2573z00_1337;

																						BgL_arg2573z00_1337 =
																							CAR(BgL_cdrzd24473zd2_1333);
																						{	/* Eval/evaluate.scm 212 */
																							BgL_ev_littz00_bglt BgL_xz00_5180;

																							BgL_xz00_5180 =
																								BGl_makezd2ev_littzd2zz__evaluate_typesz00
																								(BgL_arg2573z00_1337);
																							return ((obj_t) BgL_xz00_5180);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_arg2574z00_1338;

																						BgL_arg2574z00_1338 =
																							CAR(BgL_ez00_24);
																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_funz00_3572;
																							obj_t BgL_argsz00_3573;

																							BgL_funz00_3572 =
																								BGl_uconvzf2loczf2zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25,
																								BgL_arg2574z00_1338,
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg2574z00_1338,
																									BgL_locz00_29));
																							BgL_argsz00_3573 =
																								BGl_loopz00zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25, BgL_locz00_29,
																								BgL_cdrzd24473zd2_1333);
																							{	/* Eval/evaluate.scm 212 */
																								BgL_ev_appz00_bglt
																									BgL_xz00_5182;
																								BgL_xz00_5182 =
																									BGl_makezd2ev_appzd2zz__evaluate_typesz00
																									(BgL_locz00_29,
																									((BgL_ev_exprz00_bglt)
																										BgL_funz00_3572),
																									BgL_argsz00_3573,
																									BgL_tailzf3zf3_27);
																								return ((obj_t) BgL_xz00_5182);
																							}
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_arg2578z00_1341;

																				BgL_arg2578z00_1341 = CAR(BgL_ez00_24);
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_funz00_3580;
																					obj_t BgL_argsz00_3581;

																					BgL_funz00_3580 =
																						BGl_uconvzf2loczf2zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25,
																						BgL_arg2578z00_1341,
																						BGl_getzd2locationzd2zz__evaluatez00
																						(BgL_arg2578z00_1341,
																							BgL_locz00_29));
																					BgL_argsz00_3581 =
																						BGl_loopz00zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25, BgL_locz00_29,
																						BgL_cdrzd24473zd2_1333);
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_appz00_bglt BgL_xz00_5184;

																						BgL_xz00_5184 =
																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																							(BgL_locz00_29,
																							((BgL_ev_exprz00_bglt)
																								BgL_funz00_3580),
																							BgL_argsz00_3581,
																							BgL_tailzf3zf3_27);
																						return ((obj_t) BgL_xz00_5184);
																					}
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		if (
																			(CAR(BgL_ez00_24) ==
																				BGl_symbol3619z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 212 */
																				if (PAIRP(BgL_cdrzd24473zd2_1333))
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_cdrzd24899zd2_1346;

																						BgL_cdrzd24899zd2_1346 =
																							CDR(BgL_cdrzd24473zd2_1333);
																						if (PAIRP(BgL_cdrzd24899zd2_1346))
																							{	/* Eval/evaluate.scm 212 */
																								obj_t BgL_cdrzd24904zd2_1348;

																								BgL_cdrzd24904zd2_1348 =
																									CDR(BgL_cdrzd24899zd2_1346);
																								if (PAIRP
																									(BgL_cdrzd24904zd2_1348))
																									{	/* Eval/evaluate.scm 212 */
																										if (NULLP(CDR
																												(BgL_cdrzd24904zd2_1348)))
																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_arg2585z00_1351;
																												obj_t
																													BgL_arg2586z00_1352;
																												obj_t
																													BgL_arg2587z00_1353;
																												BgL_arg2585z00_1351 =
																													CAR
																													(BgL_cdrzd24473zd2_1333);
																												BgL_arg2586z00_1352 =
																													CAR
																													(BgL_cdrzd24899zd2_1346);
																												BgL_arg2587z00_1353 =
																													CAR
																													(BgL_cdrzd24904zd2_1348);
																												{	/* Eval/evaluate.scm 212 */
																													obj_t
																														BgL_arg3015z00_3603;
																													obj_t
																														BgL_arg3016z00_3604;
																													obj_t
																														BgL_arg3017z00_3605;
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_arg3018z00_3606;
																														{	/* Eval/evaluate.scm 212 */
																															obj_t
																																BgL_arg3019z00_3607;
																															BgL_arg3019z00_3607
																																=
																																CDR
																																(BgL_ez00_24);
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL__ortest_2335z00_3615;
																																BgL__ortest_2335z00_3615
																																	=
																																	BGl_getzd2sourcezd2locationz00zz__readerz00
																																	(BgL_arg3019z00_3607);
																																if (CBOOL
																																	(BgL__ortest_2335z00_3615))
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_arg3018z00_3606
																																			=
																																			BgL__ortest_2335z00_3615;
																																	}
																																else
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_arg3018z00_3606
																																			=
																																			BgL_locz00_29;
																																	}
																															}
																														}
																														BgL_arg3015z00_3603
																															=
																															BGl_convz00zz__evaluatez00
																															(BgL_arg2585z00_1351,
																															BgL_localsz00_25,
																															BgL_globalsz00_26,
																															BFALSE,
																															BgL_wherez00_28,
																															BgL_arg3018z00_3606,
																															((bool_t) 0));
																													}
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_arg3020z00_3608;
																														{	/* Eval/evaluate.scm 212 */
																															obj_t
																																BgL_arg3021z00_3609;
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL_pairz00_3618;
																																BgL_pairz00_3618
																																	= BgL_ez00_24;
																																BgL_arg3021z00_3609
																																	=
																																	CDR(CDR
																																	(BgL_pairz00_3618));
																															}
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL__ortest_2335z00_3624;
																																BgL__ortest_2335z00_3624
																																	=
																																	BGl_getzd2sourcezd2locationz00zz__readerz00
																																	(BgL_arg3021z00_3609);
																																if (CBOOL
																																	(BgL__ortest_2335z00_3624))
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_arg3020z00_3608
																																			=
																																			BgL__ortest_2335z00_3624;
																																	}
																																else
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_arg3020z00_3608
																																			=
																																			BgL_locz00_29;
																																	}
																															}
																														}
																														BgL_arg3016z00_3604
																															=
																															BGl_convz00zz__evaluatez00
																															(BgL_arg2586z00_1352,
																															BgL_localsz00_25,
																															BgL_globalsz00_26,
																															BgL_tailzf3zf3_27,
																															BgL_wherez00_28,
																															BgL_arg3020z00_3608,
																															((bool_t) 0));
																													}
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_arg3022z00_3610;
																														{	/* Eval/evaluate.scm 212 */
																															obj_t
																																BgL_arg3023z00_3611;
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL_pairz00_3627;
																																BgL_pairz00_3627
																																	= BgL_ez00_24;
																																BgL_arg3023z00_3611
																																	=
																																	CDR(CDR(CDR
																																		(BgL_pairz00_3627)));
																															}
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL__ortest_2335z00_3635;
																																BgL__ortest_2335z00_3635
																																	=
																																	BGl_getzd2sourcezd2locationz00zz__readerz00
																																	(BgL_arg3023z00_3611);
																																if (CBOOL
																																	(BgL__ortest_2335z00_3635))
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_arg3022z00_3610
																																			=
																																			BgL__ortest_2335z00_3635;
																																	}
																																else
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_arg3022z00_3610
																																			=
																																			BgL_locz00_29;
																																	}
																															}
																														}
																														BgL_arg3017z00_3605
																															=
																															BGl_convz00zz__evaluatez00
																															(BgL_arg2587z00_1353,
																															BgL_localsz00_25,
																															BgL_globalsz00_26,
																															BgL_tailzf3zf3_27,
																															BgL_wherez00_28,
																															BgL_arg3022z00_3610,
																															((bool_t) 0));
																													}
																													{	/* Eval/evaluate.scm 212 */
																														BgL_ev_ifz00_bglt
																															BgL_xz00_5188;
																														BgL_xz00_5188 =
																															BGl_makezd2ev_ifzd2zz__evaluate_typesz00
																															(((BgL_ev_exprz00_bglt) BgL_arg3015z00_3603), ((BgL_ev_exprz00_bglt) BgL_arg3016z00_3604), ((BgL_ev_exprz00_bglt) BgL_arg3017z00_3605));
																														return ((obj_t)
																															BgL_xz00_5188);
																													}
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_arg2588z00_1354;
																												obj_t
																													BgL_arg2589z00_1355;
																												BgL_arg2588z00_1354 =
																													CAR(BgL_ez00_24);
																												BgL_arg2589z00_1355 =
																													CDR(BgL_ez00_24);
																												{	/* Eval/evaluate.scm 212 */
																													obj_t BgL_funz00_3642;
																													obj_t
																														BgL_argsz00_3643;
																													BgL_funz00_3642 =
																														BGl_uconvzf2loczf2zz__evaluatez00
																														(BgL_wherez00_28,
																														BgL_globalsz00_26,
																														BgL_localsz00_25,
																														BgL_arg2588z00_1354,
																														BGl_getzd2locationzd2zz__evaluatez00
																														(BgL_arg2588z00_1354,
																															BgL_locz00_29));
																													BgL_argsz00_3643 =
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_28,
																														BgL_globalsz00_26,
																														BgL_localsz00_25,
																														BgL_locz00_29,
																														BgL_arg2589z00_1355);
																													{	/* Eval/evaluate.scm 212 */
																														BgL_ev_appz00_bglt
																															BgL_xz00_5190;
																														BgL_xz00_5190 =
																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																															(BgL_locz00_29,
																															((BgL_ev_exprz00_bglt) BgL_funz00_3642), BgL_argsz00_3643, BgL_tailzf3zf3_27);
																														return ((obj_t)
																															BgL_xz00_5190);
																													}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 212 */
																										obj_t BgL_arg2591z00_1357;
																										obj_t BgL_arg2592z00_1358;

																										BgL_arg2591z00_1357 =
																											CAR(BgL_ez00_24);
																										BgL_arg2592z00_1358 =
																											CDR(BgL_ez00_24);
																										{	/* Eval/evaluate.scm 212 */
																											obj_t BgL_funz00_3650;
																											obj_t BgL_argsz00_3651;

																											BgL_funz00_3650 =
																												BGl_uconvzf2loczf2zz__evaluatez00
																												(BgL_wherez00_28,
																												BgL_globalsz00_26,
																												BgL_localsz00_25,
																												BgL_arg2591z00_1357,
																												BGl_getzd2locationzd2zz__evaluatez00
																												(BgL_arg2591z00_1357,
																													BgL_locz00_29));
																											BgL_argsz00_3651 =
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_28,
																												BgL_globalsz00_26,
																												BgL_localsz00_25,
																												BgL_locz00_29,
																												BgL_arg2592z00_1358);
																											{	/* Eval/evaluate.scm 212 */
																												BgL_ev_appz00_bglt
																													BgL_xz00_5192;
																												BgL_xz00_5192 =
																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																													(BgL_locz00_29,
																													((BgL_ev_exprz00_bglt)
																														BgL_funz00_3650),
																													BgL_argsz00_3651,
																													BgL_tailzf3zf3_27);
																												return ((obj_t)
																													BgL_xz00_5192);
																											}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 212 */
																								obj_t BgL_arg2593z00_1359;
																								obj_t BgL_arg2594z00_1360;

																								BgL_arg2593z00_1359 =
																									CAR(BgL_ez00_24);
																								BgL_arg2594z00_1360 =
																									CDR(BgL_ez00_24);
																								{	/* Eval/evaluate.scm 212 */
																									obj_t BgL_funz00_3658;
																									obj_t BgL_argsz00_3659;

																									BgL_funz00_3658 =
																										BGl_uconvzf2loczf2zz__evaluatez00
																										(BgL_wherez00_28,
																										BgL_globalsz00_26,
																										BgL_localsz00_25,
																										BgL_arg2593z00_1359,
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg2593z00_1359,
																											BgL_locz00_29));
																									BgL_argsz00_3659 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_28,
																										BgL_globalsz00_26,
																										BgL_localsz00_25,
																										BgL_locz00_29,
																										BgL_arg2594z00_1360);
																									{	/* Eval/evaluate.scm 212 */
																										BgL_ev_appz00_bglt
																											BgL_xz00_5194;
																										BgL_xz00_5194 =
																											BGl_makezd2ev_appzd2zz__evaluate_typesz00
																											(BgL_locz00_29,
																											((BgL_ev_exprz00_bglt)
																												BgL_funz00_3658),
																											BgL_argsz00_3659,
																											BgL_tailzf3zf3_27);
																										return ((obj_t)
																											BgL_xz00_5194);
																									}
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_arg2595z00_1361;
																						obj_t BgL_arg2596z00_1362;

																						BgL_arg2595z00_1361 =
																							CAR(BgL_ez00_24);
																						BgL_arg2596z00_1362 =
																							CDR(BgL_ez00_24);
																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_funz00_3666;
																							obj_t BgL_argsz00_3667;

																							BgL_funz00_3666 =
																								BGl_uconvzf2loczf2zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25,
																								BgL_arg2595z00_1361,
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg2595z00_1361,
																									BgL_locz00_29));
																							BgL_argsz00_3667 =
																								BGl_loopz00zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25, BgL_locz00_29,
																								BgL_arg2596z00_1362);
																							{	/* Eval/evaluate.scm 212 */
																								BgL_ev_appz00_bglt
																									BgL_xz00_5196;
																								BgL_xz00_5196 =
																									BGl_makezd2ev_appzd2zz__evaluate_typesz00
																									(BgL_locz00_29,
																									((BgL_ev_exprz00_bglt)
																										BgL_funz00_3666),
																									BgL_argsz00_3667,
																									BgL_tailzf3zf3_27);
																								return ((obj_t) BgL_xz00_5196);
																							}
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				if (
																					(CAR(BgL_ez00_24) ==
																						BGl_symbol3621z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_arg2598z00_1364;

																						BgL_arg2598z00_1364 =
																							CDR(BgL_ez00_24);
																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_arg3024z00_3673;

																							BgL_arg3024z00_3673 =
																								BGl_loopz00zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25, BgL_locz00_29,
																								BgL_arg2598z00_1364);
																							{	/* Eval/evaluate.scm 212 */
																								BgL_ev_orz00_bglt BgL_xz00_5197;

																								BgL_xz00_5197 =
																									BGl_makezd2ev_orzd2zz__evaluate_typesz00
																									(BgL_arg3024z00_3673);
																								return ((obj_t) BgL_xz00_5197);
																							}
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 212 */
																						if (
																							(CAR(BgL_ez00_24) ==
																								BGl_symbol3623z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 212 */
																								obj_t BgL_arg2600z00_1366;

																								BgL_arg2600z00_1366 =
																									CDR(BgL_ez00_24);
																								{	/* Eval/evaluate.scm 212 */
																									obj_t BgL_arg3025z00_3677;

																									BgL_arg3025z00_3677 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_28,
																										BgL_globalsz00_26,
																										BgL_localsz00_25,
																										BgL_locz00_29,
																										BgL_arg2600z00_1366);
																									{	/* Eval/evaluate.scm 212 */
																										BgL_ev_andz00_bglt
																											BgL_xz00_5198;
																										BgL_xz00_5198 =
																											BGl_makezd2ev_andzd2zz__evaluate_typesz00
																											(BgL_arg3025z00_3677);
																										return ((obj_t)
																											BgL_xz00_5198);
																									}
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 212 */
																								if (
																									(CAR(BgL_ez00_24) ==
																										BGl_symbol3625z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 212 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_24),
																											BgL_localsz00_25,
																											BgL_globalsz00_26,
																											BgL_tailzf3zf3_27,
																											BgL_wherez00_28,
																											BgL_locz00_29,
																											BgL_topzf3zf3_30);
																									}
																								else
																									{	/* Eval/evaluate.scm 212 */
																										obj_t
																											BgL_cdrzd25692zd2_1369;
																										BgL_cdrzd25692zd2_1369 =
																											CDR(BgL_ez00_24);
																										if ((CAR(BgL_ez00_24) ==
																												BGl_symbol3627z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 212 */
																												if (PAIRP
																													(BgL_cdrzd25692zd2_1369))
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_arg2607z00_1372;
																														obj_t
																															BgL_arg2608z00_1373;
																														BgL_arg2607z00_1372
																															=
																															CAR
																															(BgL_cdrzd25692zd2_1369);
																														BgL_arg2608z00_1373
																															=
																															CDR
																															(BgL_cdrzd25692zd2_1369);
																														{	/* Eval/evaluate.scm 212 */
																															BgL_ev_letz00_bglt
																																BgL_xz00_5199;
																															BgL_bindsz00_1219
																																=
																																BgL_arg2607z00_1372;
																															BgL_bodyz00_1220 =
																																BgL_arg2608z00_1373;
																														BgL_tagzd21428zd2_1221:
																															{	/* Eval/evaluate.scm 261 */
																																obj_t
																																	BgL_varsz00_1878;
																																if (NULLP
																																	(BgL_bindsz00_1219))
																																	{	/* Eval/evaluate.scm 261 */
																																		BgL_varsz00_1878
																																			= BNIL;
																																	}
																																else
																																	{	/* Eval/evaluate.scm 261 */
																																		obj_t
																																			BgL_head2406z00_1898;
																																		{	/* Eval/evaluate.scm 261 */
																																			obj_t
																																				BgL_res3409z00_2946;
																																			BgL_res3409z00_2946
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_head2406z00_1898
																																				=
																																				BgL_res3409z00_2946;
																																		}
																																		{
																																			obj_t
																																				BgL_l2404z00_1900;
																																			obj_t
																																				BgL_tail2407z00_1901;
																																			BgL_l2404z00_1900
																																				=
																																				BgL_bindsz00_1219;
																																			BgL_tail2407z00_1901
																																				=
																																				BgL_head2406z00_1898;
																																		BgL_zc3anonymousza33036ze3z83_1902:
																																			if (NULLP
																																				(BgL_l2404z00_1900))
																																				{	/* Eval/evaluate.scm 261 */
																																					BgL_varsz00_1878
																																						=
																																						CDR
																																						(BgL_head2406z00_1898);
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 261 */
																																					obj_t
																																						BgL_newtail2408z00_1904;
																																					{	/* Eval/evaluate.scm 261 */
																																						BgL_ev_varz00_bglt
																																							BgL_arg3039z00_1906;
																																						{	/* Eval/evaluate.scm 261 */
																																							obj_t
																																								BgL_bz00_1907;
																																							BgL_bz00_1907
																																								=
																																								CAR
																																								(BgL_l2404z00_1900);
																																							BgL_arg3039z00_1906
																																								=
																																								BGl_makezd2ev_varzd2zz__evaluate_typesz00
																																								(BGl_untypezd2identzd2zz__evcompilez00
																																								(CAR
																																									(BgL_bz00_1907)),
																																								BFALSE);
																																						}
																																						{	/* Eval/evaluate.scm 261 */
																																							obj_t
																																								BgL_res3411z00_2954;
																																							{	/* Eval/evaluate.scm 261 */
																																								obj_t
																																									BgL_obj1z00_2952;
																																								BgL_obj1z00_2952
																																									=
																																									(
																																									(obj_t)
																																									BgL_arg3039z00_1906);
																																								BgL_res3411z00_2954
																																									=
																																									MAKE_PAIR
																																									(BgL_obj1z00_2952,
																																									BNIL);
																																							}
																																							BgL_newtail2408z00_1904
																																								=
																																								BgL_res3411z00_2954;
																																						}
																																					}
																																					SET_CDR
																																						(BgL_tail2407z00_1901,
																																						BgL_newtail2408z00_1904);
																																					{
																																						obj_t
																																							BgL_tail2407z00_6359;
																																						obj_t
																																							BgL_l2404z00_6357;
																																						BgL_l2404z00_6357
																																							=
																																							CDR
																																							(BgL_l2404z00_1900);
																																						BgL_tail2407z00_6359
																																							=
																																							BgL_newtail2408z00_1904;
																																						BgL_tail2407z00_1901
																																							=
																																							BgL_tail2407z00_6359;
																																						BgL_l2404z00_1900
																																							=
																																							BgL_l2404z00_6357;
																																						goto
																																							BgL_zc3anonymousza33036ze3z83_1902;
																																					}
																																				}
																																		}
																																	}
																																{	/* Eval/evaluate.scm 267 */
																																	obj_t
																																		BgL_arg3026z00_1879;
																																	obj_t
																																		BgL_arg3027z00_1880;
																																	if (NULLP
																																		(BgL_bindsz00_1219))
																																		{	/* Eval/evaluate.scm 267 */
																																			BgL_arg3026z00_1879
																																				= BNIL;
																																		}
																																	else
																																		{	/* Eval/evaluate.scm 267 */
																																			obj_t
																																				BgL_head2411z00_1883;
																																			{	/* Eval/evaluate.scm 267 */
																																				obj_t
																																					BgL_res3413z00_2962;
																																				BgL_res3413z00_2962
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_head2411z00_1883
																																					=
																																					BgL_res3413z00_2962;
																																			}
																																			{
																																				obj_t
																																					BgL_l2409z00_3015;
																																				obj_t
																																					BgL_tail2412z00_3016;
																																				BgL_l2409z00_3015
																																					=
																																					BgL_bindsz00_1219;
																																				BgL_tail2412z00_3016
																																					=
																																					BgL_head2411z00_1883;
																																			BgL_zc3anonymousza33029ze3z83_3014:
																																				if (NULLP(BgL_l2409z00_3015))
																																					{	/* Eval/evaluate.scm 267 */
																																						BgL_arg3026z00_1879
																																							=
																																							CDR
																																							(BgL_head2411z00_1883);
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 267 */
																																						obj_t
																																							BgL_newtail2413z00_3024;
																																						{	/* Eval/evaluate.scm 267 */
																																							obj_t
																																								BgL_arg3032z00_3025;
																																							{	/* Eval/evaluate.scm 267 */
																																								obj_t
																																									BgL_bz00_3026;
																																								BgL_bz00_3026
																																									=
																																									CAR
																																									(BgL_l2409z00_3015);
																																								{	/* Eval/evaluate.scm 267 */
																																									obj_t
																																										BgL_arg3033z00_3027;
																																									{	/* Eval/evaluate.scm 267 */
																																										obj_t
																																											BgL_pairz00_3033;
																																										BgL_pairz00_3033
																																											=
																																											BgL_bz00_3026;
																																										BgL_arg3033z00_3027
																																											=
																																											CAR
																																											(CDR
																																											(BgL_pairz00_3033));
																																									}
																																									BgL_arg3032z00_3025
																																										=
																																										BGl_uconvzf2loczf2zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_arg3033z00_3027,
																																										BGl_getzd2locationzd2zz__evaluatez00
																																										(BgL_arg3033z00_3027,
																																											BgL_locz00_29));
																																								}
																																							}
																																							{	/* Eval/evaluate.scm 267 */
																																								obj_t
																																									BgL_res3419z00_3041;
																																								BgL_res3419z00_3041
																																									=
																																									MAKE_PAIR
																																									(BgL_arg3032z00_3025,
																																									BNIL);
																																								BgL_newtail2413z00_3024
																																									=
																																									BgL_res3419z00_3041;
																																							}
																																						}
																																						SET_CDR
																																							(BgL_tail2412z00_3016,
																																							BgL_newtail2413z00_3024);
																																						{
																																							obj_t
																																								BgL_tail2412z00_6375;
																																							obj_t
																																								BgL_l2409z00_6373;
																																							BgL_l2409z00_6373
																																								=
																																								CDR
																																								(BgL_l2409z00_3015);
																																							BgL_tail2412z00_6375
																																								=
																																								BgL_newtail2413z00_3024;
																																							BgL_tail2412z00_3016
																																								=
																																								BgL_tail2412z00_6375;
																																							BgL_l2409z00_3015
																																								=
																																								BgL_l2409z00_6373;
																																							goto
																																								BgL_zc3anonymousza33029ze3z83_3014;
																																						}
																																					}
																																			}
																																		}
																																	BgL_arg3027z00_1880
																																		=
																																		BGl_convzd2beginzd2zz__evaluatez00
																																		(BgL_bodyz00_1220,
																																		BGl_appendzd221095zd2zz__evaluatez00
																																		(BgL_varsz00_1878,
																																			BgL_localsz00_25),
																																		BgL_globalsz00_26,
																																		BgL_tailzf3zf3_27,
																																		BgL_wherez00_28,
																																		BgL_locz00_29,
																																		((bool_t)
																																			0));
																																	BgL_xz00_5199
																																		=
																																		BGl_makezd2ev_letzd2zz__evaluate_typesz00
																																		(BgL_varsz00_1878,
																																		BgL_arg3026z00_1879,
																																		((BgL_ev_exprz00_bglt) BgL_arg3027z00_1880), BNIL);
																																}
																															}
																															return
																																((obj_t)
																																BgL_xz00_5199);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_arg2609z00_1374;
																														BgL_arg2609z00_1374
																															=
																															CAR(BgL_ez00_24);
																														{	/* Eval/evaluate.scm 212 */
																															obj_t
																																BgL_funz00_3691;
																															obj_t
																																BgL_argsz00_3692;
																															BgL_funz00_3691 =
																																BGl_uconvzf2loczf2zz__evaluatez00
																																(BgL_wherez00_28,
																																BgL_globalsz00_26,
																																BgL_localsz00_25,
																																BgL_arg2609z00_1374,
																																BGl_getzd2locationzd2zz__evaluatez00
																																(BgL_arg2609z00_1374,
																																	BgL_locz00_29));
																															BgL_argsz00_3692 =
																																BGl_loopz00zz__evaluatez00
																																(BgL_wherez00_28,
																																BgL_globalsz00_26,
																																BgL_localsz00_25,
																																BgL_locz00_29,
																																BgL_cdrzd25692zd2_1369);
																															{	/* Eval/evaluate.scm 212 */
																																BgL_ev_appz00_bglt
																																	BgL_xz00_5201;
																																BgL_xz00_5201 =
																																	BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																	(BgL_locz00_29,
																																	((BgL_ev_exprz00_bglt) BgL_funz00_3691), BgL_argsz00_3692, BgL_tailzf3zf3_27);
																																return ((obj_t)
																																	BgL_xz00_5201);
																															}
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 212 */
																												if (
																													(CAR(BgL_ez00_24) ==
																														BGl_symbol3629z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 212 */
																														if (PAIRP
																															(BgL_cdrzd25692zd2_1369))
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL_arg2613z00_1379;
																																obj_t
																																	BgL_arg2614z00_1380;
																																BgL_arg2613z00_1379
																																	=
																																	CAR
																																	(BgL_cdrzd25692zd2_1369);
																																BgL_arg2614z00_1380
																																	=
																																	CDR
																																	(BgL_cdrzd25692zd2_1369);
																																{	/* Eval/evaluate.scm 212 */
																																	BgL_ev_letza2za2_bglt
																																		BgL_xz00_5202;
																																	BgL_bindsz00_1222
																																		=
																																		BgL_arg2613z00_1379;
																																	BgL_bodyz00_1223
																																		=
																																		BgL_arg2614z00_1380;
																																BgL_tagzd21429zd2_1224:
																																	{	/* Eval/evaluate.scm 276 */
																																		obj_t
																																			BgL_varsz00_1912;
																																		obj_t
																																			BgL_blocz00_1913;
																																		if (NULLP
																																			(BgL_bindsz00_1222))
																																			{	/* Eval/evaluate.scm 276 */
																																				BgL_varsz00_1912
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 276 */
																																				obj_t
																																					BgL_head2416z00_1920;
																																				{	/* Eval/evaluate.scm 276 */
																																					obj_t
																																						BgL_res3423z00_3099;
																																					BgL_res3423z00_3099
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head2416z00_1920
																																						=
																																						BgL_res3423z00_3099;
																																				}
																																				{
																																					obj_t
																																						BgL_l2414z00_1922;
																																					obj_t
																																						BgL_tail2417z00_1923;
																																					BgL_l2414z00_1922
																																						=
																																						BgL_bindsz00_1222;
																																					BgL_tail2417z00_1923
																																						=
																																						BgL_head2416z00_1920;
																																				BgL_zc3anonymousza33047ze3z83_1924:
																																					if (NULLP(BgL_l2414z00_1922))
																																						{	/* Eval/evaluate.scm 276 */
																																							BgL_varsz00_1912
																																								=
																																								CDR
																																								(BgL_head2416z00_1920);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 276 */
																																							obj_t
																																								BgL_newtail2418z00_1926;
																																							{	/* Eval/evaluate.scm 276 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg3050z00_1928;
																																								{	/* Eval/evaluate.scm 276 */
																																									obj_t
																																										BgL_bz00_1929;
																																									BgL_bz00_1929
																																										=
																																										CAR
																																										(BgL_l2414z00_1922);
																																									BgL_arg3050z00_1928
																																										=
																																										BGl_makezd2ev_varzd2zz__evaluate_typesz00
																																										(BGl_untypezd2identzd2zz__evcompilez00
																																										(CAR
																																											(BgL_bz00_1929)),
																																										BFALSE);
																																								}
																																								{	/* Eval/evaluate.scm 276 */
																																									obj_t
																																										BgL_res3425z00_3107;
																																									{	/* Eval/evaluate.scm 276 */
																																										obj_t
																																											BgL_obj1z00_3105;
																																										BgL_obj1z00_3105
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg3050z00_1928);
																																										BgL_res3425z00_3107
																																											=
																																											MAKE_PAIR
																																											(BgL_obj1z00_3105,
																																											BNIL);
																																									}
																																									BgL_newtail2418z00_1926
																																										=
																																										BgL_res3425z00_3107;
																																								}
																																							}
																																							SET_CDR
																																								(BgL_tail2417z00_1923,
																																								BgL_newtail2418z00_1926);
																																							{
																																								obj_t
																																									BgL_tail2417z00_6410;
																																								obj_t
																																									BgL_l2414z00_6408;
																																								BgL_l2414z00_6408
																																									=
																																									CDR
																																									(BgL_l2414z00_1922);
																																								BgL_tail2417z00_6410
																																									=
																																									BgL_newtail2418z00_1926;
																																								BgL_tail2417z00_1923
																																									=
																																									BgL_tail2417z00_6410;
																																								BgL_l2414z00_1922
																																									=
																																									BgL_l2414z00_6408;
																																								goto
																																									BgL_zc3anonymousza33047ze3z83_1924;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 280 */
																																			obj_t
																																				BgL__ortest_2335z00_3113;
																																			BgL__ortest_2335z00_3113
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_bindsz00_1222);
																																			if (CBOOL
																																				(BgL__ortest_2335z00_3113))
																																				{	/* Eval/evaluate.scm 280 */
																																					BgL_blocz00_1913
																																						=
																																						BgL__ortest_2335z00_3113;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 280 */
																																					BgL_blocz00_1913
																																						=
																																						BgL_locz00_29;
																																				}
																																		}
																																		{	/* Eval/evaluate.scm 283 */
																																			obj_t
																																				BgL_arg3042z00_1914;
																																			obj_t
																																				BgL_arg3043z00_1915;
																																			BgL_arg3042z00_1914
																																				=
																																				BGl_convzd2valszd2zz__evaluatez00
																																				(BgL_wherez00_28,
																																				BgL_globalsz00_26,
																																				BgL_bindsz00_1222,
																																				BgL_varsz00_1912,
																																				BgL_localsz00_25,
																																				BgL_blocz00_1913);
																																			BgL_arg3043z00_1915
																																				=
																																				BGl_convzd2beginzd2zz__evaluatez00
																																				(BgL_bodyz00_1223,
																																				BGl_appendzd221095zd2zz__evaluatez00
																																				(bgl_reverse
																																					(BgL_varsz00_1912),
																																					BgL_localsz00_25),
																																				BgL_globalsz00_26,
																																				BgL_tailzf3zf3_27,
																																				BgL_wherez00_28,
																																				BgL_locz00_29,
																																				((bool_t) 0));
																																			BgL_xz00_5202
																																				=
																																				BGl_makezd2ev_letza2z70zz__evaluate_typesz00
																																				(BgL_varsz00_1912,
																																				BgL_arg3042z00_1914,
																																				((BgL_ev_exprz00_bglt) BgL_arg3043z00_1915), BNIL);
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_xz00_5202);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL_arg2615z00_1381;
																																obj_t
																																	BgL_arg2616z00_1382;
																																BgL_arg2615z00_1381
																																	=
																																	CAR
																																	(BgL_ez00_24);
																																BgL_arg2616z00_1382
																																	=
																																	CDR
																																	(BgL_ez00_24);
																																{	/* Eval/evaluate.scm 212 */
																																	obj_t
																																		BgL_funz00_3705;
																																	obj_t
																																		BgL_argsz00_3706;
																																	BgL_funz00_3705
																																		=
																																		BGl_uconvzf2loczf2zz__evaluatez00
																																		(BgL_wherez00_28,
																																		BgL_globalsz00_26,
																																		BgL_localsz00_25,
																																		BgL_arg2615z00_1381,
																																		BGl_getzd2locationzd2zz__evaluatez00
																																		(BgL_arg2615z00_1381,
																																			BgL_locz00_29));
																																	BgL_argsz00_3706
																																		=
																																		BGl_loopz00zz__evaluatez00
																																		(BgL_wherez00_28,
																																		BgL_globalsz00_26,
																																		BgL_localsz00_25,
																																		BgL_locz00_29,
																																		BgL_arg2616z00_1382);
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_ev_appz00_bglt
																																			BgL_xz00_5204;
																																		BgL_xz00_5204
																																			=
																																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																			(BgL_locz00_29,
																																			((BgL_ev_exprz00_bglt) BgL_funz00_3705), BgL_argsz00_3706, BgL_tailzf3zf3_27);
																																		return (
																																			(obj_t)
																																			BgL_xz00_5204);
																																	}
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_cdrzd25968zd2_1383;
																														BgL_cdrzd25968zd2_1383
																															=
																															CDR(BgL_ez00_24);
																														if ((CAR
																																(BgL_ez00_24) ==
																																BGl_symbol3631z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 212 */
																																if (PAIRP
																																	(BgL_cdrzd25968zd2_1383))
																																	{	/* Eval/evaluate.scm 212 */
																																		obj_t
																																			BgL_arg2619z00_1386;
																																		obj_t
																																			BgL_arg2620z00_1387;
																																		BgL_arg2619z00_1386
																																			=
																																			CAR
																																			(BgL_cdrzd25968zd2_1383);
																																		BgL_arg2620z00_1387
																																			=
																																			CDR
																																			(BgL_cdrzd25968zd2_1383);
																																		{	/* Eval/evaluate.scm 212 */
																																			BgL_ev_letrecz00_bglt
																																				BgL_xz00_5205;
																																			BgL_bindsz00_1225
																																				=
																																				BgL_arg2619z00_1386;
																																			BgL_bodyz00_1226
																																				=
																																				BgL_arg2620z00_1387;
																																		BgL_tagzd21430zd2_1227:
																																			{	/* Eval/evaluate.scm 286 */
																																				obj_t
																																					BgL_varsz00_1948;
																																				if (NULLP(BgL_bindsz00_1225))
																																					{	/* Eval/evaluate.scm 286 */
																																						BgL_varsz00_1948
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 286 */
																																						obj_t
																																							BgL_head2421z00_1975;
																																						{	/* Eval/evaluate.scm 286 */
																																							obj_t
																																								BgL_res3428z00_3155;
																																							BgL_res3428z00_3155
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head2421z00_1975
																																								=
																																								BgL_res3428z00_3155;
																																						}
																																						{
																																							obj_t
																																								BgL_l2419z00_1977;
																																							obj_t
																																								BgL_tail2422z00_1978;
																																							BgL_l2419z00_1977
																																								=
																																								BgL_bindsz00_1225;
																																							BgL_tail2422z00_1978
																																								=
																																								BgL_head2421z00_1975;
																																						BgL_zc3anonymousza33078ze3z83_1979:
																																							if (NULLP(BgL_l2419z00_1977))
																																								{	/* Eval/evaluate.scm 286 */
																																									BgL_varsz00_1948
																																										=
																																										CDR
																																										(BgL_head2421z00_1975);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 286 */
																																									obj_t
																																										BgL_newtail2423z00_1981;
																																									{	/* Eval/evaluate.scm 286 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg3081z00_1983;
																																										{	/* Eval/evaluate.scm 286 */
																																											obj_t
																																												BgL_bz00_1984;
																																											BgL_bz00_1984
																																												=
																																												CAR
																																												(BgL_l2419z00_1977);
																																											BgL_arg3081z00_1983
																																												=
																																												BGl_makezd2ev_varzd2zz__evaluate_typesz00
																																												(BGl_untypezd2identzd2zz__evcompilez00
																																												(CAR
																																													(BgL_bz00_1984)),
																																												BFALSE);
																																										}
																																										{	/* Eval/evaluate.scm 286 */
																																											obj_t
																																												BgL_res3430z00_3163;
																																											{	/* Eval/evaluate.scm 286 */
																																												obj_t
																																													BgL_obj1z00_3161;
																																												BgL_obj1z00_3161
																																													=
																																													(
																																													(obj_t)
																																													BgL_arg3081z00_1983);
																																												BgL_res3430z00_3163
																																													=
																																													MAKE_PAIR
																																													(BgL_obj1z00_3161,
																																													BNIL);
																																											}
																																											BgL_newtail2423z00_1981
																																												=
																																												BgL_res3430z00_3163;
																																										}
																																									}
																																									SET_CDR
																																										(BgL_tail2422z00_1978,
																																										BgL_newtail2423z00_1981);
																																									{
																																										obj_t
																																											BgL_tail2422z00_6452;
																																										obj_t
																																											BgL_l2419z00_6450;
																																										BgL_l2419z00_6450
																																											=
																																											CDR
																																											(BgL_l2419z00_1977);
																																										BgL_tail2422z00_6452
																																											=
																																											BgL_newtail2423z00_1981;
																																										BgL_tail2422z00_1978
																																											=
																																											BgL_tail2422z00_6452;
																																										BgL_l2419z00_1977
																																											=
																																											BgL_l2419z00_6450;
																																										goto
																																											BgL_zc3anonymousza33078ze3z83_1979;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 286 */
																																					obj_t
																																						BgL_localsz00_1949;
																																					BgL_localsz00_1949
																																						=
																																						BGl_appendzd221095zd2zz__evaluatez00
																																						(BgL_varsz00_1948,
																																						BgL_localsz00_25);
																																					{	/* Eval/evaluate.scm 290 */
																																						obj_t
																																							BgL_blocz00_1950;
																																						{	/* Eval/evaluate.scm 291 */
																																							obj_t
																																								BgL__ortest_2335z00_3169;
																																							BgL__ortest_2335z00_3169
																																								=
																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																								(BgL_bindsz00_1225);
																																							if (CBOOL(BgL__ortest_2335z00_3169))
																																								{	/* Eval/evaluate.scm 291 */
																																									BgL_blocz00_1950
																																										=
																																										BgL__ortest_2335z00_3169;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 291 */
																																									BgL_blocz00_1950
																																										=
																																										BgL_locz00_29;
																																								}
																																						}
																																						{	/* Eval/evaluate.scm 291 */

																																							{	/* Eval/evaluate.scm 294 */
																																								obj_t
																																									BgL_arg3063z00_1951;
																																								obj_t
																																									BgL_arg3064z00_1952;
																																								if (NULLP(BgL_bindsz00_1225))
																																									{	/* Eval/evaluate.scm 294 */
																																										BgL_arg3063z00_1951
																																											=
																																											BNIL;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 294 */
																																										obj_t
																																											BgL_head2426z00_1955;
																																										{	/* Eval/evaluate.scm 294 */
																																											obj_t
																																												BgL_res3432z00_3174;
																																											BgL_res3432z00_3174
																																												=
																																												MAKE_PAIR
																																												(BNIL,
																																												BNIL);
																																											BgL_head2426z00_1955
																																												=
																																												BgL_res3432z00_3174;
																																										}
																																										{
																																											obj_t
																																												BgL_l2424z00_1957;
																																											obj_t
																																												BgL_tail2427z00_1958;
																																											BgL_l2424z00_1957
																																												=
																																												BgL_bindsz00_1225;
																																											BgL_tail2427z00_1958
																																												=
																																												BgL_head2426z00_1955;
																																										BgL_zc3anonymousza33066ze3z83_1959:
																																											if (NULLP(BgL_l2424z00_1957))
																																												{	/* Eval/evaluate.scm 294 */
																																													BgL_arg3063z00_1951
																																														=
																																														CDR
																																														(BgL_head2426z00_1955);
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 294 */
																																													obj_t
																																														BgL_newtail2428z00_1961;
																																													{	/* Eval/evaluate.scm 294 */
																																														obj_t
																																															BgL_arg3069z00_1963;
																																														{	/* Eval/evaluate.scm 294 */
																																															obj_t
																																																BgL_bz00_1964;
																																															BgL_bz00_1964
																																																=
																																																CAR
																																																(BgL_l2424z00_1957);
																																															{	/* Eval/evaluate.scm 295 */
																																																obj_t
																																																	BgL_arg3070z00_1965;
																																																obj_t
																																																	BgL_arg3071z00_1966;
																																																obj_t
																																																	BgL_arg3072z00_1967;
																																																{	/* Eval/evaluate.scm 295 */
																																																	obj_t
																																																		BgL_pairz00_3179;
																																																	BgL_pairz00_3179
																																																		=
																																																		BgL_bz00_1964;
																																																	BgL_arg3070z00_1965
																																																		=
																																																		CAR
																																																		(CDR
																																																		(BgL_pairz00_3179));
																																																}
																																																{	/* Eval/evaluate.scm 295 */
																																																	obj_t
																																																		BgL_arg3073z00_1968;
																																																	BgL_arg3073z00_1968
																																																		=
																																																		CAR
																																																		(BgL_bz00_1964);
																																																	{	/* Eval/evaluate.scm 295 */
																																																		obj_t
																																																			BgL_list3074z00_1969;
																																																		{	/* Eval/evaluate.scm 295 */
																																																			obj_t
																																																				BgL_arg3075z00_1970;
																																																			{	/* Eval/evaluate.scm 295 */
																																																				obj_t
																																																					BgL_arg3076z00_1971;
																																																				BgL_arg3076z00_1971
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_wherez00_28,
																																																					BNIL);
																																																				BgL_arg3075z00_1970
																																																					=
																																																					MAKE_PAIR
																																																					(BGl_symbol3608z00zz__evaluatez00,
																																																					BgL_arg3076z00_1971);
																																																			}
																																																			BgL_list3074z00_1969
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg3073z00_1968,
																																																				BgL_arg3075z00_1970);
																																																		}
																																																		BgL_arg3071z00_1966
																																																			=
																																																			BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																			(BgL_list3074z00_1969);
																																																	}
																																																}
																																																{	/* Eval/evaluate.scm 295 */
																																																	obj_t
																																																		BgL__ortest_2335z00_3186;
																																																	BgL__ortest_2335z00_3186
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_bz00_1964);
																																																	if (CBOOL(BgL__ortest_2335z00_3186))
																																																		{	/* Eval/evaluate.scm 295 */
																																																			BgL_arg3072z00_1967
																																																				=
																																																				BgL__ortest_2335z00_3186;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 295 */
																																																			BgL_arg3072z00_1967
																																																				=
																																																				BgL_blocz00_1950;
																																																		}
																																																}
																																																BgL_arg3069z00_1963
																																																	=
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_arg3070z00_1965,
																																																	BgL_localsz00_1949,
																																																	BgL_globalsz00_26,
																																																	BFALSE,
																																																	BgL_arg3071z00_1966,
																																																	BgL_arg3072z00_1967,
																																																	((bool_t) 0));
																																															}
																																														}
																																														{	/* Eval/evaluate.scm 294 */
																																															obj_t
																																																BgL_res3434z00_3189;
																																															BgL_res3434z00_3189
																																																=
																																																MAKE_PAIR
																																																(BgL_arg3069z00_1963,
																																																BNIL);
																																															BgL_newtail2428z00_1961
																																																=
																																																BgL_res3434z00_3189;
																																														}
																																													}
																																													SET_CDR
																																														(BgL_tail2427z00_1958,
																																														BgL_newtail2428z00_1961);
																																													{
																																														obj_t
																																															BgL_tail2427z00_6479;
																																														obj_t
																																															BgL_l2424z00_6477;
																																														BgL_l2424z00_6477
																																															=
																																															CDR
																																															(BgL_l2424z00_1957);
																																														BgL_tail2427z00_6479
																																															=
																																															BgL_newtail2428z00_1961;
																																														BgL_tail2427z00_1958
																																															=
																																															BgL_tail2427z00_6479;
																																														BgL_l2424z00_1957
																																															=
																																															BgL_l2424z00_6477;
																																														goto
																																															BgL_zc3anonymousza33066ze3z83_1959;
																																													}
																																												}
																																										}
																																									}
																																								BgL_arg3064z00_1952
																																									=
																																									BGl_convzd2beginzd2zz__evaluatez00
																																									(BgL_bodyz00_1226,
																																									BgL_localsz00_1949,
																																									BgL_globalsz00_26,
																																									BgL_tailzf3zf3_27,
																																									BgL_wherez00_28,
																																									BgL_locz00_29,
																																									((bool_t) 0));
																																								BgL_xz00_5205
																																									=
																																									BGl_makezd2ev_letreczd2zz__evaluate_typesz00
																																									(BgL_varsz00_1948,
																																									BgL_arg3063z00_1951,
																																									((BgL_ev_exprz00_bglt) BgL_arg3064z00_1952));
																																							}
																																						}
																																					}
																																				}
																																			}
																																			return
																																				((obj_t)
																																				BgL_xz00_5205);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 212 */
																																		obj_t
																																			BgL_arg2621z00_1388;
																																		BgL_arg2621z00_1388
																																			=
																																			CAR
																																			(BgL_ez00_24);
																																		{	/* Eval/evaluate.scm 212 */
																																			obj_t
																																				BgL_funz00_3719;
																																			obj_t
																																				BgL_argsz00_3720;
																																			BgL_funz00_3719
																																				=
																																				BGl_uconvzf2loczf2zz__evaluatez00
																																				(BgL_wherez00_28,
																																				BgL_globalsz00_26,
																																				BgL_localsz00_25,
																																				BgL_arg2621z00_1388,
																																				BGl_getzd2locationzd2zz__evaluatez00
																																				(BgL_arg2621z00_1388,
																																					BgL_locz00_29));
																																			BgL_argsz00_3720
																																				=
																																				BGl_loopz00zz__evaluatez00
																																				(BgL_wherez00_28,
																																				BgL_globalsz00_26,
																																				BgL_localsz00_25,
																																				BgL_locz00_29,
																																				BgL_cdrzd25968zd2_1383);
																																			{	/* Eval/evaluate.scm 212 */
																																				BgL_ev_appz00_bglt
																																					BgL_xz00_5207;
																																				BgL_xz00_5207
																																					=
																																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																					(BgL_locz00_29,
																																					((BgL_ev_exprz00_bglt) BgL_funz00_3719), BgL_argsz00_3720, BgL_tailzf3zf3_27);
																																				return (
																																					(obj_t)
																																					BgL_xz00_5207);
																																			}
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 212 */
																																if (
																																	(CAR
																																		(BgL_ez00_24)
																																		==
																																		BGl_symbol3633z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 212 */
																																		if (PAIRP
																																			(BgL_cdrzd25968zd2_1383))
																																			{	/* Eval/evaluate.scm 212 */
																																				obj_t
																																					BgL_carzd26089zd2_1393;
																																				obj_t
																																					BgL_cdrzd26090zd2_1394;
																																				BgL_carzd26089zd2_1393
																																					=
																																					CAR
																																					(BgL_cdrzd25968zd2_1383);
																																				BgL_cdrzd26090zd2_1394
																																					=
																																					CDR
																																					(BgL_cdrzd25968zd2_1383);
																																				if (PAIRP(BgL_carzd26089zd2_1393))
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_cdrzd26094zd2_1396;
																																						BgL_cdrzd26094zd2_1396
																																							=
																																							CDR
																																							(BgL_carzd26089zd2_1393);
																																						if (
																																							(CAR
																																								(BgL_carzd26089zd2_1393)
																																								==
																																								BGl_symbol3613z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 212 */
																																								if (PAIRP(BgL_cdrzd26094zd2_1396))
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_carzd26097zd2_1399;
																																										obj_t
																																											BgL_cdrzd26098zd2_1400;
																																										BgL_carzd26097zd2_1399
																																											=
																																											CAR
																																											(BgL_cdrzd26094zd2_1396);
																																										BgL_cdrzd26098zd2_1400
																																											=
																																											CDR
																																											(BgL_cdrzd26094zd2_1396);
																																										if (SYMBOLP(BgL_carzd26097zd2_1399))
																																											{	/* Eval/evaluate.scm 212 */
																																												if (PAIRP(BgL_cdrzd26098zd2_1400))
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_carzd26102zd2_1403;
																																														BgL_carzd26102zd2_1403
																																															=
																																															CAR
																																															(BgL_cdrzd26098zd2_1400);
																																														if (SYMBOLP(BgL_carzd26102zd2_1403))
																																															{	/* Eval/evaluate.scm 212 */
																																																if (NULLP(CDR(BgL_cdrzd26098zd2_1400)))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		if (PAIRP(BgL_cdrzd26090zd2_1394))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				if (NULLP(CDR(BgL_cdrzd26090zd2_1394)))
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_arg2634z00_1408;
																																																						BgL_arg2634z00_1408
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26090zd2_1394);
																																																						{	/* Eval/evaluate.scm 212 */
																																																							obj_t
																																																								BgL_idz00_3753;
																																																							obj_t
																																																								BgL_modnamez00_3754;
																																																							BgL_idz00_3753
																																																								=
																																																								BgL_carzd26097zd2_1399;
																																																							BgL_modnamez00_3754
																																																								=
																																																								BgL_carzd26102zd2_1403;
																																																							{	/* Eval/evaluate.scm 212 */
																																																								obj_t
																																																									BgL_arg3084z00_3756;
																																																								obj_t
																																																									BgL_arg3085z00_3757;
																																																								BgL_arg3084z00_3756
																																																									=
																																																									BGl_uconvzf2loczf2zz__evaluatez00
																																																									(BgL_wherez00_28,
																																																									BgL_globalsz00_26,
																																																									BgL_localsz00_25,
																																																									BgL_arg2634z00_1408,
																																																									BGl_getzd2locationzd2zz__evaluatez00
																																																									(BgL_arg2634z00_1408,
																																																										BgL_locz00_29));
																																																								BgL_arg3085z00_3757
																																																									=
																																																									BGl_evalzd2findzd2modulez00zz__evmodulez00
																																																									(BgL_modnamez00_3754);
																																																								{	/* Eval/evaluate.scm 212 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_xz00_5209;
																																																									BgL_xz00_5209
																																																										=
																																																										BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_arg3084z00_3756), BgL_locz00_29, BgL_idz00_3753, BgL_arg3085z00_3757);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_xz00_5209);
																																																								}
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 212 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_29,
																																																							BGl_string3606z00zz__evaluatez00,
																																																							BGl_string3635z00zz__evaluatez00,
																																																							BgL_ez00_24);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_29,
																																																					BGl_string3606z00zz__evaluatez00,
																																																					BGl_string3635z00zz__evaluatez00,
																																																					BgL_ez00_24);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_cdrzd26163zd2_1410;
																																																		BgL_cdrzd26163zd2_1410
																																																			=
																																																			CDR
																																																			(BgL_ez00_24);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_cdrzd26167zd2_1411;
																																																			BgL_cdrzd26167zd2_1411
																																																				=
																																																				CDR
																																																				(BgL_cdrzd26163zd2_1410);
																																																			if (PAIRP(BgL_cdrzd26167zd2_1411))
																																																				{	/* Eval/evaluate.scm 212 */
																																																					if (NULLP(CDR(BgL_cdrzd26167zd2_1411)))
																																																						{	/* Eval/evaluate.scm 212 */
																																																							obj_t
																																																								BgL_arg2638z00_1414;
																																																							obj_t
																																																								BgL_arg2639z00_1415;
																																																							BgL_arg2638z00_1414
																																																								=
																																																								CAR
																																																								(BgL_cdrzd26163zd2_1410);
																																																							BgL_arg2639z00_1415
																																																								=
																																																								CAR
																																																								(BgL_cdrzd26167zd2_1411);
																																																							{	/* Eval/evaluate.scm 212 */
																																																								obj_t
																																																									BgL_cvz00_3771;
																																																								obj_t
																																																									BgL_ez00_3772;
																																																								BgL_cvz00_3771
																																																									=
																																																									BGl_convzd2varzd2zz__evaluatez00
																																																									(BgL_arg2638z00_1414,
																																																									BgL_localsz00_25);
																																																								BgL_ez00_3772
																																																									=
																																																									BGl_uconvzf2loczf2zz__evaluatez00
																																																									(BgL_wherez00_28,
																																																									BgL_globalsz00_26,
																																																									BgL_localsz00_25,
																																																									BgL_arg2639z00_1415,
																																																									BGl_getzd2locationzd2zz__evaluatez00
																																																									(BgL_arg2639z00_1415,
																																																										BgL_locz00_29));
																																																								if (CBOOL(BgL_cvz00_3771))
																																																									{	/* Eval/evaluate.scm 212 */
																																																										BgL_ev_setlocalz00_bglt
																																																											BgL_xz00_5212;
																																																										BgL_xz00_5212
																																																											=
																																																											BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																											(
																																																											((BgL_ev_exprz00_bglt) BgL_ez00_3772), ((BgL_ev_varz00_bglt) BgL_cvz00_3771));
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_xz00_5212);
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 212 */
																																																										obj_t
																																																											BgL_arg3086z00_3773;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																											{	/* Eval/evaluate.scm 212 */
																																																												BgL_arg3086z00_3773
																																																													=
																																																													BgL_globalsz00_26;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 212 */
																																																												BgL_arg3086z00_3773
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										{	/* Eval/evaluate.scm 212 */
																																																											BgL_ev_setglobalz00_bglt
																																																												BgL_xz00_5214;
																																																											BgL_xz00_5214
																																																												=
																																																												BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_ez00_3772), BgL_locz00_29, BgL_arg2638z00_1414, BgL_arg3086z00_3773);
																																																											return
																																																												(
																																																												(obj_t)
																																																												BgL_xz00_5214);
																																																										}
																																																									}
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 212 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_29,
																																																								BGl_string3606z00zz__evaluatez00,
																																																								BGl_string3635z00zz__evaluatez00,
																																																								BgL_ez00_24);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 212 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_29,
																																																						BGl_string3606z00zz__evaluatez00,
																																																						BGl_string3635z00zz__evaluatez00,
																																																						BgL_ez00_24);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_cdrzd26203zd2_1418;
																																																BgL_cdrzd26203zd2_1418
																																																	=
																																																	CDR
																																																	(BgL_ez00_24);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_cdrzd26207zd2_1419;
																																																	BgL_cdrzd26207zd2_1419
																																																		=
																																																		CDR
																																																		(BgL_cdrzd26203zd2_1418);
																																																	if (PAIRP(BgL_cdrzd26207zd2_1419))
																																																		{	/* Eval/evaluate.scm 212 */
																																																			if (NULLP(CDR(BgL_cdrzd26207zd2_1419)))
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_arg2644z00_1422;
																																																					obj_t
																																																						BgL_arg2645z00_1423;
																																																					BgL_arg2644z00_1422
																																																						=
																																																						CAR
																																																						(BgL_cdrzd26203zd2_1418);
																																																					BgL_arg2645z00_1423
																																																						=
																																																						CAR
																																																						(BgL_cdrzd26207zd2_1419);
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_cvz00_3788;
																																																						obj_t
																																																							BgL_ez00_3789;
																																																						BgL_cvz00_3788
																																																							=
																																																							BGl_convzd2varzd2zz__evaluatez00
																																																							(BgL_arg2644z00_1422,
																																																							BgL_localsz00_25);
																																																						BgL_ez00_3789
																																																							=
																																																							BGl_uconvzf2loczf2zz__evaluatez00
																																																							(BgL_wherez00_28,
																																																							BgL_globalsz00_26,
																																																							BgL_localsz00_25,
																																																							BgL_arg2645z00_1423,
																																																							BGl_getzd2locationzd2zz__evaluatez00
																																																							(BgL_arg2645z00_1423,
																																																								BgL_locz00_29));
																																																						if (CBOOL(BgL_cvz00_3788))
																																																							{	/* Eval/evaluate.scm 212 */
																																																								BgL_ev_setlocalz00_bglt
																																																									BgL_xz00_5217;
																																																								BgL_xz00_5217
																																																									=
																																																									BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																									(
																																																									((BgL_ev_exprz00_bglt) BgL_ez00_3789), ((BgL_ev_varz00_bglt) BgL_cvz00_3788));
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_xz00_5217);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 212 */
																																																								obj_t
																																																									BgL_arg3086z00_3790;
																																																								if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																									{	/* Eval/evaluate.scm 212 */
																																																										BgL_arg3086z00_3790
																																																											=
																																																											BgL_globalsz00_26;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 212 */
																																																										BgL_arg3086z00_3790
																																																											=
																																																											BGL_MODULE
																																																											();
																																																									}
																																																								{	/* Eval/evaluate.scm 212 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_xz00_5219;
																																																									BgL_xz00_5219
																																																										=
																																																										BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_ez00_3789), BgL_locz00_29, BgL_arg2644z00_1422, BgL_arg3086z00_3790);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_xz00_5219);
																																																								}
																																																							}
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 212 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_29,
																																																						BGl_string3606z00zz__evaluatez00,
																																																						BGl_string3635z00zz__evaluatez00,
																																																						BgL_ez00_24);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 212 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_29,
																																																				BGl_string3606z00zz__evaluatez00,
																																																				BGl_string3635z00zz__evaluatez00,
																																																				BgL_ez00_24);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cdrzd26243zd2_1425;
																																														BgL_cdrzd26243zd2_1425
																																															=
																																															CDR
																																															(BgL_ez00_24);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_cdrzd26247zd2_1426;
																																															BgL_cdrzd26247zd2_1426
																																																=
																																																CDR
																																																(BgL_cdrzd26243zd2_1425);
																																															if (PAIRP(BgL_cdrzd26247zd2_1426))
																																																{	/* Eval/evaluate.scm 212 */
																																																	if (NULLP(CDR(BgL_cdrzd26247zd2_1426)))
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_arg2650z00_1429;
																																																			obj_t
																																																				BgL_arg2651z00_1430;
																																																			BgL_arg2650z00_1429
																																																				=
																																																				CAR
																																																				(BgL_cdrzd26243zd2_1425);
																																																			BgL_arg2651z00_1430
																																																				=
																																																				CAR
																																																				(BgL_cdrzd26247zd2_1426);
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_cvz00_3805;
																																																				obj_t
																																																					BgL_ez00_3806;
																																																				BgL_cvz00_3805
																																																					=
																																																					BGl_convzd2varzd2zz__evaluatez00
																																																					(BgL_arg2650z00_1429,
																																																					BgL_localsz00_25);
																																																				BgL_ez00_3806
																																																					=
																																																					BGl_uconvzf2loczf2zz__evaluatez00
																																																					(BgL_wherez00_28,
																																																					BgL_globalsz00_26,
																																																					BgL_localsz00_25,
																																																					BgL_arg2651z00_1430,
																																																					BGl_getzd2locationzd2zz__evaluatez00
																																																					(BgL_arg2651z00_1430,
																																																						BgL_locz00_29));
																																																				if (CBOOL(BgL_cvz00_3805))
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_ev_setlocalz00_bglt
																																																							BgL_xz00_5222;
																																																						BgL_xz00_5222
																																																							=
																																																							BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																							(
																																																							((BgL_ev_exprz00_bglt) BgL_ez00_3806), ((BgL_ev_varz00_bglt) BgL_cvz00_3805));
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_xz00_5222);
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_arg3086z00_3807;
																																																						if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																							{	/* Eval/evaluate.scm 212 */
																																																								BgL_arg3086z00_3807
																																																									=
																																																									BgL_globalsz00_26;
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 212 */
																																																								BgL_arg3086z00_3807
																																																									=
																																																									BGL_MODULE
																																																									();
																																																							}
																																																						{	/* Eval/evaluate.scm 212 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_xz00_5224;
																																																							BgL_xz00_5224
																																																								=
																																																								BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_ez00_3806), BgL_locz00_29, BgL_arg2650z00_1429, BgL_arg3086z00_3807);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_xz00_5224);
																																																						}
																																																					}
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 212 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_29,
																																																				BGl_string3606z00zz__evaluatez00,
																																																				BGl_string3635z00zz__evaluatez00,
																																																				BgL_ez00_24);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 212 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_29,
																																																		BGl_string3606z00zz__evaluatez00,
																																																		BGl_string3635z00zz__evaluatez00,
																																																		BgL_ez00_24);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cdrzd26283zd2_1432;
																																												BgL_cdrzd26283zd2_1432
																																													=
																																													CDR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_cdrzd26287zd2_1433;
																																													BgL_cdrzd26287zd2_1433
																																														=
																																														CDR
																																														(BgL_cdrzd26283zd2_1432);
																																													if (PAIRP(BgL_cdrzd26287zd2_1433))
																																														{	/* Eval/evaluate.scm 212 */
																																															if (NULLP(CDR(BgL_cdrzd26287zd2_1433)))
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_arg2656z00_1436;
																																																	obj_t
																																																		BgL_arg2657z00_1437;
																																																	BgL_arg2656z00_1436
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26283zd2_1432);
																																																	BgL_arg2657z00_1437
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26287zd2_1433);
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_cvz00_3822;
																																																		obj_t
																																																			BgL_ez00_3823;
																																																		BgL_cvz00_3822
																																																			=
																																																			BGl_convzd2varzd2zz__evaluatez00
																																																			(BgL_arg2656z00_1436,
																																																			BgL_localsz00_25);
																																																		BgL_ez00_3823
																																																			=
																																																			BGl_uconvzf2loczf2zz__evaluatez00
																																																			(BgL_wherez00_28,
																																																			BgL_globalsz00_26,
																																																			BgL_localsz00_25,
																																																			BgL_arg2657z00_1437,
																																																			BGl_getzd2locationzd2zz__evaluatez00
																																																			(BgL_arg2657z00_1437,
																																																				BgL_locz00_29));
																																																		if (CBOOL(BgL_cvz00_3822))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_setlocalz00_bglt
																																																					BgL_xz00_5227;
																																																				BgL_xz00_5227
																																																					=
																																																					BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																					(
																																																					((BgL_ev_exprz00_bglt) BgL_ez00_3823), ((BgL_ev_varz00_bglt) BgL_cvz00_3822));
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5227);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg3086z00_3824;
																																																				if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_arg3086z00_3824
																																																							=
																																																							BgL_globalsz00_26;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_arg3086z00_3824
																																																							=
																																																							BGL_MODULE
																																																							();
																																																					}
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_ev_setglobalz00_bglt
																																																						BgL_xz00_5229;
																																																					BgL_xz00_5229
																																																						=
																																																						BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_ez00_3823), BgL_locz00_29, BgL_arg2656z00_1436, BgL_arg3086z00_3824);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_xz00_5229);
																																																				}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 212 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_29,
																																																		BGl_string3606z00zz__evaluatez00,
																																																		BGl_string3635z00zz__evaluatez00,
																																																		BgL_ez00_24);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 212 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_29,
																																																BGl_string3606z00zz__evaluatez00,
																																																BGl_string3635z00zz__evaluatez00,
																																																BgL_ez00_24);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_cdrzd26323zd2_1439;
																																										BgL_cdrzd26323zd2_1439
																																											=
																																											CDR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_cdrzd26327zd2_1440;
																																											BgL_cdrzd26327zd2_1440
																																												=
																																												CDR
																																												(BgL_cdrzd26323zd2_1439);
																																											if (PAIRP(BgL_cdrzd26327zd2_1440))
																																												{	/* Eval/evaluate.scm 212 */
																																													if (NULLP(CDR(BgL_cdrzd26327zd2_1440)))
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_arg2663z00_1443;
																																															obj_t
																																																BgL_arg2664z00_1444;
																																															BgL_arg2663z00_1443
																																																=
																																																CAR
																																																(BgL_cdrzd26323zd2_1439);
																																															BgL_arg2664z00_1444
																																																=
																																																CAR
																																																(BgL_cdrzd26327zd2_1440);
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_cvz00_3839;
																																																obj_t
																																																	BgL_ez00_3840;
																																																BgL_cvz00_3839
																																																	=
																																																	BGl_convzd2varzd2zz__evaluatez00
																																																	(BgL_arg2663z00_1443,
																																																	BgL_localsz00_25);
																																																BgL_ez00_3840
																																																	=
																																																	BGl_uconvzf2loczf2zz__evaluatez00
																																																	(BgL_wherez00_28,
																																																	BgL_globalsz00_26,
																																																	BgL_localsz00_25,
																																																	BgL_arg2664z00_1444,
																																																	BGl_getzd2locationzd2zz__evaluatez00
																																																	(BgL_arg2664z00_1444,
																																																		BgL_locz00_29));
																																																if (CBOOL(BgL_cvz00_3839))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_setlocalz00_bglt
																																																			BgL_xz00_5232;
																																																		BgL_xz00_5232
																																																			=
																																																			BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																			(
																																																			((BgL_ev_exprz00_bglt) BgL_ez00_3840), ((BgL_ev_varz00_bglt) BgL_cvz00_3839));
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5232);
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg3086z00_3841;
																																																		if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_arg3086z00_3841
																																																					=
																																																					BgL_globalsz00_26;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_arg3086z00_3841
																																																					=
																																																					BGL_MODULE
																																																					();
																																																			}
																																																		{	/* Eval/evaluate.scm 212 */
																																																			BgL_ev_setglobalz00_bglt
																																																				BgL_xz00_5234;
																																																			BgL_xz00_5234
																																																				=
																																																				BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_ez00_3840), BgL_locz00_29, BgL_arg2663z00_1443, BgL_arg3086z00_3841);
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_xz00_5234);
																																																		}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 212 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_29,
																																																BGl_string3606z00zz__evaluatez00,
																																																BGl_string3635z00zz__evaluatez00,
																																																BgL_ez00_24);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 212 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_29,
																																														BGl_string3606z00zz__evaluatez00,
																																														BGl_string3635z00zz__evaluatez00,
																																														BgL_ez00_24);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_cdrzd26363zd2_1446;
																																								BgL_cdrzd26363zd2_1446
																																									=
																																									CDR
																																									(BgL_ez00_24);
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_cdrzd26367zd2_1447;
																																									BgL_cdrzd26367zd2_1447
																																										=
																																										CDR
																																										(BgL_cdrzd26363zd2_1446);
																																									if (PAIRP(BgL_cdrzd26367zd2_1447))
																																										{	/* Eval/evaluate.scm 212 */
																																											if (NULLP(CDR(BgL_cdrzd26367zd2_1447)))
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_arg2668z00_1450;
																																													obj_t
																																														BgL_arg2669z00_1451;
																																													BgL_arg2668z00_1450
																																														=
																																														CAR
																																														(BgL_cdrzd26363zd2_1446);
																																													BgL_arg2669z00_1451
																																														=
																																														CAR
																																														(BgL_cdrzd26367zd2_1447);
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cvz00_3856;
																																														obj_t
																																															BgL_ez00_3857;
																																														BgL_cvz00_3856
																																															=
																																															BGl_convzd2varzd2zz__evaluatez00
																																															(BgL_arg2668z00_1450,
																																															BgL_localsz00_25);
																																														BgL_ez00_3857
																																															=
																																															BGl_uconvzf2loczf2zz__evaluatez00
																																															(BgL_wherez00_28,
																																															BgL_globalsz00_26,
																																															BgL_localsz00_25,
																																															BgL_arg2669z00_1451,
																																															BGl_getzd2locationzd2zz__evaluatez00
																																															(BgL_arg2669z00_1451,
																																																BgL_locz00_29));
																																														if (CBOOL(BgL_cvz00_3856))
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_setlocalz00_bglt
																																																	BgL_xz00_5237;
																																																BgL_xz00_5237
																																																	=
																																																	BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																	(
																																																	((BgL_ev_exprz00_bglt) BgL_ez00_3857), ((BgL_ev_varz00_bglt) BgL_cvz00_3856));
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5237);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg3086z00_3858;
																																																if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_arg3086z00_3858
																																																			=
																																																			BgL_globalsz00_26;
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_arg3086z00_3858
																																																			=
																																																			BGL_MODULE
																																																			();
																																																	}
																																																{	/* Eval/evaluate.scm 212 */
																																																	BgL_ev_setglobalz00_bglt
																																																		BgL_xz00_5239;
																																																	BgL_xz00_5239
																																																		=
																																																		BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_ez00_3857), BgL_locz00_29, BgL_arg2668z00_1450, BgL_arg3086z00_3858);
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_xz00_5239);
																																																}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 212 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_29,
																																														BGl_string3606z00zz__evaluatez00,
																																														BGl_string3635z00zz__evaluatez00,
																																														BgL_ez00_24);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 212 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_29,
																																												BGl_string3606z00zz__evaluatez00,
																																												BGl_string3635z00zz__evaluatez00,
																																												BgL_ez00_24);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_cdrzd26403zd2_1454;
																																						BgL_cdrzd26403zd2_1454
																																							=
																																							CDR
																																							(BgL_ez00_24);
																																						{	/* Eval/evaluate.scm 212 */
																																							obj_t
																																								BgL_cdrzd26407zd2_1455;
																																							BgL_cdrzd26407zd2_1455
																																								=
																																								CDR
																																								(BgL_cdrzd26403zd2_1454);
																																							if (PAIRP(BgL_cdrzd26407zd2_1455))
																																								{	/* Eval/evaluate.scm 212 */
																																									if (NULLP(CDR(BgL_cdrzd26407zd2_1455)))
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_arg2674z00_1458;
																																											obj_t
																																												BgL_arg2675z00_1459;
																																											BgL_arg2674z00_1458
																																												=
																																												CAR
																																												(BgL_cdrzd26403zd2_1454);
																																											BgL_arg2675z00_1459
																																												=
																																												CAR
																																												(BgL_cdrzd26407zd2_1455);
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cvz00_3873;
																																												obj_t
																																													BgL_ez00_3874;
																																												BgL_cvz00_3873
																																													=
																																													BGl_convzd2varzd2zz__evaluatez00
																																													(BgL_arg2674z00_1458,
																																													BgL_localsz00_25);
																																												BgL_ez00_3874
																																													=
																																													BGl_uconvzf2loczf2zz__evaluatez00
																																													(BgL_wherez00_28,
																																													BgL_globalsz00_26,
																																													BgL_localsz00_25,
																																													BgL_arg2675z00_1459,
																																													BGl_getzd2locationzd2zz__evaluatez00
																																													(BgL_arg2675z00_1459,
																																														BgL_locz00_29));
																																												if (CBOOL(BgL_cvz00_3873))
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_setlocalz00_bglt
																																															BgL_xz00_5242;
																																														BgL_xz00_5242
																																															=
																																															BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																															(
																																															((BgL_ev_exprz00_bglt) BgL_ez00_3874), ((BgL_ev_varz00_bglt) BgL_cvz00_3873));
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5242);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg3086z00_3875;
																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_arg3086z00_3875
																																																	=
																																																	BgL_globalsz00_26;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_arg3086z00_3875
																																																	=
																																																	BGL_MODULE
																																																	();
																																															}
																																														{	/* Eval/evaluate.scm 212 */
																																															BgL_ev_setglobalz00_bglt
																																																BgL_xz00_5244;
																																															BgL_xz00_5244
																																																=
																																																BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_ez00_3874), BgL_locz00_29, BgL_arg2674z00_1458, BgL_arg3086z00_3875);
																																															return
																																																(
																																																(obj_t)
																																																BgL_xz00_5244);
																																														}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 212 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_29,
																																												BGl_string3606z00zz__evaluatez00,
																																												BGl_string3635z00zz__evaluatez00,
																																												BgL_ez00_24);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 212 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_29,
																																										BGl_string3606z00zz__evaluatez00,
																																										BGl_string3635z00zz__evaluatez00,
																																										BgL_ez00_24);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 212 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_29,
																																					BGl_string3606z00zz__evaluatez00,
																																					BGl_string3635z00zz__evaluatez00,
																																					BgL_ez00_24);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 212 */
																																		obj_t
																																			BgL_cdrzd26484zd2_1461;
																																		BgL_cdrzd26484zd2_1461
																																			=
																																			CDR
																																			(BgL_ez00_24);
																																		if ((CAR
																																				(BgL_ez00_24)
																																				==
																																				BGl_symbol3636z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 212 */
																																				if (PAIRP(BgL_cdrzd26484zd2_1461))
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_cdrzd26489zd2_1464;
																																						BgL_cdrzd26489zd2_1464
																																							=
																																							CDR
																																							(BgL_cdrzd26484zd2_1461);
																																						if (PAIRP(BgL_cdrzd26489zd2_1464))
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_carzd26493zd2_1466;
																																								BgL_carzd26493zd2_1466
																																									=
																																									CAR
																																									(BgL_cdrzd26489zd2_1464);
																																								if (PAIRP(BgL_carzd26493zd2_1466))
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_cdrzd26498zd2_1468;
																																										BgL_cdrzd26498zd2_1468
																																											=
																																											CDR
																																											(BgL_carzd26493zd2_1466);
																																										if ((CAR(BgL_carzd26493zd2_1466) == BGl_symbol3638z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 212 */
																																												if (PAIRP(BgL_cdrzd26498zd2_1468))
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cdrzd26502zd2_1471;
																																														BgL_cdrzd26502zd2_1471
																																															=
																																															CDR
																																															(BgL_cdrzd26498zd2_1468);
																																														if (PAIRP(BgL_cdrzd26502zd2_1471))
																																															{	/* Eval/evaluate.scm 212 */
																																																if (NULLP(CDR(BgL_cdrzd26502zd2_1471)))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		if (NULLP(CDR(BgL_cdrzd26489zd2_1464)))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg2687z00_1475;
																																																				obj_t
																																																					BgL_arg2688z00_1476;
																																																				obj_t
																																																					BgL_arg2689z00_1477;
																																																				BgL_arg2687z00_1475
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26484zd2_1461);
																																																				BgL_arg2688z00_1476
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26498zd2_1468);
																																																				BgL_arg2689z00_1477
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26502zd2_1471);
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_ev_absz00_bglt
																																																						BgL_arg3088z00_3908;
																																																					obj_t
																																																						BgL_arg3089z00_3909;
																																																					obj_t
																																																						BgL_arg3090z00_3910;
																																																					BgL_arg3088z00_3908
																																																						=
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_26,
																																																						BgL_localsz00_25,
																																																						BgL_locz00_29,
																																																						BgL_ez00_24,
																																																						BgL_arg2688z00_1476,
																																																						BgL_arg2689z00_1477,
																																																						BgL_arg2687z00_1475);
																																																					BgL_arg3089z00_3909
																																																						=
																																																						BGl_untypezd2identzd2zz__evcompilez00
																																																						(BgL_arg2687z00_1475);
																																																					if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																						{	/* Eval/evaluate.scm 212 */
																																																							BgL_arg3090z00_3910
																																																								=
																																																								BgL_globalsz00_26;
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 212 */
																																																							BgL_arg3090z00_3910
																																																								=
																																																								BGL_MODULE
																																																								();
																																																						}
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_xz00_5246;
																																																						BgL_xz00_5246
																																																							=
																																																							BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																							(
																																																							((BgL_ev_exprz00_bglt) BgL_arg3088z00_3908), BgL_locz00_29, BgL_arg3089z00_3909, BgL_arg3090z00_3910);
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_xz00_5246);
																																																					}
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg2690z00_1478;
																																																				BgL_arg2690z00_1478
																																																					=
																																																					CAR
																																																					(BgL_ez00_24);
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_funz00_3916;
																																																					obj_t
																																																						BgL_argsz00_3917;
																																																					BgL_funz00_3916
																																																						=
																																																						BGl_uconvzf2loczf2zz__evaluatez00
																																																						(BgL_wherez00_28,
																																																						BgL_globalsz00_26,
																																																						BgL_localsz00_25,
																																																						BgL_arg2690z00_1478,
																																																						BGl_getzd2locationzd2zz__evaluatez00
																																																						(BgL_arg2690z00_1478,
																																																							BgL_locz00_29));
																																																					BgL_argsz00_3917
																																																						=
																																																						BGl_loopz00zz__evaluatez00
																																																						(BgL_wherez00_28,
																																																						BgL_globalsz00_26,
																																																						BgL_localsz00_25,
																																																						BgL_locz00_29,
																																																						BgL_cdrzd26484zd2_1461);
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_ev_appz00_bglt
																																																							BgL_xz00_5248;
																																																						BgL_xz00_5248
																																																							=
																																																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																							(BgL_locz00_29,
																																																							((BgL_ev_exprz00_bglt) BgL_funz00_3916), BgL_argsz00_3917, BgL_tailzf3zf3_27);
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_xz00_5248);
																																																					}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_cdrzd26576zd2_1482;
																																																		BgL_cdrzd26576zd2_1482
																																																			=
																																																			CDR
																																																			(BgL_cdrzd26484zd2_1461);
																																																		if (NULLP(CDR(BgL_cdrzd26576zd2_1482)))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg2694z00_1484;
																																																				obj_t
																																																					BgL_arg2695z00_1485;
																																																				BgL_arg2694z00_1484
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26484zd2_1461);
																																																				BgL_arg2695z00_1485
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26576zd2_1482);
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_arg3092z00_3929;
																																																					obj_t
																																																						BgL_arg3093z00_3930;
																																																					obj_t
																																																						BgL_arg3094z00_3931;
																																																					BgL_arg3092z00_3929
																																																						=
																																																						BGl_uconvzf2loczf2zz__evaluatez00
																																																						(BgL_wherez00_28,
																																																						BgL_globalsz00_26,
																																																						BgL_localsz00_25,
																																																						BgL_arg2695z00_1485,
																																																						BGl_getzd2locationzd2zz__evaluatez00
																																																						(BgL_arg2695z00_1485,
																																																							BgL_locz00_29));
																																																					BgL_arg3093z00_3930
																																																						=
																																																						BGl_untypezd2identzd2zz__evcompilez00
																																																						(BgL_arg2694z00_1484);
																																																					if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																						{	/* Eval/evaluate.scm 212 */
																																																							BgL_arg3094z00_3931
																																																								=
																																																								BgL_globalsz00_26;
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 212 */
																																																							BgL_arg3094z00_3931
																																																								=
																																																								BGL_MODULE
																																																								();
																																																						}
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_xz00_5250;
																																																						BgL_xz00_5250
																																																							=
																																																							BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																							(
																																																							((BgL_ev_exprz00_bglt) BgL_arg3092z00_3929), BgL_locz00_29, BgL_arg3093z00_3930, BgL_arg3094z00_3931);
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_xz00_5250);
																																																					}
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg2696z00_1486;
																																																				obj_t
																																																					BgL_arg2697z00_1487;
																																																				BgL_arg2696z00_1486
																																																					=
																																																					CAR
																																																					(BgL_ez00_24);
																																																				BgL_arg2697z00_1487
																																																					=
																																																					CDR
																																																					(BgL_ez00_24);
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_funz00_3939;
																																																					obj_t
																																																						BgL_argsz00_3940;
																																																					BgL_funz00_3939
																																																						=
																																																						BGl_uconvzf2loczf2zz__evaluatez00
																																																						(BgL_wherez00_28,
																																																						BgL_globalsz00_26,
																																																						BgL_localsz00_25,
																																																						BgL_arg2696z00_1486,
																																																						BGl_getzd2locationzd2zz__evaluatez00
																																																						(BgL_arg2696z00_1486,
																																																							BgL_locz00_29));
																																																					BgL_argsz00_3940
																																																						=
																																																						BGl_loopz00zz__evaluatez00
																																																						(BgL_wherez00_28,
																																																						BgL_globalsz00_26,
																																																						BgL_localsz00_25,
																																																						BgL_locz00_29,
																																																						BgL_arg2697z00_1487);
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_ev_appz00_bglt
																																																							BgL_xz00_5252;
																																																						BgL_xz00_5252
																																																							=
																																																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																							(BgL_locz00_29,
																																																							((BgL_ev_exprz00_bglt) BgL_funz00_3939), BgL_argsz00_3940, BgL_tailzf3zf3_27);
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_xz00_5252);
																																																					}
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_cdrzd26639zd2_1491;
																																																BgL_cdrzd26639zd2_1491
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26484zd2_1461);
																																																if (NULLP(CDR(BgL_cdrzd26639zd2_1491)))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2701z00_1493;
																																																		obj_t
																																																			BgL_arg2702z00_1494;
																																																		BgL_arg2701z00_1493
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26484zd2_1461);
																																																		BgL_arg2702z00_1494
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26639zd2_1491);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_arg3092z00_3952;
																																																			obj_t
																																																				BgL_arg3093z00_3953;
																																																			obj_t
																																																				BgL_arg3094z00_3954;
																																																			BgL_arg3092z00_3952
																																																				=
																																																				BGl_uconvzf2loczf2zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_arg2702z00_1494,
																																																				BGl_getzd2locationzd2zz__evaluatez00
																																																				(BgL_arg2702z00_1494,
																																																					BgL_locz00_29));
																																																			BgL_arg3093z00_3953
																																																				=
																																																				BGl_untypezd2identzd2zz__evcompilez00
																																																				(BgL_arg2701z00_1493);
																																																			if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_arg3094z00_3954
																																																						=
																																																						BgL_globalsz00_26;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_arg3094z00_3954
																																																						=
																																																						BGL_MODULE
																																																						();
																																																				}
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_xz00_5254;
																																																				BgL_xz00_5254
																																																					=
																																																					BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																					(
																																																					((BgL_ev_exprz00_bglt) BgL_arg3092z00_3952), BgL_locz00_29, BgL_arg3093z00_3953, BgL_arg3094z00_3954);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5254);
																																																			}
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2703z00_1495;
																																																		obj_t
																																																			BgL_arg2705z00_1496;
																																																		BgL_arg2703z00_1495
																																																			=
																																																			CAR
																																																			(BgL_ez00_24);
																																																		BgL_arg2705z00_1496
																																																			=
																																																			CDR
																																																			(BgL_ez00_24);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_funz00_3962;
																																																			obj_t
																																																				BgL_argsz00_3963;
																																																			BgL_funz00_3962
																																																				=
																																																				BGl_uconvzf2loczf2zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_arg2703z00_1495,
																																																				BGl_getzd2locationzd2zz__evaluatez00
																																																				(BgL_arg2703z00_1495,
																																																					BgL_locz00_29));
																																																			BgL_argsz00_3963
																																																				=
																																																				BGl_loopz00zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_locz00_29,
																																																				BgL_arg2705z00_1496);
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_appz00_bglt
																																																					BgL_xz00_5256;
																																																				BgL_xz00_5256
																																																					=
																																																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																					(BgL_locz00_29,
																																																					((BgL_ev_exprz00_bglt) BgL_funz00_3962), BgL_argsz00_3963, BgL_tailzf3zf3_27);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5256);
																																																			}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cdrzd26702zd2_1499;
																																														BgL_cdrzd26702zd2_1499
																																															=
																																															CDR
																																															(BgL_cdrzd26484zd2_1461);
																																														if (NULLP(CDR(BgL_cdrzd26702zd2_1499)))
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg2708z00_1501;
																																																obj_t
																																																	BgL_arg2709z00_1502;
																																																BgL_arg2708z00_1501
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26484zd2_1461);
																																																BgL_arg2709z00_1502
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26702zd2_1499);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_arg3092z00_3975;
																																																	obj_t
																																																		BgL_arg3093z00_3976;
																																																	obj_t
																																																		BgL_arg3094z00_3977;
																																																	BgL_arg3092z00_3975
																																																		=
																																																		BGl_uconvzf2loczf2zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_arg2709z00_1502,
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg2709z00_1502,
																																																			BgL_locz00_29));
																																																	BgL_arg3093z00_3976
																																																		=
																																																		BGl_untypezd2identzd2zz__evcompilez00
																																																		(BgL_arg2708z00_1501);
																																																	if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																		{	/* Eval/evaluate.scm 212 */
																																																			BgL_arg3094z00_3977
																																																				=
																																																				BgL_globalsz00_26;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 212 */
																																																			BgL_arg3094z00_3977
																																																				=
																																																				BGL_MODULE
																																																				();
																																																		}
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_xz00_5258;
																																																		BgL_xz00_5258
																																																			=
																																																			BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																			(
																																																			((BgL_ev_exprz00_bglt) BgL_arg3092z00_3975), BgL_locz00_29, BgL_arg3093z00_3976, BgL_arg3094z00_3977);
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5258);
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg2710z00_1503;
																																																obj_t
																																																	BgL_arg2711z00_1504;
																																																BgL_arg2710z00_1503
																																																	=
																																																	CAR
																																																	(BgL_ez00_24);
																																																BgL_arg2711z00_1504
																																																	=
																																																	CDR
																																																	(BgL_ez00_24);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_funz00_3985;
																																																	obj_t
																																																		BgL_argsz00_3986;
																																																	BgL_funz00_3985
																																																		=
																																																		BGl_uconvzf2loczf2zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_arg2710z00_1503,
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg2710z00_1503,
																																																			BgL_locz00_29));
																																																	BgL_argsz00_3986
																																																		=
																																																		BGl_loopz00zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_locz00_29,
																																																		BgL_arg2711z00_1504);
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_appz00_bglt
																																																			BgL_xz00_5260;
																																																		BgL_xz00_5260
																																																			=
																																																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																			(BgL_locz00_29,
																																																			((BgL_ev_exprz00_bglt) BgL_funz00_3985), BgL_argsz00_3986, BgL_tailzf3zf3_27);
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5260);
																																																	}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cdrzd26765zd2_1507;
																																												BgL_cdrzd26765zd2_1507
																																													=
																																													CDR
																																													(BgL_cdrzd26484zd2_1461);
																																												if (NULLP(CDR(BgL_cdrzd26765zd2_1507)))
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg2714z00_1509;
																																														obj_t
																																															BgL_arg2715z00_1510;
																																														BgL_arg2714z00_1509
																																															=
																																															CAR
																																															(BgL_cdrzd26484zd2_1461);
																																														BgL_arg2715z00_1510
																																															=
																																															CAR
																																															(BgL_cdrzd26765zd2_1507);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_arg3092z00_3998;
																																															obj_t
																																																BgL_arg3093z00_3999;
																																															obj_t
																																																BgL_arg3094z00_4000;
																																															BgL_arg3092z00_3998
																																																=
																																																BGl_uconvzf2loczf2zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_arg2715z00_1510,
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2715z00_1510,
																																																	BgL_locz00_29));
																																															BgL_arg3093z00_3999
																																																=
																																																BGl_untypezd2identzd2zz__evcompilez00
																																																(BgL_arg2714z00_1509);
																																															if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																{	/* Eval/evaluate.scm 212 */
																																																	BgL_arg3094z00_4000
																																																		=
																																																		BgL_globalsz00_26;
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 212 */
																																																	BgL_arg3094z00_4000
																																																		=
																																																		BGL_MODULE
																																																		();
																																																}
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_xz00_5262;
																																																BgL_xz00_5262
																																																	=
																																																	BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																	(
																																																	((BgL_ev_exprz00_bglt) BgL_arg3092z00_3998), BgL_locz00_29, BgL_arg3093z00_3999, BgL_arg3094z00_4000);
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5262);
																																															}
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg2716z00_1511;
																																														obj_t
																																															BgL_arg2717z00_1512;
																																														BgL_arg2716z00_1511
																																															=
																																															CAR
																																															(BgL_ez00_24);
																																														BgL_arg2717z00_1512
																																															=
																																															CDR
																																															(BgL_ez00_24);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_funz00_4008;
																																															obj_t
																																																BgL_argsz00_4009;
																																															BgL_funz00_4008
																																																=
																																																BGl_uconvzf2loczf2zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_arg2716z00_1511,
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2716z00_1511,
																																																	BgL_locz00_29));
																																															BgL_argsz00_4009
																																																=
																																																BGl_loopz00zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_locz00_29,
																																																BgL_arg2717z00_1512);
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_appz00_bglt
																																																	BgL_xz00_5264;
																																																BgL_xz00_5264
																																																	=
																																																	BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																	(BgL_locz00_29,
																																																	((BgL_ev_exprz00_bglt) BgL_funz00_4008), BgL_argsz00_4009, BgL_tailzf3zf3_27);
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5264);
																																															}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_cdrzd26828zd2_1516;
																																										BgL_cdrzd26828zd2_1516
																																											=
																																											CDR
																																											(BgL_cdrzd26484zd2_1461);
																																										if (NULLP(CDR(BgL_cdrzd26828zd2_1516)))
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2721z00_1518;
																																												obj_t
																																													BgL_arg2722z00_1519;
																																												BgL_arg2721z00_1518
																																													=
																																													CAR
																																													(BgL_cdrzd26484zd2_1461);
																																												BgL_arg2722z00_1519
																																													=
																																													CAR
																																													(BgL_cdrzd26828zd2_1516);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_arg3092z00_4021;
																																													obj_t
																																														BgL_arg3093z00_4022;
																																													obj_t
																																														BgL_arg3094z00_4023;
																																													BgL_arg3092z00_4021
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2722z00_1519,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2722z00_1519,
																																															BgL_locz00_29));
																																													BgL_arg3093z00_4022
																																														=
																																														BGl_untypezd2identzd2zz__evcompilez00
																																														(BgL_arg2721z00_1518);
																																													if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																														{	/* Eval/evaluate.scm 212 */
																																															BgL_arg3094z00_4023
																																																=
																																																BgL_globalsz00_26;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 212 */
																																															BgL_arg3094z00_4023
																																																=
																																																BGL_MODULE
																																																();
																																														}
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_xz00_5266;
																																														BgL_xz00_5266
																																															=
																																															BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																															(
																																															((BgL_ev_exprz00_bglt) BgL_arg3092z00_4021), BgL_locz00_29, BgL_arg3093z00_4022, BgL_arg3094z00_4023);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5266);
																																													}
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2723z00_1520;
																																												obj_t
																																													BgL_arg2724z00_1521;
																																												BgL_arg2723z00_1520
																																													=
																																													CAR
																																													(BgL_ez00_24);
																																												BgL_arg2724z00_1521
																																													=
																																													CDR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_funz00_4031;
																																													obj_t
																																														BgL_argsz00_4032;
																																													BgL_funz00_4031
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2723z00_1520,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2723z00_1520,
																																															BgL_locz00_29));
																																													BgL_argsz00_4032
																																														=
																																														BGl_loopz00zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_locz00_29,
																																														BgL_arg2724z00_1521);
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_appz00_bglt
																																															BgL_xz00_5268;
																																														BgL_xz00_5268
																																															=
																																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																															(BgL_locz00_29,
																																															((BgL_ev_exprz00_bglt) BgL_funz00_4031), BgL_argsz00_4032, BgL_tailzf3zf3_27);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5268);
																																													}
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_arg2726z00_1523;
																																								BgL_arg2726z00_1523
																																									=
																																									CAR
																																									(BgL_ez00_24);
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_funz00_4039;
																																									obj_t
																																										BgL_argsz00_4040;
																																									BgL_funz00_4039
																																										=
																																										BGl_uconvzf2loczf2zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_arg2726z00_1523,
																																										BGl_getzd2locationzd2zz__evaluatez00
																																										(BgL_arg2726z00_1523,
																																											BgL_locz00_29));
																																									BgL_argsz00_4040
																																										=
																																										BGl_loopz00zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_locz00_29,
																																										BgL_cdrzd26484zd2_1461);
																																									{	/* Eval/evaluate.scm 212 */
																																										BgL_ev_appz00_bglt
																																											BgL_xz00_5270;
																																										BgL_xz00_5270
																																											=
																																											BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																											(BgL_locz00_29,
																																											((BgL_ev_exprz00_bglt) BgL_funz00_4039), BgL_argsz00_4040, BgL_tailzf3zf3_27);
																																										return
																																											(
																																											(obj_t)
																																											BgL_xz00_5270);
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_arg2728z00_1525;
																																						BgL_arg2728z00_1525
																																							=
																																							CAR
																																							(BgL_ez00_24);
																																						{	/* Eval/evaluate.scm 212 */
																																							obj_t
																																								BgL_funz00_4047;
																																							obj_t
																																								BgL_argsz00_4048;
																																							BgL_funz00_4047
																																								=
																																								BGl_uconvzf2loczf2zz__evaluatez00
																																								(BgL_wherez00_28,
																																								BgL_globalsz00_26,
																																								BgL_localsz00_25,
																																								BgL_arg2728z00_1525,
																																								BGl_getzd2locationzd2zz__evaluatez00
																																								(BgL_arg2728z00_1525,
																																									BgL_locz00_29));
																																							BgL_argsz00_4048
																																								=
																																								BGl_loopz00zz__evaluatez00
																																								(BgL_wherez00_28,
																																								BgL_globalsz00_26,
																																								BgL_localsz00_25,
																																								BgL_locz00_29,
																																								BgL_cdrzd26484zd2_1461);
																																							{	/* Eval/evaluate.scm 212 */
																																								BgL_ev_appz00_bglt
																																									BgL_xz00_5272;
																																								BgL_xz00_5272
																																									=
																																									BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																									(BgL_locz00_29,
																																									((BgL_ev_exprz00_bglt) BgL_funz00_4047), BgL_argsz00_4048, BgL_tailzf3zf3_27);
																																								return
																																									(
																																									(obj_t)
																																									BgL_xz00_5272);
																																							}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 212 */
																																				if (
																																					(CAR
																																						(BgL_ez00_24)
																																						==
																																						BGl_symbol3640z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 212 */
																																						if (PAIRP(BgL_cdrzd26484zd2_1461))
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_carzd26996zd2_1530;
																																								BgL_carzd26996zd2_1530
																																									=
																																									CAR
																																									(BgL_cdrzd26484zd2_1461);
																																								if (PAIRP(BgL_carzd26996zd2_1530))
																																									{	/* Eval/evaluate.scm 212 */
																																										if (NULLP(CDR(BgL_carzd26996zd2_1530)))
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2734z00_1533;
																																												obj_t
																																													BgL_arg2735z00_1534;
																																												BgL_arg2734z00_1533
																																													=
																																													CAR
																																													(BgL_carzd26996zd2_1530);
																																												BgL_arg2735z00_1534
																																													=
																																													CDR
																																													(BgL_cdrzd26484zd2_1461);
																																												{	/* Eval/evaluate.scm 212 */
																																													BgL_ev_varz00_bglt
																																														BgL_varz00_4065;
																																													BgL_varz00_4065
																																														=
																																														BGl_makezd2ev_varzd2zz__evaluate_typesz00
																																														(BgL_arg2734z00_1533,
																																														BFALSE);
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg3096z00_4066;
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_arg3097z00_4067;
																																															BgL_arg3097z00_4067
																																																=
																																																MAKE_PAIR
																																																(
																																																((obj_t) BgL_varz00_4065), BgL_localsz00_25);
																																															BgL_arg3096z00_4066
																																																=
																																																BGl_convzd2beginzd2zz__evaluatez00
																																																(BgL_arg2735z00_1534,
																																																BgL_arg3097z00_4067,
																																																BgL_globalsz00_26,
																																																BFALSE,
																																																BgL_wherez00_28,
																																																BgL_locz00_29,
																																																((bool_t) 0));
																																														}
																																														{	/* Eval/evaluate.scm 212 */
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_xz00_5275;
																																															BgL_xz00_5275
																																																=
																																																BGl_makezd2ev_bindzd2exitz00zz__evaluate_typesz00
																																																(BgL_varz00_4065,
																																																((BgL_ev_exprz00_bglt) BgL_arg3096z00_4066));
																																															return
																																																(
																																																(obj_t)
																																																BgL_xz00_5275);
																																														}
																																													}
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2736z00_1535;
																																												obj_t
																																													BgL_arg2737z00_1536;
																																												BgL_arg2736z00_1535
																																													=
																																													CAR
																																													(BgL_ez00_24);
																																												BgL_arg2737z00_1536
																																													=
																																													CDR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_funz00_4072;
																																													obj_t
																																														BgL_argsz00_4073;
																																													BgL_funz00_4072
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2736z00_1535,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2736z00_1535,
																																															BgL_locz00_29));
																																													BgL_argsz00_4073
																																														=
																																														BGl_loopz00zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_locz00_29,
																																														BgL_arg2737z00_1536);
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_appz00_bglt
																																															BgL_xz00_5277;
																																														BgL_xz00_5277
																																															=
																																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																															(BgL_locz00_29,
																																															((BgL_ev_exprz00_bglt) BgL_funz00_4072), BgL_argsz00_4073, BgL_tailzf3zf3_27);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5277);
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2739z00_1538;
																																										obj_t
																																											BgL_arg2740z00_1539;
																																										BgL_arg2739z00_1538
																																											=
																																											CAR
																																											(BgL_ez00_24);
																																										BgL_arg2740z00_1539
																																											=
																																											CDR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_funz00_4080;
																																											obj_t
																																												BgL_argsz00_4081;
																																											BgL_funz00_4080
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2739z00_1538,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2739z00_1538,
																																													BgL_locz00_29));
																																											BgL_argsz00_4081
																																												=
																																												BGl_loopz00zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_locz00_29,
																																												BgL_arg2740z00_1539);
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_appz00_bglt
																																													BgL_xz00_5279;
																																												BgL_xz00_5279
																																													=
																																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																													(BgL_locz00_29,
																																													((BgL_ev_exprz00_bglt) BgL_funz00_4080), BgL_argsz00_4081, BgL_tailzf3zf3_27);
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5279);
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_arg2741z00_1540;
																																								obj_t
																																									BgL_arg2742z00_1541;
																																								BgL_arg2741z00_1540
																																									=
																																									CAR
																																									(BgL_ez00_24);
																																								BgL_arg2742z00_1541
																																									=
																																									CDR
																																									(BgL_ez00_24);
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_funz00_4088;
																																									obj_t
																																										BgL_argsz00_4089;
																																									BgL_funz00_4088
																																										=
																																										BGl_uconvzf2loczf2zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_arg2741z00_1540,
																																										BGl_getzd2locationzd2zz__evaluatez00
																																										(BgL_arg2741z00_1540,
																																											BgL_locz00_29));
																																									BgL_argsz00_4089
																																										=
																																										BGl_loopz00zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_locz00_29,
																																										BgL_arg2742z00_1541);
																																									{	/* Eval/evaluate.scm 212 */
																																										BgL_ev_appz00_bglt
																																											BgL_xz00_5281;
																																										BgL_xz00_5281
																																											=
																																											BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																											(BgL_locz00_29,
																																											((BgL_ev_exprz00_bglt) BgL_funz00_4088), BgL_argsz00_4089, BgL_tailzf3zf3_27);
																																										return
																																											(
																																											(obj_t)
																																											BgL_xz00_5281);
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_cdrzd27099zd2_1542;
																																						BgL_cdrzd27099zd2_1542
																																							=
																																							CDR
																																							(BgL_ez00_24);
																																						if (
																																							(CAR
																																								(BgL_ez00_24)
																																								==
																																								BGl_symbol3642z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 212 */
																																								if (PAIRP(BgL_cdrzd27099zd2_1542))
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2745z00_1545;
																																										obj_t
																																											BgL_arg2746z00_1546;
																																										BgL_arg2745z00_1545
																																											=
																																											CAR
																																											(BgL_cdrzd27099zd2_1542);
																																										BgL_arg2746z00_1546
																																											=
																																											CDR
																																											(BgL_cdrzd27099zd2_1542);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_arg3098z00_4100;
																																											obj_t
																																												BgL_arg3099z00_4101;
																																											BgL_arg3098z00_4100
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2745z00_1545,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2745z00_1545,
																																													BgL_locz00_29));
																																											BgL_arg3099z00_4101
																																												=
																																												BGl_convzd2beginzd2zz__evaluatez00
																																												(BgL_arg2746z00_1546,
																																												BgL_localsz00_25,
																																												BgL_globalsz00_26,
																																												BFALSE,
																																												BgL_wherez00_28,
																																												BgL_locz00_29,
																																												((bool_t) 0));
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_xz00_5284;
																																												BgL_xz00_5284
																																													=
																																													BGl_makezd2ev_unwindzd2protectz00zz__evaluate_typesz00
																																													(
																																													((BgL_ev_exprz00_bglt) BgL_arg3098z00_4100), ((BgL_ev_exprz00_bglt) BgL_arg3099z00_4101));
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5284);
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2747z00_1547;
																																										BgL_arg2747z00_1547
																																											=
																																											CAR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_funz00_4108;
																																											obj_t
																																												BgL_argsz00_4109;
																																											BgL_funz00_4108
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2747z00_1547,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2747z00_1547,
																																													BgL_locz00_29));
																																											BgL_argsz00_4109
																																												=
																																												BGl_loopz00zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_locz00_29,
																																												BgL_cdrzd27099zd2_1542);
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_appz00_bglt
																																													BgL_xz00_5286;
																																												BgL_xz00_5286
																																													=
																																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																													(BgL_locz00_29,
																																													((BgL_ev_exprz00_bglt) BgL_funz00_4108), BgL_argsz00_4109, BgL_tailzf3zf3_27);
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5286);
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								if ((CAR(BgL_ez00_24) == BGl_symbol3644z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 212 */
																																										if (PAIRP(BgL_cdrzd27099zd2_1542))
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2751z00_1552;
																																												obj_t
																																													BgL_arg2752z00_1553;
																																												BgL_arg2751z00_1552
																																													=
																																													CAR
																																													(BgL_cdrzd27099zd2_1542);
																																												BgL_arg2752z00_1553
																																													=
																																													CDR
																																													(BgL_cdrzd27099zd2_1542);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_arg3100z00_4120;
																																													obj_t
																																														BgL_arg3101z00_4121;
																																													BgL_arg3100z00_4120
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2751z00_1552,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2751z00_1552,
																																															BgL_locz00_29));
																																													BgL_arg3101z00_4121
																																														=
																																														BGl_convzd2beginzd2zz__evaluatez00
																																														(BgL_arg2752z00_1553,
																																														BgL_localsz00_25,
																																														BgL_globalsz00_26,
																																														BFALSE,
																																														BgL_wherez00_28,
																																														BgL_locz00_29,
																																														((bool_t) 0));
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_xz00_5289;
																																														BgL_xz00_5289
																																															=
																																															BGl_makezd2ev_withzd2handlerz00zz__evaluate_typesz00
																																															(
																																															((BgL_ev_exprz00_bglt) BgL_arg3100z00_4120), ((BgL_ev_exprz00_bglt) BgL_arg3101z00_4121));
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5289);
																																													}
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2753z00_1554;
																																												obj_t
																																													BgL_arg2754z00_1555;
																																												BgL_arg2753z00_1554
																																													=
																																													CAR
																																													(BgL_ez00_24);
																																												BgL_arg2754z00_1555
																																													=
																																													CDR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_funz00_4128;
																																													obj_t
																																														BgL_argsz00_4129;
																																													BgL_funz00_4128
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2753z00_1554,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2753z00_1554,
																																															BgL_locz00_29));
																																													BgL_argsz00_4129
																																														=
																																														BGl_loopz00zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_locz00_29,
																																														BgL_arg2754z00_1555);
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_appz00_bglt
																																															BgL_xz00_5291;
																																														BgL_xz00_5291
																																															=
																																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																															(BgL_locz00_29,
																																															((BgL_ev_exprz00_bglt) BgL_funz00_4128), BgL_argsz00_4129, BgL_tailzf3zf3_27);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5291);
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_cdrzd27163zd2_1556;
																																										BgL_cdrzd27163zd2_1556
																																											=
																																											CDR
																																											(BgL_ez00_24);
																																										if ((CAR(BgL_ez00_24) == BGl_symbol3638z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 212 */
																																												if (PAIRP(BgL_cdrzd27163zd2_1556))
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cdrzd27167zd2_1559;
																																														BgL_cdrzd27167zd2_1559
																																															=
																																															CDR
																																															(BgL_cdrzd27163zd2_1556);
																																														if (PAIRP(BgL_cdrzd27167zd2_1559))
																																															{	/* Eval/evaluate.scm 212 */
																																																if (NULLP(CDR(BgL_cdrzd27167zd2_1559)))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2759z00_1562;
																																																		obj_t
																																																			BgL_arg2760z00_1563;
																																																		BgL_arg2759z00_1562
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27163zd2_1556);
																																																		BgL_arg2760z00_1563
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27167zd2_1559);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_arg3102z00_4146;
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg3103z00_4147;
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_arg3104z00_4148;
																																																					obj_t
																																																						BgL_arg3106z00_4149;
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_res3504z00_4152;
																																																						{	/* Eval/evaluate.scm 212 */
																																																							obj_t
																																																								BgL_symbolz00_4150;
																																																							BgL_symbolz00_4150
																																																								=
																																																								BGl_symbol3646z00zz__evaluatez00;
																																																							{	/* Eval/evaluate.scm 212 */
																																																								obj_t
																																																									BgL_arg3313z00_4151;
																																																								BgL_arg3313z00_4151
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_4150);
																																																								BgL_res3504z00_4152
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg3313z00_4151);
																																																							}
																																																						}
																																																						BgL_arg3104z00_4148
																																																							=
																																																							BgL_res3504z00_4152;
																																																					}
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_res3505z00_4155;
																																																						{	/* Eval/evaluate.scm 212 */
																																																							obj_t
																																																								BgL_symbolz00_4153;
																																																							BgL_symbolz00_4153
																																																								=
																																																								BgL_wherez00_28;
																																																							{	/* Eval/evaluate.scm 212 */
																																																								obj_t
																																																									BgL_arg3313z00_4154;
																																																								BgL_arg3313z00_4154
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_4153);
																																																								BgL_res3505z00_4155
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg3313z00_4154);
																																																							}
																																																						}
																																																						BgL_arg3106z00_4149
																																																							=
																																																							BgL_res3505z00_4155;
																																																					}
																																																					BgL_arg3103z00_4147
																																																						=
																																																						string_append
																																																						(BgL_arg3104z00_4148,
																																																						BgL_arg3106z00_4149);
																																																				}
																																																				BgL_arg3102z00_4146
																																																					=
																																																					string_to_symbol
																																																					(BSTRING_TO_STRING
																																																					(BgL_arg3103z00_4147));
																																																			}
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_absz00_bglt
																																																					BgL_xz00_5292;
																																																				BgL_xz00_5292
																																																					=
																																																					BGl_convzd2lambdazd2zz__evaluatez00
																																																					(BgL_globalsz00_26,
																																																					BgL_localsz00_25,
																																																					BgL_locz00_29,
																																																					BgL_ez00_24,
																																																					BgL_arg2759z00_1562,
																																																					BgL_arg2760z00_1563,
																																																					BgL_arg3102z00_4146);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5292);
																																																			}
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2761z00_1564;
																																																		BgL_arg2761z00_1564
																																																			=
																																																			CAR
																																																			(BgL_ez00_24);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_funz00_4162;
																																																			obj_t
																																																				BgL_argsz00_4163;
																																																			BgL_funz00_4162
																																																				=
																																																				BGl_uconvzf2loczf2zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_arg2761z00_1564,
																																																				BGl_getzd2locationzd2zz__evaluatez00
																																																				(BgL_arg2761z00_1564,
																																																					BgL_locz00_29));
																																																			BgL_argsz00_4163
																																																				=
																																																				BGl_loopz00zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_locz00_29,
																																																				BgL_cdrzd27163zd2_1556);
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_appz00_bglt
																																																					BgL_xz00_5294;
																																																				BgL_xz00_5294
																																																					=
																																																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																					(BgL_locz00_29,
																																																					((BgL_ev_exprz00_bglt) BgL_funz00_4162), BgL_argsz00_4163, BgL_tailzf3zf3_27);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5294);
																																																			}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg2764z00_1567;
																																																BgL_arg2764z00_1567
																																																	=
																																																	CAR
																																																	(BgL_ez00_24);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_funz00_4170;
																																																	obj_t
																																																		BgL_argsz00_4171;
																																																	BgL_funz00_4170
																																																		=
																																																		BGl_uconvzf2loczf2zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_arg2764z00_1567,
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg2764z00_1567,
																																																			BgL_locz00_29));
																																																	BgL_argsz00_4171
																																																		=
																																																		BGl_loopz00zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_locz00_29,
																																																		BgL_cdrzd27163zd2_1556);
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_appz00_bglt
																																																			BgL_xz00_5296;
																																																		BgL_xz00_5296
																																																			=
																																																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																			(BgL_locz00_29,
																																																			((BgL_ev_exprz00_bglt) BgL_funz00_4170), BgL_argsz00_4171, BgL_tailzf3zf3_27);
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5296);
																																																	}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg2766z00_1569;
																																														BgL_arg2766z00_1569
																																															=
																																															CAR
																																															(BgL_ez00_24);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_funz00_4178;
																																															obj_t
																																																BgL_argsz00_4179;
																																															BgL_funz00_4178
																																																=
																																																BGl_uconvzf2loczf2zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_arg2766z00_1569,
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2766z00_1569,
																																																	BgL_locz00_29));
																																															BgL_argsz00_4179
																																																=
																																																BGl_loopz00zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_locz00_29,
																																																BgL_cdrzd27163zd2_1556);
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_appz00_bglt
																																																	BgL_xz00_5298;
																																																BgL_xz00_5298
																																																	=
																																																	BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																	(BgL_locz00_29,
																																																	((BgL_ev_exprz00_bglt) BgL_funz00_4178), BgL_argsz00_4179, BgL_tailzf3zf3_27);
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5298);
																																															}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2768z00_1571;
																																												BgL_arg2768z00_1571
																																													=
																																													CAR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_funz00_4186;
																																													obj_t
																																														BgL_argsz00_4187;
																																													BgL_funz00_4186
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2768z00_1571,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2768z00_1571,
																																															BgL_locz00_29));
																																													BgL_argsz00_4187
																																														=
																																														BGl_loopz00zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_locz00_29,
																																														BgL_cdrzd27163zd2_1556);
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_appz00_bglt
																																															BgL_xz00_5300;
																																														BgL_xz00_5300
																																															=
																																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																															(BgL_locz00_29,
																																															((BgL_ev_exprz00_bglt) BgL_funz00_4186), BgL_argsz00_4187, BgL_tailzf3zf3_27);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5300);
																																													}
																																												}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 212 */
												if (
													(BgL_carzd23994zd2_1319 ==
														BGl_symbol3615z00zz__evaluatez00))
													{	/* Eval/evaluate.scm 212 */
														if (PAIRP(BgL_cdrzd21508zd2_1263))
															{	/* Eval/evaluate.scm 212 */
																if (NULLP(CDR(BgL_cdrzd21508zd2_1263)))
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_arg2789z00_1593;

																		BgL_arg2789z00_1593 =
																			CAR(BgL_cdrzd21508zd2_1263);
																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_arg3014z00_4199;

																			BgL_arg3014z00_4199 =
																				BGl_uconvzf2loczf2zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_arg2789z00_1593,
																				BGl_getzd2locationzd2zz__evaluatez00
																				(BgL_arg2789z00_1593, BgL_locz00_29));
																			{	/* Eval/evaluate.scm 212 */
																				BgL_ev_trapz00_bglt BgL_xz00_5302;

																				BgL_xz00_5302 =
																					BGl_makezd2ev_trapzd2zz__evaluate_typesz00
																					(((BgL_ev_exprz00_bglt)
																						BgL_arg3014z00_4199));
																				return ((obj_t) BgL_xz00_5302);
																			}
																		}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_arg2790z00_1594;
																		obj_t BgL_arg2792z00_1595;

																		BgL_arg2790z00_1594 = CAR(BgL_ez00_24);
																		BgL_arg2792z00_1595 = CDR(BgL_ez00_24);
																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_funz00_4206;
																			obj_t BgL_argsz00_4207;

																			BgL_funz00_4206 =
																				BGl_uconvzf2loczf2zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_arg2790z00_1594,
																				BGl_getzd2locationzd2zz__evaluatez00
																				(BgL_arg2790z00_1594, BgL_locz00_29));
																			BgL_argsz00_4207 =
																				BGl_loopz00zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_locz00_29,
																				BgL_arg2792z00_1595);
																			{	/* Eval/evaluate.scm 212 */
																				BgL_ev_appz00_bglt BgL_xz00_5304;

																				BgL_xz00_5304 =
																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																					(BgL_locz00_29,
																					((BgL_ev_exprz00_bglt)
																						BgL_funz00_4206), BgL_argsz00_4207,
																					BgL_tailzf3zf3_27);
																				return ((obj_t) BgL_xz00_5304);
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 212 */
																obj_t BgL_arg2794z00_1597;
																obj_t BgL_arg2795z00_1598;

																BgL_arg2794z00_1597 = CAR(BgL_ez00_24);
																BgL_arg2795z00_1598 = CDR(BgL_ez00_24);
																{	/* Eval/evaluate.scm 212 */
																	obj_t BgL_funz00_4214;
																	obj_t BgL_argsz00_4215;

																	BgL_funz00_4214 =
																		BGl_uconvzf2loczf2zz__evaluatez00
																		(BgL_wherez00_28, BgL_globalsz00_26,
																		BgL_localsz00_25, BgL_arg2794z00_1597,
																		BGl_getzd2locationzd2zz__evaluatez00
																		(BgL_arg2794z00_1597, BgL_locz00_29));
																	BgL_argsz00_4215 =
																		BGl_loopz00zz__evaluatez00(BgL_wherez00_28,
																		BgL_globalsz00_26, BgL_localsz00_25,
																		BgL_locz00_29, BgL_arg2795z00_1598);
																	{	/* Eval/evaluate.scm 212 */
																		BgL_ev_appz00_bglt BgL_xz00_5306;

																		BgL_xz00_5306 =
																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																			(BgL_locz00_29,
																			((BgL_ev_exprz00_bglt) BgL_funz00_4214),
																			BgL_argsz00_4215, BgL_tailzf3zf3_27);
																		return ((obj_t) BgL_xz00_5306);
																	}
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 212 */
														obj_t BgL_cdrzd27676zd2_1599;

														BgL_cdrzd27676zd2_1599 = CDR(BgL_ez00_24);
														if (
															(CAR(BgL_ez00_24) ==
																BGl_symbol3617z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 212 */
																if (PAIRP(BgL_cdrzd27676zd2_1599))
																	{	/* Eval/evaluate.scm 212 */
																		if (NULLP(CDR(BgL_cdrzd27676zd2_1599)))
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_arg2799z00_1603;

																				BgL_arg2799z00_1603 =
																					CAR(BgL_cdrzd27676zd2_1599);
																				{	/* Eval/evaluate.scm 212 */
																					BgL_ev_littz00_bglt BgL_xz00_5307;

																					BgL_xz00_5307 =
																						BGl_makezd2ev_littzd2zz__evaluate_typesz00
																						(BgL_arg2799z00_1603);
																					return ((obj_t) BgL_xz00_5307);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_arg2800z00_1604;

																				BgL_arg2800z00_1604 = CAR(BgL_ez00_24);
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_funz00_4231;
																					obj_t BgL_argsz00_4232;

																					BgL_funz00_4231 =
																						BGl_uconvzf2loczf2zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25,
																						BgL_arg2800z00_1604,
																						BGl_getzd2locationzd2zz__evaluatez00
																						(BgL_arg2800z00_1604,
																							BgL_locz00_29));
																					BgL_argsz00_4232 =
																						BGl_loopz00zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25, BgL_locz00_29,
																						BgL_cdrzd27676zd2_1599);
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_appz00_bglt BgL_xz00_5309;

																						BgL_xz00_5309 =
																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																							(BgL_locz00_29,
																							((BgL_ev_exprz00_bglt)
																								BgL_funz00_4231),
																							BgL_argsz00_4232,
																							BgL_tailzf3zf3_27);
																						return ((obj_t) BgL_xz00_5309);
																					}
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		obj_t BgL_arg2803z00_1607;

																		BgL_arg2803z00_1607 = CAR(BgL_ez00_24);
																		{	/* Eval/evaluate.scm 212 */
																			obj_t BgL_funz00_4239;
																			obj_t BgL_argsz00_4240;

																			BgL_funz00_4239 =
																				BGl_uconvzf2loczf2zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_arg2803z00_1607,
																				BGl_getzd2locationzd2zz__evaluatez00
																				(BgL_arg2803z00_1607, BgL_locz00_29));
																			BgL_argsz00_4240 =
																				BGl_loopz00zz__evaluatez00
																				(BgL_wherez00_28, BgL_globalsz00_26,
																				BgL_localsz00_25, BgL_locz00_29,
																				BgL_cdrzd27676zd2_1599);
																			{	/* Eval/evaluate.scm 212 */
																				BgL_ev_appz00_bglt BgL_xz00_5311;

																				BgL_xz00_5311 =
																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																					(BgL_locz00_29,
																					((BgL_ev_exprz00_bglt)
																						BgL_funz00_4239), BgL_argsz00_4240,
																					BgL_tailzf3zf3_27);
																				return ((obj_t) BgL_xz00_5311);
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 212 */
																if (
																	(CAR(BgL_ez00_24) ==
																		BGl_symbol3619z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 212 */
																		if (PAIRP(BgL_cdrzd27676zd2_1599))
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_cdrzd28102zd2_1612;

																				BgL_cdrzd28102zd2_1612 =
																					CDR(BgL_cdrzd27676zd2_1599);
																				if (PAIRP(BgL_cdrzd28102zd2_1612))
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_cdrzd28107zd2_1614;

																						BgL_cdrzd28107zd2_1614 =
																							CDR(BgL_cdrzd28102zd2_1612);
																						if (PAIRP(BgL_cdrzd28107zd2_1614))
																							{	/* Eval/evaluate.scm 212 */
																								if (NULLP(CDR
																										(BgL_cdrzd28107zd2_1614)))
																									{	/* Eval/evaluate.scm 212 */
																										obj_t BgL_arg2810z00_1617;
																										obj_t BgL_arg2811z00_1618;
																										obj_t BgL_arg2812z00_1619;

																										BgL_arg2810z00_1617 =
																											CAR
																											(BgL_cdrzd27676zd2_1599);
																										BgL_arg2811z00_1618 =
																											CAR
																											(BgL_cdrzd28102zd2_1612);
																										BgL_arg2812z00_1619 =
																											CAR
																											(BgL_cdrzd28107zd2_1614);
																										{	/* Eval/evaluate.scm 212 */
																											obj_t BgL_arg3015z00_4262;
																											obj_t BgL_arg3016z00_4263;
																											obj_t BgL_arg3017z00_4264;

																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_arg3018z00_4265;
																												{	/* Eval/evaluate.scm 212 */
																													obj_t
																														BgL_arg3019z00_4266;
																													BgL_arg3019z00_4266 =
																														CDR(BgL_ez00_24);
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL__ortest_2335z00_4274;
																														BgL__ortest_2335z00_4274
																															=
																															BGl_getzd2sourcezd2locationz00zz__readerz00
																															(BgL_arg3019z00_4266);
																														if (CBOOL
																															(BgL__ortest_2335z00_4274))
																															{	/* Eval/evaluate.scm 212 */
																																BgL_arg3018z00_4265
																																	=
																																	BgL__ortest_2335z00_4274;
																															}
																														else
																															{	/* Eval/evaluate.scm 212 */
																																BgL_arg3018z00_4265
																																	=
																																	BgL_locz00_29;
																															}
																													}
																												}
																												BgL_arg3015z00_4262 =
																													BGl_convz00zz__evaluatez00
																													(BgL_arg2810z00_1617,
																													BgL_localsz00_25,
																													BgL_globalsz00_26,
																													BFALSE,
																													BgL_wherez00_28,
																													BgL_arg3018z00_4265,
																													((bool_t) 0));
																											}
																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_arg3020z00_4267;
																												{	/* Eval/evaluate.scm 212 */
																													obj_t
																														BgL_arg3021z00_4268;
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_pairz00_4277;
																														BgL_pairz00_4277 =
																															BgL_ez00_24;
																														BgL_arg3021z00_4268
																															=
																															CDR(CDR
																															(BgL_pairz00_4277));
																													}
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL__ortest_2335z00_4283;
																														BgL__ortest_2335z00_4283
																															=
																															BGl_getzd2sourcezd2locationz00zz__readerz00
																															(BgL_arg3021z00_4268);
																														if (CBOOL
																															(BgL__ortest_2335z00_4283))
																															{	/* Eval/evaluate.scm 212 */
																																BgL_arg3020z00_4267
																																	=
																																	BgL__ortest_2335z00_4283;
																															}
																														else
																															{	/* Eval/evaluate.scm 212 */
																																BgL_arg3020z00_4267
																																	=
																																	BgL_locz00_29;
																															}
																													}
																												}
																												BgL_arg3016z00_4263 =
																													BGl_convz00zz__evaluatez00
																													(BgL_arg2811z00_1618,
																													BgL_localsz00_25,
																													BgL_globalsz00_26,
																													BgL_tailzf3zf3_27,
																													BgL_wherez00_28,
																													BgL_arg3020z00_4267,
																													((bool_t) 0));
																											}
																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_arg3022z00_4269;
																												{	/* Eval/evaluate.scm 212 */
																													obj_t
																														BgL_arg3023z00_4270;
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_pairz00_4286;
																														BgL_pairz00_4286 =
																															BgL_ez00_24;
																														BgL_arg3023z00_4270
																															=
																															CDR(CDR(CDR
																																(BgL_pairz00_4286)));
																													}
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL__ortest_2335z00_4294;
																														BgL__ortest_2335z00_4294
																															=
																															BGl_getzd2sourcezd2locationz00zz__readerz00
																															(BgL_arg3023z00_4270);
																														if (CBOOL
																															(BgL__ortest_2335z00_4294))
																															{	/* Eval/evaluate.scm 212 */
																																BgL_arg3022z00_4269
																																	=
																																	BgL__ortest_2335z00_4294;
																															}
																														else
																															{	/* Eval/evaluate.scm 212 */
																																BgL_arg3022z00_4269
																																	=
																																	BgL_locz00_29;
																															}
																													}
																												}
																												BgL_arg3017z00_4264 =
																													BGl_convz00zz__evaluatez00
																													(BgL_arg2812z00_1619,
																													BgL_localsz00_25,
																													BgL_globalsz00_26,
																													BgL_tailzf3zf3_27,
																													BgL_wherez00_28,
																													BgL_arg3022z00_4269,
																													((bool_t) 0));
																											}
																											{	/* Eval/evaluate.scm 212 */
																												BgL_ev_ifz00_bglt
																													BgL_xz00_5315;
																												BgL_xz00_5315 =
																													BGl_makezd2ev_ifzd2zz__evaluate_typesz00
																													(((BgL_ev_exprz00_bglt) BgL_arg3015z00_4262), ((BgL_ev_exprz00_bglt) BgL_arg3016z00_4263), ((BgL_ev_exprz00_bglt) BgL_arg3017z00_4264));
																												return ((obj_t)
																													BgL_xz00_5315);
																											}
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 212 */
																										obj_t BgL_arg2813z00_1620;
																										obj_t BgL_arg2814z00_1621;

																										BgL_arg2813z00_1620 =
																											CAR(BgL_ez00_24);
																										BgL_arg2814z00_1621 =
																											CDR(BgL_ez00_24);
																										{	/* Eval/evaluate.scm 212 */
																											obj_t BgL_funz00_4301;
																											obj_t BgL_argsz00_4302;

																											BgL_funz00_4301 =
																												BGl_uconvzf2loczf2zz__evaluatez00
																												(BgL_wherez00_28,
																												BgL_globalsz00_26,
																												BgL_localsz00_25,
																												BgL_arg2813z00_1620,
																												BGl_getzd2locationzd2zz__evaluatez00
																												(BgL_arg2813z00_1620,
																													BgL_locz00_29));
																											BgL_argsz00_4302 =
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_28,
																												BgL_globalsz00_26,
																												BgL_localsz00_25,
																												BgL_locz00_29,
																												BgL_arg2814z00_1621);
																											{	/* Eval/evaluate.scm 212 */
																												BgL_ev_appz00_bglt
																													BgL_xz00_5317;
																												BgL_xz00_5317 =
																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																													(BgL_locz00_29,
																													((BgL_ev_exprz00_bglt)
																														BgL_funz00_4301),
																													BgL_argsz00_4302,
																													BgL_tailzf3zf3_27);
																												return ((obj_t)
																													BgL_xz00_5317);
																											}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 212 */
																								obj_t BgL_arg2816z00_1623;
																								obj_t BgL_arg2817z00_1624;

																								BgL_arg2816z00_1623 =
																									CAR(BgL_ez00_24);
																								BgL_arg2817z00_1624 =
																									CDR(BgL_ez00_24);
																								{	/* Eval/evaluate.scm 212 */
																									obj_t BgL_funz00_4309;
																									obj_t BgL_argsz00_4310;

																									BgL_funz00_4309 =
																										BGl_uconvzf2loczf2zz__evaluatez00
																										(BgL_wherez00_28,
																										BgL_globalsz00_26,
																										BgL_localsz00_25,
																										BgL_arg2816z00_1623,
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg2816z00_1623,
																											BgL_locz00_29));
																									BgL_argsz00_4310 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_28,
																										BgL_globalsz00_26,
																										BgL_localsz00_25,
																										BgL_locz00_29,
																										BgL_arg2817z00_1624);
																									{	/* Eval/evaluate.scm 212 */
																										BgL_ev_appz00_bglt
																											BgL_xz00_5319;
																										BgL_xz00_5319 =
																											BGl_makezd2ev_appzd2zz__evaluate_typesz00
																											(BgL_locz00_29,
																											((BgL_ev_exprz00_bglt)
																												BgL_funz00_4309),
																											BgL_argsz00_4310,
																											BgL_tailzf3zf3_27);
																										return ((obj_t)
																											BgL_xz00_5319);
																									}
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_arg2818z00_1625;
																						obj_t BgL_arg2819z00_1626;

																						BgL_arg2818z00_1625 =
																							CAR(BgL_ez00_24);
																						BgL_arg2819z00_1626 =
																							CDR(BgL_ez00_24);
																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_funz00_4317;
																							obj_t BgL_argsz00_4318;

																							BgL_funz00_4317 =
																								BGl_uconvzf2loczf2zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25,
																								BgL_arg2818z00_1625,
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg2818z00_1625,
																									BgL_locz00_29));
																							BgL_argsz00_4318 =
																								BGl_loopz00zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25, BgL_locz00_29,
																								BgL_arg2819z00_1626);
																							{	/* Eval/evaluate.scm 212 */
																								BgL_ev_appz00_bglt
																									BgL_xz00_5321;
																								BgL_xz00_5321 =
																									BGl_makezd2ev_appzd2zz__evaluate_typesz00
																									(BgL_locz00_29,
																									((BgL_ev_exprz00_bglt)
																										BgL_funz00_4317),
																									BgL_argsz00_4318,
																									BgL_tailzf3zf3_27);
																								return ((obj_t) BgL_xz00_5321);
																							}
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_arg2820z00_1627;
																				obj_t BgL_arg2821z00_1628;

																				BgL_arg2820z00_1627 = CAR(BgL_ez00_24);
																				BgL_arg2821z00_1628 = CDR(BgL_ez00_24);
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_funz00_4325;
																					obj_t BgL_argsz00_4326;

																					BgL_funz00_4325 =
																						BGl_uconvzf2loczf2zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25,
																						BgL_arg2820z00_1627,
																						BGl_getzd2locationzd2zz__evaluatez00
																						(BgL_arg2820z00_1627,
																							BgL_locz00_29));
																					BgL_argsz00_4326 =
																						BGl_loopz00zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25, BgL_locz00_29,
																						BgL_arg2821z00_1628);
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_appz00_bglt BgL_xz00_5323;

																						BgL_xz00_5323 =
																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																							(BgL_locz00_29,
																							((BgL_ev_exprz00_bglt)
																								BgL_funz00_4325),
																							BgL_argsz00_4326,
																							BgL_tailzf3zf3_27);
																						return ((obj_t) BgL_xz00_5323);
																					}
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 212 */
																		if (
																			(CAR(BgL_ez00_24) ==
																				BGl_symbol3621z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 212 */
																				obj_t BgL_arg2823z00_1630;

																				BgL_arg2823z00_1630 = CDR(BgL_ez00_24);
																				{	/* Eval/evaluate.scm 212 */
																					obj_t BgL_arg3024z00_4332;

																					BgL_arg3024z00_4332 =
																						BGl_loopz00zz__evaluatez00
																						(BgL_wherez00_28, BgL_globalsz00_26,
																						BgL_localsz00_25, BgL_locz00_29,
																						BgL_arg2823z00_1630);
																					{	/* Eval/evaluate.scm 212 */
																						BgL_ev_orz00_bglt BgL_xz00_5324;

																						BgL_xz00_5324 =
																							BGl_makezd2ev_orzd2zz__evaluate_typesz00
																							(BgL_arg3024z00_4332);
																						return ((obj_t) BgL_xz00_5324);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 212 */
																				if (
																					(CAR(BgL_ez00_24) ==
																						BGl_symbol3623z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 212 */
																						obj_t BgL_arg2825z00_1632;

																						BgL_arg2825z00_1632 =
																							CDR(BgL_ez00_24);
																						{	/* Eval/evaluate.scm 212 */
																							obj_t BgL_arg3025z00_4336;

																							BgL_arg3025z00_4336 =
																								BGl_loopz00zz__evaluatez00
																								(BgL_wherez00_28,
																								BgL_globalsz00_26,
																								BgL_localsz00_25, BgL_locz00_29,
																								BgL_arg2825z00_1632);
																							{	/* Eval/evaluate.scm 212 */
																								BgL_ev_andz00_bglt
																									BgL_xz00_5325;
																								BgL_xz00_5325 =
																									BGl_makezd2ev_andzd2zz__evaluate_typesz00
																									(BgL_arg3025z00_4336);
																								return ((obj_t) BgL_xz00_5325);
																							}
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 212 */
																						if (
																							(CAR(BgL_ez00_24) ==
																								BGl_symbol3625z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 212 */
																								return
																									BGl_convzd2beginzd2zz__evaluatez00
																									(CDR(BgL_ez00_24),
																									BgL_localsz00_25,
																									BgL_globalsz00_26,
																									BgL_tailzf3zf3_27,
																									BgL_wherez00_28,
																									BgL_locz00_29,
																									BgL_topzf3zf3_30);
																							}
																						else
																							{	/* Eval/evaluate.scm 212 */
																								obj_t BgL_cdrzd28895zd2_1635;

																								BgL_cdrzd28895zd2_1635 =
																									CDR(BgL_ez00_24);
																								if (
																									(CAR(BgL_ez00_24) ==
																										BGl_symbol3627z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 212 */
																										if (PAIRP
																											(BgL_cdrzd28895zd2_1635))
																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_arg2830z00_1638;
																												obj_t
																													BgL_arg2831z00_1639;
																												BgL_arg2830z00_1638 =
																													CAR
																													(BgL_cdrzd28895zd2_1635);
																												BgL_arg2831z00_1639 =
																													CDR
																													(BgL_cdrzd28895zd2_1635);
																												{	/* Eval/evaluate.scm 212 */
																													BgL_ev_letz00_bglt
																														BgL_xz00_5326;
																													{
																														obj_t
																															BgL_bodyz00_7183;
																														obj_t
																															BgL_bindsz00_7182;
																														BgL_bindsz00_7182 =
																															BgL_arg2830z00_1638;
																														BgL_bodyz00_7183 =
																															BgL_arg2831z00_1639;
																														BgL_bodyz00_1220 =
																															BgL_bodyz00_7183;
																														BgL_bindsz00_1219 =
																															BgL_bindsz00_7182;
																														goto
																															BgL_tagzd21428zd2_1221;
																													}
																													return
																														((obj_t)
																														BgL_xz00_5326);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_arg2832z00_1640;
																												BgL_arg2832z00_1640 =
																													CAR(BgL_ez00_24);
																												{	/* Eval/evaluate.scm 212 */
																													obj_t BgL_funz00_4350;
																													obj_t
																														BgL_argsz00_4351;
																													BgL_funz00_4350 =
																														BGl_uconvzf2loczf2zz__evaluatez00
																														(BgL_wherez00_28,
																														BgL_globalsz00_26,
																														BgL_localsz00_25,
																														BgL_arg2832z00_1640,
																														BGl_getzd2locationzd2zz__evaluatez00
																														(BgL_arg2832z00_1640,
																															BgL_locz00_29));
																													BgL_argsz00_4351 =
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_28,
																														BgL_globalsz00_26,
																														BgL_localsz00_25,
																														BgL_locz00_29,
																														BgL_cdrzd28895zd2_1635);
																													{	/* Eval/evaluate.scm 212 */
																														BgL_ev_appz00_bglt
																															BgL_xz00_5328;
																														BgL_xz00_5328 =
																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																															(BgL_locz00_29,
																															((BgL_ev_exprz00_bglt) BgL_funz00_4350), BgL_argsz00_4351, BgL_tailzf3zf3_27);
																														return ((obj_t)
																															BgL_xz00_5328);
																													}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 212 */
																										if (
																											(CAR(BgL_ez00_24) ==
																												BGl_symbol3629z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 212 */
																												if (PAIRP
																													(BgL_cdrzd28895zd2_1635))
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_arg2836z00_1645;
																														obj_t
																															BgL_arg2837z00_1646;
																														BgL_arg2836z00_1645
																															=
																															CAR
																															(BgL_cdrzd28895zd2_1635);
																														BgL_arg2837z00_1646
																															=
																															CDR
																															(BgL_cdrzd28895zd2_1635);
																														{	/* Eval/evaluate.scm 212 */
																															BgL_ev_letza2za2_bglt
																																BgL_xz00_5329;
																															{
																																obj_t
																																	BgL_bodyz00_7200;
																																obj_t
																																	BgL_bindsz00_7199;
																																BgL_bindsz00_7199
																																	=
																																	BgL_arg2836z00_1645;
																																BgL_bodyz00_7200
																																	=
																																	BgL_arg2837z00_1646;
																																BgL_bodyz00_1223
																																	=
																																	BgL_bodyz00_7200;
																																BgL_bindsz00_1222
																																	=
																																	BgL_bindsz00_7199;
																																goto
																																	BgL_tagzd21429zd2_1224;
																															}
																															return
																																((obj_t)
																																BgL_xz00_5329);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 212 */
																														obj_t
																															BgL_arg2838z00_1647;
																														obj_t
																															BgL_arg2839z00_1648;
																														BgL_arg2838z00_1647
																															=
																															CAR(BgL_ez00_24);
																														BgL_arg2839z00_1648
																															=
																															CDR(BgL_ez00_24);
																														{	/* Eval/evaluate.scm 212 */
																															obj_t
																																BgL_funz00_4364;
																															obj_t
																																BgL_argsz00_4365;
																															BgL_funz00_4364 =
																																BGl_uconvzf2loczf2zz__evaluatez00
																																(BgL_wherez00_28,
																																BgL_globalsz00_26,
																																BgL_localsz00_25,
																																BgL_arg2838z00_1647,
																																BGl_getzd2locationzd2zz__evaluatez00
																																(BgL_arg2838z00_1647,
																																	BgL_locz00_29));
																															BgL_argsz00_4365 =
																																BGl_loopz00zz__evaluatez00
																																(BgL_wherez00_28,
																																BgL_globalsz00_26,
																																BgL_localsz00_25,
																																BgL_locz00_29,
																																BgL_arg2839z00_1648);
																															{	/* Eval/evaluate.scm 212 */
																																BgL_ev_appz00_bglt
																																	BgL_xz00_5331;
																																BgL_xz00_5331 =
																																	BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																	(BgL_locz00_29,
																																	((BgL_ev_exprz00_bglt) BgL_funz00_4364), BgL_argsz00_4365, BgL_tailzf3zf3_27);
																																return ((obj_t)
																																	BgL_xz00_5331);
																															}
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 212 */
																												obj_t
																													BgL_cdrzd29171zd2_1649;
																												BgL_cdrzd29171zd2_1649 =
																													CDR(BgL_ez00_24);
																												if ((CAR(BgL_ez00_24) ==
																														BGl_symbol3631z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 212 */
																														if (PAIRP
																															(BgL_cdrzd29171zd2_1649))
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL_arg2842z00_1652;
																																obj_t
																																	BgL_arg2843z00_1653;
																																BgL_arg2842z00_1652
																																	=
																																	CAR
																																	(BgL_cdrzd29171zd2_1649);
																																BgL_arg2843z00_1653
																																	=
																																	CDR
																																	(BgL_cdrzd29171zd2_1649);
																																{	/* Eval/evaluate.scm 212 */
																																	BgL_ev_letrecz00_bglt
																																		BgL_xz00_5332;
																																	{
																																		obj_t
																																			BgL_bodyz00_7219;
																																		obj_t
																																			BgL_bindsz00_7218;
																																		BgL_bindsz00_7218
																																			=
																																			BgL_arg2842z00_1652;
																																		BgL_bodyz00_7219
																																			=
																																			BgL_arg2843z00_1653;
																																		BgL_bodyz00_1226
																																			=
																																			BgL_bodyz00_7219;
																																		BgL_bindsz00_1225
																																			=
																																			BgL_bindsz00_7218;
																																		goto
																																			BgL_tagzd21430zd2_1227;
																																	}
																																	return
																																		((obj_t)
																																		BgL_xz00_5332);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL_arg2844z00_1654;
																																BgL_arg2844z00_1654
																																	=
																																	CAR
																																	(BgL_ez00_24);
																																{	/* Eval/evaluate.scm 212 */
																																	obj_t
																																		BgL_funz00_4378;
																																	obj_t
																																		BgL_argsz00_4379;
																																	BgL_funz00_4378
																																		=
																																		BGl_uconvzf2loczf2zz__evaluatez00
																																		(BgL_wherez00_28,
																																		BgL_globalsz00_26,
																																		BgL_localsz00_25,
																																		BgL_arg2844z00_1654,
																																		BGl_getzd2locationzd2zz__evaluatez00
																																		(BgL_arg2844z00_1654,
																																			BgL_locz00_29));
																																	BgL_argsz00_4379
																																		=
																																		BGl_loopz00zz__evaluatez00
																																		(BgL_wherez00_28,
																																		BgL_globalsz00_26,
																																		BgL_localsz00_25,
																																		BgL_locz00_29,
																																		BgL_cdrzd29171zd2_1649);
																																	{	/* Eval/evaluate.scm 212 */
																																		BgL_ev_appz00_bglt
																																			BgL_xz00_5334;
																																		BgL_xz00_5334
																																			=
																																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																			(BgL_locz00_29,
																																			((BgL_ev_exprz00_bglt) BgL_funz00_4378), BgL_argsz00_4379, BgL_tailzf3zf3_27);
																																		return (
																																			(obj_t)
																																			BgL_xz00_5334);
																																	}
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 212 */
																														if (
																															(CAR(BgL_ez00_24)
																																==
																																BGl_symbol3633z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 212 */
																																if (PAIRP
																																	(BgL_cdrzd29171zd2_1649))
																																	{	/* Eval/evaluate.scm 212 */
																																		obj_t
																																			BgL_carzd29292zd2_1659;
																																		obj_t
																																			BgL_cdrzd29293zd2_1660;
																																		BgL_carzd29292zd2_1659
																																			=
																																			CAR
																																			(BgL_cdrzd29171zd2_1649);
																																		BgL_cdrzd29293zd2_1660
																																			=
																																			CDR
																																			(BgL_cdrzd29171zd2_1649);
																																		if (PAIRP
																																			(BgL_carzd29292zd2_1659))
																																			{	/* Eval/evaluate.scm 212 */
																																				obj_t
																																					BgL_cdrzd29297zd2_1662;
																																				BgL_cdrzd29297zd2_1662
																																					=
																																					CDR
																																					(BgL_carzd29292zd2_1659);
																																				if ((CAR
																																						(BgL_carzd29292zd2_1659)
																																						==
																																						BGl_symbol3613z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 212 */
																																						if (PAIRP(BgL_cdrzd29297zd2_1662))
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_carzd29300zd2_1665;
																																								obj_t
																																									BgL_cdrzd29301zd2_1666;
																																								BgL_carzd29300zd2_1665
																																									=
																																									CAR
																																									(BgL_cdrzd29297zd2_1662);
																																								BgL_cdrzd29301zd2_1666
																																									=
																																									CDR
																																									(BgL_cdrzd29297zd2_1662);
																																								if (SYMBOLP(BgL_carzd29300zd2_1665))
																																									{	/* Eval/evaluate.scm 212 */
																																										if (PAIRP(BgL_cdrzd29301zd2_1666))
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_carzd29305zd2_1669;
																																												BgL_carzd29305zd2_1669
																																													=
																																													CAR
																																													(BgL_cdrzd29301zd2_1666);
																																												if (SYMBOLP(BgL_carzd29305zd2_1669))
																																													{	/* Eval/evaluate.scm 212 */
																																														if (NULLP(CDR(BgL_cdrzd29301zd2_1666)))
																																															{	/* Eval/evaluate.scm 212 */
																																																if (PAIRP(BgL_cdrzd29293zd2_1660))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		if (NULLP(CDR(BgL_cdrzd29293zd2_1660)))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg2857z00_1674;
																																																				BgL_arg2857z00_1674
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29293zd2_1660);
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_idz00_4412;
																																																					obj_t
																																																						BgL_modnamez00_4413;
																																																					BgL_idz00_4412
																																																						=
																																																						BgL_carzd29300zd2_1665;
																																																					BgL_modnamez00_4413
																																																						=
																																																						BgL_carzd29305zd2_1669;
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_arg3084z00_4415;
																																																						obj_t
																																																							BgL_arg3085z00_4416;
																																																						BgL_arg3084z00_4415
																																																							=
																																																							BGl_uconvzf2loczf2zz__evaluatez00
																																																							(BgL_wherez00_28,
																																																							BgL_globalsz00_26,
																																																							BgL_localsz00_25,
																																																							BgL_arg2857z00_1674,
																																																							BGl_getzd2locationzd2zz__evaluatez00
																																																							(BgL_arg2857z00_1674,
																																																								BgL_locz00_29));
																																																						BgL_arg3085z00_4416
																																																							=
																																																							BGl_evalzd2findzd2modulez00zz__evmodulez00
																																																							(BgL_modnamez00_4413);
																																																						{	/* Eval/evaluate.scm 212 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_xz00_5336;
																																																							BgL_xz00_5336
																																																								=
																																																								BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_arg3084z00_4415), BgL_locz00_29, BgL_idz00_4412, BgL_arg3085z00_4416);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_xz00_5336);
																																																						}
																																																					}
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_29,
																																																					BGl_string3606z00zz__evaluatez00,
																																																					BGl_string3635z00zz__evaluatez00,
																																																					BgL_ez00_24);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		return
																																																			BGl_evcompilezd2errorzd2zz__evcompilez00
																																																			(BgL_locz00_29,
																																																			BGl_string3606z00zz__evaluatez00,
																																																			BGl_string3635z00zz__evaluatez00,
																																																			BgL_ez00_24);
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_cdrzd29366zd2_1676;
																																																BgL_cdrzd29366zd2_1676
																																																	=
																																																	CDR
																																																	(BgL_ez00_24);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_cdrzd29370zd2_1677;
																																																	BgL_cdrzd29370zd2_1677
																																																		=
																																																		CDR
																																																		(BgL_cdrzd29366zd2_1676);
																																																	if (PAIRP(BgL_cdrzd29370zd2_1677))
																																																		{	/* Eval/evaluate.scm 212 */
																																																			if (NULLP(CDR(BgL_cdrzd29370zd2_1677)))
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_arg2861z00_1680;
																																																					obj_t
																																																						BgL_arg2862z00_1681;
																																																					BgL_arg2861z00_1680
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29366zd2_1676);
																																																					BgL_arg2862z00_1681
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29370zd2_1677);
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_cvz00_4430;
																																																						obj_t
																																																							BgL_ez00_4431;
																																																						BgL_cvz00_4430
																																																							=
																																																							BGl_convzd2varzd2zz__evaluatez00
																																																							(BgL_arg2861z00_1680,
																																																							BgL_localsz00_25);
																																																						BgL_ez00_4431
																																																							=
																																																							BGl_uconvzf2loczf2zz__evaluatez00
																																																							(BgL_wherez00_28,
																																																							BgL_globalsz00_26,
																																																							BgL_localsz00_25,
																																																							BgL_arg2862z00_1681,
																																																							BGl_getzd2locationzd2zz__evaluatez00
																																																							(BgL_arg2862z00_1681,
																																																								BgL_locz00_29));
																																																						if (CBOOL(BgL_cvz00_4430))
																																																							{	/* Eval/evaluate.scm 212 */
																																																								BgL_ev_setlocalz00_bglt
																																																									BgL_xz00_5339;
																																																								BgL_xz00_5339
																																																									=
																																																									BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																									(
																																																									((BgL_ev_exprz00_bglt) BgL_ez00_4431), ((BgL_ev_varz00_bglt) BgL_cvz00_4430));
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_xz00_5339);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 212 */
																																																								obj_t
																																																									BgL_arg3086z00_4432;
																																																								if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																									{	/* Eval/evaluate.scm 212 */
																																																										BgL_arg3086z00_4432
																																																											=
																																																											BgL_globalsz00_26;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 212 */
																																																										BgL_arg3086z00_4432
																																																											=
																																																											BGL_MODULE
																																																											();
																																																									}
																																																								{	/* Eval/evaluate.scm 212 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_xz00_5341;
																																																									BgL_xz00_5341
																																																										=
																																																										BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_ez00_4431), BgL_locz00_29, BgL_arg2861z00_1680, BgL_arg3086z00_4432);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_xz00_5341);
																																																								}
																																																							}
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 212 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_29,
																																																						BGl_string3606z00zz__evaluatez00,
																																																						BGl_string3635z00zz__evaluatez00,
																																																						BgL_ez00_24);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 212 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_29,
																																																				BGl_string3606z00zz__evaluatez00,
																																																				BGl_string3635z00zz__evaluatez00,
																																																				BgL_ez00_24);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cdrzd29406zd2_1684;
																																														BgL_cdrzd29406zd2_1684
																																															=
																																															CDR
																																															(BgL_ez00_24);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_cdrzd29410zd2_1685;
																																															BgL_cdrzd29410zd2_1685
																																																=
																																																CDR
																																																(BgL_cdrzd29406zd2_1684);
																																															if (PAIRP(BgL_cdrzd29410zd2_1685))
																																																{	/* Eval/evaluate.scm 212 */
																																																	if (NULLP(CDR(BgL_cdrzd29410zd2_1685)))
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_arg2867z00_1688;
																																																			obj_t
																																																				BgL_arg2868z00_1689;
																																																			BgL_arg2867z00_1688
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29406zd2_1684);
																																																			BgL_arg2868z00_1689
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29410zd2_1685);
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_cvz00_4447;
																																																				obj_t
																																																					BgL_ez00_4448;
																																																				BgL_cvz00_4447
																																																					=
																																																					BGl_convzd2varzd2zz__evaluatez00
																																																					(BgL_arg2867z00_1688,
																																																					BgL_localsz00_25);
																																																				BgL_ez00_4448
																																																					=
																																																					BGl_uconvzf2loczf2zz__evaluatez00
																																																					(BgL_wherez00_28,
																																																					BgL_globalsz00_26,
																																																					BgL_localsz00_25,
																																																					BgL_arg2868z00_1689,
																																																					BGl_getzd2locationzd2zz__evaluatez00
																																																					(BgL_arg2868z00_1689,
																																																						BgL_locz00_29));
																																																				if (CBOOL(BgL_cvz00_4447))
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_ev_setlocalz00_bglt
																																																							BgL_xz00_5344;
																																																						BgL_xz00_5344
																																																							=
																																																							BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																							(
																																																							((BgL_ev_exprz00_bglt) BgL_ez00_4448), ((BgL_ev_varz00_bglt) BgL_cvz00_4447));
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_xz00_5344);
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_arg3086z00_4449;
																																																						if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																							{	/* Eval/evaluate.scm 212 */
																																																								BgL_arg3086z00_4449
																																																									=
																																																									BgL_globalsz00_26;
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 212 */
																																																								BgL_arg3086z00_4449
																																																									=
																																																									BGL_MODULE
																																																									();
																																																							}
																																																						{	/* Eval/evaluate.scm 212 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_xz00_5346;
																																																							BgL_xz00_5346
																																																								=
																																																								BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_ez00_4448), BgL_locz00_29, BgL_arg2867z00_1688, BgL_arg3086z00_4449);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_xz00_5346);
																																																						}
																																																					}
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 212 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_29,
																																																				BGl_string3606z00zz__evaluatez00,
																																																				BGl_string3635z00zz__evaluatez00,
																																																				BgL_ez00_24);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 212 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_29,
																																																		BGl_string3606z00zz__evaluatez00,
																																																		BGl_string3635z00zz__evaluatez00,
																																																		BgL_ez00_24);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cdrzd29446zd2_1691;
																																												BgL_cdrzd29446zd2_1691
																																													=
																																													CDR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_cdrzd29450zd2_1692;
																																													BgL_cdrzd29450zd2_1692
																																														=
																																														CDR
																																														(BgL_cdrzd29446zd2_1691);
																																													if (PAIRP(BgL_cdrzd29450zd2_1692))
																																														{	/* Eval/evaluate.scm 212 */
																																															if (NULLP(CDR(BgL_cdrzd29450zd2_1692)))
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_arg2872z00_1695;
																																																	obj_t
																																																		BgL_arg2873z00_1696;
																																																	BgL_arg2872z00_1695
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29446zd2_1691);
																																																	BgL_arg2873z00_1696
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29450zd2_1692);
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_cvz00_4464;
																																																		obj_t
																																																			BgL_ez00_4465;
																																																		BgL_cvz00_4464
																																																			=
																																																			BGl_convzd2varzd2zz__evaluatez00
																																																			(BgL_arg2872z00_1695,
																																																			BgL_localsz00_25);
																																																		BgL_ez00_4465
																																																			=
																																																			BGl_uconvzf2loczf2zz__evaluatez00
																																																			(BgL_wherez00_28,
																																																			BgL_globalsz00_26,
																																																			BgL_localsz00_25,
																																																			BgL_arg2873z00_1696,
																																																			BGl_getzd2locationzd2zz__evaluatez00
																																																			(BgL_arg2873z00_1696,
																																																				BgL_locz00_29));
																																																		if (CBOOL(BgL_cvz00_4464))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_setlocalz00_bglt
																																																					BgL_xz00_5349;
																																																				BgL_xz00_5349
																																																					=
																																																					BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																					(
																																																					((BgL_ev_exprz00_bglt) BgL_ez00_4465), ((BgL_ev_varz00_bglt) BgL_cvz00_4464));
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5349);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_arg3086z00_4466;
																																																				if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_arg3086z00_4466
																																																							=
																																																							BgL_globalsz00_26;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 212 */
																																																						BgL_arg3086z00_4466
																																																							=
																																																							BGL_MODULE
																																																							();
																																																					}
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_ev_setglobalz00_bglt
																																																						BgL_xz00_5351;
																																																					BgL_xz00_5351
																																																						=
																																																						BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_ez00_4465), BgL_locz00_29, BgL_arg2872z00_1695, BgL_arg3086z00_4466);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_xz00_5351);
																																																				}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 212 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_29,
																																																		BGl_string3606z00zz__evaluatez00,
																																																		BGl_string3635z00zz__evaluatez00,
																																																		BgL_ez00_24);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 212 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_29,
																																																BGl_string3606z00zz__evaluatez00,
																																																BGl_string3635z00zz__evaluatez00,
																																																BgL_ez00_24);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_cdrzd29486zd2_1698;
																																										BgL_cdrzd29486zd2_1698
																																											=
																																											CDR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_cdrzd29490zd2_1699;
																																											BgL_cdrzd29490zd2_1699
																																												=
																																												CDR
																																												(BgL_cdrzd29486zd2_1698);
																																											if (PAIRP(BgL_cdrzd29490zd2_1699))
																																												{	/* Eval/evaluate.scm 212 */
																																													if (NULLP(CDR(BgL_cdrzd29490zd2_1699)))
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_arg2877z00_1702;
																																															obj_t
																																																BgL_arg2878z00_1703;
																																															BgL_arg2877z00_1702
																																																=
																																																CAR
																																																(BgL_cdrzd29486zd2_1698);
																																															BgL_arg2878z00_1703
																																																=
																																																CAR
																																																(BgL_cdrzd29490zd2_1699);
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_cvz00_4481;
																																																obj_t
																																																	BgL_ez00_4482;
																																																BgL_cvz00_4481
																																																	=
																																																	BGl_convzd2varzd2zz__evaluatez00
																																																	(BgL_arg2877z00_1702,
																																																	BgL_localsz00_25);
																																																BgL_ez00_4482
																																																	=
																																																	BGl_uconvzf2loczf2zz__evaluatez00
																																																	(BgL_wherez00_28,
																																																	BgL_globalsz00_26,
																																																	BgL_localsz00_25,
																																																	BgL_arg2878z00_1703,
																																																	BGl_getzd2locationzd2zz__evaluatez00
																																																	(BgL_arg2878z00_1703,
																																																		BgL_locz00_29));
																																																if (CBOOL(BgL_cvz00_4481))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_setlocalz00_bglt
																																																			BgL_xz00_5354;
																																																		BgL_xz00_5354
																																																			=
																																																			BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																			(
																																																			((BgL_ev_exprz00_bglt) BgL_ez00_4482), ((BgL_ev_varz00_bglt) BgL_cvz00_4481));
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5354);
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg3086z00_4483;
																																																		if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_arg3086z00_4483
																																																					=
																																																					BgL_globalsz00_26;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_arg3086z00_4483
																																																					=
																																																					BGL_MODULE
																																																					();
																																																			}
																																																		{	/* Eval/evaluate.scm 212 */
																																																			BgL_ev_setglobalz00_bglt
																																																				BgL_xz00_5356;
																																																			BgL_xz00_5356
																																																				=
																																																				BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_ez00_4482), BgL_locz00_29, BgL_arg2877z00_1702, BgL_arg3086z00_4483);
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_xz00_5356);
																																																		}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 212 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_29,
																																																BGl_string3606z00zz__evaluatez00,
																																																BGl_string3635z00zz__evaluatez00,
																																																BgL_ez00_24);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 212 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_29,
																																														BGl_string3606z00zz__evaluatez00,
																																														BGl_string3635z00zz__evaluatez00,
																																														BgL_ez00_24);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_cdrzd29526zd2_1705;
																																								BgL_cdrzd29526zd2_1705
																																									=
																																									CDR
																																									(BgL_ez00_24);
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_cdrzd29530zd2_1706;
																																									BgL_cdrzd29530zd2_1706
																																										=
																																										CDR
																																										(BgL_cdrzd29526zd2_1705);
																																									if (PAIRP(BgL_cdrzd29530zd2_1706))
																																										{	/* Eval/evaluate.scm 212 */
																																											if (NULLP(CDR(BgL_cdrzd29530zd2_1706)))
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_arg2882z00_1709;
																																													obj_t
																																														BgL_arg2883z00_1710;
																																													BgL_arg2882z00_1709
																																														=
																																														CAR
																																														(BgL_cdrzd29526zd2_1705);
																																													BgL_arg2883z00_1710
																																														=
																																														CAR
																																														(BgL_cdrzd29530zd2_1706);
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cvz00_4498;
																																														obj_t
																																															BgL_ez00_4499;
																																														BgL_cvz00_4498
																																															=
																																															BGl_convzd2varzd2zz__evaluatez00
																																															(BgL_arg2882z00_1709,
																																															BgL_localsz00_25);
																																														BgL_ez00_4499
																																															=
																																															BGl_uconvzf2loczf2zz__evaluatez00
																																															(BgL_wherez00_28,
																																															BgL_globalsz00_26,
																																															BgL_localsz00_25,
																																															BgL_arg2883z00_1710,
																																															BGl_getzd2locationzd2zz__evaluatez00
																																															(BgL_arg2883z00_1710,
																																																BgL_locz00_29));
																																														if (CBOOL(BgL_cvz00_4498))
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_setlocalz00_bglt
																																																	BgL_xz00_5359;
																																																BgL_xz00_5359
																																																	=
																																																	BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																																	(
																																																	((BgL_ev_exprz00_bglt) BgL_ez00_4499), ((BgL_ev_varz00_bglt) BgL_cvz00_4498));
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5359);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg3086z00_4500;
																																																if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_arg3086z00_4500
																																																			=
																																																			BgL_globalsz00_26;
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_arg3086z00_4500
																																																			=
																																																			BGL_MODULE
																																																			();
																																																	}
																																																{	/* Eval/evaluate.scm 212 */
																																																	BgL_ev_setglobalz00_bglt
																																																		BgL_xz00_5361;
																																																	BgL_xz00_5361
																																																		=
																																																		BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_ez00_4499), BgL_locz00_29, BgL_arg2882z00_1709, BgL_arg3086z00_4500);
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_xz00_5361);
																																																}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 212 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_29,
																																														BGl_string3606z00zz__evaluatez00,
																																														BGl_string3635z00zz__evaluatez00,
																																														BgL_ez00_24);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 212 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_29,
																																												BGl_string3606z00zz__evaluatez00,
																																												BGl_string3635z00zz__evaluatez00,
																																												BgL_ez00_24);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_cdrzd29566zd2_1712;
																																						BgL_cdrzd29566zd2_1712
																																							=
																																							CDR
																																							(BgL_ez00_24);
																																						{	/* Eval/evaluate.scm 212 */
																																							obj_t
																																								BgL_cdrzd29570zd2_1713;
																																							BgL_cdrzd29570zd2_1713
																																								=
																																								CDR
																																								(BgL_cdrzd29566zd2_1712);
																																							if (PAIRP(BgL_cdrzd29570zd2_1713))
																																								{	/* Eval/evaluate.scm 212 */
																																									if (NULLP(CDR(BgL_cdrzd29570zd2_1713)))
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_arg2887z00_1716;
																																											obj_t
																																												BgL_arg2888z00_1717;
																																											BgL_arg2887z00_1716
																																												=
																																												CAR
																																												(BgL_cdrzd29566zd2_1712);
																																											BgL_arg2888z00_1717
																																												=
																																												CAR
																																												(BgL_cdrzd29570zd2_1713);
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cvz00_4515;
																																												obj_t
																																													BgL_ez00_4516;
																																												BgL_cvz00_4515
																																													=
																																													BGl_convzd2varzd2zz__evaluatez00
																																													(BgL_arg2887z00_1716,
																																													BgL_localsz00_25);
																																												BgL_ez00_4516
																																													=
																																													BGl_uconvzf2loczf2zz__evaluatez00
																																													(BgL_wherez00_28,
																																													BgL_globalsz00_26,
																																													BgL_localsz00_25,
																																													BgL_arg2888z00_1717,
																																													BGl_getzd2locationzd2zz__evaluatez00
																																													(BgL_arg2888z00_1717,
																																														BgL_locz00_29));
																																												if (CBOOL(BgL_cvz00_4515))
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_setlocalz00_bglt
																																															BgL_xz00_5364;
																																														BgL_xz00_5364
																																															=
																																															BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																															(
																																															((BgL_ev_exprz00_bglt) BgL_ez00_4516), ((BgL_ev_varz00_bglt) BgL_cvz00_4515));
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5364);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg3086z00_4517;
																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_arg3086z00_4517
																																																	=
																																																	BgL_globalsz00_26;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_arg3086z00_4517
																																																	=
																																																	BGL_MODULE
																																																	();
																																															}
																																														{	/* Eval/evaluate.scm 212 */
																																															BgL_ev_setglobalz00_bglt
																																																BgL_xz00_5366;
																																															BgL_xz00_5366
																																																=
																																																BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_ez00_4516), BgL_locz00_29, BgL_arg2887z00_1716, BgL_arg3086z00_4517);
																																															return
																																																(
																																																(obj_t)
																																																BgL_xz00_5366);
																																														}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 212 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_29,
																																												BGl_string3606z00zz__evaluatez00,
																																												BGl_string3635z00zz__evaluatez00,
																																												BgL_ez00_24);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 212 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_29,
																																										BGl_string3606z00zz__evaluatez00,
																																										BGl_string3635z00zz__evaluatez00,
																																										BgL_ez00_24);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 212 */
																																				obj_t
																																					BgL_cdrzd29606zd2_1720;
																																				BgL_cdrzd29606zd2_1720
																																					=
																																					CDR
																																					(BgL_ez00_24);
																																				{	/* Eval/evaluate.scm 212 */
																																					obj_t
																																						BgL_cdrzd29610zd2_1721;
																																					BgL_cdrzd29610zd2_1721
																																						=
																																						CDR
																																						(BgL_cdrzd29606zd2_1720);
																																					if (PAIRP(BgL_cdrzd29610zd2_1721))
																																						{	/* Eval/evaluate.scm 212 */
																																							if (NULLP(CDR(BgL_cdrzd29610zd2_1721)))
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_arg2893z00_1724;
																																									obj_t
																																										BgL_arg2894z00_1725;
																																									BgL_arg2893z00_1724
																																										=
																																										CAR
																																										(BgL_cdrzd29606zd2_1720);
																																									BgL_arg2894z00_1725
																																										=
																																										CAR
																																										(BgL_cdrzd29610zd2_1721);
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_cvz00_4532;
																																										obj_t
																																											BgL_ez00_4533;
																																										BgL_cvz00_4532
																																											=
																																											BGl_convzd2varzd2zz__evaluatez00
																																											(BgL_arg2893z00_1724,
																																											BgL_localsz00_25);
																																										BgL_ez00_4533
																																											=
																																											BGl_uconvzf2loczf2zz__evaluatez00
																																											(BgL_wherez00_28,
																																											BgL_globalsz00_26,
																																											BgL_localsz00_25,
																																											BgL_arg2894z00_1725,
																																											BGl_getzd2locationzd2zz__evaluatez00
																																											(BgL_arg2894z00_1725,
																																												BgL_locz00_29));
																																										if (CBOOL(BgL_cvz00_4532))
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_setlocalz00_bglt
																																													BgL_xz00_5369;
																																												BgL_xz00_5369
																																													=
																																													BGl_makezd2ev_setlocalzd2zz__evaluate_typesz00
																																													(
																																													((BgL_ev_exprz00_bglt) BgL_ez00_4533), ((BgL_ev_varz00_bglt) BgL_cvz00_4532));
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5369);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg3086z00_4534;
																																												if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_arg3086z00_4534
																																															=
																																															BgL_globalsz00_26;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_arg3086z00_4534
																																															=
																																															BGL_MODULE
																																															();
																																													}
																																												{	/* Eval/evaluate.scm 212 */
																																													BgL_ev_setglobalz00_bglt
																																														BgL_xz00_5371;
																																													BgL_xz00_5371
																																														=
																																														BGl_makezd2ev_setglobalzd2zz__evaluate_typesz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_ez00_4533), BgL_locz00_29, BgL_arg2893z00_1724, BgL_arg3086z00_4534);
																																													return
																																														(
																																														(obj_t)
																																														BgL_xz00_5371);
																																												}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 212 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_29,
																																										BGl_string3606z00zz__evaluatez00,
																																										BGl_string3635z00zz__evaluatez00,
																																										BgL_ez00_24);
																																								}
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 212 */
																																							return
																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																								(BgL_locz00_29,
																																								BGl_string3606z00zz__evaluatez00,
																																								BGl_string3635z00zz__evaluatez00,
																																								BgL_ez00_24);
																																						}
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 212 */
																																		return
																																			BGl_evcompilezd2errorzd2zz__evcompilez00
																																			(BgL_locz00_29,
																																			BGl_string3606z00zz__evaluatez00,
																																			BGl_string3635z00zz__evaluatez00,
																																			BgL_ez00_24);
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 212 */
																																obj_t
																																	BgL_cdrzd29687zd2_1727;
																																BgL_cdrzd29687zd2_1727
																																	=
																																	CDR
																																	(BgL_ez00_24);
																																if ((CAR
																																		(BgL_ez00_24)
																																		==
																																		BGl_symbol3636z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 212 */
																																		if (PAIRP
																																			(BgL_cdrzd29687zd2_1727))
																																			{	/* Eval/evaluate.scm 212 */
																																				obj_t
																																					BgL_cdrzd29692zd2_1730;
																																				BgL_cdrzd29692zd2_1730
																																					=
																																					CDR
																																					(BgL_cdrzd29687zd2_1727);
																																				if (PAIRP(BgL_cdrzd29692zd2_1730))
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_carzd29696zd2_1732;
																																						BgL_carzd29696zd2_1732
																																							=
																																							CAR
																																							(BgL_cdrzd29692zd2_1730);
																																						if (PAIRP(BgL_carzd29696zd2_1732))
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_cdrzd29701zd2_1734;
																																								BgL_cdrzd29701zd2_1734
																																									=
																																									CDR
																																									(BgL_carzd29696zd2_1732);
																																								if ((CAR(BgL_carzd29696zd2_1732) == BGl_symbol3638z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 212 */
																																										if (PAIRP(BgL_cdrzd29701zd2_1734))
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cdrzd29705zd2_1737;
																																												BgL_cdrzd29705zd2_1737
																																													=
																																													CDR
																																													(BgL_cdrzd29701zd2_1734);
																																												if (PAIRP(BgL_cdrzd29705zd2_1737))
																																													{	/* Eval/evaluate.scm 212 */
																																														if (NULLP(CDR(BgL_cdrzd29705zd2_1737)))
																																															{	/* Eval/evaluate.scm 212 */
																																																if (NULLP(CDR(BgL_cdrzd29692zd2_1730)))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2905z00_1741;
																																																		obj_t
																																																			BgL_arg2907z00_1742;
																																																		obj_t
																																																			BgL_arg2908z00_1743;
																																																		BgL_arg2905z00_1741
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29687zd2_1727);
																																																		BgL_arg2907z00_1742
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29701zd2_1734);
																																																		BgL_arg2908z00_1743
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29705zd2_1737);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			BgL_ev_absz00_bglt
																																																				BgL_arg3088z00_4567;
																																																			obj_t
																																																				BgL_arg3089z00_4568;
																																																			obj_t
																																																				BgL_arg3090z00_4569;
																																																			BgL_arg3088z00_4567
																																																				=
																																																				BGl_convzd2lambdazd2zz__evaluatez00
																																																				(BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_locz00_29,
																																																				BgL_ez00_24,
																																																				BgL_arg2907z00_1742,
																																																				BgL_arg2908z00_1743,
																																																				BgL_arg2905z00_1741);
																																																			BgL_arg3089z00_4568
																																																				=
																																																				BGl_untypezd2identzd2zz__evcompilez00
																																																				(BgL_arg2905z00_1741);
																																																			if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_arg3090z00_4569
																																																						=
																																																						BgL_globalsz00_26;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_arg3090z00_4569
																																																						=
																																																						BGL_MODULE
																																																						();
																																																				}
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_xz00_5373;
																																																				BgL_xz00_5373
																																																					=
																																																					BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																					(
																																																					((BgL_ev_exprz00_bglt) BgL_arg3088z00_4567), BgL_locz00_29, BgL_arg3089z00_4568, BgL_arg3090z00_4569);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5373);
																																																			}
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2909z00_1744;
																																																		BgL_arg2909z00_1744
																																																			=
																																																			CAR
																																																			(BgL_ez00_24);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_funz00_4575;
																																																			obj_t
																																																				BgL_argsz00_4576;
																																																			BgL_funz00_4575
																																																				=
																																																				BGl_uconvzf2loczf2zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_arg2909z00_1744,
																																																				BGl_getzd2locationzd2zz__evaluatez00
																																																				(BgL_arg2909z00_1744,
																																																					BgL_locz00_29));
																																																			BgL_argsz00_4576
																																																				=
																																																				BGl_loopz00zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_locz00_29,
																																																				BgL_cdrzd29687zd2_1727);
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_appz00_bglt
																																																					BgL_xz00_5375;
																																																				BgL_xz00_5375
																																																					=
																																																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																					(BgL_locz00_29,
																																																					((BgL_ev_exprz00_bglt) BgL_funz00_4575), BgL_argsz00_4576, BgL_tailzf3zf3_27);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5375);
																																																			}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_cdrzd29779zd2_1748;
																																																BgL_cdrzd29779zd2_1748
																																																	=
																																																	CDR
																																																	(BgL_cdrzd29687zd2_1727);
																																																if (NULLP(CDR(BgL_cdrzd29779zd2_1748)))
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2913z00_1750;
																																																		obj_t
																																																			BgL_arg2914z00_1751;
																																																		BgL_arg2913z00_1750
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29687zd2_1727);
																																																		BgL_arg2914z00_1751
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29779zd2_1748);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_arg3092z00_4588;
																																																			obj_t
																																																				BgL_arg3093z00_4589;
																																																			obj_t
																																																				BgL_arg3094z00_4590;
																																																			BgL_arg3092z00_4588
																																																				=
																																																				BGl_uconvzf2loczf2zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_arg2914z00_1751,
																																																				BGl_getzd2locationzd2zz__evaluatez00
																																																				(BgL_arg2914z00_1751,
																																																					BgL_locz00_29));
																																																			BgL_arg3093z00_4589
																																																				=
																																																				BGl_untypezd2identzd2zz__evcompilez00
																																																				(BgL_arg2913z00_1750);
																																																			if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_arg3094z00_4590
																																																						=
																																																						BgL_globalsz00_26;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 212 */
																																																					BgL_arg3094z00_4590
																																																						=
																																																						BGL_MODULE
																																																						();
																																																				}
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_xz00_5377;
																																																				BgL_xz00_5377
																																																					=
																																																					BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																					(
																																																					((BgL_ev_exprz00_bglt) BgL_arg3092z00_4588), BgL_locz00_29, BgL_arg3093z00_4589, BgL_arg3094z00_4590);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5377);
																																																			}
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg2915z00_1752;
																																																		obj_t
																																																			BgL_arg2916z00_1753;
																																																		BgL_arg2915z00_1752
																																																			=
																																																			CAR
																																																			(BgL_ez00_24);
																																																		BgL_arg2916z00_1753
																																																			=
																																																			CDR
																																																			(BgL_ez00_24);
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_funz00_4598;
																																																			obj_t
																																																				BgL_argsz00_4599;
																																																			BgL_funz00_4598
																																																				=
																																																				BGl_uconvzf2loczf2zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_arg2915z00_1752,
																																																				BGl_getzd2locationzd2zz__evaluatez00
																																																				(BgL_arg2915z00_1752,
																																																					BgL_locz00_29));
																																																			BgL_argsz00_4599
																																																				=
																																																				BGl_loopz00zz__evaluatez00
																																																				(BgL_wherez00_28,
																																																				BgL_globalsz00_26,
																																																				BgL_localsz00_25,
																																																				BgL_locz00_29,
																																																				BgL_arg2916z00_1753);
																																																			{	/* Eval/evaluate.scm 212 */
																																																				BgL_ev_appz00_bglt
																																																					BgL_xz00_5379;
																																																				BgL_xz00_5379
																																																					=
																																																					BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																					(BgL_locz00_29,
																																																					((BgL_ev_exprz00_bglt) BgL_funz00_4598), BgL_argsz00_4599, BgL_tailzf3zf3_27);
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_xz00_5379);
																																																			}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_cdrzd29842zd2_1757;
																																														BgL_cdrzd29842zd2_1757
																																															=
																																															CDR
																																															(BgL_cdrzd29687zd2_1727);
																																														if (NULLP(CDR(BgL_cdrzd29842zd2_1757)))
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg2920z00_1759;
																																																obj_t
																																																	BgL_arg2921z00_1760;
																																																BgL_arg2920z00_1759
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29687zd2_1727);
																																																BgL_arg2921z00_1760
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29842zd2_1757);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_arg3092z00_4611;
																																																	obj_t
																																																		BgL_arg3093z00_4612;
																																																	obj_t
																																																		BgL_arg3094z00_4613;
																																																	BgL_arg3092z00_4611
																																																		=
																																																		BGl_uconvzf2loczf2zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_arg2921z00_1760,
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg2921z00_1760,
																																																			BgL_locz00_29));
																																																	BgL_arg3093z00_4612
																																																		=
																																																		BGl_untypezd2identzd2zz__evcompilez00
																																																		(BgL_arg2920z00_1759);
																																																	if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																		{	/* Eval/evaluate.scm 212 */
																																																			BgL_arg3094z00_4613
																																																				=
																																																				BgL_globalsz00_26;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 212 */
																																																			BgL_arg3094z00_4613
																																																				=
																																																				BGL_MODULE
																																																				();
																																																		}
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_xz00_5381;
																																																		BgL_xz00_5381
																																																			=
																																																			BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																			(
																																																			((BgL_ev_exprz00_bglt) BgL_arg3092z00_4611), BgL_locz00_29, BgL_arg3093z00_4612, BgL_arg3094z00_4613);
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5381);
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg2922z00_1761;
																																																obj_t
																																																	BgL_arg2923z00_1762;
																																																BgL_arg2922z00_1761
																																																	=
																																																	CAR
																																																	(BgL_ez00_24);
																																																BgL_arg2923z00_1762
																																																	=
																																																	CDR
																																																	(BgL_ez00_24);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_funz00_4621;
																																																	obj_t
																																																		BgL_argsz00_4622;
																																																	BgL_funz00_4621
																																																		=
																																																		BGl_uconvzf2loczf2zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_arg2922z00_1761,
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg2922z00_1761,
																																																			BgL_locz00_29));
																																																	BgL_argsz00_4622
																																																		=
																																																		BGl_loopz00zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_locz00_29,
																																																		BgL_arg2923z00_1762);
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_appz00_bglt
																																																			BgL_xz00_5383;
																																																		BgL_xz00_5383
																																																			=
																																																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																			(BgL_locz00_29,
																																																			((BgL_ev_exprz00_bglt) BgL_funz00_4621), BgL_argsz00_4622, BgL_tailzf3zf3_27);
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5383);
																																																	}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cdrzd29905zd2_1765;
																																												BgL_cdrzd29905zd2_1765
																																													=
																																													CDR
																																													(BgL_cdrzd29687zd2_1727);
																																												if (NULLP(CDR(BgL_cdrzd29905zd2_1765)))
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg2926z00_1767;
																																														obj_t
																																															BgL_arg2927z00_1768;
																																														BgL_arg2926z00_1767
																																															=
																																															CAR
																																															(BgL_cdrzd29687zd2_1727);
																																														BgL_arg2927z00_1768
																																															=
																																															CAR
																																															(BgL_cdrzd29905zd2_1765);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_arg3092z00_4634;
																																															obj_t
																																																BgL_arg3093z00_4635;
																																															obj_t
																																																BgL_arg3094z00_4636;
																																															BgL_arg3092z00_4634
																																																=
																																																BGl_uconvzf2loczf2zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_arg2927z00_1768,
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2927z00_1768,
																																																	BgL_locz00_29));
																																															BgL_arg3093z00_4635
																																																=
																																																BGl_untypezd2identzd2zz__evcompilez00
																																																(BgL_arg2926z00_1767);
																																															if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																																{	/* Eval/evaluate.scm 212 */
																																																	BgL_arg3094z00_4636
																																																		=
																																																		BgL_globalsz00_26;
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 212 */
																																																	BgL_arg3094z00_4636
																																																		=
																																																		BGL_MODULE
																																																		();
																																																}
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_xz00_5385;
																																																BgL_xz00_5385
																																																	=
																																																	BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																																	(
																																																	((BgL_ev_exprz00_bglt) BgL_arg3092z00_4634), BgL_locz00_29, BgL_arg3093z00_4635, BgL_arg3094z00_4636);
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5385);
																																															}
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg2928z00_1769;
																																														obj_t
																																															BgL_arg2929z00_1770;
																																														BgL_arg2928z00_1769
																																															=
																																															CAR
																																															(BgL_ez00_24);
																																														BgL_arg2929z00_1770
																																															=
																																															CDR
																																															(BgL_ez00_24);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_funz00_4644;
																																															obj_t
																																																BgL_argsz00_4645;
																																															BgL_funz00_4644
																																																=
																																																BGl_uconvzf2loczf2zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_arg2928z00_1769,
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2928z00_1769,
																																																	BgL_locz00_29));
																																															BgL_argsz00_4645
																																																=
																																																BGl_loopz00zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_locz00_29,
																																																BgL_arg2929z00_1770);
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_appz00_bglt
																																																	BgL_xz00_5387;
																																																BgL_xz00_5387
																																																	=
																																																	BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																	(BgL_locz00_29,
																																																	((BgL_ev_exprz00_bglt) BgL_funz00_4644), BgL_argsz00_4645, BgL_tailzf3zf3_27);
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5387);
																																															}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_cdrzd29968zd2_1773;
																																										BgL_cdrzd29968zd2_1773
																																											=
																																											CDR
																																											(BgL_cdrzd29687zd2_1727);
																																										if (NULLP(CDR(BgL_cdrzd29968zd2_1773)))
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2932z00_1775;
																																												obj_t
																																													BgL_arg2933z00_1776;
																																												BgL_arg2932z00_1775
																																													=
																																													CAR
																																													(BgL_cdrzd29687zd2_1727);
																																												BgL_arg2933z00_1776
																																													=
																																													CAR
																																													(BgL_cdrzd29968zd2_1773);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_arg3092z00_4657;
																																													obj_t
																																														BgL_arg3093z00_4658;
																																													obj_t
																																														BgL_arg3094z00_4659;
																																													BgL_arg3092z00_4657
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2933z00_1776,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2933z00_1776,
																																															BgL_locz00_29));
																																													BgL_arg3093z00_4658
																																														=
																																														BGl_untypezd2identzd2zz__evcompilez00
																																														(BgL_arg2932z00_1775);
																																													if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																														{	/* Eval/evaluate.scm 212 */
																																															BgL_arg3094z00_4659
																																																=
																																																BgL_globalsz00_26;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 212 */
																																															BgL_arg3094z00_4659
																																																=
																																																BGL_MODULE
																																																();
																																														}
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_xz00_5389;
																																														BgL_xz00_5389
																																															=
																																															BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																															(
																																															((BgL_ev_exprz00_bglt) BgL_arg3092z00_4657), BgL_locz00_29, BgL_arg3093z00_4658, BgL_arg3094z00_4659);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5389);
																																													}
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2934z00_1777;
																																												obj_t
																																													BgL_arg2935z00_1778;
																																												BgL_arg2934z00_1777
																																													=
																																													CAR
																																													(BgL_ez00_24);
																																												BgL_arg2935z00_1778
																																													=
																																													CDR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_funz00_4667;
																																													obj_t
																																														BgL_argsz00_4668;
																																													BgL_funz00_4667
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2934z00_1777,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2934z00_1777,
																																															BgL_locz00_29));
																																													BgL_argsz00_4668
																																														=
																																														BGl_loopz00zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_locz00_29,
																																														BgL_arg2935z00_1778);
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_appz00_bglt
																																															BgL_xz00_5391;
																																														BgL_xz00_5391
																																															=
																																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																															(BgL_locz00_29,
																																															((BgL_ev_exprz00_bglt) BgL_funz00_4667), BgL_argsz00_4668, BgL_tailzf3zf3_27);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5391);
																																													}
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_cdrzd210031zd2_1782;
																																								BgL_cdrzd210031zd2_1782
																																									=
																																									CDR
																																									(BgL_cdrzd29687zd2_1727);
																																								if (NULLP(CDR(BgL_cdrzd210031zd2_1782)))
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2939z00_1784;
																																										obj_t
																																											BgL_arg2940z00_1785;
																																										BgL_arg2939z00_1784
																																											=
																																											CAR
																																											(BgL_cdrzd29687zd2_1727);
																																										BgL_arg2940z00_1785
																																											=
																																											CAR
																																											(BgL_cdrzd210031zd2_1782);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_arg3092z00_4680;
																																											obj_t
																																												BgL_arg3093z00_4681;
																																											obj_t
																																												BgL_arg3094z00_4682;
																																											BgL_arg3092z00_4680
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2940z00_1785,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2940z00_1785,
																																													BgL_locz00_29));
																																											BgL_arg3093z00_4681
																																												=
																																												BGl_untypezd2identzd2zz__evcompilez00
																																												(BgL_arg2939z00_1784);
																																											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
																																												{	/* Eval/evaluate.scm 212 */
																																													BgL_arg3094z00_4682
																																														=
																																														BgL_globalsz00_26;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 212 */
																																													BgL_arg3094z00_4682
																																														=
																																														BGL_MODULE
																																														();
																																												}
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_defglobalz00_bglt
																																													BgL_xz00_5393;
																																												BgL_xz00_5393
																																													=
																																													BGl_makezd2ev_defglobalzd2zz__evaluate_typesz00
																																													(
																																													((BgL_ev_exprz00_bglt) BgL_arg3092z00_4680), BgL_locz00_29, BgL_arg3093z00_4681, BgL_arg3094z00_4682);
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5393);
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2941z00_1786;
																																										obj_t
																																											BgL_arg2942z00_1787;
																																										BgL_arg2941z00_1786
																																											=
																																											CAR
																																											(BgL_ez00_24);
																																										BgL_arg2942z00_1787
																																											=
																																											CDR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_funz00_4690;
																																											obj_t
																																												BgL_argsz00_4691;
																																											BgL_funz00_4690
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2941z00_1786,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2941z00_1786,
																																													BgL_locz00_29));
																																											BgL_argsz00_4691
																																												=
																																												BGl_loopz00zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_locz00_29,
																																												BgL_arg2942z00_1787);
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_appz00_bglt
																																													BgL_xz00_5395;
																																												BgL_xz00_5395
																																													=
																																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																													(BgL_locz00_29,
																																													((BgL_ev_exprz00_bglt) BgL_funz00_4690), BgL_argsz00_4691, BgL_tailzf3zf3_27);
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5395);
																																											}
																																										}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_arg2944z00_1789;
																																						BgL_arg2944z00_1789
																																							=
																																							CAR
																																							(BgL_ez00_24);
																																						{	/* Eval/evaluate.scm 212 */
																																							obj_t
																																								BgL_funz00_4698;
																																							obj_t
																																								BgL_argsz00_4699;
																																							BgL_funz00_4698
																																								=
																																								BGl_uconvzf2loczf2zz__evaluatez00
																																								(BgL_wherez00_28,
																																								BgL_globalsz00_26,
																																								BgL_localsz00_25,
																																								BgL_arg2944z00_1789,
																																								BGl_getzd2locationzd2zz__evaluatez00
																																								(BgL_arg2944z00_1789,
																																									BgL_locz00_29));
																																							BgL_argsz00_4699
																																								=
																																								BGl_loopz00zz__evaluatez00
																																								(BgL_wherez00_28,
																																								BgL_globalsz00_26,
																																								BgL_localsz00_25,
																																								BgL_locz00_29,
																																								BgL_cdrzd29687zd2_1727);
																																							{	/* Eval/evaluate.scm 212 */
																																								BgL_ev_appz00_bglt
																																									BgL_xz00_5397;
																																								BgL_xz00_5397
																																									=
																																									BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																									(BgL_locz00_29,
																																									((BgL_ev_exprz00_bglt) BgL_funz00_4698), BgL_argsz00_4699, BgL_tailzf3zf3_27);
																																								return
																																									(
																																									(obj_t)
																																									BgL_xz00_5397);
																																							}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 212 */
																																				obj_t
																																					BgL_arg2946z00_1791;
																																				BgL_arg2946z00_1791
																																					=
																																					CAR
																																					(BgL_ez00_24);
																																				{	/* Eval/evaluate.scm 212 */
																																					obj_t
																																						BgL_funz00_4706;
																																					obj_t
																																						BgL_argsz00_4707;
																																					BgL_funz00_4706
																																						=
																																						BGl_uconvzf2loczf2zz__evaluatez00
																																						(BgL_wherez00_28,
																																						BgL_globalsz00_26,
																																						BgL_localsz00_25,
																																						BgL_arg2946z00_1791,
																																						BGl_getzd2locationzd2zz__evaluatez00
																																						(BgL_arg2946z00_1791,
																																							BgL_locz00_29));
																																					BgL_argsz00_4707
																																						=
																																						BGl_loopz00zz__evaluatez00
																																						(BgL_wherez00_28,
																																						BgL_globalsz00_26,
																																						BgL_localsz00_25,
																																						BgL_locz00_29,
																																						BgL_cdrzd29687zd2_1727);
																																					{	/* Eval/evaluate.scm 212 */
																																						BgL_ev_appz00_bglt
																																							BgL_xz00_5399;
																																						BgL_xz00_5399
																																							=
																																							BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																							(BgL_locz00_29,
																																							((BgL_ev_exprz00_bglt) BgL_funz00_4706), BgL_argsz00_4707, BgL_tailzf3zf3_27);
																																						return
																																							(
																																							(obj_t)
																																							BgL_xz00_5399);
																																					}
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 212 */
																																		if (
																																			(CAR
																																				(BgL_ez00_24)
																																				==
																																				BGl_symbol3640z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 212 */
																																				if (PAIRP(BgL_cdrzd29687zd2_1727))
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_carzd210199zd2_1796;
																																						BgL_carzd210199zd2_1796
																																							=
																																							CAR
																																							(BgL_cdrzd29687zd2_1727);
																																						if (PAIRP(BgL_carzd210199zd2_1796))
																																							{	/* Eval/evaluate.scm 212 */
																																								if (NULLP(CDR(BgL_carzd210199zd2_1796)))
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2952z00_1799;
																																										obj_t
																																											BgL_arg2953z00_1800;
																																										BgL_arg2952z00_1799
																																											=
																																											CAR
																																											(BgL_carzd210199zd2_1796);
																																										BgL_arg2953z00_1800
																																											=
																																											CDR
																																											(BgL_cdrzd29687zd2_1727);
																																										{	/* Eval/evaluate.scm 212 */
																																											BgL_ev_varz00_bglt
																																												BgL_varz00_4724;
																																											BgL_varz00_4724
																																												=
																																												BGl_makezd2ev_varzd2zz__evaluate_typesz00
																																												(BgL_arg2952z00_1799,
																																												BFALSE);
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg3096z00_4725;
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_arg3097z00_4726;
																																													BgL_arg3097z00_4726
																																														=
																																														MAKE_PAIR
																																														(
																																														((obj_t) BgL_varz00_4724), BgL_localsz00_25);
																																													BgL_arg3096z00_4725
																																														=
																																														BGl_convzd2beginzd2zz__evaluatez00
																																														(BgL_arg2953z00_1800,
																																														BgL_arg3097z00_4726,
																																														BgL_globalsz00_26,
																																														BFALSE,
																																														BgL_wherez00_28,
																																														BgL_locz00_29,
																																														((bool_t) 0));
																																												}
																																												{	/* Eval/evaluate.scm 212 */
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_xz00_5402;
																																													BgL_xz00_5402
																																														=
																																														BGl_makezd2ev_bindzd2exitz00zz__evaluate_typesz00
																																														(BgL_varz00_4724,
																																														((BgL_ev_exprz00_bglt) BgL_arg3096z00_4725));
																																													return
																																														(
																																														(obj_t)
																																														BgL_xz00_5402);
																																												}
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2954z00_1801;
																																										obj_t
																																											BgL_arg2955z00_1802;
																																										BgL_arg2954z00_1801
																																											=
																																											CAR
																																											(BgL_ez00_24);
																																										BgL_arg2955z00_1802
																																											=
																																											CDR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_funz00_4731;
																																											obj_t
																																												BgL_argsz00_4732;
																																											BgL_funz00_4731
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2954z00_1801,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2954z00_1801,
																																													BgL_locz00_29));
																																											BgL_argsz00_4732
																																												=
																																												BGl_loopz00zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_locz00_29,
																																												BgL_arg2955z00_1802);
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_appz00_bglt
																																													BgL_xz00_5404;
																																												BgL_xz00_5404
																																													=
																																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																													(BgL_locz00_29,
																																													((BgL_ev_exprz00_bglt) BgL_funz00_4731), BgL_argsz00_4732, BgL_tailzf3zf3_27);
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5404);
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_arg2957z00_1804;
																																								obj_t
																																									BgL_arg2958z00_1805;
																																								BgL_arg2957z00_1804
																																									=
																																									CAR
																																									(BgL_ez00_24);
																																								BgL_arg2958z00_1805
																																									=
																																									CDR
																																									(BgL_ez00_24);
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_funz00_4739;
																																									obj_t
																																										BgL_argsz00_4740;
																																									BgL_funz00_4739
																																										=
																																										BGl_uconvzf2loczf2zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_arg2957z00_1804,
																																										BGl_getzd2locationzd2zz__evaluatez00
																																										(BgL_arg2957z00_1804,
																																											BgL_locz00_29));
																																									BgL_argsz00_4740
																																										=
																																										BGl_loopz00zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_locz00_29,
																																										BgL_arg2958z00_1805);
																																									{	/* Eval/evaluate.scm 212 */
																																										BgL_ev_appz00_bglt
																																											BgL_xz00_5406;
																																										BgL_xz00_5406
																																											=
																																											BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																											(BgL_locz00_29,
																																											((BgL_ev_exprz00_bglt) BgL_funz00_4739), BgL_argsz00_4740, BgL_tailzf3zf3_27);
																																										return
																																											(
																																											(obj_t)
																																											BgL_xz00_5406);
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 212 */
																																						obj_t
																																							BgL_arg2959z00_1806;
																																						obj_t
																																							BgL_arg2960z00_1807;
																																						BgL_arg2959z00_1806
																																							=
																																							CAR
																																							(BgL_ez00_24);
																																						BgL_arg2960z00_1807
																																							=
																																							CDR
																																							(BgL_ez00_24);
																																						{	/* Eval/evaluate.scm 212 */
																																							obj_t
																																								BgL_funz00_4747;
																																							obj_t
																																								BgL_argsz00_4748;
																																							BgL_funz00_4747
																																								=
																																								BGl_uconvzf2loczf2zz__evaluatez00
																																								(BgL_wherez00_28,
																																								BgL_globalsz00_26,
																																								BgL_localsz00_25,
																																								BgL_arg2959z00_1806,
																																								BGl_getzd2locationzd2zz__evaluatez00
																																								(BgL_arg2959z00_1806,
																																									BgL_locz00_29));
																																							BgL_argsz00_4748
																																								=
																																								BGl_loopz00zz__evaluatez00
																																								(BgL_wherez00_28,
																																								BgL_globalsz00_26,
																																								BgL_localsz00_25,
																																								BgL_locz00_29,
																																								BgL_arg2960z00_1807);
																																							{	/* Eval/evaluate.scm 212 */
																																								BgL_ev_appz00_bglt
																																									BgL_xz00_5408;
																																								BgL_xz00_5408
																																									=
																																									BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																									(BgL_locz00_29,
																																									((BgL_ev_exprz00_bglt) BgL_funz00_4747), BgL_argsz00_4748, BgL_tailzf3zf3_27);
																																								return
																																									(
																																									(obj_t)
																																									BgL_xz00_5408);
																																							}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 212 */
																																				obj_t
																																					BgL_cdrzd210302zd2_1808;
																																				BgL_cdrzd210302zd2_1808
																																					=
																																					CDR
																																					(BgL_ez00_24);
																																				if ((CAR
																																						(BgL_ez00_24)
																																						==
																																						BGl_symbol3642z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 212 */
																																						if (PAIRP(BgL_cdrzd210302zd2_1808))
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_arg2963z00_1811;
																																								obj_t
																																									BgL_arg2964z00_1812;
																																								BgL_arg2963z00_1811
																																									=
																																									CAR
																																									(BgL_cdrzd210302zd2_1808);
																																								BgL_arg2964z00_1812
																																									=
																																									CDR
																																									(BgL_cdrzd210302zd2_1808);
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_arg3098z00_4759;
																																									obj_t
																																										BgL_arg3099z00_4760;
																																									BgL_arg3098z00_4759
																																										=
																																										BGl_uconvzf2loczf2zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_arg2963z00_1811,
																																										BGl_getzd2locationzd2zz__evaluatez00
																																										(BgL_arg2963z00_1811,
																																											BgL_locz00_29));
																																									BgL_arg3099z00_4760
																																										=
																																										BGl_convzd2beginzd2zz__evaluatez00
																																										(BgL_arg2964z00_1812,
																																										BgL_localsz00_25,
																																										BgL_globalsz00_26,
																																										BFALSE,
																																										BgL_wherez00_28,
																																										BgL_locz00_29,
																																										((bool_t) 0));
																																									{	/* Eval/evaluate.scm 212 */
																																										BgL_ev_unwindzd2protectzd2_bglt
																																											BgL_xz00_5411;
																																										BgL_xz00_5411
																																											=
																																											BGl_makezd2ev_unwindzd2protectz00zz__evaluate_typesz00
																																											(
																																											((BgL_ev_exprz00_bglt) BgL_arg3098z00_4759), ((BgL_ev_exprz00_bglt) BgL_arg3099z00_4760));
																																										return
																																											(
																																											(obj_t)
																																											BgL_xz00_5411);
																																									}
																																								}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_arg2965z00_1813;
																																								BgL_arg2965z00_1813
																																									=
																																									CAR
																																									(BgL_ez00_24);
																																								{	/* Eval/evaluate.scm 212 */
																																									obj_t
																																										BgL_funz00_4767;
																																									obj_t
																																										BgL_argsz00_4768;
																																									BgL_funz00_4767
																																										=
																																										BGl_uconvzf2loczf2zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_arg2965z00_1813,
																																										BGl_getzd2locationzd2zz__evaluatez00
																																										(BgL_arg2965z00_1813,
																																											BgL_locz00_29));
																																									BgL_argsz00_4768
																																										=
																																										BGl_loopz00zz__evaluatez00
																																										(BgL_wherez00_28,
																																										BgL_globalsz00_26,
																																										BgL_localsz00_25,
																																										BgL_locz00_29,
																																										BgL_cdrzd210302zd2_1808);
																																									{	/* Eval/evaluate.scm 212 */
																																										BgL_ev_appz00_bglt
																																											BgL_xz00_5413;
																																										BgL_xz00_5413
																																											=
																																											BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																											(BgL_locz00_29,
																																											((BgL_ev_exprz00_bglt) BgL_funz00_4767), BgL_argsz00_4768, BgL_tailzf3zf3_27);
																																										return
																																											(
																																											(obj_t)
																																											BgL_xz00_5413);
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 212 */
																																						if (
																																							(CAR
																																								(BgL_ez00_24)
																																								==
																																								BGl_symbol3644z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 212 */
																																								if (PAIRP(BgL_cdrzd210302zd2_1808))
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2969z00_1818;
																																										obj_t
																																											BgL_arg2970z00_1819;
																																										BgL_arg2969z00_1818
																																											=
																																											CAR
																																											(BgL_cdrzd210302zd2_1808);
																																										BgL_arg2970z00_1819
																																											=
																																											CDR
																																											(BgL_cdrzd210302zd2_1808);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_arg3100z00_4779;
																																											obj_t
																																												BgL_arg3101z00_4780;
																																											BgL_arg3100z00_4779
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2969z00_1818,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2969z00_1818,
																																													BgL_locz00_29));
																																											BgL_arg3101z00_4780
																																												=
																																												BGl_convzd2beginzd2zz__evaluatez00
																																												(BgL_arg2970z00_1819,
																																												BgL_localsz00_25,
																																												BgL_globalsz00_26,
																																												BFALSE,
																																												BgL_wherez00_28,
																																												BgL_locz00_29,
																																												((bool_t) 0));
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_withzd2handlerzd2_bglt
																																													BgL_xz00_5416;
																																												BgL_xz00_5416
																																													=
																																													BGl_makezd2ev_withzd2handlerz00zz__evaluate_typesz00
																																													(
																																													((BgL_ev_exprz00_bglt) BgL_arg3100z00_4779), ((BgL_ev_exprz00_bglt) BgL_arg3101z00_4780));
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5416);
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2972z00_1820;
																																										obj_t
																																											BgL_arg2973z00_1821;
																																										BgL_arg2972z00_1820
																																											=
																																											CAR
																																											(BgL_ez00_24);
																																										BgL_arg2973z00_1821
																																											=
																																											CDR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_funz00_4787;
																																											obj_t
																																												BgL_argsz00_4788;
																																											BgL_funz00_4787
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2972z00_1820,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2972z00_1820,
																																													BgL_locz00_29));
																																											BgL_argsz00_4788
																																												=
																																												BGl_loopz00zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_locz00_29,
																																												BgL_arg2973z00_1821);
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_appz00_bglt
																																													BgL_xz00_5418;
																																												BgL_xz00_5418
																																													=
																																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																													(BgL_locz00_29,
																																													((BgL_ev_exprz00_bglt) BgL_funz00_4787), BgL_argsz00_4788, BgL_tailzf3zf3_27);
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5418);
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 212 */
																																								obj_t
																																									BgL_cdrzd210366zd2_1822;
																																								BgL_cdrzd210366zd2_1822
																																									=
																																									CDR
																																									(BgL_ez00_24);
																																								if ((CAR(BgL_ez00_24) == BGl_symbol3638z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 212 */
																																										if (PAIRP(BgL_cdrzd210366zd2_1822))
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_cdrzd210370zd2_1825;
																																												BgL_cdrzd210370zd2_1825
																																													=
																																													CDR
																																													(BgL_cdrzd210366zd2_1822);
																																												if (PAIRP(BgL_cdrzd210370zd2_1825))
																																													{	/* Eval/evaluate.scm 212 */
																																														if (NULLP(CDR(BgL_cdrzd210370zd2_1825)))
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg2978z00_1828;
																																																obj_t
																																																	BgL_arg2979z00_1829;
																																																BgL_arg2978z00_1828
																																																	=
																																																	CAR
																																																	(BgL_cdrzd210366zd2_1822);
																																																BgL_arg2979z00_1829
																																																	=
																																																	CAR
																																																	(BgL_cdrzd210370zd2_1825);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_arg3102z00_4805;
																																																	{	/* Eval/evaluate.scm 212 */
																																																		obj_t
																																																			BgL_arg3103z00_4806;
																																																		{	/* Eval/evaluate.scm 212 */
																																																			obj_t
																																																				BgL_arg3104z00_4807;
																																																			obj_t
																																																				BgL_arg3106z00_4808;
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_res3561z00_4811;
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_symbolz00_4809;
																																																					BgL_symbolz00_4809
																																																						=
																																																						BGl_symbol3646z00zz__evaluatez00;
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_arg3313z00_4810;
																																																						BgL_arg3313z00_4810
																																																							=
																																																							SYMBOL_TO_STRING
																																																							(BgL_symbolz00_4809);
																																																						BgL_res3561z00_4811
																																																							=
																																																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																							(BgL_arg3313z00_4810);
																																																					}
																																																				}
																																																				BgL_arg3104z00_4807
																																																					=
																																																					BgL_res3561z00_4811;
																																																			}
																																																			{	/* Eval/evaluate.scm 212 */
																																																				obj_t
																																																					BgL_res3562z00_4814;
																																																				{	/* Eval/evaluate.scm 212 */
																																																					obj_t
																																																						BgL_symbolz00_4812;
																																																					BgL_symbolz00_4812
																																																						=
																																																						BgL_wherez00_28;
																																																					{	/* Eval/evaluate.scm 212 */
																																																						obj_t
																																																							BgL_arg3313z00_4813;
																																																						BgL_arg3313z00_4813
																																																							=
																																																							SYMBOL_TO_STRING
																																																							(BgL_symbolz00_4812);
																																																						BgL_res3562z00_4814
																																																							=
																																																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																							(BgL_arg3313z00_4813);
																																																					}
																																																				}
																																																				BgL_arg3106z00_4808
																																																					=
																																																					BgL_res3562z00_4814;
																																																			}
																																																			BgL_arg3103z00_4806
																																																				=
																																																				string_append
																																																				(BgL_arg3104z00_4807,
																																																				BgL_arg3106z00_4808);
																																																		}
																																																		BgL_arg3102z00_4805
																																																			=
																																																			string_to_symbol
																																																			(BSTRING_TO_STRING
																																																			(BgL_arg3103z00_4806));
																																																	}
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_absz00_bglt
																																																			BgL_xz00_5419;
																																																		BgL_xz00_5419
																																																			=
																																																			BGl_convzd2lambdazd2zz__evaluatez00
																																																			(BgL_globalsz00_26,
																																																			BgL_localsz00_25,
																																																			BgL_locz00_29,
																																																			BgL_ez00_24,
																																																			BgL_arg2978z00_1828,
																																																			BgL_arg2979z00_1829,
																																																			BgL_arg3102z00_4805);
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5419);
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 212 */
																																																obj_t
																																																	BgL_arg2980z00_1830;
																																																BgL_arg2980z00_1830
																																																	=
																																																	CAR
																																																	(BgL_ez00_24);
																																																{	/* Eval/evaluate.scm 212 */
																																																	obj_t
																																																		BgL_funz00_4821;
																																																	obj_t
																																																		BgL_argsz00_4822;
																																																	BgL_funz00_4821
																																																		=
																																																		BGl_uconvzf2loczf2zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_arg2980z00_1830,
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg2980z00_1830,
																																																			BgL_locz00_29));
																																																	BgL_argsz00_4822
																																																		=
																																																		BGl_loopz00zz__evaluatez00
																																																		(BgL_wherez00_28,
																																																		BgL_globalsz00_26,
																																																		BgL_localsz00_25,
																																																		BgL_locz00_29,
																																																		BgL_cdrzd210366zd2_1822);
																																																	{	/* Eval/evaluate.scm 212 */
																																																		BgL_ev_appz00_bglt
																																																			BgL_xz00_5421;
																																																		BgL_xz00_5421
																																																			=
																																																			BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																			(BgL_locz00_29,
																																																			((BgL_ev_exprz00_bglt) BgL_funz00_4821), BgL_argsz00_4822, BgL_tailzf3zf3_27);
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_xz00_5421);
																																																	}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 212 */
																																														obj_t
																																															BgL_arg2983z00_1833;
																																														BgL_arg2983z00_1833
																																															=
																																															CAR
																																															(BgL_ez00_24);
																																														{	/* Eval/evaluate.scm 212 */
																																															obj_t
																																																BgL_funz00_4829;
																																															obj_t
																																																BgL_argsz00_4830;
																																															BgL_funz00_4829
																																																=
																																																BGl_uconvzf2loczf2zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_arg2983z00_1833,
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2983z00_1833,
																																																	BgL_locz00_29));
																																															BgL_argsz00_4830
																																																=
																																																BGl_loopz00zz__evaluatez00
																																																(BgL_wherez00_28,
																																																BgL_globalsz00_26,
																																																BgL_localsz00_25,
																																																BgL_locz00_29,
																																																BgL_cdrzd210366zd2_1822);
																																															{	/* Eval/evaluate.scm 212 */
																																																BgL_ev_appz00_bglt
																																																	BgL_xz00_5423;
																																																BgL_xz00_5423
																																																	=
																																																	BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																																	(BgL_locz00_29,
																																																	((BgL_ev_exprz00_bglt) BgL_funz00_4829), BgL_argsz00_4830, BgL_tailzf3zf3_27);
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_xz00_5423);
																																															}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 212 */
																																												obj_t
																																													BgL_arg2985z00_1835;
																																												BgL_arg2985z00_1835
																																													=
																																													CAR
																																													(BgL_ez00_24);
																																												{	/* Eval/evaluate.scm 212 */
																																													obj_t
																																														BgL_funz00_4837;
																																													obj_t
																																														BgL_argsz00_4838;
																																													BgL_funz00_4837
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_arg2985z00_1835,
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2985z00_1835,
																																															BgL_locz00_29));
																																													BgL_argsz00_4838
																																														=
																																														BGl_loopz00zz__evaluatez00
																																														(BgL_wherez00_28,
																																														BgL_globalsz00_26,
																																														BgL_localsz00_25,
																																														BgL_locz00_29,
																																														BgL_cdrzd210366zd2_1822);
																																													{	/* Eval/evaluate.scm 212 */
																																														BgL_ev_appz00_bglt
																																															BgL_xz00_5425;
																																														BgL_xz00_5425
																																															=
																																															BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																															(BgL_locz00_29,
																																															((BgL_ev_exprz00_bglt) BgL_funz00_4837), BgL_argsz00_4838, BgL_tailzf3zf3_27);
																																														return
																																															(
																																															(obj_t)
																																															BgL_xz00_5425);
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 212 */
																																										obj_t
																																											BgL_arg2987z00_1837;
																																										BgL_arg2987z00_1837
																																											=
																																											CAR
																																											(BgL_ez00_24);
																																										{	/* Eval/evaluate.scm 212 */
																																											obj_t
																																												BgL_funz00_4845;
																																											obj_t
																																												BgL_argsz00_4846;
																																											BgL_funz00_4845
																																												=
																																												BGl_uconvzf2loczf2zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_arg2987z00_1837,
																																												BGl_getzd2locationzd2zz__evaluatez00
																																												(BgL_arg2987z00_1837,
																																													BgL_locz00_29));
																																											BgL_argsz00_4846
																																												=
																																												BGl_loopz00zz__evaluatez00
																																												(BgL_wherez00_28,
																																												BgL_globalsz00_26,
																																												BgL_localsz00_25,
																																												BgL_locz00_29,
																																												BgL_cdrzd210366zd2_1822);
																																											{	/* Eval/evaluate.scm 212 */
																																												BgL_ev_appz00_bglt
																																													BgL_xz00_5427;
																																												BgL_xz00_5427
																																													=
																																													BGl_makezd2ev_appzd2zz__evaluate_typesz00
																																													(BgL_locz00_29,
																																													((BgL_ev_exprz00_bglt) BgL_funz00_4845), BgL_argsz00_4846, BgL_tailzf3zf3_27);
																																												return
																																													(
																																													(obj_t)
																																													BgL_xz00_5427);
																																											}
																																										}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 212 */
						BgL_xz00_1195 = BgL_ez00_24;
						if (SYMBOLP(BgL_xz00_1195))
							{	/* Eval/evaluate.scm 215 */
								obj_t BgL__ortest_2343z00_1857;

								{	/* Eval/evaluate.scm 215 */
									obj_t BgL_vz00_2870;

									BgL_vz00_2870 = BgL_xz00_1195;
									{
										obj_t BgL_lz00_2873;

										BgL_lz00_2873 = BgL_localsz00_25;
									BgL_recz00_2872:
										if (NULLP(BgL_lz00_2873))
											{	/* Eval/evaluate.scm 215 */
												BgL__ortest_2343z00_1857 = BFALSE;
											}
										else
											{	/* Eval/evaluate.scm 215 */
												obj_t BgL_rvz00_2877;

												BgL_rvz00_2877 = CAR(BgL_lz00_2873);
												{	/* Eval/evaluate.scm 215 */
													bool_t BgL_testz00_7770;

													{	/* Eval/evaluate.scm 215 */
														obj_t BgL_auxz00_7771;

														{	/* Eval/evaluate.scm 215 */
															BgL_ev_varz00_bglt BgL_obj1830z00_2881;

															BgL_obj1830z00_2881 =
																((BgL_ev_varz00_bglt) BgL_rvz00_2877);
															BgL_auxz00_7771 =
																(((BgL_ev_varz00_bglt) CREF(
																		((obj_t) BgL_obj1830z00_2881)))->
																BgL_namez00);
														}
														BgL_testz00_7770 =
															(BgL_vz00_2870 == BgL_auxz00_7771);
													}
													if (BgL_testz00_7770)
														{	/* Eval/evaluate.scm 215 */
															BgL__ortest_2343z00_1857 = BgL_rvz00_2877;
														}
													else
														{
															obj_t BgL_lz00_7776;

															BgL_lz00_7776 = CDR(BgL_lz00_2873);
															BgL_lz00_2873 = BgL_lz00_7776;
															goto BgL_recz00_2872;
														}
												}
											}
									}
								}
								if (CBOOL(BgL__ortest_2343z00_1857))
									{	/* Eval/evaluate.scm 215 */
										return BgL__ortest_2343z00_1857;
									}
								else
									{	/* Eval/evaluate.scm 219 */
										obj_t BgL_arg3008z00_1858;

										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_26))
											{	/* Eval/evaluate.scm 219 */
												BgL_arg3008z00_1858 = BgL_globalsz00_26;
											}
										else
											{	/* Eval/evaluate.scm 219 */
												BgL_arg3008z00_1858 = BGL_MODULE();
											}
										{	/* Eval/evaluate.scm 216 */
											BgL_ev_globalz00_bglt BgL_xz00_5127;

											BgL_xz00_5127 =
												BGl_makezd2ev_globalzd2zz__evaluate_typesz00
												(BgL_locz00_29, BgL_xz00_1195, BgL_arg3008z00_1858);
											return ((obj_t) BgL_xz00_5127);
										}
									}
							}
						else
							{	/* Eval/evaluate.scm 220 */
								BgL_ev_littz00_bglt BgL_xz00_5128;

								BgL_xz00_5128 =
									BGl_makezd2ev_littzd2zz__evaluate_typesz00(BgL_xz00_1195);
								return ((obj_t) BgL_xz00_5128);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_5096,
		obj_t BgL_globalsz00_5095, obj_t BgL_localsz00_5094, obj_t BgL_locz00_5093,
		obj_t BgL_esz00_2030)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 180 */
			if (NULLP(BgL_esz00_2030))
				{	/* Eval/evaluate.scm 181 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 183 */
					obj_t BgL_ez00_2033;

					BgL_ez00_2033 = CAR(BgL_esz00_2030);
					{	/* Eval/evaluate.scm 184 */
						obj_t BgL_arg3116z00_2034;
						obj_t BgL_arg3117z00_2035;

						{	/* Eval/evaluate.scm 184 */
							obj_t BgL_arg3118z00_2036;

							{	/* Eval/evaluate.scm 184 */
								obj_t BgL__ortest_2336z00_2781;

								BgL__ortest_2336z00_2781 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2033);
								if (CBOOL(BgL__ortest_2336z00_2781))
									{	/* Eval/evaluate.scm 184 */
										BgL_arg3118z00_2036 = BgL__ortest_2336z00_2781;
									}
								else
									{	/* Eval/evaluate.scm 184 */
										obj_t BgL__ortest_2337z00_2782;

										BgL__ortest_2337z00_2782 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2030);
										if (CBOOL(BgL__ortest_2337z00_2782))
											{	/* Eval/evaluate.scm 184 */
												BgL_arg3118z00_2036 = BgL__ortest_2337z00_2782;
											}
										else
											{	/* Eval/evaluate.scm 184 */
												BgL_arg3118z00_2036 = BgL_locz00_5093;
											}
									}
							}
							BgL_arg3116z00_2034 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2033, BgL_localsz00_5094,
								BgL_globalsz00_5095, BFALSE, BgL_wherez00_5096,
								BgL_arg3118z00_2036, ((bool_t) 0));
						}
						BgL_arg3117z00_2035 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_5096, BgL_globalsz00_5095,
							BgL_localsz00_5094, BgL_locz00_5093, CDR(BgL_esz00_2030));
						return MAKE_PAIR(BgL_arg3116z00_2034, BgL_arg3117z00_2035);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_5098,
		obj_t BgL_globalsz00_5097, obj_t BgL_lz00_3115, obj_t BgL_varsz00_3116,
		obj_t BgL_localsz00_3117, obj_t BgL_locz00_3118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 275 */
			if (NULLP(BgL_lz00_3115))
				{	/* Eval/evaluate.scm 283 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 283 */
					obj_t BgL_locz00_3129;

					{	/* Eval/evaluate.scm 283 */
						obj_t BgL__ortest_2335z00_3141;

						BgL__ortest_2335z00_3141 =
							BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_3115);
						if (CBOOL(BgL__ortest_2335z00_3141))
							{	/* Eval/evaluate.scm 283 */
								BgL_locz00_3129 = BgL__ortest_2335z00_3141;
							}
						else
							{	/* Eval/evaluate.scm 283 */
								BgL_locz00_3129 = BgL_locz00_3118;
							}
					}
					{	/* Eval/evaluate.scm 283 */
						obj_t BgL_arg3055z00_3130;
						obj_t BgL_arg3057z00_3131;

						{	/* Eval/evaluate.scm 283 */
							obj_t BgL_arg3058z00_3132;

							{	/* Eval/evaluate.scm 283 */
								obj_t BgL_pairz00_3142;

								BgL_pairz00_3142 = BgL_lz00_3115;
								BgL_arg3058z00_3132 = CAR(CDR(CAR(BgL_pairz00_3142)));
							}
							BgL_arg3055z00_3130 =
								BGl_convz00zz__evaluatez00(BgL_arg3058z00_3132,
								BgL_localsz00_3117, BgL_globalsz00_5097, BFALSE,
								BgL_wherez00_5098, BgL_locz00_3129, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 283 */
							obj_t BgL_arg3059z00_3133;
							obj_t BgL_arg3060z00_3134;
							obj_t BgL_arg3061z00_3135;

							BgL_arg3059z00_3133 = CDR(BgL_lz00_3115);
							BgL_arg3060z00_3134 = CDR(BgL_varsz00_3116);
							BgL_arg3061z00_3135 =
								MAKE_PAIR(CAR(BgL_varsz00_3116), BgL_localsz00_3117);
							BgL_arg3057z00_3131 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_5098,
								BgL_globalsz00_5097, BgL_arg3059z00_3133, BgL_arg3060z00_3134,
								BgL_arg3061z00_3135, BgL_locz00_3129);
						}
						return MAKE_PAIR(BgL_arg3055z00_3130, BgL_arg3057z00_3131);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_5102, obj_t BgL_localsz00_5101, obj_t BgL_locz00_5100,
		obj_t BgL_ez00_5099, obj_t BgL_formalsz00_2039, obj_t BgL_bodyz00_2040,
		obj_t BgL_wherez00_2041)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 198 */
			{
				obj_t BgL_lz00_2065;

				{	/* Eval/evaluate.scm 200 */
					obj_t BgL_varsz00_2044;

					BgL_lz00_2065 =
						BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00
						(BgL_formalsz00_2039, BGl_errorzd2envzd2zz__errorz00);
					{
						obj_t BgL_rz00_2069;
						obj_t BgL_flatz00_2070;
						long BgL_arityz00_2071;

						BgL_rz00_2069 = BgL_lz00_2065;
						BgL_flatz00_2070 = BNIL;
						BgL_arityz00_2071 = ((long) 0);
					BgL_zc3anonymousza33130ze3z83_2072:
						if (NULLP(BgL_rz00_2069))
							{	/* Eval/evaluate.scm 193 */
								obj_t BgL_val0_2395z00_2074;

								BgL_val0_2395z00_2074 = bgl_reverse_bang(BgL_flatz00_2070);
								{	/* Eval/evaluate.scm 193 */
									int BgL_res3394z00_2787;

									{	/* Eval/evaluate.scm 193 */
										int BgL_auxz00_7818;

										BgL_auxz00_7818 = (int) (((long) 2));
										BgL_res3394z00_2787 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_7818);
									} BgL_res3394z00_2787;
								}
								{	/* Eval/evaluate.scm 193 */
									obj_t BgL_auxz00_7823;
									int BgL_auxz00_7821;

									BgL_auxz00_7823 = BINT(BgL_arityz00_2071);
									BgL_auxz00_7821 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_7821, BgL_auxz00_7823);
								}
								BgL_varsz00_2044 = BgL_val0_2395z00_2074;
							}
						else
							{	/* Eval/evaluate.scm 192 */
								if (PAIRP(BgL_rz00_2069))
									{	/* Eval/evaluate.scm 197 */
										obj_t BgL_arg3133z00_2077;
										obj_t BgL_arg3134z00_2078;
										long BgL_arg3135z00_2079;

										BgL_arg3133z00_2077 = CDR(BgL_rz00_2069);
										BgL_arg3134z00_2078 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evcompilez00(CAR
												(BgL_rz00_2069)), BgL_flatz00_2070);
										BgL_arg3135z00_2079 = (BgL_arityz00_2071 + ((long) 1));
										{
											long BgL_arityz00_7835;
											obj_t BgL_flatz00_7834;
											obj_t BgL_rz00_7833;

											BgL_rz00_7833 = BgL_arg3133z00_2077;
											BgL_flatz00_7834 = BgL_arg3134z00_2078;
											BgL_arityz00_7835 = BgL_arg3135z00_2079;
											BgL_arityz00_2071 = BgL_arityz00_7835;
											BgL_flatz00_2070 = BgL_flatz00_7834;
											BgL_rz00_2069 = BgL_rz00_7833;
											goto BgL_zc3anonymousza33130ze3z83_2072;
										}
									}
								else
									{	/* Eval/evaluate.scm 195 */
										obj_t BgL_val0_2397z00_2082;
										long BgL_val1_2398z00_2083;

										{	/* Eval/evaluate.scm 195 */
											obj_t BgL_arg3138z00_2084;

											BgL_arg3138z00_2084 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evcompilez00
												(BgL_rz00_2069), BgL_flatz00_2070);
											BgL_val0_2397z00_2082 =
												bgl_reverse_bang(BgL_arg3138z00_2084);
										}
										BgL_val1_2398z00_2083 = (((long) -1) - BgL_arityz00_2071);
										{	/* Eval/evaluate.scm 195 */
											int BgL_res3398z00_2801;

											{	/* Eval/evaluate.scm 195 */
												int BgL_auxz00_7840;

												BgL_auxz00_7840 = (int) (((long) 2));
												BgL_res3398z00_2801 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_7840);
											} BgL_res3398z00_2801;
										}
										{	/* Eval/evaluate.scm 195 */
											obj_t BgL_auxz00_7845;
											int BgL_auxz00_7843;

											BgL_auxz00_7845 = BINT(BgL_val1_2398z00_2083);
											BgL_auxz00_7843 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_7843, BgL_auxz00_7845);
										}
										BgL_varsz00_2044 = BgL_val0_2397z00_2082;
					}}}
					{	/* Eval/evaluate.scm 202 */
						obj_t BgL_arityz00_2045;

						{	/* Eval/evaluate.scm 202 */
							int BgL_auxz00_7849;

							BgL_auxz00_7849 = (int) (((long) 1));
							BgL_arityz00_2045 = BGL_MVALUES_VAL(BgL_auxz00_7849);
						}
						{	/* Eval/evaluate.scm 202 */
							obj_t BgL_varsz00_2046;
							obj_t BgL_bodyz00_2047;
							obj_t BgL_nlocz00_2048;

							if (NULLP(BgL_varsz00_2044))
								{	/* Eval/evaluate.scm 202 */
									BgL_varsz00_2046 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 202 */
									obj_t BgL_head2401z00_2053;

									{	/* Eval/evaluate.scm 202 */
										obj_t BgL_res3400z00_2809;

										BgL_res3400z00_2809 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2401z00_2053 = BgL_res3400z00_2809;
									}
									{
										obj_t BgL_l2399z00_2843;
										obj_t BgL_tail2402z00_2844;

										BgL_l2399z00_2843 = BgL_varsz00_2044;
										BgL_tail2402z00_2844 = BgL_head2401z00_2053;
									BgL_zc3anonymousza33124ze3z83_2842:
										if (NULLP(BgL_l2399z00_2843))
											{	/* Eval/evaluate.scm 202 */
												BgL_varsz00_2046 = CDR(BgL_head2401z00_2053);
											}
										else
											{	/* Eval/evaluate.scm 202 */
												obj_t BgL_newtail2403z00_2851;

												{	/* Eval/evaluate.scm 202 */
													BgL_ev_varz00_bglt BgL_arg3127z00_2852;

													BgL_arg3127z00_2852 =
														BGl_makezd2ev_varzd2zz__evaluate_typesz00(CAR
														(BgL_l2399z00_2843), BFALSE);
													{	/* Eval/evaluate.scm 202 */
														obj_t BgL_res3406z00_2861;

														{	/* Eval/evaluate.scm 202 */
															obj_t BgL_obj1z00_2859;

															BgL_obj1z00_2859 = ((obj_t) BgL_arg3127z00_2852);
															BgL_res3406z00_2861 =
																MAKE_PAIR(BgL_obj1z00_2859, BNIL);
														}
														BgL_newtail2403z00_2851 = BgL_res3406z00_2861;
													}
												}
												SET_CDR(BgL_tail2402z00_2844, BgL_newtail2403z00_2851);
												{
													obj_t BgL_tail2402z00_7865;
													obj_t BgL_l2399z00_7863;

													BgL_l2399z00_7863 = CDR(BgL_l2399z00_2843);
													BgL_tail2402z00_7865 = BgL_newtail2403z00_2851;
													BgL_tail2402z00_2844 = BgL_tail2402z00_7865;
													BgL_l2399z00_2843 = BgL_l2399z00_7863;
													goto BgL_zc3anonymousza33124ze3z83_2842;
												}
											}
									}
								}
							BgL_bodyz00_2047 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_5099, BgL_formalsz00_2039, BgL_bodyz00_2040,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 204 */
								obj_t BgL__ortest_2335z00_2867;

								BgL__ortest_2335z00_2867 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2040);
								if (CBOOL(BgL__ortest_2335z00_2867))
									{	/* Eval/evaluate.scm 204 */
										BgL_nlocz00_2048 = BgL__ortest_2335z00_2867;
									}
								else
									{	/* Eval/evaluate.scm 204 */
										BgL_nlocz00_2048 = BgL_locz00_5100;
									}
							}
							{	/* Eval/evaluate.scm 210 */
								obj_t BgL_arg3121z00_2049;

								BgL_arg3121z00_2049 =
									BGl_convz00zz__evaluatez00(BgL_bodyz00_2047,
									BGl_appendzd221095zd2zz__evaluatez00(BgL_varsz00_2046,
										BgL_localsz00_5101), BgL_globalsz00_5102, BTRUE,
									BgL_wherez00_2041, BgL_nlocz00_2048, ((bool_t) 0));
								return
									BGl_makezd2ev_abszd2zz__evaluate_typesz00(BgL_locz00_5100,
									BgL_wherez00_2041, BgL_arityz00_2045, BgL_varsz00_2046,
									((BgL_ev_exprz00_bglt) BgL_arg3121z00_2049),
									(int) (((long) 0)), BNIL, BNIL, BNIL, BNIL);
		}}}}}}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_5105,
		obj_t BgL_globalsz00_5104, obj_t BgL_localsz00_5103, obj_t BgL_ez00_2021,
		obj_t BgL_locz00_2022)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 174 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2021, BgL_localsz00_5103,
				BgL_globalsz00_5104, BFALSE, BgL_wherez00_5105, BgL_locz00_2022,
				((bool_t) 0));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 2457613),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 126621575),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string3648z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
