/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_zc3exitza33473ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34437ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run6773z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6775z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6777z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33790ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run6779z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34487ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35256ze3z83zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza34012ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run6781z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6783z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6785z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app2968zb0zz__evaluate_compz00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	static obj_t BGl_z62run6787z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34917ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run6789z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34617ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35184ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run6791z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6793z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6795z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6797z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6799z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34456ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34367ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33882ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34684ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33866ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34015ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33794ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza34474ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_and2948zb0zz__evaluate_compz00(obj_t,
		BgL_ev_andz00_bglt, obj_t);
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34121ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34032ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34637ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34386ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35277ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34743ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6772z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62main6774z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6776z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6778z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34939ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33886ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6780z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza34655ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6782z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6784z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs2970zb0zz__evaluate_compz00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static obj_t BGl_z62main6786z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6788z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33411ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34051ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33322ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34019ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letrec2956zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33798ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6790z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6792z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6794z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6796z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6798z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3anonymousza34141ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33412ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33323ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if2944zb0zz__evaluate_compz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33888ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34762ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_trap2930zb0zz__evaluate_compz00(obj_t,
		BgL_ev_trapz00_bglt, obj_t);
	static obj_t BGl_zc3exitza34673ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza34909ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34496ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34410ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza34038ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33342ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34144ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33610ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34250ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34234ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza35003ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33997ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6900z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6902z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6904z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_symbol6906z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal2940zb0zz__evaluate_compz00(obj_t,
		BgL_ev_defglobalz00_bglt, obj_t);
	static obj_t BGl_symbol6908z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_setglobal2938zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setglobalz00_bglt, obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote2960z62zz__evaluate_compz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_zc3exitza34694ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6910z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza34929ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6912z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6914z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol6916z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6918z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34784ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol6920z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6922z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6924z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6926z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6928z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34504ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33362ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34890ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol6930z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6932z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6934z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6936z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6938z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza35023ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33314ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol6940z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6942z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6944z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6946z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6948z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34271ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35073ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34166ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35113ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_appendzd221095zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol6950z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6952z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6954z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33810ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6956z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34523ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35130ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62zc3anonymousza34184ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34079ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza34703ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34541ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34403ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_symbol6986z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza35166ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34420ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33440ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35060ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33408ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33830ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35094ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33296ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33514ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34243ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35045ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34227ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl_z62compzd2ev_or2946zb0zz__evaluate_compz00(obj_t,
		BgL_ev_orz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35224ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34812ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var2932zb0zz__evaluate_compz00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33476ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34278ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35152ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza35136ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza35259ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33477ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34513ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34351ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33339ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run6801z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6803z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6805z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6807z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6809z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34563ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33834ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33818ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33607ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34247ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33267ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6811z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62run6813z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6815z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6817z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6819z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34831ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34726ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34426ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35066ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34000ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run6821z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6823z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6825z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6827z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6829z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34581ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34532ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34443ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33358ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run6831z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62run6833z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6835z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6837z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6839z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35246ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run6841z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6843z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6845z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6847z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33870ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run6849z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34745ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33854ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33838ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34389ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34550ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33554ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_labels2964zb0zz__evaluate_compz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt,
		long);
	static obj_t BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62run6851z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6853z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6855z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6857z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33782ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33660ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34713ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34462ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35086ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34519ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35159ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34852ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6800z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6802z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6804z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6806z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6808z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6810z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6812z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza34804ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34480ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6814z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6816z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6818z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34022ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34006ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33874ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62main6820z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33858ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6822z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6824z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza35194ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6826z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34538ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6828z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62comp2927z62zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza34960ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33891ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34766ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6830z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6832z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6834z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6836z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6838z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setlocal2934zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34040ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit2958z62zz__evaluate_compz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza34872ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6840z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza34823ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34661ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6842z62zz__evaluate_compz00(obj_t);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62main6844z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza34556ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6846z62zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62main6848z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza35005ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34025ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34009ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6850z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62main6852z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza34573ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6854z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza34719ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6856z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza34379ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34131ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34115ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33894ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62zc3anonymousza33878ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35287ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_z62zc3anonymousza34116ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler2962z62zz__evaluate_compz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza34842ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34680ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34915ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34591ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34737ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34397ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34028ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_z62zc3anonymousza34787ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33897ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza22954z12zz__evaluate_compz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza34756ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34829ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_litt2942zb0zz__evaluate_compz00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34241ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35027ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33988ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34951ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34935ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34579ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34064ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34226ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35117ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33246ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza34985ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34863ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34897ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static double BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34848ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34597ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34601ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33517ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35048ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_zc3exitza34972ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34778ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6862z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6864z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6866z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34336ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34069ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_zc3exitza34884ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34957ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_symbol6872z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34620ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33802ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34353ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35228ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35139ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35017ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34869ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol6880z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6882z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6884z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_symbol6887z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_prog22950zb0zz__evaluate_compz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza35107ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol6890z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6892z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6894z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34371ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6896z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6898z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34428ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34088ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza34798ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza34267ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35214ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33822ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33806ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34502ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34978ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34447ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33557ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34197ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza35039ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34465ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33558ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33290ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34238ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34997ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto2966zb0zz__evaluate_compz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static obj_t BGl_z62compzd2ev_let2952zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33842ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34700ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza34611ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34344ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34645ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza35196ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, long);
	static obj_t BGl_zc3exitza34361ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33771ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_global2936zb0zz__evaluate_compz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34663ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza34630ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol7001z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza35092ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33383ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol7003z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol7005z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol7007z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33846ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za77011z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6881z00zz__evaluate_compz00,
		BgL_bgl_string6881za700za7za7_7012za7, "mcell", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6958z00zz__evaluate_compz00,
		BgL_bgl_za762comp2927za762za7za77013z00,
		BGl_z62comp2927z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6883z00zz__evaluate_compz00,
		BgL_bgl_string6883za700za7za7_7014za7, "internal", 8);
	      DEFINE_STRING(BGl_string6885z00zz__evaluate_compz00,
		BgL_bgl_string6885za700za7za7_7015za7, "impossible", 10);
	      DEFINE_STRING(BGl_string6886z00zz__evaluate_compz00,
		BgL_bgl_string6886za700za7za7_7016za7, "procedure", 9);
	      DEFINE_STRING(BGl_string6888z00zz__evaluate_compz00,
		BgL_bgl_string6888za700za7za7_7017za7, "user", 4);
	      DEFINE_STRING(BGl_string6889z00zz__evaluate_compz00,
		BgL_bgl_string6889za700za7za7_7018za7, "invalid byte code", 17);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6962z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra7019z00,
		BGl_z62compzd2ev_trap2930zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6964z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var7020z00,
		BGl_z62compzd2ev_var2932zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6965z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set7021z00,
		BGl_z62compzd2ev_setlocal2934zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6966z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo7022z00,
		BGl_z62compzd2ev_global2936zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6891z00zz__evaluate_compz00,
		BgL_bgl_string6891za700za7za7_7023za7, "+", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6967z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set7024z00,
		BGl_z62compzd2ev_setglobal2938zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6968z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def7025z00,
		BGl_z62compzd2ev_defglobal2940zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6893z00zz__evaluate_compz00,
		BgL_bgl_string6893za700za7za7_7026za7, "number", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6969z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit7027z00,
		BGl_z62compzd2ev_litt2942zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6895z00zz__evaluate_compz00,
		BgL_bgl_string6895za700za7za7_7028za7, "-", 1);
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string6897z00zz__evaluate_compz00,
		BgL_bgl_string6897za700za7za7_7029za7, "*", 1);
	      DEFINE_STRING(BGl_string6899z00zz__evaluate_compz00,
		BgL_bgl_string6899za700za7za7_7030za7, "/", 1);
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6970z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if27031z00,
		BGl_z62compzd2ev_if2944zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6971z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or27032z00,
		BGl_z62compzd2ev_or2946zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6972z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and7033z00,
		BGl_z62compzd2ev_and2948zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6973z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro7034z00,
		BGl_z62compzd2ev_prog22950zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6974z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let7035z00,
		BGl_z62compzd2ev_let2952zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6975z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let7036z00,
		BGl_z62compzd2ev_letza22954z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6976z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let7037z00,
		BGl_z62compzd2ev_letrec2956zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6977z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin7038z00,
		BGl_z62compzd2ev_bindzd2exit2958z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6978z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw7039z00,
		BGl_z62compzd2ev_unwindzd2prote2960z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6979z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit7040z00,
		BGl_z62compzd2ev_withzd2handler2962z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6980z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab7041z00,
		BGl_z62compzd2ev_labels2964zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6981z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got7042z00,
		BGl_z62compzd2ev_goto2966zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6982z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app7043z00,
		BGl_z62compzd2ev_app2968zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6983z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs7044z00,
		BGl_z62compzd2ev_abs2970zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_7045z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6993z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77046za7,
		BGl_z62zc3anonymousza33997ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6994z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77047za7,
		BGl_z62zc3anonymousza34000ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6995z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77048za7,
		BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6996z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77049za7,
		BGl_z62zc3anonymousza34006ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6997z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77050za7,
		BGl_z62zc3anonymousza34009ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6998z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77051za7,
		BGl_z62zc3anonymousza34012ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6999z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77052za7,
		BGl_z62zc3anonymousza34015ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string7002z00zz__evaluate_compz00,
		BgL_bgl_string7002za700za7za7_7053za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string7004z00zz__evaluate_compz00,
		BgL_bgl_string7004za700za7za7_7054za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string7006z00zz__evaluate_compz00,
		BgL_bgl_string7006za700za7za7_7055za7, "get_profile", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza77056za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string7008z00zz__evaluate_compz00,
		BgL_bgl_string7008za700za7za7_7057za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string7009z00zz__evaluate_compz00,
		BgL_bgl_string7009za700za7za7_7058za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string7010z00zz__evaluate_compz00,
		BgL_bgl_string7010za700za7za7_7059za7, "__evaluate_comp", 15);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev7060z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string6901z00zz__evaluate_compz00,
		BgL_bgl_string6901za700za7za7_7061za7, "<", 1);
	      DEFINE_STRING(BGl_string6903z00zz__evaluate_compz00,
		BgL_bgl_string6903za700za7za7_7062za7, ">", 1);
	      DEFINE_STRING(BGl_string6905z00zz__evaluate_compz00,
		BgL_bgl_string6905za700za7za7_7063za7, "<=", 2);
	      DEFINE_STRING(BGl_string6907z00zz__evaluate_compz00,
		BgL_bgl_string6907za700za7za7_7064za7, ">=", 2);
	      DEFINE_STRING(BGl_string6909z00zz__evaluate_compz00,
		BgL_bgl_string6909za700za7za7_7065za7, "=", 1);
	      DEFINE_STRING(BGl_string6911z00zz__evaluate_compz00,
		BgL_bgl_string6911za700za7za7_7066za7, "+fx", 3);
	      DEFINE_STRING(BGl_string6913z00zz__evaluate_compz00,
		BgL_bgl_string6913za700za7za7_7067za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string6915z00zz__evaluate_compz00,
		BgL_bgl_string6915za700za7za7_7068za7, "-fx", 3);
	      DEFINE_STRING(BGl_string6917z00zz__evaluate_compz00,
		BgL_bgl_string6917za700za7za7_7069za7, "*fx", 3);
	      DEFINE_STRING(BGl_string6919z00zz__evaluate_compz00,
		BgL_bgl_string6919za700za7za7_7070za7, "/fx", 3);
	      DEFINE_STRING(BGl_string6921z00zz__evaluate_compz00,
		BgL_bgl_string6921za700za7za7_7071za7, "<fx", 3);
	      DEFINE_STRING(BGl_string6923z00zz__evaluate_compz00,
		BgL_bgl_string6923za700za7za7_7072za7, ">fx", 3);
	      DEFINE_STRING(BGl_string6925z00zz__evaluate_compz00,
		BgL_bgl_string6925za700za7za7_7073za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string6927z00zz__evaluate_compz00,
		BgL_bgl_string6927za700za7za7_7074za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string6929z00zz__evaluate_compz00,
		BgL_bgl_string6929za700za7za7_7075za7, "=fx", 3);
	      DEFINE_STRING(BGl_string6931z00zz__evaluate_compz00,
		BgL_bgl_string6931za700za7za7_7076za7, "+fl", 3);
	      DEFINE_STRING(BGl_string6933z00zz__evaluate_compz00,
		BgL_bgl_string6933za700za7za7_7077za7, "flonum", 6);
	      DEFINE_STRING(BGl_string6935z00zz__evaluate_compz00,
		BgL_bgl_string6935za700za7za7_7078za7, "-fl", 3);
	      DEFINE_STRING(BGl_string6937z00zz__evaluate_compz00,
		BgL_bgl_string6937za700za7za7_7079za7, "*fl", 3);
	      DEFINE_STRING(BGl_string6939z00zz__evaluate_compz00,
		BgL_bgl_string6939za700za7za7_7080za7, "/fl", 3);
	      DEFINE_STRING(BGl_string6941z00zz__evaluate_compz00,
		BgL_bgl_string6941za700za7za7_7081za7, "<fl", 3);
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string6943z00zz__evaluate_compz00,
		BgL_bgl_string6943za700za7za7_7082za7, ">fl", 3);
	      DEFINE_STRING(BGl_string6945z00zz__evaluate_compz00,
		BgL_bgl_string6945za700za7za7_7083za7, "<=fl", 4);
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string6947z00zz__evaluate_compz00,
		BgL_bgl_string6947za700za7za7_7084za7, ">=fl", 4);
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string6949z00zz__evaluate_compz00,
		BgL_bgl_string6949za700za7za7_7085za7, "=fl", 3);
	      DEFINE_STRING(BGl_string6951z00zz__evaluate_compz00,
		BgL_bgl_string6951za700za7za7_7086za7, "car", 3);
	      DEFINE_STRING(BGl_string6953z00zz__evaluate_compz00,
		BgL_bgl_string6953za700za7za7_7087za7, "pair", 4);
	      DEFINE_STRING(BGl_string6955z00zz__evaluate_compz00,
		BgL_bgl_string6955za700za7za7_7088za7, "cdr", 3);
	      DEFINE_STRING(BGl_string6957z00zz__evaluate_compz00,
		BgL_bgl_string6957za700za7za7_7089za7, "cadr", 4);
	      DEFINE_STRING(BGl_string6959z00zz__evaluate_compz00,
		BgL_bgl_string6959za700za7za7_7090za7, "comp2927", 8);
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string6960z00zz__evaluate_compz00,
		BgL_bgl_string6960za700za7za7_7091za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string6961z00zz__evaluate_compz00,
		BgL_bgl_string6961za700za7za7_7092za7, "&comp", 5);
	      DEFINE_STRING(BGl_string6963z00zz__evaluate_compz00,
		BgL_bgl_string6963za700za7za7_7093za7, "comp", 4);
	      DEFINE_STRING(BGl_string6984z00zz__evaluate_compz00,
		BgL_bgl_string6984za700za7za7_7094za7, "internal error", 14);
	      DEFINE_STRING(BGl_string6985z00zz__evaluate_compz00,
		BgL_bgl_string6985za700za7za7_7095za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string6987z00zz__evaluate_compz00,
		BgL_bgl_string6987za700za7za7_7096za7, "notyet", 6);
	      DEFINE_STRING(BGl_string6988z00zz__evaluate_compz00,
		BgL_bgl_string6988za700za7za7_7097za7, "set!", 4);
	      DEFINE_STRING(BGl_string6989z00zz__evaluate_compz00,
		BgL_bgl_string6989za700za7za7_7098za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string6990z00zz__evaluate_compz00,
		BgL_bgl_string6990za700za7za7_7099za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string6991z00zz__evaluate_compz00,
		BgL_bgl_string6991za700za7za7_7100za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string6992z00zz__evaluate_compz00,
		BgL_bgl_string6992za700za7za7_7101za7, "Uninitialized variable", 22);
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc7000z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza77102za7,
		BGl_z62zc3anonymousza34019ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string6863z00zz__evaluate_compz00,
		BgL_bgl_string6863za700za7za7_7103za7, "all", 3);
	      DEFINE_STRING(BGl_string6865z00zz__evaluate_compz00,
		BgL_bgl_string6865za700za7za7_7104za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string6867z00zz__evaluate_compz00,
		BgL_bgl_string6867za700za7za7_7105za7, "bounce", 6);
	      DEFINE_STRING(BGl_string6868z00zz__evaluate_compz00,
		BgL_bgl_string6868za700za7za7_7106za7, "non non non", 11);
	      DEFINE_STRING(BGl_string6869z00zz__evaluate_compz00,
		BgL_bgl_string6869za700za7za7_7107za7, " in ", 4);
	      DEFINE_STRING(BGl_string6870z00zz__evaluate_compz00,
		BgL_bgl_string6870za700za7za7_7108za7, "eval", 4);
	      DEFINE_STRING(BGl_string6871z00zz__evaluate_compz00,
		BgL_bgl_string6871za700za7za7_7109za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string6873z00zz__evaluate_compz00,
		BgL_bgl_string6873za700za7za7_7110za7, "at", 2);
	      DEFINE_STRING(BGl_string6874z00zz__evaluate_compz00,
		BgL_bgl_string6874za700za7za7_7111za7, "", 0);
	      DEFINE_STRING(BGl_string6875z00zz__evaluate_compz00,
		BgL_bgl_string6875za700za7za7_7112za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string6876z00zz__evaluate_compz00,
		BgL_bgl_string6876za700za7za7_7113za7, "&compile", 8);
	      DEFINE_STRING(BGl_string6877z00zz__evaluate_compz00,
		BgL_bgl_string6877za700za7za7_7114za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string6878z00zz__evaluate_compz00,
		BgL_bgl_string6878za700za7za7_7115za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string6879z00zz__evaluate_compz00,
		BgL_bgl_string6879za700za7za7_7116za7, "wrong number of argument", 24);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_17893, char *BgL_fromz00_17894)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol6862z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6863z00zz__evaluate_compz00);
			BGl_symbol6864z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6865z00zz__evaluate_compz00);
			BGl_symbol6866z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6867z00zz__evaluate_compz00);
			BGl_symbol6872z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6873z00zz__evaluate_compz00);
			BGl_symbol6880z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6881z00zz__evaluate_compz00);
			BGl_symbol6882z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6883z00zz__evaluate_compz00);
			BGl_symbol6884z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6885z00zz__evaluate_compz00);
			BGl_symbol6887z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6888z00zz__evaluate_compz00);
			BGl_symbol6890z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6891z00zz__evaluate_compz00);
			BGl_symbol6892z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6893z00zz__evaluate_compz00);
			BGl_symbol6894z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6895z00zz__evaluate_compz00);
			BGl_symbol6896z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6897z00zz__evaluate_compz00);
			BGl_symbol6898z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6899z00zz__evaluate_compz00);
			BGl_symbol6900z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6901z00zz__evaluate_compz00);
			BGl_symbol6902z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6903z00zz__evaluate_compz00);
			BGl_symbol6904z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6905z00zz__evaluate_compz00);
			BGl_symbol6906z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6907z00zz__evaluate_compz00);
			BGl_symbol6908z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6909z00zz__evaluate_compz00);
			BGl_symbol6910z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6911z00zz__evaluate_compz00);
			BGl_symbol6912z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6913z00zz__evaluate_compz00);
			BGl_symbol6914z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6915z00zz__evaluate_compz00);
			BGl_symbol6916z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6917z00zz__evaluate_compz00);
			BGl_symbol6918z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6919z00zz__evaluate_compz00);
			BGl_symbol6920z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6921z00zz__evaluate_compz00);
			BGl_symbol6922z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6923z00zz__evaluate_compz00);
			BGl_symbol6924z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6925z00zz__evaluate_compz00);
			BGl_symbol6926z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6927z00zz__evaluate_compz00);
			BGl_symbol6928z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6929z00zz__evaluate_compz00);
			BGl_symbol6930z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6931z00zz__evaluate_compz00);
			BGl_symbol6932z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6933z00zz__evaluate_compz00);
			BGl_symbol6934z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6935z00zz__evaluate_compz00);
			BGl_symbol6936z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6937z00zz__evaluate_compz00);
			BGl_symbol6938z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6939z00zz__evaluate_compz00);
			BGl_symbol6940z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6941z00zz__evaluate_compz00);
			BGl_symbol6942z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6943z00zz__evaluate_compz00);
			BGl_symbol6944z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6945z00zz__evaluate_compz00);
			BGl_symbol6946z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6947z00zz__evaluate_compz00);
			BGl_symbol6948z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6949z00zz__evaluate_compz00);
			BGl_symbol6950z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6951z00zz__evaluate_compz00);
			BGl_symbol6952z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6953z00zz__evaluate_compz00);
			BGl_symbol6954z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6955z00zz__evaluate_compz00);
			BGl_symbol6956z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6957z00zz__evaluate_compz00);
			BGl_symbol6986z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6987z00zz__evaluate_compz00);
			BGl_symbol7001z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string7002z00zz__evaluate_compz00);
			BGl_symbol7003z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string7004z00zz__evaluate_compz00);
			BGl_symbol7005z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string7006z00zz__evaluate_compz00);
			return (BGl_symbol7007z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string7008z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 102 */
				BGL_LONGLONG_T BgL_arg3005z00_1368;

				{	/* Eval/evaluate_comp.scm 102 */
					BGL_LONGLONG_T BgL_res5627z00_6487;

					BgL_res5627z00_6487 = LONG_TO_LLONG(((long) 0));
					BgL_arg3005z00_1368 = BgL_res5627z00_6487;
				}
				{	/* Eval/evaluate_comp.scm 102 */
					obj_t BgL_list3006z00_1369;

					{	/* Eval/evaluate_comp.scm 102 */
						obj_t BgL_arg3007z00_1370;

						BgL_arg3007z00_1370 =
							MAKE_PAIR(make_bllong(BgL_arg3005z00_1368), BNIL);
						BgL_list3006z00_1369 =
							MAKE_PAIR(BGl_symbol6862z00zz__evaluate_compz00,
							BgL_arg3007z00_1370);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list3006z00_1369;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 =
				(long) CINT(BGl_2za2za2zz__r4_numbers_6_5z00(BINT(((long) 8)),
					BINT(((long) 1024))));
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol6864z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol6866z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1371;

				BgL_headz00_1371 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6519;
					obj_t BgL_tailz00_6520;

					BgL_prevz00_6519 = BgL_headz00_1371;
					BgL_tailz00_6520 = BgL_l1z00_1;
				BgL_loopz00_6518:
					if (PAIRP(BgL_tailz00_6520))
						{
							obj_t BgL_newzd2prevzd2_6526;

							BgL_newzd2prevzd2_6526 =
								MAKE_PAIR(CAR(BgL_tailz00_6520), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6519, BgL_newzd2prevzd2_6526);
							{
								obj_t BgL_tailz00_17969;
								obj_t BgL_prevz00_17968;

								BgL_prevz00_17968 = BgL_newzd2prevzd2_6526;
								BgL_tailz00_17969 = CDR(BgL_tailz00_6520);
								BgL_tailz00_6520 = BgL_tailz00_17969;
								BgL_prevz00_6519 = BgL_prevz00_17968;
								goto BgL_loopz00_6518;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1371);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 120 */
			{	/* Eval/evaluate_comp.scm 121 */
				BGL_LONGLONG_T BgL_arg3026z00_1399;

				{	/* Eval/evaluate_comp.scm 121 */
					BGL_LONGLONG_T BgL_res5636z00_6537;

					BgL_res5636z00_6537 = LONG_TO_LLONG(((long) 0));
					BgL_arg3026z00_1399 = BgL_res5636z00_6537;
				}
				{	/* Eval/evaluate_comp.scm 121 */
					obj_t BgL_list3027z00_1400;

					{	/* Eval/evaluate_comp.scm 121 */
						obj_t BgL_arg3028z00_1401;

						BgL_arg3028z00_1401 =
							MAKE_PAIR(make_bllong(BgL_arg3026z00_1399), BNIL);
						BgL_list3027z00_1400 =
							MAKE_PAIR(BGl_symbol6862z00zz__evaluate_compz00,
							BgL_arg3028z00_1401);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list3027z00_1400, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 123 */
			{	/* Eval/evaluate_comp.scm 130 */
				obj_t BgL_v1z00_1403;
				obj_t BgL_v2z00_1404;

				BgL_v1z00_1403 = CAR(BgL_t1z00_4);
				BgL_v2z00_1404 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 131 */
					bool_t BgL_testz00_17978;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_1403))
						{	/* Eval/evaluate_comp.scm 131 */
							BgL_testz00_17978 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_1404);
						}
					else
						{	/* Eval/evaluate_comp.scm 131 */
							BgL_testz00_17978 = ((bool_t) 0);
						}
					if (BgL_testz00_17978)
						{	/* Eval/evaluate_comp.scm 131 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_1403,
								BgL_v2z00_1404);
						}
					else
						{	/* Eval/evaluate_comp.scm 131 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_1403),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_1404));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_1409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 129 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1409))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1409), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 126 */
					if (SYMBOLP(BgL_vz00_1409))
						{	/* Eval/evaluate_comp.scm 127 */
							obj_t BgL_res5639z00_6544;

							{	/* Eval/evaluate_comp.scm 127 */
								obj_t BgL_symbolz00_6542;

								BgL_symbolz00_6542 = BgL_vz00_1409;
								{	/* Eval/evaluate_comp.scm 127 */
									obj_t BgL_arg5438z00_6543;

									BgL_arg5438z00_6543 = SYMBOL_TO_STRING(BgL_symbolz00_6542);
									BgL_res5639z00_6544 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg5438z00_6543);
								}
							}
							return BgL_res5639z00_6544;
						}
					else
						{	/* Eval/evaluate_comp.scm 127 */
							if (STRINGP(BgL_vz00_1409))
								{	/* Eval/evaluate_comp.scm 128 */
									return BgL_vz00_1409;
								}
							else
								{	/* Eval/evaluate_comp.scm 128 */
									return BGl_string6868z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_15203,
		obj_t BgL_t1z00_15204, obj_t BgL_t2z00_15205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 123 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_15204,
					BgL_t2z00_15205));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_1418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 136 */
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_arg3039z00_1420;
				obj_t BgL_arg3040z00_1421;

				BgL_arg3039z00_1420 = CDR(BgL_tz00_1418);
				{	/* Eval/evaluate_comp.scm 137 */
					obj_t BgL_arg3041z00_1422;

					{	/* Eval/evaluate_comp.scm 137 */
						obj_t BgL_pairz00_6553;

						BgL_pairz00_6553 = BgL_tz00_1418;
						BgL_arg3041z00_1422 = CDR(CDR(BgL_pairz00_6553));
					}
					BgL_arg3040z00_1421 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg3041z00_1422);
				}
				SET_CDR(BgL_arg3039z00_1420, BgL_arg3040z00_1421);
			}
			{	/* Eval/evaluate_comp.scm 138 */
				obj_t BgL_g2831z00_1423;

				{	/* Eval/evaluate_comp.scm 138 */
					obj_t BgL_pairz00_6559;

					BgL_pairz00_6559 = BgL_tz00_1418;
					BgL_g2831z00_1423 = CDR(CDR(BgL_pairz00_6559));
				}
				{
					obj_t BgL_l2829z00_6579;

					BgL_l2829z00_6579 = BgL_g2831z00_1423;
				BgL_zc3anonymousza33042ze3z83_6578:
					if (PAIRP(BgL_l2829z00_6579))
						{	/* Eval/evaluate_comp.scm 138 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l2829z00_6579));
							{
								obj_t BgL_l2829z00_18010;

								BgL_l2829z00_18010 = CDR(BgL_l2829z00_6579);
								BgL_l2829z00_6579 = BgL_l2829z00_18010;
								goto BgL_zc3anonymousza33042ze3z83_6578;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 138 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 144 */
			{
				obj_t BgL_lz00_6617;
				long BgL_nz00_6618;

				BgL_lz00_6617 = BgL_lz00_7;
				BgL_nz00_6618 = ((long) 0);
			BgL_walkz00_6616:
				if (NULLP(BgL_lz00_6617))
					{	/* Eval/evaluate_comp.scm 149 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 149 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_6617)))
							{	/* Eval/evaluate_comp.scm 149 */
								return BINT(BgL_nz00_6618);
							}
						else
							{
								long BgL_nz00_18020;
								obj_t BgL_lz00_18018;

								BgL_lz00_18018 = CDR(BgL_lz00_6617);
								BgL_nz00_18020 = (BgL_nz00_6618 + ((long) 1));
								BgL_nz00_6618 = BgL_nz00_18020;
								BgL_lz00_6617 = BgL_lz00_18018;
								goto BgL_walkz00_6616;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 151 */
			{	/* Eval/evaluate_comp.scm 152 */
				obj_t BgL__ortest_2342z00_1442;

				BgL__ortest_2342z00_1442 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_2342z00_1442))
					{	/* Eval/evaluate_comp.scm 152 */
						return BgL__ortest_2342z00_1442;
					}
				else
					{	/* Eval/evaluate_comp.scm 152 */
						obj_t BgL_arg3051z00_1443;

						{	/* Eval/evaluate_comp.scm 152 */
							obj_t BgL_arg3052z00_1444;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 152 */
									BgL_arg3052z00_1444 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 152 */
									obj_t BgL_head2834z00_1450;

									{	/* Eval/evaluate_comp.scm 152 */
										obj_t BgL_arg3064z00_1462;

										{	/* Eval/evaluate_comp.scm 152 */
											obj_t BgL_vz00_6639;

											BgL_vz00_6639 = CAR(BgL_lz00_9);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_6639,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 152 */
													BgL_ev_varz00_bglt BgL_obj1830z00_6643;

													BgL_obj1830z00_6643 =
														((BgL_ev_varz00_bglt) BgL_vz00_6639);
													BgL_arg3064z00_1462 =
														(((BgL_ev_varz00_bglt) CREF(
																((obj_t) BgL_obj1830z00_6643)))->BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 152 */
													BgL_arg3064z00_1462 = BgL_vz00_6639;
												}
										}
										{	/* Eval/evaluate_comp.scm 152 */
											obj_t BgL_res5653z00_6646;

											BgL_res5653z00_6646 =
												MAKE_PAIR(BgL_arg3064z00_1462, BNIL);
											BgL_head2834z00_1450 = BgL_res5653z00_6646;
										}
									}
									{	/* Eval/evaluate_comp.scm 152 */
										obj_t BgL_g2837z00_1451;

										BgL_g2837z00_1451 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l2832z00_6689;
											obj_t BgL_tail2835z00_6690;

											BgL_l2832z00_6689 = BgL_g2837z00_1451;
											BgL_tail2835z00_6690 = BgL_head2834z00_1450;
										BgL_zc3anonymousza33059ze3z83_6688:
											if (NULLP(BgL_l2832z00_6689))
												{	/* Eval/evaluate_comp.scm 152 */
													BgL_arg3052z00_1444 = BgL_head2834z00_1450;
												}
											else
												{	/* Eval/evaluate_comp.scm 152 */
													obj_t BgL_newtail2836z00_6697;

													{	/* Eval/evaluate_comp.scm 152 */
														obj_t BgL_arg3062z00_6698;

														{	/* Eval/evaluate_comp.scm 152 */
															obj_t BgL_vz00_6704;

															BgL_vz00_6704 = CAR(BgL_l2832z00_6689);
															if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_6704,
																	BGl_ev_varz00zz__evaluate_typesz00))
																{	/* Eval/evaluate_comp.scm 152 */
																	BgL_ev_varz00_bglt BgL_obj1830z00_6708;

																	BgL_obj1830z00_6708 =
																		((BgL_ev_varz00_bglt) BgL_vz00_6704);
																	BgL_arg3062z00_6698 =
																		(((BgL_ev_varz00_bglt) CREF(
																				((obj_t) BgL_obj1830z00_6708)))->
																		BgL_namez00);
																}
															else
																{	/* Eval/evaluate_comp.scm 152 */
																	BgL_arg3062z00_6698 = BgL_vz00_6704;
																}
														}
														{	/* Eval/evaluate_comp.scm 152 */
															obj_t BgL_res5662z00_6711;

															BgL_res5662z00_6711 =
																MAKE_PAIR(BgL_arg3062z00_6698, BNIL);
															BgL_newtail2836z00_6697 = BgL_res5662z00_6711;
														}
													}
													SET_CDR(BgL_tail2835z00_6690,
														BgL_newtail2836z00_6697);
													{
														obj_t BgL_tail2835z00_18047;
														obj_t BgL_l2832z00_18045;

														BgL_l2832z00_18045 = CDR(BgL_l2832z00_6689);
														BgL_tail2835z00_18047 = BgL_newtail2836z00_6697;
														BgL_tail2835z00_6690 = BgL_tail2835z00_18047;
														BgL_l2832z00_6689 = BgL_l2832z00_18045;
														goto BgL_zc3anonymousza33059ze3z83_6688;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 152 */
								obj_t BgL_list3053z00_1445;

								{	/* Eval/evaluate_comp.scm 152 */
									obj_t BgL_arg3055z00_1446;

									{	/* Eval/evaluate_comp.scm 152 */
										obj_t BgL_arg3057z00_1447;

										BgL_arg3057z00_1447 = MAKE_PAIR(BgL_arg3052z00_1444, BNIL);
										BgL_arg3055z00_1446 =
											MAKE_PAIR(BGl_string6869z00zz__evaluate_compz00,
											BgL_arg3057z00_1447);
									}
									BgL_list3053z00_1445 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg3055z00_1446);
								}
								BgL_arg3051z00_1443 = BgL_list3053z00_1445;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string6870z00zz__evaluate_compz00,
							BGl_string6871z00zz__evaluate_compz00, BgL_arg3051z00_1443);
					}
			}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 181 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 182 */
					obj_t BgL_cdrzd21465zd2_1488;

					BgL_cdrzd21465zd2_1488 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol6872z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 182 */
							if (PAIRP(BgL_cdrzd21465zd2_1488))
								{	/* Eval/evaluate_comp.scm 182 */
									obj_t BgL_cdrzd21469zd2_1491;

									BgL_cdrzd21469zd2_1491 = CDR(BgL_cdrzd21465zd2_1488);
									if (PAIRP(BgL_cdrzd21469zd2_1491))
										{	/* Eval/evaluate_comp.scm 182 */
											if (NULLP(CDR(BgL_cdrzd21469zd2_1491)))
												{	/* Eval/evaluate_comp.scm 182 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd21465zd2_1488),
														CAR(BgL_cdrzd21469zd2_1491));
												}
											else
												{	/* Eval/evaluate_comp.scm 182 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 182 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 182 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 182 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 182 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 194 */
			{	/* Eval/evaluate_comp.scm 195 */
				obj_t BgL_stkz00_1505;

				BgL_stkz00_1505 =
					make_vector(
					(int) (BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00),
					BGl_string6874z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1505, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1505;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 199 */
			{	/* Eval/evaluate_comp.scm 200 */
				obj_t BgL_sz00_1506;

				{	/* Eval/evaluate_comp.scm 200 */
					obj_t BgL_auxz00_18079;

					BgL_auxz00_18079 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1506 = BGL_ENV_EVSTATE(BgL_auxz00_18079);
				}
				if (VECTORP(BgL_sz00_1506))
					{	/* Eval/evaluate_comp.scm 201 */
						return BgL_sz00_1506;
					}
				else
					{	/* Eval/evaluate_comp.scm 202 */
						obj_t BgL_statez00_1508;

						BgL_statez00_1508 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 203 */
							obj_t BgL_auxz00_18085;

							BgL_auxz00_18085 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_18085, BgL_statez00_1508);
						}
						return BgL_statez00_1508;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_15206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 199 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 262 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_15207,
		obj_t BgL_ez00_15208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 262 */
			{	/* Eval/evaluate_comp.scm 263 */
				BgL_ev_exprz00_bglt BgL_auxz00_18090;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_15208,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 263 */
						BgL_auxz00_18090 = ((BgL_ev_exprz00_bglt) BgL_ez00_15208);
					}
				else
					{
						obj_t BgL_auxz00_18094;

						BgL_auxz00_18094 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string6875z00zz__evaluate_compz00, BINT(((long) 6591)),
							BGl_string6876z00zz__evaluate_compz00,
							BGl_string6877z00zz__evaluate_compz00, BgL_ez00_15208);
						FAILURE(BgL_auxz00_18094, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_18090);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 322 */
				bool_t BgL_testz00_18099;

				{	/* Eval/evaluate_comp.scm 322 */
					bool_t BgL_res5672z00_6756;

					{	/* Eval/evaluate_comp.scm 322 */
						obj_t BgL_obj1865z00_6755;

						BgL_obj1865z00_6755 = ((obj_t) BgL_ez00_43);
						BgL_res5672z00_6756 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1865z00_6755,
							BGl_ev_globalz00zz__evaluate_typesz00);
					}
					BgL_testz00_18099 = BgL_res5672z00_6756;
				}
				if (BgL_testz00_18099)
					{	/* Eval/evaluate_comp.scm 324 */
						obj_t BgL_gz00_1559;

						{	/* Eval/evaluate_comp.scm 324 */
							obj_t BgL_arg3135z00_1560;
							obj_t BgL_arg3136z00_1561;

							{	/* Eval/evaluate_comp.scm 324 */
								BgL_ev_globalz00_bglt BgL_obj1850z00_6757;

								BgL_obj1850z00_6757 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
								BgL_arg3135z00_1560 =
									(((BgL_ev_globalz00_bglt) CREF(
											((obj_t) BgL_obj1850z00_6757)))->BgL_modz00);
							}
							{	/* Eval/evaluate_comp.scm 324 */
								BgL_ev_globalz00_bglt BgL_obj1847z00_6758;

								BgL_obj1847z00_6758 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
								BgL_arg3136z00_1561 =
									(((BgL_ev_globalz00_bglt) CREF(
											((obj_t) BgL_obj1847z00_6758)))->BgL_namez00);
							}
							BgL_gz00_1559 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3135z00_1560, BgL_arg3136z00_1561);
						}
						if (CBOOL(BgL_gz00_1559))
							{	/* Eval/evaluate_comp.scm 325 */
								return VECTOR_REF(BgL_gz00_1559, (int) (((long) 2)));
							}
						else
							{	/* Eval/evaluate_comp.scm 325 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 322 */
						return BFALSE;
					}
			}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_80, obj_t BgL_argsz00_81, obj_t BgL_boxesz00_82, long BgL_spz00_83,
		obj_t BgL_locz00_84)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 587 */
			{
				obj_t BgL_lz00_1578;
				obj_t BgL_bsz00_1579;
				long BgL_spz00_1580;

				BgL_lz00_1578 = BgL_argsz00_81;
				BgL_bsz00_1579 = BgL_boxesz00_82;
				BgL_spz00_1580 = BgL_spz00_83;
			BgL_zc3anonymousza33147ze3z83_1581:
				if (NULLP(BgL_lz00_1578))
					{	/* Eval/evaluate_comp.scm 589 */
						if (NULLP(BgL_bsz00_1579))
							{	/* Eval/evaluate_comp.scm 590 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 593 */
								obj_t BgL_arg3150z00_1584;

								{	/* Eval/evaluate_comp.scm 593 */
									long BgL_arg3151z00_1585;
									long BgL_arg3152z00_1586;

									BgL_arg3151z00_1585 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg3152z00_1586 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 592 */
										obj_t BgL_list3153z00_1587;

										{	/* Eval/evaluate_comp.scm 592 */
											obj_t BgL_arg3154z00_1588;

											BgL_arg3154z00_1588 =
												MAKE_PAIR(BINT(BgL_arg3152z00_1586), BNIL);
											BgL_list3153z00_1587 =
												MAKE_PAIR(BINT(BgL_arg3151z00_1585),
												BgL_arg3154z00_1588);
										}
										BgL_arg3150z00_1584 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string6878z00zz__evaluate_compz00,
											BgL_list3153z00_1587);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string6870z00zz__evaluate_compz00,
									BGl_string6879z00zz__evaluate_compz00, BgL_arg3150z00_1584);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 589 */
						if (NULLP(BgL_bsz00_1579))
							{	/* Eval/evaluate_comp.scm 597 */
								obj_t BgL_arg3156z00_1590;

								{	/* Eval/evaluate_comp.scm 597 */
									long BgL_arg3157z00_1591;
									long BgL_arg3158z00_1592;

									BgL_arg3157z00_1591 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg3158z00_1592 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 596 */
										obj_t BgL_list3159z00_1593;

										{	/* Eval/evaluate_comp.scm 596 */
											obj_t BgL_arg3160z00_1594;

											BgL_arg3160z00_1594 =
												MAKE_PAIR(BINT(BgL_arg3158z00_1592), BNIL);
											BgL_list3159z00_1593 =
												MAKE_PAIR(BINT(BgL_arg3157z00_1591),
												BgL_arg3160z00_1594);
										}
										BgL_arg3156z00_1590 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string6878z00zz__evaluate_compz00,
											BgL_list3159z00_1593);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string6870z00zz__evaluate_compz00,
									BGl_string6879z00zz__evaluate_compz00, BgL_arg3156z00_1590);
							}
						else
							{	/* Eval/evaluate_comp.scm 594 */
								{	/* Eval/evaluate_comp.scm 600 */
									obj_t BgL_arg3161z00_1595;

									{	/* Eval/evaluate_comp.scm 600 */
										obj_t BgL_vz00_1596;

										{	/* Eval/evaluate_comp.scm 600 */
											obj_t BgL_fun3163z00_1598;

											BgL_fun3163z00_1598 = CAR(BgL_lz00_1578);
											BgL_vz00_1596 =
												PROCEDURE_ENTRY(BgL_fun3163z00_1598)
												(BgL_fun3163z00_1598, BgL_sz00_80, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 601 */
											bool_t BgL_testz00_18140;

											{	/* Eval/evaluate_comp.scm 601 */
												obj_t BgL_pairz00_6792;

												BgL_pairz00_6792 = BgL_bsz00_1579;
												BgL_testz00_18140 = CBOOL(CAR(BgL_pairz00_6792));
											}
											if (BgL_testz00_18140)
												{	/* Eval/evaluate_comp.scm 602 */
													obj_t BgL_newz00_6794;

													BgL_newz00_6794 =
														create_struct(BGl_symbol6880z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 602 */
														int BgL_auxz00_18145;

														BgL_auxz00_18145 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_6794, BgL_auxz00_18145,
															BgL_vz00_1596);
													}
													BgL_arg3161z00_1595 = BgL_newz00_6794;
												}
											else
												{	/* Eval/evaluate_comp.scm 601 */
													BgL_arg3161z00_1595 = BgL_vz00_1596;
												}
										}
									}
									VECTOR_SET(BgL_sz00_80,
										(int) (BgL_spz00_1580), BgL_arg3161z00_1595);
								}
								{
									long BgL_spz00_18154;
									obj_t BgL_bsz00_18152;
									obj_t BgL_lz00_18150;

									BgL_lz00_18150 = CDR(BgL_lz00_1578);
									BgL_bsz00_18152 = CDR(BgL_bsz00_1579);
									BgL_spz00_18154 = (BgL_spz00_1580 + ((long) 1));
									BgL_spz00_1580 = BgL_spz00_18154;
									BgL_bsz00_1579 = BgL_bsz00_18152;
									BgL_lz00_1578 = BgL_lz00_18150;
									goto BgL_zc3anonymousza33147ze3z83_1581;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_86,
		obj_t BgL_l2z00_87)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 609 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_86))
				{	/* Eval/evaluate_comp.scm 610 */
					return BgL_l2z00_87;
				}
			else
				{	/* Eval/evaluate_comp.scm 610 */
					if ((CAR(BgL_l1z00_86) == CAR(BgL_l2z00_87)))
						{
							obj_t BgL_l2z00_18164;
							obj_t BgL_l1z00_18162;

							BgL_l1z00_18162 = CDR(BgL_l1z00_86);
							BgL_l2z00_18164 = CDR(BgL_l2z00_87);
							BgL_l2z00_87 = BgL_l2z00_18164;
							BgL_l1z00_86 = BgL_l1z00_18162;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 611 */
							return
								BGl_errorz00zz__errorz00(BGl_string6870z00zz__evaluate_compz00,
								BGl_symbol6882z00zz__evaluate_compz00,
								BGl_symbol6884z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_91,
		obj_t BgL_sz00_92, obj_t BgL_bpz00_93)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 633 */
			{	/* Eval/evaluate_comp.scm 634 */
				obj_t BgL_savedzd2bpzd2_1616;

				BgL_savedzd2bpzd2_1616 = VECTOR_REF(BgL_sz00_92, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_92, (int) (((long) 0)), BgL_bpz00_93);
				{
					obj_t BgL_fz00_1618;

					BgL_fz00_1618 = BgL_fz00_91;
				BgL_zc3anonymousza33179ze3z83_1619:
					{	/* Eval/evaluate_comp.scm 637 */
						obj_t BgL_rz00_1620;

						BgL_rz00_1620 =
							PROCEDURE_ENTRY(BgL_fz00_1618) (BgL_fz00_1618, BgL_sz00_92, BEOA);
						{	/* Eval/evaluate_comp.scm 638 */
							bool_t BgL_testz00_18175;

							if (PROCEDUREP(BgL_rz00_1620))
								{	/* Eval/evaluate_comp.scm 638 */
									obj_t BgL_arg3182z00_1623;

									BgL_arg3182z00_1623 = PROCEDURE_ATTR(BgL_rz00_1620);
									if (STRUCTP(BgL_arg3182z00_1623))
										{	/* Eval/evaluate_comp.scm 638 */
											BgL_testz00_18175 =
												(STRUCT_KEY(BgL_arg3182z00_1623) ==
												BGl_symbol6866z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 638 */
											BgL_testz00_18175 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 638 */
									BgL_testz00_18175 = ((bool_t) 0);
								}
							if (BgL_testz00_18175)
								{
									obj_t BgL_fz00_18183;

									BgL_fz00_18183 = BgL_rz00_1620;
									BgL_fz00_1618 = BgL_fz00_18183;
									goto BgL_zc3anonymousza33179ze3z83_1619;
								}
							else
								{	/* Eval/evaluate_comp.scm 638 */
									VECTOR_SET(BgL_sz00_92,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1616);
									return BgL_rz00_1620;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_115,
		obj_t BgL_stkz00_116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 652 */
			if (NULLP(BgL_eza2za2_115))
				{	/* Eval/evaluate_comp.scm 654 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 656 */
					obj_t BgL_arg3192z00_1635;
					obj_t BgL_arg3193z00_1636;

					{	/* Eval/evaluate_comp.scm 656 */
						obj_t BgL_arg3194z00_1637;

						BgL_arg3194z00_1637 = CAR(BgL_eza2za2_115);
						BgL_arg3192z00_1635 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg3194z00_1637), BgL_stkz00_116);
					}
					{	/* Eval/evaluate_comp.scm 657 */
						obj_t BgL_arg3195z00_1638;
						obj_t BgL_arg3196z00_1639;

						BgL_arg3195z00_1638 = CDR(BgL_eza2za2_115);
						{	/* Eval/evaluate_comp.scm 657 */
							obj_t BgL_arg3197z00_1640;

							BgL_arg3197z00_1640 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg3196z00_1639 =
								BGl_appendzd221095zd2zz__evaluate_compz00(BgL_stkz00_116,
								BgL_arg3197z00_1640);
						}
						BgL_arg3193z00_1636 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg3195z00_1638,
							BgL_arg3196z00_1639);
					}
					return MAKE_PAIR(BgL_arg3192z00_1635, BgL_arg3193z00_1636);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_17251,
		obj_t BgL_lz00_1642, long BgL_iz00_1643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 660 */
			if (NULLP(BgL_lz00_1642))
				{	/* Eval/evaluate_comp.scm 661 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 661 */
					if ((BgL_iz00_1643 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 662 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1642,
								BgL_stkz00_17251);
						}
					else
						{	/* Eval/evaluate_comp.scm 663 */
							obj_t BgL_arg3201z00_1647;
							obj_t BgL_arg3202z00_1648;

							{	/* Eval/evaluate_comp.scm 663 */
								obj_t BgL_arg3203z00_1649;

								BgL_arg3203z00_1649 = CAR(BgL_lz00_1642);
								BgL_arg3201z00_1647 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg3203z00_1649),
									BgL_stkz00_17251);
							}
							BgL_arg3202z00_1648 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_17251,
								CDR(BgL_lz00_1642), (BgL_iz00_1643 - ((long) 1)));
							return MAKE_PAIR(BgL_arg3201z00_1647, BgL_arg3202z00_1648);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_120,
		obj_t BgL_fz00_121, obj_t BgL_argsz00_122, obj_t BgL_bpz00_123,
		long BgL_siza7eza7_124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 666 */
			{	/* Eval/evaluate_comp.scm 668 */
				obj_t BgL_argsz00_1653;

				if (NULLP(BgL_argsz00_122))
					{	/* Eval/evaluate_comp.scm 668 */
						BgL_argsz00_1653 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 668 */
						obj_t BgL_head2883z00_1658;

						{	/* Eval/evaluate_comp.scm 668 */
							obj_t BgL_res5697z00_6913;

							BgL_res5697z00_6913 = MAKE_PAIR(BNIL, BNIL);
							BgL_head2883z00_1658 = BgL_res5697z00_6913;
						}
						{
							obj_t BgL_l2881z00_6947;
							obj_t BgL_tail2884z00_6948;

							BgL_l2881z00_6947 = BgL_argsz00_122;
							BgL_tail2884z00_6948 = BgL_head2883z00_1658;
						BgL_zc3anonymousza33208ze3z83_6946:
							if (NULLP(BgL_l2881z00_6947))
								{	/* Eval/evaluate_comp.scm 668 */
									BgL_argsz00_1653 = CDR(BgL_head2883z00_1658);
								}
							else
								{	/* Eval/evaluate_comp.scm 668 */
									obj_t BgL_newtail2885z00_6955;

									{	/* Eval/evaluate_comp.scm 668 */
										obj_t BgL_arg3211z00_6956;

										{	/* Eval/evaluate_comp.scm 668 */
											obj_t BgL_az00_6957;

											BgL_az00_6957 = CAR(BgL_l2881z00_6947);
											BgL_arg3211z00_6956 =
												PROCEDURE_ENTRY(BgL_az00_6957) (BgL_az00_6957,
												BgL_sz00_120, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 668 */
											obj_t BgL_res5703z00_6965;

											BgL_res5703z00_6965 =
												MAKE_PAIR(BgL_arg3211z00_6956, BNIL);
											BgL_newtail2885z00_6955 = BgL_res5703z00_6965;
										}
									}
									SET_CDR(BgL_tail2884z00_6948, BgL_newtail2885z00_6955);
									{
										obj_t BgL_tail2884z00_18223;
										obj_t BgL_l2881z00_18221;

										BgL_l2881z00_18221 = CDR(BgL_l2881z00_6947);
										BgL_tail2884z00_18223 = BgL_newtail2885z00_6955;
										BgL_tail2884z00_6948 = BgL_tail2884z00_18223;
										BgL_l2881z00_6947 = BgL_l2881z00_18221;
										goto BgL_zc3anonymousza33208ze3z83_6946;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 669 */
					long BgL_arg3206z00_1654;

					BgL_arg3206z00_1654 =
						((long) CINT(BgL_bpz00_123) + BgL_siza7eza7_124);
					VECTOR_SET(BgL_sz00_120,
						(int) (((long) 0)), BINT(BgL_arg3206z00_1654));
				}
				{	/* Eval/evaluate_comp.scm 670 */
					obj_t BgL_za2za2resza2za2z00_1655;

					BgL_za2za2resza2za2z00_1655 = apply(BgL_fz00_121, BgL_argsz00_1653);
					VECTOR_SET(BgL_sz00_120, (int) (((long) 0)), BgL_bpz00_123);
					return BgL_za2za2resza2za2z00_1655;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_128, obj_t BgL_sz00_129, obj_t BgL_argsz00_130,
		obj_t BgL_spz00_131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 679 */
			{	/* Eval/evaluate_comp.scm 680 */
				long BgL_g2425z00_1679;

				BgL_g2425z00_1679 = (((long) -1) - (long) CINT(BgL_arityz00_128));
				{
					obj_t BgL_lz00_1681;
					obj_t BgL_spz00_1682;
					long BgL_nz00_1683;

					BgL_lz00_1681 = BgL_argsz00_130;
					BgL_spz00_1682 = BgL_spz00_131;
					BgL_nz00_1683 = BgL_g2425z00_1679;
				BgL_zc3anonymousza33218ze3z83_1684:
					if ((BgL_nz00_1683 == ((long) 0)))
						{
							obj_t BgL_lz00_7076;
							obj_t BgL_rz00_7077;

							BgL_lz00_7076 = BgL_lz00_1681;
							BgL_rz00_7077 = BNIL;
						BgL_rec2z00_7075:
							if (NULLP(BgL_lz00_7076))
								{	/* Eval/evaluate_comp.scm 682 */
									return
										VECTOR_SET(BgL_sz00_129,
										CINT(BgL_spz00_1682), bgl_reverse_bang(BgL_rz00_7077));
								}
							else
								{	/* Eval/evaluate_comp.scm 682 */
									obj_t BgL_arg3223z00_7086;
									obj_t BgL_arg3224z00_7087;

									BgL_arg3223z00_7086 = CDR(BgL_lz00_7076);
									{	/* Eval/evaluate_comp.scm 682 */
										obj_t BgL_arg3225z00_7088;

										{	/* Eval/evaluate_comp.scm 682 */
											obj_t BgL_fun3226z00_7089;

											BgL_fun3226z00_7089 = CAR(BgL_lz00_7076);
											BgL_arg3225z00_7088 =
												PROCEDURE_ENTRY(BgL_fun3226z00_7089)
												(BgL_fun3226z00_7089, BgL_sz00_129, BEOA);
										}
										BgL_arg3224z00_7087 =
											MAKE_PAIR(BgL_arg3225z00_7088, BgL_rz00_7077);
									}
									{
										obj_t BgL_rz00_18250;
										obj_t BgL_lz00_18249;

										BgL_lz00_18249 = BgL_arg3223z00_7086;
										BgL_rz00_18250 = BgL_arg3224z00_7087;
										BgL_rz00_7077 = BgL_rz00_18250;
										BgL_lz00_7076 = BgL_lz00_18249;
										goto BgL_rec2z00_7075;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 681 */
							{	/* Eval/evaluate_comp.scm 686 */
								obj_t BgL_arg3227z00_1698;

								{	/* Eval/evaluate_comp.scm 686 */
									obj_t BgL_fun3228z00_1699;

									BgL_fun3228z00_1699 = CAR(BgL_lz00_1681);
									BgL_arg3227z00_1698 =
										PROCEDURE_ENTRY(BgL_fun3228z00_1699) (BgL_fun3228z00_1699,
										BgL_sz00_129, BEOA);
								}
								VECTOR_SET(BgL_sz00_129,
									CINT(BgL_spz00_1682), BgL_arg3227z00_1698);
							}
							{	/* Eval/evaluate_comp.scm 687 */
								obj_t BgL_arg3229z00_1700;
								long BgL_arg3230z00_1701;
								long BgL_arg3231z00_1702;

								BgL_arg3229z00_1700 = CDR(BgL_lz00_1681);
								BgL_arg3230z00_1701 =
									((long) CINT(BgL_spz00_1682) + ((long) 1));
								BgL_arg3231z00_1702 = (BgL_nz00_1683 - ((long) 1));
								{
									long BgL_nz00_18265;
									obj_t BgL_spz00_18263;
									obj_t BgL_lz00_18262;

									BgL_lz00_18262 = BgL_arg3229z00_1700;
									BgL_spz00_18263 = BINT(BgL_arg3230z00_1701);
									BgL_nz00_18265 = BgL_arg3231z00_1702;
									BgL_nz00_1683 = BgL_nz00_18265;
									BgL_spz00_1682 = BgL_spz00_18263;
									BgL_lz00_1681 = BgL_lz00_18262;
									goto BgL_zc3anonymousza33218ze3z83_1684;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_132,
		obj_t BgL_stkz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 724 */
			{
				obj_t BgL_lz00_1705;
				obj_t BgL_stkz00_1706;

				BgL_lz00_1705 = BgL_argsz00_132;
				BgL_stkz00_1706 = BgL_stkz00_133;
			BgL_zc3anonymousza33232ze3z83_1707:
				{	/* Eval/evaluate_comp.scm 728 */
					bool_t BgL_testz00_18266;

					if (NULLP(BgL_lz00_1705))
						{	/* Eval/evaluate_comp.scm 728 */
							BgL_testz00_18266 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 728 */
							BgL_testz00_18266 = NULLP(BgL_stkz00_1706);
						}
					if (BgL_testz00_18266)
						{	/* Eval/evaluate_comp.scm 728 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 730 */
							bool_t BgL_testz00_18270;

							{	/* Eval/evaluate_comp.scm 730 */
								obj_t BgL_g2888z00_1712;

								BgL_g2888z00_1712 = CDR(BgL_lz00_1705);
								{
									obj_t BgL_l2886z00_1714;

									BgL_l2886z00_1714 = BgL_g2888z00_1712;
								BgL_zc3anonymousza33237ze3z83_1715:
									if (NULLP(BgL_l2886z00_1714))
										{	/* Eval/evaluate_comp.scm 730 */
											BgL_testz00_18270 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 730 */
											bool_t BgL_testz00_18274;

											{	/* Eval/evaluate_comp.scm 730 */
												obj_t BgL_ez00_1719;

												BgL_ez00_1719 = CAR(BgL_l2886z00_1714);
												{	/* Eval/evaluate_comp.scm 730 */
													obj_t BgL_arg3241z00_1720;
													obj_t BgL_arg3242z00_1721;

													BgL_arg3241z00_1720 = CAR(BgL_stkz00_1706);
													BgL_arg3242z00_1721 =
														BGl_usez00zz__evaluate_usez00(
														((BgL_ev_exprz00_bglt) BgL_ez00_1719), BNIL);
													BgL_testz00_18274 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3241z00_1720, BgL_arg3242z00_1721));
												}
											}
											if (BgL_testz00_18274)
												{	/* Eval/evaluate_comp.scm 730 */
													BgL_testz00_18270 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l2886z00_18281;

													BgL_l2886z00_18281 = CDR(BgL_l2886z00_1714);
													BgL_l2886z00_1714 = BgL_l2886z00_18281;
													goto BgL_zc3anonymousza33237ze3z83_1715;
												}
										}
								}
							}
							if (BgL_testz00_18270)
								{	/* Eval/evaluate_comp.scm 730 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_18285;
									obj_t BgL_lz00_18283;

									BgL_lz00_18283 = CDR(BgL_lz00_1705);
									BgL_stkz00_18285 = CDR(BgL_stkz00_1706);
									BgL_stkz00_1706 = BgL_stkz00_18285;
									BgL_lz00_1705 = BgL_lz00_18283;
									goto BgL_zc3anonymousza33232ze3z83_1707;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_134, obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 734 */
			{	/* Eval/evaluate_comp.scm 736 */
				long BgL_siza7eza7_1726;
				long BgL_nbargsz00_1727;
				obj_t BgL_fz00_1728;
				obj_t BgL_symbzd2funzd2_1729;

				BgL_siza7eza7_1726 = bgl_list_length(BgL_stkz00_135);
				BgL_nbargsz00_1727 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_ez00_134)))->BgL_argsz00));
				{	/* Eval/evaluate_comp.scm 736 */
					BgL_ev_exprz00_bglt BgL_arg3320z00_1851;

					BgL_arg3320z00_1851 =
						(((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_ez00_134)))->BgL_funz00);
					BgL_fz00_1728 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3320z00_1851,
						BgL_stkz00_135);
				}
				{	/* Eval/evaluate_comp.scm 736 */
					BgL_ev_exprz00_bglt BgL_arg3321z00_1852;

					BgL_arg3321z00_1852 =
						(((BgL_ev_appz00_bglt) CREF(((obj_t) BgL_ez00_134)))->BgL_funz00);
					BgL_symbzd2funzd2_1729 =
						BGl_uncompilez00zz__evaluate_uncompz00(BgL_arg3321z00_1852);
				}
				if (CBOOL(
						(((BgL_ev_appz00_bglt) CREF(
									((obj_t) BgL_ez00_134)))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 744 */
						bool_t BgL_testz00_18301;

						{	/* Eval/evaluate_comp.scm 744 */
							obj_t BgL_arg3295z00_1811;

							BgL_arg3295z00_1811 =
								(((BgL_ev_appz00_bglt) CREF(
										((obj_t) BgL_ez00_134)))->BgL_argsz00);
							BgL_testz00_18301 =
								BGl_needzd2shiftzd2zz__evaluate_compz00(BgL_arg3295z00_1811,
								BgL_stkz00_135);
						}
						if (BgL_testz00_18301)
							{	/* Eval/evaluate_comp.scm 745 */
								obj_t BgL_argsz00_1732;

								{	/* Eval/evaluate_comp.scm 746 */
									obj_t BgL_arg3271z00_1772;

									BgL_arg3271z00_1772 =
										(((BgL_ev_appz00_bglt) CREF(
												((obj_t) BgL_ez00_134)))->BgL_argsz00);
									BgL_argsz00_1732 =
										BGl_compzd2withzd2pushz00zz__evaluate_compz00
										(BgL_arg3271z00_1772, BgL_stkz00_135);
								}
								{	/* Eval/evaluate_comp.scm 745 */
									obj_t BgL_zc3anonymousza33246ze3z83_15209;

									BgL_zc3anonymousza33246ze3z83_15209 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33246ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza33246ze3z83_15209,
										(int) (((long) 0)), BgL_fz00_1728);
									PROCEDURE_SET(BgL_zc3anonymousza33246ze3z83_15209,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza33246ze3z83_15209,
										(int) (((long) 2)), BgL_symbzd2funzd2_1729);
									PROCEDURE_SET(BgL_zc3anonymousza33246ze3z83_15209,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1727));
									PROCEDURE_SET(BgL_zc3anonymousza33246ze3z83_15209,
										(int) (((long) 4)), BgL_argsz00_1732);
									PROCEDURE_SET(BgL_zc3anonymousza33246ze3z83_15209,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1726));
									return BgL_zc3anonymousza33246ze3z83_15209;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 753 */
								obj_t BgL_argsz00_1773;

								{	/* Eval/evaluate_comp.scm 754 */
									obj_t BgL_arg3294z00_1810;

									BgL_arg3294z00_1810 =
										(((BgL_ev_appz00_bglt) CREF(
												((obj_t) BgL_ez00_134)))->BgL_argsz00);
									BgL_argsz00_1773 =
										BGl_recz00zz__evaluate_compz00(BgL_stkz00_135,
										BgL_arg3294z00_1810, BgL_siza7eza7_1726);
								}
								{	/* Eval/evaluate_comp.scm 753 */
									obj_t BgL_zc3anonymousza33272ze3z83_15210;

									BgL_zc3anonymousza33272ze3z83_15210 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_15210,
										(int) (((long) 0)), BgL_fz00_1728);
									PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_15210,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_15210,
										(int) (((long) 2)), BgL_symbzd2funzd2_1729);
									PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_15210,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1727));
									PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_15210,
										(int) (((long) 4)), BgL_argsz00_1773);
									return BgL_zc3anonymousza33272ze3z83_15210;
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 739 */
						obj_t BgL_argsz00_1812;

						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_arg3318z00_1849;

							BgL_arg3318z00_1849 =
								(((BgL_ev_appz00_bglt) CREF(
										((obj_t) BgL_ez00_134)))->BgL_argsz00);
							BgL_argsz00_1812 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg3318z00_1849, BgL_stkz00_135);
						}
						{	/* Eval/evaluate_comp.scm 739 */
							obj_t BgL_zc3anonymousza33296ze3z83_15211;

							BgL_zc3anonymousza33296ze3z83_15211 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33296ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 6)));
							PROCEDURE_SET(BgL_zc3anonymousza33296ze3z83_15211,
								(int) (((long) 0)), BgL_fz00_1728);
							PROCEDURE_SET(BgL_zc3anonymousza33296ze3z83_15211,
								(int) (((long) 1)), ((obj_t) BgL_ez00_134));
							PROCEDURE_SET(BgL_zc3anonymousza33296ze3z83_15211,
								(int) (((long) 2)), BgL_symbzd2funzd2_1729);
							PROCEDURE_SET(BgL_zc3anonymousza33296ze3z83_15211,
								(int) (((long) 3)), BINT(BgL_nbargsz00_1727));
							PROCEDURE_SET(BgL_zc3anonymousza33296ze3z83_15211,
								(int) (((long) 4)), BgL_argsz00_1812);
							PROCEDURE_SET(BgL_zc3anonymousza33296ze3z83_15211,
								(int) (((long) 5)), BINT(BgL_siza7eza7_1726));
							return BgL_zc3anonymousza33296ze3z83_15211;
						}
					}
			}
		}
	}



/* &<anonymous:3246> */
	obj_t BGl_z62zc3anonymousza33246ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15212, obj_t BgL_sz00_15219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 745 */
			{	/* Eval/evaluate_comp.scm 745 */
				obj_t BgL_fz00_15213;
				BgL_ev_appz00_bglt BgL_instance2430z00_15214;
				obj_t BgL_symbzd2funzd2_15215;
				long BgL_nbargsz00_15216;
				obj_t BgL_argsz00_15217;
				long BgL_siza7eza7_15218;

				BgL_fz00_15213 = PROCEDURE_REF(BgL_envz00_15212, (int) (((long) 0)));
				BgL_instance2430z00_15214 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15212, (int) (((long) 1))));
				BgL_symbzd2funzd2_15215 =
					PROCEDURE_REF(BgL_envz00_15212, (int) (((long) 2)));
				BgL_nbargsz00_15216 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15212, (int) (((long) 3))));
				BgL_argsz00_15217 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15212, (int) (((long) 4))));
				BgL_siza7eza7_15218 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15212, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1733;

					BgL_sz00_1733 = BgL_sz00_15219;
					{	/* Eval/evaluate_comp.scm 745 */
						obj_t BgL_bpz00_1735;

						BgL_bpz00_1735 = VECTOR_REF(BgL_sz00_1733, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 745 */
							obj_t BgL_fz00_1736;

							BgL_fz00_1736 =
								PROCEDURE_ENTRY(BgL_fz00_15213) (BgL_fz00_15213, BgL_sz00_1733,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1736))
								{	/* Eval/evaluate_comp.scm 745 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 745 */
									obj_t BgL_arg3248z00_1738;

									BgL_arg3248z00_1738 =
										(((BgL_ev_appz00_bglt) CREF(
												((obj_t) BgL_instance2430z00_15214)))->BgL_locz00);
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_arg3248z00_1738,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_1736);
								}
							{	/* Eval/evaluate_comp.scm 745 */
								obj_t BgL_ufz00_1739;

								BgL_ufz00_1739 = PROCEDURE_ATTR(BgL_fz00_1736);
								{	/* Eval/evaluate_comp.scm 745 */
									bool_t BgL_testz00_18393;

									if (STRUCTP(BgL_ufz00_1739))
										{	/* Eval/evaluate_comp.scm 745 */
											BgL_testz00_18393 =
												(STRUCT_KEY(BgL_ufz00_1739) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 745 */
											BgL_testz00_18393 = ((bool_t) 0);
										}
									if (BgL_testz00_18393)
										{	/* Eval/evaluate_comp.scm 745 */
											obj_t BgL_arityz00_1741;
											obj_t BgL_runz00_1742;
											obj_t BgL_sfz00_1743;

											BgL_arityz00_1741 =
												STRUCT_REF(BgL_ufz00_1739, (int) (((long) 0)));
											BgL_runz00_1742 =
												STRUCT_REF(BgL_ufz00_1739, (int) (((long) 1)));
											BgL_sfz00_1743 =
												STRUCT_REF(BgL_ufz00_1739, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 745 */
												long BgL_spz00_1744;

												BgL_spz00_1744 =
													((long) CINT(BgL_bpz00_1735) + BgL_siza7eza7_15218);
												if (
													((long) CINT(BgL_arityz00_1741) ==
														BgL_nbargsz00_15216))
													{	/* Eval/evaluate_comp.scm 745 */
														{
															obj_t BgL_lz00_7158;
															long BgL_spz00_7159;

															BgL_lz00_7158 = BgL_argsz00_15217;
															BgL_spz00_7159 = BgL_spz00_1744;
														BgL_recz00_7157:
															if (NULLP(BgL_lz00_7158))
																{	/* Eval/evaluate_comp.scm 748 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 748 */
																	{	/* Eval/evaluate_comp.scm 748 */
																		obj_t BgL_arg3214z00_7166;

																		{	/* Eval/evaluate_comp.scm 748 */
																			obj_t BgL_fun3215z00_7167;

																			BgL_fun3215z00_7167 = CAR(BgL_lz00_7158);
																			BgL_arg3214z00_7166 =
																				PROCEDURE_ENTRY(BgL_fun3215z00_7167)
																				(BgL_fun3215z00_7167, BgL_sz00_1733,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1733,
																			(int) (BgL_spz00_7159),
																			BgL_arg3214z00_7166);
																	}
																	{
																		long BgL_spz00_18420;
																		obj_t BgL_lz00_18418;

																		BgL_lz00_18418 = CDR(BgL_lz00_7158);
																		BgL_spz00_18420 =
																			(BgL_spz00_7159 + ((long) 1));
																		BgL_spz00_7159 = BgL_spz00_18420;
																		BgL_lz00_7158 = BgL_lz00_18418;
																		goto BgL_recz00_7157;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 749 */
															long BgL_arg3251z00_1746;

															BgL_arg3251z00_1746 =
																(BgL_spz00_1744 + BgL_nbargsz00_15216);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1733, BgL_bpz00_1735, BgL_sz00_1733,
																BINT(BgL_spz00_1744),
																BINT(BgL_arg3251z00_1746));
													}}
												else
													{	/* Eval/evaluate_comp.scm 745 */
														bool_t BgL_testz00_18426;

														if (((long) CINT(BgL_arityz00_1741) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 745 */
																BgL_testz00_18426 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 745 */
																BgL_testz00_18426 =
																	(
																	(long) CINT(BgL_arityz00_1741) <
																	(((long) -1) - BgL_nbargsz00_15216));
															}
														if (BgL_testz00_18426)
															{	/* Eval/evaluate_comp.scm 745 */
																obj_t BgL_arg3253z00_1748;
																obj_t BgL_arg3254z00_1749;

																BgL_arg3253z00_1748 =
																	(((BgL_ev_appz00_bglt) CREF(
																			((obj_t) BgL_instance2430z00_15214)))->
																	BgL_locz00);
																BgL_arg3254z00_1749 =
																	STRUCT_REF(BgL_ufz00_1739,
																	(int) (((long) 3)));
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_arg3253z00_1748, BgL_arg3254z00_1749,
																	(int) (BgL_nbargsz00_15216),
																	CINT(BgL_arityz00_1741));
															}
														else
															{	/* Eval/evaluate_comp.scm 745 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1741, BgL_sz00_1733,
																	BgL_argsz00_15217, BINT(BgL_spz00_1744));
																{	/* Eval/evaluate_comp.scm 751 */
																	long BgL_arg3255z00_1750;

																	BgL_arg3255z00_1750 =
																		(BgL_spz00_1744 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1741)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1733, BgL_bpz00_1735,
																		BgL_sz00_1733, BINT(BgL_spz00_1744),
																		BINT(BgL_arg3255z00_1750));
													}}}
												{	/* Eval/evaluate_comp.scm 745 */
													obj_t BgL_z12denvz12_1754;

													BgL_z12denvz12_1754 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 745 */
														obj_t BgL_arg3259z00_1755;

														BgL_arg3259z00_1755 =
															(((BgL_ev_appz00_bglt) CREF(
																	((obj_t) BgL_instance2430z00_15214)))->
															BgL_locz00);
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1754,
															BgL_arg3259z00_1755);
												}}
												{	/* Eval/evaluate_comp.scm 745 */
													bool_t BgL_testz00_18452;

													{	/* Eval/evaluate_comp.scm 745 */
														long BgL_arg3189z00_7207;
														int BgL_arg3190z00_7208;

														BgL_arg3189z00_7207 =
															(
															(long) CINT(BgL_bpz00_1735) +
															(long) CINT(BgL_sfz00_1743));
														BgL_arg3190z00_7208 = VECTOR_LENGTH(BgL_sz00_1733);
														BgL_testz00_18452 =
															(BgL_arg3189z00_7207 <
															(long) (BgL_arg3190z00_7208));
													}
													if (BgL_testz00_18452)
														{	/* Eval/evaluate_comp.scm 745 */
															return BgL_runz00_1742;
														}
													else
														{	/* Eval/evaluate_comp.scm 745 */
															obj_t BgL_nsz00_1757;

															BgL_nsz00_1757 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 745 */
																long BgL_arg3261z00_1759;

																BgL_arg3261z00_1759 =
																	(
																	(long) CINT(BgL_bpz00_1735) +
																	BgL_nbargsz00_15216);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1757, BINT(((long) 2)),
																	BgL_sz00_1733, BgL_bpz00_1735,
																	BINT(BgL_arg3261z00_1759));
															}
															VECTOR_SET(BgL_nsz00_1757,
																(int) (((long) 1)), BgL_sz00_1733);
															{	/* Eval/evaluate_comp.scm 745 */
																obj_t BgL_auxz00_18467;

																BgL_auxz00_18467 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18467,
																	BgL_nsz00_1757);
															}
															{	/* Eval/evaluate_comp.scm 745 */
																obj_t BgL_val2435z00_1761;

																BgL_val2435z00_1761 =
																	BGl_zc3exitza33267ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1757, BgL_runz00_1742);
																{	/* Eval/evaluate_comp.scm 745 */
																	obj_t BgL_auxz00_18471;

																	BgL_auxz00_18471 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18471,
																		BgL_sz00_1733);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val2435z00_1761)))
																	{	/* Eval/evaluate_comp.scm 745 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val2435z00_1761),
																			CDR(BgL_val2435z00_1761));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 745 */
																		return BgL_val2435z00_1761;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 745 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1736,
													(int) (BgL_nbargsz00_15216)))
												{	/* Eval/evaluate_comp.scm 745 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1733, BgL_fz00_1736, BgL_argsz00_15217,
														BgL_bpz00_1735, BgL_siza7eza7_15218);
												}
											else
												{	/* Eval/evaluate_comp.scm 745 */
													obj_t BgL_arg3269z00_1770;
													int BgL_arg3270z00_1771;

													BgL_arg3269z00_1770 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_instance2430z00_15214)))->
														BgL_locz00);
													BgL_arg3270z00_1771 = PROCEDURE_ARITY(BgL_fz00_1736);
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_arg3269z00_1770, BgL_symbzd2funzd2_15215,
														(int) (BgL_nbargsz00_15216), BgL_arg3270z00_1771);
		}}}}}}}}}
	}



/* <exit:3267> */
	obj_t BGl_zc3exitza33267ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17250,
		obj_t BgL_runz00_17249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 745 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2436z00_1767;

			if (SET_EXIT(BgL_an_exit2436z00_1767))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2436z00_1767 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 745 */

						PUSH_EXIT(BgL_an_exit2436z00_1767, ((long) 0));
						{	/* Eval/evaluate_comp.scm 745 */
							obj_t BgL_val2437z00_1768;

							BgL_val2437z00_1768 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17249,
								BgL_nsz00_17250, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2437z00_1768;
						}
					}
				}
		}
	}



/* &<anonymous:3272> */
	obj_t BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15220, obj_t BgL_sz00_15226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 753 */
			{	/* Eval/evaluate_comp.scm 753 */
				obj_t BgL_fz00_15221;
				BgL_ev_appz00_bglt BgL_instance2430z00_15222;
				obj_t BgL_symbzd2funzd2_15223;
				long BgL_nbargsz00_15224;
				obj_t BgL_argsz00_15225;

				BgL_fz00_15221 = PROCEDURE_REF(BgL_envz00_15220, (int) (((long) 0)));
				BgL_instance2430z00_15222 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15220, (int) (((long) 1))));
				BgL_symbzd2funzd2_15223 =
					PROCEDURE_REF(BgL_envz00_15220, (int) (((long) 2)));
				BgL_nbargsz00_15224 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15220, (int) (((long) 3))));
				BgL_argsz00_15225 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15220, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1774;

					BgL_sz00_1774 = BgL_sz00_15226;
					{	/* Eval/evaluate_comp.scm 753 */
						obj_t BgL_bpz00_1776;

						BgL_bpz00_1776 = VECTOR_REF(BgL_sz00_1774, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 753 */
							obj_t BgL_fz00_1777;

							BgL_fz00_1777 =
								PROCEDURE_ENTRY(BgL_fz00_15221) (BgL_fz00_15221, BgL_sz00_1774,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1777))
								{	/* Eval/evaluate_comp.scm 753 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 753 */
									obj_t BgL_arg3274z00_1779;

									BgL_arg3274z00_1779 =
										(((BgL_ev_appz00_bglt) CREF(
												((obj_t) BgL_instance2430z00_15222)))->BgL_locz00);
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_arg3274z00_1779,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_1777);
								}
							{	/* Eval/evaluate_comp.scm 753 */
								obj_t BgL_ufz00_1780;

								BgL_ufz00_1780 = PROCEDURE_ATTR(BgL_fz00_1777);
								{	/* Eval/evaluate_comp.scm 753 */
									bool_t BgL_testz00_18520;

									if (STRUCTP(BgL_ufz00_1780))
										{	/* Eval/evaluate_comp.scm 753 */
											BgL_testz00_18520 =
												(STRUCT_KEY(BgL_ufz00_1780) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 753 */
											BgL_testz00_18520 = ((bool_t) 0);
										}
									if (BgL_testz00_18520)
										{	/* Eval/evaluate_comp.scm 753 */
											obj_t BgL_arityz00_1782;
											obj_t BgL_runz00_1783;
											obj_t BgL_sfz00_1784;

											BgL_arityz00_1782 =
												STRUCT_REF(BgL_ufz00_1780, (int) (((long) 0)));
											BgL_runz00_1783 =
												STRUCT_REF(BgL_ufz00_1780, (int) (((long) 1)));
											BgL_sfz00_1784 =
												STRUCT_REF(BgL_ufz00_1780, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1782) == BgL_nbargsz00_15224))
												{
													obj_t BgL_lz00_7261;
													obj_t BgL_spz00_7262;

													{	/* Eval/evaluate_comp.scm 756 */
														bool_t BgL_auxz00_18534;

														BgL_lz00_7261 = BgL_argsz00_15225;
														BgL_spz00_7262 = BgL_bpz00_1776;
													BgL_recz00_7260:
														if (NULLP(BgL_lz00_7261))
															{	/* Eval/evaluate_comp.scm 756 */
																BgL_auxz00_18534 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 756 */
																{	/* Eval/evaluate_comp.scm 756 */
																	obj_t BgL_arg3214z00_7269;

																	{	/* Eval/evaluate_comp.scm 756 */
																		obj_t BgL_fun3215z00_7270;

																		BgL_fun3215z00_7270 = CAR(BgL_lz00_7261);
																		BgL_arg3214z00_7269 =
																			PROCEDURE_ENTRY(BgL_fun3215z00_7270)
																			(BgL_fun3215z00_7270, BgL_sz00_1774,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1774,
																		CINT(BgL_spz00_7262), BgL_arg3214z00_7269);
																}
																{	/* Eval/evaluate_comp.scm 756 */
																	obj_t BgL_arg3216z00_7271;
																	long BgL_arg3217z00_7272;

																	BgL_arg3216z00_7271 = CDR(BgL_lz00_7261);
																	BgL_arg3217z00_7272 =
																		((long) CINT(BgL_spz00_7262) + ((long) 1));
																	{
																		obj_t BgL_spz00_18548;
																		obj_t BgL_lz00_18547;

																		BgL_lz00_18547 = BgL_arg3216z00_7271;
																		BgL_spz00_18548 = BINT(BgL_arg3217z00_7272);
																		BgL_spz00_7262 = BgL_spz00_18548;
																		BgL_lz00_7261 = BgL_lz00_18547;
																		goto BgL_recz00_7260;
																	}
																}
															}
														BBOOL(BgL_auxz00_18534);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 753 */
													bool_t BgL_testz00_18551;

													if (((long) CINT(BgL_arityz00_1782) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 753 */
															BgL_testz00_18551 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 753 */
															BgL_testz00_18551 =
																(
																(long) CINT(BgL_arityz00_1782) <
																(((long) -1) - BgL_nbargsz00_15224));
														}
													if (BgL_testz00_18551)
														{	/* Eval/evaluate_comp.scm 753 */
															obj_t BgL_arg3278z00_1788;
															obj_t BgL_arg3279z00_1789;

															BgL_arg3278z00_1788 =
																(((BgL_ev_appz00_bglt) CREF(
																		((obj_t) BgL_instance2430z00_15222)))->
																BgL_locz00);
															BgL_arg3279z00_1789 =
																STRUCT_REF(BgL_ufz00_1780, (int) (((long) 3)));
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_arg3278z00_1788, BgL_arg3279z00_1789,
																(int) (BgL_nbargsz00_15224),
																CINT(BgL_arityz00_1782));
														}
													else
														{	/* Eval/evaluate_comp.scm 753 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1782, BgL_sz00_1774,
																BgL_argsz00_15225, BgL_bpz00_1776);
														}
												}
											{	/* Eval/evaluate_comp.scm 753 */
												obj_t BgL_z12denvz12_1792;

												BgL_z12denvz12_1792 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 753 */
													obj_t BgL_arg3282z00_1793;

													BgL_arg3282z00_1793 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_instance2430z00_15222)))->
														BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1792,
														BgL_arg3282z00_1793);
												}
											}
											{	/* Eval/evaluate_comp.scm 753 */
												bool_t BgL_testz00_18570;

												{	/* Eval/evaluate_comp.scm 753 */
													long BgL_arg3189z00_7301;
													int BgL_arg3190z00_7302;

													BgL_arg3189z00_7301 =
														(
														(long) CINT(BgL_bpz00_1776) +
														(long) CINT(BgL_sfz00_1784));
													BgL_arg3190z00_7302 = VECTOR_LENGTH(BgL_sz00_1774);
													BgL_testz00_18570 =
														(BgL_arg3189z00_7301 <
														(long) (BgL_arg3190z00_7302));
												}
												if (BgL_testz00_18570)
													{	/* Eval/evaluate_comp.scm 753 */
														return BgL_runz00_1783;
													}
												else
													{	/* Eval/evaluate_comp.scm 753 */
														obj_t BgL_nsz00_1795;

														BgL_nsz00_1795 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 753 */
															long BgL_arg3284z00_1797;

															BgL_arg3284z00_1797 =
																(
																(long) CINT(BgL_bpz00_1776) +
																BgL_nbargsz00_15224);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1795, BINT(((long) 2)),
																BgL_sz00_1774, BgL_bpz00_1776,
																BINT(BgL_arg3284z00_1797));
														}
														VECTOR_SET(BgL_nsz00_1795,
															(int) (((long) 1)), BgL_sz00_1774);
														{	/* Eval/evaluate_comp.scm 753 */
															obj_t BgL_auxz00_18585;

															BgL_auxz00_18585 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18585,
																BgL_nsz00_1795);
														}
														{	/* Eval/evaluate_comp.scm 753 */
															obj_t BgL_val2438z00_1799;

															BgL_val2438z00_1799 =
																BGl_zc3exitza33290ze3z83zz__evaluate_compz00
																(BgL_nsz00_1795, BgL_runz00_1783);
															{	/* Eval/evaluate_comp.scm 753 */
																obj_t BgL_auxz00_18589;

																BgL_auxz00_18589 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18589,
																	BgL_sz00_1774);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val2438z00_1799)))
																{	/* Eval/evaluate_comp.scm 753 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val2438z00_1799),
																		CDR(BgL_val2438z00_1799));
																}
															else
																{	/* Eval/evaluate_comp.scm 753 */
																	return BgL_val2438z00_1799;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 753 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1777,
													(int) (BgL_nbargsz00_15224)))
												{	/* Eval/evaluate_comp.scm 753 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1774, BgL_fz00_1777, BgL_argsz00_15225,
														BgL_bpz00_1776, BgL_nbargsz00_15224);
												}
											else
												{	/* Eval/evaluate_comp.scm 753 */
													obj_t BgL_arg3292z00_1808;
													int BgL_arg3293z00_1809;

													BgL_arg3292z00_1808 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_instance2430z00_15222)))->
														BgL_locz00);
													BgL_arg3293z00_1809 = PROCEDURE_ARITY(BgL_fz00_1777);
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_arg3292z00_1808, BgL_symbzd2funzd2_15223,
														(int) (BgL_nbargsz00_15224), BgL_arg3293z00_1809);
		}}}}}}}}}
	}



/* <exit:3290> */
	obj_t BGl_zc3exitza33290ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17248,
		obj_t BgL_runz00_17247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 753 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2439z00_1805;

			if (SET_EXIT(BgL_an_exit2439z00_1805))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2439z00_1805 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 753 */

						PUSH_EXIT(BgL_an_exit2439z00_1805, ((long) 0));
						{	/* Eval/evaluate_comp.scm 753 */
							obj_t BgL_val2440z00_1806;

							BgL_val2440z00_1806 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17247,
								BgL_nsz00_17248, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2440z00_1806;
						}
					}
				}
		}
	}



/* &<anonymous:3296> */
	obj_t BGl_z62zc3anonymousza33296ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15227, obj_t BgL_sz00_15234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 739 */
			{	/* Eval/evaluate_comp.scm 739 */
				obj_t BgL_fz00_15228;
				BgL_ev_appz00_bglt BgL_instance2430z00_15229;
				obj_t BgL_symbzd2funzd2_15230;
				long BgL_nbargsz00_15231;
				obj_t BgL_argsz00_15232;
				long BgL_siza7eza7_15233;

				BgL_fz00_15228 = PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 0)));
				BgL_instance2430z00_15229 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 1))));
				BgL_symbzd2funzd2_15230 =
					PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 2)));
				BgL_nbargsz00_15231 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 3))));
				BgL_argsz00_15232 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 4))));
				BgL_siza7eza7_15233 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1813;

					BgL_sz00_1813 = BgL_sz00_15234;
					{	/* Eval/evaluate_comp.scm 739 */
						obj_t BgL_bpz00_1815;

						BgL_bpz00_1815 = VECTOR_REF(BgL_sz00_1813, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 739 */
							obj_t BgL_fz00_1816;

							BgL_fz00_1816 =
								PROCEDURE_ENTRY(BgL_fz00_15228) (BgL_fz00_15228, BgL_sz00_1813,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1816))
								{	/* Eval/evaluate_comp.scm 739 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 739 */
									obj_t BgL_arg3298z00_1818;

									BgL_arg3298z00_1818 =
										(((BgL_ev_appz00_bglt) CREF(
												((obj_t) BgL_instance2430z00_15229)))->BgL_locz00);
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_arg3298z00_1818,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_1816);
								}
							{	/* Eval/evaluate_comp.scm 739 */
								obj_t BgL_ufz00_1819;

								BgL_ufz00_1819 = PROCEDURE_ATTR(BgL_fz00_1816);
								{	/* Eval/evaluate_comp.scm 739 */
									bool_t BgL_testz00_18641;

									if (STRUCTP(BgL_ufz00_1819))
										{	/* Eval/evaluate_comp.scm 739 */
											BgL_testz00_18641 =
												(STRUCT_KEY(BgL_ufz00_1819) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 739 */
											BgL_testz00_18641 = ((bool_t) 0);
										}
									if (BgL_testz00_18641)
										{	/* Eval/evaluate_comp.scm 739 */
											obj_t BgL_arityz00_1821;
											obj_t BgL_runz00_1822;
											obj_t BgL_sfz00_1823;

											BgL_arityz00_1821 =
												STRUCT_REF(BgL_ufz00_1819, (int) (((long) 0)));
											BgL_runz00_1822 =
												STRUCT_REF(BgL_ufz00_1819, (int) (((long) 1)));
											BgL_sfz00_1823 =
												STRUCT_REF(BgL_ufz00_1819, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 739 */
												long BgL_spz00_1824;

												BgL_spz00_1824 =
													((long) CINT(BgL_bpz00_1815) + BgL_siza7eza7_15233);
												if (
													((long) CINT(BgL_arityz00_1821) ==
														BgL_nbargsz00_15231))
													{
														obj_t BgL_lz00_7355;
														long BgL_spz00_7356;

														{	/* Eval/evaluate_comp.scm 742 */
															bool_t BgL_auxz00_18657;

															BgL_lz00_7355 = BgL_argsz00_15232;
															BgL_spz00_7356 = BgL_spz00_1824;
														BgL_recz00_7354:
															if (NULLP(BgL_lz00_7355))
																{	/* Eval/evaluate_comp.scm 742 */
																	BgL_auxz00_18657 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 742 */
																	{	/* Eval/evaluate_comp.scm 742 */
																		obj_t BgL_arg3214z00_7363;

																		{	/* Eval/evaluate_comp.scm 742 */
																			obj_t BgL_fun3215z00_7364;

																			BgL_fun3215z00_7364 = CAR(BgL_lz00_7355);
																			BgL_arg3214z00_7363 =
																				PROCEDURE_ENTRY(BgL_fun3215z00_7364)
																				(BgL_fun3215z00_7364, BgL_sz00_1813,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1813,
																			(int) (BgL_spz00_7356),
																			BgL_arg3214z00_7363);
																	}
																	{
																		long BgL_spz00_18669;
																		obj_t BgL_lz00_18667;

																		BgL_lz00_18667 = CDR(BgL_lz00_7355);
																		BgL_spz00_18669 =
																			(BgL_spz00_7356 + ((long) 1));
																		BgL_spz00_7356 = BgL_spz00_18669;
																		BgL_lz00_7355 = BgL_lz00_18667;
																		goto BgL_recz00_7354;
																	}
																}
															BBOOL(BgL_auxz00_18657);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 739 */
														bool_t BgL_testz00_18672;

														if (((long) CINT(BgL_arityz00_1821) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 739 */
																BgL_testz00_18672 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 739 */
																BgL_testz00_18672 =
																	(
																	(long) CINT(BgL_arityz00_1821) <
																	(((long) -1) - BgL_nbargsz00_15231));
															}
														if (BgL_testz00_18672)
															{	/* Eval/evaluate_comp.scm 739 */
																obj_t BgL_arg3302z00_1827;
																obj_t BgL_arg3303z00_1828;

																BgL_arg3302z00_1827 =
																	(((BgL_ev_appz00_bglt) CREF(
																			((obj_t) BgL_instance2430z00_15229)))->
																	BgL_locz00);
																BgL_arg3303z00_1828 =
																	STRUCT_REF(BgL_ufz00_1819,
																	(int) (((long) 3)));
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_arg3302z00_1827, BgL_arg3303z00_1828,
																	(int) (BgL_nbargsz00_15231),
																	CINT(BgL_arityz00_1821));
															}
														else
															{	/* Eval/evaluate_comp.scm 739 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1821, BgL_sz00_1813,
																	BgL_argsz00_15232, BINT(BgL_spz00_1824));
															}
													}
												{	/* Eval/evaluate_comp.scm 739 */
													obj_t BgL_z12denvz12_1831;

													BgL_z12denvz12_1831 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 739 */
														obj_t BgL_arg3306z00_1832;

														BgL_arg3306z00_1832 =
															(((BgL_ev_appz00_bglt) CREF(
																	((obj_t) BgL_instance2430z00_15229)))->
															BgL_locz00);
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1831,
															BgL_arg3306z00_1832);
													}
												}
												{	/* Eval/evaluate_comp.scm 739 */
													bool_t BgL_testz00_18692;

													{	/* Eval/evaluate_comp.scm 739 */
														long BgL_arg3189z00_7395;
														int BgL_arg3190z00_7396;

														BgL_arg3189z00_7395 =
															(BgL_spz00_1824 + (long) CINT(BgL_sfz00_1823));
														BgL_arg3190z00_7396 = VECTOR_LENGTH(BgL_sz00_1813);
														BgL_testz00_18692 =
															(BgL_arg3189z00_7395 <
															(long) (BgL_arg3190z00_7396));
													}
													if (BgL_testz00_18692)
														{	/* Eval/evaluate_comp.scm 739 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1822, BgL_sz00_1813,
																BINT(BgL_spz00_1824));
														}
													else
														{	/* Eval/evaluate_comp.scm 739 */
															obj_t BgL_nsz00_1834;

															BgL_nsz00_1834 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 739 */
																long BgL_arg3308z00_1836;

																BgL_arg3308z00_1836 =
																	(BgL_spz00_1824 + BgL_nbargsz00_15231);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1834, BINT(((long) 2)),
																	BgL_sz00_1813, BINT(BgL_spz00_1824),
																	BINT(BgL_arg3308z00_1836));
															}
															VECTOR_SET(BgL_nsz00_1834,
																(int) (((long) 1)), BgL_sz00_1813);
															{	/* Eval/evaluate_comp.scm 739 */
																obj_t BgL_auxz00_18708;

																BgL_auxz00_18708 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18708,
																	BgL_nsz00_1834);
															}
															{	/* Eval/evaluate_comp.scm 739 */
																obj_t BgL_val2432z00_1838;

																BgL_val2432z00_1838 =
																	BGl_zc3exitza33314ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1834, BgL_runz00_1822);
																{	/* Eval/evaluate_comp.scm 739 */
																	obj_t BgL_auxz00_18712;

																	BgL_auxz00_18712 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18712,
																		BgL_sz00_1813);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val2432z00_1838)))
																	{	/* Eval/evaluate_comp.scm 739 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val2432z00_1838),
																			CDR(BgL_val2432z00_1838));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 739 */
																		return BgL_val2432z00_1838;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 739 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1816,
													(int) (BgL_nbargsz00_15231)))
												{	/* Eval/evaluate_comp.scm 739 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1813, BgL_fz00_1816, BgL_argsz00_15232,
														BgL_bpz00_1815, BgL_siza7eza7_15233);
												}
											else
												{	/* Eval/evaluate_comp.scm 739 */
													obj_t BgL_arg3316z00_1847;
													int BgL_arg3317z00_1848;

													BgL_arg3316z00_1847 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_instance2430z00_15229)))->
														BgL_locz00);
													BgL_arg3317z00_1848 = PROCEDURE_ARITY(BgL_fz00_1816);
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_arg3316z00_1847, BgL_symbzd2funzd2_15230,
														(int) (BgL_nbargsz00_15231), BgL_arg3317z00_1848);
		}}}}}}}}}
	}



/* <exit:3314> */
	obj_t BGl_zc3exitza33314ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17246,
		obj_t BgL_runz00_17245)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 739 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2433z00_1844;

			if (SET_EXIT(BgL_an_exit2433z00_1844))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2433z00_1844 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 739 */

						PUSH_EXIT(BgL_an_exit2433z00_1844, ((long) 0));
						{	/* Eval/evaluate_comp.scm 739 */
							obj_t BgL_val2434z00_1845;

							BgL_val2434z00_1845 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17245,
								BgL_nsz00_17246, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2434z00_1845;
						}
					}
				}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_136,
		BgL_ev_exprz00_bglt BgL_vfunz00_137, obj_t BgL_symbzd2funzd2_138,
		obj_t BgL_funz00_139, obj_t BgL_tailzf3zf3_140, obj_t BgL_stkz00_141,
		long BgL_siza7eza7_142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_cfunz00_1853;

				BgL_cfunz00_1853 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_137,
					((long) 0));
				if (CBOOL(BgL_cfunz00_1853))
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_zc3anonymousza33322ze3z83_15235;

						BgL_zc3anonymousza33322ze3z83_15235 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33322ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33322ze3z83_15235,
							(int) (((long) 0)), BINT(BgL_siza7eza7_142));
						PROCEDURE_SET(BgL_zc3anonymousza33322ze3z83_15235,
							(int) (((long) 1)), BgL_cfunz00_1853);
						return BgL_zc3anonymousza33322ze3z83_15235;
					}
				else
					{	/* Eval/evaluate_comp.scm 841 */
						if (CBOOL(BgL_tailzf3zf3_140))
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33323ze3z83_15236;

								BgL_zc3anonymousza33323ze3z83_15236 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33323ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza33323ze3z83_15236,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza33323ze3z83_15236,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza33323ze3z83_15236,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza33323ze3z83_15236,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza33323ze3z83_15236;
							}
						else
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33342ze3z83_15237;

								BgL_zc3anonymousza33342ze3z83_15237 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33342ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza33342ze3z83_15237,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza33342ze3z83_15237,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza33342ze3z83_15237,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza33342ze3z83_15237,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza33342ze3z83_15237;
							}
					}
			}
		}
	}



/* &<anonymous:3322> */
	obj_t BGl_z62zc3anonymousza33322ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15238, obj_t BgL_sz00_15241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				long BgL_siza7eza7_15239;
				obj_t BgL_cfunz00_15240;

				BgL_siza7eza7_15239 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15238, (int) (((long) 0))));
				BgL_cfunz00_15240 = PROCEDURE_REF(BgL_envz00_15238, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1854;

					BgL_sz00_1854 = BgL_sz00_15241;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_1856;

						BgL_bpz00_1856 = VECTOR_REF(BgL_sz00_1854, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */

							{	/* Eval/evaluate_comp.scm 841 */
								long BgL_nbpz00_1857;

								BgL_nbpz00_1857 =
									((long) CINT(BgL_bpz00_1856) + BgL_siza7eza7_15239);
								VECTOR_SET(BgL_sz00_1854,
									(int) (((long) 0)), BINT(BgL_nbpz00_1857));
								{	/* Eval/evaluate_comp.scm 841 */
									obj_t BgL_rz00_1858;

									BgL_rz00_1858 =
										PROCEDURE_ENTRY(BgL_cfunz00_15240) (BgL_cfunz00_15240,
										BEOA);
									VECTOR_SET(BgL_sz00_1854, (int) (((long) 0)), BgL_bpz00_1856);
									return BgL_rz00_1858;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3323> */
	obj_t BGl_z62zc3anonymousza33323ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15242, obj_t BgL_sz00_15247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15243;
				obj_t BgL_locz00_15244;
				obj_t BgL_symbzd2funzd2_15245;
				long BgL_siza7eza7_15246;

				BgL_funz00_15243 = PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 0)));
				BgL_locz00_15244 = PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 1)));
				BgL_symbzd2funzd2_15245 =
					PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 2)));
				BgL_siza7eza7_15246 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15242, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1859;

					BgL_sz00_1859 = BgL_sz00_15247;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_1861;

						BgL_bpz00_1861 = VECTOR_REF(BgL_sz00_1859, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_1862;

							BgL_fz00_1862 =
								PROCEDURE_ENTRY(BgL_funz00_15243) (BgL_funz00_15243,
								BgL_sz00_1859, BEOA);
							if (PROCEDUREP(BgL_fz00_1862))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15244,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_1862);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_1864;

								BgL_ufz00_1864 = PROCEDURE_ATTR(BgL_fz00_1862);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_18809;

									if (STRUCTP(BgL_ufz00_1864))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_18809 =
												(STRUCT_KEY(BgL_ufz00_1864) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_18809 = ((bool_t) 0);
										}
									if (BgL_testz00_18809)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_1866;
											obj_t BgL_runz00_1867;
											obj_t BgL_sfz00_1868;

											BgL_arityz00_1866 =
												STRUCT_REF(BgL_ufz00_1864, (int) (((long) 0)));
											BgL_runz00_1867 =
												STRUCT_REF(BgL_ufz00_1864, (int) (((long) 1)));
											BgL_sfz00_1868 =
												STRUCT_REF(BgL_ufz00_1864, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1866) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 841 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													if (INTEGERP(BgL_arityz00_1866))
														{	/* Eval/evaluate_comp.scm 841 */
															switch ((long) CINT(BgL_arityz00_1866))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3328z00_1874;

																		BgL_arg3328z00_1874 =
																			(
																			(long) CINT(BgL_bpz00_1861) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1859,
																			(int) (BgL_arg3328z00_1874), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15244,
																		STRUCT_REF(BgL_ufz00_1864,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1866));
														}}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15244, STRUCT_REF(BgL_ufz00_1864,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1866));
												}}
											{	/* Eval/evaluate_comp.scm 841 */
												obj_t BgL_auxz00_18841;

												BgL_auxz00_18841 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18841,
													BgL_locz00_15244);
											}
											{	/* Eval/evaluate_comp.scm 841 */
												bool_t BgL_testz00_18844;

												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_arg3189z00_7477;
													int BgL_arg3190z00_7478;

													BgL_arg3189z00_7477 =
														(
														(long) CINT(BgL_bpz00_1861) +
														(long) CINT(BgL_sfz00_1868));
													BgL_arg3190z00_7478 = VECTOR_LENGTH(BgL_sz00_1859);
													BgL_testz00_18844 =
														(BgL_arg3189z00_7477 <
														(long) (BgL_arg3190z00_7478));
												}
												if (BgL_testz00_18844)
													{	/* Eval/evaluate_comp.scm 841 */
														return BgL_runz00_1867;
													}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_nsz00_1880;

														BgL_nsz00_1880 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3333z00_1882;

															BgL_arg3333z00_1882 =
																((long) CINT(BgL_bpz00_1861) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1880, BINT(((long) 2)),
																BgL_sz00_1859, BgL_bpz00_1861,
																BINT(BgL_arg3333z00_1882));
														}
														VECTOR_SET(BgL_nsz00_1880,
															(int) (((long) 1)), BgL_sz00_1859);
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_auxz00_18859;

															BgL_auxz00_18859 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18859,
																BgL_nsz00_1880);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_val2452z00_1884;

															BgL_val2452z00_1884 =
																BGl_zc3exitza33339ze3z83zz__evaluate_compz00
																(BgL_nsz00_1880, BgL_runz00_1867);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_18863;

																BgL_auxz00_18863 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18863,
																	BgL_sz00_1859);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val2452z00_1884)))
																{	/* Eval/evaluate_comp.scm 841 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val2452z00_1884),
																		CDR(BgL_val2452z00_1884));
																}
															else
																{	/* Eval/evaluate_comp.scm 841 */
																	return BgL_val2452z00_1884;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1862,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_1893;

													BgL_nbpz00_1893 =
														((long) CINT(BgL_bpz00_1861) + BgL_siza7eza7_15246);
													VECTOR_SET(BgL_sz00_1859,
														(int) (((long) 0)), BINT(BgL_nbpz00_1893));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_1894;

														BgL_rz00_1894 =
															PROCEDURE_ENTRY(BgL_fz00_1862) (BgL_fz00_1862,
															BEOA);
														VECTOR_SET(BgL_sz00_1859, (int) (((long) 0)),
															BgL_bpz00_1861);
														return BgL_rz00_1894;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15244, BgL_symbzd2funzd2_15245,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1862));
		}}}}}}}}}
	}



/* <exit:3339> */
	obj_t BGl_zc3exitza33339ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17244,
		obj_t BgL_runz00_17243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2453z00_1890;

			if (SET_EXIT(BgL_an_exit2453z00_1890))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2453z00_1890 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2453z00_1890, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2454z00_1891;

							BgL_val2454z00_1891 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17243,
								BgL_nsz00_17244, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2454z00_1891;
						}
					}
				}
		}
	}



/* &<anonymous:3342> */
	obj_t BGl_z62zc3anonymousza33342ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15248, obj_t BgL_sz00_15253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15249;
				obj_t BgL_locz00_15250;
				obj_t BgL_symbzd2funzd2_15251;
				long BgL_siza7eza7_15252;

				BgL_funz00_15249 = PROCEDURE_REF(BgL_envz00_15248, (int) (((long) 0)));
				BgL_locz00_15250 = PROCEDURE_REF(BgL_envz00_15248, (int) (((long) 1)));
				BgL_symbzd2funzd2_15251 =
					PROCEDURE_REF(BgL_envz00_15248, (int) (((long) 2)));
				BgL_siza7eza7_15252 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15248, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1896;

					BgL_sz00_1896 = BgL_sz00_15253;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_1898;

						BgL_bpz00_1898 = VECTOR_REF(BgL_sz00_1896, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_1899;

							BgL_fz00_1899 =
								PROCEDURE_ENTRY(BgL_funz00_15249) (BgL_funz00_15249,
								BgL_sz00_1896, BEOA);
							if (PROCEDUREP(BgL_fz00_1899))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15250,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_1899);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_1901;

								BgL_ufz00_1901 = PROCEDURE_ATTR(BgL_fz00_1899);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_18913;

									if (STRUCTP(BgL_ufz00_1901))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_18913 =
												(STRUCT_KEY(BgL_ufz00_1901) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_18913 = ((bool_t) 0);
										}
									if (BgL_testz00_18913)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_1903;
											obj_t BgL_runz00_1904;
											obj_t BgL_sfz00_1905;

											BgL_arityz00_1903 =
												STRUCT_REF(BgL_ufz00_1901, (int) (((long) 0)));
											BgL_runz00_1904 =
												STRUCT_REF(BgL_ufz00_1901, (int) (((long) 1)));
											BgL_sfz00_1905 =
												STRUCT_REF(BgL_ufz00_1901, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 841 */
												long BgL_spz00_1906;

												BgL_spz00_1906 =
													((long) CINT(BgL_bpz00_1898) + BgL_siza7eza7_15252);
												if (((long) CINT(BgL_arityz00_1903) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 841 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														if (INTEGERP(BgL_arityz00_1903))
															{	/* Eval/evaluate_comp.scm 841 */
																switch ((long) CINT(BgL_arityz00_1903))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3347z00_1911;

																			BgL_arg3347z00_1911 =
																				(BgL_spz00_1906 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1896,
																				(int) (BgL_arg3347z00_1911), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15250,
																			STRUCT_REF(BgL_ufz00_1901,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1903));
															}}
														else
															{	/* Eval/evaluate_comp.scm 841 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15250, STRUCT_REF(BgL_ufz00_1901,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1903));
													}}
												{	/* Eval/evaluate_comp.scm 841 */
													obj_t BgL_auxz00_18946;

													BgL_auxz00_18946 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18946,
														BgL_locz00_15250);
												}
												{	/* Eval/evaluate_comp.scm 841 */
													bool_t BgL_testz00_18949;

													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3189z00_7557;
														int BgL_arg3190z00_7558;

														BgL_arg3189z00_7557 =
															(BgL_spz00_1906 + (long) CINT(BgL_sfz00_1905));
														BgL_arg3190z00_7558 = VECTOR_LENGTH(BgL_sz00_1896);
														BgL_testz00_18949 =
															(BgL_arg3189z00_7557 <
															(long) (BgL_arg3190z00_7558));
													}
													if (BgL_testz00_18949)
														{	/* Eval/evaluate_comp.scm 841 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1904, BgL_sz00_1896,
																BINT(BgL_spz00_1906));
														}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_nsz00_1917;

															BgL_nsz00_1917 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 841 */
																long BgL_arg3352z00_1919;

																BgL_arg3352z00_1919 =
																	(BgL_spz00_1906 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1917, BINT(((long) 2)),
																	BgL_sz00_1896, BINT(BgL_spz00_1906),
																	BINT(BgL_arg3352z00_1919));
															}
															VECTOR_SET(BgL_nsz00_1917,
																(int) (((long) 1)), BgL_sz00_1896);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_18965;

																BgL_auxz00_18965 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18965,
																	BgL_nsz00_1917);
															}
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_val2457z00_1921;

																BgL_val2457z00_1921 =
																	BGl_zc3exitza33358ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1917, BgL_runz00_1904);
																{	/* Eval/evaluate_comp.scm 841 */
																	obj_t BgL_auxz00_18969;

																	BgL_auxz00_18969 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18969,
																		BgL_sz00_1896);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val2457z00_1921)))
																	{	/* Eval/evaluate_comp.scm 841 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val2457z00_1921),
																			CDR(BgL_val2457z00_1921));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 841 */
																		return BgL_val2457z00_1921;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1899,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_1930;

													BgL_nbpz00_1930 =
														((long) CINT(BgL_bpz00_1898) + BgL_siza7eza7_15252);
													VECTOR_SET(BgL_sz00_1896,
														(int) (((long) 0)), BINT(BgL_nbpz00_1930));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_1931;

														BgL_rz00_1931 =
															PROCEDURE_ENTRY(BgL_fz00_1899) (BgL_fz00_1899,
															BEOA);
														VECTOR_SET(BgL_sz00_1896, (int) (((long) 0)),
															BgL_bpz00_1898);
														return BgL_rz00_1931;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15250, BgL_symbzd2funzd2_15251,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1899));
		}}}}}}}}}
	}



/* <exit:3358> */
	obj_t BGl_zc3exitza33358ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17242,
		obj_t BgL_runz00_17241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2458z00_1927;

			if (SET_EXIT(BgL_an_exit2458z00_1927))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2458z00_1927 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2458z00_1927, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2459z00_1928;

							BgL_val2459z00_1928 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17241,
								BgL_nsz00_17242, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2459z00_1928;
						}
					}
				}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_143,
		BgL_ev_exprz00_bglt BgL_vfunz00_144, obj_t BgL_symbzd2funzd2_145,
		obj_t BgL_funz00_146, obj_t BgL_tailzf3zf3_147, obj_t BgL_stkz00_148,
		long BgL_siza7eza7_149, obj_t BgL_a1z00_150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_cfunz00_1933;

				BgL_cfunz00_1933 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_144,
					((long) 1));
				if (CBOOL(BgL_cfunz00_1933))
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_zc3anonymousza33361ze3z83_15254;

						BgL_zc3anonymousza33361ze3z83_15254 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_15254,
							(int) (((long) 0)), BgL_a1z00_150);
						PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_15254,
							(int) (((long) 1)), BINT(BgL_siza7eza7_149));
						PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_15254,
							(int) (((long) 2)), BgL_cfunz00_1933);
						return BgL_zc3anonymousza33361ze3z83_15254;
					}
				else
					{	/* Eval/evaluate_comp.scm 841 */
						if (CBOOL(BgL_tailzf3zf3_147))
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33362ze3z83_15255;

								BgL_zc3anonymousza33362ze3z83_15255 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33362ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza33362ze3z83_15255,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza33362ze3z83_15255,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza33362ze3z83_15255,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza33362ze3z83_15255,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza33362ze3z83_15255,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza33362ze3z83_15255;
							}
						else
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33386ze3z83_15256;

								BgL_zc3anonymousza33386ze3z83_15256 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_15256,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_15256,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_15256,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_15256,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_15256,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza33386ze3z83_15256;
							}
					}
			}
		}
	}



/* &<anonymous:3361> */
	obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15257, obj_t BgL_sz00_15261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_a1z00_15258;
				long BgL_siza7eza7_15259;
				obj_t BgL_cfunz00_15260;

				BgL_a1z00_15258 = PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 0)));
				BgL_siza7eza7_15259 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 1))));
				BgL_cfunz00_15260 = PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1934;

					BgL_sz00_1934 = BgL_sz00_15261;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_1936;

						BgL_bpz00_1936 = VECTOR_REF(BgL_sz00_1934, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_a1z00_1937;

							BgL_a1z00_1937 =
								PROCEDURE_ENTRY(BgL_a1z00_15258) (BgL_a1z00_15258,
								BgL_sz00_1934, BEOA);
							{	/* Eval/evaluate_comp.scm 841 */
								long BgL_nbpz00_1938;

								BgL_nbpz00_1938 =
									((long) CINT(BgL_bpz00_1936) + BgL_siza7eza7_15259);
								VECTOR_SET(BgL_sz00_1934,
									(int) (((long) 0)), BINT(BgL_nbpz00_1938));
								{	/* Eval/evaluate_comp.scm 841 */
									obj_t BgL_rz00_1939;

									BgL_rz00_1939 =
										PROCEDURE_ENTRY(BgL_cfunz00_15260) (BgL_cfunz00_15260,
										BgL_a1z00_1937, BEOA);
									VECTOR_SET(BgL_sz00_1934, (int) (((long) 0)), BgL_bpz00_1936);
									return BgL_rz00_1939;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3362> */
	obj_t BGl_z62zc3anonymousza33362ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15262, obj_t BgL_sz00_15268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15263;
				obj_t BgL_a1z00_15264;
				obj_t BgL_locz00_15265;
				obj_t BgL_symbzd2funzd2_15266;
				long BgL_siza7eza7_15267;

				BgL_funz00_15263 = PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 0)));
				BgL_a1z00_15264 = PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 1)));
				BgL_locz00_15265 = PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 2)));
				BgL_symbzd2funzd2_15266 =
					PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 3)));
				BgL_siza7eza7_15267 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1940;

					BgL_sz00_1940 = BgL_sz00_15268;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_1942;

						BgL_bpz00_1942 = VECTOR_REF(BgL_sz00_1940, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_1943;
							obj_t BgL_a1z00_1944;

							BgL_fz00_1943 =
								PROCEDURE_ENTRY(BgL_funz00_15263) (BgL_funz00_15263,
								BgL_sz00_1940, BEOA);
							BgL_a1z00_1944 =
								PROCEDURE_ENTRY(BgL_a1z00_15264) (BgL_a1z00_15264,
								BgL_sz00_1940, BEOA);
							if (PROCEDUREP(BgL_fz00_1943))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15265,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_1943);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_1946;

								BgL_ufz00_1946 = PROCEDURE_ATTR(BgL_fz00_1943);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_19092;

									if (STRUCTP(BgL_ufz00_1946))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19092 =
												(STRUCT_KEY(BgL_ufz00_1946) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19092 = ((bool_t) 0);
										}
									if (BgL_testz00_19092)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_1948;
											obj_t BgL_runz00_1949;
											obj_t BgL_sfz00_1950;

											BgL_arityz00_1948 =
												STRUCT_REF(BgL_ufz00_1946, (int) (((long) 0)));
											BgL_runz00_1949 =
												STRUCT_REF(BgL_ufz00_1946, (int) (((long) 1)));
											BgL_sfz00_1950 =
												STRUCT_REF(BgL_ufz00_1946, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1948) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_arg3366z00_1953;

													BgL_arg3366z00_1953 =
														((long) CINT(BgL_bpz00_1942) + ((long) 0));
													VECTOR_SET(BgL_sz00_1940,
														(int) (BgL_arg3366z00_1953), BgL_a1z00_1944);
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													if (INTEGERP(BgL_arityz00_1948))
														{	/* Eval/evaluate_comp.scm 841 */
															switch ((long) CINT(BgL_arityz00_1948))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3368z00_1957;
																		obj_t BgL_arg3369z00_1958;

																		BgL_arg3368z00_1957 =
																			(
																			(long) CINT(BgL_bpz00_1942) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3370z00_1959;

																			BgL_list3370z00_1959 =
																				MAKE_PAIR(BgL_a1z00_1944, BNIL);
																			BgL_arg3369z00_1958 =
																				BgL_list3370z00_1959;
																		}
																		VECTOR_SET(BgL_sz00_1940,
																			(int) (BgL_arg3368z00_1957),
																			BgL_arg3369z00_1958);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3371z00_1960;

																		BgL_arg3371z00_1960 =
																			(
																			(long) CINT(BgL_bpz00_1942) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1940,
																			(int) (BgL_arg3371z00_1960),
																			BgL_a1z00_1944);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3372z00_1961;

																		BgL_arg3372z00_1961 =
																			(
																			(long) CINT(BgL_bpz00_1942) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1940,
																			(int) (BgL_arg3372z00_1961), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15265,
																		STRUCT_REF(BgL_ufz00_1946,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1948));
														}}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15265, STRUCT_REF(BgL_ufz00_1946,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1948));
												}}
											{	/* Eval/evaluate_comp.scm 841 */
												obj_t BgL_auxz00_19137;

												BgL_auxz00_19137 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19137,
													BgL_locz00_15265);
											}
											{	/* Eval/evaluate_comp.scm 841 */
												bool_t BgL_testz00_19140;

												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_arg3189z00_7667;
													int BgL_arg3190z00_7668;

													BgL_arg3189z00_7667 =
														(
														(long) CINT(BgL_bpz00_1942) +
														(long) CINT(BgL_sfz00_1950));
													BgL_arg3190z00_7668 = VECTOR_LENGTH(BgL_sz00_1940);
													BgL_testz00_19140 =
														(BgL_arg3189z00_7667 <
														(long) (BgL_arg3190z00_7668));
												}
												if (BgL_testz00_19140)
													{	/* Eval/evaluate_comp.scm 841 */
														return BgL_runz00_1949;
													}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_nsz00_1967;

														BgL_nsz00_1967 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3377z00_1969;

															BgL_arg3377z00_1969 =
																((long) CINT(BgL_bpz00_1942) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1967, BINT(((long) 2)),
																BgL_sz00_1940, BgL_bpz00_1942,
																BINT(BgL_arg3377z00_1969));
														}
														VECTOR_SET(BgL_nsz00_1967,
															(int) (((long) 1)), BgL_sz00_1940);
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_auxz00_19155;

															BgL_auxz00_19155 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19155,
																BgL_nsz00_1967);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_val2462z00_1971;

															BgL_val2462z00_1971 =
																BGl_zc3exitza33383ze3z83zz__evaluate_compz00
																(BgL_nsz00_1967, BgL_runz00_1949);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_19159;

																BgL_auxz00_19159 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19159,
																	BgL_sz00_1940);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val2462z00_1971)))
																{	/* Eval/evaluate_comp.scm 841 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val2462z00_1971),
																		CDR(BgL_val2462z00_1971));
																}
															else
																{	/* Eval/evaluate_comp.scm 841 */
																	return BgL_val2462z00_1971;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1943,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_1980;

													BgL_nbpz00_1980 =
														((long) CINT(BgL_bpz00_1942) + BgL_siza7eza7_15267);
													VECTOR_SET(BgL_sz00_1940,
														(int) (((long) 0)), BINT(BgL_nbpz00_1980));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_1981;

														BgL_rz00_1981 =
															PROCEDURE_ENTRY(BgL_fz00_1943) (BgL_fz00_1943,
															BgL_a1z00_1944, BEOA);
														VECTOR_SET(BgL_sz00_1940, (int) (((long) 0)),
															BgL_bpz00_1942);
														return BgL_rz00_1981;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15265, BgL_symbzd2funzd2_15266,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1943));
		}}}}}}}}}
	}



/* <exit:3383> */
	obj_t BGl_zc3exitza33383ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17240,
		obj_t BgL_runz00_17239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2463z00_1977;

			if (SET_EXIT(BgL_an_exit2463z00_1977))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2463z00_1977 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2463z00_1977, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2464z00_1978;

							BgL_val2464z00_1978 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17239,
								BgL_nsz00_17240, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2464z00_1978;
						}
					}
				}
		}
	}



/* &<anonymous:3386> */
	obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15269, obj_t BgL_sz00_15275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15270;
				obj_t BgL_a1z00_15271;
				obj_t BgL_locz00_15272;
				obj_t BgL_symbzd2funzd2_15273;
				long BgL_siza7eza7_15274;

				BgL_funz00_15270 = PROCEDURE_REF(BgL_envz00_15269, (int) (((long) 0)));
				BgL_a1z00_15271 = PROCEDURE_REF(BgL_envz00_15269, (int) (((long) 1)));
				BgL_locz00_15272 = PROCEDURE_REF(BgL_envz00_15269, (int) (((long) 2)));
				BgL_symbzd2funzd2_15273 =
					PROCEDURE_REF(BgL_envz00_15269, (int) (((long) 3)));
				BgL_siza7eza7_15274 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15269, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1983;

					BgL_sz00_1983 = BgL_sz00_15275;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_1985;

						BgL_bpz00_1985 = VECTOR_REF(BgL_sz00_1983, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_1986;
							obj_t BgL_a1z00_1987;

							BgL_fz00_1986 =
								PROCEDURE_ENTRY(BgL_funz00_15270) (BgL_funz00_15270,
								BgL_sz00_1983, BEOA);
							BgL_a1z00_1987 =
								PROCEDURE_ENTRY(BgL_a1z00_15271) (BgL_a1z00_15271,
								BgL_sz00_1983, BEOA);
							if (PROCEDUREP(BgL_fz00_1986))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15272,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_1986);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_1989;

								BgL_ufz00_1989 = PROCEDURE_ATTR(BgL_fz00_1986);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_19216;

									if (STRUCTP(BgL_ufz00_1989))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19216 =
												(STRUCT_KEY(BgL_ufz00_1989) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19216 = ((bool_t) 0);
										}
									if (BgL_testz00_19216)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_1991;
											obj_t BgL_runz00_1992;
											obj_t BgL_sfz00_1993;

											BgL_arityz00_1991 =
												STRUCT_REF(BgL_ufz00_1989, (int) (((long) 0)));
											BgL_runz00_1992 =
												STRUCT_REF(BgL_ufz00_1989, (int) (((long) 1)));
											BgL_sfz00_1993 =
												STRUCT_REF(BgL_ufz00_1989, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 841 */
												long BgL_spz00_1994;

												BgL_spz00_1994 =
													((long) CINT(BgL_bpz00_1985) + BgL_siza7eza7_15274);
												if (((long) CINT(BgL_arityz00_1991) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3391z00_1996;

														BgL_arg3391z00_1996 = (BgL_spz00_1994 + ((long) 0));
														VECTOR_SET(BgL_sz00_1983,
															(int) (BgL_arg3391z00_1996), BgL_a1z00_1987);
													}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														if (INTEGERP(BgL_arityz00_1991))
															{	/* Eval/evaluate_comp.scm 841 */
																switch ((long) CINT(BgL_arityz00_1991))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3393z00_2000;
																			obj_t BgL_arg3394z00_2001;

																			BgL_arg3393z00_2000 =
																				(BgL_spz00_1994 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3395z00_2002;

																				BgL_list3395z00_2002 =
																					MAKE_PAIR(BgL_a1z00_1987, BNIL);
																				BgL_arg3394z00_2001 =
																					BgL_list3395z00_2002;
																			}
																			VECTOR_SET(BgL_sz00_1983,
																				(int) (BgL_arg3393z00_2000),
																				BgL_arg3394z00_2001);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3396z00_2003;

																			BgL_arg3396z00_2003 =
																				(BgL_spz00_1994 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1983,
																				(int) (BgL_arg3396z00_2003),
																				BgL_a1z00_1987);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3397z00_2004;

																			BgL_arg3397z00_2004 =
																				(BgL_spz00_1994 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1983,
																				(int) (BgL_arg3397z00_2004), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15272,
																			STRUCT_REF(BgL_ufz00_1989,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1991));
															}}
														else
															{	/* Eval/evaluate_comp.scm 841 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15272, STRUCT_REF(BgL_ufz00_1989,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1991));
													}}
												{	/* Eval/evaluate_comp.scm 841 */
													obj_t BgL_auxz00_19259;

													BgL_auxz00_19259 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19259,
														BgL_locz00_15272);
												}
												{	/* Eval/evaluate_comp.scm 841 */
													bool_t BgL_testz00_19262;

													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3189z00_7767;
														int BgL_arg3190z00_7768;

														BgL_arg3189z00_7767 =
															(BgL_spz00_1994 + (long) CINT(BgL_sfz00_1993));
														BgL_arg3190z00_7768 = VECTOR_LENGTH(BgL_sz00_1983);
														BgL_testz00_19262 =
															(BgL_arg3189z00_7767 <
															(long) (BgL_arg3190z00_7768));
													}
													if (BgL_testz00_19262)
														{	/* Eval/evaluate_comp.scm 841 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1992, BgL_sz00_1983,
																BINT(BgL_spz00_1994));
														}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_nsz00_2010;

															BgL_nsz00_2010 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 841 */
																long BgL_arg3402z00_2012;

																BgL_arg3402z00_2012 =
																	(BgL_spz00_1994 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2010, BINT(((long) 2)),
																	BgL_sz00_1983, BINT(BgL_spz00_1994),
																	BINT(BgL_arg3402z00_2012));
															}
															VECTOR_SET(BgL_nsz00_2010,
																(int) (((long) 1)), BgL_sz00_1983);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_19278;

																BgL_auxz00_19278 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19278,
																	BgL_nsz00_2010);
															}
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_val2467z00_2014;

																BgL_val2467z00_2014 =
																	BGl_zc3exitza33408ze3z83zz__evaluate_compz00
																	(BgL_nsz00_2010, BgL_runz00_1992);
																{	/* Eval/evaluate_comp.scm 841 */
																	obj_t BgL_auxz00_19282;

																	BgL_auxz00_19282 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19282,
																		BgL_sz00_1983);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val2467z00_2014)))
																	{	/* Eval/evaluate_comp.scm 841 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val2467z00_2014),
																			CDR(BgL_val2467z00_2014));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 841 */
																		return BgL_val2467z00_2014;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1986,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_2023;

													BgL_nbpz00_2023 =
														((long) CINT(BgL_bpz00_1985) + BgL_siza7eza7_15274);
													VECTOR_SET(BgL_sz00_1983,
														(int) (((long) 0)), BINT(BgL_nbpz00_2023));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_2024;

														BgL_rz00_2024 =
															PROCEDURE_ENTRY(BgL_fz00_1986) (BgL_fz00_1986,
															BgL_a1z00_1987, BEOA);
														VECTOR_SET(BgL_sz00_1983, (int) (((long) 0)),
															BgL_bpz00_1985);
														return BgL_rz00_2024;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15272, BgL_symbzd2funzd2_15273,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1986));
		}}}}}}}}}
	}



/* <exit:3408> */
	obj_t BGl_zc3exitza33408ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17238,
		obj_t BgL_runz00_17237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2468z00_2020;

			if (SET_EXIT(BgL_an_exit2468z00_2020))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2468z00_2020 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2468z00_2020, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2469z00_2021;

							BgL_val2469z00_2021 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17237,
								BgL_nsz00_17238, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2469z00_2021;
						}
					}
				}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_151,
		BgL_ev_exprz00_bglt BgL_vfunz00_152, obj_t BgL_symbzd2funzd2_153,
		obj_t BgL_funz00_154, obj_t BgL_tailzf3zf3_155, obj_t BgL_stkz00_156,
		long BgL_siza7eza7_157, obj_t BgL_a1z00_158, obj_t BgL_a2z00_159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_cfunz00_2026;

				BgL_cfunz00_2026 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_152,
					((long) 2));
				if (CBOOL(BgL_cfunz00_2026))
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_zc3anonymousza33411ze3z83_15276;

						BgL_zc3anonymousza33411ze3z83_15276 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33411ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33411ze3z83_15276,
							(int) (((long) 0)), BgL_a1z00_158);
						PROCEDURE_SET(BgL_zc3anonymousza33411ze3z83_15276,
							(int) (((long) 1)), BgL_a2z00_159);
						PROCEDURE_SET(BgL_zc3anonymousza33411ze3z83_15276,
							(int) (((long) 2)), BINT(BgL_siza7eza7_157));
						PROCEDURE_SET(BgL_zc3anonymousza33411ze3z83_15276,
							(int) (((long) 3)), BgL_cfunz00_2026);
						return BgL_zc3anonymousza33411ze3z83_15276;
					}
				else
					{	/* Eval/evaluate_comp.scm 841 */
						if (CBOOL(BgL_tailzf3zf3_155))
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33412ze3z83_15277;

								BgL_zc3anonymousza33412ze3z83_15277 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33412ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza33412ze3z83_15277,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza33412ze3z83_15277,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza33412ze3z83_15277,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza33412ze3z83_15277,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza33412ze3z83_15277,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza33412ze3z83_15277,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza33412ze3z83_15277;
							}
						else
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33443ze3z83_15278;

								BgL_zc3anonymousza33443ze3z83_15278 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza33443ze3z83_15278,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza33443ze3z83_15278,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza33443ze3z83_15278,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza33443ze3z83_15278,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza33443ze3z83_15278,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza33443ze3z83_15278,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza33443ze3z83_15278;
							}
					}
			}
		}
	}



/* &<anonymous:3411> */
	obj_t BGl_z62zc3anonymousza33411ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15279, obj_t BgL_sz00_15284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_a1z00_15280;
				obj_t BgL_a2z00_15281;
				long BgL_siza7eza7_15282;
				obj_t BgL_cfunz00_15283;

				BgL_a1z00_15280 = PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 0)));
				BgL_a2z00_15281 = PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 1)));
				BgL_siza7eza7_15282 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 2))));
				BgL_cfunz00_15283 = PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2027;

					BgL_sz00_2027 = BgL_sz00_15284;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2029;

						BgL_bpz00_2029 = VECTOR_REF(BgL_sz00_2027, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_a1z00_2030;
							obj_t BgL_a2z00_2031;

							BgL_a1z00_2030 =
								PROCEDURE_ENTRY(BgL_a1z00_15280) (BgL_a1z00_15280,
								BgL_sz00_2027, BEOA);
							BgL_a2z00_2031 =
								PROCEDURE_ENTRY(BgL_a2z00_15281) (BgL_a2z00_15281,
								BgL_sz00_2027, BEOA);
							{	/* Eval/evaluate_comp.scm 841 */
								long BgL_nbpz00_2032;

								BgL_nbpz00_2032 =
									((long) CINT(BgL_bpz00_2029) + BgL_siza7eza7_15282);
								VECTOR_SET(BgL_sz00_2027,
									(int) (((long) 0)), BINT(BgL_nbpz00_2032));
								{	/* Eval/evaluate_comp.scm 841 */
									obj_t BgL_rz00_2033;

									BgL_rz00_2033 =
										PROCEDURE_ENTRY(BgL_cfunz00_15283) (BgL_cfunz00_15283,
										BgL_a1z00_2030, BgL_a2z00_2031, BEOA);
									VECTOR_SET(BgL_sz00_2027, (int) (((long) 0)), BgL_bpz00_2029);
									return BgL_rz00_2033;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3412> */
	obj_t BGl_z62zc3anonymousza33412ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15285, obj_t BgL_sz00_15292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15286;
				obj_t BgL_a1z00_15287;
				obj_t BgL_a2z00_15288;
				obj_t BgL_locz00_15289;
				obj_t BgL_symbzd2funzd2_15290;
				long BgL_siza7eza7_15291;

				BgL_funz00_15286 = PROCEDURE_REF(BgL_envz00_15285, (int) (((long) 0)));
				BgL_a1z00_15287 = PROCEDURE_REF(BgL_envz00_15285, (int) (((long) 1)));
				BgL_a2z00_15288 = PROCEDURE_REF(BgL_envz00_15285, (int) (((long) 2)));
				BgL_locz00_15289 = PROCEDURE_REF(BgL_envz00_15285, (int) (((long) 3)));
				BgL_symbzd2funzd2_15290 =
					PROCEDURE_REF(BgL_envz00_15285, (int) (((long) 4)));
				BgL_siza7eza7_15291 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15285, (int) (((long) 5))));
				{
					obj_t BgL_sz00_2034;

					BgL_sz00_2034 = BgL_sz00_15292;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2036;

						BgL_bpz00_2036 = VECTOR_REF(BgL_sz00_2034, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_2037;
							obj_t BgL_a1z00_2038;
							obj_t BgL_a2z00_2039;

							BgL_fz00_2037 =
								PROCEDURE_ENTRY(BgL_funz00_15286) (BgL_funz00_15286,
								BgL_sz00_2034, BEOA);
							BgL_a1z00_2038 =
								PROCEDURE_ENTRY(BgL_a1z00_15287) (BgL_a1z00_15287,
								BgL_sz00_2034, BEOA);
							BgL_a2z00_2039 =
								PROCEDURE_ENTRY(BgL_a2z00_15288) (BgL_a2z00_15288,
								BgL_sz00_2034, BEOA);
							if (PROCEDUREP(BgL_fz00_2037))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15289,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_2037);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_2041;

								BgL_ufz00_2041 = PROCEDURE_ATTR(BgL_fz00_2037);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_19425;

									if (STRUCTP(BgL_ufz00_2041))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19425 =
												(STRUCT_KEY(BgL_ufz00_2041) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19425 = ((bool_t) 0);
										}
									if (BgL_testz00_19425)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_2043;
											obj_t BgL_runz00_2044;
											obj_t BgL_sfz00_2045;

											BgL_arityz00_2043 =
												STRUCT_REF(BgL_ufz00_2041, (int) (((long) 0)));
											BgL_runz00_2044 =
												STRUCT_REF(BgL_ufz00_2041, (int) (((long) 1)));
											BgL_sfz00_2045 =
												STRUCT_REF(BgL_ufz00_2041, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2043) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 841 */
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3416z00_2048;

														BgL_arg3416z00_2048 =
															((long) CINT(BgL_bpz00_2036) + ((long) 0));
														VECTOR_SET(BgL_sz00_2034,
															(int) (BgL_arg3416z00_2048), BgL_a1z00_2038);
													}
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3417z00_2049;

														BgL_arg3417z00_2049 =
															((long) CINT(BgL_bpz00_2036) + ((long) 1));
														VECTOR_SET(BgL_sz00_2034,
															(int) (BgL_arg3417z00_2049), BgL_a2z00_2039);
												}}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													if (INTEGERP(BgL_arityz00_2043))
														{	/* Eval/evaluate_comp.scm 841 */
															switch ((long) CINT(BgL_arityz00_2043))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3419z00_2053;
																		obj_t BgL_arg3420z00_2054;

																		BgL_arg3419z00_2053 =
																			(
																			(long) CINT(BgL_bpz00_2036) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3421z00_2055;

																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_arg3422z00_2056;

																				BgL_arg3422z00_2056 =
																					MAKE_PAIR(BgL_a2z00_2039, BNIL);
																				BgL_list3421z00_2055 =
																					MAKE_PAIR(BgL_a1z00_2038,
																					BgL_arg3422z00_2056);
																			}
																			BgL_arg3420z00_2054 =
																				BgL_list3421z00_2055;
																		}
																		VECTOR_SET(BgL_sz00_2034,
																			(int) (BgL_arg3419z00_2053),
																			BgL_arg3420z00_2054);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3423z00_2057;

																		BgL_arg3423z00_2057 =
																			(
																			(long) CINT(BgL_bpz00_2036) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2034,
																			(int) (BgL_arg3423z00_2057),
																			BgL_a1z00_2038);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3424z00_2058;
																		obj_t BgL_arg3425z00_2059;

																		BgL_arg3424z00_2058 =
																			(
																			(long) CINT(BgL_bpz00_2036) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3426z00_2060;

																			BgL_list3426z00_2060 =
																				MAKE_PAIR(BgL_a2z00_2039, BNIL);
																			BgL_arg3425z00_2059 =
																				BgL_list3426z00_2060;
																		}
																		VECTOR_SET(BgL_sz00_2034,
																			(int) (BgL_arg3424z00_2058),
																			BgL_arg3425z00_2059);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3427z00_2061;

																		BgL_arg3427z00_2061 =
																			(
																			(long) CINT(BgL_bpz00_2036) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2034,
																			(int) (BgL_arg3427z00_2061),
																			BgL_a1z00_2038);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3428z00_2062;

																		BgL_arg3428z00_2062 =
																			(
																			(long) CINT(BgL_bpz00_2036) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2034,
																			(int) (BgL_arg3428z00_2062),
																			BgL_a2z00_2039);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3429z00_2063;

																		BgL_arg3429z00_2063 =
																			(
																			(long) CINT(BgL_bpz00_2036) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2034,
																			(int) (BgL_arg3429z00_2063), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15289,
																		STRUCT_REF(BgL_ufz00_2041,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_2043));
														}}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15289, STRUCT_REF(BgL_ufz00_2041,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_2043));
												}}
											{	/* Eval/evaluate_comp.scm 841 */
												obj_t BgL_auxz00_19488;

												BgL_auxz00_19488 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19488,
													BgL_locz00_15289);
											}
											{	/* Eval/evaluate_comp.scm 841 */
												bool_t BgL_testz00_19491;

												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_arg3189z00_7903;
													int BgL_arg3190z00_7904;

													BgL_arg3189z00_7903 =
														(
														(long) CINT(BgL_bpz00_2036) +
														(long) CINT(BgL_sfz00_2045));
													BgL_arg3190z00_7904 = VECTOR_LENGTH(BgL_sz00_2034);
													BgL_testz00_19491 =
														(BgL_arg3189z00_7903 <
														(long) (BgL_arg3190z00_7904));
												}
												if (BgL_testz00_19491)
													{	/* Eval/evaluate_comp.scm 841 */
														return BgL_runz00_2044;
													}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_nsz00_2069;

														BgL_nsz00_2069 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3434z00_2071;

															BgL_arg3434z00_2071 =
																((long) CINT(BgL_bpz00_2036) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_2069, BINT(((long) 2)),
																BgL_sz00_2034, BgL_bpz00_2036,
																BINT(BgL_arg3434z00_2071));
														}
														VECTOR_SET(BgL_nsz00_2069,
															(int) (((long) 1)), BgL_sz00_2034);
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_auxz00_19506;

															BgL_auxz00_19506 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19506,
																BgL_nsz00_2069);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_val2472z00_2073;

															BgL_val2472z00_2073 =
																BGl_zc3exitza33440ze3z83zz__evaluate_compz00
																(BgL_nsz00_2069, BgL_runz00_2044);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_19510;

																BgL_auxz00_19510 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19510,
																	BgL_sz00_2034);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val2472z00_2073)))
																{	/* Eval/evaluate_comp.scm 841 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val2472z00_2073),
																		CDR(BgL_val2472z00_2073));
																}
															else
																{	/* Eval/evaluate_comp.scm 841 */
																	return BgL_val2472z00_2073;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2037,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_2082;

													BgL_nbpz00_2082 =
														((long) CINT(BgL_bpz00_2036) + BgL_siza7eza7_15291);
													VECTOR_SET(BgL_sz00_2034,
														(int) (((long) 0)), BINT(BgL_nbpz00_2082));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_2083;

														BgL_rz00_2083 =
															PROCEDURE_ENTRY(BgL_fz00_2037) (BgL_fz00_2037,
															BgL_a1z00_2038, BgL_a2z00_2039, BEOA);
														VECTOR_SET(BgL_sz00_2034, (int) (((long) 0)),
															BgL_bpz00_2036);
														return BgL_rz00_2083;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15289, BgL_symbzd2funzd2_15290,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_2037));
		}}}}}}}}}
	}



/* <exit:3440> */
	obj_t BGl_zc3exitza33440ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17236,
		obj_t BgL_runz00_17235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2473z00_2079;

			if (SET_EXIT(BgL_an_exit2473z00_2079))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2473z00_2079 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2473z00_2079, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2474z00_2080;

							BgL_val2474z00_2080 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17235,
								BgL_nsz00_17236, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2474z00_2080;
						}
					}
				}
		}
	}



/* &<anonymous:3443> */
	obj_t BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15293, obj_t BgL_sz00_15300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15294;
				obj_t BgL_a1z00_15295;
				obj_t BgL_a2z00_15296;
				obj_t BgL_locz00_15297;
				obj_t BgL_symbzd2funzd2_15298;
				long BgL_siza7eza7_15299;

				BgL_funz00_15294 = PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 0)));
				BgL_a1z00_15295 = PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 1)));
				BgL_a2z00_15296 = PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 2)));
				BgL_locz00_15297 = PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 3)));
				BgL_symbzd2funzd2_15298 =
					PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 4)));
				BgL_siza7eza7_15299 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 5))));
				{
					obj_t BgL_sz00_2085;

					BgL_sz00_2085 = BgL_sz00_15300;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2087;

						BgL_bpz00_2087 = VECTOR_REF(BgL_sz00_2085, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_2088;
							obj_t BgL_a1z00_2089;
							obj_t BgL_a2z00_2090;

							BgL_fz00_2088 =
								PROCEDURE_ENTRY(BgL_funz00_15294) (BgL_funz00_15294,
								BgL_sz00_2085, BEOA);
							BgL_a1z00_2089 =
								PROCEDURE_ENTRY(BgL_a1z00_15295) (BgL_a1z00_15295,
								BgL_sz00_2085, BEOA);
							BgL_a2z00_2090 =
								PROCEDURE_ENTRY(BgL_a2z00_15296) (BgL_a2z00_15296,
								BgL_sz00_2085, BEOA);
							if (PROCEDUREP(BgL_fz00_2088))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15297,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_2088);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_2092;

								BgL_ufz00_2092 = PROCEDURE_ATTR(BgL_fz00_2088);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_19574;

									if (STRUCTP(BgL_ufz00_2092))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19574 =
												(STRUCT_KEY(BgL_ufz00_2092) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19574 = ((bool_t) 0);
										}
									if (BgL_testz00_19574)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_2094;
											obj_t BgL_runz00_2095;
											obj_t BgL_sfz00_2096;

											BgL_arityz00_2094 =
												STRUCT_REF(BgL_ufz00_2092, (int) (((long) 0)));
											BgL_runz00_2095 =
												STRUCT_REF(BgL_ufz00_2092, (int) (((long) 1)));
											BgL_sfz00_2096 =
												STRUCT_REF(BgL_ufz00_2092, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 841 */
												long BgL_spz00_2097;

												BgL_spz00_2097 =
													((long) CINT(BgL_bpz00_2087) + BgL_siza7eza7_15299);
												if (((long) CINT(BgL_arityz00_2094) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 841 */
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3449z00_2099;

															BgL_arg3449z00_2099 =
																(BgL_spz00_2097 + ((long) 0));
															VECTOR_SET(BgL_sz00_2085,
																(int) (BgL_arg3449z00_2099), BgL_a1z00_2089);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3450z00_2100;

															BgL_arg3450z00_2100 =
																(BgL_spz00_2097 + ((long) 1));
															VECTOR_SET(BgL_sz00_2085,
																(int) (BgL_arg3450z00_2100), BgL_a2z00_2090);
													}}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														if (INTEGERP(BgL_arityz00_2094))
															{	/* Eval/evaluate_comp.scm 841 */
																switch ((long) CINT(BgL_arityz00_2094))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3452z00_2104;
																			obj_t BgL_arg3453z00_2105;

																			BgL_arg3452z00_2104 =
																				(BgL_spz00_2097 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3454z00_2106;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3455z00_2107;

																					BgL_arg3455z00_2107 =
																						MAKE_PAIR(BgL_a2z00_2090, BNIL);
																					BgL_list3454z00_2106 =
																						MAKE_PAIR(BgL_a1z00_2089,
																						BgL_arg3455z00_2107);
																				}
																				BgL_arg3453z00_2105 =
																					BgL_list3454z00_2106;
																			}
																			VECTOR_SET(BgL_sz00_2085,
																				(int) (BgL_arg3452z00_2104),
																				BgL_arg3453z00_2105);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3456z00_2108;

																			BgL_arg3456z00_2108 =
																				(BgL_spz00_2097 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2085,
																				(int) (BgL_arg3456z00_2108),
																				BgL_a1z00_2089);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3457z00_2109;
																			obj_t BgL_arg3458z00_2110;

																			BgL_arg3457z00_2109 =
																				(BgL_spz00_2097 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3459z00_2111;

																				BgL_list3459z00_2111 =
																					MAKE_PAIR(BgL_a2z00_2090, BNIL);
																				BgL_arg3458z00_2110 =
																					BgL_list3459z00_2111;
																			}
																			VECTOR_SET(BgL_sz00_2085,
																				(int) (BgL_arg3457z00_2109),
																				BgL_arg3458z00_2110);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3460z00_2112;

																			BgL_arg3460z00_2112 =
																				(BgL_spz00_2097 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2085,
																				(int) (BgL_arg3460z00_2112),
																				BgL_a1z00_2089);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3461z00_2113;

																			BgL_arg3461z00_2113 =
																				(BgL_spz00_2097 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2085,
																				(int) (BgL_arg3461z00_2113),
																				BgL_a2z00_2090);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3462z00_2114;

																			BgL_arg3462z00_2114 =
																				(BgL_spz00_2097 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2085,
																				(int) (BgL_arg3462z00_2114), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15297,
																			STRUCT_REF(BgL_ufz00_2092,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_2094));
															}}
														else
															{	/* Eval/evaluate_comp.scm 841 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15297, STRUCT_REF(BgL_ufz00_2092,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_2094));
													}}
												{	/* Eval/evaluate_comp.scm 841 */
													obj_t BgL_auxz00_19631;

													BgL_auxz00_19631 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19631,
														BgL_locz00_15297);
												}
												{	/* Eval/evaluate_comp.scm 841 */
													bool_t BgL_testz00_19634;

													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3189z00_8029;
														int BgL_arg3190z00_8030;

														BgL_arg3189z00_8029 =
															(BgL_spz00_2097 + (long) CINT(BgL_sfz00_2096));
														BgL_arg3190z00_8030 = VECTOR_LENGTH(BgL_sz00_2085);
														BgL_testz00_19634 =
															(BgL_arg3189z00_8029 <
															(long) (BgL_arg3190z00_8030));
													}
													if (BgL_testz00_19634)
														{	/* Eval/evaluate_comp.scm 841 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2095, BgL_sz00_2085,
																BINT(BgL_spz00_2097));
														}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_nsz00_2120;

															BgL_nsz00_2120 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 841 */
																long BgL_arg3467z00_2122;

																BgL_arg3467z00_2122 =
																	(BgL_spz00_2097 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2120, BINT(((long) 2)),
																	BgL_sz00_2085, BINT(BgL_spz00_2097),
																	BINT(BgL_arg3467z00_2122));
															}
															VECTOR_SET(BgL_nsz00_2120,
																(int) (((long) 1)), BgL_sz00_2085);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_19650;

																BgL_auxz00_19650 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19650,
																	BgL_nsz00_2120);
															}
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_val2477z00_2124;

																BgL_val2477z00_2124 =
																	BGl_zc3exitza33473ze3z83zz__evaluate_compz00
																	(BgL_nsz00_2120, BgL_runz00_2095);
																{	/* Eval/evaluate_comp.scm 841 */
																	obj_t BgL_auxz00_19654;

																	BgL_auxz00_19654 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19654,
																		BgL_sz00_2085);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val2477z00_2124)))
																	{	/* Eval/evaluate_comp.scm 841 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val2477z00_2124),
																			CDR(BgL_val2477z00_2124));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 841 */
																		return BgL_val2477z00_2124;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2088,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_2133;

													BgL_nbpz00_2133 =
														((long) CINT(BgL_bpz00_2087) + BgL_siza7eza7_15299);
													VECTOR_SET(BgL_sz00_2085,
														(int) (((long) 0)), BINT(BgL_nbpz00_2133));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_2134;

														BgL_rz00_2134 =
															PROCEDURE_ENTRY(BgL_fz00_2088) (BgL_fz00_2088,
															BgL_a1z00_2089, BgL_a2z00_2090, BEOA);
														VECTOR_SET(BgL_sz00_2085, (int) (((long) 0)),
															BgL_bpz00_2087);
														return BgL_rz00_2134;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15297, BgL_symbzd2funzd2_15298,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_2088));
		}}}}}}}}}
	}



/* <exit:3473> */
	obj_t BGl_zc3exitza33473ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17234,
		obj_t BgL_runz00_17233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2478z00_2130;

			if (SET_EXIT(BgL_an_exit2478z00_2130))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2478z00_2130 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2478z00_2130, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2479z00_2131;

							BgL_val2479z00_2131 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17233,
								BgL_nsz00_17234, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2479z00_2131;
						}
					}
				}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_160,
		BgL_ev_exprz00_bglt BgL_vfunz00_161, obj_t BgL_symbzd2funzd2_162,
		obj_t BgL_funz00_163, obj_t BgL_tailzf3zf3_164, obj_t BgL_stkz00_165,
		long BgL_siza7eza7_166, obj_t BgL_a1z00_167, obj_t BgL_a2z00_168,
		obj_t BgL_a3z00_169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_cfunz00_2136;

				BgL_cfunz00_2136 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_161,
					((long) 3));
				if (CBOOL(BgL_cfunz00_2136))
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_zc3anonymousza33476ze3z83_15301;

						BgL_zc3anonymousza33476ze3z83_15301 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33476ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 5)));
						PROCEDURE_SET(BgL_zc3anonymousza33476ze3z83_15301,
							(int) (((long) 0)), BgL_a1z00_167);
						PROCEDURE_SET(BgL_zc3anonymousza33476ze3z83_15301,
							(int) (((long) 1)), BgL_a2z00_168);
						PROCEDURE_SET(BgL_zc3anonymousza33476ze3z83_15301,
							(int) (((long) 2)), BgL_a3z00_169);
						PROCEDURE_SET(BgL_zc3anonymousza33476ze3z83_15301,
							(int) (((long) 3)), BINT(BgL_siza7eza7_166));
						PROCEDURE_SET(BgL_zc3anonymousza33476ze3z83_15301,
							(int) (((long) 4)), BgL_cfunz00_2136);
						return BgL_zc3anonymousza33476ze3z83_15301;
					}
				else
					{	/* Eval/evaluate_comp.scm 841 */
						if (CBOOL(BgL_tailzf3zf3_164))
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33477ze3z83_15302;

								BgL_zc3anonymousza33477ze3z83_15302 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33477ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza33477ze3z83_15302,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza33477ze3z83_15302,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza33477ze3z83_15302,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza33477ze3z83_15302,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza33477ze3z83_15302,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza33477ze3z83_15302,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza33477ze3z83_15302,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza33477ze3z83_15302;
							}
						else
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33517ze3z83_15303;

								BgL_zc3anonymousza33517ze3z83_15303 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33517ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza33517ze3z83_15303,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza33517ze3z83_15303,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza33517ze3z83_15303,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza33517ze3z83_15303,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza33517ze3z83_15303,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza33517ze3z83_15303,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza33517ze3z83_15303,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza33517ze3z83_15303;
							}
					}
			}
		}
	}



/* &<anonymous:3476> */
	obj_t BGl_z62zc3anonymousza33476ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15304, obj_t BgL_sz00_15310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_a1z00_15305;
				obj_t BgL_a2z00_15306;
				obj_t BgL_a3z00_15307;
				long BgL_siza7eza7_15308;
				obj_t BgL_cfunz00_15309;

				BgL_a1z00_15305 = PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 0)));
				BgL_a2z00_15306 = PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 1)));
				BgL_a3z00_15307 = PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 2)));
				BgL_siza7eza7_15308 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 3))));
				BgL_cfunz00_15309 = PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 4)));
				{
					obj_t BgL_sz00_2137;

					BgL_sz00_2137 = BgL_sz00_15310;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2139;

						BgL_bpz00_2139 = VECTOR_REF(BgL_sz00_2137, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_a1z00_2140;
							obj_t BgL_a2z00_2141;
							obj_t BgL_a3z00_2142;

							BgL_a1z00_2140 =
								PROCEDURE_ENTRY(BgL_a1z00_15305) (BgL_a1z00_15305,
								BgL_sz00_2137, BEOA);
							BgL_a2z00_2141 =
								PROCEDURE_ENTRY(BgL_a2z00_15306) (BgL_a2z00_15306,
								BgL_sz00_2137, BEOA);
							BgL_a3z00_2142 =
								PROCEDURE_ENTRY(BgL_a3z00_15307) (BgL_a3z00_15307,
								BgL_sz00_2137, BEOA);
							{	/* Eval/evaluate_comp.scm 841 */
								long BgL_nbpz00_2143;

								BgL_nbpz00_2143 =
									((long) CINT(BgL_bpz00_2139) + BgL_siza7eza7_15308);
								VECTOR_SET(BgL_sz00_2137,
									(int) (((long) 0)), BINT(BgL_nbpz00_2143));
								{	/* Eval/evaluate_comp.scm 841 */
									obj_t BgL_rz00_2144;

									BgL_rz00_2144 =
										PROCEDURE_ENTRY(BgL_cfunz00_15309) (BgL_cfunz00_15309,
										BgL_a1z00_2140, BgL_a2z00_2141, BgL_a3z00_2142, BEOA);
									VECTOR_SET(BgL_sz00_2137, (int) (((long) 0)), BgL_bpz00_2139);
									return BgL_rz00_2144;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3477> */
	obj_t BGl_z62zc3anonymousza33477ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15311, obj_t BgL_sz00_15319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15312;
				obj_t BgL_a1z00_15313;
				obj_t BgL_a2z00_15314;
				obj_t BgL_a3z00_15315;
				obj_t BgL_locz00_15316;
				obj_t BgL_symbzd2funzd2_15317;
				long BgL_siza7eza7_15318;

				BgL_funz00_15312 = PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 0)));
				BgL_a1z00_15313 = PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 1)));
				BgL_a2z00_15314 = PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 2)));
				BgL_a3z00_15315 = PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 3)));
				BgL_locz00_15316 = PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 4)));
				BgL_symbzd2funzd2_15317 =
					PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 5)));
				BgL_siza7eza7_15318 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2145;

					BgL_sz00_2145 = BgL_sz00_15319;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2147;

						BgL_bpz00_2147 = VECTOR_REF(BgL_sz00_2145, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_2148;
							obj_t BgL_a1z00_2149;
							obj_t BgL_a2z00_2150;
							obj_t BgL_a3z00_2151;

							BgL_fz00_2148 =
								PROCEDURE_ENTRY(BgL_funz00_15312) (BgL_funz00_15312,
								BgL_sz00_2145, BEOA);
							BgL_a1z00_2149 =
								PROCEDURE_ENTRY(BgL_a1z00_15313) (BgL_a1z00_15313,
								BgL_sz00_2145, BEOA);
							BgL_a2z00_2150 =
								PROCEDURE_ENTRY(BgL_a2z00_15314) (BgL_a2z00_15314,
								BgL_sz00_2145, BEOA);
							BgL_a3z00_2151 =
								PROCEDURE_ENTRY(BgL_a3z00_15315) (BgL_a3z00_15315,
								BgL_sz00_2145, BEOA);
							if (PROCEDUREP(BgL_fz00_2148))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15316,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_2148);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_2153;

								BgL_ufz00_2153 = PROCEDURE_ATTR(BgL_fz00_2148);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_19817;

									if (STRUCTP(BgL_ufz00_2153))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19817 =
												(STRUCT_KEY(BgL_ufz00_2153) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19817 = ((bool_t) 0);
										}
									if (BgL_testz00_19817)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_2155;
											obj_t BgL_runz00_2156;
											obj_t BgL_sfz00_2157;

											BgL_arityz00_2155 =
												STRUCT_REF(BgL_ufz00_2153, (int) (((long) 0)));
											BgL_runz00_2156 =
												STRUCT_REF(BgL_ufz00_2153, (int) (((long) 1)));
											BgL_sfz00_2157 =
												STRUCT_REF(BgL_ufz00_2153, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2155) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 841 */
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3481z00_2160;

														BgL_arg3481z00_2160 =
															((long) CINT(BgL_bpz00_2147) + ((long) 0));
														VECTOR_SET(BgL_sz00_2145,
															(int) (BgL_arg3481z00_2160), BgL_a1z00_2149);
													}
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3482z00_2161;

														BgL_arg3482z00_2161 =
															((long) CINT(BgL_bpz00_2147) + ((long) 1));
														VECTOR_SET(BgL_sz00_2145,
															(int) (BgL_arg3482z00_2161), BgL_a2z00_2150);
													}
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3483z00_2162;

														BgL_arg3483z00_2162 =
															((long) CINT(BgL_bpz00_2147) + ((long) 2));
														VECTOR_SET(BgL_sz00_2145,
															(int) (BgL_arg3483z00_2162), BgL_a3z00_2151);
												}}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													if (INTEGERP(BgL_arityz00_2155))
														{	/* Eval/evaluate_comp.scm 841 */
															switch ((long) CINT(BgL_arityz00_2155))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3485z00_2166;
																		obj_t BgL_arg3486z00_2167;

																		BgL_arg3485z00_2166 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3487z00_2168;

																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_arg3488z00_2169;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3489z00_2170;

																					BgL_arg3489z00_2170 =
																						MAKE_PAIR(BgL_a3z00_2151, BNIL);
																					BgL_arg3488z00_2169 =
																						MAKE_PAIR(BgL_a2z00_2150,
																						BgL_arg3489z00_2170);
																				}
																				BgL_list3487z00_2168 =
																					MAKE_PAIR(BgL_a1z00_2149,
																					BgL_arg3488z00_2169);
																			}
																			BgL_arg3486z00_2167 =
																				BgL_list3487z00_2168;
																		}
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3485z00_2166),
																			BgL_arg3486z00_2167);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3490z00_2171;

																		BgL_arg3490z00_2171 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3490z00_2171),
																			BgL_a1z00_2149);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3491z00_2172;
																		obj_t BgL_arg3492z00_2173;

																		BgL_arg3491z00_2172 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3493z00_2174;

																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_arg3494z00_2175;

																				BgL_arg3494z00_2175 =
																					MAKE_PAIR(BgL_a3z00_2151, BNIL);
																				BgL_list3493z00_2174 =
																					MAKE_PAIR(BgL_a2z00_2150,
																					BgL_arg3494z00_2175);
																			}
																			BgL_arg3492z00_2173 =
																				BgL_list3493z00_2174;
																		}
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3491z00_2172),
																			BgL_arg3492z00_2173);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3495z00_2176;

																		BgL_arg3495z00_2176 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3495z00_2176),
																			BgL_a1z00_2149);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3496z00_2177;

																		BgL_arg3496z00_2177 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3496z00_2177),
																			BgL_a2z00_2150);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3497z00_2178;
																		obj_t BgL_arg3498z00_2179;

																		BgL_arg3497z00_2178 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3499z00_2180;

																			BgL_list3499z00_2180 =
																				MAKE_PAIR(BgL_a3z00_2151, BNIL);
																			BgL_arg3498z00_2179 =
																				BgL_list3499z00_2180;
																		}
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3497z00_2178),
																			BgL_arg3498z00_2179);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3500z00_2181;

																		BgL_arg3500z00_2181 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3500z00_2181),
																			BgL_a1z00_2149);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3501z00_2182;

																		BgL_arg3501z00_2182 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3501z00_2182),
																			BgL_a2z00_2150);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3502z00_2183;

																		BgL_arg3502z00_2183 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3502z00_2183),
																			BgL_a3z00_2151);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3503z00_2184;

																		BgL_arg3503z00_2184 =
																			(
																			(long) CINT(BgL_bpz00_2147) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2145,
																			(int) (BgL_arg3503z00_2184), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15316,
																		STRUCT_REF(BgL_ufz00_2153,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_2155));
														}}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15316, STRUCT_REF(BgL_ufz00_2153,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_2155));
												}}
											{	/* Eval/evaluate_comp.scm 841 */
												obj_t BgL_auxz00_19903;

												BgL_auxz00_19903 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19903,
													BgL_locz00_15316);
											}
											{	/* Eval/evaluate_comp.scm 841 */
												bool_t BgL_testz00_19906;

												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_arg3189z00_8197;
													int BgL_arg3190z00_8198;

													BgL_arg3189z00_8197 =
														(
														(long) CINT(BgL_bpz00_2147) +
														(long) CINT(BgL_sfz00_2157));
													BgL_arg3190z00_8198 = VECTOR_LENGTH(BgL_sz00_2145);
													BgL_testz00_19906 =
														(BgL_arg3189z00_8197 <
														(long) (BgL_arg3190z00_8198));
												}
												if (BgL_testz00_19906)
													{	/* Eval/evaluate_comp.scm 841 */
														return BgL_runz00_2156;
													}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_nsz00_2190;

														BgL_nsz00_2190 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3508z00_2192;

															BgL_arg3508z00_2192 =
																((long) CINT(BgL_bpz00_2147) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_2190, BINT(((long) 2)),
																BgL_sz00_2145, BgL_bpz00_2147,
																BINT(BgL_arg3508z00_2192));
														}
														VECTOR_SET(BgL_nsz00_2190,
															(int) (((long) 1)), BgL_sz00_2145);
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_auxz00_19921;

															BgL_auxz00_19921 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19921,
																BgL_nsz00_2190);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_val2482z00_2194;

															BgL_val2482z00_2194 =
																BGl_zc3exitza33514ze3z83zz__evaluate_compz00
																(BgL_nsz00_2190, BgL_runz00_2156);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_19925;

																BgL_auxz00_19925 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19925,
																	BgL_sz00_2145);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val2482z00_2194)))
																{	/* Eval/evaluate_comp.scm 841 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val2482z00_2194),
																		CDR(BgL_val2482z00_2194));
																}
															else
																{	/* Eval/evaluate_comp.scm 841 */
																	return BgL_val2482z00_2194;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2148,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_2203;

													BgL_nbpz00_2203 =
														((long) CINT(BgL_bpz00_2147) + BgL_siza7eza7_15318);
													VECTOR_SET(BgL_sz00_2145,
														(int) (((long) 0)), BINT(BgL_nbpz00_2203));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_2204;

														BgL_rz00_2204 =
															PROCEDURE_ENTRY(BgL_fz00_2148) (BgL_fz00_2148,
															BgL_a1z00_2149, BgL_a2z00_2150, BgL_a3z00_2151,
															BEOA);
														VECTOR_SET(BgL_sz00_2145, (int) (((long) 0)),
															BgL_bpz00_2147);
														return BgL_rz00_2204;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15316, BgL_symbzd2funzd2_15317,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2148));
		}}}}}}}}}
	}



/* <exit:3514> */
	obj_t BGl_zc3exitza33514ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17232,
		obj_t BgL_runz00_17231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2483z00_2200;

			if (SET_EXIT(BgL_an_exit2483z00_2200))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2483z00_2200 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2483z00_2200, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2484z00_2201;

							BgL_val2484z00_2201 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17231,
								BgL_nsz00_17232, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2484z00_2201;
						}
					}
				}
		}
	}



/* &<anonymous:3517> */
	obj_t BGl_z62zc3anonymousza33517ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15320, obj_t BgL_sz00_15328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15321;
				obj_t BgL_a1z00_15322;
				obj_t BgL_a2z00_15323;
				obj_t BgL_a3z00_15324;
				obj_t BgL_locz00_15325;
				obj_t BgL_symbzd2funzd2_15326;
				long BgL_siza7eza7_15327;

				BgL_funz00_15321 = PROCEDURE_REF(BgL_envz00_15320, (int) (((long) 0)));
				BgL_a1z00_15322 = PROCEDURE_REF(BgL_envz00_15320, (int) (((long) 1)));
				BgL_a2z00_15323 = PROCEDURE_REF(BgL_envz00_15320, (int) (((long) 2)));
				BgL_a3z00_15324 = PROCEDURE_REF(BgL_envz00_15320, (int) (((long) 3)));
				BgL_locz00_15325 = PROCEDURE_REF(BgL_envz00_15320, (int) (((long) 4)));
				BgL_symbzd2funzd2_15326 =
					PROCEDURE_REF(BgL_envz00_15320, (int) (((long) 5)));
				BgL_siza7eza7_15327 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15320, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2206;

					BgL_sz00_2206 = BgL_sz00_15328;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2208;

						BgL_bpz00_2208 = VECTOR_REF(BgL_sz00_2206, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_2209;
							obj_t BgL_a1z00_2210;
							obj_t BgL_a2z00_2211;
							obj_t BgL_a3z00_2212;

							BgL_fz00_2209 =
								PROCEDURE_ENTRY(BgL_funz00_15321) (BgL_funz00_15321,
								BgL_sz00_2206, BEOA);
							BgL_a1z00_2210 =
								PROCEDURE_ENTRY(BgL_a1z00_15322) (BgL_a1z00_15322,
								BgL_sz00_2206, BEOA);
							BgL_a2z00_2211 =
								PROCEDURE_ENTRY(BgL_a2z00_15323) (BgL_a2z00_15323,
								BgL_sz00_2206, BEOA);
							BgL_a3z00_2212 =
								PROCEDURE_ENTRY(BgL_a3z00_15324) (BgL_a3z00_15324,
								BgL_sz00_2206, BEOA);
							if (PROCEDUREP(BgL_fz00_2209))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15325,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_2209);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_2214;

								BgL_ufz00_2214 = PROCEDURE_ATTR(BgL_fz00_2209);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_19996;

									if (STRUCTP(BgL_ufz00_2214))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19996 =
												(STRUCT_KEY(BgL_ufz00_2214) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_19996 = ((bool_t) 0);
										}
									if (BgL_testz00_19996)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_2216;
											obj_t BgL_runz00_2217;
											obj_t BgL_sfz00_2218;

											BgL_arityz00_2216 =
												STRUCT_REF(BgL_ufz00_2214, (int) (((long) 0)));
											BgL_runz00_2217 =
												STRUCT_REF(BgL_ufz00_2214, (int) (((long) 1)));
											BgL_sfz00_2218 =
												STRUCT_REF(BgL_ufz00_2214, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 841 */
												long BgL_spz00_2219;

												BgL_spz00_2219 =
													((long) CINT(BgL_bpz00_2208) + BgL_siza7eza7_15327);
												if (((long) CINT(BgL_arityz00_2216) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 841 */
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3521z00_2221;

															BgL_arg3521z00_2221 =
																(BgL_spz00_2219 + ((long) 0));
															VECTOR_SET(BgL_sz00_2206,
																(int) (BgL_arg3521z00_2221), BgL_a1z00_2210);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3522z00_2222;

															BgL_arg3522z00_2222 =
																(BgL_spz00_2219 + ((long) 1));
															VECTOR_SET(BgL_sz00_2206,
																(int) (BgL_arg3522z00_2222), BgL_a2z00_2211);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3523z00_2223;

															BgL_arg3523z00_2223 =
																(BgL_spz00_2219 + ((long) 2));
															VECTOR_SET(BgL_sz00_2206,
																(int) (BgL_arg3523z00_2223), BgL_a3z00_2212);
													}}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														if (INTEGERP(BgL_arityz00_2216))
															{	/* Eval/evaluate_comp.scm 841 */
																switch ((long) CINT(BgL_arityz00_2216))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3525z00_2227;
																			obj_t BgL_arg3526z00_2228;

																			BgL_arg3525z00_2227 =
																				(BgL_spz00_2219 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3527z00_2229;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3528z00_2230;

																					{	/* Eval/evaluate_comp.scm 841 */
																						obj_t BgL_arg3529z00_2231;

																						BgL_arg3529z00_2231 =
																							MAKE_PAIR(BgL_a3z00_2212, BNIL);
																						BgL_arg3528z00_2230 =
																							MAKE_PAIR(BgL_a2z00_2211,
																							BgL_arg3529z00_2231);
																					}
																					BgL_list3527z00_2229 =
																						MAKE_PAIR(BgL_a1z00_2210,
																						BgL_arg3528z00_2230);
																				}
																				BgL_arg3526z00_2228 =
																					BgL_list3527z00_2229;
																			}
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3525z00_2227),
																				BgL_arg3526z00_2228);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3530z00_2232;

																			BgL_arg3530z00_2232 =
																				(BgL_spz00_2219 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3530z00_2232),
																				BgL_a1z00_2210);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3531z00_2233;
																			obj_t BgL_arg3532z00_2234;

																			BgL_arg3531z00_2233 =
																				(BgL_spz00_2219 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3533z00_2235;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3534z00_2236;

																					BgL_arg3534z00_2236 =
																						MAKE_PAIR(BgL_a3z00_2212, BNIL);
																					BgL_list3533z00_2235 =
																						MAKE_PAIR(BgL_a2z00_2211,
																						BgL_arg3534z00_2236);
																				}
																				BgL_arg3532z00_2234 =
																					BgL_list3533z00_2235;
																			}
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3531z00_2233),
																				BgL_arg3532z00_2234);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3535z00_2237;

																			BgL_arg3535z00_2237 =
																				(BgL_spz00_2219 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3535z00_2237),
																				BgL_a1z00_2210);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3536z00_2238;

																			BgL_arg3536z00_2238 =
																				(BgL_spz00_2219 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3536z00_2238),
																				BgL_a2z00_2211);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3537z00_2239;
																			obj_t BgL_arg3538z00_2240;

																			BgL_arg3537z00_2239 =
																				(BgL_spz00_2219 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3539z00_2241;

																				BgL_list3539z00_2241 =
																					MAKE_PAIR(BgL_a3z00_2212, BNIL);
																				BgL_arg3538z00_2240 =
																					BgL_list3539z00_2241;
																			}
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3537z00_2239),
																				BgL_arg3538z00_2240);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3540z00_2242;

																			BgL_arg3540z00_2242 =
																				(BgL_spz00_2219 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3540z00_2242),
																				BgL_a1z00_2210);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3541z00_2243;

																			BgL_arg3541z00_2243 =
																				(BgL_spz00_2219 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3541z00_2243),
																				BgL_a2z00_2211);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3542z00_2244;

																			BgL_arg3542z00_2244 =
																				(BgL_spz00_2219 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3542z00_2244),
																				BgL_a3z00_2212);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3543z00_2245;

																			BgL_arg3543z00_2245 =
																				(BgL_spz00_2219 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2206,
																				(int) (BgL_arg3543z00_2245), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15325,
																			STRUCT_REF(BgL_ufz00_2214,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_2216));
															}}
														else
															{	/* Eval/evaluate_comp.scm 841 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15325, STRUCT_REF(BgL_ufz00_2214,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_2216));
													}}
												{	/* Eval/evaluate_comp.scm 841 */
													obj_t BgL_auxz00_20071;

													BgL_auxz00_20071 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20071,
														BgL_locz00_15325);
												}
												{	/* Eval/evaluate_comp.scm 841 */
													bool_t BgL_testz00_20074;

													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3189z00_8355;
														int BgL_arg3190z00_8356;

														BgL_arg3189z00_8355 =
															(BgL_spz00_2219 + (long) CINT(BgL_sfz00_2218));
														BgL_arg3190z00_8356 = VECTOR_LENGTH(BgL_sz00_2206);
														BgL_testz00_20074 =
															(BgL_arg3189z00_8355 <
															(long) (BgL_arg3190z00_8356));
													}
													if (BgL_testz00_20074)
														{	/* Eval/evaluate_comp.scm 841 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2217, BgL_sz00_2206,
																BINT(BgL_spz00_2219));
														}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_nsz00_2251;

															BgL_nsz00_2251 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 841 */
																long BgL_arg3548z00_2253;

																BgL_arg3548z00_2253 =
																	(BgL_spz00_2219 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2251, BINT(((long) 2)),
																	BgL_sz00_2206, BINT(BgL_spz00_2219),
																	BINT(BgL_arg3548z00_2253));
															}
															VECTOR_SET(BgL_nsz00_2251,
																(int) (((long) 1)), BgL_sz00_2206);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_20090;

																BgL_auxz00_20090 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20090,
																	BgL_nsz00_2251);
															}
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_val2487z00_2255;

																BgL_val2487z00_2255 =
																	BGl_zc3exitza33554ze3z83zz__evaluate_compz00
																	(BgL_nsz00_2251, BgL_runz00_2217);
																{	/* Eval/evaluate_comp.scm 841 */
																	obj_t BgL_auxz00_20094;

																	BgL_auxz00_20094 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20094,
																		BgL_sz00_2206);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val2487z00_2255)))
																	{	/* Eval/evaluate_comp.scm 841 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val2487z00_2255),
																			CDR(BgL_val2487z00_2255));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 841 */
																		return BgL_val2487z00_2255;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2209,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_2264;

													BgL_nbpz00_2264 =
														((long) CINT(BgL_bpz00_2208) + BgL_siza7eza7_15327);
													VECTOR_SET(BgL_sz00_2206,
														(int) (((long) 0)), BINT(BgL_nbpz00_2264));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_2265;

														BgL_rz00_2265 =
															PROCEDURE_ENTRY(BgL_fz00_2209) (BgL_fz00_2209,
															BgL_a1z00_2210, BgL_a2z00_2211, BgL_a3z00_2212,
															BEOA);
														VECTOR_SET(BgL_sz00_2206, (int) (((long) 0)),
															BgL_bpz00_2208);
														return BgL_rz00_2265;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15325, BgL_symbzd2funzd2_15326,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2209));
		}}}}}}}}}
	}



/* <exit:3554> */
	obj_t BGl_zc3exitza33554ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17230,
		obj_t BgL_runz00_17229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2488z00_2261;

			if (SET_EXIT(BgL_an_exit2488z00_2261))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2488z00_2261 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2488z00_2261, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2489z00_2262;

							BgL_val2489z00_2262 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17229,
								BgL_nsz00_17230, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2489z00_2262;
						}
					}
				}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_170,
		BgL_ev_exprz00_bglt BgL_vfunz00_171, obj_t BgL_symbzd2funzd2_172,
		obj_t BgL_funz00_173, obj_t BgL_tailzf3zf3_174, obj_t BgL_stkz00_175,
		long BgL_siza7eza7_176, obj_t BgL_a1z00_177, obj_t BgL_a2z00_178,
		obj_t BgL_a3z00_179, obj_t BgL_a4z00_180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_cfunz00_2267;

				BgL_cfunz00_2267 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_171,
					((long) 4));
				if (CBOOL(BgL_cfunz00_2267))
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_zc3anonymousza33557ze3z83_15329;

						BgL_zc3anonymousza33557ze3z83_15329 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33557ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 6)));
						PROCEDURE_SET(BgL_zc3anonymousza33557ze3z83_15329,
							(int) (((long) 0)), BgL_a1z00_177);
						PROCEDURE_SET(BgL_zc3anonymousza33557ze3z83_15329,
							(int) (((long) 1)), BgL_a2z00_178);
						PROCEDURE_SET(BgL_zc3anonymousza33557ze3z83_15329,
							(int) (((long) 2)), BgL_a3z00_179);
						PROCEDURE_SET(BgL_zc3anonymousza33557ze3z83_15329,
							(int) (((long) 3)), BgL_a4z00_180);
						PROCEDURE_SET(BgL_zc3anonymousza33557ze3z83_15329,
							(int) (((long) 4)), BINT(BgL_siza7eza7_176));
						PROCEDURE_SET(BgL_zc3anonymousza33557ze3z83_15329,
							(int) (((long) 5)), BgL_cfunz00_2267);
						return BgL_zc3anonymousza33557ze3z83_15329;
					}
				else
					{	/* Eval/evaluate_comp.scm 841 */
						if (CBOOL(BgL_tailzf3zf3_174))
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33558ze3z83_15330;

								BgL_zc3anonymousza33558ze3z83_15330 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33558ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza33558ze3z83_15330,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza33558ze3z83_15330;
							}
						else
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_zc3anonymousza33610ze3z83_15331;

								BgL_zc3anonymousza33610ze3z83_15331 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33610ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza33610ze3z83_15331,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza33610ze3z83_15331;
							}
					}
			}
		}
	}



/* &<anonymous:3557> */
	obj_t BGl_z62zc3anonymousza33557ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15332, obj_t BgL_sz00_15339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_a1z00_15333;
				obj_t BgL_a2z00_15334;
				obj_t BgL_a3z00_15335;
				obj_t BgL_a4z00_15336;
				long BgL_siza7eza7_15337;
				obj_t BgL_cfunz00_15338;

				BgL_a1z00_15333 = PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 0)));
				BgL_a2z00_15334 = PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 1)));
				BgL_a3z00_15335 = PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 2)));
				BgL_a4z00_15336 = PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 3)));
				BgL_siza7eza7_15337 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 4))));
				BgL_cfunz00_15338 = PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 5)));
				{
					obj_t BgL_sz00_2268;

					BgL_sz00_2268 = BgL_sz00_15339;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2270;

						BgL_bpz00_2270 = VECTOR_REF(BgL_sz00_2268, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_a1z00_2271;
							obj_t BgL_a2z00_2272;
							obj_t BgL_a3z00_2273;
							obj_t BgL_a4z00_2274;

							BgL_a1z00_2271 =
								PROCEDURE_ENTRY(BgL_a1z00_15333) (BgL_a1z00_15333,
								BgL_sz00_2268, BEOA);
							BgL_a2z00_2272 =
								PROCEDURE_ENTRY(BgL_a2z00_15334) (BgL_a2z00_15334,
								BgL_sz00_2268, BEOA);
							BgL_a3z00_2273 =
								PROCEDURE_ENTRY(BgL_a3z00_15335) (BgL_a3z00_15335,
								BgL_sz00_2268, BEOA);
							BgL_a4z00_2274 =
								PROCEDURE_ENTRY(BgL_a4z00_15336) (BgL_a4z00_15336,
								BgL_sz00_2268, BEOA);
							{	/* Eval/evaluate_comp.scm 841 */
								long BgL_nbpz00_2275;

								BgL_nbpz00_2275 =
									((long) CINT(BgL_bpz00_2270) + BgL_siza7eza7_15337);
								VECTOR_SET(BgL_sz00_2268,
									(int) (((long) 0)), BINT(BgL_nbpz00_2275));
								{	/* Eval/evaluate_comp.scm 841 */
									obj_t BgL_rz00_2276;

									BgL_rz00_2276 =
										PROCEDURE_ENTRY(BgL_cfunz00_15338) (BgL_cfunz00_15338,
										BgL_a1z00_2271, BgL_a2z00_2272, BgL_a3z00_2273,
										BgL_a4z00_2274, BEOA);
									VECTOR_SET(BgL_sz00_2268, (int) (((long) 0)), BgL_bpz00_2270);
									return BgL_rz00_2276;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3558> */
	obj_t BGl_z62zc3anonymousza33558ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15340, obj_t BgL_sz00_15349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15341;
				obj_t BgL_a1z00_15342;
				obj_t BgL_a2z00_15343;
				obj_t BgL_a3z00_15344;
				obj_t BgL_a4z00_15345;
				obj_t BgL_locz00_15346;
				obj_t BgL_symbzd2funzd2_15347;
				long BgL_siza7eza7_15348;

				BgL_funz00_15341 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 0)));
				BgL_a1z00_15342 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 1)));
				BgL_a2z00_15343 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 2)));
				BgL_a3z00_15344 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 3)));
				BgL_a4z00_15345 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 4)));
				BgL_locz00_15346 = PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 5)));
				BgL_symbzd2funzd2_15347 =
					PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 6)));
				BgL_siza7eza7_15348 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15340, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2277;

					BgL_sz00_2277 = BgL_sz00_15349;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2279;

						BgL_bpz00_2279 = VECTOR_REF(BgL_sz00_2277, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_2280;
							obj_t BgL_a1z00_2281;
							obj_t BgL_a2z00_2282;
							obj_t BgL_a3z00_2283;
							obj_t BgL_a4z00_2284;

							BgL_fz00_2280 =
								PROCEDURE_ENTRY(BgL_funz00_15341) (BgL_funz00_15341,
								BgL_sz00_2277, BEOA);
							BgL_a1z00_2281 =
								PROCEDURE_ENTRY(BgL_a1z00_15342) (BgL_a1z00_15342,
								BgL_sz00_2277, BEOA);
							BgL_a2z00_2282 =
								PROCEDURE_ENTRY(BgL_a2z00_15343) (BgL_a2z00_15343,
								BgL_sz00_2277, BEOA);
							BgL_a3z00_2283 =
								PROCEDURE_ENTRY(BgL_a3z00_15344) (BgL_a3z00_15344,
								BgL_sz00_2277, BEOA);
							BgL_a4z00_2284 =
								PROCEDURE_ENTRY(BgL_a4z00_15345) (BgL_a4z00_15345,
								BgL_sz00_2277, BEOA);
							if (PROCEDUREP(BgL_fz00_2280))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15346,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_2280);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_2286;

								BgL_ufz00_2286 = PROCEDURE_ATTR(BgL_fz00_2280);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_20277;

									if (STRUCTP(BgL_ufz00_2286))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_20277 =
												(STRUCT_KEY(BgL_ufz00_2286) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_20277 = ((bool_t) 0);
										}
									if (BgL_testz00_20277)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_2288;
											obj_t BgL_runz00_2289;
											obj_t BgL_sfz00_2290;

											BgL_arityz00_2288 =
												STRUCT_REF(BgL_ufz00_2286, (int) (((long) 0)));
											BgL_runz00_2289 =
												STRUCT_REF(BgL_ufz00_2286, (int) (((long) 1)));
											BgL_sfz00_2290 =
												STRUCT_REF(BgL_ufz00_2286, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2288) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 841 */
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3562z00_2293;

														BgL_arg3562z00_2293 =
															((long) CINT(BgL_bpz00_2279) + ((long) 0));
														VECTOR_SET(BgL_sz00_2277,
															(int) (BgL_arg3562z00_2293), BgL_a1z00_2281);
													}
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3563z00_2294;

														BgL_arg3563z00_2294 =
															((long) CINT(BgL_bpz00_2279) + ((long) 1));
														VECTOR_SET(BgL_sz00_2277,
															(int) (BgL_arg3563z00_2294), BgL_a2z00_2282);
													}
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3565z00_2295;

														BgL_arg3565z00_2295 =
															((long) CINT(BgL_bpz00_2279) + ((long) 2));
														VECTOR_SET(BgL_sz00_2277,
															(int) (BgL_arg3565z00_2295), BgL_a3z00_2283);
													}
													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3566z00_2296;

														BgL_arg3566z00_2296 =
															((long) CINT(BgL_bpz00_2279) + ((long) 3));
														VECTOR_SET(BgL_sz00_2277,
															(int) (BgL_arg3566z00_2296), BgL_a4z00_2284);
												}}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													if (INTEGERP(BgL_arityz00_2288))
														{	/* Eval/evaluate_comp.scm 841 */
															switch ((long) CINT(BgL_arityz00_2288))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3568z00_2300;
																		obj_t BgL_arg3569z00_2301;

																		BgL_arg3568z00_2300 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3570z00_2302;

																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_arg3571z00_2303;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3572z00_2304;

																					{	/* Eval/evaluate_comp.scm 841 */
																						obj_t BgL_arg3573z00_2305;

																						BgL_arg3573z00_2305 =
																							MAKE_PAIR(BgL_a4z00_2284, BNIL);
																						BgL_arg3572z00_2304 =
																							MAKE_PAIR(BgL_a3z00_2283,
																							BgL_arg3573z00_2305);
																					}
																					BgL_arg3571z00_2303 =
																						MAKE_PAIR(BgL_a2z00_2282,
																						BgL_arg3572z00_2304);
																				}
																				BgL_list3570z00_2302 =
																					MAKE_PAIR(BgL_a1z00_2281,
																					BgL_arg3571z00_2303);
																			}
																			BgL_arg3569z00_2301 =
																				BgL_list3570z00_2302;
																		}
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3568z00_2300),
																			BgL_arg3569z00_2301);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3574z00_2306;

																		BgL_arg3574z00_2306 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3574z00_2306),
																			BgL_a1z00_2281);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3575z00_2307;
																		obj_t BgL_arg3576z00_2308;

																		BgL_arg3575z00_2307 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3577z00_2309;

																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_arg3578z00_2310;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3579z00_2311;

																					BgL_arg3579z00_2311 =
																						MAKE_PAIR(BgL_a4z00_2284, BNIL);
																					BgL_arg3578z00_2310 =
																						MAKE_PAIR(BgL_a3z00_2283,
																						BgL_arg3579z00_2311);
																				}
																				BgL_list3577z00_2309 =
																					MAKE_PAIR(BgL_a2z00_2282,
																					BgL_arg3578z00_2310);
																			}
																			BgL_arg3576z00_2308 =
																				BgL_list3577z00_2309;
																		}
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3575z00_2307),
																			BgL_arg3576z00_2308);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3580z00_2312;

																		BgL_arg3580z00_2312 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3580z00_2312),
																			BgL_a1z00_2281);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3581z00_2313;

																		BgL_arg3581z00_2313 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3581z00_2313),
																			BgL_a2z00_2282);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3582z00_2314;
																		obj_t BgL_arg3583z00_2315;

																		BgL_arg3582z00_2314 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3584z00_2316;

																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_arg3585z00_2317;

																				BgL_arg3585z00_2317 =
																					MAKE_PAIR(BgL_a4z00_2284, BNIL);
																				BgL_list3584z00_2316 =
																					MAKE_PAIR(BgL_a3z00_2283,
																					BgL_arg3585z00_2317);
																			}
																			BgL_arg3583z00_2315 =
																				BgL_list3584z00_2316;
																		}
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3582z00_2314),
																			BgL_arg3583z00_2315);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3586z00_2318;

																		BgL_arg3586z00_2318 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3586z00_2318),
																			BgL_a1z00_2281);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3587z00_2319;

																		BgL_arg3587z00_2319 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3587z00_2319),
																			BgL_a2z00_2282);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3588z00_2320;

																		BgL_arg3588z00_2320 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3588z00_2320),
																			BgL_a3z00_2283);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3589z00_2321;
																		obj_t BgL_arg3590z00_2322;

																		BgL_arg3589z00_2321 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 841 */
																			obj_t BgL_list3591z00_2323;

																			BgL_list3591z00_2323 =
																				MAKE_PAIR(BgL_a4z00_2284, BNIL);
																			BgL_arg3590z00_2322 =
																				BgL_list3591z00_2323;
																		}
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3589z00_2321),
																			BgL_arg3590z00_2322);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3592z00_2324;

																		BgL_arg3592z00_2324 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3592z00_2324),
																			BgL_a1z00_2281);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3593z00_2325;

																		BgL_arg3593z00_2325 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3593z00_2325),
																			BgL_a2z00_2282);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3594z00_2326;

																		BgL_arg3594z00_2326 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3594z00_2326),
																			BgL_a3z00_2283);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3595z00_2327;

																		BgL_arg3595z00_2327 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3595z00_2327),
																			BgL_a4z00_2284);
																	}
																	{	/* Eval/evaluate_comp.scm 841 */
																		long BgL_arg3596z00_2328;

																		BgL_arg3596z00_2328 =
																			(
																			(long) CINT(BgL_bpz00_2279) + ((long) 4));
																		VECTOR_SET(BgL_sz00_2277,
																			(int) (BgL_arg3596z00_2328), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15346,
																		STRUCT_REF(BgL_ufz00_2286,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_2288));
														}}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15346, STRUCT_REF(BgL_ufz00_2286,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_2288));
												}}
											{	/* Eval/evaluate_comp.scm 841 */
												obj_t BgL_auxz00_20391;

												BgL_auxz00_20391 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20391,
													BgL_locz00_15346);
											}
											{	/* Eval/evaluate_comp.scm 841 */
												bool_t BgL_testz00_20394;

												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_arg3189z00_8561;
													int BgL_arg3190z00_8562;

													BgL_arg3189z00_8561 =
														(
														(long) CINT(BgL_bpz00_2279) +
														(long) CINT(BgL_sfz00_2290));
													BgL_arg3190z00_8562 = VECTOR_LENGTH(BgL_sz00_2277);
													BgL_testz00_20394 =
														(BgL_arg3189z00_8561 <
														(long) (BgL_arg3190z00_8562));
												}
												if (BgL_testz00_20394)
													{	/* Eval/evaluate_comp.scm 841 */
														return BgL_runz00_2289;
													}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_nsz00_2334;

														BgL_nsz00_2334 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3601z00_2336;

															BgL_arg3601z00_2336 =
																((long) CINT(BgL_bpz00_2279) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_2334, BINT(((long) 2)),
																BgL_sz00_2277, BgL_bpz00_2279,
																BINT(BgL_arg3601z00_2336));
														}
														VECTOR_SET(BgL_nsz00_2334,
															(int) (((long) 1)), BgL_sz00_2277);
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_auxz00_20409;

															BgL_auxz00_20409 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_20409,
																BgL_nsz00_2334);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_val2492z00_2338;

															BgL_val2492z00_2338 =
																BGl_zc3exitza33607ze3z83zz__evaluate_compz00
																(BgL_nsz00_2334, BgL_runz00_2289);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_20413;

																BgL_auxz00_20413 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20413,
																	BgL_sz00_2277);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val2492z00_2338)))
																{	/* Eval/evaluate_comp.scm 841 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val2492z00_2338),
																		CDR(BgL_val2492z00_2338));
																}
															else
																{	/* Eval/evaluate_comp.scm 841 */
																	return BgL_val2492z00_2338;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2280,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_2347;

													BgL_nbpz00_2347 =
														((long) CINT(BgL_bpz00_2279) + BgL_siza7eza7_15348);
													VECTOR_SET(BgL_sz00_2277,
														(int) (((long) 0)), BINT(BgL_nbpz00_2347));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_2348;

														BgL_rz00_2348 =
															PROCEDURE_ENTRY(BgL_fz00_2280) (BgL_fz00_2280,
															BgL_a1z00_2281, BgL_a2z00_2282, BgL_a3z00_2283,
															BgL_a4z00_2284, BEOA);
														VECTOR_SET(BgL_sz00_2277, (int) (((long) 0)),
															BgL_bpz00_2279);
														return BgL_rz00_2348;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15346, BgL_symbzd2funzd2_15347,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2280));
		}}}}}}}}}
	}



/* <exit:3607> */
	obj_t BGl_zc3exitza33607ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17228,
		obj_t BgL_runz00_17227)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2493z00_2344;

			if (SET_EXIT(BgL_an_exit2493z00_2344))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2493z00_2344 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2493z00_2344, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2494z00_2345;

							BgL_val2494z00_2345 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17227,
								BgL_nsz00_17228, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2494z00_2345;
						}
					}
				}
		}
	}



/* &<anonymous:3610> */
	obj_t BGl_z62zc3anonymousza33610ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15350, obj_t BgL_sz00_15359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			{	/* Eval/evaluate_comp.scm 841 */
				obj_t BgL_funz00_15351;
				obj_t BgL_a1z00_15352;
				obj_t BgL_a2z00_15353;
				obj_t BgL_a3z00_15354;
				obj_t BgL_a4z00_15355;
				obj_t BgL_locz00_15356;
				obj_t BgL_symbzd2funzd2_15357;
				long BgL_siza7eza7_15358;

				BgL_funz00_15351 = PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 0)));
				BgL_a1z00_15352 = PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 1)));
				BgL_a2z00_15353 = PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 2)));
				BgL_a3z00_15354 = PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 3)));
				BgL_a4z00_15355 = PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 4)));
				BgL_locz00_15356 = PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 5)));
				BgL_symbzd2funzd2_15357 =
					PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 6)));
				BgL_siza7eza7_15358 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15350, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2350;

					BgL_sz00_2350 = BgL_sz00_15359;
					{	/* Eval/evaluate_comp.scm 841 */
						obj_t BgL_bpz00_2352;

						BgL_bpz00_2352 = VECTOR_REF(BgL_sz00_2350, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_fz00_2353;
							obj_t BgL_a1z00_2354;
							obj_t BgL_a2z00_2355;
							obj_t BgL_a3z00_2356;
							obj_t BgL_a4z00_2357;

							BgL_fz00_2353 =
								PROCEDURE_ENTRY(BgL_funz00_15351) (BgL_funz00_15351,
								BgL_sz00_2350, BEOA);
							BgL_a1z00_2354 =
								PROCEDURE_ENTRY(BgL_a1z00_15352) (BgL_a1z00_15352,
								BgL_sz00_2350, BEOA);
							BgL_a2z00_2355 =
								PROCEDURE_ENTRY(BgL_a2z00_15353) (BgL_a2z00_15353,
								BgL_sz00_2350, BEOA);
							BgL_a3z00_2356 =
								PROCEDURE_ENTRY(BgL_a3z00_15354) (BgL_a3z00_15354,
								BgL_sz00_2350, BEOA);
							BgL_a4z00_2357 =
								PROCEDURE_ENTRY(BgL_a4z00_15355) (BgL_a4z00_15355,
								BgL_sz00_2350, BEOA);
							if (PROCEDUREP(BgL_fz00_2353))
								{	/* Eval/evaluate_comp.scm 841 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 841 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15356,
										BGl_string6870z00zz__evaluate_compz00,
										BGl_string6886z00zz__evaluate_compz00, BgL_fz00_2353);
								}
							{	/* Eval/evaluate_comp.scm 841 */
								obj_t BgL_ufz00_2359;

								BgL_ufz00_2359 = PROCEDURE_ATTR(BgL_fz00_2353);
								{	/* Eval/evaluate_comp.scm 841 */
									bool_t BgL_testz00_20491;

									if (STRUCTP(BgL_ufz00_2359))
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_20491 =
												(STRUCT_KEY(BgL_ufz00_2359) ==
												BGl_symbol6887z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											BgL_testz00_20491 = ((bool_t) 0);
										}
									if (BgL_testz00_20491)
										{	/* Eval/evaluate_comp.scm 841 */
											obj_t BgL_arityz00_2361;
											obj_t BgL_runz00_2362;
											obj_t BgL_sfz00_2363;

											BgL_arityz00_2361 =
												STRUCT_REF(BgL_ufz00_2359, (int) (((long) 0)));
											BgL_runz00_2362 =
												STRUCT_REF(BgL_ufz00_2359, (int) (((long) 1)));
											BgL_sfz00_2363 =
												STRUCT_REF(BgL_ufz00_2359, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 841 */
												long BgL_spz00_2364;

												BgL_spz00_2364 =
													((long) CINT(BgL_bpz00_2352) + BgL_siza7eza7_15358);
												if (((long) CINT(BgL_arityz00_2361) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 841 */
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3614z00_2366;

															BgL_arg3614z00_2366 =
																(BgL_spz00_2364 + ((long) 0));
															VECTOR_SET(BgL_sz00_2350,
																(int) (BgL_arg3614z00_2366), BgL_a1z00_2354);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3615z00_2367;

															BgL_arg3615z00_2367 =
																(BgL_spz00_2364 + ((long) 1));
															VECTOR_SET(BgL_sz00_2350,
																(int) (BgL_arg3615z00_2367), BgL_a2z00_2355);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3616z00_2368;

															BgL_arg3616z00_2368 =
																(BgL_spz00_2364 + ((long) 2));
															VECTOR_SET(BgL_sz00_2350,
																(int) (BgL_arg3616z00_2368), BgL_a3z00_2356);
														}
														{	/* Eval/evaluate_comp.scm 841 */
															long BgL_arg3617z00_2369;

															BgL_arg3617z00_2369 =
																(BgL_spz00_2364 + ((long) 3));
															VECTOR_SET(BgL_sz00_2350,
																(int) (BgL_arg3617z00_2369), BgL_a4z00_2357);
													}}
												else
													{	/* Eval/evaluate_comp.scm 841 */
														if (INTEGERP(BgL_arityz00_2361))
															{	/* Eval/evaluate_comp.scm 841 */
																switch ((long) CINT(BgL_arityz00_2361))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3619z00_2373;
																			obj_t BgL_arg3620z00_2374;

																			BgL_arg3619z00_2373 =
																				(BgL_spz00_2364 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3621z00_2375;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3622z00_2376;

																					{	/* Eval/evaluate_comp.scm 841 */
																						obj_t BgL_arg3623z00_2377;

																						{	/* Eval/evaluate_comp.scm 841 */
																							obj_t BgL_arg3624z00_2378;

																							BgL_arg3624z00_2378 =
																								MAKE_PAIR(BgL_a4z00_2357, BNIL);
																							BgL_arg3623z00_2377 =
																								MAKE_PAIR(BgL_a3z00_2356,
																								BgL_arg3624z00_2378);
																						}
																						BgL_arg3622z00_2376 =
																							MAKE_PAIR(BgL_a2z00_2355,
																							BgL_arg3623z00_2377);
																					}
																					BgL_list3621z00_2375 =
																						MAKE_PAIR(BgL_a1z00_2354,
																						BgL_arg3622z00_2376);
																				}
																				BgL_arg3620z00_2374 =
																					BgL_list3621z00_2375;
																			}
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3619z00_2373),
																				BgL_arg3620z00_2374);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3625z00_2379;

																			BgL_arg3625z00_2379 =
																				(BgL_spz00_2364 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3625z00_2379),
																				BgL_a1z00_2354);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3626z00_2380;
																			obj_t BgL_arg3627z00_2381;

																			BgL_arg3626z00_2380 =
																				(BgL_spz00_2364 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3628z00_2382;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3629z00_2383;

																					{	/* Eval/evaluate_comp.scm 841 */
																						obj_t BgL_arg3630z00_2384;

																						BgL_arg3630z00_2384 =
																							MAKE_PAIR(BgL_a4z00_2357, BNIL);
																						BgL_arg3629z00_2383 =
																							MAKE_PAIR(BgL_a3z00_2356,
																							BgL_arg3630z00_2384);
																					}
																					BgL_list3628z00_2382 =
																						MAKE_PAIR(BgL_a2z00_2355,
																						BgL_arg3629z00_2383);
																				}
																				BgL_arg3627z00_2381 =
																					BgL_list3628z00_2382;
																			}
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3626z00_2380),
																				BgL_arg3627z00_2381);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3631z00_2385;

																			BgL_arg3631z00_2385 =
																				(BgL_spz00_2364 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3631z00_2385),
																				BgL_a1z00_2354);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3632z00_2386;

																			BgL_arg3632z00_2386 =
																				(BgL_spz00_2364 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3632z00_2386),
																				BgL_a2z00_2355);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3633z00_2387;
																			obj_t BgL_arg3634z00_2388;

																			BgL_arg3633z00_2387 =
																				(BgL_spz00_2364 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3635z00_2389;

																				{	/* Eval/evaluate_comp.scm 841 */
																					obj_t BgL_arg3636z00_2390;

																					BgL_arg3636z00_2390 =
																						MAKE_PAIR(BgL_a4z00_2357, BNIL);
																					BgL_list3635z00_2389 =
																						MAKE_PAIR(BgL_a3z00_2356,
																						BgL_arg3636z00_2390);
																				}
																				BgL_arg3634z00_2388 =
																					BgL_list3635z00_2389;
																			}
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3633z00_2387),
																				BgL_arg3634z00_2388);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3637z00_2391;

																			BgL_arg3637z00_2391 =
																				(BgL_spz00_2364 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3637z00_2391),
																				BgL_a1z00_2354);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3638z00_2392;

																			BgL_arg3638z00_2392 =
																				(BgL_spz00_2364 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3638z00_2392),
																				BgL_a2z00_2355);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3639z00_2393;

																			BgL_arg3639z00_2393 =
																				(BgL_spz00_2364 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3639z00_2393),
																				BgL_a3z00_2356);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3640z00_2394;
																			obj_t BgL_arg3641z00_2395;

																			BgL_arg3640z00_2394 =
																				(BgL_spz00_2364 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 841 */
																				obj_t BgL_list3642z00_2396;

																				BgL_list3642z00_2396 =
																					MAKE_PAIR(BgL_a4z00_2357, BNIL);
																				BgL_arg3641z00_2395 =
																					BgL_list3642z00_2396;
																			}
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3640z00_2394),
																				BgL_arg3641z00_2395);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3643z00_2397;

																			BgL_arg3643z00_2397 =
																				(BgL_spz00_2364 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3643z00_2397),
																				BgL_a1z00_2354);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3645z00_2398;

																			BgL_arg3645z00_2398 =
																				(BgL_spz00_2364 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3645z00_2398),
																				BgL_a2z00_2355);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3646z00_2399;

																			BgL_arg3646z00_2399 =
																				(BgL_spz00_2364 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3646z00_2399),
																				BgL_a3z00_2356);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3647z00_2400;

																			BgL_arg3647z00_2400 =
																				(BgL_spz00_2364 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3647z00_2400),
																				BgL_a4z00_2357);
																		}
																		{	/* Eval/evaluate_comp.scm 841 */
																			long BgL_arg3648z00_2401;

																			BgL_arg3648z00_2401 =
																				(BgL_spz00_2364 + ((long) 4));
																			VECTOR_SET(BgL_sz00_2350,
																				(int) (BgL_arg3648z00_2401), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15356,
																			STRUCT_REF(BgL_ufz00_2359,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_2361));
															}}
														else
															{	/* Eval/evaluate_comp.scm 841 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15356, STRUCT_REF(BgL_ufz00_2359,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_2361));
													}}
												{	/* Eval/evaluate_comp.scm 841 */
													obj_t BgL_auxz00_20588;

													BgL_auxz00_20588 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20588,
														BgL_locz00_15356);
												}
												{	/* Eval/evaluate_comp.scm 841 */
													bool_t BgL_testz00_20591;

													{	/* Eval/evaluate_comp.scm 841 */
														long BgL_arg3189z00_8757;
														int BgL_arg3190z00_8758;

														BgL_arg3189z00_8757 =
															(BgL_spz00_2364 + (long) CINT(BgL_sfz00_2363));
														BgL_arg3190z00_8758 = VECTOR_LENGTH(BgL_sz00_2350);
														BgL_testz00_20591 =
															(BgL_arg3189z00_8757 <
															(long) (BgL_arg3190z00_8758));
													}
													if (BgL_testz00_20591)
														{	/* Eval/evaluate_comp.scm 841 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2362, BgL_sz00_2350,
																BINT(BgL_spz00_2364));
														}
													else
														{	/* Eval/evaluate_comp.scm 841 */
															obj_t BgL_nsz00_2407;

															BgL_nsz00_2407 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 841 */
																long BgL_arg3653z00_2409;

																BgL_arg3653z00_2409 =
																	(BgL_spz00_2364 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2407, BINT(((long) 2)),
																	BgL_sz00_2350, BINT(BgL_spz00_2364),
																	BINT(BgL_arg3653z00_2409));
															}
															VECTOR_SET(BgL_nsz00_2407,
																(int) (((long) 1)), BgL_sz00_2350);
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_auxz00_20607;

																BgL_auxz00_20607 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20607,
																	BgL_nsz00_2407);
															}
															{	/* Eval/evaluate_comp.scm 841 */
																obj_t BgL_val2497z00_2411;

																BgL_val2497z00_2411 =
																	BGl_zc3exitza33660ze3z83zz__evaluate_compz00
																	(BgL_nsz00_2407, BgL_runz00_2362);
																{	/* Eval/evaluate_comp.scm 841 */
																	obj_t BgL_auxz00_20611;

																	BgL_auxz00_20611 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20611,
																		BgL_sz00_2350);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val2497z00_2411)))
																	{	/* Eval/evaluate_comp.scm 841 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val2497z00_2411),
																			CDR(BgL_val2497z00_2411));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 841 */
																		return BgL_val2497z00_2411;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 841 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2353,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 841 */
													long BgL_nbpz00_2420;

													BgL_nbpz00_2420 =
														((long) CINT(BgL_bpz00_2352) + BgL_siza7eza7_15358);
													VECTOR_SET(BgL_sz00_2350,
														(int) (((long) 0)), BINT(BgL_nbpz00_2420));
													{	/* Eval/evaluate_comp.scm 841 */
														obj_t BgL_rz00_2421;

														BgL_rz00_2421 =
															PROCEDURE_ENTRY(BgL_fz00_2353) (BgL_fz00_2353,
															BgL_a1z00_2354, BgL_a2z00_2355, BgL_a3z00_2356,
															BgL_a4z00_2357, BEOA);
														VECTOR_SET(BgL_sz00_2350, (int) (((long) 0)),
															BgL_bpz00_2352);
														return BgL_rz00_2421;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 841 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15356, BgL_symbzd2funzd2_15357,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2353));
		}}}}}}}}}
	}



/* <exit:3660> */
	obj_t BGl_zc3exitza33660ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17226,
		obj_t BgL_runz00_17225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 841 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2498z00_2417;

			if (SET_EXIT(BgL_an_exit2498z00_2417))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2498z00_2417 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 841 */

						PUSH_EXIT(BgL_an_exit2498z00_2417, ((long) 0));
						{	/* Eval/evaluate_comp.scm 841 */
							obj_t BgL_val2499z00_2418;

							BgL_val2499z00_2418 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17225,
								BgL_nsz00_17226, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2499z00_2418;
						}
					}
				}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_181, long BgL_nbargsz00_182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 844 */
			{	/* Eval/evaluate_comp.scm 845 */
				bool_t BgL_testz00_20646;

				{	/* Eval/evaluate_comp.scm 845 */
					bool_t BgL_res6017z00_8786;

					{	/* Eval/evaluate_comp.scm 845 */
						obj_t BgL_obj1865z00_8785;

						BgL_obj1865z00_8785 = ((obj_t) BgL_funz00_181);
						BgL_res6017z00_8786 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1865z00_8785,
							BGl_ev_globalz00zz__evaluate_typesz00);
					}
					BgL_testz00_20646 = BgL_res6017z00_8786;
				}
				if (BgL_testz00_20646)
					{	/* Eval/evaluate_comp.scm 846 */
						BgL_ev_globalz00_bglt BgL_instance2500z00_2424;

						BgL_instance2500z00_2424 = ((BgL_ev_globalz00_bglt) BgL_funz00_181);
						{	/* Eval/evaluate_comp.scm 847 */
							obj_t BgL_gz00_2425;

							{	/* Eval/evaluate_comp.scm 847 */
								obj_t BgL_arg3669z00_2431;
								obj_t BgL_arg3670z00_2432;

								BgL_arg3669z00_2431 =
									(((BgL_ev_globalz00_bglt) CREF(
											((obj_t) BgL_instance2500z00_2424)))->BgL_modz00);
								BgL_arg3670z00_2432 =
									(((BgL_ev_globalz00_bglt) CREF(
											((obj_t) BgL_instance2500z00_2424)))->BgL_namez00);
								BgL_gz00_2425 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg3669z00_2431, BgL_arg3670z00_2432);
							}
							if (CBOOL(BgL_gz00_2425))
								{	/* Eval/evaluate_comp.scm 849 */
									bool_t BgL_testz00_20657;

									{	/* Eval/evaluate_comp.scm 849 */
										int BgL_arg3668z00_2430;

										{	/* Eval/evaluate_comp.scm 849 */
											int BgL_res6018z00_8792;

											{	/* Eval/evaluate_comp.scm 849 */
												obj_t BgL_evalzd2globalzd2_8789;

												BgL_evalzd2globalzd2_8789 = BgL_gz00_2425;
												{	/* Eval/evaluate_comp.scm 849 */
													int BgL_kz00_8791;

													BgL_kz00_8791 = (int) (((long) 0));
													BgL_res6018z00_8792 =
														CINT(VECTOR_REF(BgL_evalzd2globalzd2_8789,
															BgL_kz00_8791));
											}}
											BgL_arg3668z00_2430 = BgL_res6018z00_8792;
										}
										BgL_testz00_20657 =
											((long) (BgL_arg3668z00_2430) == ((long) 0));
									}
									if (BgL_testz00_20657)
										{	/* Eval/evaluate_comp.scm 850 */
											obj_t BgL_valz00_2427;

											BgL_valz00_2427 =
												VECTOR_REF(BgL_gz00_2425, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 851 */
												bool_t BgL_testz00_20665;

												if (PROCEDUREP(BgL_valz00_2427))
													{	/* Eval/evaluate_comp.scm 851 */
														BgL_testz00_20665 =
															PROCEDURE_CORRECT_ARITYP(BgL_valz00_2427,
															(int) (BgL_nbargsz00_182));
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														BgL_testz00_20665 = ((bool_t) 0);
													}
												if (BgL_testz00_20665)
													{	/* Eval/evaluate_comp.scm 851 */
														return BgL_valz00_2427;
													}
												else
													{	/* Eval/evaluate_comp.scm 851 */
														return BFALSE;
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 849 */
											return BFALSE;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 848 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 845 */
						return BFALSE;
					}
			}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_183, obj_t BgL_stkz00_184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 856 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_exprz00_183,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 861 */
					obj_t BgL_valuez00_2435;

					{	/* Eval/evaluate_comp.scm 861 */
						BgL_ev_littz00_bglt BgL_obj1866z00_8803;

						BgL_obj1866z00_8803 = ((BgL_ev_littz00_bglt) BgL_exprz00_183);
						BgL_valuez00_2435 =
							(((BgL_ev_littz00_bglt) CREF(
									((obj_t) BgL_obj1866z00_8803)))->BgL_valuez00);
					}
					if (INTEGERP(BgL_valuez00_2435))
						{	/* Eval/evaluate_comp.scm 862 */
							obj_t BgL_v2889z00_2437;

							BgL_v2889z00_2437 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 862 */
								double BgL_arg3673z00_2438;

								BgL_arg3673z00_2438 = (double) ((long) CINT(BgL_valuez00_2435));
								{	/* Eval/evaluate_comp.scm 862 */
									int BgL_kz00_8809;
									obj_t BgL_objz00_8810;

									BgL_kz00_8809 = (int) (((long) 1));
									BgL_objz00_8810 = DOUBLE_TO_REAL(BgL_arg3673z00_2438);
									VECTOR_SET(BgL_v2889z00_2437, BgL_kz00_8809, BgL_objz00_8810);
							}}
							VECTOR_SET(BgL_v2889z00_2437,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v2889z00_2437;
						}
					else
						{	/* Eval/evaluate_comp.scm 862 */
							if (REALP(BgL_valuez00_2435))
								{	/* Eval/evaluate_comp.scm 863 */
									obj_t BgL_v2890z00_2440;

									BgL_v2890z00_2440 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v2890z00_2440,
										(int) (((long) 1)), BgL_valuez00_2435);
									VECTOR_SET(BgL_v2890z00_2440,
										(int) (((long) 0)), BINT(((long) 1)));
									return BgL_v2890z00_2440;
								}
							else
								{	/* Eval/evaluate_comp.scm 864 */
									obj_t BgL_v2891z00_2441;

									BgL_v2891z00_2441 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 864 */
										obj_t BgL_arg3676z00_2442;

										BgL_arg3676z00_2442 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_183)),
											BgL_stkz00_184);
										VECTOR_SET(BgL_v2891z00_2441, (int) (((long) 1)),
											BgL_arg3676z00_2442);
									}
									VECTOR_SET(BgL_v2891z00_2441,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v2891z00_2441;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 860 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_exprz00_183,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 866 */
							bool_t BgL_testz00_20708;

							{	/* Eval/evaluate_comp.scm 866 */
								BgL_ev_varz00_bglt BgL_obj1833z00_8830;

								BgL_obj1833z00_8830 = ((BgL_ev_varz00_bglt) BgL_exprz00_183);
								BgL_testz00_20708 =
									CBOOL(
									(((BgL_ev_varz00_bglt) CREF(
												((obj_t) BgL_obj1833z00_8830)))->BgL_effz00));
							}
							if (BgL_testz00_20708)
								{	/* Eval/evaluate_comp.scm 867 */
									obj_t BgL_v2892z00_2445;

									BgL_v2892z00_2445 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v2892z00_2445,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_183,
											BgL_stkz00_184));
									VECTOR_SET(BgL_v2892z00_2445, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v2892z00_2445;
								}
							else
								{	/* Eval/evaluate_comp.scm 868 */
									obj_t BgL_v2893z00_2447;

									BgL_v2893z00_2447 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v2893z00_2447,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_183,
											BgL_stkz00_184));
									VECTOR_SET(BgL_v2893z00_2447, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v2893z00_2447;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 865 */
							if (BGl_iszd2azf3z21zz__objectz00(BgL_exprz00_183,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 870 */
									BgL_ev_globalz00_bglt BgL_instance2502z00_2450;

									BgL_instance2502z00_2450 =
										((BgL_ev_globalz00_bglt) BgL_exprz00_183);
									{	/* Eval/evaluate_comp.scm 871 */
										obj_t BgL_gz00_2451;

										{	/* Eval/evaluate_comp.scm 871 */
											obj_t BgL_arg3685z00_2458;
											obj_t BgL_arg3686z00_2459;

											BgL_arg3685z00_2458 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_instance2502z00_2450)))->BgL_modz00);
											BgL_arg3686z00_2459 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_instance2502z00_2450)))->BgL_namez00);
											BgL_gz00_2451 =
												BGl_evmodulezd2findzd2globalz00zz__evmodulez00
												(BgL_arg3685z00_2458, BgL_arg3686z00_2459);
										}
										if (CBOOL(BgL_gz00_2451))
											{	/* Eval/evaluate_comp.scm 873 */
												bool_t BgL_testz00_20739;

												{	/* Eval/evaluate_comp.scm 873 */
													int BgL_arg3683z00_2455;

													{	/* Eval/evaluate_comp.scm 873 */
														int BgL_res6027z00_8850;

														{	/* Eval/evaluate_comp.scm 873 */
															obj_t BgL_evalzd2globalzd2_8847;

															BgL_evalzd2globalzd2_8847 = BgL_gz00_2451;
															{	/* Eval/evaluate_comp.scm 873 */
																int BgL_kz00_8849;

																BgL_kz00_8849 = (int) (((long) 0));
																BgL_res6027z00_8850 =
																	CINT(VECTOR_REF(BgL_evalzd2globalzd2_8847,
																		BgL_kz00_8849));
														}}
														BgL_arg3683z00_2455 = BgL_res6027z00_8850;
													}
													BgL_testz00_20739 =
														(BINT(BgL_arg3683z00_2455) == BINT(((long) 1)));
												}
												if (BgL_testz00_20739)
													{	/* Eval/evaluate_comp.scm 874 */
														obj_t BgL_v2894z00_2453;

														BgL_v2894z00_2453 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v2894z00_2453,
															(int) (((long) 1)), BgL_gz00_2451);
														VECTOR_SET(BgL_v2894z00_2453,
															(int) (((long) 0)), BINT(((long) 4)));
														return BgL_v2894z00_2453;
													}
												else
													{	/* Eval/evaluate_comp.scm 875 */
														obj_t BgL_v2895z00_2454;

														BgL_v2895z00_2454 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v2895z00_2454,
															(int) (((long) 1)), BgL_gz00_2451);
														VECTOR_SET(BgL_v2895z00_2454,
															(int) (((long) 0)), BINT(((long) 5)));
														return BgL_v2895z00_2454;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 876 */
												obj_t BgL_v2896z00_2456;

												BgL_v2896z00_2456 = create_vector((int) (((long) 2)));
												{	/* Eval/evaluate_comp.scm 876 */
													obj_t BgL_arg3684z00_2457;

													BgL_arg3684z00_2457 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt)
															((BgL_ev_globalz00_bglt) BgL_exprz00_183)),
														BgL_stkz00_184);
													VECTOR_SET(BgL_v2896z00_2456, (int) (((long) 1)),
														BgL_arg3684z00_2457);
												}
												VECTOR_SET(BgL_v2896z00_2456,
													(int) (((long) 0)), BINT(((long) 0)));
												return BgL_v2896z00_2456;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 869 */
									if (BGl_iszd2azf3z21zz__objectz00(BgL_exprz00_183,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 878 */
											BgL_ev_appz00_bglt BgL_instance2504z00_2461;

											BgL_instance2504z00_2461 =
												((BgL_ev_appz00_bglt) BgL_exprz00_183);
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_fvalz00_2462;

												{	/* Eval/evaluate_comp.scm 879 */
													BgL_ev_exprz00_bglt BgL_arg3730z00_2510;

													BgL_arg3730z00_2510 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_instance2504z00_2461)))->
														BgL_funz00);
													BgL_fvalz00_2462 =
														BGl_globalzd2funzd2valuez00zz__evaluate_compz00
														(BgL_arg3730z00_2510);
												}
												if (
													(BgL_fvalz00_2462 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 882 */
														obj_t BgL_v2897z00_2464;

														BgL_v2897z00_2464 =
															create_vector((int) (((long) 3)));
														{	/* Eval/evaluate_comp.scm 882 */
															obj_t BgL_arg3689z00_2465;

															{	/* Eval/evaluate_comp.scm 882 */
																obj_t BgL_arg3690z00_2466;

																{	/* Eval/evaluate_comp.scm 882 */
																	obj_t BgL_pairz00_8873;

																	BgL_pairz00_8873 =
																		(((BgL_ev_appz00_bglt) CREF(
																				((obj_t) BgL_instance2504z00_2461)))->
																		BgL_argsz00);
																	BgL_arg3690z00_2466 =
																		CAR(CDR(BgL_pairz00_8873));
																}
																BgL_arg3689z00_2465 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg3690z00_2466, BgL_stkz00_184);
															}
															VECTOR_SET(BgL_v2897z00_2464,
																(int) (((long) 2)), BgL_arg3689z00_2465);
														}
														{	/* Eval/evaluate_comp.scm 882 */
															obj_t BgL_arg3692z00_2468;

															{	/* Eval/evaluate_comp.scm 882 */
																obj_t BgL_arg3693z00_2469;

																{	/* Eval/evaluate_comp.scm 882 */
																	obj_t BgL_pairz00_8882;

																	BgL_pairz00_8882 =
																		(((BgL_ev_appz00_bglt) CREF(
																				((obj_t) BgL_instance2504z00_2461)))->
																		BgL_argsz00);
																	BgL_arg3693z00_2469 = CAR(BgL_pairz00_8882);
																}
																BgL_arg3692z00_2468 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg3693z00_2469, BgL_stkz00_184);
															}
															VECTOR_SET(BgL_v2897z00_2464,
																(int) (((long) 1)), BgL_arg3692z00_2468);
														}
														VECTOR_SET(BgL_v2897z00_2464,
															(int) (((long) 0)), BINT(((long) 6)));
														return BgL_v2897z00_2464;
													}
												else
													{	/* Eval/evaluate_comp.scm 881 */
														if (
															(BgL_fvalz00_2462 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 884 */
																obj_t BgL_v2898z00_2472;

																BgL_v2898z00_2472 =
																	create_vector((int) (((long) 3)));
																{	/* Eval/evaluate_comp.scm 884 */
																	obj_t BgL_arg3696z00_2473;

																	{	/* Eval/evaluate_comp.scm 884 */
																		obj_t BgL_arg3697z00_2474;

																		{	/* Eval/evaluate_comp.scm 884 */
																			obj_t BgL_pairz00_8891;

																			BgL_pairz00_8891 =
																				(((BgL_ev_appz00_bglt) CREF(
																						((obj_t)
																							BgL_instance2504z00_2461)))->
																				BgL_argsz00);
																			BgL_arg3697z00_2474 =
																				CAR(CDR(BgL_pairz00_8891));
																		}
																		BgL_arg3696z00_2473 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg3697z00_2474, BgL_stkz00_184);
																	}
																	VECTOR_SET(BgL_v2898z00_2472,
																		(int) (((long) 2)), BgL_arg3696z00_2473);
																}
																{	/* Eval/evaluate_comp.scm 884 */
																	obj_t BgL_arg3699z00_2476;

																	{	/* Eval/evaluate_comp.scm 884 */
																		obj_t BgL_arg3700z00_2477;

																		{	/* Eval/evaluate_comp.scm 884 */
																			obj_t BgL_pairz00_8900;

																			BgL_pairz00_8900 =
																				(((BgL_ev_appz00_bglt) CREF(
																						((obj_t)
																							BgL_instance2504z00_2461)))->
																				BgL_argsz00);
																			BgL_arg3700z00_2477 =
																				CAR(BgL_pairz00_8900);
																		}
																		BgL_arg3699z00_2476 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg3700z00_2477, BgL_stkz00_184);
																	}
																	VECTOR_SET(BgL_v2898z00_2472,
																		(int) (((long) 1)), BgL_arg3699z00_2476);
																}
																VECTOR_SET(BgL_v2898z00_2472,
																	(int) (((long) 0)), BINT(((long) 7)));
																return BgL_v2898z00_2472;
															}
														else
															{	/* Eval/evaluate_comp.scm 883 */
																if (
																	(BgL_fvalz00_2462 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 886 */
																		obj_t BgL_v2899z00_2480;

																		BgL_v2899z00_2480 =
																			create_vector((int) (((long) 3)));
																		{	/* Eval/evaluate_comp.scm 886 */
																			obj_t BgL_arg3703z00_2481;

																			{	/* Eval/evaluate_comp.scm 886 */
																				obj_t BgL_arg3705z00_2482;

																				{	/* Eval/evaluate_comp.scm 886 */
																					obj_t BgL_pairz00_8909;

																					BgL_pairz00_8909 =
																						(((BgL_ev_appz00_bglt) CREF(
																								((obj_t)
																									BgL_instance2504z00_2461)))->
																						BgL_argsz00);
																					BgL_arg3705z00_2482 =
																						CAR(CDR(BgL_pairz00_8909));
																				}
																				BgL_arg3703z00_2481 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg3705z00_2482, BgL_stkz00_184);
																			}
																			VECTOR_SET(BgL_v2899z00_2480,
																				(int) (((long) 2)),
																				BgL_arg3703z00_2481);
																		}
																		{	/* Eval/evaluate_comp.scm 886 */
																			obj_t BgL_arg3707z00_2484;

																			{	/* Eval/evaluate_comp.scm 886 */
																				obj_t BgL_arg3708z00_2485;

																				{	/* Eval/evaluate_comp.scm 886 */
																					obj_t BgL_pairz00_8918;

																					BgL_pairz00_8918 =
																						(((BgL_ev_appz00_bglt) CREF(
																								((obj_t)
																									BgL_instance2504z00_2461)))->
																						BgL_argsz00);
																					BgL_arg3708z00_2485 =
																						CAR(BgL_pairz00_8918);
																				}
																				BgL_arg3707z00_2484 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg3708z00_2485, BgL_stkz00_184);
																			}
																			VECTOR_SET(BgL_v2899z00_2480,
																				(int) (((long) 1)),
																				BgL_arg3707z00_2484);
																		}
																		VECTOR_SET(BgL_v2899z00_2480,
																			(int) (((long) 0)), BINT(((long) 8)));
																		return BgL_v2899z00_2480;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 885 */
																		if (
																			(BgL_fvalz00_2462 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 888 */
																				obj_t BgL_v2900z00_2488;

																				BgL_v2900z00_2488 =
																					create_vector((int) (((long) 3)));
																				{	/* Eval/evaluate_comp.scm 888 */
																					obj_t BgL_arg3711z00_2489;

																					{	/* Eval/evaluate_comp.scm 888 */
																						obj_t BgL_arg3712z00_2490;

																						{	/* Eval/evaluate_comp.scm 888 */
																							obj_t BgL_pairz00_8927;

																							BgL_pairz00_8927 =
																								(((BgL_ev_appz00_bglt) CREF(
																										((obj_t)
																											BgL_instance2504z00_2461)))->
																								BgL_argsz00);
																							BgL_arg3712z00_2490 =
																								CAR(CDR(BgL_pairz00_8927));
																						}
																						BgL_arg3711z00_2489 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg3712z00_2490,
																							BgL_stkz00_184);
																					}
																					VECTOR_SET(BgL_v2900z00_2488,
																						(int) (((long) 2)),
																						BgL_arg3711z00_2489);
																				}
																				{	/* Eval/evaluate_comp.scm 888 */
																					obj_t BgL_arg3714z00_2492;

																					{	/* Eval/evaluate_comp.scm 888 */
																						obj_t BgL_arg3715z00_2493;

																						{	/* Eval/evaluate_comp.scm 888 */
																							obj_t BgL_pairz00_8936;

																							BgL_pairz00_8936 =
																								(((BgL_ev_appz00_bglt) CREF(
																										((obj_t)
																											BgL_instance2504z00_2461)))->
																								BgL_argsz00);
																							BgL_arg3715z00_2493 =
																								CAR(BgL_pairz00_8936);
																						}
																						BgL_arg3714z00_2492 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg3715z00_2493,
																							BgL_stkz00_184);
																					}
																					VECTOR_SET(BgL_v2900z00_2488,
																						(int) (((long) 1)),
																						BgL_arg3714z00_2492);
																				}
																				VECTOR_SET(BgL_v2900z00_2488,
																					(int) (((long) 0)), BINT(((long) 9)));
																				return BgL_v2900z00_2488;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 887 */
																				if (
																					(BgL_fvalz00_2462 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 890 */
																						obj_t BgL_v2901z00_2496;

																						BgL_v2901z00_2496 =
																							create_vector((int) (((long) 2)));
																						{	/* Eval/evaluate_comp.scm 890 */
																							obj_t BgL_arg3718z00_2497;

																							{	/* Eval/evaluate_comp.scm 890 */
																								obj_t BgL_arg3719z00_2498;

																								{	/* Eval/evaluate_comp.scm 890 */
																									obj_t BgL_pairz00_8945;

																									BgL_pairz00_8945 =
																										(((BgL_ev_appz00_bglt) CREF(
																												((obj_t)
																													BgL_instance2504z00_2461)))->
																										BgL_argsz00);
																									BgL_arg3719z00_2498 =
																										CAR(BgL_pairz00_8945);
																								}
																								BgL_arg3718z00_2497 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg3719z00_2498),
																									BgL_stkz00_184);
																							}
																							VECTOR_SET(BgL_v2901z00_2496,
																								(int) (((long) 1)),
																								BgL_arg3718z00_2497);
																						}
																						VECTOR_SET(BgL_v2901z00_2496,
																							(int) (((long) 0)),
																							BINT(((long) 10)));
																						return BgL_v2901z00_2496;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 889 */
																						if (
																							(BgL_fvalz00_2462 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 892 */
																								obj_t BgL_v2902z00_2501;

																								BgL_v2902z00_2501 =
																									create_vector(
																									(int) (((long) 3)));
																								{	/* Eval/evaluate_comp.scm 892 */
																									obj_t BgL_arg3722z00_2502;

																									{	/* Eval/evaluate_comp.scm 892 */
																										obj_t BgL_arg3723z00_2503;

																										{	/* Eval/evaluate_comp.scm 892 */
																											obj_t BgL_pairz00_8953;

																											BgL_pairz00_8953 =
																												(((BgL_ev_appz00_bglt)
																													CREF(((obj_t)
																															BgL_instance2504z00_2461)))->
																												BgL_argsz00);
																											BgL_arg3723z00_2503 =
																												CAR(CDR
																												(BgL_pairz00_8953));
																										}
																										BgL_arg3722z00_2502 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg3723z00_2503),
																											BgL_stkz00_184);
																									}
																									VECTOR_SET(BgL_v2902z00_2501,
																										(int) (((long) 2)),
																										BgL_arg3722z00_2502);
																								}
																								{	/* Eval/evaluate_comp.scm 892 */
																									obj_t BgL_arg3725z00_2505;

																									{	/* Eval/evaluate_comp.scm 892 */
																										obj_t BgL_arg3726z00_2506;

																										{	/* Eval/evaluate_comp.scm 892 */
																											obj_t BgL_pairz00_8961;

																											BgL_pairz00_8961 =
																												(((BgL_ev_appz00_bglt)
																													CREF(((obj_t)
																															BgL_instance2504z00_2461)))->
																												BgL_argsz00);
																											BgL_arg3726z00_2506 =
																												CAR(BgL_pairz00_8961);
																										}
																										BgL_arg3725z00_2505 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg3726z00_2506),
																											BgL_stkz00_184);
																									}
																									VECTOR_SET(BgL_v2902z00_2501,
																										(int) (((long) 1)),
																										BgL_arg3725z00_2505);
																								}
																								VECTOR_SET(BgL_v2902z00_2501,
																									(int) (((long) 0)),
																									BINT(((long) 11)));
																								return BgL_v2902z00_2501;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 894 */
																								obj_t BgL_v2903z00_2508;

																								BgL_v2903z00_2508 =
																									create_vector(
																									(int) (((long) 2)));
																								{	/* Eval/evaluate_comp.scm 894 */
																									obj_t BgL_arg3728z00_2509;

																									BgL_arg3728z00_2509 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt) (
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_183)),
																										BgL_stkz00_184);
																									VECTOR_SET(BgL_v2903z00_2508,
																										(int) (((long) 1)),
																										BgL_arg3728z00_2509);
																								}
																								VECTOR_SET(BgL_v2903z00_2508,
																									(int) (((long) 0)),
																									BINT(((long) 0)));
																								return BgL_v2903z00_2508;
																							}
																					}
																			}
																	}
															}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 895 */
											obj_t BgL_v2904z00_2511;

											BgL_v2904z00_2511 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 895 */
												obj_t BgL_arg3731z00_2512;

												BgL_arg3731z00_2512 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_183),
													BgL_stkz00_184);
												VECTOR_SET(BgL_v2904z00_2511, (int) (((long) 1)),
													BgL_arg3731z00_2512);
											}
											VECTOR_SET(BgL_v2904z00_2511,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v2904z00_2511;
										}
								}
						}
				}
		}
	}



/* E */
	double BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_17224,
		obj_t BgL_bcz00_2517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 912 */
			{	/* Eval/evaluate_comp.scm 899 */
				obj_t BgL_aux2507z00_2520;

				BgL_aux2507z00_2520 = VECTOR_REF(BgL_bcz00_2517, (int) (((long) 0)));
				if (INTEGERP(BgL_aux2507z00_2520))
					{	/* Eval/evaluate_comp.scm 899 */
						switch ((long) CINT(BgL_aux2507z00_2520))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 900 */
									obj_t BgL_fun3735z00_2522;

									BgL_fun3735z00_2522 =
										VECTOR_REF(BgL_bcz00_2517, (int) (((long) 1)));
									return
										REAL_TO_DOUBLE(PROCEDURE_ENTRY(BgL_fun3735z00_2522)
										(BgL_fun3735z00_2522, BgL_sz00_17224, BEOA));
								}
								break;
							case ((long) 1):

								{	/* Eval/evaluate_comp.scm 901 */
									obj_t BgL_vectorz00_8987;
									int BgL_kz00_8988;

									BgL_vectorz00_8987 = BgL_bcz00_2517;
									BgL_kz00_8988 = (int) (((long) 1));
									return
										REAL_TO_DOUBLE(VECTOR_REF(BgL_vectorz00_8987,
											BgL_kz00_8988));
								}
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 902 */
									long BgL_arg3736z00_2523;

									{	/* Eval/evaluate_comp.scm 902 */
										obj_t BgL_arg3737z00_2524;
										obj_t BgL_arg3738z00_2525;

										BgL_arg3737z00_2524 =
											VECTOR_REF(BgL_sz00_17224, (int) (((long) 0)));
										BgL_arg3738z00_2525 =
											VECTOR_REF(BgL_bcz00_2517, (int) (((long) 1)));
										BgL_arg3736z00_2523 =
											(
											(long) CINT(BgL_arg3737z00_2524) +
											(long) CINT(BgL_arg3738z00_2525));
									}
									{	/* Eval/evaluate_comp.scm 902 */
										obj_t BgL_vectorz00_8996;
										int BgL_kz00_8997;

										BgL_vectorz00_8996 = BgL_sz00_17224;
										BgL_kz00_8997 = (int) (BgL_arg3736z00_2523);
										return
											REAL_TO_DOUBLE(VECTOR_REF(BgL_vectorz00_8996,
												BgL_kz00_8997));
									}
								}
								break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 903 */
									obj_t BgL_arg3739z00_2526;

									{	/* Eval/evaluate_comp.scm 903 */
										long BgL_arg3740z00_2527;

										{	/* Eval/evaluate_comp.scm 903 */
											obj_t BgL_arg3741z00_2528;
											obj_t BgL_arg3743z00_2529;

											BgL_arg3741z00_2528 =
												VECTOR_REF(BgL_sz00_17224, (int) (((long) 0)));
											BgL_arg3743z00_2529 =
												VECTOR_REF(BgL_sz00_17224, (int) (((long) 1)));
											BgL_arg3740z00_2527 =
												(
												(long) CINT(BgL_arg3741z00_2528) +
												(long) CINT(BgL_arg3743z00_2529));
										}
										BgL_arg3739z00_2526 =
											VECTOR_REF(BgL_sz00_17224, (int) (BgL_arg3740z00_2527));
									}
									{	/* Eval/evaluate_comp.scm 903 */
										obj_t BgL_sz00_9008;

										BgL_sz00_9008 = BgL_arg3739z00_2526;
										return
											REAL_TO_DOUBLE(STRUCT_REF(BgL_sz00_9008,
												(int) (((long) 0))));
								}} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 904 */
									obj_t BgL_arg3744z00_2530;

									{	/* Eval/evaluate_comp.scm 904 */
										obj_t BgL_arg3745z00_2531;

										BgL_arg3745z00_2531 =
											VECTOR_REF(BgL_bcz00_2517, (int) (((long) 1)));
										BgL_arg3744z00_2530 =
											VECTOR_REF(BgL_arg3745z00_2531, (int) (((long) 2)));
									}
									return
										REAL_TO_DOUBLE(__EVMEANING_ADDRESS_REF
										(BgL_arg3744z00_2530));
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 905 */
									obj_t BgL_arg3746z00_2532;

									BgL_arg3746z00_2532 =
										VECTOR_REF(BgL_bcz00_2517, (int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 905 */
										obj_t BgL_evalzd2globalzd2_9017;

										BgL_evalzd2globalzd2_9017 = BgL_arg3746z00_2532;
										{	/* Eval/evaluate_comp.scm 905 */
											int BgL_kz00_9019;

											BgL_kz00_9019 = (int) (((long) 2));
											return
												REAL_TO_DOUBLE(VECTOR_REF(BgL_evalzd2globalzd2_9017,
													BgL_kz00_9019));
										}
									}
								}
								break;
							case ((long) 6):

								return
									(BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517,
											(int) (((long) 1)))) +
									BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517, (int) (((long) 2)))));
								break;
							case ((long) 7):

								return
									(BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517,
											(int) (((long) 1)))) -
									BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517, (int) (((long) 2)))));
								break;
							case ((long) 8):

								return
									(BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517,
											(int) (((long) 1)))) *
									BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517, (int) (((long) 2)))));
								break;
							case ((long) 9):

								return
									(BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517,
											(int) (((long) 1)))) /
									BGl_Ez00zz__evaluate_compz00(BgL_sz00_17224,
										VECTOR_REF(BgL_bcz00_2517, (int) (((long) 2)))));
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 910 */
									obj_t BgL_arg3763z00_2549;

									{	/* Eval/evaluate_comp.scm 910 */
										obj_t BgL_fun3764z00_2550;

										BgL_fun3764z00_2550 =
											VECTOR_REF(BgL_bcz00_2517, (int) (((long) 1)));
										BgL_arg3763z00_2549 =
											PROCEDURE_ENTRY(BgL_fun3764z00_2550) (BgL_fun3764z00_2550,
											BgL_sz00_17224, BEOA);
									}
									return (double) ((long) CINT(BgL_arg3763z00_2549));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 911 */
									obj_t BgL_arg3765z00_2551;
									obj_t BgL_arg3766z00_2552;

									{	/* Eval/evaluate_comp.scm 911 */
										obj_t BgL_fun3767z00_2553;

										BgL_fun3767z00_2553 =
											VECTOR_REF(BgL_bcz00_2517, (int) (((long) 1)));
										BgL_arg3765z00_2551 =
											PROCEDURE_ENTRY(BgL_fun3767z00_2553) (BgL_fun3767z00_2553,
											BgL_sz00_17224, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 911 */
										obj_t BgL_fun3768z00_2554;

										BgL_fun3768z00_2554 =
											VECTOR_REF(BgL_bcz00_2517, (int) (((long) 2)));
										BgL_arg3766z00_2552 =
											PROCEDURE_ENTRY(BgL_fun3768z00_2554) (BgL_fun3768z00_2554,
											BgL_sz00_17224, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 911 */
										long BgL_auxz00_21006;

										BgL_auxz00_21006 = (long) CINT(BgL_arg3766z00_2552);
										return BGL_F64VREF(BgL_arg3765z00_2551, BgL_auxz00_21006);
									}
								}
								break;
							default:
								{	/* Eval/evaluate_comp.scm 899 */
									obj_t BgL_arg3769z00_9056;

									BgL_arg3769z00_9056 =
										VECTOR_REF(BgL_bcz00_2517, (int) (((long) 0)));
									return
										REAL_TO_DOUBLE(BGl_errorz00zz__errorz00
										(BGl_string6870z00zz__evaluate_compz00,
											BGl_string6889z00zz__evaluate_compz00,
											BgL_arg3769z00_9056));
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 899 */
						obj_t BgL_arg3769z00_9059;

						BgL_arg3769z00_9059 =
							VECTOR_REF(BgL_bcz00_2517, (int) (((long) 0)));
						return
							REAL_TO_DOUBLE(BGl_errorz00zz__errorz00
							(BGl_string6870z00zz__evaluate_compz00,
								BGl_string6889z00zz__evaluate_compz00, BgL_arg3769z00_9059));
					}
			}
		}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 915 */
			{	/* Eval/evaluate_comp.scm 917 */
				obj_t BgL_fvalz00_2558;

				{	/* Eval/evaluate_comp.scm 917 */
					BgL_ev_exprz00_bglt BgL_arg3775z00_2567;

					BgL_arg3775z00_2567 =
						(((BgL_ev_appz00_bglt) CREF(
								((obj_t) BgL_exprz00_187)))->BgL_funz00);
					BgL_fvalz00_2558 =
						BGl_globalzd2funzd2valuez00zz__evaluate_compz00
						(BgL_arg3775z00_2567);
				}
				{	/* Eval/evaluate_comp.scm 918 */
					bool_t BgL_testz00_21022;

					if (
						(BgL_fvalz00_2558 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 918 */
							BgL_testz00_21022 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 918 */
							if (
								(BgL_fvalz00_2558 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 918 */
									BgL_testz00_21022 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 918 */
									if (
										(BgL_fvalz00_2558 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 918 */
											BgL_testz00_21022 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 918 */
											BgL_testz00_21022 =
												(BgL_fvalz00_2558 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_21022)
						{	/* Eval/evaluate_comp.scm 919 */
							obj_t BgL_bcz00_2560;

							BgL_bcz00_2560 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_187), BgL_stkz00_188);
							{	/* Eval/evaluate_comp.scm 920 */
								obj_t BgL_zc3anonymousza33771ze3z83_15377;

								BgL_zc3anonymousza33771ze3z83_15377 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33771ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza33771ze3z83_15377,
									(int) (((long) 0)), BgL_bcz00_2560);
								return BgL_zc3anonymousza33771ze3z83_15377;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 918 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:3771> */
	obj_t BGl_z62zc3anonymousza33771ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15378, obj_t BgL_sz00_15380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 920 */
			{	/* Eval/evaluate_comp.scm 920 */
				obj_t BgL_bcz00_15379;

				BgL_bcz00_15379 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15378, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2561;

					{	/* Eval/evaluate_comp.scm 920 */
						double BgL_auxz00_21040;

						BgL_sz00_2561 = BgL_sz00_15380;
						{	/* Eval/evaluate_comp.scm 920 */
							obj_t BgL_bpz00_9063;

							BgL_bpz00_9063 = VECTOR_REF(BgL_sz00_2561, (int) (((long) 0)));
							BgL_auxz00_21040 =
								BGl_Ez00zz__evaluate_compz00(BgL_sz00_2561, BgL_bcz00_15379);
						}
						return DOUBLE_TO_REAL(BgL_auxz00_21040);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_189,
		BgL_ev_exprz00_bglt BgL_funz00_190, obj_t BgL_argsz00_191,
		obj_t BgL_stkz00_192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 946 */
			{	/* Eval/evaluate_comp.scm 947 */
				obj_t BgL_valz00_2568;

				BgL_valz00_2568 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_190);
				if (CBOOL(BgL_valz00_2568))
					{	/* Eval/evaluate_comp.scm 949 */
						long BgL_nz00_2569;

						BgL_nz00_2569 = bgl_list_length(BgL_argsz00_191);
						{	/* Eval/evaluate_comp.scm 950 */
							obj_t BgL__ortest_2514z00_2570;

							if ((BgL_nz00_2569 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 951 */
									obj_t BgL_a1z00_2861;

									BgL_a1z00_2861 = CAR(BgL_argsz00_191);
									if (
										(BgL_valz00_2568 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 952 */
											obj_t BgL_a1z00_2863;

											BgL_a1z00_2863 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_2861), BgL_stkz00_192);
											{	/* Eval/evaluate_comp.scm 952 */
												obj_t BgL_zc3anonymousza33891ze3z83_15410;

												BgL_zc3anonymousza33891ze3z83_15410 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33891ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_15410,
													(int) (((long) 0)), BgL_a1z00_2863);
												PROCEDURE_SET(BgL_zc3anonymousza33891ze3z83_15410,
													(int) (((long) 1)), BgL_locz00_189);
												BgL__ortest_2514z00_2570 =
													BgL_zc3anonymousza33891ze3z83_15410;
										}}
									else
										{	/* Eval/evaluate_comp.scm 952 */
											if (
												(BgL_valz00_2568 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 952 */
													obj_t BgL_a1z00_2870;

													BgL_a1z00_2870 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2861),
														BgL_stkz00_192);
													{	/* Eval/evaluate_comp.scm 952 */
														obj_t BgL_zc3anonymousza33894ze3z83_15411;

														BgL_zc3anonymousza33894ze3z83_15411 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33894ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33894ze3z83_15411,
															(int) (((long) 0)), BgL_a1z00_2870);
														PROCEDURE_SET(BgL_zc3anonymousza33894ze3z83_15411,
															(int) (((long) 1)), BgL_locz00_189);
														BgL__ortest_2514z00_2570 =
															BgL_zc3anonymousza33894ze3z83_15411;
												}}
											else
												{	/* Eval/evaluate_comp.scm 952 */
													if (
														(BgL_valz00_2568 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 952 */
															obj_t BgL_a1z00_2877;

															BgL_a1z00_2877 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2861),
																BgL_stkz00_192);
															{	/* Eval/evaluate_comp.scm 952 */
																obj_t BgL_zc3anonymousza33897ze3z83_15412;

																BgL_zc3anonymousza33897ze3z83_15412 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33897ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33897ze3z83_15412,
																	(int) (((long) 0)), BgL_a1z00_2877);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33897ze3z83_15412,
																	(int) (((long) 1)), BgL_locz00_189);
																BgL__ortest_2514z00_2570 =
																	BgL_zc3anonymousza33897ze3z83_15412;
														}}
													else
														{	/* Eval/evaluate_comp.scm 952 */
															BgL__ortest_2514z00_2570 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 950 */
									BgL__ortest_2514z00_2570 = BFALSE;
								}
							if (CBOOL(BgL__ortest_2514z00_2570))
								{	/* Eval/evaluate_comp.scm 950 */
									return BgL__ortest_2514z00_2570;
								}
							else
								{	/* Eval/evaluate_comp.scm 950 */
									if ((BgL_nz00_2569 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 954 */
											obj_t BgL_a1z00_2572;
											obj_t BgL_a2z00_2573;

											BgL_a1z00_2572 = CAR(BgL_argsz00_191);
											{	/* Eval/evaluate_comp.scm 954 */
												obj_t BgL_pairz00_9098;

												BgL_pairz00_9098 = BgL_argsz00_191;
												BgL_a2z00_2573 = CAR(CDR(BgL_pairz00_9098));
											}
											if (
												(BgL_valz00_2568 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 955 */
													obj_t BgL_a1z00_2575;
													obj_t BgL_a2z00_2576;

													BgL_a1z00_2575 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2572),
														BgL_stkz00_192);
													BgL_a2z00_2576 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2573),
														BgL_stkz00_192);
													{	/* Eval/evaluate_comp.scm 955 */
														obj_t BgL_zc3anonymousza33778ze3z83_15381;

														BgL_zc3anonymousza33778ze3z83_15381 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza33778ze3z83_15381,
															(int) (((long) 0)), BgL_a1z00_2575);
														PROCEDURE_SET(BgL_zc3anonymousza33778ze3z83_15381,
															(int) (((long) 1)), BgL_a2z00_2576);
														PROCEDURE_SET(BgL_zc3anonymousza33778ze3z83_15381,
															(int) (((long) 2)), BgL_locz00_189);
														return BgL_zc3anonymousza33778ze3z83_15381;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 955 */
													if (
														(BgL_valz00_2568 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 955 */
															obj_t BgL_a1z00_2585;
															obj_t BgL_a2z00_2586;

															BgL_a1z00_2585 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2572),
																BgL_stkz00_192);
															BgL_a2z00_2586 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2573),
																BgL_stkz00_192);
															{	/* Eval/evaluate_comp.scm 955 */
																obj_t BgL_zc3anonymousza33782ze3z83_15382;

																BgL_zc3anonymousza33782ze3z83_15382 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33782ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33782ze3z83_15382,
																	(int) (((long) 0)), BgL_a1z00_2585);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33782ze3z83_15382,
																	(int) (((long) 1)), BgL_a2z00_2586);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33782ze3z83_15382,
																	(int) (((long) 2)), BgL_locz00_189);
																return BgL_zc3anonymousza33782ze3z83_15382;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 955 */
															if (
																(BgL_valz00_2568 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 955 */
																	obj_t BgL_a1z00_2595;
																	obj_t BgL_a2z00_2596;

																	BgL_a1z00_2595 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2572),
																		BgL_stkz00_192);
																	BgL_a2z00_2596 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2573),
																		BgL_stkz00_192);
																	{	/* Eval/evaluate_comp.scm 955 */
																		obj_t BgL_zc3anonymousza33786ze3z83_15383;

																		BgL_zc3anonymousza33786ze3z83_15383 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza33786ze3z83_15383,
																			(int) (((long) 0)), BgL_a1z00_2595);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza33786ze3z83_15383,
																			(int) (((long) 1)), BgL_a2z00_2596);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza33786ze3z83_15383,
																			(int) (((long) 2)), BgL_locz00_189);
																		return BgL_zc3anonymousza33786ze3z83_15383;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 955 */
																	if (
																		(BgL_valz00_2568 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 955 */
																			obj_t BgL_a1z00_2605;
																			obj_t BgL_a2z00_2606;

																			BgL_a1z00_2605 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2572),
																				BgL_stkz00_192);
																			BgL_a2z00_2606 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2573),
																				BgL_stkz00_192);
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t
																					BgL_zc3anonymousza33790ze3z83_15384;
																				BgL_zc3anonymousza33790ze3z83_15384 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza33790ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza33790ze3z83_15384,
																					(int) (((long) 0)), BgL_a1z00_2605);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza33790ze3z83_15384,
																					(int) (((long) 1)), BgL_a2z00_2606);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza33790ze3z83_15384,
																					(int) (((long) 2)), BgL_locz00_189);
																				return
																					BgL_zc3anonymousza33790ze3z83_15384;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 955 */
																			if (
																				(BgL_valz00_2568 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_a1z00_2615;
																					obj_t BgL_a2z00_2616;

																					BgL_a1z00_2615 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2572), BgL_stkz00_192);
																					BgL_a2z00_2616 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2573), BgL_stkz00_192);
																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t
																							BgL_zc3anonymousza33794ze3z83_15385;
																						BgL_zc3anonymousza33794ze3z83_15385
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza33794ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza33794ze3z83_15385,
																							(int) (((long) 0)),
																							BgL_a1z00_2615);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza33794ze3z83_15385,
																							(int) (((long) 1)),
																							BgL_a2z00_2616);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza33794ze3z83_15385,
																							(int) (((long) 2)),
																							BgL_locz00_189);
																						return
																							BgL_zc3anonymousza33794ze3z83_15385;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 955 */
																					if (
																						(BgL_valz00_2568 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 955 */
																							obj_t BgL_a1z00_2625;
																							obj_t BgL_a2z00_2626;

																							BgL_a1z00_2625 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2572),
																								BgL_stkz00_192);
																							BgL_a2z00_2626 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2573),
																								BgL_stkz00_192);
																							{	/* Eval/evaluate_comp.scm 955 */
																								obj_t
																									BgL_zc3anonymousza33798ze3z83_15386;
																								BgL_zc3anonymousza33798ze3z83_15386
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza33798ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza33798ze3z83_15386,
																									(int) (((long) 0)),
																									BgL_a1z00_2625);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza33798ze3z83_15386,
																									(int) (((long) 1)),
																									BgL_a2z00_2626);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza33798ze3z83_15386,
																									(int) (((long) 2)),
																									BgL_locz00_189);
																								return
																									BgL_zc3anonymousza33798ze3z83_15386;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 955 */
																							if (
																								(BgL_valz00_2568 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 955 */
																									obj_t BgL_a1z00_2635;
																									obj_t BgL_a2z00_2636;

																									BgL_a1z00_2635 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2572),
																										BgL_stkz00_192);
																									BgL_a2z00_2636 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2573),
																										BgL_stkz00_192);
																									{	/* Eval/evaluate_comp.scm 955 */
																										obj_t
																											BgL_zc3anonymousza33802ze3z83_15387;
																										BgL_zc3anonymousza33802ze3z83_15387
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza33802ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza33802ze3z83_15387,
																											(int) (((long) 0)),
																											BgL_a1z00_2635);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza33802ze3z83_15387,
																											(int) (((long) 1)),
																											BgL_a2z00_2636);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza33802ze3z83_15387,
																											(int) (((long) 2)),
																											BgL_locz00_189);
																										return
																											BgL_zc3anonymousza33802ze3z83_15387;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 955 */
																									if (
																										(BgL_valz00_2568 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 955 */
																											obj_t BgL_a1z00_2645;
																											obj_t BgL_a2z00_2646;

																											BgL_a1z00_2645 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2572),
																												BgL_stkz00_192);
																											BgL_a2z00_2646 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2573),
																												BgL_stkz00_192);
																											{	/* Eval/evaluate_comp.scm 955 */
																												obj_t
																													BgL_zc3anonymousza33806ze3z83_15388;
																												BgL_zc3anonymousza33806ze3z83_15388
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza33806ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza33806ze3z83_15388,
																													(int) (((long) 0)),
																													BgL_a1z00_2645);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza33806ze3z83_15388,
																													(int) (((long) 1)),
																													BgL_a2z00_2646);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza33806ze3z83_15388,
																													(int) (((long) 2)),
																													BgL_locz00_189);
																												return
																													BgL_zc3anonymousza33806ze3z83_15388;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 955 */
																											if (
																												(BgL_valz00_2568 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 955 */
																													obj_t BgL_a1z00_2655;
																													obj_t BgL_a2z00_2656;

																													BgL_a1z00_2655 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																													BgL_a2z00_2656 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																													{	/* Eval/evaluate_comp.scm 955 */
																														obj_t
																															BgL_zc3anonymousza33810ze3z83_15389;
																														BgL_zc3anonymousza33810ze3z83_15389
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza33810ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza33810ze3z83_15389,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2655);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza33810ze3z83_15389,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2656);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza33810ze3z83_15389,
																															(int) (((long)
																																	2)),
																															BgL_locz00_189);
																														return
																															BgL_zc3anonymousza33810ze3z83_15389;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 955 */
																													if (
																														(BgL_valz00_2568 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 955 */
																															obj_t
																																BgL_a1z00_2665;
																															obj_t
																																BgL_a2z00_2666;
																															BgL_a1z00_2665 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																															BgL_a2z00_2666 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																															{	/* Eval/evaluate_comp.scm 955 */
																																obj_t
																																	BgL_zc3anonymousza33814ze3z83_15390;
																																BgL_zc3anonymousza33814ze3z83_15390
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza33814ze3z83_15390,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2665);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza33814ze3z83_15390,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2666);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza33814ze3z83_15390,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_189);
																																return
																																	BgL_zc3anonymousza33814ze3z83_15390;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 955 */
																															if (
																																(BgL_valz00_2568
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 955 */
																																	obj_t
																																		BgL_a1z00_2675;
																																	obj_t
																																		BgL_a2z00_2676;
																																	BgL_a1z00_2675
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																	BgL_a2z00_2676
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																	{	/* Eval/evaluate_comp.scm 955 */
																																		obj_t
																																			BgL_zc3anonymousza33818ze3z83_15391;
																																		BgL_zc3anonymousza33818ze3z83_15391
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza33818ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza33818ze3z83_15391,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2675);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza33818ze3z83_15391,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2676);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza33818ze3z83_15391,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_189);
																																		return
																																			BgL_zc3anonymousza33818ze3z83_15391;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 955 */
																																	if (
																																		(BgL_valz00_2568
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 955 */
																																			obj_t
																																				BgL_a1z00_2685;
																																			obj_t
																																				BgL_a2z00_2686;
																																			BgL_a1z00_2685
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																			BgL_a2z00_2686
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																			{	/* Eval/evaluate_comp.scm 955 */
																																				obj_t
																																					BgL_zc3anonymousza33822ze3z83_15392;
																																				BgL_zc3anonymousza33822ze3z83_15392
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza33822ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza33822ze3z83_15392,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2685);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza33822ze3z83_15392,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2686);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza33822ze3z83_15392,
																																					(int)
																																					(((long) 2)), BgL_locz00_189);
																																				return
																																					BgL_zc3anonymousza33822ze3z83_15392;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 955 */
																																			if (
																																				(BgL_valz00_2568
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 955 */
																																					obj_t
																																						BgL_a1z00_2695;
																																					obj_t
																																						BgL_a2z00_2696;
																																					BgL_a1z00_2695
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																					BgL_a2z00_2696
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																					{	/* Eval/evaluate_comp.scm 955 */
																																						obj_t
																																							BgL_zc3anonymousza33826ze3z83_15393;
																																						BgL_zc3anonymousza33826ze3z83_15393
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza33826ze3z83_15393,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2695);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza33826ze3z83_15393,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2696);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza33826ze3z83_15393,
																																							(int)
																																							(((long) 2)), BgL_locz00_189);
																																						return
																																							BgL_zc3anonymousza33826ze3z83_15393;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 955 */
																																					if (
																																						(BgL_valz00_2568
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 955 */
																																							obj_t
																																								BgL_a1z00_2705;
																																							obj_t
																																								BgL_a2z00_2706;
																																							BgL_a1z00_2705
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																							BgL_a2z00_2706
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																							{	/* Eval/evaluate_comp.scm 955 */
																																								obj_t
																																									BgL_zc3anonymousza33830ze3z83_15394;
																																								BgL_zc3anonymousza33830ze3z83_15394
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza33830ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza33830ze3z83_15394,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2705);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza33830ze3z83_15394,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2706);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza33830ze3z83_15394,
																																									(int)
																																									(((long) 2)), BgL_locz00_189);
																																								return
																																									BgL_zc3anonymousza33830ze3z83_15394;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 955 */
																																							if ((BgL_valz00_2568 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 955 */
																																									obj_t
																																										BgL_a1z00_2715;
																																									obj_t
																																										BgL_a2z00_2716;
																																									BgL_a1z00_2715
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																									BgL_a2z00_2716
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																									{	/* Eval/evaluate_comp.scm 955 */
																																										obj_t
																																											BgL_zc3anonymousza33834ze3z83_15395;
																																										BgL_zc3anonymousza33834ze3z83_15395
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza33834ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza33834ze3z83_15395,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2715);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza33834ze3z83_15395,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2716);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza33834ze3z83_15395,
																																											(int)
																																											(((long) 2)), BgL_locz00_189);
																																										return
																																											BgL_zc3anonymousza33834ze3z83_15395;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 955 */
																																									if ((BgL_valz00_2568 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 955 */
																																											obj_t
																																												BgL_a1z00_2725;
																																											obj_t
																																												BgL_a2z00_2726;
																																											BgL_a1z00_2725
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																											BgL_a2z00_2726
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																											{	/* Eval/evaluate_comp.scm 955 */
																																												obj_t
																																													BgL_zc3anonymousza33838ze3z83_15396;
																																												BgL_zc3anonymousza33838ze3z83_15396
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza33838ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza33838ze3z83_15396,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2725);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza33838ze3z83_15396,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2726);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza33838ze3z83_15396,
																																													(int)
																																													(((long) 2)), BgL_locz00_189);
																																												return
																																													BgL_zc3anonymousza33838ze3z83_15396;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 955 */
																																											if ((BgL_valz00_2568 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 955 */
																																													obj_t
																																														BgL_a1z00_2735;
																																													obj_t
																																														BgL_a2z00_2736;
																																													BgL_a1z00_2735
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																													BgL_a2z00_2736
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																													{	/* Eval/evaluate_comp.scm 955 */
																																														obj_t
																																															BgL_zc3anonymousza33842ze3z83_15397;
																																														BgL_zc3anonymousza33842ze3z83_15397
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza33842ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza33842ze3z83_15397,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2735);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza33842ze3z83_15397,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2736);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza33842ze3z83_15397,
																																															(int)
																																															(((long) 2)), BgL_locz00_189);
																																														return
																																															BgL_zc3anonymousza33842ze3z83_15397;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 955 */
																																													if ((BgL_valz00_2568 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 955 */
																																															obj_t
																																																BgL_a1z00_2745;
																																															obj_t
																																																BgL_a2z00_2746;
																																															BgL_a1z00_2745
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																															BgL_a2z00_2746
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																															{	/* Eval/evaluate_comp.scm 955 */
																																																obj_t
																																																	BgL_zc3anonymousza33846ze3z83_15398;
																																																BgL_zc3anonymousza33846ze3z83_15398
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza33846ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza33846ze3z83_15398,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2745);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza33846ze3z83_15398,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2746);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza33846ze3z83_15398,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_189);
																																																return
																																																	BgL_zc3anonymousza33846ze3z83_15398;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 955 */
																																															if ((BgL_valz00_2568 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 955 */
																																																	obj_t
																																																		BgL_a1z00_2755;
																																																	obj_t
																																																		BgL_a2z00_2756;
																																																	BgL_a1z00_2755
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																	BgL_a2z00_2756
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																	{	/* Eval/evaluate_comp.scm 955 */
																																																		obj_t
																																																			BgL_zc3anonymousza33850ze3z83_15399;
																																																		BgL_zc3anonymousza33850ze3z83_15399
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza33850ze3z83_15399,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2755);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza33850ze3z83_15399,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2756);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza33850ze3z83_15399,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_189);
																																																		return
																																																			BgL_zc3anonymousza33850ze3z83_15399;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 955 */
																																																	if ((BgL_valz00_2568 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 955 */
																																																			obj_t
																																																				BgL_a1z00_2765;
																																																			obj_t
																																																				BgL_a2z00_2766;
																																																			BgL_a1z00_2765
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																			BgL_a2z00_2766
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																			{	/* Eval/evaluate_comp.scm 955 */
																																																				obj_t
																																																					BgL_zc3anonymousza33854ze3z83_15400;
																																																				BgL_zc3anonymousza33854ze3z83_15400
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza33854ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33854ze3z83_15400,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2765);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33854ze3z83_15400,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2766);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33854ze3z83_15400,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_189);
																																																				return
																																																					BgL_zc3anonymousza33854ze3z83_15400;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 955 */
																																																			if ((BgL_valz00_2568 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 955 */
																																																					obj_t
																																																						BgL_a1z00_2775;
																																																					obj_t
																																																						BgL_a2z00_2776;
																																																					BgL_a1z00_2775
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																					BgL_a2z00_2776
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																					{	/* Eval/evaluate_comp.scm 955 */
																																																						obj_t
																																																							BgL_zc3anonymousza33858ze3z83_15401;
																																																						BgL_zc3anonymousza33858ze3z83_15401
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza33858ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33858ze3z83_15401,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2775);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33858ze3z83_15401,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2776);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33858ze3z83_15401,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_189);
																																																						return
																																																							BgL_zc3anonymousza33858ze3z83_15401;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 955 */
																																																					if ((BgL_valz00_2568 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 955 */
																																																							obj_t
																																																								BgL_a1z00_2785;
																																																							obj_t
																																																								BgL_a2z00_2786;
																																																							BgL_a1z00_2785
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																							BgL_a2z00_2786
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																							{	/* Eval/evaluate_comp.scm 955 */
																																																								obj_t
																																																									BgL_zc3anonymousza33862ze3z83_15402;
																																																								BgL_zc3anonymousza33862ze3z83_15402
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33862ze3z83_15402,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2785);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33862ze3z83_15402,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2786);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33862ze3z83_15402,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_189);
																																																								return
																																																									BgL_zc3anonymousza33862ze3z83_15402;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 955 */
																																																							if ((BgL_valz00_2568 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 955 */
																																																									obj_t
																																																										BgL_a1z00_2795;
																																																									obj_t
																																																										BgL_a2z00_2796;
																																																									BgL_a1z00_2795
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																									BgL_a2z00_2796
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																									{	/* Eval/evaluate_comp.scm 955 */
																																																										obj_t
																																																											BgL_zc3anonymousza33866ze3z83_15403;
																																																										BgL_zc3anonymousza33866ze3z83_15403
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza33866ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33866ze3z83_15403,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2795);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33866ze3z83_15403,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2796);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33866ze3z83_15403,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_189);
																																																										return
																																																											BgL_zc3anonymousza33866ze3z83_15403;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 955 */
																																																									if ((BgL_valz00_2568 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 955 */
																																																											obj_t
																																																												BgL_a1z00_2805;
																																																											obj_t
																																																												BgL_a2z00_2806;
																																																											BgL_a1z00_2805
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																											BgL_a2z00_2806
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																											{	/* Eval/evaluate_comp.scm 955 */
																																																												obj_t
																																																													BgL_zc3anonymousza33870ze3z83_15404;
																																																												BgL_zc3anonymousza33870ze3z83_15404
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza33870ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33870ze3z83_15404,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2805);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33870ze3z83_15404,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2806);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33870ze3z83_15404,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_189);
																																																												return
																																																													BgL_zc3anonymousza33870ze3z83_15404;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 955 */
																																																											if ((BgL_valz00_2568 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 955 */
																																																													obj_t
																																																														BgL_a1z00_2815;
																																																													obj_t
																																																														BgL_a2z00_2816;
																																																													BgL_a1z00_2815
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																													BgL_a2z00_2816
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																													{	/* Eval/evaluate_comp.scm 955 */
																																																														obj_t
																																																															BgL_zc3anonymousza33874ze3z83_15405;
																																																														BgL_zc3anonymousza33874ze3z83_15405
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza33874ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33874ze3z83_15405,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_2815);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33874ze3z83_15405,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_2816);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33874ze3z83_15405,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_189);
																																																														return
																																																															BgL_zc3anonymousza33874ze3z83_15405;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 955 */
																																																													if ((BgL_valz00_2568 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 955 */
																																																															obj_t
																																																																BgL_a1z00_2825;
																																																															obj_t
																																																																BgL_a2z00_2826;
																																																															BgL_a1z00_2825
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																															BgL_a2z00_2826
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																															{	/* Eval/evaluate_comp.scm 955 */
																																																																obj_t
																																																																	BgL_zc3anonymousza33878ze3z83_15406;
																																																																BgL_zc3anonymousza33878ze3z83_15406
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza33878ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33878ze3z83_15406,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_2825);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33878ze3z83_15406,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_2826);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33878ze3z83_15406,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_189);
																																																																return
																																																																	BgL_zc3anonymousza33878ze3z83_15406;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 955 */
																																																															if ((BgL_valz00_2568 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 955 */
																																																																	obj_t
																																																																		BgL_a1z00_2835;
																																																																	obj_t
																																																																		BgL_a2z00_2836;
																																																																	BgL_a1z00_2835
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																																	BgL_a2z00_2836
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																																	{	/* Eval/evaluate_comp.scm 955 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza33882ze3z83_15407;
																																																																		BgL_zc3anonymousza33882ze3z83_15407
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza33882ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33882ze3z83_15407,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_2835);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33882ze3z83_15407,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_2836);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33882ze3z83_15407,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_189);
																																																																		return
																																																																			BgL_zc3anonymousza33882ze3z83_15407;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 955 */
																																																																	if ((BgL_valz00_2568 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 955 */
																																																																			obj_t
																																																																				BgL_a1z00_2845;
																																																																			obj_t
																																																																				BgL_a2z00_2846;
																																																																			BgL_a1z00_2845
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																																			BgL_a2z00_2846
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																																			{	/* Eval/evaluate_comp.scm 955 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza33886ze3z83_15408;
																																																																				BgL_zc3anonymousza33886ze3z83_15408
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza33886ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza33886ze3z83_15408,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_2845);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza33886ze3z83_15408,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_2846);
																																																																				return
																																																																					BgL_zc3anonymousza33886ze3z83_15408;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 955 */
																																																																			if ((BgL_valz00_2568 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 955 */
																																																																					obj_t
																																																																						BgL_a1z00_2853;
																																																																					obj_t
																																																																						BgL_a2z00_2854;
																																																																					BgL_a1z00_2853
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2572), BgL_stkz00_192);
																																																																					BgL_a2z00_2854
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2573), BgL_stkz00_192);
																																																																					{	/* Eval/evaluate_comp.scm 955 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza33888ze3z83_15409;
																																																																						BgL_zc3anonymousza33888ze3z83_15409
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza33888ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza33888ze3z83_15409,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_2853);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza33888ze3z83_15409,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_2854);
																																																																						return
																																																																							BgL_zc3anonymousza33888ze3z83_15409;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 955 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 953 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 948 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:3778> */
	obj_t BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15413, obj_t BgL_sz00_15417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15414;
				obj_t BgL_a2z00_15415;
				obj_t BgL_locz00_15416;

				BgL_a1z00_15414 = PROCEDURE_REF(BgL_envz00_15413, (int) (((long) 0)));
				BgL_a2z00_15415 = PROCEDURE_REF(BgL_envz00_15413, (int) (((long) 1)));
				BgL_locz00_15416 = PROCEDURE_REF(BgL_envz00_15413, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2577;

					BgL_sz00_2577 = BgL_sz00_15417;
					{	/* Eval/evaluate_comp.scm 955 */
						obj_t BgL_bpz00_2579;

						BgL_bpz00_2579 = VECTOR_REF(BgL_sz00_2577, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_a1z00_2580;
							obj_t BgL_a2z00_2581;

							BgL_a1z00_2580 =
								PROCEDURE_ENTRY(BgL_a1z00_15414) (BgL_a1z00_15414,
								BgL_sz00_2577, BEOA);
							BgL_a2z00_2581 =
								PROCEDURE_ENTRY(BgL_a2z00_15415) (BgL_a2z00_15415,
								BgL_sz00_2577, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2580))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6890z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2580,
										BgL_locz00_15416);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2581))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6890z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2581,
										BgL_locz00_15416);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2580,
								BgL_a2z00_2581);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3782> */
	obj_t BGl_z62zc3anonymousza33782ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15418, obj_t BgL_sz00_15422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15419;
				obj_t BgL_a2z00_15420;
				obj_t BgL_locz00_15421;

				BgL_a1z00_15419 = PROCEDURE_REF(BgL_envz00_15418, (int) (((long) 0)));
				BgL_a2z00_15420 = PROCEDURE_REF(BgL_envz00_15418, (int) (((long) 1)));
				BgL_locz00_15421 = PROCEDURE_REF(BgL_envz00_15418, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2587;

					BgL_sz00_2587 = BgL_sz00_15422;
					{	/* Eval/evaluate_comp.scm 955 */
						obj_t BgL_bpz00_2589;

						BgL_bpz00_2589 = VECTOR_REF(BgL_sz00_2587, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_a1z00_2590;
							obj_t BgL_a2z00_2591;

							BgL_a1z00_2590 =
								PROCEDURE_ENTRY(BgL_a1z00_15419) (BgL_a1z00_15419,
								BgL_sz00_2587, BEOA);
							BgL_a2z00_2591 =
								PROCEDURE_ENTRY(BgL_a2z00_15420) (BgL_a2z00_15420,
								BgL_sz00_2587, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2590))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6894z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2590,
										BgL_locz00_15421);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2591))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6894z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2591,
										BgL_locz00_15421);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2590,
								BgL_a2z00_2591);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3786> */
	obj_t BGl_z62zc3anonymousza33786ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15423, obj_t BgL_sz00_15427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15424;
				obj_t BgL_a2z00_15425;
				obj_t BgL_locz00_15426;

				BgL_a1z00_15424 = PROCEDURE_REF(BgL_envz00_15423, (int) (((long) 0)));
				BgL_a2z00_15425 = PROCEDURE_REF(BgL_envz00_15423, (int) (((long) 1)));
				BgL_locz00_15426 = PROCEDURE_REF(BgL_envz00_15423, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2597;

					BgL_sz00_2597 = BgL_sz00_15427;
					{	/* Eval/evaluate_comp.scm 955 */
						obj_t BgL_bpz00_2599;

						BgL_bpz00_2599 = VECTOR_REF(BgL_sz00_2597, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_a1z00_2600;
							obj_t BgL_a2z00_2601;

							BgL_a1z00_2600 =
								PROCEDURE_ENTRY(BgL_a1z00_15424) (BgL_a1z00_15424,
								BgL_sz00_2597, BEOA);
							BgL_a2z00_2601 =
								PROCEDURE_ENTRY(BgL_a2z00_15425) (BgL_a2z00_15425,
								BgL_sz00_2597, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2600))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6896z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2600,
										BgL_locz00_15426);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2601))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6896z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2601,
										BgL_locz00_15426);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2600,
								BgL_a2z00_2601);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3790> */
	obj_t BGl_z62zc3anonymousza33790ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15428, obj_t BgL_sz00_15432)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15429;
				obj_t BgL_a2z00_15430;
				obj_t BgL_locz00_15431;

				BgL_a1z00_15429 = PROCEDURE_REF(BgL_envz00_15428, (int) (((long) 0)));
				BgL_a2z00_15430 = PROCEDURE_REF(BgL_envz00_15428, (int) (((long) 1)));
				BgL_locz00_15431 = PROCEDURE_REF(BgL_envz00_15428, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2607;

					BgL_sz00_2607 = BgL_sz00_15432;
					{	/* Eval/evaluate_comp.scm 955 */
						obj_t BgL_bpz00_2609;

						BgL_bpz00_2609 = VECTOR_REF(BgL_sz00_2607, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_a1z00_2610;
							obj_t BgL_a2z00_2611;

							BgL_a1z00_2610 =
								PROCEDURE_ENTRY(BgL_a1z00_15429) (BgL_a1z00_15429,
								BgL_sz00_2607, BEOA);
							BgL_a2z00_2611 =
								PROCEDURE_ENTRY(BgL_a2z00_15430) (BgL_a2z00_15430,
								BgL_sz00_2607, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2610))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6898z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2610,
										BgL_locz00_15431);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2611))
								{	/* Eval/evaluate_comp.scm 955 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 955 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6898z00zz__evaluate_compz00,
										BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2611,
										BgL_locz00_15431);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2610,
								BgL_a2z00_2611);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3794> */
	obj_t BGl_z62zc3anonymousza33794ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15433, obj_t BgL_sz00_15437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15434;
				obj_t BgL_a2z00_15435;
				obj_t BgL_locz00_15436;

				BgL_a1z00_15434 = PROCEDURE_REF(BgL_envz00_15433, (int) (((long) 0)));
				BgL_a2z00_15435 = PROCEDURE_REF(BgL_envz00_15433, (int) (((long) 1)));
				BgL_locz00_15436 = PROCEDURE_REF(BgL_envz00_15433, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2617;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21621;

						BgL_sz00_2617 = BgL_sz00_15437;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2619;

							BgL_bpz00_2619 = VECTOR_REF(BgL_sz00_2617, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2620;
								obj_t BgL_a2z00_2621;

								BgL_a1z00_2620 =
									PROCEDURE_ENTRY(BgL_a1z00_15434) (BgL_a1z00_15434,
									BgL_sz00_2617, BEOA);
								BgL_a2z00_2621 =
									PROCEDURE_ENTRY(BgL_a2z00_15435) (BgL_a2z00_15435,
									BgL_sz00_2617, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2620))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6900z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2620,
											BgL_locz00_15436);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2621))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6900z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2621,
											BgL_locz00_15436);
									}
								BgL_auxz00_21621 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2620,
									BgL_a2z00_2621);
							}
						}
						return BBOOL(BgL_auxz00_21621);
					}
				}
			}
		}
	}



/* &<anonymous:3798> */
	obj_t BGl_z62zc3anonymousza33798ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15438, obj_t BgL_sz00_15442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15439;
				obj_t BgL_a2z00_15440;
				obj_t BgL_locz00_15441;

				BgL_a1z00_15439 = PROCEDURE_REF(BgL_envz00_15438, (int) (((long) 0)));
				BgL_a2z00_15440 = PROCEDURE_REF(BgL_envz00_15438, (int) (((long) 1)));
				BgL_locz00_15441 = PROCEDURE_REF(BgL_envz00_15438, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2627;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21646;

						BgL_sz00_2627 = BgL_sz00_15442;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2629;

							BgL_bpz00_2629 = VECTOR_REF(BgL_sz00_2627, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2630;
								obj_t BgL_a2z00_2631;

								BgL_a1z00_2630 =
									PROCEDURE_ENTRY(BgL_a1z00_15439) (BgL_a1z00_15439,
									BgL_sz00_2627, BEOA);
								BgL_a2z00_2631 =
									PROCEDURE_ENTRY(BgL_a2z00_15440) (BgL_a2z00_15440,
									BgL_sz00_2627, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2630))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6902z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2630,
											BgL_locz00_15441);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2631))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6902z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2631,
											BgL_locz00_15441);
									}
								BgL_auxz00_21646 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2630,
									BgL_a2z00_2631);
							}
						}
						return BBOOL(BgL_auxz00_21646);
					}
				}
			}
		}
	}



/* &<anonymous:3802> */
	obj_t BGl_z62zc3anonymousza33802ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15443, obj_t BgL_sz00_15447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15444;
				obj_t BgL_a2z00_15445;
				obj_t BgL_locz00_15446;

				BgL_a1z00_15444 = PROCEDURE_REF(BgL_envz00_15443, (int) (((long) 0)));
				BgL_a2z00_15445 = PROCEDURE_REF(BgL_envz00_15443, (int) (((long) 1)));
				BgL_locz00_15446 = PROCEDURE_REF(BgL_envz00_15443, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2637;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21671;

						BgL_sz00_2637 = BgL_sz00_15447;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2639;

							BgL_bpz00_2639 = VECTOR_REF(BgL_sz00_2637, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2640;
								obj_t BgL_a2z00_2641;

								BgL_a1z00_2640 =
									PROCEDURE_ENTRY(BgL_a1z00_15444) (BgL_a1z00_15444,
									BgL_sz00_2637, BEOA);
								BgL_a2z00_2641 =
									PROCEDURE_ENTRY(BgL_a2z00_15445) (BgL_a2z00_15445,
									BgL_sz00_2637, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2640))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6904z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2640,
											BgL_locz00_15446);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2641))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6904z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2641,
											BgL_locz00_15446);
									}
								BgL_auxz00_21671 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2640,
									BgL_a2z00_2641);
							}
						}
						return BBOOL(BgL_auxz00_21671);
					}
				}
			}
		}
	}



/* &<anonymous:3806> */
	obj_t BGl_z62zc3anonymousza33806ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15448, obj_t BgL_sz00_15452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15449;
				obj_t BgL_a2z00_15450;
				obj_t BgL_locz00_15451;

				BgL_a1z00_15449 = PROCEDURE_REF(BgL_envz00_15448, (int) (((long) 0)));
				BgL_a2z00_15450 = PROCEDURE_REF(BgL_envz00_15448, (int) (((long) 1)));
				BgL_locz00_15451 = PROCEDURE_REF(BgL_envz00_15448, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2647;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21696;

						BgL_sz00_2647 = BgL_sz00_15452;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2649;

							BgL_bpz00_2649 = VECTOR_REF(BgL_sz00_2647, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2650;
								obj_t BgL_a2z00_2651;

								BgL_a1z00_2650 =
									PROCEDURE_ENTRY(BgL_a1z00_15449) (BgL_a1z00_15449,
									BgL_sz00_2647, BEOA);
								BgL_a2z00_2651 =
									PROCEDURE_ENTRY(BgL_a2z00_15450) (BgL_a2z00_15450,
									BgL_sz00_2647, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2650))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6906z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2650,
											BgL_locz00_15451);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2651))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6906z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2651,
											BgL_locz00_15451);
									}
								BgL_auxz00_21696 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2650,
									BgL_a2z00_2651);
							}
						}
						return BBOOL(BgL_auxz00_21696);
					}
				}
			}
		}
	}



/* &<anonymous:3810> */
	obj_t BGl_z62zc3anonymousza33810ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15453, obj_t BgL_sz00_15457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15454;
				obj_t BgL_a2z00_15455;
				obj_t BgL_locz00_15456;

				BgL_a1z00_15454 = PROCEDURE_REF(BgL_envz00_15453, (int) (((long) 0)));
				BgL_a2z00_15455 = PROCEDURE_REF(BgL_envz00_15453, (int) (((long) 1)));
				BgL_locz00_15456 = PROCEDURE_REF(BgL_envz00_15453, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2657;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21721;

						BgL_sz00_2657 = BgL_sz00_15457;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2659;

							BgL_bpz00_2659 = VECTOR_REF(BgL_sz00_2657, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2660;
								obj_t BgL_a2z00_2661;

								BgL_a1z00_2660 =
									PROCEDURE_ENTRY(BgL_a1z00_15454) (BgL_a1z00_15454,
									BgL_sz00_2657, BEOA);
								BgL_a2z00_2661 =
									PROCEDURE_ENTRY(BgL_a2z00_15455) (BgL_a2z00_15455,
									BgL_sz00_2657, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2660))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6908z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a1z00_2660,
											BgL_locz00_15456);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2661))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6908z00zz__evaluate_compz00,
											BGl_symbol6892z00zz__evaluate_compz00, BgL_a2z00_2661,
											BgL_locz00_15456);
									}
								BgL_auxz00_21721 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2660,
									BgL_a2z00_2661);
							}
						}
						return BBOOL(BgL_auxz00_21721);
					}
				}
			}
		}
	}



/* &<anonymous:3814> */
	obj_t BGl_z62zc3anonymousza33814ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15458, obj_t BgL_sz00_15462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15459;
				obj_t BgL_a2z00_15460;
				obj_t BgL_locz00_15461;

				BgL_a1z00_15459 = PROCEDURE_REF(BgL_envz00_15458, (int) (((long) 0)));
				BgL_a2z00_15460 = PROCEDURE_REF(BgL_envz00_15458, (int) (((long) 1)));
				BgL_locz00_15461 = PROCEDURE_REF(BgL_envz00_15458, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2667;

					{	/* Eval/evaluate_comp.scm 955 */
						long BgL_auxz00_21746;

						BgL_sz00_2667 = BgL_sz00_15462;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2669;

							BgL_bpz00_2669 = VECTOR_REF(BgL_sz00_2667, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2670;
								obj_t BgL_a2z00_2671;

								BgL_a1z00_2670 =
									PROCEDURE_ENTRY(BgL_a1z00_15459) (BgL_a1z00_15459,
									BgL_sz00_2667, BEOA);
								BgL_a2z00_2671 =
									PROCEDURE_ENTRY(BgL_a2z00_15460) (BgL_a2z00_15460,
									BgL_sz00_2667, BEOA);
								if (INTEGERP(BgL_a1z00_2670))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6910z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2670,
											BgL_locz00_15461);
									}
								if (INTEGERP(BgL_a2z00_2671))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6910z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2671,
											BgL_locz00_15461);
									}
								BgL_auxz00_21746 =
									((long) CINT(BgL_a1z00_2670) + (long) CINT(BgL_a2z00_2671));
						}}
						return BINT(BgL_auxz00_21746);
					}
				}
			}
		}
	}



/* &<anonymous:3818> */
	obj_t BGl_z62zc3anonymousza33818ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15463, obj_t BgL_sz00_15467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15464;
				obj_t BgL_a2z00_15465;
				obj_t BgL_locz00_15466;

				BgL_a1z00_15464 = PROCEDURE_REF(BgL_envz00_15463, (int) (((long) 0)));
				BgL_a2z00_15465 = PROCEDURE_REF(BgL_envz00_15463, (int) (((long) 1)));
				BgL_locz00_15466 = PROCEDURE_REF(BgL_envz00_15463, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2677;

					{	/* Eval/evaluate_comp.scm 955 */
						long BgL_auxz00_21773;

						BgL_sz00_2677 = BgL_sz00_15467;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2679;

							BgL_bpz00_2679 = VECTOR_REF(BgL_sz00_2677, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2680;
								obj_t BgL_a2z00_2681;

								BgL_a1z00_2680 =
									PROCEDURE_ENTRY(BgL_a1z00_15464) (BgL_a1z00_15464,
									BgL_sz00_2677, BEOA);
								BgL_a2z00_2681 =
									PROCEDURE_ENTRY(BgL_a2z00_15465) (BgL_a2z00_15465,
									BgL_sz00_2677, BEOA);
								if (INTEGERP(BgL_a1z00_2680))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6914z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2680,
											BgL_locz00_15466);
									}
								if (INTEGERP(BgL_a2z00_2681))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6914z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2681,
											BgL_locz00_15466);
									}
								BgL_auxz00_21773 =
									((long) CINT(BgL_a1z00_2680) - (long) CINT(BgL_a2z00_2681));
						}}
						return BINT(BgL_auxz00_21773);
					}
				}
			}
		}
	}



/* &<anonymous:3822> */
	obj_t BGl_z62zc3anonymousza33822ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15468, obj_t BgL_sz00_15472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15469;
				obj_t BgL_a2z00_15470;
				obj_t BgL_locz00_15471;

				BgL_a1z00_15469 = PROCEDURE_REF(BgL_envz00_15468, (int) (((long) 0)));
				BgL_a2z00_15470 = PROCEDURE_REF(BgL_envz00_15468, (int) (((long) 1)));
				BgL_locz00_15471 = PROCEDURE_REF(BgL_envz00_15468, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2687;

					{	/* Eval/evaluate_comp.scm 955 */
						long BgL_auxz00_21800;

						BgL_sz00_2687 = BgL_sz00_15472;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2689;

							BgL_bpz00_2689 = VECTOR_REF(BgL_sz00_2687, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2690;
								obj_t BgL_a2z00_2691;

								BgL_a1z00_2690 =
									PROCEDURE_ENTRY(BgL_a1z00_15469) (BgL_a1z00_15469,
									BgL_sz00_2687, BEOA);
								BgL_a2z00_2691 =
									PROCEDURE_ENTRY(BgL_a2z00_15470) (BgL_a2z00_15470,
									BgL_sz00_2687, BEOA);
								if (INTEGERP(BgL_a1z00_2690))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6916z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2690,
											BgL_locz00_15471);
									}
								if (INTEGERP(BgL_a2z00_2691))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6916z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2691,
											BgL_locz00_15471);
									}
								BgL_auxz00_21800 =
									((long) CINT(BgL_a1z00_2690) * (long) CINT(BgL_a2z00_2691));
						}}
						return BINT(BgL_auxz00_21800);
					}
				}
			}
		}
	}



/* &<anonymous:3826> */
	obj_t BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15473, obj_t BgL_sz00_15477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15474;
				obj_t BgL_a2z00_15475;
				obj_t BgL_locz00_15476;

				BgL_a1z00_15474 = PROCEDURE_REF(BgL_envz00_15473, (int) (((long) 0)));
				BgL_a2z00_15475 = PROCEDURE_REF(BgL_envz00_15473, (int) (((long) 1)));
				BgL_locz00_15476 = PROCEDURE_REF(BgL_envz00_15473, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2697;

					{	/* Eval/evaluate_comp.scm 955 */
						long BgL_auxz00_21827;

						BgL_sz00_2697 = BgL_sz00_15477;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2699;

							BgL_bpz00_2699 = VECTOR_REF(BgL_sz00_2697, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2700;
								obj_t BgL_a2z00_2701;

								BgL_a1z00_2700 =
									PROCEDURE_ENTRY(BgL_a1z00_15474) (BgL_a1z00_15474,
									BgL_sz00_2697, BEOA);
								BgL_a2z00_2701 =
									PROCEDURE_ENTRY(BgL_a2z00_15475) (BgL_a2z00_15475,
									BgL_sz00_2697, BEOA);
								if (INTEGERP(BgL_a1z00_2700))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6918z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2700,
											BgL_locz00_15476);
									}
								if (INTEGERP(BgL_a2z00_2701))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6918z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2701,
											BgL_locz00_15476);
									}
								BgL_auxz00_21827 =
									((long) CINT(BgL_a1z00_2700) / (long) CINT(BgL_a2z00_2701));
						}}
						return BINT(BgL_auxz00_21827);
					}
				}
			}
		}
	}



/* &<anonymous:3830> */
	obj_t BGl_z62zc3anonymousza33830ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15478, obj_t BgL_sz00_15482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15479;
				obj_t BgL_a2z00_15480;
				obj_t BgL_locz00_15481;

				BgL_a1z00_15479 = PROCEDURE_REF(BgL_envz00_15478, (int) (((long) 0)));
				BgL_a2z00_15480 = PROCEDURE_REF(BgL_envz00_15478, (int) (((long) 1)));
				BgL_locz00_15481 = PROCEDURE_REF(BgL_envz00_15478, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2707;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21854;

						BgL_sz00_2707 = BgL_sz00_15482;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2709;

							BgL_bpz00_2709 = VECTOR_REF(BgL_sz00_2707, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2710;
								obj_t BgL_a2z00_2711;

								BgL_a1z00_2710 =
									PROCEDURE_ENTRY(BgL_a1z00_15479) (BgL_a1z00_15479,
									BgL_sz00_2707, BEOA);
								BgL_a2z00_2711 =
									PROCEDURE_ENTRY(BgL_a2z00_15480) (BgL_a2z00_15480,
									BgL_sz00_2707, BEOA);
								if (INTEGERP(BgL_a1z00_2710))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6920z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2710,
											BgL_locz00_15481);
									}
								if (INTEGERP(BgL_a2z00_2711))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6920z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2711,
											BgL_locz00_15481);
									}
								BgL_auxz00_21854 =
									((long) CINT(BgL_a1z00_2710) < (long) CINT(BgL_a2z00_2711));
						}}
						return BBOOL(BgL_auxz00_21854);
					}
				}
			}
		}
	}



/* &<anonymous:3834> */
	obj_t BGl_z62zc3anonymousza33834ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15483, obj_t BgL_sz00_15487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15484;
				obj_t BgL_a2z00_15485;
				obj_t BgL_locz00_15486;

				BgL_a1z00_15484 = PROCEDURE_REF(BgL_envz00_15483, (int) (((long) 0)));
				BgL_a2z00_15485 = PROCEDURE_REF(BgL_envz00_15483, (int) (((long) 1)));
				BgL_locz00_15486 = PROCEDURE_REF(BgL_envz00_15483, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2717;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21881;

						BgL_sz00_2717 = BgL_sz00_15487;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2719;

							BgL_bpz00_2719 = VECTOR_REF(BgL_sz00_2717, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2720;
								obj_t BgL_a2z00_2721;

								BgL_a1z00_2720 =
									PROCEDURE_ENTRY(BgL_a1z00_15484) (BgL_a1z00_15484,
									BgL_sz00_2717, BEOA);
								BgL_a2z00_2721 =
									PROCEDURE_ENTRY(BgL_a2z00_15485) (BgL_a2z00_15485,
									BgL_sz00_2717, BEOA);
								if (INTEGERP(BgL_a1z00_2720))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6922z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2720,
											BgL_locz00_15486);
									}
								if (INTEGERP(BgL_a2z00_2721))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6922z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2721,
											BgL_locz00_15486);
									}
								BgL_auxz00_21881 =
									((long) CINT(BgL_a1z00_2720) > (long) CINT(BgL_a2z00_2721));
						}}
						return BBOOL(BgL_auxz00_21881);
					}
				}
			}
		}
	}



/* &<anonymous:3838> */
	obj_t BGl_z62zc3anonymousza33838ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15488, obj_t BgL_sz00_15492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15489;
				obj_t BgL_a2z00_15490;
				obj_t BgL_locz00_15491;

				BgL_a1z00_15489 = PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 0)));
				BgL_a2z00_15490 = PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 1)));
				BgL_locz00_15491 = PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2727;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21908;

						BgL_sz00_2727 = BgL_sz00_15492;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2729;

							BgL_bpz00_2729 = VECTOR_REF(BgL_sz00_2727, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2730;
								obj_t BgL_a2z00_2731;

								BgL_a1z00_2730 =
									PROCEDURE_ENTRY(BgL_a1z00_15489) (BgL_a1z00_15489,
									BgL_sz00_2727, BEOA);
								BgL_a2z00_2731 =
									PROCEDURE_ENTRY(BgL_a2z00_15490) (BgL_a2z00_15490,
									BgL_sz00_2727, BEOA);
								if (INTEGERP(BgL_a1z00_2730))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6924z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2730,
											BgL_locz00_15491);
									}
								if (INTEGERP(BgL_a2z00_2731))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6924z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2731,
											BgL_locz00_15491);
									}
								BgL_auxz00_21908 =
									((long) CINT(BgL_a1z00_2730) <= (long) CINT(BgL_a2z00_2731));
						}}
						return BBOOL(BgL_auxz00_21908);
					}
				}
			}
		}
	}



/* &<anonymous:3842> */
	obj_t BGl_z62zc3anonymousza33842ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15493, obj_t BgL_sz00_15497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15494;
				obj_t BgL_a2z00_15495;
				obj_t BgL_locz00_15496;

				BgL_a1z00_15494 = PROCEDURE_REF(BgL_envz00_15493, (int) (((long) 0)));
				BgL_a2z00_15495 = PROCEDURE_REF(BgL_envz00_15493, (int) (((long) 1)));
				BgL_locz00_15496 = PROCEDURE_REF(BgL_envz00_15493, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2737;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21935;

						BgL_sz00_2737 = BgL_sz00_15497;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2739;

							BgL_bpz00_2739 = VECTOR_REF(BgL_sz00_2737, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2740;
								obj_t BgL_a2z00_2741;

								BgL_a1z00_2740 =
									PROCEDURE_ENTRY(BgL_a1z00_15494) (BgL_a1z00_15494,
									BgL_sz00_2737, BEOA);
								BgL_a2z00_2741 =
									PROCEDURE_ENTRY(BgL_a2z00_15495) (BgL_a2z00_15495,
									BgL_sz00_2737, BEOA);
								if (INTEGERP(BgL_a1z00_2740))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6926z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2740,
											BgL_locz00_15496);
									}
								if (INTEGERP(BgL_a2z00_2741))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6926z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2741,
											BgL_locz00_15496);
									}
								BgL_auxz00_21935 =
									((long) CINT(BgL_a1z00_2740) >= (long) CINT(BgL_a2z00_2741));
						}}
						return BBOOL(BgL_auxz00_21935);
					}
				}
			}
		}
	}



/* &<anonymous:3846> */
	obj_t BGl_z62zc3anonymousza33846ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15498, obj_t BgL_sz00_15502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15499;
				obj_t BgL_a2z00_15500;
				obj_t BgL_locz00_15501;

				BgL_a1z00_15499 = PROCEDURE_REF(BgL_envz00_15498, (int) (((long) 0)));
				BgL_a2z00_15500 = PROCEDURE_REF(BgL_envz00_15498, (int) (((long) 1)));
				BgL_locz00_15501 = PROCEDURE_REF(BgL_envz00_15498, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2747;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_21962;

						BgL_sz00_2747 = BgL_sz00_15502;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2749;

							BgL_bpz00_2749 = VECTOR_REF(BgL_sz00_2747, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2750;
								obj_t BgL_a2z00_2751;

								BgL_a1z00_2750 =
									PROCEDURE_ENTRY(BgL_a1z00_15499) (BgL_a1z00_15499,
									BgL_sz00_2747, BEOA);
								BgL_a2z00_2751 =
									PROCEDURE_ENTRY(BgL_a2z00_15500) (BgL_a2z00_15500,
									BgL_sz00_2747, BEOA);
								if (INTEGERP(BgL_a1z00_2750))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6928z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a1z00_2750,
											BgL_locz00_15501);
									}
								if (INTEGERP(BgL_a2z00_2751))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6928z00zz__evaluate_compz00,
											BGl_symbol6912z00zz__evaluate_compz00, BgL_a2z00_2751,
											BgL_locz00_15501);
									}
								BgL_auxz00_21962 =
									((long) CINT(BgL_a1z00_2750) == (long) CINT(BgL_a2z00_2751));
						}}
						return BBOOL(BgL_auxz00_21962);
					}
				}
			}
		}
	}



/* &<anonymous:3850> */
	obj_t BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15503, obj_t BgL_sz00_15507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15504;
				obj_t BgL_a2z00_15505;
				obj_t BgL_locz00_15506;

				BgL_a1z00_15504 = PROCEDURE_REF(BgL_envz00_15503, (int) (((long) 0)));
				BgL_a2z00_15505 = PROCEDURE_REF(BgL_envz00_15503, (int) (((long) 1)));
				BgL_locz00_15506 = PROCEDURE_REF(BgL_envz00_15503, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2757;

					{	/* Eval/evaluate_comp.scm 955 */
						double BgL_auxz00_21989;

						BgL_sz00_2757 = BgL_sz00_15507;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2759;

							BgL_bpz00_2759 = VECTOR_REF(BgL_sz00_2757, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2760;
								obj_t BgL_a2z00_2761;

								BgL_a1z00_2760 =
									PROCEDURE_ENTRY(BgL_a1z00_15504) (BgL_a1z00_15504,
									BgL_sz00_2757, BEOA);
								BgL_a2z00_2761 =
									PROCEDURE_ENTRY(BgL_a2z00_15505) (BgL_a2z00_15505,
									BgL_sz00_2757, BEOA);
								if (REALP(BgL_a1z00_2760))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6930z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2760,
											BgL_locz00_15506);
									}
								if (REALP(BgL_a2z00_2761))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6930z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2761,
											BgL_locz00_15506);
									}
								BgL_auxz00_21989 =
									(REAL_TO_DOUBLE(BgL_a1z00_2760) +
									REAL_TO_DOUBLE(BgL_a2z00_2761));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_21989);
					}
				}
			}
		}
	}



/* &<anonymous:3854> */
	obj_t BGl_z62zc3anonymousza33854ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15508, obj_t BgL_sz00_15512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15509;
				obj_t BgL_a2z00_15510;
				obj_t BgL_locz00_15511;

				BgL_a1z00_15509 = PROCEDURE_REF(BgL_envz00_15508, (int) (((long) 0)));
				BgL_a2z00_15510 = PROCEDURE_REF(BgL_envz00_15508, (int) (((long) 1)));
				BgL_locz00_15511 = PROCEDURE_REF(BgL_envz00_15508, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2767;

					{	/* Eval/evaluate_comp.scm 955 */
						double BgL_auxz00_22016;

						BgL_sz00_2767 = BgL_sz00_15512;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2769;

							BgL_bpz00_2769 = VECTOR_REF(BgL_sz00_2767, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2770;
								obj_t BgL_a2z00_2771;

								BgL_a1z00_2770 =
									PROCEDURE_ENTRY(BgL_a1z00_15509) (BgL_a1z00_15509,
									BgL_sz00_2767, BEOA);
								BgL_a2z00_2771 =
									PROCEDURE_ENTRY(BgL_a2z00_15510) (BgL_a2z00_15510,
									BgL_sz00_2767, BEOA);
								if (REALP(BgL_a1z00_2770))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6934z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2770,
											BgL_locz00_15511);
									}
								if (REALP(BgL_a2z00_2771))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6934z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2771,
											BgL_locz00_15511);
									}
								BgL_auxz00_22016 =
									(REAL_TO_DOUBLE(BgL_a1z00_2770) -
									REAL_TO_DOUBLE(BgL_a2z00_2771));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22016);
					}
				}
			}
		}
	}



/* &<anonymous:3858> */
	obj_t BGl_z62zc3anonymousza33858ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15513, obj_t BgL_sz00_15517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15514;
				obj_t BgL_a2z00_15515;
				obj_t BgL_locz00_15516;

				BgL_a1z00_15514 = PROCEDURE_REF(BgL_envz00_15513, (int) (((long) 0)));
				BgL_a2z00_15515 = PROCEDURE_REF(BgL_envz00_15513, (int) (((long) 1)));
				BgL_locz00_15516 = PROCEDURE_REF(BgL_envz00_15513, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2777;

					{	/* Eval/evaluate_comp.scm 955 */
						double BgL_auxz00_22043;

						BgL_sz00_2777 = BgL_sz00_15517;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2779;

							BgL_bpz00_2779 = VECTOR_REF(BgL_sz00_2777, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2780;
								obj_t BgL_a2z00_2781;

								BgL_a1z00_2780 =
									PROCEDURE_ENTRY(BgL_a1z00_15514) (BgL_a1z00_15514,
									BgL_sz00_2777, BEOA);
								BgL_a2z00_2781 =
									PROCEDURE_ENTRY(BgL_a2z00_15515) (BgL_a2z00_15515,
									BgL_sz00_2777, BEOA);
								if (REALP(BgL_a1z00_2780))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6936z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2780,
											BgL_locz00_15516);
									}
								if (REALP(BgL_a2z00_2781))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6936z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2781,
											BgL_locz00_15516);
									}
								BgL_auxz00_22043 =
									(REAL_TO_DOUBLE(BgL_a1z00_2780) *
									REAL_TO_DOUBLE(BgL_a2z00_2781));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22043);
					}
				}
			}
		}
	}



/* &<anonymous:3862> */
	obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15518, obj_t BgL_sz00_15522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15519;
				obj_t BgL_a2z00_15520;
				obj_t BgL_locz00_15521;

				BgL_a1z00_15519 = PROCEDURE_REF(BgL_envz00_15518, (int) (((long) 0)));
				BgL_a2z00_15520 = PROCEDURE_REF(BgL_envz00_15518, (int) (((long) 1)));
				BgL_locz00_15521 = PROCEDURE_REF(BgL_envz00_15518, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2787;

					{	/* Eval/evaluate_comp.scm 955 */
						double BgL_auxz00_22070;

						BgL_sz00_2787 = BgL_sz00_15522;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2789;

							BgL_bpz00_2789 = VECTOR_REF(BgL_sz00_2787, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2790;
								obj_t BgL_a2z00_2791;

								BgL_a1z00_2790 =
									PROCEDURE_ENTRY(BgL_a1z00_15519) (BgL_a1z00_15519,
									BgL_sz00_2787, BEOA);
								BgL_a2z00_2791 =
									PROCEDURE_ENTRY(BgL_a2z00_15520) (BgL_a2z00_15520,
									BgL_sz00_2787, BEOA);
								if (REALP(BgL_a1z00_2790))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6938z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2790,
											BgL_locz00_15521);
									}
								if (REALP(BgL_a2z00_2791))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6938z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2791,
											BgL_locz00_15521);
									}
								BgL_auxz00_22070 =
									(REAL_TO_DOUBLE(BgL_a1z00_2790) /
									REAL_TO_DOUBLE(BgL_a2z00_2791));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22070);
					}
				}
			}
		}
	}



/* &<anonymous:3866> */
	obj_t BGl_z62zc3anonymousza33866ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15523, obj_t BgL_sz00_15527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15524;
				obj_t BgL_a2z00_15525;
				obj_t BgL_locz00_15526;

				BgL_a1z00_15524 = PROCEDURE_REF(BgL_envz00_15523, (int) (((long) 0)));
				BgL_a2z00_15525 = PROCEDURE_REF(BgL_envz00_15523, (int) (((long) 1)));
				BgL_locz00_15526 = PROCEDURE_REF(BgL_envz00_15523, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2797;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_22097;

						BgL_sz00_2797 = BgL_sz00_15527;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2799;

							BgL_bpz00_2799 = VECTOR_REF(BgL_sz00_2797, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2800;
								obj_t BgL_a2z00_2801;

								BgL_a1z00_2800 =
									PROCEDURE_ENTRY(BgL_a1z00_15524) (BgL_a1z00_15524,
									BgL_sz00_2797, BEOA);
								BgL_a2z00_2801 =
									PROCEDURE_ENTRY(BgL_a2z00_15525) (BgL_a2z00_15525,
									BgL_sz00_2797, BEOA);
								if (REALP(BgL_a1z00_2800))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6940z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2800,
											BgL_locz00_15526);
									}
								if (REALP(BgL_a2z00_2801))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6940z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2801,
											BgL_locz00_15526);
									}
								BgL_auxz00_22097 =
									(REAL_TO_DOUBLE(BgL_a1z00_2800) <
									REAL_TO_DOUBLE(BgL_a2z00_2801));
							}
						}
						return BBOOL(BgL_auxz00_22097);
					}
				}
			}
		}
	}



/* &<anonymous:3870> */
	obj_t BGl_z62zc3anonymousza33870ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15528, obj_t BgL_sz00_15532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15529;
				obj_t BgL_a2z00_15530;
				obj_t BgL_locz00_15531;

				BgL_a1z00_15529 = PROCEDURE_REF(BgL_envz00_15528, (int) (((long) 0)));
				BgL_a2z00_15530 = PROCEDURE_REF(BgL_envz00_15528, (int) (((long) 1)));
				BgL_locz00_15531 = PROCEDURE_REF(BgL_envz00_15528, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2807;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_22124;

						BgL_sz00_2807 = BgL_sz00_15532;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2809;

							BgL_bpz00_2809 = VECTOR_REF(BgL_sz00_2807, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2810;
								obj_t BgL_a2z00_2811;

								BgL_a1z00_2810 =
									PROCEDURE_ENTRY(BgL_a1z00_15529) (BgL_a1z00_15529,
									BgL_sz00_2807, BEOA);
								BgL_a2z00_2811 =
									PROCEDURE_ENTRY(BgL_a2z00_15530) (BgL_a2z00_15530,
									BgL_sz00_2807, BEOA);
								if (REALP(BgL_a1z00_2810))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6942z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2810,
											BgL_locz00_15531);
									}
								if (REALP(BgL_a2z00_2811))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6942z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2811,
											BgL_locz00_15531);
									}
								BgL_auxz00_22124 =
									(REAL_TO_DOUBLE(BgL_a1z00_2810) >
									REAL_TO_DOUBLE(BgL_a2z00_2811));
							}
						}
						return BBOOL(BgL_auxz00_22124);
					}
				}
			}
		}
	}



/* &<anonymous:3874> */
	obj_t BGl_z62zc3anonymousza33874ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15533, obj_t BgL_sz00_15537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15534;
				obj_t BgL_a2z00_15535;
				obj_t BgL_locz00_15536;

				BgL_a1z00_15534 = PROCEDURE_REF(BgL_envz00_15533, (int) (((long) 0)));
				BgL_a2z00_15535 = PROCEDURE_REF(BgL_envz00_15533, (int) (((long) 1)));
				BgL_locz00_15536 = PROCEDURE_REF(BgL_envz00_15533, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2817;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_22151;

						BgL_sz00_2817 = BgL_sz00_15537;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2819;

							BgL_bpz00_2819 = VECTOR_REF(BgL_sz00_2817, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2820;
								obj_t BgL_a2z00_2821;

								BgL_a1z00_2820 =
									PROCEDURE_ENTRY(BgL_a1z00_15534) (BgL_a1z00_15534,
									BgL_sz00_2817, BEOA);
								BgL_a2z00_2821 =
									PROCEDURE_ENTRY(BgL_a2z00_15535) (BgL_a2z00_15535,
									BgL_sz00_2817, BEOA);
								if (REALP(BgL_a1z00_2820))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6944z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2820,
											BgL_locz00_15536);
									}
								if (REALP(BgL_a2z00_2821))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6944z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2821,
											BgL_locz00_15536);
									}
								BgL_auxz00_22151 =
									(REAL_TO_DOUBLE(BgL_a1z00_2820) <=
									REAL_TO_DOUBLE(BgL_a2z00_2821));
							}
						}
						return BBOOL(BgL_auxz00_22151);
					}
				}
			}
		}
	}



/* &<anonymous:3878> */
	obj_t BGl_z62zc3anonymousza33878ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15538, obj_t BgL_sz00_15542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15539;
				obj_t BgL_a2z00_15540;
				obj_t BgL_locz00_15541;

				BgL_a1z00_15539 = PROCEDURE_REF(BgL_envz00_15538, (int) (((long) 0)));
				BgL_a2z00_15540 = PROCEDURE_REF(BgL_envz00_15538, (int) (((long) 1)));
				BgL_locz00_15541 = PROCEDURE_REF(BgL_envz00_15538, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2827;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_22178;

						BgL_sz00_2827 = BgL_sz00_15542;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2829;

							BgL_bpz00_2829 = VECTOR_REF(BgL_sz00_2827, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2830;
								obj_t BgL_a2z00_2831;

								BgL_a1z00_2830 =
									PROCEDURE_ENTRY(BgL_a1z00_15539) (BgL_a1z00_15539,
									BgL_sz00_2827, BEOA);
								BgL_a2z00_2831 =
									PROCEDURE_ENTRY(BgL_a2z00_15540) (BgL_a2z00_15540,
									BgL_sz00_2827, BEOA);
								if (REALP(BgL_a1z00_2830))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6946z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2830,
											BgL_locz00_15541);
									}
								if (REALP(BgL_a2z00_2831))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6946z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2831,
											BgL_locz00_15541);
									}
								BgL_auxz00_22178 =
									(REAL_TO_DOUBLE(BgL_a1z00_2830) >=
									REAL_TO_DOUBLE(BgL_a2z00_2831));
							}
						}
						return BBOOL(BgL_auxz00_22178);
					}
				}
			}
		}
	}



/* &<anonymous:3882> */
	obj_t BGl_z62zc3anonymousza33882ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15543, obj_t BgL_sz00_15547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15544;
				obj_t BgL_a2z00_15545;
				obj_t BgL_locz00_15546;

				BgL_a1z00_15544 = PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 0)));
				BgL_a2z00_15545 = PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 1)));
				BgL_locz00_15546 = PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2837;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_22205;

						BgL_sz00_2837 = BgL_sz00_15547;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_2839;

							BgL_bpz00_2839 = VECTOR_REF(BgL_sz00_2837, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_2840;
								obj_t BgL_a2z00_2841;

								BgL_a1z00_2840 =
									PROCEDURE_ENTRY(BgL_a1z00_15544) (BgL_a1z00_15544,
									BgL_sz00_2837, BEOA);
								BgL_a2z00_2841 =
									PROCEDURE_ENTRY(BgL_a2z00_15545) (BgL_a2z00_15545,
									BgL_sz00_2837, BEOA);
								if (REALP(BgL_a1z00_2840))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6948z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a1z00_2840,
											BgL_locz00_15546);
									}
								if (REALP(BgL_a2z00_2841))
									{	/* Eval/evaluate_comp.scm 955 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 955 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6948z00zz__evaluate_compz00,
											BGl_symbol6932z00zz__evaluate_compz00, BgL_a2z00_2841,
											BgL_locz00_15546);
									}
								BgL_auxz00_22205 =
									(REAL_TO_DOUBLE(BgL_a1z00_2840) ==
									REAL_TO_DOUBLE(BgL_a2z00_2841));
							}
						}
						return BBOOL(BgL_auxz00_22205);
					}
				}
			}
		}
	}



/* &<anonymous:3886> */
	obj_t BGl_z62zc3anonymousza33886ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15548, obj_t BgL_sz00_15551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15549;
				obj_t BgL_a2z00_15550;

				BgL_a1z00_15549 = PROCEDURE_REF(BgL_envz00_15548, (int) (((long) 0)));
				BgL_a2z00_15550 = PROCEDURE_REF(BgL_envz00_15548, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2847;

					{	/* Eval/evaluate_comp.scm 955 */
						bool_t BgL_auxz00_22230;

						BgL_sz00_2847 = BgL_sz00_15551;
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_bpz00_9282;

							BgL_bpz00_9282 = VECTOR_REF(BgL_sz00_2847, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 955 */
								obj_t BgL_a1z00_9283;
								obj_t BgL_a2z00_9284;

								BgL_a1z00_9283 =
									PROCEDURE_ENTRY(BgL_a1z00_15549) (BgL_a1z00_15549,
									BgL_sz00_2847, BEOA);
								BgL_a2z00_9284 =
									PROCEDURE_ENTRY(BgL_a2z00_15550) (BgL_a2z00_15550,
									BgL_sz00_2847, BEOA);
								BgL_auxz00_22230 = (BgL_a1z00_9283 == BgL_a2z00_9284);
						}}
						return BBOOL(BgL_auxz00_22230);
					}
				}
			}
		}
	}



/* &<anonymous:3888> */
	obj_t BGl_z62zc3anonymousza33888ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15552, obj_t BgL_sz00_15555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 955 */
				obj_t BgL_a1z00_15553;
				obj_t BgL_a2z00_15554;

				BgL_a1z00_15553 = PROCEDURE_REF(BgL_envz00_15552, (int) (((long) 0)));
				BgL_a2z00_15554 = PROCEDURE_REF(BgL_envz00_15552, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2855;

					BgL_sz00_2855 = BgL_sz00_15555;
					{	/* Eval/evaluate_comp.scm 955 */
						obj_t BgL_bpz00_9287;

						BgL_bpz00_9287 = VECTOR_REF(BgL_sz00_2855, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 955 */
							obj_t BgL_a1z00_9288;
							obj_t BgL_a2z00_9289;

							BgL_a1z00_9288 =
								PROCEDURE_ENTRY(BgL_a1z00_15553) (BgL_a1z00_15553,
								BgL_sz00_2855, BEOA);
							BgL_a2z00_9289 =
								PROCEDURE_ENTRY(BgL_a2z00_15554) (BgL_a2z00_15554,
								BgL_sz00_2855, BEOA);
							return MAKE_PAIR(BgL_a1z00_9288, BgL_a2z00_9289);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3891> */
	obj_t BGl_z62zc3anonymousza33891ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15556, obj_t BgL_sz00_15559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 952 */
			{	/* Eval/evaluate_comp.scm 952 */
				obj_t BgL_a1z00_15557;
				obj_t BgL_locz00_15558;

				BgL_a1z00_15557 = PROCEDURE_REF(BgL_envz00_15556, (int) (((long) 0)));
				BgL_locz00_15558 = PROCEDURE_REF(BgL_envz00_15556, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2864;

					BgL_sz00_2864 = BgL_sz00_15559;
					{	/* Eval/evaluate_comp.scm 952 */
						obj_t BgL_bpz00_2866;

						BgL_bpz00_2866 = VECTOR_REF(BgL_sz00_2864, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 952 */
							obj_t BgL_a1z00_2867;

							BgL_a1z00_2867 =
								PROCEDURE_ENTRY(BgL_a1z00_15557) (BgL_a1z00_15557,
								BgL_sz00_2864, BEOA);
							if (PAIRP(BgL_a1z00_2867))
								{	/* Eval/evaluate_comp.scm 952 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 952 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6950z00zz__evaluate_compz00,
										BGl_symbol6952z00zz__evaluate_compz00, BgL_a1z00_2867,
										BgL_locz00_15558);
								}
							return CAR(BgL_a1z00_2867);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3894> */
	obj_t BGl_z62zc3anonymousza33894ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15560, obj_t BgL_sz00_15563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 952 */
			{	/* Eval/evaluate_comp.scm 952 */
				obj_t BgL_a1z00_15561;
				obj_t BgL_locz00_15562;

				BgL_a1z00_15561 = PROCEDURE_REF(BgL_envz00_15560, (int) (((long) 0)));
				BgL_locz00_15562 = PROCEDURE_REF(BgL_envz00_15560, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2871;

					BgL_sz00_2871 = BgL_sz00_15563;
					{	/* Eval/evaluate_comp.scm 952 */
						obj_t BgL_bpz00_2873;

						BgL_bpz00_2873 = VECTOR_REF(BgL_sz00_2871, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 952 */
							obj_t BgL_a1z00_2874;

							BgL_a1z00_2874 =
								PROCEDURE_ENTRY(BgL_a1z00_15561) (BgL_a1z00_15561,
								BgL_sz00_2871, BEOA);
							if (PAIRP(BgL_a1z00_2874))
								{	/* Eval/evaluate_comp.scm 952 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 952 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6954z00zz__evaluate_compz00,
										BGl_symbol6952z00zz__evaluate_compz00, BgL_a1z00_2874,
										BgL_locz00_15562);
								}
							return CDR(BgL_a1z00_2874);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3897> */
	obj_t BGl_z62zc3anonymousza33897ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15564, obj_t BgL_sz00_15567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 952 */
			{	/* Eval/evaluate_comp.scm 952 */
				obj_t BgL_a1z00_15565;
				obj_t BgL_locz00_15566;

				BgL_a1z00_15565 = PROCEDURE_REF(BgL_envz00_15564, (int) (((long) 0)));
				BgL_locz00_15566 = PROCEDURE_REF(BgL_envz00_15564, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2878;

					BgL_sz00_2878 = BgL_sz00_15567;
					{	/* Eval/evaluate_comp.scm 952 */
						obj_t BgL_bpz00_2880;

						BgL_bpz00_2880 = VECTOR_REF(BgL_sz00_2878, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 952 */
							obj_t BgL_a1z00_2881;

							BgL_a1z00_2881 =
								PROCEDURE_ENTRY(BgL_a1z00_15565) (BgL_a1z00_15565,
								BgL_sz00_2878, BEOA);
							{	/* Eval/evaluate_comp.scm 952 */
								bool_t BgL_testz00_22296;

								if (PAIRP(BgL_a1z00_2881))
									{	/* Eval/evaluate_comp.scm 952 */
										obj_t BgL_auxz00_22299;

										BgL_auxz00_22299 = CDR(BgL_a1z00_2881);
										BgL_testz00_22296 = PAIRP(BgL_auxz00_22299);
									}
								else
									{	/* Eval/evaluate_comp.scm 952 */
										BgL_testz00_22296 = ((bool_t) 0);
									}
								if (BgL_testz00_22296)
									{	/* Eval/evaluate_comp.scm 952 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 952 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6956z00zz__evaluate_compz00,
											BGl_symbol6952z00zz__evaluate_compz00, BgL_a1z00_2881,
											BgL_locz00_15566);
									}
							}
							{	/* Eval/evaluate_comp.scm 952 */
								obj_t BgL_pairz00_9090;

								BgL_pairz00_9090 = BgL_a1z00_2881;
								return CAR(CDR(BgL_pairz00_9090));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_198,
		obj_t BgL_wherez00_199, long BgL_spz00_200, long BgL_arityz00_201,
		obj_t BgL_valsz00_202, obj_t BgL_locz00_203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 994 */
			if ((BgL_arityz00_201 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 996 */
					long BgL_g2525z00_2887;

					BgL_g2525z00_2887 = (((long) -1) - BgL_arityz00_201);
					{
						long BgL_rz00_2889;
						long BgL_spz00_2890;
						obj_t BgL_lz00_2891;

						BgL_rz00_2889 = BgL_g2525z00_2887;
						BgL_spz00_2890 = BgL_spz00_200;
						BgL_lz00_2891 = BgL_valsz00_202;
					BgL_zc3anonymousza33902ze3z83_2892:
						if ((BgL_rz00_2889 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 998 */
								return
									VECTOR_SET(BgL_sz00_198,
									(int) (BgL_spz00_2890), BgL_lz00_2891);
							}
						else
							{	/* Eval/evaluate_comp.scm 998 */
								if (PAIRP(BgL_lz00_2891))
									{	/* Eval/evaluate_comp.scm 1000 */
										VECTOR_SET(BgL_sz00_198,
											(int) (BgL_spz00_2890), CAR(BgL_lz00_2891));
										{
											obj_t BgL_lz00_22321;
											long BgL_spz00_22319;
											long BgL_rz00_22317;

											BgL_rz00_22317 = (BgL_rz00_2889 - ((long) 1));
											BgL_spz00_22319 = (BgL_spz00_2890 + ((long) 1));
											BgL_lz00_22321 = CDR(BgL_lz00_2891);
											BgL_lz00_2891 = BgL_lz00_22321;
											BgL_spz00_2890 = BgL_spz00_22319;
											BgL_rz00_2889 = BgL_rz00_22317;
											goto BgL_zc3anonymousza33902ze3z83_2892;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										long BgL_arg3909z00_2899;

										BgL_arg3909z00_2899 = bgl_list_length(BgL_valsz00_202);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_203,
											BgL_wherez00_199, (int) (BgL_arityz00_201),
											(int) (BgL_arg3909z00_2899));
				}}}}
			else
				{
					long BgL_rz00_2902;
					long BgL_spz00_2903;
					obj_t BgL_lz00_2904;

					BgL_rz00_2902 = BgL_arityz00_201;
					BgL_spz00_2903 = BgL_spz00_200;
					BgL_lz00_2904 = BgL_valsz00_202;
				BgL_zc3anonymousza33910ze3z83_2905:
					if ((BgL_rz00_2902 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1007 */
							if (NULLP(BgL_lz00_2904))
								{	/* Eval/evaluate_comp.scm 1008 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1009 */
									long BgL_arg3913z00_2908;

									BgL_arg3913z00_2908 = bgl_list_length(BgL_valsz00_202);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_203,
										BgL_wherez00_199, (int) (BgL_arityz00_201),
										(int) (BgL_arg3913z00_2908));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1007 */
							if (PAIRP(BgL_lz00_2904))
								{	/* Eval/evaluate_comp.scm 1010 */
									VECTOR_SET(BgL_sz00_198,
										(int) (BgL_spz00_2903), CAR(BgL_lz00_2904));
									{
										obj_t BgL_lz00_22344;
										long BgL_spz00_22342;
										long BgL_rz00_22340;

										BgL_rz00_22340 = (BgL_rz00_2902 - ((long) 1));
										BgL_spz00_22342 = (BgL_spz00_2903 + ((long) 1));
										BgL_lz00_22344 = CDR(BgL_lz00_2904);
										BgL_lz00_2904 = BgL_lz00_22344;
										BgL_spz00_2903 = BgL_spz00_22342;
										BgL_rz00_2902 = BgL_rz00_22340;
										goto BgL_zc3anonymousza33910ze3z83_2905;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1011 */
									long BgL_arg3919z00_2914;

									BgL_arg3919z00_2914 = bgl_list_length(BgL_valsz00_202);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_203,
										BgL_wherez00_199, (int) (BgL_arityz00_201),
										(int) (BgL_arg3919z00_2914));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_206,
		obj_t BgL_ibza2za2_207, obj_t BgL_bpz00_208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1109 */
			{	/* Eval/evaluate_comp.scm 1110 */
				int BgL_nz00_2916;

				BgL_nz00_2916 = VECTOR_LENGTH(BgL_ibza2za2_207);
				{
					long BgL_iz00_2918;

					BgL_iz00_2918 = ((long) 0);
				BgL_zc3anonymousza33920ze3z83_2919:
					{	/* Eval/evaluate_comp.scm 1112 */
						long BgL_spz00_2920;

						{	/* Eval/evaluate_comp.scm 1112 */
							obj_t BgL_arg3924z00_2925;

							BgL_arg3924z00_2925 =
								VECTOR_REF(BgL_ibza2za2_207, (int) (BgL_iz00_2918));
							BgL_spz00_2920 =
								((long) CINT(BgL_bpz00_208) + (long) CINT(BgL_arg3924z00_2925));
						}
						{	/* Eval/evaluate_comp.scm 1113 */
							obj_t BgL_arg3921z00_2921;

							{	/* Eval/evaluate_comp.scm 1113 */
								obj_t BgL_arg3922z00_2922;

								BgL_arg3922z00_2922 =
									VECTOR_REF(BgL_sz00_206, (int) (BgL_spz00_2920));
								{	/* Eval/evaluate_comp.scm 1113 */
									obj_t BgL_newz00_9361;

									BgL_newz00_9361 =
										create_struct(BGl_symbol6880z00zz__evaluate_compz00,
										(int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 1113 */
										int BgL_auxz00_22360;

										BgL_auxz00_22360 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_9361, BgL_auxz00_22360,
											BgL_arg3922z00_2922);
									}
									BgL_arg3921z00_2921 = BgL_newz00_9361;
							}}
							VECTOR_SET(BgL_sz00_206,
								(int) (BgL_spz00_2920), BgL_arg3921z00_2921);
						}
						{	/* Eval/evaluate_comp.scm 1114 */
							long BgL_niz00_2923;

							BgL_niz00_2923 = (BgL_iz00_2918 + ((long) 1));
							if ((BgL_niz00_2923 < (long) (BgL_nz00_2916)))
								{
									long BgL_iz00_22369;

									BgL_iz00_22369 = BgL_niz00_2923;
									BgL_iz00_2918 = BgL_iz00_22369;
									goto BgL_zc3anonymousza33920ze3z83_2919;
								}
							else
								{	/* Eval/evaluate_comp.scm 1115 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_209,
		obj_t BgL_bpz00_210, obj_t BgL_iza2za2_211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1117 */
			{	/* Eval/evaluate_comp.scm 1118 */
				int BgL_nz00_2927;

				BgL_nz00_2927 = VECTOR_LENGTH(BgL_iza2za2_211);
				{	/* Eval/evaluate_comp.scm 1118 */
					obj_t BgL_rz00_2928;

					BgL_rz00_2928 = make_vector(BgL_nz00_2927, BUNSPEC);
					{	/* Eval/evaluate_comp.scm 1118 */

						{
							long BgL_iz00_2930;

							BgL_iz00_2930 = ((long) 0);
						BgL_zc3anonymousza33925ze3z83_2931:
							if ((BgL_iz00_2930 >= (long) (BgL_nz00_2927)))
								{	/* Eval/evaluate_comp.scm 1120 */
									return BgL_rz00_2928;
								}
							else
								{	/* Eval/evaluate_comp.scm 1120 */
									{	/* Eval/evaluate_comp.scm 1123 */
										obj_t BgL_arg3927z00_2933;

										{	/* Eval/evaluate_comp.scm 1123 */
											long BgL_arg3928z00_2934;

											{	/* Eval/evaluate_comp.scm 1123 */
												obj_t BgL_arg3929z00_2935;

												BgL_arg3929z00_2935 =
													VECTOR_REF(BgL_iza2za2_211, (int) (BgL_iz00_2930));
												BgL_arg3928z00_2934 =
													(
													(long) CINT(BgL_bpz00_210) +
													(long) CINT(BgL_arg3929z00_2935));
											}
											BgL_arg3927z00_2933 =
												VECTOR_REF(BgL_sz00_209, (int) (BgL_arg3928z00_2934));
										}
										VECTOR_SET(BgL_rz00_2928,
											(int) (BgL_iz00_2930), BgL_arg3927z00_2933);
									}
									{
										long BgL_iz00_22384;

										BgL_iz00_22384 = (BgL_iz00_2930 + ((long) 1));
										BgL_iz00_2930 = BgL_iz00_22384;
										goto BgL_zc3anonymousza33925ze3z83_2931;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_212,
		obj_t BgL_valza2za2_213, long BgL_spz00_214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1126 */
			{	/* Eval/evaluate_comp.scm 1127 */
				long BgL_stopz00_2939;

				{	/* Eval/evaluate_comp.scm 1127 */
					int BgL_arg3937z00_2949;

					BgL_arg3937z00_2949 = VECTOR_LENGTH(BgL_valza2za2_213);
					BgL_stopz00_2939 = (BgL_spz00_214 + (long) (BgL_arg3937z00_2949));
				}
				{
					long BgL_iz00_9437;
					long BgL_spz00_9438;

					BgL_iz00_9437 = ((long) 0);
					BgL_spz00_9438 = BgL_spz00_214;
				BgL_recz00_9436:
					if ((BgL_spz00_9438 < BgL_stopz00_2939))
						{	/* Eval/evaluate_comp.scm 1128 */
							VECTOR_SET(BgL_sz00_212,
								(int) (BgL_spz00_9438),
								VECTOR_REF(BgL_valza2za2_213, (int) (BgL_iz00_9437)));
							{
								long BgL_spz00_22397;
								long BgL_iz00_22395;

								BgL_iz00_22395 = (BgL_iz00_9437 + ((long) 1));
								BgL_spz00_22397 = (BgL_spz00_9438 + ((long) 1));
								BgL_spz00_9438 = BgL_spz00_22397;
								BgL_iz00_9437 = BgL_iz00_22395;
								goto BgL_recz00_9436;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1128 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc6958z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string6959z00zz__evaluate_compz00);
		}
	}



/* &comp2927 */
	obj_t BGl_z62comp2927z62zz__evaluate_compz00(obj_t BgL_envz00_15653,
		BgL_ev_exprz00_bglt BgL_ez00_15654, obj_t BgL_stkz00_15655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 265 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_3239;
				obj_t BgL_stkz00_3240;

				BgL_ez00_3239 = BgL_ez00_15654;
				BgL_stkz00_3240 = BgL_stkz00_15655;
				return
					BGl_errorz00zz__errorz00(BGl_string6870z00zz__evaluate_compz00,
					BGl_string6960z00zz__evaluate_compz00, ((obj_t) BgL_ez00_3239));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 265 */
			{	/* Eval/evaluate_comp.scm 265 */
				obj_t BgL_method2928z00_3243;

				{	/* Eval/evaluate_comp.scm 265 */
					obj_t BgL_res6135z00_9489;

					{	/* Eval/evaluate_comp.scm 265 */
						BgL_objectz00_bglt BgL_objz00_9461;

						BgL_objz00_9461 = ((BgL_objectz00_bglt) BgL_ez00_35);
						{	/* Eval/evaluate_comp.scm 265 */
							long BgL_objzd2classzd2numz00_9462;

							{	/* Eval/evaluate_comp.scm 265 */
								long BgL_res6129z00_9465;

								BgL_res6129z00_9465 = BGL_OBJECT_CLASS_NUM(BgL_objz00_9461);
								BgL_objzd2classzd2numz00_9462 = BgL_res6129z00_9465;
							}
							{	/* Eval/evaluate_comp.scm 265 */
								obj_t BgL_arg5621z00_9463;

								BgL_arg5621z00_9463 =
									PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 265 */
									obj_t BgL_arrayz00_9466;
									int BgL_offsetz00_9467;

									BgL_arrayz00_9466 = BgL_arg5621z00_9463;
									BgL_offsetz00_9467 = (int) (BgL_objzd2classzd2numz00_9462);
									{	/* Eval/evaluate_comp.scm 265 */
										long BgL_offsetz00_9468;

										BgL_offsetz00_9468 =
											((long) (BgL_offsetz00_9467) - OBJECT_TYPE);
										{	/* Eval/evaluate_comp.scm 265 */
											long BgL_modz00_9469;

											{	/* Eval/evaluate_comp.scm 265 */
												int BgL_arg5623z00_9470;

												BgL_arg5623z00_9470 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 265 */
													long BgL_res6132z00_9480;

													{	/* Eval/evaluate_comp.scm 265 */
														long BgL_auxz00_22410;

														BgL_auxz00_22410 = (long) (BgL_arg5623z00_9470);
														BgL_res6132z00_9480 =
															(BgL_offsetz00_9468 / BgL_auxz00_22410);
													}
													BgL_modz00_9469 = BgL_res6132z00_9480;
											}}
											{	/* Eval/evaluate_comp.scm 265 */
												long BgL_restz00_9471;

												{	/* Eval/evaluate_comp.scm 265 */
													int BgL_arg5622z00_9472;

													BgL_arg5622z00_9472 = (int) (((long) 16));
													{	/* Eval/evaluate_comp.scm 265 */
														long BgL_res6134z00_9484;

														{	/* Eval/evaluate_comp.scm 265 */
															long BgL_auxz00_22414;

															BgL_auxz00_22414 = (long) (BgL_arg5622z00_9472);
															BgL_res6134z00_9484 =
																(BgL_offsetz00_9468 % BgL_auxz00_22414);
														}
														BgL_restz00_9471 = BgL_res6134z00_9484;
												}}
												{	/* Eval/evaluate_comp.scm 265 */

													BgL_res6135z00_9489 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_9466,
															(int) (BgL_modz00_9469)),
														(int) (BgL_restz00_9471));
					}}}}}}}}
					BgL_method2928z00_3243 = BgL_res6135z00_9489;
				}
				return
					PROCEDURE_ENTRY(BgL_method2928z00_3243) (BgL_method2928z00_3243,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_15656,
		obj_t BgL_ez00_15657, obj_t BgL_stkz00_15658)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 265 */
			{	/* Eval/evaluate_comp.scm 265 */
				BgL_ev_exprz00_bglt BgL_auxz00_22427;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_15657,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 265 */
						BgL_auxz00_22427 = ((BgL_ev_exprz00_bglt) BgL_ez00_15657);
					}
				else
					{
						obj_t BgL_auxz00_22431;

						BgL_auxz00_22431 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string6875z00zz__evaluate_compz00, BINT(((long) 6607)),
							BGl_string6961z00zz__evaluate_compz00,
							BGl_string6877z00zz__evaluate_compz00, BgL_ez00_15657);
						FAILURE(BgL_auxz00_22431, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_22427, BgL_stkz00_15658);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc6962z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc6964z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc6965z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc6966z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc6967z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc6968z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc6969z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc6970z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc6971z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc6972z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc6973z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc6974z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc6975z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc6976z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc6977z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc6978z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc6979z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc6980z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc6981z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc6982z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc6983z00zz__evaluate_compz00,
				BGl_string6963z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs2970 */
	obj_t BGl_z62compzd2ev_abs2970zb0zz__evaluate_compz00(obj_t BgL_envz00_15849,
		BgL_ev_absz00_bglt BgL_ez00_15850, obj_t BgL_stkz00_15851)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1097 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3994;
				obj_t BgL_stkz00_3995;

				BgL_ez00_3994 = BgL_ez00_15850;
				BgL_stkz00_3995 = BgL_stkz00_15851;
				{	/* Eval/evaluate_comp.scm 1099 */
					obj_t BgL_ifreesz00_3999;
					obj_t BgL_iboxesz00_4000;
					long BgL_siza7eza7_4001;
					long BgL_siza7ezd2framez75_4002;
					obj_t BgL_nstkz00_4003;

					{	/* Eval/evaluate_comp.scm 1099 */
						obj_t BgL_arg5294z00_6023;

						{	/* Eval/evaluate_comp.scm 1099 */
							obj_t BgL_l2905z00_6024;

							BgL_l2905z00_6024 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_3994)))->BgL_freez00);
							if (NULLP(BgL_l2905z00_6024))
								{	/* Eval/evaluate_comp.scm 1099 */
									BgL_arg5294z00_6023 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1099 */
									obj_t BgL_head2907z00_6026;

									{	/* Eval/evaluate_comp.scm 1099 */
										obj_t BgL_res6273z00_10880;

										BgL_res6273z00_10880 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2907z00_6026 = BgL_res6273z00_10880;
									}
									{
										obj_t BgL_l2905z00_10914;
										obj_t BgL_tail2908z00_10915;

										BgL_l2905z00_10914 = BgL_l2905z00_6024;
										BgL_tail2908z00_10915 = BgL_head2907z00_6026;
									BgL_zc3anonymousza35296ze3z83_10913:
										if (NULLP(BgL_l2905z00_10914))
											{	/* Eval/evaluate_comp.scm 1099 */
												BgL_arg5294z00_6023 = CDR(BgL_head2907z00_6026);
											}
										else
											{	/* Eval/evaluate_comp.scm 1099 */
												obj_t BgL_newtail2909z00_10922;

												{	/* Eval/evaluate_comp.scm 1099 */
													obj_t BgL_arg5299z00_10923;

													BgL_arg5299z00_10923 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l2905z00_10914), BgL_stkz00_3995);
													{	/* Eval/evaluate_comp.scm 1099 */
														obj_t BgL_res6279z00_10932;

														BgL_res6279z00_10932 =
															MAKE_PAIR(BgL_arg5299z00_10923, BNIL);
														BgL_newtail2909z00_10922 = BgL_res6279z00_10932;
													}
												}
												SET_CDR(BgL_tail2908z00_10915,
													BgL_newtail2909z00_10922);
												{
													obj_t BgL_tail2908z00_22471;
													obj_t BgL_l2905z00_22469;

													BgL_l2905z00_22469 = CDR(BgL_l2905z00_10914);
													BgL_tail2908z00_22471 = BgL_newtail2909z00_10922;
													BgL_tail2908z00_10915 = BgL_tail2908z00_22471;
													BgL_l2905z00_10914 = BgL_l2905z00_22469;
													goto BgL_zc3anonymousza35296ze3z83_10913;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3999 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg5294z00_6023);
					}
					{	/* Eval/evaluate_comp.scm 1100 */
						obj_t BgL_arg5300z00_6037;

						{	/* Eval/evaluate_comp.scm 1100 */
							obj_t BgL_l2910z00_6038;

							BgL_l2910z00_6038 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_3994)))->BgL_boxesz00);
							if (NULLP(BgL_l2910z00_6038))
								{	/* Eval/evaluate_comp.scm 1100 */
									BgL_arg5300z00_6037 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1100 */
									obj_t BgL_head2912z00_6040;

									{	/* Eval/evaluate_comp.scm 1100 */
										obj_t BgL_res6281z00_10941;

										BgL_res6281z00_10941 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2912z00_6040 = BgL_res6281z00_10941;
									}
									{
										obj_t BgL_l2910z00_6042;
										obj_t BgL_tail2913z00_6043;

										BgL_l2910z00_6042 = BgL_l2910z00_6038;
										BgL_tail2913z00_6043 = BgL_head2912z00_6040;
									BgL_zc3anonymousza35302ze3z83_6044:
										if (NULLP(BgL_l2910z00_6042))
											{	/* Eval/evaluate_comp.scm 1100 */
												BgL_arg5300z00_6037 = CDR(BgL_head2912z00_6040);
											}
										else
											{	/* Eval/evaluate_comp.scm 1100 */
												obj_t BgL_newtail2914z00_6046;

												{	/* Eval/evaluate_comp.scm 1100 */
													obj_t BgL_arg5305z00_6048;

													{	/* Eval/evaluate_comp.scm 1100 */
														obj_t BgL_vz00_6049;

														BgL_vz00_6049 = CAR(BgL_l2910z00_6042);
														{	/* Eval/evaluate_comp.scm 1100 */
															obj_t BgL_arg5306z00_6050;

															BgL_arg5306z00_6050 =
																(((BgL_ev_absz00_bglt) CREF(
																		((obj_t) BgL_ez00_3994)))->BgL_varsz00);
															BgL_arg5305z00_6048 =
																BGl__indexz00zz__evaluate_compz00(BgL_vz00_6049,
																BgL_arg5306z00_6050);
														}
													}
													{	/* Eval/evaluate_comp.scm 1100 */
														obj_t BgL_res6283z00_10949;

														BgL_res6283z00_10949 =
															MAKE_PAIR(BgL_arg5305z00_6048, BNIL);
														BgL_newtail2914z00_6046 = BgL_res6283z00_10949;
													}
												}
												SET_CDR(BgL_tail2913z00_6043, BgL_newtail2914z00_6046);
												{
													obj_t BgL_tail2913z00_22489;
													obj_t BgL_l2910z00_22487;

													BgL_l2910z00_22487 = CDR(BgL_l2910z00_6042);
													BgL_tail2913z00_22489 = BgL_newtail2914z00_6046;
													BgL_tail2913z00_6043 = BgL_tail2913z00_22489;
													BgL_l2910z00_6042 = BgL_l2910z00_22487;
													goto BgL_zc3anonymousza35302ze3z83_6044;
												}
											}
									}
								}
						}
						BgL_iboxesz00_4000 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg5300z00_6037);
					}
					BgL_siza7eza7_4001 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_ez00_3994)))->BgL_varsz00));
					BgL_siza7ezd2framez75_4002 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_3994)))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_3994)))->BgL_freez00)));
					{	/* Eval/evaluate_comp.scm 1103 */
						obj_t BgL_arg5312z00_6056;
						obj_t BgL_arg5313z00_6057;

						BgL_arg5312z00_6056 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_ez00_3994)))->BgL_varsz00);
						BgL_arg5313z00_6057 =
							(((BgL_ev_absz00_bglt) CREF(
									((obj_t) BgL_ez00_3994)))->BgL_freez00);
						BgL_nstkz00_4003 =
							BGl_appendzd221095zd2zz__evaluate_compz00(BgL_arg5312z00_6056,
							BgL_arg5313z00_6057);
					}
					{	/* Eval/evaluate_comp.scm 1104 */
						obj_t BgL_bodyz00_4004;

						{	/* Eval/evaluate_comp.scm 1104 */
							BgL_ev_exprz00_bglt BgL_arg5292z00_6022;

							BgL_arg5292z00_6022 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_ez00_3994)))->BgL_bodyz00);
							BgL_bodyz00_4004 =
								BGl_compz00zz__evaluate_compz00(BgL_arg5292z00_6022,
								BgL_nstkz00_4003);
						}
						{

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_aux2562z00_4006;

								BgL_aux2562z00_4006 =
									(((BgL_ev_absz00_bglt) CREF(
											((obj_t) BgL_ez00_3994)))->BgL_arityz00);
								if (INTEGERP(BgL_aux2562z00_4006))
									{	/* Eval/evaluate_comp.scm 1106 */
										switch ((long) CINT(BgL_aux2562z00_4006))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_22513;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4407z00_4165;

														BgL_arg4407z00_4165 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_22513 =
															((long) (BgL_arg4407z00_4165) == ((long) 0));
													}
													if (BgL_testz00_22513)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22517;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4369z00_4084;

																BgL_arg4369z00_4084 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22517 =
																	((long) (BgL_arg4369z00_4084) == ((long) 0));
															}
															if (BgL_testz00_22517)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34336ze3z83_15670;

																	BgL_zc3anonymousza34336ze3z83_15670 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34336ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34336ze3z83_15670,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34336ze3z83_15670,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34336ze3z83_15670,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34336ze3z83_15670;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34353ze3z83_15667;

																	BgL_zc3anonymousza34353ze3z83_15667 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34353ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34353ze3z83_15667,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34353ze3z83_15667,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34353ze3z83_15667,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34353ze3z83_15667,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34353ze3z83_15667;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22545;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4406z00_4164;

																BgL_arg4406z00_4164 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22545 =
																	((long) (BgL_arg4406z00_4164) == ((long) 0));
															}
															if (BgL_testz00_22545)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34371ze3z83_15664;

																	BgL_zc3anonymousza34371ze3z83_15664 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34371ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34371ze3z83_15664,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34371ze3z83_15664,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34371ze3z83_15664,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34371ze3z83_15664,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34371ze3z83_15664,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34371ze3z83_15664;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34389ze3z83_15661;

																	BgL_zc3anonymousza34389ze3z83_15661 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34389ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34389ze3z83_15661,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34389ze3z83_15661,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34389ze3z83_15661,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34389ze3z83_15661,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34389ze3z83_15661,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34389ze3z83_15661,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34389ze3z83_15661;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_22583;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4484z00_4331;

														BgL_arg4484z00_4331 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_22583 =
															((long) (BgL_arg4484z00_4331) == ((long) 0));
													}
													if (BgL_testz00_22583)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22587;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4445z00_4246;

																BgL_arg4445z00_4246 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22587 =
																	((long) (BgL_arg4445z00_4246) == ((long) 0));
															}
															if (BgL_testz00_22587)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34410ze3z83_15682;

																	BgL_zc3anonymousza34410ze3z83_15682 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34410ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34410ze3z83_15682,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34410ze3z83_15682,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34410ze3z83_15682,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34410ze3z83_15682;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34428ze3z83_15679;

																	BgL_zc3anonymousza34428ze3z83_15679 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34428ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34428ze3z83_15679,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34428ze3z83_15679,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34428ze3z83_15679,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34428ze3z83_15679,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34428ze3z83_15679;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22615;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4483z00_4330;

																BgL_arg4483z00_4330 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22615 =
																	((long) (BgL_arg4483z00_4330) == ((long) 0));
															}
															if (BgL_testz00_22615)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34447ze3z83_15676;

																	BgL_zc3anonymousza34447ze3z83_15676 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34447ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34447ze3z83_15676,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34447ze3z83_15676,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34447ze3z83_15676,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34447ze3z83_15676,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34447ze3z83_15676,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34447ze3z83_15676;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34465ze3z83_15673;

																	BgL_zc3anonymousza34465ze3z83_15673 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34465ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34465ze3z83_15673,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34465ze3z83_15673,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34465ze3z83_15673,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34465ze3z83_15673,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34465ze3z83_15673,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34465ze3z83_15673,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34465ze3z83_15673;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_22653;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4560z00_4497;

														BgL_arg4560z00_4497 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_22653 =
															((long) (BgL_arg4560z00_4497) == ((long) 0));
													}
													if (BgL_testz00_22653)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22657;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4521z00_4412;

																BgL_arg4521z00_4412 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22657 =
																	((long) (BgL_arg4521z00_4412) == ((long) 0));
															}
															if (BgL_testz00_22657)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34487ze3z83_15694;

																	BgL_zc3anonymousza34487ze3z83_15694 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34487ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34487ze3z83_15694,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34487ze3z83_15694,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34487ze3z83_15694,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34487ze3z83_15694;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34504ze3z83_15691;

																	BgL_zc3anonymousza34504ze3z83_15691 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34504ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34504ze3z83_15691,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34504ze3z83_15691,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34504ze3z83_15691,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34504ze3z83_15691,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34504ze3z83_15691;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22685;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4559z00_4496;

																BgL_arg4559z00_4496 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22685 =
																	((long) (BgL_arg4559z00_4496) == ((long) 0));
															}
															if (BgL_testz00_22685)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34523ze3z83_15688;

																	BgL_zc3anonymousza34523ze3z83_15688 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34523ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34523ze3z83_15688,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34523ze3z83_15688,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34523ze3z83_15688,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34523ze3z83_15688,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34523ze3z83_15688,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34523ze3z83_15688;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34541ze3z83_15685;

																	BgL_zc3anonymousza34541ze3z83_15685 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34541ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34541ze3z83_15685,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34541ze3z83_15685,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34541ze3z83_15685,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34541ze3z83_15685,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34541ze3z83_15685,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34541ze3z83_15685,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34541ze3z83_15685;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_22723;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4642z00_4671;

														BgL_arg4642z00_4671 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_22723 =
															((long) (BgL_arg4642z00_4671) == ((long) 0));
													}
													if (BgL_testz00_22723)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22727;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4599z00_4582;

																BgL_arg4599z00_4582 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22727 =
																	((long) (BgL_arg4599z00_4582) == ((long) 0));
															}
															if (BgL_testz00_22727)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34563ze3z83_15706;

																	BgL_zc3anonymousza34563ze3z83_15706 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34563ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34563ze3z83_15706,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34563ze3z83_15706,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34563ze3z83_15706,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34563ze3z83_15706;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34581ze3z83_15703;

																	BgL_zc3anonymousza34581ze3z83_15703 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34581ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34581ze3z83_15703,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34581ze3z83_15703,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34581ze3z83_15703,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34581ze3z83_15703,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34581ze3z83_15703;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22755;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4641z00_4670;

																BgL_arg4641z00_4670 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22755 =
																	((long) (BgL_arg4641z00_4670) == ((long) 0));
															}
															if (BgL_testz00_22755)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34601ze3z83_15700;

																	BgL_zc3anonymousza34601ze3z83_15700 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34601ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34601ze3z83_15700,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34601ze3z83_15700,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34601ze3z83_15700,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34601ze3z83_15700,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34601ze3z83_15700,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34601ze3z83_15700;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34620ze3z83_15697;

																	BgL_zc3anonymousza34620ze3z83_15697 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34620ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34620ze3z83_15697,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34620ze3z83_15697,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34620ze3z83_15697,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34620ze3z83_15697,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34620ze3z83_15697,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34620ze3z83_15697,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34620ze3z83_15697;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_22793;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4723z00_4845;

														BgL_arg4723z00_4845 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_22793 =
															((long) (BgL_arg4723z00_4845) == ((long) 0));
													}
													if (BgL_testz00_22793)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22797;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4682z00_4756;

																BgL_arg4682z00_4756 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22797 =
																	((long) (BgL_arg4682z00_4756) == ((long) 0));
															}
															if (BgL_testz00_22797)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34645ze3z83_15718;

																	BgL_zc3anonymousza34645ze3z83_15718 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34645ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34645ze3z83_15718,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34645ze3z83_15718,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34645ze3z83_15718,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34645ze3z83_15718;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34663ze3z83_15715;

																	BgL_zc3anonymousza34663ze3z83_15715 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34663ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34663ze3z83_15715,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34663ze3z83_15715,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34663ze3z83_15715,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34663ze3z83_15715,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34663ze3z83_15715;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22825;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4722z00_4844;

																BgL_arg4722z00_4844 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22825 =
																	((long) (BgL_arg4722z00_4844) == ((long) 0));
															}
															if (BgL_testz00_22825)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34684ze3z83_15712;

																	BgL_zc3anonymousza34684ze3z83_15712 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34684ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34684ze3z83_15712,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34684ze3z83_15712,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34684ze3z83_15712,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34684ze3z83_15712,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34684ze3z83_15712,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34684ze3z83_15712;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34703ze3z83_15709;

																	BgL_zc3anonymousza34703ze3z83_15709 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34703ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34703ze3z83_15709,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34703ze3z83_15709,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34703ze3z83_15709,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34703ze3z83_15709,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34703ze3z83_15709,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34703ze3z83_15709,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34703ze3z83_15709;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_22863;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4809z00_5027;

														BgL_arg4809z00_5027 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_22863 =
															((long) (BgL_arg4809z00_5027) == ((long) 0));
													}
													if (BgL_testz00_22863)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22867;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4764z00_4934;

																BgL_arg4764z00_4934 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22867 =
																	((long) (BgL_arg4764z00_4934) == ((long) 0));
															}
															if (BgL_testz00_22867)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34726ze3z83_15730;

																	BgL_zc3anonymousza34726ze3z83_15730 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34726ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34726ze3z83_15730,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34726ze3z83_15730,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34726ze3z83_15730,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34726ze3z83_15730;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34745ze3z83_15727;

																	BgL_zc3anonymousza34745ze3z83_15727 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34745ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34745ze3z83_15727,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34745ze3z83_15727,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34745ze3z83_15727,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34745ze3z83_15727,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34745ze3z83_15727;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22895;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4808z00_5026;

																BgL_arg4808z00_5026 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22895 =
																	((long) (BgL_arg4808z00_5026) == ((long) 0));
															}
															if (BgL_testz00_22895)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34766ze3z83_15724;

																	BgL_zc3anonymousza34766ze3z83_15724 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34766ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34766ze3z83_15724,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34766ze3z83_15724,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34766ze3z83_15724,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34766ze3z83_15724,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34766ze3z83_15724,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34766ze3z83_15724;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34787ze3z83_15721;

																	BgL_zc3anonymousza34787ze3z83_15721 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34787ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34787ze3z83_15721,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34787ze3z83_15721,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34787ze3z83_15721,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34787ze3z83_15721,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34787ze3z83_15721,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34787ze3z83_15721,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34787ze3z83_15721;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_22933;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4894z00_5209;

														BgL_arg4894z00_5209 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_22933 =
															((long) (BgL_arg4894z00_5209) == ((long) 0));
													}
													if (BgL_testz00_22933)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22937;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4850z00_5116;

																BgL_arg4850z00_5116 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22937 =
																	((long) (BgL_arg4850z00_5116) == ((long) 0));
															}
															if (BgL_testz00_22937)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34812ze3z83_15742;

																	BgL_zc3anonymousza34812ze3z83_15742 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34812ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34812ze3z83_15742,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34812ze3z83_15742,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34812ze3z83_15742,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34812ze3z83_15742;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34831ze3z83_15739;

																	BgL_zc3anonymousza34831ze3z83_15739 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34831ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34831ze3z83_15739,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34831ze3z83_15739,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34831ze3z83_15739,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34831ze3z83_15739,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34831ze3z83_15739;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_22965;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4893z00_5208;

																BgL_arg4893z00_5208 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_22965 =
																	((long) (BgL_arg4893z00_5208) == ((long) 0));
															}
															if (BgL_testz00_22965)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34852ze3z83_15736;

																	BgL_zc3anonymousza34852ze3z83_15736 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34852ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34852ze3z83_15736,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34852ze3z83_15736,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34852ze3z83_15736,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34852ze3z83_15736,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34852ze3z83_15736,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34852ze3z83_15736;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34872ze3z83_15733;

																	BgL_zc3anonymousza34872ze3z83_15733 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34872ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34872ze3z83_15733,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34872ze3z83_15733,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34872ze3z83_15733,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34872ze3z83_15733,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34872ze3z83_15733,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34872ze3z83_15733,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34872ze3z83_15733;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_23003;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg4982z00_5399;

														BgL_arg4982z00_5399 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_23003 =
															((long) (BgL_arg4982z00_5399) == ((long) 0));
													}
													if (BgL_testz00_23003)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23007;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4937z00_5302;

																BgL_arg4937z00_5302 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23007 =
																	((long) (BgL_arg4937z00_5302) == ((long) 0));
															}
															if (BgL_testz00_23007)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34897ze3z83_15754;

																	BgL_zc3anonymousza34897ze3z83_15754 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34897ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34897ze3z83_15754,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34897ze3z83_15754,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34897ze3z83_15754,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34897ze3z83_15754;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34917ze3z83_15751;

																	BgL_zc3anonymousza34917ze3z83_15751 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34917ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34917ze3z83_15751,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34917ze3z83_15751,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34917ze3z83_15751,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34917ze3z83_15751,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34917ze3z83_15751;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23035;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg4981z00_5398;

																BgL_arg4981z00_5398 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23035 =
																	((long) (BgL_arg4981z00_5398) == ((long) 0));
															}
															if (BgL_testz00_23035)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34939ze3z83_15748;

																	BgL_zc3anonymousza34939ze3z83_15748 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34939ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34939ze3z83_15748,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34939ze3z83_15748,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34939ze3z83_15748,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34939ze3z83_15748,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34939ze3z83_15748,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34939ze3z83_15748;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34960ze3z83_15745;

																	BgL_zc3anonymousza34960ze3z83_15745 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34960ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34960ze3z83_15745,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34960ze3z83_15745,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34960ze3z83_15745,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34960ze3z83_15745,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34960ze3z83_15745,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34960ze3z83_15745,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34960ze3z83_15745;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_23073;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg5070z00_5589;

														BgL_arg5070z00_5589 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_23073 =
															((long) (BgL_arg5070z00_5589) == ((long) 0));
													}
													if (BgL_testz00_23073)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23077;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg5025z00_5492;

																BgL_arg5025z00_5492 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23077 =
																	((long) (BgL_arg5025z00_5492) == ((long) 0));
															}
															if (BgL_testz00_23077)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza34985ze3z83_15766;

																	BgL_zc3anonymousza34985ze3z83_15766 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34985ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34985ze3z83_15766,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34985ze3z83_15766,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34985ze3z83_15766,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza34985ze3z83_15766;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35005ze3z83_15763;

																	BgL_zc3anonymousza35005ze3z83_15763 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35005ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35005ze3z83_15763,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35005ze3z83_15763,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35005ze3z83_15763,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35005ze3z83_15763,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35005ze3z83_15763;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23105;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg5069z00_5588;

																BgL_arg5069z00_5588 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23105 =
																	((long) (BgL_arg5069z00_5588) == ((long) 0));
															}
															if (BgL_testz00_23105)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35027ze3z83_15760;

																	BgL_zc3anonymousza35027ze3z83_15760 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35027ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35027ze3z83_15760,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35027ze3z83_15760,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35027ze3z83_15760,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35027ze3z83_15760,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35027ze3z83_15760,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35027ze3z83_15760;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35048ze3z83_15757;

																	BgL_zc3anonymousza35048ze3z83_15757 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35048ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35048ze3z83_15757,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35048ze3z83_15757,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35048ze3z83_15757,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35048ze3z83_15757,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35048ze3z83_15757,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35048ze3z83_15757,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35048ze3z83_15757;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_23143;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg5163z00_5787;

														BgL_arg5163z00_5787 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_23143 =
															((long) (BgL_arg5163z00_5787) == ((long) 0));
													}
													if (BgL_testz00_23143)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23147;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg5115z00_5686;

																BgL_arg5115z00_5686 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23147 =
																	((long) (BgL_arg5115z00_5686) == ((long) 0));
															}
															if (BgL_testz00_23147)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35073ze3z83_15778;

																	BgL_zc3anonymousza35073ze3z83_15778 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35073ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35073ze3z83_15778,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35073ze3z83_15778,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35073ze3z83_15778,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35073ze3z83_15778;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35094ze3z83_15775;

																	BgL_zc3anonymousza35094ze3z83_15775 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35094ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35094ze3z83_15775,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35094ze3z83_15775,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35094ze3z83_15775,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35094ze3z83_15775,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35094ze3z83_15775;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23175;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg5162z00_5786;

																BgL_arg5162z00_5786 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23175 =
																	((long) (BgL_arg5162z00_5786) == ((long) 0));
															}
															if (BgL_testz00_23175)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35117ze3z83_15772;

																	BgL_zc3anonymousza35117ze3z83_15772 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35117ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35117ze3z83_15772,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35117ze3z83_15772,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35117ze3z83_15772,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35117ze3z83_15772,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35117ze3z83_15772,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35117ze3z83_15772;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35139ze3z83_15769;

																	BgL_zc3anonymousza35139ze3z83_15769 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35139ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35139ze3z83_15769,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35139ze3z83_15769,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35139ze3z83_15769,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35139ze3z83_15769,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35139ze3z83_15769,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35139ze3z83_15769,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35139ze3z83_15769;
																}
														}
												}
												break;
											default:
											BgL_case_else2561z00_4005:
												{	/* Eval/evaluate_comp.scm 1106 */
													bool_t BgL_testz00_23213;

													{	/* Eval/evaluate_comp.scm 1106 */
														int BgL_arg5291z00_6021;

														BgL_arg5291z00_6021 =
															VECTOR_LENGTH(BgL_ifreesz00_3999);
														BgL_testz00_23213 =
															((long) (BgL_arg5291z00_6021) == ((long) 0));
													}
													if (BgL_testz00_23213)
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23217;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg5226z00_5902;

																BgL_arg5226z00_5902 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23217 =
																	((long) (BgL_arg5226z00_5902) == ((long) 0));
															}
															if (BgL_testz00_23217)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35166ze3z83_15790;

																	BgL_zc3anonymousza35166ze3z83_15790 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35166ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35166ze3z83_15790,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35166ze3z83_15790,
																		(int) (((long) 1)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35166ze3z83_15790,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35166ze3z83_15790;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35196ze3z83_15787;

																	BgL_zc3anonymousza35196ze3z83_15787 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35196ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35196ze3z83_15787,
																		(int) (((long) 0)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35196ze3z83_15787,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35196ze3z83_15787,
																		(int) (((long) 2)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35196ze3z83_15787,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35196ze3z83_15787;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1106 */
															bool_t BgL_testz00_23245;

															{	/* Eval/evaluate_comp.scm 1106 */
																int BgL_arg5290z00_6020;

																BgL_arg5290z00_6020 =
																	VECTOR_LENGTH(BgL_iboxesz00_4000);
																BgL_testz00_23245 =
																	((long) (BgL_arg5290z00_6020) == ((long) 0));
															}
															if (BgL_testz00_23245)
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35228ze3z83_15784;

																	BgL_zc3anonymousza35228ze3z83_15784 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35228ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35228ze3z83_15784,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35228ze3z83_15784,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35228ze3z83_15784,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35228ze3z83_15784,
																		(int) (((long) 3)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35228ze3z83_15784,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35228ze3z83_15784;
																}
															else
																{	/* Eval/evaluate_comp.scm 1106 */
																	obj_t BgL_zc3anonymousza35259ze3z83_15781;

																	BgL_zc3anonymousza35259ze3z83_15781 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza35259ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35259ze3z83_15781,
																		(int) (((long) 0)), BgL_ifreesz00_3999);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35259ze3z83_15781,
																		(int) (((long) 1)), BgL_iboxesz00_4000);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35259ze3z83_15781,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_4001));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35259ze3z83_15781,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3994));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35259ze3z83_15781,
																		(int) (((long) 4)), BgL_bodyz00_4004);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35259ze3z83_15781,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_4002));
																	return BgL_zc3anonymousza35259ze3z83_15781;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										goto BgL_case_else2561z00_4005;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5073> */
	obj_t BGl_z62zc3anonymousza35073ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15852, obj_t BgL_sz00_15856)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_15853;
				obj_t BgL_bodyz00_15854;
				long BgL_siza7ezd2framez75_15855;

				BgL_instance2535z00_15853 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15852, (int) (((long) 0))));
				BgL_bodyz00_15854 = PROCEDURE_REF(BgL_envz00_15852, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15855 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15852, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5592;

					BgL_sz00_5592 = BgL_sz00_15856;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5594;

						BgL_bpz00_5594 = VECTOR_REF(BgL_sz00_5592, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15776;

								BgL_runz00_15776 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15776,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_15853));
								PROCEDURE_SET(BgL_runz00_15776,
									(int) (((long) 1)), BgL_bodyz00_15854);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15777;

									BgL_mainz00_15777 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15777,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_15853));
									PROCEDURE_SET(BgL_mainz00_15777,
										(int) (((long) 1)), BgL_bodyz00_15854);
									PROCEDURE_SET(BgL_mainz00_15777,
										(int) (((long) 2)), BgL_runz00_15776);
									PROCEDURE_SET(BgL_mainz00_15777,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15855));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14549;

										BgL_objz00_14549 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15776, BgL_objz00_14549);
										BgL_objz00_14549;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5074z00_5597;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5075z00_5598;

											BgL_arg5075z00_5598 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_15853)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14554;

												BgL_newz00_14554 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23321;

													BgL_auxz00_23321 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14554, BgL_auxz00_23321,
														BgL_arg5075z00_5598);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23326;
													int BgL_auxz00_23324;

													BgL_auxz00_23326 = BINT(BgL_siza7ezd2framez75_15855);
													BgL_auxz00_23324 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14554, BgL_auxz00_23324,
														BgL_auxz00_23326);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23329;

													BgL_auxz00_23329 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14554, BgL_auxz00_23329,
														BgL_runz00_15776);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23334;
													int BgL_auxz00_23332;

													BgL_auxz00_23334 = BINT(((long) -5));
													BgL_auxz00_23332 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14554, BgL_auxz00_23332,
														BgL_auxz00_23334);
												}
												BgL_arg5074z00_5597 = BgL_newz00_14554;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15777, BgL_arg5074z00_5597);
										BgL_arg5074z00_5597;
									}
									return BgL_mainz00_15777;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_15857,
		obj_t BgL_az00_15862, obj_t BgL_bz00_15863, obj_t BgL_cz00_15864,
		obj_t BgL_dz00_15865, obj_t BgL_lastz00_15866)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_15860;
				long BgL_siza7ezd2framez75_15861;

				BgL_runz00_15860 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15857, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15861 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15857, (int) (((long) 3))));
				{
					obj_t BgL_az00_5599;
					obj_t BgL_bz00_5600;
					obj_t BgL_cz00_5601;
					obj_t BgL_dz00_5602;
					obj_t BgL_lastz00_5603;

					BgL_az00_5599 = BgL_az00_15862;
					BgL_bz00_5600 = BgL_bz00_15863;
					BgL_cz00_5601 = BgL_cz00_15864;
					BgL_dz00_5602 = BgL_dz00_15865;
					BgL_lastz00_5603 = BgL_lastz00_15866;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5605;

						BgL_sz00_5605 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5606;

							BgL_bpz00_5606 = VECTOR_REF(BgL_sz00_5605, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_23347;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14483;
									int BgL_arg3190z00_14484;

									BgL_arg3189z00_14483 =
										((long) CINT(BgL_bpz00_5606) + BgL_siza7ezd2framez75_15861);
									BgL_arg3190z00_14484 = VECTOR_LENGTH(BgL_sz00_5605);
									BgL_testz00_23347 =
										(BgL_arg3189z00_14483 < (long) (BgL_arg3190z00_14484));
								}
								if (BgL_testz00_23347)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5078z00_5608;

											BgL_arg5078z00_5608 =
												((long) CINT(BgL_bpz00_5606) + ((long) 0));
											VECTOR_SET(BgL_sz00_5605,
												(int) (BgL_arg5078z00_5608), BgL_az00_5599);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5079z00_5609;

											BgL_arg5079z00_5609 =
												((long) CINT(BgL_bpz00_5606) + ((long) 1));
											VECTOR_SET(BgL_sz00_5605,
												(int) (BgL_arg5079z00_5609), BgL_bz00_5600);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5080z00_5610;

											BgL_arg5080z00_5610 =
												((long) CINT(BgL_bpz00_5606) + ((long) 2));
											VECTOR_SET(BgL_sz00_5605,
												(int) (BgL_arg5080z00_5610), BgL_cz00_5601);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5081z00_5611;

											BgL_arg5081z00_5611 =
												((long) CINT(BgL_bpz00_5606) + ((long) 3));
											VECTOR_SET(BgL_sz00_5605,
												(int) (BgL_arg5081z00_5611), BgL_dz00_5602);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5082z00_5612;

											BgL_arg5082z00_5612 =
												((long) CINT(BgL_bpz00_5606) + ((long) 4));
											VECTOR_SET(BgL_sz00_5605,
												(int) (BgL_arg5082z00_5612), BgL_lastz00_5603);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2779z00_5613;

											BgL_val2779z00_5613 =
												BGl_zc3exitza35086ze3z83zz__evaluate_compz00
												(BgL_bpz00_5606, BgL_sz00_5605, BgL_runz00_15860);
											VECTOR_SET(BgL_sz00_5605, (int) (((long) 0)),
												BgL_bpz00_5606);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2779z00_5613)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2779z00_5613), CDR(BgL_val2779z00_5613));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2779z00_5613;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5620;

										BgL_nsz00_5620 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5620,
											(int) (((long) 1)), BgL_sz00_5605);
										VECTOR_SET(BgL_nsz00_5620,
											(int) (((long) 2)), BgL_az00_5599);
										VECTOR_SET(BgL_nsz00_5620,
											(int) (((long) 3)), BgL_bz00_5600);
										VECTOR_SET(BgL_nsz00_5620,
											(int) (((long) 4)), BgL_cz00_5601);
										VECTOR_SET(BgL_nsz00_5620,
											(int) (((long) 5)), BgL_dz00_5602);
										VECTOR_SET(BgL_nsz00_5620,
											(int) (((long) 6)), BgL_lastz00_5603);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_23395;

											BgL_auxz00_23395 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23395, BgL_nsz00_5620);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2782z00_5622;

											BgL_val2782z00_5622 =
												BGl_zc3exitza35092ze3z83zz__evaluate_compz00
												(BgL_nsz00_5620, BgL_runz00_15860);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_23399;

												BgL_auxz00_23399 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23399, BgL_sz00_5605);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2782z00_5622)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2782z00_5622), CDR(BgL_val2782z00_5622));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2782z00_5622;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5092> */
	obj_t BGl_zc3exitza35092ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17220,
		obj_t BgL_runz00_17219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2783z00_5628;

			if (SET_EXIT(BgL_an_exit2783z00_5628))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2783z00_5628 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2783z00_5628, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2784z00_5629;

							BgL_val2784z00_5629 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17219,
								BgL_nsz00_17220, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2784z00_5629;
						}
					}
				}
		}
	}



/* <exit:5086> */
	obj_t BGl_zc3exitza35086ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17223,
		obj_t BgL_sz00_17222, obj_t BgL_runz00_17221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2780z00_5618;

			if (SET_EXIT(BgL_an_exit2780z00_5618))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2780z00_5618 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2780z00_5618, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2781z00_5619;

							BgL_val2781z00_5619 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17221,
								BgL_sz00_17222, BgL_bpz00_17223);
							POP_EXIT();
							return BgL_val2781z00_5619;
						}
					}
				}
		}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_15867,
		obj_t BgL_sz00_15870)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_15868;
				obj_t BgL_bodyz00_15869;

				BgL_instance2535z00_15868 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15867, (int) (((long) 0))));
				BgL_bodyz00_15869 = PROCEDURE_REF(BgL_envz00_15867, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5631;

					BgL_sz00_5631 = BgL_sz00_15870;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5633;

						BgL_bpz00_5633 = VECTOR_REF(BgL_sz00_5631, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5634;
							obj_t BgL_wherez00_5635;
							obj_t BgL_locz00_5636;

							BgL_z12denvz12_5634 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5635 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15868)))->BgL_wherez00);
							BgL_locz00_5636 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15868)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5634, BgL_wherez00_5635,
									BgL_locz00_5636);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5637;

									BgL_za2za2resza2za2z00_5637 =
										PROCEDURE_ENTRY(BgL_bodyz00_15869) (BgL_bodyz00_15869,
										BgL_sz00_5631, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5634);
									return BgL_za2za2resza2za2z00_5637;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5094> */
	obj_t BGl_z62zc3anonymousza35094ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15871, obj_t BgL_sz00_15876)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_15872;
				BgL_ev_absz00_bglt BgL_instance2535z00_15873;
				obj_t BgL_bodyz00_15874;
				long BgL_siza7ezd2framez75_15875;

				BgL_iboxesz00_15872 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 0))));
				BgL_instance2535z00_15873 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 1))));
				BgL_bodyz00_15874 = PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15875 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5639;

					BgL_sz00_5639 = BgL_sz00_15876;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5641;

						BgL_bpz00_5641 = VECTOR_REF(BgL_sz00_5639, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15773;

								BgL_runz00_15773 =
									MAKE_FX_PROCEDURE(BGl_z62run6773z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15773,
									(int) (((long) 0)), BgL_iboxesz00_15872);
								PROCEDURE_SET(BgL_runz00_15773,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_15873));
								PROCEDURE_SET(BgL_runz00_15773,
									(int) (((long) 2)), BgL_bodyz00_15874);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15774;

									BgL_mainz00_15774 =
										MAKE_VA_PROCEDURE(BGl_z62main6772z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15774,
										(int) (((long) 0)), BgL_iboxesz00_15872);
									PROCEDURE_SET(BgL_mainz00_15774,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_15873));
									PROCEDURE_SET(BgL_mainz00_15774,
										(int) (((long) 2)), BgL_bodyz00_15874);
									PROCEDURE_SET(BgL_mainz00_15774,
										(int) (((long) 3)), BgL_runz00_15773);
									PROCEDURE_SET(BgL_mainz00_15774,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15875));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14652;

										BgL_objz00_14652 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15773, BgL_objz00_14652);
										BgL_objz00_14652;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5095z00_5644;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5096z00_5645;

											BgL_arg5096z00_5645 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_15873)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14657;

												BgL_newz00_14657 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23480;

													BgL_auxz00_23480 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_23480,
														BgL_arg5096z00_5645);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23485;
													int BgL_auxz00_23483;

													BgL_auxz00_23485 = BINT(BgL_siza7ezd2framez75_15875);
													BgL_auxz00_23483 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_23483,
														BgL_auxz00_23485);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23488;

													BgL_auxz00_23488 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_23488,
														BgL_runz00_15773);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23493;
													int BgL_auxz00_23491;

													BgL_auxz00_23493 = BINT(((long) -5));
													BgL_auxz00_23491 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14657, BgL_auxz00_23491,
														BgL_auxz00_23493);
												}
												BgL_arg5095z00_5644 = BgL_newz00_14657;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15774, BgL_arg5095z00_5644);
										BgL_arg5095z00_5644;
									}
									return BgL_mainz00_15774;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6772 */
	obj_t BGl_z62main6772z62zz__evaluate_compz00(obj_t BgL_envz00_15877,
		obj_t BgL_az00_15883, obj_t BgL_bz00_15884, obj_t BgL_cz00_15885,
		obj_t BgL_dz00_15886, obj_t BgL_lastz00_15887)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_15881;
				long BgL_siza7ezd2framez75_15882;

				BgL_runz00_15881 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15877, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15882 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15877, (int) (((long) 4))));
				{
					obj_t BgL_az00_5646;
					obj_t BgL_bz00_5647;
					obj_t BgL_cz00_5648;
					obj_t BgL_dz00_5649;
					obj_t BgL_lastz00_5650;

					BgL_az00_5646 = BgL_az00_15883;
					BgL_bz00_5647 = BgL_bz00_15884;
					BgL_cz00_5648 = BgL_cz00_15885;
					BgL_dz00_5649 = BgL_dz00_15886;
					BgL_lastz00_5650 = BgL_lastz00_15887;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5652;

						BgL_sz00_5652 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5653;

							BgL_bpz00_5653 = VECTOR_REF(BgL_sz00_5652, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_23506;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14586;
									int BgL_arg3190z00_14587;

									BgL_arg3189z00_14586 =
										((long) CINT(BgL_bpz00_5653) + BgL_siza7ezd2framez75_15882);
									BgL_arg3190z00_14587 = VECTOR_LENGTH(BgL_sz00_5652);
									BgL_testz00_23506 =
										(BgL_arg3189z00_14586 < (long) (BgL_arg3190z00_14587));
								}
								if (BgL_testz00_23506)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5099z00_5655;

											BgL_arg5099z00_5655 =
												((long) CINT(BgL_bpz00_5653) + ((long) 0));
											VECTOR_SET(BgL_sz00_5652,
												(int) (BgL_arg5099z00_5655), BgL_az00_5646);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5100z00_5656;

											BgL_arg5100z00_5656 =
												((long) CINT(BgL_bpz00_5653) + ((long) 1));
											VECTOR_SET(BgL_sz00_5652,
												(int) (BgL_arg5100z00_5656), BgL_bz00_5647);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5101z00_5657;

											BgL_arg5101z00_5657 =
												((long) CINT(BgL_bpz00_5653) + ((long) 2));
											VECTOR_SET(BgL_sz00_5652,
												(int) (BgL_arg5101z00_5657), BgL_cz00_5648);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5102z00_5658;

											BgL_arg5102z00_5658 =
												((long) CINT(BgL_bpz00_5653) + ((long) 3));
											VECTOR_SET(BgL_sz00_5652,
												(int) (BgL_arg5102z00_5658), BgL_dz00_5649);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5103z00_5659;

											BgL_arg5103z00_5659 =
												((long) CINT(BgL_bpz00_5653) + ((long) 4));
											VECTOR_SET(BgL_sz00_5652,
												(int) (BgL_arg5103z00_5659), BgL_lastz00_5650);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2785z00_5660;

											BgL_val2785z00_5660 =
												BGl_zc3exitza35107ze3z83zz__evaluate_compz00
												(BgL_bpz00_5653, BgL_sz00_5652, BgL_runz00_15881);
											VECTOR_SET(BgL_sz00_5652, (int) (((long) 0)),
												BgL_bpz00_5653);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2785z00_5660)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2785z00_5660), CDR(BgL_val2785z00_5660));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2785z00_5660;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5667;

										BgL_nsz00_5667 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5667,
											(int) (((long) 1)), BgL_sz00_5652);
										VECTOR_SET(BgL_nsz00_5667,
											(int) (((long) 2)), BgL_az00_5646);
										VECTOR_SET(BgL_nsz00_5667,
											(int) (((long) 3)), BgL_bz00_5647);
										VECTOR_SET(BgL_nsz00_5667,
											(int) (((long) 4)), BgL_cz00_5648);
										VECTOR_SET(BgL_nsz00_5667,
											(int) (((long) 5)), BgL_dz00_5649);
										VECTOR_SET(BgL_nsz00_5667,
											(int) (((long) 6)), BgL_lastz00_5650);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_23554;

											BgL_auxz00_23554 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23554, BgL_nsz00_5667);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2788z00_5669;

											BgL_val2788z00_5669 =
												BGl_zc3exitza35113ze3z83zz__evaluate_compz00
												(BgL_nsz00_5667, BgL_runz00_15881);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_23558;

												BgL_auxz00_23558 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23558, BgL_sz00_5652);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2788z00_5669)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2788z00_5669), CDR(BgL_val2788z00_5669));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2788z00_5669;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5113> */
	obj_t BGl_zc3exitza35113ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17215,
		obj_t BgL_runz00_17214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2789z00_5675;

			if (SET_EXIT(BgL_an_exit2789z00_5675))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2789z00_5675 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2789z00_5675, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2790z00_5676;

							BgL_val2790z00_5676 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17214,
								BgL_nsz00_17215, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2790z00_5676;
						}
					}
				}
		}
	}



/* <exit:5107> */
	obj_t BGl_zc3exitza35107ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17218,
		obj_t BgL_sz00_17217, obj_t BgL_runz00_17216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2786z00_5665;

			if (SET_EXIT(BgL_an_exit2786z00_5665))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2786z00_5665 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2786z00_5665, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2787z00_5666;

							BgL_val2787z00_5666 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17216,
								BgL_sz00_17217, BgL_bpz00_17218);
							POP_EXIT();
							return BgL_val2787z00_5666;
						}
					}
				}
		}
	}



/* &run6773 */
	obj_t BGl_z62run6773z62zz__evaluate_compz00(obj_t BgL_envz00_15888,
		obj_t BgL_sz00_15892)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_15889;
				BgL_ev_absz00_bglt BgL_instance2535z00_15890;
				obj_t BgL_bodyz00_15891;

				BgL_iboxesz00_15889 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 0))));
				BgL_instance2535z00_15890 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 1))));
				BgL_bodyz00_15891 = PROCEDURE_REF(BgL_envz00_15888, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5678;

					BgL_sz00_5678 = BgL_sz00_15892;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5680;

						BgL_bpz00_5680 = VECTOR_REF(BgL_sz00_5678, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5678,
							BgL_iboxesz00_15889, BgL_bpz00_5680);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5681;
							obj_t BgL_wherez00_5682;
							obj_t BgL_locz00_5683;

							BgL_z12denvz12_5681 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5682 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15890)))->BgL_wherez00);
							BgL_locz00_5683 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15890)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5681, BgL_wherez00_5682,
									BgL_locz00_5683);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5684;

									BgL_za2za2resza2za2z00_5684 =
										PROCEDURE_ENTRY(BgL_bodyz00_15891) (BgL_bodyz00_15891,
										BgL_sz00_5678, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5681);
									return BgL_za2za2resza2za2z00_5684;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5117> */
	obj_t BGl_z62zc3anonymousza35117ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15893, obj_t BgL_sz00_15899)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_15894;
				long BgL_siza7eza7_15895;
				BgL_ev_absz00_bglt BgL_instance2535z00_15896;
				obj_t BgL_bodyz00_15897;
				long BgL_siza7ezd2framez75_15898;

				BgL_ifreesz00_15894 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 0))));
				BgL_siza7eza7_15895 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 1))));
				BgL_instance2535z00_15896 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 2))));
				BgL_bodyz00_15897 = PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15898 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15893, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5688;

					BgL_sz00_5688 = BgL_sz00_15899;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5690;

						BgL_bpz00_5690 = VECTOR_REF(BgL_sz00_5688, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5691;

							BgL_valza2za2_5691 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5688,
								BgL_bpz00_5690, BgL_ifreesz00_15894);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15770;

								BgL_runz00_15770 =
									MAKE_FX_PROCEDURE(BGl_z62run6775z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15770,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15895));
								PROCEDURE_SET(BgL_runz00_15770,
									(int) (((long) 1)), BgL_valza2za2_5691);
								PROCEDURE_SET(BgL_runz00_15770,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_15896));
								PROCEDURE_SET(BgL_runz00_15770,
									(int) (((long) 3)), BgL_bodyz00_15897);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15771;

									BgL_mainz00_15771 =
										MAKE_VA_PROCEDURE(BGl_z62main6774z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15771,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15895));
									PROCEDURE_SET(BgL_mainz00_15771,
										(int) (((long) 1)), BgL_valza2za2_5691);
									PROCEDURE_SET(BgL_mainz00_15771,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_15896));
									PROCEDURE_SET(BgL_mainz00_15771,
										(int) (((long) 3)), BgL_bodyz00_15897);
									PROCEDURE_SET(BgL_mainz00_15771,
										(int) (((long) 4)), BgL_runz00_15770);
									PROCEDURE_SET(BgL_mainz00_15771,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15898));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14762;

										BgL_objz00_14762 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15770, BgL_objz00_14762);
										BgL_objz00_14762;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5118z00_5694;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5119z00_5695;

											BgL_arg5119z00_5695 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_15896)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14767;

												BgL_newz00_14767 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23653;

													BgL_auxz00_23653 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14767, BgL_auxz00_23653,
														BgL_arg5119z00_5695);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23658;
													int BgL_auxz00_23656;

													BgL_auxz00_23658 = BINT(BgL_siza7ezd2framez75_15898);
													BgL_auxz00_23656 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14767, BgL_auxz00_23656,
														BgL_auxz00_23658);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23661;

													BgL_auxz00_23661 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14767, BgL_auxz00_23661,
														BgL_runz00_15770);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23666;
													int BgL_auxz00_23664;

													BgL_auxz00_23666 = BINT(((long) -5));
													BgL_auxz00_23664 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14767, BgL_auxz00_23664,
														BgL_auxz00_23666);
												}
												BgL_arg5118z00_5694 = BgL_newz00_14767;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15771, BgL_arg5118z00_5694);
										BgL_arg5118z00_5694;
									}
									return BgL_mainz00_15771;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6774 */
	obj_t BGl_z62main6774z62zz__evaluate_compz00(obj_t BgL_envz00_15900,
		obj_t BgL_az00_15907, obj_t BgL_bz00_15908, obj_t BgL_cz00_15909,
		obj_t BgL_dz00_15910, obj_t BgL_lastz00_15911)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_15905;
				long BgL_siza7ezd2framez75_15906;

				BgL_runz00_15905 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15900, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15906 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15900, (int) (((long) 5))));
				{
					obj_t BgL_az00_5696;
					obj_t BgL_bz00_5697;
					obj_t BgL_cz00_5698;
					obj_t BgL_dz00_5699;
					obj_t BgL_lastz00_5700;

					BgL_az00_5696 = BgL_az00_15907;
					BgL_bz00_5697 = BgL_bz00_15908;
					BgL_cz00_5698 = BgL_cz00_15909;
					BgL_dz00_5699 = BgL_dz00_15910;
					BgL_lastz00_5700 = BgL_lastz00_15911;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5702;

						BgL_sz00_5702 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5703;

							BgL_bpz00_5703 = VECTOR_REF(BgL_sz00_5702, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_23679;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14696;
									int BgL_arg3190z00_14697;

									BgL_arg3189z00_14696 =
										((long) CINT(BgL_bpz00_5703) + BgL_siza7ezd2framez75_15906);
									BgL_arg3190z00_14697 = VECTOR_LENGTH(BgL_sz00_5702);
									BgL_testz00_23679 =
										(BgL_arg3189z00_14696 < (long) (BgL_arg3190z00_14697));
								}
								if (BgL_testz00_23679)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5122z00_5705;

											BgL_arg5122z00_5705 =
												((long) CINT(BgL_bpz00_5703) + ((long) 0));
											VECTOR_SET(BgL_sz00_5702,
												(int) (BgL_arg5122z00_5705), BgL_az00_5696);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5123z00_5706;

											BgL_arg5123z00_5706 =
												((long) CINT(BgL_bpz00_5703) + ((long) 1));
											VECTOR_SET(BgL_sz00_5702,
												(int) (BgL_arg5123z00_5706), BgL_bz00_5697);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5124z00_5707;

											BgL_arg5124z00_5707 =
												((long) CINT(BgL_bpz00_5703) + ((long) 2));
											VECTOR_SET(BgL_sz00_5702,
												(int) (BgL_arg5124z00_5707), BgL_cz00_5698);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5125z00_5708;

											BgL_arg5125z00_5708 =
												((long) CINT(BgL_bpz00_5703) + ((long) 3));
											VECTOR_SET(BgL_sz00_5702,
												(int) (BgL_arg5125z00_5708), BgL_dz00_5699);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5126z00_5709;

											BgL_arg5126z00_5709 =
												((long) CINT(BgL_bpz00_5703) + ((long) 4));
											VECTOR_SET(BgL_sz00_5702,
												(int) (BgL_arg5126z00_5709), BgL_lastz00_5700);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2791z00_5710;

											BgL_val2791z00_5710 =
												BGl_zc3exitza35130ze3z83zz__evaluate_compz00
												(BgL_bpz00_5703, BgL_sz00_5702, BgL_runz00_15905);
											VECTOR_SET(BgL_sz00_5702, (int) (((long) 0)),
												BgL_bpz00_5703);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2791z00_5710)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2791z00_5710), CDR(BgL_val2791z00_5710));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2791z00_5710;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5717;

										BgL_nsz00_5717 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5717,
											(int) (((long) 1)), BgL_sz00_5702);
										VECTOR_SET(BgL_nsz00_5717,
											(int) (((long) 2)), BgL_az00_5696);
										VECTOR_SET(BgL_nsz00_5717,
											(int) (((long) 3)), BgL_bz00_5697);
										VECTOR_SET(BgL_nsz00_5717,
											(int) (((long) 4)), BgL_cz00_5698);
										VECTOR_SET(BgL_nsz00_5717,
											(int) (((long) 5)), BgL_dz00_5699);
										VECTOR_SET(BgL_nsz00_5717,
											(int) (((long) 6)), BgL_lastz00_5700);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_23727;

											BgL_auxz00_23727 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23727, BgL_nsz00_5717);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2794z00_5719;

											BgL_val2794z00_5719 =
												BGl_zc3exitza35136ze3z83zz__evaluate_compz00
												(BgL_nsz00_5717, BgL_runz00_15905);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_23731;

												BgL_auxz00_23731 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23731, BgL_sz00_5702);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2794z00_5719)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2794z00_5719), CDR(BgL_val2794z00_5719));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2794z00_5719;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5136> */
	obj_t BGl_zc3exitza35136ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17210,
		obj_t BgL_runz00_17209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2795z00_5725;

			if (SET_EXIT(BgL_an_exit2795z00_5725))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2795z00_5725 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2795z00_5725, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2796z00_5726;

							BgL_val2796z00_5726 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17209,
								BgL_nsz00_17210, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2796z00_5726;
						}
					}
				}
		}
	}



/* <exit:5130> */
	obj_t BGl_zc3exitza35130ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17213,
		obj_t BgL_sz00_17212, obj_t BgL_runz00_17211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2792z00_5715;

			if (SET_EXIT(BgL_an_exit2792z00_5715))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2792z00_5715 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2792z00_5715, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2793z00_5716;

							BgL_val2793z00_5716 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17211,
								BgL_sz00_17212, BgL_bpz00_17213);
							POP_EXIT();
							return BgL_val2793z00_5716;
						}
					}
				}
		}
	}



/* &run6775 */
	obj_t BGl_z62run6775z62zz__evaluate_compz00(obj_t BgL_envz00_15912,
		obj_t BgL_sz00_15917)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_15913;
				obj_t BgL_valza2za2_15914;
				BgL_ev_absz00_bglt BgL_instance2535z00_15915;
				obj_t BgL_bodyz00_15916;

				BgL_siza7eza7_15913 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15912, (int) (((long) 0))));
				BgL_valza2za2_15914 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15912, (int) (((long) 1))));
				BgL_instance2535z00_15915 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15912, (int) (((long) 2))));
				BgL_bodyz00_15916 = PROCEDURE_REF(BgL_envz00_15912, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5728;

					BgL_sz00_5728 = BgL_sz00_15917;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5730;

						BgL_bpz00_5730 = VECTOR_REF(BgL_sz00_5728, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5728,
							BgL_valza2za2_15914,
							((long) CINT(BgL_bpz00_5730) + BgL_siza7eza7_15913));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5732;
							obj_t BgL_wherez00_5733;
							obj_t BgL_locz00_5734;

							BgL_z12denvz12_5732 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5733 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15915)))->BgL_wherez00);
							BgL_locz00_5734 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15915)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5732, BgL_wherez00_5733,
									BgL_locz00_5734);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5735;

									BgL_za2za2resza2za2z00_5735 =
										PROCEDURE_ENTRY(BgL_bodyz00_15916) (BgL_bodyz00_15916,
										BgL_sz00_5728, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5732);
									return BgL_za2za2resza2za2z00_5735;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5139> */
	obj_t BGl_z62zc3anonymousza35139ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15918, obj_t BgL_sz00_15925)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_15919;
				obj_t BgL_iboxesz00_15920;
				long BgL_siza7eza7_15921;
				BgL_ev_absz00_bglt BgL_instance2535z00_15922;
				obj_t BgL_bodyz00_15923;
				long BgL_siza7ezd2framez75_15924;

				BgL_ifreesz00_15919 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 0))));
				BgL_iboxesz00_15920 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 1))));
				BgL_siza7eza7_15921 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 2))));
				BgL_instance2535z00_15922 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 3))));
				BgL_bodyz00_15923 = PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15924 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15918, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5737;

					BgL_sz00_5737 = BgL_sz00_15925;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5739;

						BgL_bpz00_5739 = VECTOR_REF(BgL_sz00_5737, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5740;

							BgL_valza2za2_5740 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5737,
								BgL_bpz00_5739, BgL_ifreesz00_15919);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15767;

								BgL_runz00_15767 =
									MAKE_FX_PROCEDURE(BGl_z62run6777z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15767,
									(int) (((long) 0)), BgL_iboxesz00_15920);
								PROCEDURE_SET(BgL_runz00_15767,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15921));
								PROCEDURE_SET(BgL_runz00_15767,
									(int) (((long) 2)), BgL_valza2za2_5740);
								PROCEDURE_SET(BgL_runz00_15767,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_15922));
								PROCEDURE_SET(BgL_runz00_15767,
									(int) (((long) 4)), BgL_bodyz00_15923);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15768;

									BgL_mainz00_15768 =
										MAKE_VA_PROCEDURE(BGl_z62main6776z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15768,
										(int) (((long) 0)), BgL_iboxesz00_15920);
									PROCEDURE_SET(BgL_mainz00_15768,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15921));
									PROCEDURE_SET(BgL_mainz00_15768,
										(int) (((long) 2)), BgL_valza2za2_5740);
									PROCEDURE_SET(BgL_mainz00_15768,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_15922));
									PROCEDURE_SET(BgL_mainz00_15768,
										(int) (((long) 4)), BgL_bodyz00_15923);
									PROCEDURE_SET(BgL_mainz00_15768,
										(int) (((long) 5)), BgL_runz00_15767);
									PROCEDURE_SET(BgL_mainz00_15768,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15924));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14868;

										BgL_objz00_14868 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15767, BgL_objz00_14868);
										BgL_objz00_14868;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5140z00_5743;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5141z00_5744;

											BgL_arg5141z00_5744 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_15922)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14873;

												BgL_newz00_14873 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23838;

													BgL_auxz00_23838 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14873, BgL_auxz00_23838,
														BgL_arg5141z00_5744);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23843;
													int BgL_auxz00_23841;

													BgL_auxz00_23843 = BINT(BgL_siza7ezd2framez75_15924);
													BgL_auxz00_23841 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14873, BgL_auxz00_23841,
														BgL_auxz00_23843);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_23846;

													BgL_auxz00_23846 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14873, BgL_auxz00_23846,
														BgL_runz00_15767);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_23851;
													int BgL_auxz00_23849;

													BgL_auxz00_23851 = BINT(((long) -5));
													BgL_auxz00_23849 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14873, BgL_auxz00_23849,
														BgL_auxz00_23851);
												}
												BgL_arg5140z00_5743 = BgL_newz00_14873;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15768, BgL_arg5140z00_5743);
										BgL_arg5140z00_5743;
									}
									return BgL_mainz00_15768;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6776 */
	obj_t BGl_z62main6776z62zz__evaluate_compz00(obj_t BgL_envz00_15926,
		obj_t BgL_az00_15934, obj_t BgL_bz00_15935, obj_t BgL_cz00_15936,
		obj_t BgL_dz00_15937, obj_t BgL_lastz00_15938)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_15932;
				long BgL_siza7ezd2framez75_15933;

				BgL_runz00_15932 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15926, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15933 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15926, (int) (((long) 6))));
				{
					obj_t BgL_az00_5745;
					obj_t BgL_bz00_5746;
					obj_t BgL_cz00_5747;
					obj_t BgL_dz00_5748;
					obj_t BgL_lastz00_5749;

					BgL_az00_5745 = BgL_az00_15934;
					BgL_bz00_5746 = BgL_bz00_15935;
					BgL_cz00_5747 = BgL_cz00_15936;
					BgL_dz00_5748 = BgL_dz00_15937;
					BgL_lastz00_5749 = BgL_lastz00_15938;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5751;

						BgL_sz00_5751 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5752;

							BgL_bpz00_5752 = VECTOR_REF(BgL_sz00_5751, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_23864;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14802;
									int BgL_arg3190z00_14803;

									BgL_arg3189z00_14802 =
										((long) CINT(BgL_bpz00_5752) + BgL_siza7ezd2framez75_15933);
									BgL_arg3190z00_14803 = VECTOR_LENGTH(BgL_sz00_5751);
									BgL_testz00_23864 =
										(BgL_arg3189z00_14802 < (long) (BgL_arg3190z00_14803));
								}
								if (BgL_testz00_23864)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5144z00_5754;

											BgL_arg5144z00_5754 =
												((long) CINT(BgL_bpz00_5752) + ((long) 0));
											VECTOR_SET(BgL_sz00_5751,
												(int) (BgL_arg5144z00_5754), BgL_az00_5745);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5145z00_5755;

											BgL_arg5145z00_5755 =
												((long) CINT(BgL_bpz00_5752) + ((long) 1));
											VECTOR_SET(BgL_sz00_5751,
												(int) (BgL_arg5145z00_5755), BgL_bz00_5746);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5146z00_5756;

											BgL_arg5146z00_5756 =
												((long) CINT(BgL_bpz00_5752) + ((long) 2));
											VECTOR_SET(BgL_sz00_5751,
												(int) (BgL_arg5146z00_5756), BgL_cz00_5747);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5147z00_5757;

											BgL_arg5147z00_5757 =
												((long) CINT(BgL_bpz00_5752) + ((long) 3));
											VECTOR_SET(BgL_sz00_5751,
												(int) (BgL_arg5147z00_5757), BgL_dz00_5748);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5148z00_5758;

											BgL_arg5148z00_5758 =
												((long) CINT(BgL_bpz00_5752) + ((long) 4));
											VECTOR_SET(BgL_sz00_5751,
												(int) (BgL_arg5148z00_5758), BgL_lastz00_5749);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2797z00_5759;

											BgL_val2797z00_5759 =
												BGl_zc3exitza35152ze3z83zz__evaluate_compz00
												(BgL_bpz00_5752, BgL_sz00_5751, BgL_runz00_15932);
											VECTOR_SET(BgL_sz00_5751, (int) (((long) 0)),
												BgL_bpz00_5752);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2797z00_5759)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2797z00_5759), CDR(BgL_val2797z00_5759));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2797z00_5759;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5766;

										BgL_nsz00_5766 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5766,
											(int) (((long) 1)), BgL_sz00_5751);
										VECTOR_SET(BgL_nsz00_5766,
											(int) (((long) 2)), BgL_az00_5745);
										VECTOR_SET(BgL_nsz00_5766,
											(int) (((long) 3)), BgL_bz00_5746);
										VECTOR_SET(BgL_nsz00_5766,
											(int) (((long) 4)), BgL_cz00_5747);
										VECTOR_SET(BgL_nsz00_5766,
											(int) (((long) 5)), BgL_dz00_5748);
										VECTOR_SET(BgL_nsz00_5766,
											(int) (((long) 6)), BgL_lastz00_5749);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_23912;

											BgL_auxz00_23912 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23912, BgL_nsz00_5766);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2800z00_5768;

											BgL_val2800z00_5768 =
												BGl_zc3exitza35159ze3z83zz__evaluate_compz00
												(BgL_nsz00_5766, BgL_runz00_15932);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_23916;

												BgL_auxz00_23916 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23916, BgL_sz00_5751);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2800z00_5768)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2800z00_5768), CDR(BgL_val2800z00_5768));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2800z00_5768;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5159> */
	obj_t BGl_zc3exitza35159ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17205,
		obj_t BgL_runz00_17204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2801z00_5774;

			if (SET_EXIT(BgL_an_exit2801z00_5774))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2801z00_5774 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2801z00_5774, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2802z00_5775;

							BgL_val2802z00_5775 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17204,
								BgL_nsz00_17205, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2802z00_5775;
						}
					}
				}
		}
	}



/* <exit:5152> */
	obj_t BGl_zc3exitza35152ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17208,
		obj_t BgL_sz00_17207, obj_t BgL_runz00_17206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2798z00_5764;

			if (SET_EXIT(BgL_an_exit2798z00_5764))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2798z00_5764 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2798z00_5764, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2799z00_5765;

							BgL_val2799z00_5765 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17206,
								BgL_sz00_17207, BgL_bpz00_17208);
							POP_EXIT();
							return BgL_val2799z00_5765;
						}
					}
				}
		}
	}



/* &run6777 */
	obj_t BGl_z62run6777z62zz__evaluate_compz00(obj_t BgL_envz00_15939,
		obj_t BgL_sz00_15945)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_15940;
				long BgL_siza7eza7_15941;
				obj_t BgL_valza2za2_15942;
				BgL_ev_absz00_bglt BgL_instance2535z00_15943;
				obj_t BgL_bodyz00_15944;

				BgL_iboxesz00_15940 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 0))));
				BgL_siza7eza7_15941 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 1))));
				BgL_valza2za2_15942 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 2))));
				BgL_instance2535z00_15943 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 3))));
				BgL_bodyz00_15944 = PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5777;

					BgL_sz00_5777 = BgL_sz00_15945;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5779;

						BgL_bpz00_5779 = VECTOR_REF(BgL_sz00_5777, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5777,
							BgL_iboxesz00_15940, BgL_bpz00_5779);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5777,
							BgL_valza2za2_15942,
							((long) CINT(BgL_bpz00_5779) + BgL_siza7eza7_15941));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5781;
							obj_t BgL_wherez00_5782;
							obj_t BgL_locz00_5783;

							BgL_z12denvz12_5781 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5782 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15943)))->BgL_wherez00);
							BgL_locz00_5783 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15943)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5781, BgL_wherez00_5782,
									BgL_locz00_5783);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5784;

									BgL_za2za2resza2za2z00_5784 =
										PROCEDURE_ENTRY(BgL_bodyz00_15944) (BgL_bodyz00_15944,
										BgL_sz00_5777, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5781);
									return BgL_za2za2resza2za2z00_5784;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4985> */
	obj_t BGl_z62zc3anonymousza34985ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15946, obj_t BgL_sz00_15950)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_15947;
				obj_t BgL_bodyz00_15948;
				long BgL_siza7ezd2framez75_15949;

				BgL_instance2535z00_15947 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15946, (int) (((long) 0))));
				BgL_bodyz00_15948 = PROCEDURE_REF(BgL_envz00_15946, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15949 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15946, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5402;

					BgL_sz00_5402 = BgL_sz00_15950;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5404;

						BgL_bpz00_5404 = VECTOR_REF(BgL_sz00_5402, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15764;

								BgL_runz00_15764 =
									MAKE_FX_PROCEDURE(BGl_z62run6779z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15764,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_15947));
								PROCEDURE_SET(BgL_runz00_15764,
									(int) (((long) 1)), BgL_bodyz00_15948);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15765;

									BgL_mainz00_15765 =
										MAKE_FX_PROCEDURE(BGl_z62main6778z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15765,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_15947));
									PROCEDURE_SET(BgL_mainz00_15765,
										(int) (((long) 1)), BgL_bodyz00_15948);
									PROCEDURE_SET(BgL_mainz00_15765,
										(int) (((long) 2)), BgL_runz00_15764);
									PROCEDURE_SET(BgL_mainz00_15765,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15949));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14146;

										BgL_objz00_14146 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15764, BgL_objz00_14146);
										BgL_objz00_14146;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4986z00_5407;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4987z00_5408;

											BgL_arg4987z00_5408 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_15947)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14151;

												BgL_newz00_14151 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24003;

													BgL_auxz00_24003 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14151, BgL_auxz00_24003,
														BgL_arg4987z00_5408);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24008;
													int BgL_auxz00_24006;

													BgL_auxz00_24008 = BINT(BgL_siza7ezd2framez75_15949);
													BgL_auxz00_24006 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14151, BgL_auxz00_24006,
														BgL_auxz00_24008);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24011;

													BgL_auxz00_24011 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14151, BgL_auxz00_24011,
														BgL_runz00_15764);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24016;
													int BgL_auxz00_24014;

													BgL_auxz00_24016 = BINT(((long) 4));
													BgL_auxz00_24014 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14151, BgL_auxz00_24014,
														BgL_auxz00_24016);
												}
												BgL_arg4986z00_5407 = BgL_newz00_14151;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15765, BgL_arg4986z00_5407);
										BgL_arg4986z00_5407;
									}
									return BgL_mainz00_15765;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6778 */
	obj_t BGl_z62main6778z62zz__evaluate_compz00(obj_t BgL_envz00_15951,
		obj_t BgL_az00_15956, obj_t BgL_bz00_15957, obj_t BgL_cz00_15958,
		obj_t BgL_dz00_15959)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_15954;
				long BgL_siza7ezd2framez75_15955;

				BgL_runz00_15954 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15951, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15955 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15951, (int) (((long) 3))));
				{
					obj_t BgL_az00_5409;
					obj_t BgL_bz00_5410;
					obj_t BgL_cz00_5411;
					obj_t BgL_dz00_5412;

					BgL_az00_5409 = BgL_az00_15956;
					BgL_bz00_5410 = BgL_bz00_15957;
					BgL_cz00_5411 = BgL_cz00_15958;
					BgL_dz00_5412 = BgL_dz00_15959;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5414;

						BgL_sz00_5414 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5415;

							BgL_bpz00_5415 = VECTOR_REF(BgL_sz00_5414, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_24029;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14089;
									int BgL_arg3190z00_14090;

									BgL_arg3189z00_14089 =
										((long) CINT(BgL_bpz00_5415) + BgL_siza7ezd2framez75_15955);
									BgL_arg3190z00_14090 = VECTOR_LENGTH(BgL_sz00_5414);
									BgL_testz00_24029 =
										(BgL_arg3189z00_14089 < (long) (BgL_arg3190z00_14090));
								}
								if (BgL_testz00_24029)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4990z00_5417;

											BgL_arg4990z00_5417 =
												((long) CINT(BgL_bpz00_5415) + ((long) 0));
											VECTOR_SET(BgL_sz00_5414,
												(int) (BgL_arg4990z00_5417), BgL_az00_5409);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4991z00_5418;

											BgL_arg4991z00_5418 =
												((long) CINT(BgL_bpz00_5415) + ((long) 1));
											VECTOR_SET(BgL_sz00_5414,
												(int) (BgL_arg4991z00_5418), BgL_bz00_5410);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4992z00_5419;

											BgL_arg4992z00_5419 =
												((long) CINT(BgL_bpz00_5415) + ((long) 2));
											VECTOR_SET(BgL_sz00_5414,
												(int) (BgL_arg4992z00_5419), BgL_cz00_5411);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4993z00_5420;

											BgL_arg4993z00_5420 =
												((long) CINT(BgL_bpz00_5415) + ((long) 3));
											VECTOR_SET(BgL_sz00_5414,
												(int) (BgL_arg4993z00_5420), BgL_dz00_5412);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2755z00_5421;

											BgL_val2755z00_5421 =
												BGl_zc3exitza34997ze3z83zz__evaluate_compz00
												(BgL_bpz00_5415, BgL_sz00_5414, BgL_runz00_15954);
											VECTOR_SET(BgL_sz00_5414, (int) (((long) 0)),
												BgL_bpz00_5415);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2755z00_5421)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2755z00_5421), CDR(BgL_val2755z00_5421));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2755z00_5421;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5428;

										BgL_nsz00_5428 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5428,
											(int) (((long) 1)), BgL_sz00_5414);
										VECTOR_SET(BgL_nsz00_5428,
											(int) (((long) 2)), BgL_az00_5409);
										VECTOR_SET(BgL_nsz00_5428,
											(int) (((long) 3)), BgL_bz00_5410);
										VECTOR_SET(BgL_nsz00_5428,
											(int) (((long) 4)), BgL_cz00_5411);
										VECTOR_SET(BgL_nsz00_5428,
											(int) (((long) 5)), BgL_dz00_5412);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_24071;

											BgL_auxz00_24071 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24071, BgL_nsz00_5428);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2758z00_5430;

											BgL_val2758z00_5430 =
												BGl_zc3exitza35003ze3z83zz__evaluate_compz00
												(BgL_nsz00_5428, BgL_runz00_15954);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_24075;

												BgL_auxz00_24075 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24075, BgL_sz00_5414);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2758z00_5430)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2758z00_5430), CDR(BgL_val2758z00_5430));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2758z00_5430;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5003> */
	obj_t BGl_zc3exitza35003ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17200,
		obj_t BgL_runz00_17199)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2759z00_5436;

			if (SET_EXIT(BgL_an_exit2759z00_5436))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2759z00_5436 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2759z00_5436, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2760z00_5437;

							BgL_val2760z00_5437 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17199,
								BgL_nsz00_17200, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2760z00_5437;
						}
					}
				}
		}
	}



/* <exit:4997> */
	obj_t BGl_zc3exitza34997ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17203,
		obj_t BgL_sz00_17202, obj_t BgL_runz00_17201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2756z00_5426;

			if (SET_EXIT(BgL_an_exit2756z00_5426))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2756z00_5426 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2756z00_5426, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2757z00_5427;

							BgL_val2757z00_5427 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17201,
								BgL_sz00_17202, BgL_bpz00_17203);
							POP_EXIT();
							return BgL_val2757z00_5427;
						}
					}
				}
		}
	}



/* &run6779 */
	obj_t BGl_z62run6779z62zz__evaluate_compz00(obj_t BgL_envz00_15960,
		obj_t BgL_sz00_15963)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_15961;
				obj_t BgL_bodyz00_15962;

				BgL_instance2535z00_15961 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15960, (int) (((long) 0))));
				BgL_bodyz00_15962 = PROCEDURE_REF(BgL_envz00_15960, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5439;

					BgL_sz00_5439 = BgL_sz00_15963;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5441;

						BgL_bpz00_5441 = VECTOR_REF(BgL_sz00_5439, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5442;
							obj_t BgL_wherez00_5443;
							obj_t BgL_locz00_5444;

							BgL_z12denvz12_5442 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5443 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15961)))->BgL_wherez00);
							BgL_locz00_5444 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15961)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5442, BgL_wherez00_5443,
									BgL_locz00_5444);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5445;

									BgL_za2za2resza2za2z00_5445 =
										PROCEDURE_ENTRY(BgL_bodyz00_15962) (BgL_bodyz00_15962,
										BgL_sz00_5439, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5442);
									return BgL_za2za2resza2za2z00_5445;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5005> */
	obj_t BGl_z62zc3anonymousza35005ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15964, obj_t BgL_sz00_15969)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_15965;
				BgL_ev_absz00_bglt BgL_instance2535z00_15966;
				obj_t BgL_bodyz00_15967;
				long BgL_siza7ezd2framez75_15968;

				BgL_iboxesz00_15965 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 0))));
				BgL_instance2535z00_15966 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 1))));
				BgL_bodyz00_15967 = PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15968 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5447;

					BgL_sz00_5447 = BgL_sz00_15969;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5449;

						BgL_bpz00_5449 = VECTOR_REF(BgL_sz00_5447, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15761;

								BgL_runz00_15761 =
									MAKE_FX_PROCEDURE(BGl_z62run6781z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15761,
									(int) (((long) 0)), BgL_iboxesz00_15965);
								PROCEDURE_SET(BgL_runz00_15761,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_15966));
								PROCEDURE_SET(BgL_runz00_15761,
									(int) (((long) 2)), BgL_bodyz00_15967);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15762;

									BgL_mainz00_15762 =
										MAKE_FX_PROCEDURE(BGl_z62main6780z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15762,
										(int) (((long) 0)), BgL_iboxesz00_15965);
									PROCEDURE_SET(BgL_mainz00_15762,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_15966));
									PROCEDURE_SET(BgL_mainz00_15762,
										(int) (((long) 2)), BgL_bodyz00_15967);
									PROCEDURE_SET(BgL_mainz00_15762,
										(int) (((long) 3)), BgL_runz00_15761);
									PROCEDURE_SET(BgL_mainz00_15762,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15968));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14240;

										BgL_objz00_14240 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15761, BgL_objz00_14240);
										BgL_objz00_14240;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5006z00_5452;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5007z00_5453;

											BgL_arg5007z00_5453 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_15966)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14245;

												BgL_newz00_14245 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24156;

													BgL_auxz00_24156 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14245, BgL_auxz00_24156,
														BgL_arg5007z00_5453);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24161;
													int BgL_auxz00_24159;

													BgL_auxz00_24161 = BINT(BgL_siza7ezd2framez75_15968);
													BgL_auxz00_24159 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14245, BgL_auxz00_24159,
														BgL_auxz00_24161);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24164;

													BgL_auxz00_24164 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14245, BgL_auxz00_24164,
														BgL_runz00_15761);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24169;
													int BgL_auxz00_24167;

													BgL_auxz00_24169 = BINT(((long) 4));
													BgL_auxz00_24167 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14245, BgL_auxz00_24167,
														BgL_auxz00_24169);
												}
												BgL_arg5006z00_5452 = BgL_newz00_14245;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15762, BgL_arg5006z00_5452);
										BgL_arg5006z00_5452;
									}
									return BgL_mainz00_15762;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6780 */
	obj_t BGl_z62main6780z62zz__evaluate_compz00(obj_t BgL_envz00_15970,
		obj_t BgL_az00_15976, obj_t BgL_bz00_15977, obj_t BgL_cz00_15978,
		obj_t BgL_dz00_15979)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_15974;
				long BgL_siza7ezd2framez75_15975;

				BgL_runz00_15974 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15970, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15975 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15970, (int) (((long) 4))));
				{
					obj_t BgL_az00_5454;
					obj_t BgL_bz00_5455;
					obj_t BgL_cz00_5456;
					obj_t BgL_dz00_5457;

					BgL_az00_5454 = BgL_az00_15976;
					BgL_bz00_5455 = BgL_bz00_15977;
					BgL_cz00_5456 = BgL_cz00_15978;
					BgL_dz00_5457 = BgL_dz00_15979;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5459;

						BgL_sz00_5459 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5460;

							BgL_bpz00_5460 = VECTOR_REF(BgL_sz00_5459, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_24182;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14183;
									int BgL_arg3190z00_14184;

									BgL_arg3189z00_14183 =
										((long) CINT(BgL_bpz00_5460) + BgL_siza7ezd2framez75_15975);
									BgL_arg3190z00_14184 = VECTOR_LENGTH(BgL_sz00_5459);
									BgL_testz00_24182 =
										(BgL_arg3189z00_14183 < (long) (BgL_arg3190z00_14184));
								}
								if (BgL_testz00_24182)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5010z00_5462;

											BgL_arg5010z00_5462 =
												((long) CINT(BgL_bpz00_5460) + ((long) 0));
											VECTOR_SET(BgL_sz00_5459,
												(int) (BgL_arg5010z00_5462), BgL_az00_5454);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5011z00_5463;

											BgL_arg5011z00_5463 =
												((long) CINT(BgL_bpz00_5460) + ((long) 1));
											VECTOR_SET(BgL_sz00_5459,
												(int) (BgL_arg5011z00_5463), BgL_bz00_5455);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5012z00_5464;

											BgL_arg5012z00_5464 =
												((long) CINT(BgL_bpz00_5460) + ((long) 2));
											VECTOR_SET(BgL_sz00_5459,
												(int) (BgL_arg5012z00_5464), BgL_cz00_5456);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5013z00_5465;

											BgL_arg5013z00_5465 =
												((long) CINT(BgL_bpz00_5460) + ((long) 3));
											VECTOR_SET(BgL_sz00_5459,
												(int) (BgL_arg5013z00_5465), BgL_dz00_5457);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2761z00_5466;

											BgL_val2761z00_5466 =
												BGl_zc3exitza35017ze3z83zz__evaluate_compz00
												(BgL_bpz00_5460, BgL_sz00_5459, BgL_runz00_15974);
											VECTOR_SET(BgL_sz00_5459, (int) (((long) 0)),
												BgL_bpz00_5460);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2761z00_5466)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2761z00_5466), CDR(BgL_val2761z00_5466));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2761z00_5466;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5473;

										BgL_nsz00_5473 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5473,
											(int) (((long) 1)), BgL_sz00_5459);
										VECTOR_SET(BgL_nsz00_5473,
											(int) (((long) 2)), BgL_az00_5454);
										VECTOR_SET(BgL_nsz00_5473,
											(int) (((long) 3)), BgL_bz00_5455);
										VECTOR_SET(BgL_nsz00_5473,
											(int) (((long) 4)), BgL_cz00_5456);
										VECTOR_SET(BgL_nsz00_5473,
											(int) (((long) 5)), BgL_dz00_5457);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_24224;

											BgL_auxz00_24224 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24224, BgL_nsz00_5473);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2764z00_5475;

											BgL_val2764z00_5475 =
												BGl_zc3exitza35023ze3z83zz__evaluate_compz00
												(BgL_nsz00_5473, BgL_runz00_15974);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_24228;

												BgL_auxz00_24228 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24228, BgL_sz00_5459);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2764z00_5475)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2764z00_5475), CDR(BgL_val2764z00_5475));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2764z00_5475;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5023> */
	obj_t BGl_zc3exitza35023ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17195,
		obj_t BgL_runz00_17194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2765z00_5481;

			if (SET_EXIT(BgL_an_exit2765z00_5481))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2765z00_5481 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2765z00_5481, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2766z00_5482;

							BgL_val2766z00_5482 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17194,
								BgL_nsz00_17195, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2766z00_5482;
						}
					}
				}
		}
	}



/* <exit:5017> */
	obj_t BGl_zc3exitza35017ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17198,
		obj_t BgL_sz00_17197, obj_t BgL_runz00_17196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2762z00_5471;

			if (SET_EXIT(BgL_an_exit2762z00_5471))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2762z00_5471 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2762z00_5471, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2763z00_5472;

							BgL_val2763z00_5472 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17196,
								BgL_sz00_17197, BgL_bpz00_17198);
							POP_EXIT();
							return BgL_val2763z00_5472;
						}
					}
				}
		}
	}



/* &run6781 */
	obj_t BGl_z62run6781z62zz__evaluate_compz00(obj_t BgL_envz00_15980,
		obj_t BgL_sz00_15984)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_15981;
				BgL_ev_absz00_bglt BgL_instance2535z00_15982;
				obj_t BgL_bodyz00_15983;

				BgL_iboxesz00_15981 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15980, (int) (((long) 0))));
				BgL_instance2535z00_15982 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15980, (int) (((long) 1))));
				BgL_bodyz00_15983 = PROCEDURE_REF(BgL_envz00_15980, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5484;

					BgL_sz00_5484 = BgL_sz00_15984;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5486;

						BgL_bpz00_5486 = VECTOR_REF(BgL_sz00_5484, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5484,
							BgL_iboxesz00_15981, BgL_bpz00_5486);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5487;
							obj_t BgL_wherez00_5488;
							obj_t BgL_locz00_5489;

							BgL_z12denvz12_5487 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5488 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15982)))->BgL_wherez00);
							BgL_locz00_5489 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_15982)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5487, BgL_wherez00_5488,
									BgL_locz00_5489);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5490;

									BgL_za2za2resza2za2z00_5490 =
										PROCEDURE_ENTRY(BgL_bodyz00_15983) (BgL_bodyz00_15983,
										BgL_sz00_5484, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5487);
									return BgL_za2za2resza2za2z00_5490;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5027> */
	obj_t BGl_z62zc3anonymousza35027ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15985, obj_t BgL_sz00_15991)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_15986;
				long BgL_siza7eza7_15987;
				BgL_ev_absz00_bglt BgL_instance2535z00_15988;
				obj_t BgL_bodyz00_15989;
				long BgL_siza7ezd2framez75_15990;

				BgL_ifreesz00_15986 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15985, (int) (((long) 0))));
				BgL_siza7eza7_15987 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15985, (int) (((long) 1))));
				BgL_instance2535z00_15988 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15985, (int) (((long) 2))));
				BgL_bodyz00_15989 = PROCEDURE_REF(BgL_envz00_15985, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15990 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15985, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5494;

					BgL_sz00_5494 = BgL_sz00_15991;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5496;

						BgL_bpz00_5496 = VECTOR_REF(BgL_sz00_5494, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5497;

							BgL_valza2za2_5497 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5494,
								BgL_bpz00_5496, BgL_ifreesz00_15986);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15758;

								BgL_runz00_15758 =
									MAKE_FX_PROCEDURE(BGl_z62run6783z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15758,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15987));
								PROCEDURE_SET(BgL_runz00_15758,
									(int) (((long) 1)), BgL_valza2za2_5497);
								PROCEDURE_SET(BgL_runz00_15758,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_15988));
								PROCEDURE_SET(BgL_runz00_15758,
									(int) (((long) 3)), BgL_bodyz00_15989);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15759;

									BgL_mainz00_15759 =
										MAKE_FX_PROCEDURE(BGl_z62main6782z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15759,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15987));
									PROCEDURE_SET(BgL_mainz00_15759,
										(int) (((long) 1)), BgL_valza2za2_5497);
									PROCEDURE_SET(BgL_mainz00_15759,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_15988));
									PROCEDURE_SET(BgL_mainz00_15759,
										(int) (((long) 3)), BgL_bodyz00_15989);
									PROCEDURE_SET(BgL_mainz00_15759,
										(int) (((long) 4)), BgL_runz00_15758);
									PROCEDURE_SET(BgL_mainz00_15759,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15990));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14341;

										BgL_objz00_14341 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15758, BgL_objz00_14341);
										BgL_objz00_14341;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5028z00_5500;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5029z00_5501;

											BgL_arg5029z00_5501 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_15988)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14346;

												BgL_newz00_14346 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24323;

													BgL_auxz00_24323 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14346, BgL_auxz00_24323,
														BgL_arg5029z00_5501);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24328;
													int BgL_auxz00_24326;

													BgL_auxz00_24328 = BINT(BgL_siza7ezd2framez75_15990);
													BgL_auxz00_24326 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14346, BgL_auxz00_24326,
														BgL_auxz00_24328);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24331;

													BgL_auxz00_24331 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14346, BgL_auxz00_24331,
														BgL_runz00_15758);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24336;
													int BgL_auxz00_24334;

													BgL_auxz00_24336 = BINT(((long) 4));
													BgL_auxz00_24334 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14346, BgL_auxz00_24334,
														BgL_auxz00_24336);
												}
												BgL_arg5028z00_5500 = BgL_newz00_14346;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15759, BgL_arg5028z00_5500);
										BgL_arg5028z00_5500;
									}
									return BgL_mainz00_15759;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6782 */
	obj_t BGl_z62main6782z62zz__evaluate_compz00(obj_t BgL_envz00_15992,
		obj_t BgL_az00_15999, obj_t BgL_bz00_16000, obj_t BgL_cz00_16001,
		obj_t BgL_dz00_16002)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_15997;
				long BgL_siza7ezd2framez75_15998;

				BgL_runz00_15997 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15992, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15998 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15992, (int) (((long) 5))));
				{
					obj_t BgL_az00_5502;
					obj_t BgL_bz00_5503;
					obj_t BgL_cz00_5504;
					obj_t BgL_dz00_5505;

					BgL_az00_5502 = BgL_az00_15999;
					BgL_bz00_5503 = BgL_bz00_16000;
					BgL_cz00_5504 = BgL_cz00_16001;
					BgL_dz00_5505 = BgL_dz00_16002;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5507;

						BgL_sz00_5507 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5508;

							BgL_bpz00_5508 = VECTOR_REF(BgL_sz00_5507, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_24349;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14284;
									int BgL_arg3190z00_14285;

									BgL_arg3189z00_14284 =
										((long) CINT(BgL_bpz00_5508) + BgL_siza7ezd2framez75_15998);
									BgL_arg3190z00_14285 = VECTOR_LENGTH(BgL_sz00_5507);
									BgL_testz00_24349 =
										(BgL_arg3189z00_14284 < (long) (BgL_arg3190z00_14285));
								}
								if (BgL_testz00_24349)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5032z00_5510;

											BgL_arg5032z00_5510 =
												((long) CINT(BgL_bpz00_5508) + ((long) 0));
											VECTOR_SET(BgL_sz00_5507,
												(int) (BgL_arg5032z00_5510), BgL_az00_5502);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5033z00_5511;

											BgL_arg5033z00_5511 =
												((long) CINT(BgL_bpz00_5508) + ((long) 1));
											VECTOR_SET(BgL_sz00_5507,
												(int) (BgL_arg5033z00_5511), BgL_bz00_5503);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5034z00_5512;

											BgL_arg5034z00_5512 =
												((long) CINT(BgL_bpz00_5508) + ((long) 2));
											VECTOR_SET(BgL_sz00_5507,
												(int) (BgL_arg5034z00_5512), BgL_cz00_5504);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5035z00_5513;

											BgL_arg5035z00_5513 =
												((long) CINT(BgL_bpz00_5508) + ((long) 3));
											VECTOR_SET(BgL_sz00_5507,
												(int) (BgL_arg5035z00_5513), BgL_dz00_5505);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2767z00_5514;

											BgL_val2767z00_5514 =
												BGl_zc3exitza35039ze3z83zz__evaluate_compz00
												(BgL_bpz00_5508, BgL_sz00_5507, BgL_runz00_15997);
											VECTOR_SET(BgL_sz00_5507, (int) (((long) 0)),
												BgL_bpz00_5508);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2767z00_5514)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2767z00_5514), CDR(BgL_val2767z00_5514));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2767z00_5514;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5521;

										BgL_nsz00_5521 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5521,
											(int) (((long) 1)), BgL_sz00_5507);
										VECTOR_SET(BgL_nsz00_5521,
											(int) (((long) 2)), BgL_az00_5502);
										VECTOR_SET(BgL_nsz00_5521,
											(int) (((long) 3)), BgL_bz00_5503);
										VECTOR_SET(BgL_nsz00_5521,
											(int) (((long) 4)), BgL_cz00_5504);
										VECTOR_SET(BgL_nsz00_5521,
											(int) (((long) 5)), BgL_dz00_5505);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_24391;

											BgL_auxz00_24391 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24391, BgL_nsz00_5521);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2770z00_5523;

											BgL_val2770z00_5523 =
												BGl_zc3exitza35045ze3z83zz__evaluate_compz00
												(BgL_nsz00_5521, BgL_runz00_15997);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_24395;

												BgL_auxz00_24395 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24395, BgL_sz00_5507);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2770z00_5523)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2770z00_5523), CDR(BgL_val2770z00_5523));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2770z00_5523;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5045> */
	obj_t BGl_zc3exitza35045ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17190,
		obj_t BgL_runz00_17189)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2771z00_5529;

			if (SET_EXIT(BgL_an_exit2771z00_5529))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2771z00_5529 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2771z00_5529, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2772z00_5530;

							BgL_val2772z00_5530 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17189,
								BgL_nsz00_17190, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2772z00_5530;
						}
					}
				}
		}
	}



/* <exit:5039> */
	obj_t BGl_zc3exitza35039ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17193,
		obj_t BgL_sz00_17192, obj_t BgL_runz00_17191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2768z00_5519;

			if (SET_EXIT(BgL_an_exit2768z00_5519))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2768z00_5519 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2768z00_5519, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2769z00_5520;

							BgL_val2769z00_5520 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17191,
								BgL_sz00_17192, BgL_bpz00_17193);
							POP_EXIT();
							return BgL_val2769z00_5520;
						}
					}
				}
		}
	}



/* &run6783 */
	obj_t BGl_z62run6783z62zz__evaluate_compz00(obj_t BgL_envz00_16003,
		obj_t BgL_sz00_16008)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16004;
				obj_t BgL_valza2za2_16005;
				BgL_ev_absz00_bglt BgL_instance2535z00_16006;
				obj_t BgL_bodyz00_16007;

				BgL_siza7eza7_16004 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16003, (int) (((long) 0))));
				BgL_valza2za2_16005 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16003, (int) (((long) 1))));
				BgL_instance2535z00_16006 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16003, (int) (((long) 2))));
				BgL_bodyz00_16007 = PROCEDURE_REF(BgL_envz00_16003, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5532;

					BgL_sz00_5532 = BgL_sz00_16008;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5534;

						BgL_bpz00_5534 = VECTOR_REF(BgL_sz00_5532, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5532,
							BgL_valza2za2_16005,
							((long) CINT(BgL_bpz00_5534) + BgL_siza7eza7_16004));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5536;
							obj_t BgL_wherez00_5537;
							obj_t BgL_locz00_5538;

							BgL_z12denvz12_5536 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5537 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16006)))->BgL_wherez00);
							BgL_locz00_5538 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16006)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5536, BgL_wherez00_5537,
									BgL_locz00_5538);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5539;

									BgL_za2za2resza2za2z00_5539 =
										PROCEDURE_ENTRY(BgL_bodyz00_16007) (BgL_bodyz00_16007,
										BgL_sz00_5532, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5536);
									return BgL_za2za2resza2za2z00_5539;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5048> */
	obj_t BGl_z62zc3anonymousza35048ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16009, obj_t BgL_sz00_16016)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16010;
				obj_t BgL_iboxesz00_16011;
				long BgL_siza7eza7_16012;
				BgL_ev_absz00_bglt BgL_instance2535z00_16013;
				obj_t BgL_bodyz00_16014;
				long BgL_siza7ezd2framez75_16015;

				BgL_ifreesz00_16010 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16009, (int) (((long) 0))));
				BgL_iboxesz00_16011 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16009, (int) (((long) 1))));
				BgL_siza7eza7_16012 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16009, (int) (((long) 2))));
				BgL_instance2535z00_16013 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16009, (int) (((long) 3))));
				BgL_bodyz00_16014 = PROCEDURE_REF(BgL_envz00_16009, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16015 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16009, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5541;

					BgL_sz00_5541 = BgL_sz00_16016;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5543;

						BgL_bpz00_5543 = VECTOR_REF(BgL_sz00_5541, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5544;

							BgL_valza2za2_5544 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5541,
								BgL_bpz00_5543, BgL_ifreesz00_16010);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15755;

								BgL_runz00_15755 =
									MAKE_FX_PROCEDURE(BGl_z62run6785z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15755,
									(int) (((long) 0)), BgL_iboxesz00_16011);
								PROCEDURE_SET(BgL_runz00_15755,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16012));
								PROCEDURE_SET(BgL_runz00_15755,
									(int) (((long) 2)), BgL_valza2za2_5544);
								PROCEDURE_SET(BgL_runz00_15755,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16013));
								PROCEDURE_SET(BgL_runz00_15755,
									(int) (((long) 4)), BgL_bodyz00_16014);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15756;

									BgL_mainz00_15756 =
										MAKE_FX_PROCEDURE(BGl_z62main6784z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15756,
										(int) (((long) 0)), BgL_iboxesz00_16011);
									PROCEDURE_SET(BgL_mainz00_15756,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16012));
									PROCEDURE_SET(BgL_mainz00_15756,
										(int) (((long) 2)), BgL_valza2za2_5544);
									PROCEDURE_SET(BgL_mainz00_15756,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16013));
									PROCEDURE_SET(BgL_mainz00_15756,
										(int) (((long) 4)), BgL_bodyz00_16014);
									PROCEDURE_SET(BgL_mainz00_15756,
										(int) (((long) 5)), BgL_runz00_15755);
									PROCEDURE_SET(BgL_mainz00_15756,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16015));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14438;

										BgL_objz00_14438 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15755, BgL_objz00_14438);
										BgL_objz00_14438;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5049z00_5547;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5050z00_5548;

											BgL_arg5050z00_5548 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16013)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14443;

												BgL_newz00_14443 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24502;

													BgL_auxz00_24502 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14443, BgL_auxz00_24502,
														BgL_arg5050z00_5548);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24507;
													int BgL_auxz00_24505;

													BgL_auxz00_24507 = BINT(BgL_siza7ezd2framez75_16015);
													BgL_auxz00_24505 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14443, BgL_auxz00_24505,
														BgL_auxz00_24507);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24510;

													BgL_auxz00_24510 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14443, BgL_auxz00_24510,
														BgL_runz00_15755);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24515;
													int BgL_auxz00_24513;

													BgL_auxz00_24515 = BINT(((long) 4));
													BgL_auxz00_24513 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14443, BgL_auxz00_24513,
														BgL_auxz00_24515);
												}
												BgL_arg5049z00_5547 = BgL_newz00_14443;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15756, BgL_arg5049z00_5547);
										BgL_arg5049z00_5547;
									}
									return BgL_mainz00_15756;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6784 */
	obj_t BGl_z62main6784z62zz__evaluate_compz00(obj_t BgL_envz00_16017,
		obj_t BgL_az00_16025, obj_t BgL_bz00_16026, obj_t BgL_cz00_16027,
		obj_t BgL_dz00_16028)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16023;
				long BgL_siza7ezd2framez75_16024;

				BgL_runz00_16023 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16017, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16024 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16017, (int) (((long) 6))));
				{
					obj_t BgL_az00_5549;
					obj_t BgL_bz00_5550;
					obj_t BgL_cz00_5551;
					obj_t BgL_dz00_5552;

					BgL_az00_5549 = BgL_az00_16025;
					BgL_bz00_5550 = BgL_bz00_16026;
					BgL_cz00_5551 = BgL_cz00_16027;
					BgL_dz00_5552 = BgL_dz00_16028;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5554;

						BgL_sz00_5554 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5555;

							BgL_bpz00_5555 = VECTOR_REF(BgL_sz00_5554, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_24528;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_14381;
									int BgL_arg3190z00_14382;

									BgL_arg3189z00_14381 =
										((long) CINT(BgL_bpz00_5555) + BgL_siza7ezd2framez75_16024);
									BgL_arg3190z00_14382 = VECTOR_LENGTH(BgL_sz00_5554);
									BgL_testz00_24528 =
										(BgL_arg3189z00_14381 < (long) (BgL_arg3190z00_14382));
								}
								if (BgL_testz00_24528)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5053z00_5557;

											BgL_arg5053z00_5557 =
												((long) CINT(BgL_bpz00_5555) + ((long) 0));
											VECTOR_SET(BgL_sz00_5554,
												(int) (BgL_arg5053z00_5557), BgL_az00_5549);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5054z00_5558;

											BgL_arg5054z00_5558 =
												((long) CINT(BgL_bpz00_5555) + ((long) 1));
											VECTOR_SET(BgL_sz00_5554,
												(int) (BgL_arg5054z00_5558), BgL_bz00_5550);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5055z00_5559;

											BgL_arg5055z00_5559 =
												((long) CINT(BgL_bpz00_5555) + ((long) 2));
											VECTOR_SET(BgL_sz00_5554,
												(int) (BgL_arg5055z00_5559), BgL_cz00_5551);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5056z00_5560;

											BgL_arg5056z00_5560 =
												((long) CINT(BgL_bpz00_5555) + ((long) 3));
											VECTOR_SET(BgL_sz00_5554,
												(int) (BgL_arg5056z00_5560), BgL_dz00_5552);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2773z00_5561;

											BgL_val2773z00_5561 =
												BGl_zc3exitza35060ze3z83zz__evaluate_compz00
												(BgL_bpz00_5555, BgL_sz00_5554, BgL_runz00_16023);
											VECTOR_SET(BgL_sz00_5554, (int) (((long) 0)),
												BgL_bpz00_5555);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2773z00_5561)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2773z00_5561), CDR(BgL_val2773z00_5561));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2773z00_5561;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5568;

										BgL_nsz00_5568 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5568,
											(int) (((long) 1)), BgL_sz00_5554);
										VECTOR_SET(BgL_nsz00_5568,
											(int) (((long) 2)), BgL_az00_5549);
										VECTOR_SET(BgL_nsz00_5568,
											(int) (((long) 3)), BgL_bz00_5550);
										VECTOR_SET(BgL_nsz00_5568,
											(int) (((long) 4)), BgL_cz00_5551);
										VECTOR_SET(BgL_nsz00_5568,
											(int) (((long) 5)), BgL_dz00_5552);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_24570;

											BgL_auxz00_24570 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24570, BgL_nsz00_5568);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2776z00_5570;

											BgL_val2776z00_5570 =
												BGl_zc3exitza35066ze3z83zz__evaluate_compz00
												(BgL_nsz00_5568, BgL_runz00_16023);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_24574;

												BgL_auxz00_24574 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24574, BgL_sz00_5554);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2776z00_5570)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2776z00_5570), CDR(BgL_val2776z00_5570));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2776z00_5570;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5066> */
	obj_t BGl_zc3exitza35066ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17185,
		obj_t BgL_runz00_17184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2777z00_5576;

			if (SET_EXIT(BgL_an_exit2777z00_5576))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2777z00_5576 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2777z00_5576, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2778z00_5577;

							BgL_val2778z00_5577 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17184,
								BgL_nsz00_17185, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2778z00_5577;
						}
					}
				}
		}
	}



/* <exit:5060> */
	obj_t BGl_zc3exitza35060ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17188,
		obj_t BgL_sz00_17187, obj_t BgL_runz00_17186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2774z00_5566;

			if (SET_EXIT(BgL_an_exit2774z00_5566))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2774z00_5566 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2774z00_5566, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2775z00_5567;

							BgL_val2775z00_5567 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17186,
								BgL_sz00_17187, BgL_bpz00_17188);
							POP_EXIT();
							return BgL_val2775z00_5567;
						}
					}
				}
		}
	}



/* &run6785 */
	obj_t BGl_z62run6785z62zz__evaluate_compz00(obj_t BgL_envz00_16029,
		obj_t BgL_sz00_16035)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16030;
				long BgL_siza7eza7_16031;
				obj_t BgL_valza2za2_16032;
				BgL_ev_absz00_bglt BgL_instance2535z00_16033;
				obj_t BgL_bodyz00_16034;

				BgL_iboxesz00_16030 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16029, (int) (((long) 0))));
				BgL_siza7eza7_16031 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16029, (int) (((long) 1))));
				BgL_valza2za2_16032 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16029, (int) (((long) 2))));
				BgL_instance2535z00_16033 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16029, (int) (((long) 3))));
				BgL_bodyz00_16034 = PROCEDURE_REF(BgL_envz00_16029, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5579;

					BgL_sz00_5579 = BgL_sz00_16035;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5581;

						BgL_bpz00_5581 = VECTOR_REF(BgL_sz00_5579, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5579,
							BgL_iboxesz00_16030, BgL_bpz00_5581);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5579,
							BgL_valza2za2_16032,
							((long) CINT(BgL_bpz00_5581) + BgL_siza7eza7_16031));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5583;
							obj_t BgL_wherez00_5584;
							obj_t BgL_locz00_5585;

							BgL_z12denvz12_5583 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5584 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16033)))->BgL_wherez00);
							BgL_locz00_5585 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16033)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5583, BgL_wherez00_5584,
									BgL_locz00_5585);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5586;

									BgL_za2za2resza2za2z00_5586 =
										PROCEDURE_ENTRY(BgL_bodyz00_16034) (BgL_bodyz00_16034,
										BgL_sz00_5579, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5583);
									return BgL_za2za2resza2za2z00_5586;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4897> */
	obj_t BGl_z62zc3anonymousza34897ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16036, obj_t BgL_sz00_16040)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16037;
				obj_t BgL_bodyz00_16038;
				long BgL_siza7ezd2framez75_16039;

				BgL_instance2535z00_16037 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16036, (int) (((long) 0))));
				BgL_bodyz00_16038 = PROCEDURE_REF(BgL_envz00_16036, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16039 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16036, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5212;

					BgL_sz00_5212 = BgL_sz00_16040;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5214;

						BgL_bpz00_5214 = VECTOR_REF(BgL_sz00_5212, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15752;

								BgL_runz00_15752 =
									MAKE_FX_PROCEDURE(BGl_z62run6787z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15752,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16037));
								PROCEDURE_SET(BgL_runz00_15752,
									(int) (((long) 1)), BgL_bodyz00_16038);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15753;

									BgL_mainz00_15753 =
										MAKE_VA_PROCEDURE(BGl_z62main6786z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15753,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16037));
									PROCEDURE_SET(BgL_mainz00_15753,
										(int) (((long) 1)), BgL_bodyz00_16038);
									PROCEDURE_SET(BgL_mainz00_15753,
										(int) (((long) 2)), BgL_runz00_15752);
									PROCEDURE_SET(BgL_mainz00_15753,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16039));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13752;

										BgL_objz00_13752 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15752, BgL_objz00_13752);
										BgL_objz00_13752;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4898z00_5217;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4899z00_5218;

											BgL_arg4899z00_5218 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16037)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13757;

												BgL_newz00_13757 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24661;

													BgL_auxz00_24661 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13757, BgL_auxz00_24661,
														BgL_arg4899z00_5218);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24666;
													int BgL_auxz00_24664;

													BgL_auxz00_24666 = BINT(BgL_siza7ezd2framez75_16039);
													BgL_auxz00_24664 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13757, BgL_auxz00_24664,
														BgL_auxz00_24666);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24669;

													BgL_auxz00_24669 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13757, BgL_auxz00_24669,
														BgL_runz00_15752);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24674;
													int BgL_auxz00_24672;

													BgL_auxz00_24674 = BINT(((long) -4));
													BgL_auxz00_24672 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13757, BgL_auxz00_24672,
														BgL_auxz00_24674);
												}
												BgL_arg4898z00_5217 = BgL_newz00_13757;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15753, BgL_arg4898z00_5217);
										BgL_arg4898z00_5217;
									}
									return BgL_mainz00_15753;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6786 */
	obj_t BGl_z62main6786z62zz__evaluate_compz00(obj_t BgL_envz00_16041,
		obj_t BgL_bz00_16046, obj_t BgL_cz00_16047, obj_t BgL_dz00_16048,
		obj_t BgL_lastz00_16049)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16044;
				long BgL_siza7ezd2framez75_16045;

				BgL_runz00_16044 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16041, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16045 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16041, (int) (((long) 3))));
				{
					obj_t BgL_bz00_5219;
					obj_t BgL_cz00_5220;
					obj_t BgL_dz00_5221;
					obj_t BgL_lastz00_5222;

					BgL_bz00_5219 = BgL_bz00_16046;
					BgL_cz00_5220 = BgL_cz00_16047;
					BgL_dz00_5221 = BgL_dz00_16048;
					BgL_lastz00_5222 = BgL_lastz00_16049;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5224;

						BgL_sz00_5224 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5225;

							BgL_bpz00_5225 = VECTOR_REF(BgL_sz00_5224, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_24687;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13695;
									int BgL_arg3190z00_13696;

									BgL_arg3189z00_13695 =
										((long) CINT(BgL_bpz00_5225) + BgL_siza7ezd2framez75_16045);
									BgL_arg3190z00_13696 = VECTOR_LENGTH(BgL_sz00_5224);
									BgL_testz00_24687 =
										(BgL_arg3189z00_13695 < (long) (BgL_arg3190z00_13696));
								}
								if (BgL_testz00_24687)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4902z00_5227;

											BgL_arg4902z00_5227 =
												((long) CINT(BgL_bpz00_5225) + ((long) 0));
											VECTOR_SET(BgL_sz00_5224,
												(int) (BgL_arg4902z00_5227), BgL_bz00_5219);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4903z00_5228;

											BgL_arg4903z00_5228 =
												((long) CINT(BgL_bpz00_5225) + ((long) 1));
											VECTOR_SET(BgL_sz00_5224,
												(int) (BgL_arg4903z00_5228), BgL_cz00_5220);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4904z00_5229;

											BgL_arg4904z00_5229 =
												((long) CINT(BgL_bpz00_5225) + ((long) 2));
											VECTOR_SET(BgL_sz00_5224,
												(int) (BgL_arg4904z00_5229), BgL_dz00_5221);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4905z00_5230;

											BgL_arg4905z00_5230 =
												((long) CINT(BgL_bpz00_5225) + ((long) 3));
											VECTOR_SET(BgL_sz00_5224,
												(int) (BgL_arg4905z00_5230), BgL_lastz00_5222);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2731z00_5231;

											BgL_val2731z00_5231 =
												BGl_zc3exitza34909ze3z83zz__evaluate_compz00
												(BgL_bpz00_5225, BgL_sz00_5224, BgL_runz00_16044);
											VECTOR_SET(BgL_sz00_5224, (int) (((long) 0)),
												BgL_bpz00_5225);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2731z00_5231)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2731z00_5231), CDR(BgL_val2731z00_5231));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2731z00_5231;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5238;

										BgL_nsz00_5238 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5238,
											(int) (((long) 1)), BgL_sz00_5224);
										VECTOR_SET(BgL_nsz00_5238,
											(int) (((long) 2)), BgL_bz00_5219);
										VECTOR_SET(BgL_nsz00_5238,
											(int) (((long) 3)), BgL_cz00_5220);
										VECTOR_SET(BgL_nsz00_5238,
											(int) (((long) 4)), BgL_dz00_5221);
										VECTOR_SET(BgL_nsz00_5238,
											(int) (((long) 5)), BgL_lastz00_5222);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_24729;

											BgL_auxz00_24729 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24729, BgL_nsz00_5238);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2734z00_5240;

											BgL_val2734z00_5240 =
												BGl_zc3exitza34915ze3z83zz__evaluate_compz00
												(BgL_nsz00_5238, BgL_runz00_16044);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_24733;

												BgL_auxz00_24733 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24733, BgL_sz00_5224);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2734z00_5240)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2734z00_5240), CDR(BgL_val2734z00_5240));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2734z00_5240;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4915> */
	obj_t BGl_zc3exitza34915ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17180,
		obj_t BgL_runz00_17179)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2735z00_5246;

			if (SET_EXIT(BgL_an_exit2735z00_5246))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2735z00_5246 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2735z00_5246, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2736z00_5247;

							BgL_val2736z00_5247 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17179,
								BgL_nsz00_17180, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2736z00_5247;
						}
					}
				}
		}
	}



/* <exit:4909> */
	obj_t BGl_zc3exitza34909ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17183,
		obj_t BgL_sz00_17182, obj_t BgL_runz00_17181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2732z00_5236;

			if (SET_EXIT(BgL_an_exit2732z00_5236))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2732z00_5236 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2732z00_5236, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2733z00_5237;

							BgL_val2733z00_5237 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17181,
								BgL_sz00_17182, BgL_bpz00_17183);
							POP_EXIT();
							return BgL_val2733z00_5237;
						}
					}
				}
		}
	}



/* &run6787 */
	obj_t BGl_z62run6787z62zz__evaluate_compz00(obj_t BgL_envz00_16050,
		obj_t BgL_sz00_16053)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16051;
				obj_t BgL_bodyz00_16052;

				BgL_instance2535z00_16051 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16050, (int) (((long) 0))));
				BgL_bodyz00_16052 = PROCEDURE_REF(BgL_envz00_16050, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5249;

					BgL_sz00_5249 = BgL_sz00_16053;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5251;

						BgL_bpz00_5251 = VECTOR_REF(BgL_sz00_5249, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5252;
							obj_t BgL_wherez00_5253;
							obj_t BgL_locz00_5254;

							BgL_z12denvz12_5252 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5253 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16051)))->BgL_wherez00);
							BgL_locz00_5254 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16051)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5252, BgL_wherez00_5253,
									BgL_locz00_5254);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5255;

									BgL_za2za2resza2za2z00_5255 =
										PROCEDURE_ENTRY(BgL_bodyz00_16052) (BgL_bodyz00_16052,
										BgL_sz00_5249, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5252);
									return BgL_za2za2resza2za2z00_5255;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4917> */
	obj_t BGl_z62zc3anonymousza34917ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16054, obj_t BgL_sz00_16059)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16055;
				BgL_ev_absz00_bglt BgL_instance2535z00_16056;
				obj_t BgL_bodyz00_16057;
				long BgL_siza7ezd2framez75_16058;

				BgL_iboxesz00_16055 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16054, (int) (((long) 0))));
				BgL_instance2535z00_16056 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16054, (int) (((long) 1))));
				BgL_bodyz00_16057 = PROCEDURE_REF(BgL_envz00_16054, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16058 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16054, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5257;

					BgL_sz00_5257 = BgL_sz00_16059;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5259;

						BgL_bpz00_5259 = VECTOR_REF(BgL_sz00_5257, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15749;

								BgL_runz00_15749 =
									MAKE_FX_PROCEDURE(BGl_z62run6789z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15749,
									(int) (((long) 0)), BgL_iboxesz00_16055);
								PROCEDURE_SET(BgL_runz00_15749,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16056));
								PROCEDURE_SET(BgL_runz00_15749,
									(int) (((long) 2)), BgL_bodyz00_16057);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15750;

									BgL_mainz00_15750 =
										MAKE_VA_PROCEDURE(BGl_z62main6788z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15750,
										(int) (((long) 0)), BgL_iboxesz00_16055);
									PROCEDURE_SET(BgL_mainz00_15750,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16056));
									PROCEDURE_SET(BgL_mainz00_15750,
										(int) (((long) 2)), BgL_bodyz00_16057);
									PROCEDURE_SET(BgL_mainz00_15750,
										(int) (((long) 3)), BgL_runz00_15749);
									PROCEDURE_SET(BgL_mainz00_15750,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16058));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13846;

										BgL_objz00_13846 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15749, BgL_objz00_13846);
										BgL_objz00_13846;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4918z00_5262;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4919z00_5263;

											BgL_arg4919z00_5263 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16056)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13851;

												BgL_newz00_13851 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24814;

													BgL_auxz00_24814 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13851, BgL_auxz00_24814,
														BgL_arg4919z00_5263);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24819;
													int BgL_auxz00_24817;

													BgL_auxz00_24819 = BINT(BgL_siza7ezd2framez75_16058);
													BgL_auxz00_24817 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13851, BgL_auxz00_24817,
														BgL_auxz00_24819);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24822;

													BgL_auxz00_24822 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13851, BgL_auxz00_24822,
														BgL_runz00_15749);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24827;
													int BgL_auxz00_24825;

													BgL_auxz00_24827 = BINT(((long) -4));
													BgL_auxz00_24825 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13851, BgL_auxz00_24825,
														BgL_auxz00_24827);
												}
												BgL_arg4918z00_5262 = BgL_newz00_13851;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15750, BgL_arg4918z00_5262);
										BgL_arg4918z00_5262;
									}
									return BgL_mainz00_15750;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6788 */
	obj_t BGl_z62main6788z62zz__evaluate_compz00(obj_t BgL_envz00_16060,
		obj_t BgL_bz00_16066, obj_t BgL_cz00_16067, obj_t BgL_dz00_16068,
		obj_t BgL_lastz00_16069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16064;
				long BgL_siza7ezd2framez75_16065;

				BgL_runz00_16064 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16060, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16065 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16060, (int) (((long) 4))));
				{
					obj_t BgL_bz00_5264;
					obj_t BgL_cz00_5265;
					obj_t BgL_dz00_5266;
					obj_t BgL_lastz00_5267;

					BgL_bz00_5264 = BgL_bz00_16066;
					BgL_cz00_5265 = BgL_cz00_16067;
					BgL_dz00_5266 = BgL_dz00_16068;
					BgL_lastz00_5267 = BgL_lastz00_16069;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5269;

						BgL_sz00_5269 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5270;

							BgL_bpz00_5270 = VECTOR_REF(BgL_sz00_5269, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_24840;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13789;
									int BgL_arg3190z00_13790;

									BgL_arg3189z00_13789 =
										((long) CINT(BgL_bpz00_5270) + BgL_siza7ezd2framez75_16065);
									BgL_arg3190z00_13790 = VECTOR_LENGTH(BgL_sz00_5269);
									BgL_testz00_24840 =
										(BgL_arg3189z00_13789 < (long) (BgL_arg3190z00_13790));
								}
								if (BgL_testz00_24840)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4922z00_5272;

											BgL_arg4922z00_5272 =
												((long) CINT(BgL_bpz00_5270) + ((long) 0));
											VECTOR_SET(BgL_sz00_5269,
												(int) (BgL_arg4922z00_5272), BgL_bz00_5264);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4923z00_5273;

											BgL_arg4923z00_5273 =
												((long) CINT(BgL_bpz00_5270) + ((long) 1));
											VECTOR_SET(BgL_sz00_5269,
												(int) (BgL_arg4923z00_5273), BgL_cz00_5265);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4924z00_5274;

											BgL_arg4924z00_5274 =
												((long) CINT(BgL_bpz00_5270) + ((long) 2));
											VECTOR_SET(BgL_sz00_5269,
												(int) (BgL_arg4924z00_5274), BgL_dz00_5266);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4925z00_5275;

											BgL_arg4925z00_5275 =
												((long) CINT(BgL_bpz00_5270) + ((long) 3));
											VECTOR_SET(BgL_sz00_5269,
												(int) (BgL_arg4925z00_5275), BgL_lastz00_5267);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2737z00_5276;

											BgL_val2737z00_5276 =
												BGl_zc3exitza34929ze3z83zz__evaluate_compz00
												(BgL_bpz00_5270, BgL_sz00_5269, BgL_runz00_16064);
											VECTOR_SET(BgL_sz00_5269, (int) (((long) 0)),
												BgL_bpz00_5270);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2737z00_5276)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2737z00_5276), CDR(BgL_val2737z00_5276));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2737z00_5276;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5283;

										BgL_nsz00_5283 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5283,
											(int) (((long) 1)), BgL_sz00_5269);
										VECTOR_SET(BgL_nsz00_5283,
											(int) (((long) 2)), BgL_bz00_5264);
										VECTOR_SET(BgL_nsz00_5283,
											(int) (((long) 3)), BgL_cz00_5265);
										VECTOR_SET(BgL_nsz00_5283,
											(int) (((long) 4)), BgL_dz00_5266);
										VECTOR_SET(BgL_nsz00_5283,
											(int) (((long) 5)), BgL_lastz00_5267);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_24882;

											BgL_auxz00_24882 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24882, BgL_nsz00_5283);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2740z00_5285;

											BgL_val2740z00_5285 =
												BGl_zc3exitza34935ze3z83zz__evaluate_compz00
												(BgL_nsz00_5283, BgL_runz00_16064);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_24886;

												BgL_auxz00_24886 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24886, BgL_sz00_5269);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2740z00_5285)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2740z00_5285), CDR(BgL_val2740z00_5285));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2740z00_5285;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4935> */
	obj_t BGl_zc3exitza34935ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17175,
		obj_t BgL_runz00_17174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2741z00_5291;

			if (SET_EXIT(BgL_an_exit2741z00_5291))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2741z00_5291 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2741z00_5291, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2742z00_5292;

							BgL_val2742z00_5292 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17174,
								BgL_nsz00_17175, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2742z00_5292;
						}
					}
				}
		}
	}



/* <exit:4929> */
	obj_t BGl_zc3exitza34929ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17178,
		obj_t BgL_sz00_17177, obj_t BgL_runz00_17176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2738z00_5281;

			if (SET_EXIT(BgL_an_exit2738z00_5281))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2738z00_5281 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2738z00_5281, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2739z00_5282;

							BgL_val2739z00_5282 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17176,
								BgL_sz00_17177, BgL_bpz00_17178);
							POP_EXIT();
							return BgL_val2739z00_5282;
						}
					}
				}
		}
	}



/* &run6789 */
	obj_t BGl_z62run6789z62zz__evaluate_compz00(obj_t BgL_envz00_16070,
		obj_t BgL_sz00_16074)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16071;
				BgL_ev_absz00_bglt BgL_instance2535z00_16072;
				obj_t BgL_bodyz00_16073;

				BgL_iboxesz00_16071 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16070, (int) (((long) 0))));
				BgL_instance2535z00_16072 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16070, (int) (((long) 1))));
				BgL_bodyz00_16073 = PROCEDURE_REF(BgL_envz00_16070, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5294;

					BgL_sz00_5294 = BgL_sz00_16074;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5296;

						BgL_bpz00_5296 = VECTOR_REF(BgL_sz00_5294, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5294,
							BgL_iboxesz00_16071, BgL_bpz00_5296);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5297;
							obj_t BgL_wherez00_5298;
							obj_t BgL_locz00_5299;

							BgL_z12denvz12_5297 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5298 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16072)))->BgL_wherez00);
							BgL_locz00_5299 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16072)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5297, BgL_wherez00_5298,
									BgL_locz00_5299);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5300;

									BgL_za2za2resza2za2z00_5300 =
										PROCEDURE_ENTRY(BgL_bodyz00_16073) (BgL_bodyz00_16073,
										BgL_sz00_5294, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5297);
									return BgL_za2za2resza2za2z00_5300;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4939> */
	obj_t BGl_z62zc3anonymousza34939ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16075, obj_t BgL_sz00_16081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16076;
				long BgL_siza7eza7_16077;
				BgL_ev_absz00_bglt BgL_instance2535z00_16078;
				obj_t BgL_bodyz00_16079;
				long BgL_siza7ezd2framez75_16080;

				BgL_ifreesz00_16076 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16075, (int) (((long) 0))));
				BgL_siza7eza7_16077 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16075, (int) (((long) 1))));
				BgL_instance2535z00_16078 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16075, (int) (((long) 2))));
				BgL_bodyz00_16079 = PROCEDURE_REF(BgL_envz00_16075, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16080 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16075, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5304;

					BgL_sz00_5304 = BgL_sz00_16081;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5306;

						BgL_bpz00_5306 = VECTOR_REF(BgL_sz00_5304, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5307;

							BgL_valza2za2_5307 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5304,
								BgL_bpz00_5306, BgL_ifreesz00_16076);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15746;

								BgL_runz00_15746 =
									MAKE_FX_PROCEDURE(BGl_z62run6791z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15746,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16077));
								PROCEDURE_SET(BgL_runz00_15746,
									(int) (((long) 1)), BgL_valza2za2_5307);
								PROCEDURE_SET(BgL_runz00_15746,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16078));
								PROCEDURE_SET(BgL_runz00_15746,
									(int) (((long) 3)), BgL_bodyz00_16079);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15747;

									BgL_mainz00_15747 =
										MAKE_VA_PROCEDURE(BGl_z62main6790z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15747,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16077));
									PROCEDURE_SET(BgL_mainz00_15747,
										(int) (((long) 1)), BgL_valza2za2_5307);
									PROCEDURE_SET(BgL_mainz00_15747,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16078));
									PROCEDURE_SET(BgL_mainz00_15747,
										(int) (((long) 3)), BgL_bodyz00_16079);
									PROCEDURE_SET(BgL_mainz00_15747,
										(int) (((long) 4)), BgL_runz00_15746);
									PROCEDURE_SET(BgL_mainz00_15747,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16080));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13947;

										BgL_objz00_13947 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15746, BgL_objz00_13947);
										BgL_objz00_13947;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4940z00_5310;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4941z00_5311;

											BgL_arg4941z00_5311 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16078)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13952;

												BgL_newz00_13952 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24981;

													BgL_auxz00_24981 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13952, BgL_auxz00_24981,
														BgL_arg4941z00_5311);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24986;
													int BgL_auxz00_24984;

													BgL_auxz00_24986 = BINT(BgL_siza7ezd2framez75_16080);
													BgL_auxz00_24984 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13952, BgL_auxz00_24984,
														BgL_auxz00_24986);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_24989;

													BgL_auxz00_24989 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13952, BgL_auxz00_24989,
														BgL_runz00_15746);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_24994;
													int BgL_auxz00_24992;

													BgL_auxz00_24994 = BINT(((long) -4));
													BgL_auxz00_24992 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13952, BgL_auxz00_24992,
														BgL_auxz00_24994);
												}
												BgL_arg4940z00_5310 = BgL_newz00_13952;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15747, BgL_arg4940z00_5310);
										BgL_arg4940z00_5310;
									}
									return BgL_mainz00_15747;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6790 */
	obj_t BGl_z62main6790z62zz__evaluate_compz00(obj_t BgL_envz00_16082,
		obj_t BgL_bz00_16089, obj_t BgL_cz00_16090, obj_t BgL_dz00_16091,
		obj_t BgL_lastz00_16092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16087;
				long BgL_siza7ezd2framez75_16088;

				BgL_runz00_16087 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16082, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16088 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16082, (int) (((long) 5))));
				{
					obj_t BgL_bz00_5312;
					obj_t BgL_cz00_5313;
					obj_t BgL_dz00_5314;
					obj_t BgL_lastz00_5315;

					BgL_bz00_5312 = BgL_bz00_16089;
					BgL_cz00_5313 = BgL_cz00_16090;
					BgL_dz00_5314 = BgL_dz00_16091;
					BgL_lastz00_5315 = BgL_lastz00_16092;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5317;

						BgL_sz00_5317 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5318;

							BgL_bpz00_5318 = VECTOR_REF(BgL_sz00_5317, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_25007;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13890;
									int BgL_arg3190z00_13891;

									BgL_arg3189z00_13890 =
										((long) CINT(BgL_bpz00_5318) + BgL_siza7ezd2framez75_16088);
									BgL_arg3190z00_13891 = VECTOR_LENGTH(BgL_sz00_5317);
									BgL_testz00_25007 =
										(BgL_arg3189z00_13890 < (long) (BgL_arg3190z00_13891));
								}
								if (BgL_testz00_25007)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4944z00_5320;

											BgL_arg4944z00_5320 =
												((long) CINT(BgL_bpz00_5318) + ((long) 0));
											VECTOR_SET(BgL_sz00_5317,
												(int) (BgL_arg4944z00_5320), BgL_bz00_5312);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4945z00_5321;

											BgL_arg4945z00_5321 =
												((long) CINT(BgL_bpz00_5318) + ((long) 1));
											VECTOR_SET(BgL_sz00_5317,
												(int) (BgL_arg4945z00_5321), BgL_cz00_5313);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4946z00_5322;

											BgL_arg4946z00_5322 =
												((long) CINT(BgL_bpz00_5318) + ((long) 2));
											VECTOR_SET(BgL_sz00_5317,
												(int) (BgL_arg4946z00_5322), BgL_dz00_5314);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4947z00_5323;

											BgL_arg4947z00_5323 =
												((long) CINT(BgL_bpz00_5318) + ((long) 3));
											VECTOR_SET(BgL_sz00_5317,
												(int) (BgL_arg4947z00_5323), BgL_lastz00_5315);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2743z00_5324;

											BgL_val2743z00_5324 =
												BGl_zc3exitza34951ze3z83zz__evaluate_compz00
												(BgL_bpz00_5318, BgL_sz00_5317, BgL_runz00_16087);
											VECTOR_SET(BgL_sz00_5317, (int) (((long) 0)),
												BgL_bpz00_5318);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2743z00_5324)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2743z00_5324), CDR(BgL_val2743z00_5324));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2743z00_5324;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5331;

										BgL_nsz00_5331 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5331,
											(int) (((long) 1)), BgL_sz00_5317);
										VECTOR_SET(BgL_nsz00_5331,
											(int) (((long) 2)), BgL_bz00_5312);
										VECTOR_SET(BgL_nsz00_5331,
											(int) (((long) 3)), BgL_cz00_5313);
										VECTOR_SET(BgL_nsz00_5331,
											(int) (((long) 4)), BgL_dz00_5314);
										VECTOR_SET(BgL_nsz00_5331,
											(int) (((long) 5)), BgL_lastz00_5315);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_25049;

											BgL_auxz00_25049 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25049, BgL_nsz00_5331);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2746z00_5333;

											BgL_val2746z00_5333 =
												BGl_zc3exitza34957ze3z83zz__evaluate_compz00
												(BgL_nsz00_5331, BgL_runz00_16087);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_25053;

												BgL_auxz00_25053 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25053, BgL_sz00_5317);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2746z00_5333)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2746z00_5333), CDR(BgL_val2746z00_5333));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2746z00_5333;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4957> */
	obj_t BGl_zc3exitza34957ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17170,
		obj_t BgL_runz00_17169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2747z00_5339;

			if (SET_EXIT(BgL_an_exit2747z00_5339))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2747z00_5339 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2747z00_5339, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2748z00_5340;

							BgL_val2748z00_5340 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17169,
								BgL_nsz00_17170, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2748z00_5340;
						}
					}
				}
		}
	}



/* <exit:4951> */
	obj_t BGl_zc3exitza34951ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17173,
		obj_t BgL_sz00_17172, obj_t BgL_runz00_17171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2744z00_5329;

			if (SET_EXIT(BgL_an_exit2744z00_5329))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2744z00_5329 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2744z00_5329, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2745z00_5330;

							BgL_val2745z00_5330 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17171,
								BgL_sz00_17172, BgL_bpz00_17173);
							POP_EXIT();
							return BgL_val2745z00_5330;
						}
					}
				}
		}
	}



/* &run6791 */
	obj_t BGl_z62run6791z62zz__evaluate_compz00(obj_t BgL_envz00_16093,
		obj_t BgL_sz00_16098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16094;
				obj_t BgL_valza2za2_16095;
				BgL_ev_absz00_bglt BgL_instance2535z00_16096;
				obj_t BgL_bodyz00_16097;

				BgL_siza7eza7_16094 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16093, (int) (((long) 0))));
				BgL_valza2za2_16095 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16093, (int) (((long) 1))));
				BgL_instance2535z00_16096 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16093, (int) (((long) 2))));
				BgL_bodyz00_16097 = PROCEDURE_REF(BgL_envz00_16093, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5342;

					BgL_sz00_5342 = BgL_sz00_16098;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5344;

						BgL_bpz00_5344 = VECTOR_REF(BgL_sz00_5342, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5342,
							BgL_valza2za2_16095,
							((long) CINT(BgL_bpz00_5344) + BgL_siza7eza7_16094));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5346;
							obj_t BgL_wherez00_5347;
							obj_t BgL_locz00_5348;

							BgL_z12denvz12_5346 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5347 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16096)))->BgL_wherez00);
							BgL_locz00_5348 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16096)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5346, BgL_wherez00_5347,
									BgL_locz00_5348);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5349;

									BgL_za2za2resza2za2z00_5349 =
										PROCEDURE_ENTRY(BgL_bodyz00_16097) (BgL_bodyz00_16097,
										BgL_sz00_5342, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5346);
									return BgL_za2za2resza2za2z00_5349;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4960> */
	obj_t BGl_z62zc3anonymousza34960ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16099, obj_t BgL_sz00_16106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16100;
				obj_t BgL_iboxesz00_16101;
				long BgL_siza7eza7_16102;
				BgL_ev_absz00_bglt BgL_instance2535z00_16103;
				obj_t BgL_bodyz00_16104;
				long BgL_siza7ezd2framez75_16105;

				BgL_ifreesz00_16100 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16099, (int) (((long) 0))));
				BgL_iboxesz00_16101 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16099, (int) (((long) 1))));
				BgL_siza7eza7_16102 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16099, (int) (((long) 2))));
				BgL_instance2535z00_16103 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16099, (int) (((long) 3))));
				BgL_bodyz00_16104 = PROCEDURE_REF(BgL_envz00_16099, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16105 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16099, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5351;

					BgL_sz00_5351 = BgL_sz00_16106;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5353;

						BgL_bpz00_5353 = VECTOR_REF(BgL_sz00_5351, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5354;

							BgL_valza2za2_5354 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5351,
								BgL_bpz00_5353, BgL_ifreesz00_16100);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15743;

								BgL_runz00_15743 =
									MAKE_FX_PROCEDURE(BGl_z62run6793z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15743,
									(int) (((long) 0)), BgL_iboxesz00_16101);
								PROCEDURE_SET(BgL_runz00_15743,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16102));
								PROCEDURE_SET(BgL_runz00_15743,
									(int) (((long) 2)), BgL_valza2za2_5354);
								PROCEDURE_SET(BgL_runz00_15743,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16103));
								PROCEDURE_SET(BgL_runz00_15743,
									(int) (((long) 4)), BgL_bodyz00_16104);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15744;

									BgL_mainz00_15744 =
										MAKE_VA_PROCEDURE(BGl_z62main6792z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15744,
										(int) (((long) 0)), BgL_iboxesz00_16101);
									PROCEDURE_SET(BgL_mainz00_15744,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16102));
									PROCEDURE_SET(BgL_mainz00_15744,
										(int) (((long) 2)), BgL_valza2za2_5354);
									PROCEDURE_SET(BgL_mainz00_15744,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16103));
									PROCEDURE_SET(BgL_mainz00_15744,
										(int) (((long) 4)), BgL_bodyz00_16104);
									PROCEDURE_SET(BgL_mainz00_15744,
										(int) (((long) 5)), BgL_runz00_15743);
									PROCEDURE_SET(BgL_mainz00_15744,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16105));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_14044;

										BgL_objz00_14044 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15743, BgL_objz00_14044);
										BgL_objz00_14044;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4961z00_5357;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4962z00_5358;

											BgL_arg4962z00_5358 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16103)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_14049;

												BgL_newz00_14049 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25160;

													BgL_auxz00_25160 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14049, BgL_auxz00_25160,
														BgL_arg4962z00_5358);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25165;
													int BgL_auxz00_25163;

													BgL_auxz00_25165 = BINT(BgL_siza7ezd2framez75_16105);
													BgL_auxz00_25163 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14049, BgL_auxz00_25163,
														BgL_auxz00_25165);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25168;

													BgL_auxz00_25168 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14049, BgL_auxz00_25168,
														BgL_runz00_15743);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25173;
													int BgL_auxz00_25171;

													BgL_auxz00_25173 = BINT(((long) -4));
													BgL_auxz00_25171 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14049, BgL_auxz00_25171,
														BgL_auxz00_25173);
												}
												BgL_arg4961z00_5357 = BgL_newz00_14049;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15744, BgL_arg4961z00_5357);
										BgL_arg4961z00_5357;
									}
									return BgL_mainz00_15744;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6792 */
	obj_t BGl_z62main6792z62zz__evaluate_compz00(obj_t BgL_envz00_16107,
		obj_t BgL_bz00_16115, obj_t BgL_cz00_16116, obj_t BgL_dz00_16117,
		obj_t BgL_lastz00_16118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16113;
				long BgL_siza7ezd2framez75_16114;

				BgL_runz00_16113 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16107, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16114 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16107, (int) (((long) 6))));
				{
					obj_t BgL_bz00_5359;
					obj_t BgL_cz00_5360;
					obj_t BgL_dz00_5361;
					obj_t BgL_lastz00_5362;

					BgL_bz00_5359 = BgL_bz00_16115;
					BgL_cz00_5360 = BgL_cz00_16116;
					BgL_dz00_5361 = BgL_dz00_16117;
					BgL_lastz00_5362 = BgL_lastz00_16118;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5364;

						BgL_sz00_5364 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5365;

							BgL_bpz00_5365 = VECTOR_REF(BgL_sz00_5364, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_25186;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13987;
									int BgL_arg3190z00_13988;

									BgL_arg3189z00_13987 =
										((long) CINT(BgL_bpz00_5365) + BgL_siza7ezd2framez75_16114);
									BgL_arg3190z00_13988 = VECTOR_LENGTH(BgL_sz00_5364);
									BgL_testz00_25186 =
										(BgL_arg3189z00_13987 < (long) (BgL_arg3190z00_13988));
								}
								if (BgL_testz00_25186)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4965z00_5367;

											BgL_arg4965z00_5367 =
												((long) CINT(BgL_bpz00_5365) + ((long) 0));
											VECTOR_SET(BgL_sz00_5364,
												(int) (BgL_arg4965z00_5367), BgL_bz00_5359);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4966z00_5368;

											BgL_arg4966z00_5368 =
												((long) CINT(BgL_bpz00_5365) + ((long) 1));
											VECTOR_SET(BgL_sz00_5364,
												(int) (BgL_arg4966z00_5368), BgL_cz00_5360);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4967z00_5369;

											BgL_arg4967z00_5369 =
												((long) CINT(BgL_bpz00_5365) + ((long) 2));
											VECTOR_SET(BgL_sz00_5364,
												(int) (BgL_arg4967z00_5369), BgL_dz00_5361);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4968z00_5370;

											BgL_arg4968z00_5370 =
												((long) CINT(BgL_bpz00_5365) + ((long) 3));
											VECTOR_SET(BgL_sz00_5364,
												(int) (BgL_arg4968z00_5370), BgL_lastz00_5362);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2749z00_5371;

											BgL_val2749z00_5371 =
												BGl_zc3exitza34972ze3z83zz__evaluate_compz00
												(BgL_bpz00_5365, BgL_sz00_5364, BgL_runz00_16113);
											VECTOR_SET(BgL_sz00_5364, (int) (((long) 0)),
												BgL_bpz00_5365);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2749z00_5371)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2749z00_5371), CDR(BgL_val2749z00_5371));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2749z00_5371;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5378;

										BgL_nsz00_5378 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5378,
											(int) (((long) 1)), BgL_sz00_5364);
										VECTOR_SET(BgL_nsz00_5378,
											(int) (((long) 2)), BgL_bz00_5359);
										VECTOR_SET(BgL_nsz00_5378,
											(int) (((long) 3)), BgL_cz00_5360);
										VECTOR_SET(BgL_nsz00_5378,
											(int) (((long) 4)), BgL_dz00_5361);
										VECTOR_SET(BgL_nsz00_5378,
											(int) (((long) 5)), BgL_lastz00_5362);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_25228;

											BgL_auxz00_25228 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25228, BgL_nsz00_5378);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2752z00_5380;

											BgL_val2752z00_5380 =
												BGl_zc3exitza34978ze3z83zz__evaluate_compz00
												(BgL_nsz00_5378, BgL_runz00_16113);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_25232;

												BgL_auxz00_25232 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25232, BgL_sz00_5364);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2752z00_5380)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2752z00_5380), CDR(BgL_val2752z00_5380));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2752z00_5380;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4978> */
	obj_t BGl_zc3exitza34978ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17165,
		obj_t BgL_runz00_17164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2753z00_5386;

			if (SET_EXIT(BgL_an_exit2753z00_5386))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2753z00_5386 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2753z00_5386, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2754z00_5387;

							BgL_val2754z00_5387 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17164,
								BgL_nsz00_17165, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2754z00_5387;
						}
					}
				}
		}
	}



/* <exit:4972> */
	obj_t BGl_zc3exitza34972ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17168,
		obj_t BgL_sz00_17167, obj_t BgL_runz00_17166)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2750z00_5376;

			if (SET_EXIT(BgL_an_exit2750z00_5376))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2750z00_5376 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2750z00_5376, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2751z00_5377;

							BgL_val2751z00_5377 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17166,
								BgL_sz00_17167, BgL_bpz00_17168);
							POP_EXIT();
							return BgL_val2751z00_5377;
						}
					}
				}
		}
	}



/* &run6793 */
	obj_t BGl_z62run6793z62zz__evaluate_compz00(obj_t BgL_envz00_16119,
		obj_t BgL_sz00_16125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16120;
				long BgL_siza7eza7_16121;
				obj_t BgL_valza2za2_16122;
				BgL_ev_absz00_bglt BgL_instance2535z00_16123;
				obj_t BgL_bodyz00_16124;

				BgL_iboxesz00_16120 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16119, (int) (((long) 0))));
				BgL_siza7eza7_16121 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16119, (int) (((long) 1))));
				BgL_valza2za2_16122 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16119, (int) (((long) 2))));
				BgL_instance2535z00_16123 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16119, (int) (((long) 3))));
				BgL_bodyz00_16124 = PROCEDURE_REF(BgL_envz00_16119, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5389;

					BgL_sz00_5389 = BgL_sz00_16125;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5391;

						BgL_bpz00_5391 = VECTOR_REF(BgL_sz00_5389, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5389,
							BgL_iboxesz00_16120, BgL_bpz00_5391);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5389,
							BgL_valza2za2_16122,
							((long) CINT(BgL_bpz00_5391) + BgL_siza7eza7_16121));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5393;
							obj_t BgL_wherez00_5394;
							obj_t BgL_locz00_5395;

							BgL_z12denvz12_5393 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5394 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16123)))->BgL_wherez00);
							BgL_locz00_5395 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16123)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5393, BgL_wherez00_5394,
									BgL_locz00_5395);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5396;

									BgL_za2za2resza2za2z00_5396 =
										PROCEDURE_ENTRY(BgL_bodyz00_16124) (BgL_bodyz00_16124,
										BgL_sz00_5389, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5393);
									return BgL_za2za2resza2za2z00_5396;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4812> */
	obj_t BGl_z62zc3anonymousza34812ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16126, obj_t BgL_sz00_16130)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16127;
				obj_t BgL_bodyz00_16128;
				long BgL_siza7ezd2framez75_16129;

				BgL_instance2535z00_16127 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16126, (int) (((long) 0))));
				BgL_bodyz00_16128 = PROCEDURE_REF(BgL_envz00_16126, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16129 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16126, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5030;

					BgL_sz00_5030 = BgL_sz00_16130;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5032;

						BgL_bpz00_5032 = VECTOR_REF(BgL_sz00_5030, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15740;

								BgL_runz00_15740 =
									MAKE_FX_PROCEDURE(BGl_z62run6795z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15740,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16127));
								PROCEDURE_SET(BgL_runz00_15740,
									(int) (((long) 1)), BgL_bodyz00_16128);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15741;

									BgL_mainz00_15741 =
										MAKE_FX_PROCEDURE(BGl_z62main6794z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15741,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16127));
									PROCEDURE_SET(BgL_mainz00_15741,
										(int) (((long) 1)), BgL_bodyz00_16128);
									PROCEDURE_SET(BgL_mainz00_15741,
										(int) (((long) 2)), BgL_runz00_15740);
									PROCEDURE_SET(BgL_mainz00_15741,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16129));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13385;

										BgL_objz00_13385 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15740, BgL_objz00_13385);
										BgL_objz00_13385;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4813z00_5035;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4814z00_5036;

											BgL_arg4814z00_5036 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16127)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13390;

												BgL_newz00_13390 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25319;

													BgL_auxz00_25319 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13390, BgL_auxz00_25319,
														BgL_arg4814z00_5036);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25324;
													int BgL_auxz00_25322;

													BgL_auxz00_25324 = BINT(BgL_siza7ezd2framez75_16129);
													BgL_auxz00_25322 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13390, BgL_auxz00_25322,
														BgL_auxz00_25324);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25327;

													BgL_auxz00_25327 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13390, BgL_auxz00_25327,
														BgL_runz00_15740);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25332;
													int BgL_auxz00_25330;

													BgL_auxz00_25332 = BINT(((long) 3));
													BgL_auxz00_25330 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13390, BgL_auxz00_25330,
														BgL_auxz00_25332);
												}
												BgL_arg4813z00_5035 = BgL_newz00_13390;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15741, BgL_arg4813z00_5035);
										BgL_arg4813z00_5035;
									}
									return BgL_mainz00_15741;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6794 */
	obj_t BGl_z62main6794z62zz__evaluate_compz00(obj_t BgL_envz00_16131,
		obj_t BgL_bz00_16136, obj_t BgL_cz00_16137, obj_t BgL_dz00_16138)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16134;
				long BgL_siza7ezd2framez75_16135;

				BgL_runz00_16134 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16131, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16135 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16131, (int) (((long) 3))));
				{
					obj_t BgL_bz00_5037;
					obj_t BgL_cz00_5038;
					obj_t BgL_dz00_5039;

					BgL_bz00_5037 = BgL_bz00_16136;
					BgL_cz00_5038 = BgL_cz00_16137;
					BgL_dz00_5039 = BgL_dz00_16138;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5041;

						BgL_sz00_5041 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5042;

							BgL_bpz00_5042 = VECTOR_REF(BgL_sz00_5041, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_25345;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13337;
									int BgL_arg3190z00_13338;

									BgL_arg3189z00_13337 =
										((long) CINT(BgL_bpz00_5042) + BgL_siza7ezd2framez75_16135);
									BgL_arg3190z00_13338 = VECTOR_LENGTH(BgL_sz00_5041);
									BgL_testz00_25345 =
										(BgL_arg3189z00_13337 < (long) (BgL_arg3190z00_13338));
								}
								if (BgL_testz00_25345)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4817z00_5044;

											BgL_arg4817z00_5044 =
												((long) CINT(BgL_bpz00_5042) + ((long) 0));
											VECTOR_SET(BgL_sz00_5041,
												(int) (BgL_arg4817z00_5044), BgL_bz00_5037);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4818z00_5045;

											BgL_arg4818z00_5045 =
												((long) CINT(BgL_bpz00_5042) + ((long) 1));
											VECTOR_SET(BgL_sz00_5041,
												(int) (BgL_arg4818z00_5045), BgL_cz00_5038);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4819z00_5046;

											BgL_arg4819z00_5046 =
												((long) CINT(BgL_bpz00_5042) + ((long) 2));
											VECTOR_SET(BgL_sz00_5041,
												(int) (BgL_arg4819z00_5046), BgL_dz00_5039);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2707z00_5047;

											BgL_val2707z00_5047 =
												BGl_zc3exitza34823ze3z83zz__evaluate_compz00
												(BgL_bpz00_5042, BgL_sz00_5041, BgL_runz00_16134);
											VECTOR_SET(BgL_sz00_5041, (int) (((long) 0)),
												BgL_bpz00_5042);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2707z00_5047)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2707z00_5047), CDR(BgL_val2707z00_5047));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2707z00_5047;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5054;

										BgL_nsz00_5054 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5054,
											(int) (((long) 1)), BgL_sz00_5041);
										VECTOR_SET(BgL_nsz00_5054,
											(int) (((long) 2)), BgL_bz00_5037);
										VECTOR_SET(BgL_nsz00_5054,
											(int) (((long) 3)), BgL_cz00_5038);
										VECTOR_SET(BgL_nsz00_5054,
											(int) (((long) 4)), BgL_dz00_5039);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_25381;

											BgL_auxz00_25381 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25381, BgL_nsz00_5054);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2710z00_5056;

											BgL_val2710z00_5056 =
												BGl_zc3exitza34829ze3z83zz__evaluate_compz00
												(BgL_nsz00_5054, BgL_runz00_16134);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_25385;

												BgL_auxz00_25385 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25385, BgL_sz00_5041);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2710z00_5056)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2710z00_5056), CDR(BgL_val2710z00_5056));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2710z00_5056;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4829> */
	obj_t BGl_zc3exitza34829ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17160,
		obj_t BgL_runz00_17159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2711z00_5062;

			if (SET_EXIT(BgL_an_exit2711z00_5062))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2711z00_5062 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2711z00_5062, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2712z00_5063;

							BgL_val2712z00_5063 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17159,
								BgL_nsz00_17160, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2712z00_5063;
						}
					}
				}
		}
	}



/* <exit:4823> */
	obj_t BGl_zc3exitza34823ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17163,
		obj_t BgL_sz00_17162, obj_t BgL_runz00_17161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2708z00_5052;

			if (SET_EXIT(BgL_an_exit2708z00_5052))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2708z00_5052 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2708z00_5052, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2709z00_5053;

							BgL_val2709z00_5053 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17161,
								BgL_sz00_17162, BgL_bpz00_17163);
							POP_EXIT();
							return BgL_val2709z00_5053;
						}
					}
				}
		}
	}



/* &run6795 */
	obj_t BGl_z62run6795z62zz__evaluate_compz00(obj_t BgL_envz00_16139,
		obj_t BgL_sz00_16142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16140;
				obj_t BgL_bodyz00_16141;

				BgL_instance2535z00_16140 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16139, (int) (((long) 0))));
				BgL_bodyz00_16141 = PROCEDURE_REF(BgL_envz00_16139, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5065;

					BgL_sz00_5065 = BgL_sz00_16142;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5067;

						BgL_bpz00_5067 = VECTOR_REF(BgL_sz00_5065, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5068;
							obj_t BgL_wherez00_5069;
							obj_t BgL_locz00_5070;

							BgL_z12denvz12_5068 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5069 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16140)))->BgL_wherez00);
							BgL_locz00_5070 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16140)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5068, BgL_wherez00_5069,
									BgL_locz00_5070);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5071;

									BgL_za2za2resza2za2z00_5071 =
										PROCEDURE_ENTRY(BgL_bodyz00_16141) (BgL_bodyz00_16141,
										BgL_sz00_5065, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5068);
									return BgL_za2za2resza2za2z00_5071;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4831> */
	obj_t BGl_z62zc3anonymousza34831ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16143, obj_t BgL_sz00_16148)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16144;
				BgL_ev_absz00_bglt BgL_instance2535z00_16145;
				obj_t BgL_bodyz00_16146;
				long BgL_siza7ezd2framez75_16147;

				BgL_iboxesz00_16144 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16143, (int) (((long) 0))));
				BgL_instance2535z00_16145 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16143, (int) (((long) 1))));
				BgL_bodyz00_16146 = PROCEDURE_REF(BgL_envz00_16143, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16147 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16143, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5073;

					BgL_sz00_5073 = BgL_sz00_16148;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5075;

						BgL_bpz00_5075 = VECTOR_REF(BgL_sz00_5073, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15737;

								BgL_runz00_15737 =
									MAKE_FX_PROCEDURE(BGl_z62run6797z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15737,
									(int) (((long) 0)), BgL_iboxesz00_16144);
								PROCEDURE_SET(BgL_runz00_15737,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16145));
								PROCEDURE_SET(BgL_runz00_15737,
									(int) (((long) 2)), BgL_bodyz00_16146);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15738;

									BgL_mainz00_15738 =
										MAKE_FX_PROCEDURE(BGl_z62main6796z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15738,
										(int) (((long) 0)), BgL_iboxesz00_16144);
									PROCEDURE_SET(BgL_mainz00_15738,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16145));
									PROCEDURE_SET(BgL_mainz00_15738,
										(int) (((long) 2)), BgL_bodyz00_16146);
									PROCEDURE_SET(BgL_mainz00_15738,
										(int) (((long) 3)), BgL_runz00_15737);
									PROCEDURE_SET(BgL_mainz00_15738,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16147));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13470;

										BgL_objz00_13470 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15737, BgL_objz00_13470);
										BgL_objz00_13470;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4832z00_5078;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4833z00_5079;

											BgL_arg4833z00_5079 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16145)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13475;

												BgL_newz00_13475 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25466;

													BgL_auxz00_25466 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13475, BgL_auxz00_25466,
														BgL_arg4833z00_5079);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25471;
													int BgL_auxz00_25469;

													BgL_auxz00_25471 = BINT(BgL_siza7ezd2framez75_16147);
													BgL_auxz00_25469 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13475, BgL_auxz00_25469,
														BgL_auxz00_25471);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25474;

													BgL_auxz00_25474 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13475, BgL_auxz00_25474,
														BgL_runz00_15737);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25479;
													int BgL_auxz00_25477;

													BgL_auxz00_25479 = BINT(((long) 3));
													BgL_auxz00_25477 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13475, BgL_auxz00_25477,
														BgL_auxz00_25479);
												}
												BgL_arg4832z00_5078 = BgL_newz00_13475;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15738, BgL_arg4832z00_5078);
										BgL_arg4832z00_5078;
									}
									return BgL_mainz00_15738;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6796 */
	obj_t BGl_z62main6796z62zz__evaluate_compz00(obj_t BgL_envz00_16149,
		obj_t BgL_bz00_16155, obj_t BgL_cz00_16156, obj_t BgL_dz00_16157)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16153;
				long BgL_siza7ezd2framez75_16154;

				BgL_runz00_16153 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16149, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16154 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16149, (int) (((long) 4))));
				{
					obj_t BgL_bz00_5080;
					obj_t BgL_cz00_5081;
					obj_t BgL_dz00_5082;

					BgL_bz00_5080 = BgL_bz00_16155;
					BgL_cz00_5081 = BgL_cz00_16156;
					BgL_dz00_5082 = BgL_dz00_16157;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5084;

						BgL_sz00_5084 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5085;

							BgL_bpz00_5085 = VECTOR_REF(BgL_sz00_5084, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_25492;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13422;
									int BgL_arg3190z00_13423;

									BgL_arg3189z00_13422 =
										((long) CINT(BgL_bpz00_5085) + BgL_siza7ezd2framez75_16154);
									BgL_arg3190z00_13423 = VECTOR_LENGTH(BgL_sz00_5084);
									BgL_testz00_25492 =
										(BgL_arg3189z00_13422 < (long) (BgL_arg3190z00_13423));
								}
								if (BgL_testz00_25492)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4836z00_5087;

											BgL_arg4836z00_5087 =
												((long) CINT(BgL_bpz00_5085) + ((long) 0));
											VECTOR_SET(BgL_sz00_5084,
												(int) (BgL_arg4836z00_5087), BgL_bz00_5080);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4837z00_5088;

											BgL_arg4837z00_5088 =
												((long) CINT(BgL_bpz00_5085) + ((long) 1));
											VECTOR_SET(BgL_sz00_5084,
												(int) (BgL_arg4837z00_5088), BgL_cz00_5081);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4838z00_5089;

											BgL_arg4838z00_5089 =
												((long) CINT(BgL_bpz00_5085) + ((long) 2));
											VECTOR_SET(BgL_sz00_5084,
												(int) (BgL_arg4838z00_5089), BgL_dz00_5082);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2713z00_5090;

											BgL_val2713z00_5090 =
												BGl_zc3exitza34842ze3z83zz__evaluate_compz00
												(BgL_bpz00_5085, BgL_sz00_5084, BgL_runz00_16153);
											VECTOR_SET(BgL_sz00_5084, (int) (((long) 0)),
												BgL_bpz00_5085);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2713z00_5090)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2713z00_5090), CDR(BgL_val2713z00_5090));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2713z00_5090;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5097;

										BgL_nsz00_5097 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5097,
											(int) (((long) 1)), BgL_sz00_5084);
										VECTOR_SET(BgL_nsz00_5097,
											(int) (((long) 2)), BgL_bz00_5080);
										VECTOR_SET(BgL_nsz00_5097,
											(int) (((long) 3)), BgL_cz00_5081);
										VECTOR_SET(BgL_nsz00_5097,
											(int) (((long) 4)), BgL_dz00_5082);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_25528;

											BgL_auxz00_25528 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25528, BgL_nsz00_5097);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2716z00_5099;

											BgL_val2716z00_5099 =
												BGl_zc3exitza34848ze3z83zz__evaluate_compz00
												(BgL_nsz00_5097, BgL_runz00_16153);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_25532;

												BgL_auxz00_25532 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25532, BgL_sz00_5084);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2716z00_5099)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2716z00_5099), CDR(BgL_val2716z00_5099));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2716z00_5099;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4848> */
	obj_t BGl_zc3exitza34848ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17155,
		obj_t BgL_runz00_17154)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2717z00_5105;

			if (SET_EXIT(BgL_an_exit2717z00_5105))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2717z00_5105 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2717z00_5105, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2718z00_5106;

							BgL_val2718z00_5106 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17154,
								BgL_nsz00_17155, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2718z00_5106;
						}
					}
				}
		}
	}



/* <exit:4842> */
	obj_t BGl_zc3exitza34842ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17158,
		obj_t BgL_sz00_17157, obj_t BgL_runz00_17156)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2714z00_5095;

			if (SET_EXIT(BgL_an_exit2714z00_5095))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2714z00_5095 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2714z00_5095, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2715z00_5096;

							BgL_val2715z00_5096 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17156,
								BgL_sz00_17157, BgL_bpz00_17158);
							POP_EXIT();
							return BgL_val2715z00_5096;
						}
					}
				}
		}
	}



/* &run6797 */
	obj_t BGl_z62run6797z62zz__evaluate_compz00(obj_t BgL_envz00_16158,
		obj_t BgL_sz00_16162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16159;
				BgL_ev_absz00_bglt BgL_instance2535z00_16160;
				obj_t BgL_bodyz00_16161;

				BgL_iboxesz00_16159 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16158, (int) (((long) 0))));
				BgL_instance2535z00_16160 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16158, (int) (((long) 1))));
				BgL_bodyz00_16161 = PROCEDURE_REF(BgL_envz00_16158, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5108;

					BgL_sz00_5108 = BgL_sz00_16162;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5110;

						BgL_bpz00_5110 = VECTOR_REF(BgL_sz00_5108, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5108,
							BgL_iboxesz00_16159, BgL_bpz00_5110);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5111;
							obj_t BgL_wherez00_5112;
							obj_t BgL_locz00_5113;

							BgL_z12denvz12_5111 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5112 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16160)))->BgL_wherez00);
							BgL_locz00_5113 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16160)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5111, BgL_wherez00_5112,
									BgL_locz00_5113);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5114;

									BgL_za2za2resza2za2z00_5114 =
										PROCEDURE_ENTRY(BgL_bodyz00_16161) (BgL_bodyz00_16161,
										BgL_sz00_5108, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5111);
									return BgL_za2za2resza2za2z00_5114;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4852> */
	obj_t BGl_z62zc3anonymousza34852ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16163, obj_t BgL_sz00_16169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16164;
				long BgL_siza7eza7_16165;
				BgL_ev_absz00_bglt BgL_instance2535z00_16166;
				obj_t BgL_bodyz00_16167;
				long BgL_siza7ezd2framez75_16168;

				BgL_ifreesz00_16164 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16163, (int) (((long) 0))));
				BgL_siza7eza7_16165 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16163, (int) (((long) 1))));
				BgL_instance2535z00_16166 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16163, (int) (((long) 2))));
				BgL_bodyz00_16167 = PROCEDURE_REF(BgL_envz00_16163, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16168 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16163, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5118;

					BgL_sz00_5118 = BgL_sz00_16169;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5120;

						BgL_bpz00_5120 = VECTOR_REF(BgL_sz00_5118, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5121;

							BgL_valza2za2_5121 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5118,
								BgL_bpz00_5120, BgL_ifreesz00_16164);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15734;

								BgL_runz00_15734 =
									MAKE_FX_PROCEDURE(BGl_z62run6799z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15734,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16165));
								PROCEDURE_SET(BgL_runz00_15734,
									(int) (((long) 1)), BgL_valza2za2_5121);
								PROCEDURE_SET(BgL_runz00_15734,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16166));
								PROCEDURE_SET(BgL_runz00_15734,
									(int) (((long) 3)), BgL_bodyz00_16167);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15735;

									BgL_mainz00_15735 =
										MAKE_FX_PROCEDURE(BGl_z62main6798z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15735,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16165));
									PROCEDURE_SET(BgL_mainz00_15735,
										(int) (((long) 1)), BgL_valza2za2_5121);
									PROCEDURE_SET(BgL_mainz00_15735,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16166));
									PROCEDURE_SET(BgL_mainz00_15735,
										(int) (((long) 3)), BgL_bodyz00_16167);
									PROCEDURE_SET(BgL_mainz00_15735,
										(int) (((long) 4)), BgL_runz00_15734);
									PROCEDURE_SET(BgL_mainz00_15735,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16168));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13562;

										BgL_objz00_13562 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15734, BgL_objz00_13562);
										BgL_objz00_13562;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4853z00_5124;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4854z00_5125;

											BgL_arg4854z00_5125 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16166)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13567;

												BgL_newz00_13567 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25627;

													BgL_auxz00_25627 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13567, BgL_auxz00_25627,
														BgL_arg4854z00_5125);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25632;
													int BgL_auxz00_25630;

													BgL_auxz00_25632 = BINT(BgL_siza7ezd2framez75_16168);
													BgL_auxz00_25630 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13567, BgL_auxz00_25630,
														BgL_auxz00_25632);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25635;

													BgL_auxz00_25635 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13567, BgL_auxz00_25635,
														BgL_runz00_15734);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25640;
													int BgL_auxz00_25638;

													BgL_auxz00_25640 = BINT(((long) 3));
													BgL_auxz00_25638 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13567, BgL_auxz00_25638,
														BgL_auxz00_25640);
												}
												BgL_arg4853z00_5124 = BgL_newz00_13567;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15735, BgL_arg4853z00_5124);
										BgL_arg4853z00_5124;
									}
									return BgL_mainz00_15735;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6798 */
	obj_t BGl_z62main6798z62zz__evaluate_compz00(obj_t BgL_envz00_16170,
		obj_t BgL_bz00_16177, obj_t BgL_cz00_16178, obj_t BgL_dz00_16179)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16175;
				long BgL_siza7ezd2framez75_16176;

				BgL_runz00_16175 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16170, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16176 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16170, (int) (((long) 5))));
				{
					obj_t BgL_bz00_5126;
					obj_t BgL_cz00_5127;
					obj_t BgL_dz00_5128;

					BgL_bz00_5126 = BgL_bz00_16177;
					BgL_cz00_5127 = BgL_cz00_16178;
					BgL_dz00_5128 = BgL_dz00_16179;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5130;

						BgL_sz00_5130 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5131;

							BgL_bpz00_5131 = VECTOR_REF(BgL_sz00_5130, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_25653;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13514;
									int BgL_arg3190z00_13515;

									BgL_arg3189z00_13514 =
										((long) CINT(BgL_bpz00_5131) + BgL_siza7ezd2framez75_16176);
									BgL_arg3190z00_13515 = VECTOR_LENGTH(BgL_sz00_5130);
									BgL_testz00_25653 =
										(BgL_arg3189z00_13514 < (long) (BgL_arg3190z00_13515));
								}
								if (BgL_testz00_25653)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4857z00_5133;

											BgL_arg4857z00_5133 =
												((long) CINT(BgL_bpz00_5131) + ((long) 0));
											VECTOR_SET(BgL_sz00_5130,
												(int) (BgL_arg4857z00_5133), BgL_bz00_5126);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4858z00_5134;

											BgL_arg4858z00_5134 =
												((long) CINT(BgL_bpz00_5131) + ((long) 1));
											VECTOR_SET(BgL_sz00_5130,
												(int) (BgL_arg4858z00_5134), BgL_cz00_5127);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4859z00_5135;

											BgL_arg4859z00_5135 =
												((long) CINT(BgL_bpz00_5131) + ((long) 2));
											VECTOR_SET(BgL_sz00_5130,
												(int) (BgL_arg4859z00_5135), BgL_dz00_5128);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2719z00_5136;

											BgL_val2719z00_5136 =
												BGl_zc3exitza34863ze3z83zz__evaluate_compz00
												(BgL_bpz00_5131, BgL_sz00_5130, BgL_runz00_16175);
											VECTOR_SET(BgL_sz00_5130, (int) (((long) 0)),
												BgL_bpz00_5131);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2719z00_5136)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2719z00_5136), CDR(BgL_val2719z00_5136));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2719z00_5136;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5143;

										BgL_nsz00_5143 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 1)), BgL_sz00_5130);
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 2)), BgL_bz00_5126);
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 3)), BgL_cz00_5127);
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 4)), BgL_dz00_5128);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_25689;

											BgL_auxz00_25689 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25689, BgL_nsz00_5143);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2722z00_5145;

											BgL_val2722z00_5145 =
												BGl_zc3exitza34869ze3z83zz__evaluate_compz00
												(BgL_nsz00_5143, BgL_runz00_16175);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_25693;

												BgL_auxz00_25693 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25693, BgL_sz00_5130);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2722z00_5145)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2722z00_5145), CDR(BgL_val2722z00_5145));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2722z00_5145;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4869> */
	obj_t BGl_zc3exitza34869ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17150,
		obj_t BgL_runz00_17149)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2723z00_5151;

			if (SET_EXIT(BgL_an_exit2723z00_5151))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2723z00_5151 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2723z00_5151, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2724z00_5152;

							BgL_val2724z00_5152 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17149,
								BgL_nsz00_17150, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2724z00_5152;
						}
					}
				}
		}
	}



/* <exit:4863> */
	obj_t BGl_zc3exitza34863ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17153,
		obj_t BgL_sz00_17152, obj_t BgL_runz00_17151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2720z00_5141;

			if (SET_EXIT(BgL_an_exit2720z00_5141))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2720z00_5141 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2720z00_5141, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2721z00_5142;

							BgL_val2721z00_5142 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17151,
								BgL_sz00_17152, BgL_bpz00_17153);
							POP_EXIT();
							return BgL_val2721z00_5142;
						}
					}
				}
		}
	}



/* &run6799 */
	obj_t BGl_z62run6799z62zz__evaluate_compz00(obj_t BgL_envz00_16180,
		obj_t BgL_sz00_16185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16181;
				obj_t BgL_valza2za2_16182;
				BgL_ev_absz00_bglt BgL_instance2535z00_16183;
				obj_t BgL_bodyz00_16184;

				BgL_siza7eza7_16181 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16180, (int) (((long) 0))));
				BgL_valza2za2_16182 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16180, (int) (((long) 1))));
				BgL_instance2535z00_16183 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16180, (int) (((long) 2))));
				BgL_bodyz00_16184 = PROCEDURE_REF(BgL_envz00_16180, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5154;

					BgL_sz00_5154 = BgL_sz00_16185;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5156;

						BgL_bpz00_5156 = VECTOR_REF(BgL_sz00_5154, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5154,
							BgL_valza2za2_16182,
							((long) CINT(BgL_bpz00_5156) + BgL_siza7eza7_16181));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5158;
							obj_t BgL_wherez00_5159;
							obj_t BgL_locz00_5160;

							BgL_z12denvz12_5158 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5159 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16183)))->BgL_wherez00);
							BgL_locz00_5160 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16183)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5158, BgL_wherez00_5159,
									BgL_locz00_5160);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5161;

									BgL_za2za2resza2za2z00_5161 =
										PROCEDURE_ENTRY(BgL_bodyz00_16184) (BgL_bodyz00_16184,
										BgL_sz00_5154, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5158);
									return BgL_za2za2resza2za2z00_5161;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4872> */
	obj_t BGl_z62zc3anonymousza34872ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16186, obj_t BgL_sz00_16193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16187;
				obj_t BgL_iboxesz00_16188;
				long BgL_siza7eza7_16189;
				BgL_ev_absz00_bglt BgL_instance2535z00_16190;
				obj_t BgL_bodyz00_16191;
				long BgL_siza7ezd2framez75_16192;

				BgL_ifreesz00_16187 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16186, (int) (((long) 0))));
				BgL_iboxesz00_16188 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16186, (int) (((long) 1))));
				BgL_siza7eza7_16189 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16186, (int) (((long) 2))));
				BgL_instance2535z00_16190 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16186, (int) (((long) 3))));
				BgL_bodyz00_16191 = PROCEDURE_REF(BgL_envz00_16186, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16192 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16186, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5163;

					BgL_sz00_5163 = BgL_sz00_16193;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5165;

						BgL_bpz00_5165 = VECTOR_REF(BgL_sz00_5163, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5166;

							BgL_valza2za2_5166 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5163,
								BgL_bpz00_5165, BgL_ifreesz00_16187);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15731;

								BgL_runz00_15731 =
									MAKE_FX_PROCEDURE(BGl_z62run6801z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15731,
									(int) (((long) 0)), BgL_iboxesz00_16188);
								PROCEDURE_SET(BgL_runz00_15731,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16189));
								PROCEDURE_SET(BgL_runz00_15731,
									(int) (((long) 2)), BgL_valza2za2_5166);
								PROCEDURE_SET(BgL_runz00_15731,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16190));
								PROCEDURE_SET(BgL_runz00_15731,
									(int) (((long) 4)), BgL_bodyz00_16191);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15732;

									BgL_mainz00_15732 =
										MAKE_FX_PROCEDURE(BGl_z62main6800z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15732,
										(int) (((long) 0)), BgL_iboxesz00_16188);
									PROCEDURE_SET(BgL_mainz00_15732,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16189));
									PROCEDURE_SET(BgL_mainz00_15732,
										(int) (((long) 2)), BgL_valza2za2_5166);
									PROCEDURE_SET(BgL_mainz00_15732,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16190));
									PROCEDURE_SET(BgL_mainz00_15732,
										(int) (((long) 4)), BgL_bodyz00_16191);
									PROCEDURE_SET(BgL_mainz00_15732,
										(int) (((long) 5)), BgL_runz00_15731);
									PROCEDURE_SET(BgL_mainz00_15732,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16192));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13650;

										BgL_objz00_13650 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15731, BgL_objz00_13650);
										BgL_objz00_13650;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4873z00_5169;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4874z00_5170;

											BgL_arg4874z00_5170 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16190)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13655;

												BgL_newz00_13655 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25800;

													BgL_auxz00_25800 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13655, BgL_auxz00_25800,
														BgL_arg4874z00_5170);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25805;
													int BgL_auxz00_25803;

													BgL_auxz00_25805 = BINT(BgL_siza7ezd2framez75_16192);
													BgL_auxz00_25803 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13655, BgL_auxz00_25803,
														BgL_auxz00_25805);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25808;

													BgL_auxz00_25808 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13655, BgL_auxz00_25808,
														BgL_runz00_15731);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25813;
													int BgL_auxz00_25811;

													BgL_auxz00_25813 = BINT(((long) 3));
													BgL_auxz00_25811 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13655, BgL_auxz00_25811,
														BgL_auxz00_25813);
												}
												BgL_arg4873z00_5169 = BgL_newz00_13655;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15732, BgL_arg4873z00_5169);
										BgL_arg4873z00_5169;
									}
									return BgL_mainz00_15732;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6800 */
	obj_t BGl_z62main6800z62zz__evaluate_compz00(obj_t BgL_envz00_16194,
		obj_t BgL_bz00_16202, obj_t BgL_cz00_16203, obj_t BgL_dz00_16204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16200;
				long BgL_siza7ezd2framez75_16201;

				BgL_runz00_16200 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16194, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16201 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16194, (int) (((long) 6))));
				{
					obj_t BgL_bz00_5171;
					obj_t BgL_cz00_5172;
					obj_t BgL_dz00_5173;

					BgL_bz00_5171 = BgL_bz00_16202;
					BgL_cz00_5172 = BgL_cz00_16203;
					BgL_dz00_5173 = BgL_dz00_16204;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5175;

						BgL_sz00_5175 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5176;

							BgL_bpz00_5176 = VECTOR_REF(BgL_sz00_5175, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_25826;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13602;
									int BgL_arg3190z00_13603;

									BgL_arg3189z00_13602 =
										((long) CINT(BgL_bpz00_5176) + BgL_siza7ezd2framez75_16201);
									BgL_arg3190z00_13603 = VECTOR_LENGTH(BgL_sz00_5175);
									BgL_testz00_25826 =
										(BgL_arg3189z00_13602 < (long) (BgL_arg3190z00_13603));
								}
								if (BgL_testz00_25826)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4877z00_5178;

											BgL_arg4877z00_5178 =
												((long) CINT(BgL_bpz00_5176) + ((long) 0));
											VECTOR_SET(BgL_sz00_5175,
												(int) (BgL_arg4877z00_5178), BgL_bz00_5171);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4878z00_5179;

											BgL_arg4878z00_5179 =
												((long) CINT(BgL_bpz00_5176) + ((long) 1));
											VECTOR_SET(BgL_sz00_5175,
												(int) (BgL_arg4878z00_5179), BgL_cz00_5172);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4879z00_5180;

											BgL_arg4879z00_5180 =
												((long) CINT(BgL_bpz00_5176) + ((long) 2));
											VECTOR_SET(BgL_sz00_5175,
												(int) (BgL_arg4879z00_5180), BgL_dz00_5173);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2725z00_5181;

											BgL_val2725z00_5181 =
												BGl_zc3exitza34884ze3z83zz__evaluate_compz00
												(BgL_bpz00_5176, BgL_sz00_5175, BgL_runz00_16200);
											VECTOR_SET(BgL_sz00_5175, (int) (((long) 0)),
												BgL_bpz00_5176);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2725z00_5181)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2725z00_5181), CDR(BgL_val2725z00_5181));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2725z00_5181;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5188;

										BgL_nsz00_5188 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5188,
											(int) (((long) 1)), BgL_sz00_5175);
										VECTOR_SET(BgL_nsz00_5188,
											(int) (((long) 2)), BgL_bz00_5171);
										VECTOR_SET(BgL_nsz00_5188,
											(int) (((long) 3)), BgL_cz00_5172);
										VECTOR_SET(BgL_nsz00_5188,
											(int) (((long) 4)), BgL_dz00_5173);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_25862;

											BgL_auxz00_25862 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25862, BgL_nsz00_5188);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2728z00_5190;

											BgL_val2728z00_5190 =
												BGl_zc3exitza34890ze3z83zz__evaluate_compz00
												(BgL_nsz00_5188, BgL_runz00_16200);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_25866;

												BgL_auxz00_25866 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25866, BgL_sz00_5175);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2728z00_5190)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2728z00_5190), CDR(BgL_val2728z00_5190));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2728z00_5190;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4890> */
	obj_t BGl_zc3exitza34890ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17145,
		obj_t BgL_runz00_17144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2729z00_5196;

			if (SET_EXIT(BgL_an_exit2729z00_5196))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2729z00_5196 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2729z00_5196, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2730z00_5197;

							BgL_val2730z00_5197 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17144,
								BgL_nsz00_17145, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2730z00_5197;
						}
					}
				}
		}
	}



/* <exit:4884> */
	obj_t BGl_zc3exitza34884ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17148,
		obj_t BgL_sz00_17147, obj_t BgL_runz00_17146)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2726z00_5186;

			if (SET_EXIT(BgL_an_exit2726z00_5186))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2726z00_5186 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2726z00_5186, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2727z00_5187;

							BgL_val2727z00_5187 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17146,
								BgL_sz00_17147, BgL_bpz00_17148);
							POP_EXIT();
							return BgL_val2727z00_5187;
						}
					}
				}
		}
	}



/* &run6801 */
	obj_t BGl_z62run6801z62zz__evaluate_compz00(obj_t BgL_envz00_16205,
		obj_t BgL_sz00_16211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16206;
				long BgL_siza7eza7_16207;
				obj_t BgL_valza2za2_16208;
				BgL_ev_absz00_bglt BgL_instance2535z00_16209;
				obj_t BgL_bodyz00_16210;

				BgL_iboxesz00_16206 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16205, (int) (((long) 0))));
				BgL_siza7eza7_16207 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16205, (int) (((long) 1))));
				BgL_valza2za2_16208 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16205, (int) (((long) 2))));
				BgL_instance2535z00_16209 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16205, (int) (((long) 3))));
				BgL_bodyz00_16210 = PROCEDURE_REF(BgL_envz00_16205, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5199;

					BgL_sz00_5199 = BgL_sz00_16211;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5201;

						BgL_bpz00_5201 = VECTOR_REF(BgL_sz00_5199, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5199,
							BgL_iboxesz00_16206, BgL_bpz00_5201);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5199,
							BgL_valza2za2_16208,
							((long) CINT(BgL_bpz00_5201) + BgL_siza7eza7_16207));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5203;
							obj_t BgL_wherez00_5204;
							obj_t BgL_locz00_5205;

							BgL_z12denvz12_5203 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5204 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16209)))->BgL_wherez00);
							BgL_locz00_5205 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16209)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5203, BgL_wherez00_5204,
									BgL_locz00_5205);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5206;

									BgL_za2za2resza2za2z00_5206 =
										PROCEDURE_ENTRY(BgL_bodyz00_16210) (BgL_bodyz00_16210,
										BgL_sz00_5199, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5203);
									return BgL_za2za2resza2za2z00_5206;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4726> */
	obj_t BGl_z62zc3anonymousza34726ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16212, obj_t BgL_sz00_16216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16213;
				obj_t BgL_bodyz00_16214;
				long BgL_siza7ezd2framez75_16215;

				BgL_instance2535z00_16213 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16212, (int) (((long) 0))));
				BgL_bodyz00_16214 = PROCEDURE_REF(BgL_envz00_16212, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16215 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16212, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4848;

					BgL_sz00_4848 = BgL_sz00_16216;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4850;

						BgL_bpz00_4850 = VECTOR_REF(BgL_sz00_4848, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15728;

								BgL_runz00_15728 =
									MAKE_FX_PROCEDURE(BGl_z62run6803z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15728,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16213));
								PROCEDURE_SET(BgL_runz00_15728,
									(int) (((long) 1)), BgL_bodyz00_16214);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15729;

									BgL_mainz00_15729 =
										MAKE_VA_PROCEDURE(BGl_z62main6802z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15729,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16213));
									PROCEDURE_SET(BgL_mainz00_15729,
										(int) (((long) 1)), BgL_bodyz00_16214);
									PROCEDURE_SET(BgL_mainz00_15729,
										(int) (((long) 2)), BgL_runz00_15728);
									PROCEDURE_SET(BgL_mainz00_15729,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16215));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13027;

										BgL_objz00_13027 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15728, BgL_objz00_13027);
										BgL_objz00_13027;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4727z00_4853;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4728z00_4854;

											BgL_arg4728z00_4854 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16213)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13032;

												BgL_newz00_13032 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25953;

													BgL_auxz00_25953 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_25953,
														BgL_arg4728z00_4854);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25958;
													int BgL_auxz00_25956;

													BgL_auxz00_25958 = BINT(BgL_siza7ezd2framez75_16215);
													BgL_auxz00_25956 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_25956,
														BgL_auxz00_25958);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_25961;

													BgL_auxz00_25961 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_25961,
														BgL_runz00_15728);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_25966;
													int BgL_auxz00_25964;

													BgL_auxz00_25966 = BINT(((long) -3));
													BgL_auxz00_25964 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13032, BgL_auxz00_25964,
														BgL_auxz00_25966);
												}
												BgL_arg4727z00_4853 = BgL_newz00_13032;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15729, BgL_arg4727z00_4853);
										BgL_arg4727z00_4853;
									}
									return BgL_mainz00_15729;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6802 */
	obj_t BGl_z62main6802z62zz__evaluate_compz00(obj_t BgL_envz00_16217,
		obj_t BgL_cz00_16222, obj_t BgL_dz00_16223, obj_t BgL_lastz00_16224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16220;
				long BgL_siza7ezd2framez75_16221;

				BgL_runz00_16220 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16217, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16221 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16217, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4855;
					obj_t BgL_dz00_4856;
					obj_t BgL_lastz00_4857;

					BgL_cz00_4855 = BgL_cz00_16222;
					BgL_dz00_4856 = BgL_dz00_16223;
					BgL_lastz00_4857 = BgL_lastz00_16224;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4859;

						BgL_sz00_4859 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4860;

							BgL_bpz00_4860 = VECTOR_REF(BgL_sz00_4859, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_25979;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12979;
									int BgL_arg3190z00_12980;

									BgL_arg3189z00_12979 =
										((long) CINT(BgL_bpz00_4860) + BgL_siza7ezd2framez75_16221);
									BgL_arg3190z00_12980 = VECTOR_LENGTH(BgL_sz00_4859);
									BgL_testz00_25979 =
										(BgL_arg3189z00_12979 < (long) (BgL_arg3190z00_12980));
								}
								if (BgL_testz00_25979)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4731z00_4862;

											BgL_arg4731z00_4862 =
												((long) CINT(BgL_bpz00_4860) + ((long) 0));
											VECTOR_SET(BgL_sz00_4859,
												(int) (BgL_arg4731z00_4862), BgL_cz00_4855);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4732z00_4863;

											BgL_arg4732z00_4863 =
												((long) CINT(BgL_bpz00_4860) + ((long) 1));
											VECTOR_SET(BgL_sz00_4859,
												(int) (BgL_arg4732z00_4863), BgL_dz00_4856);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4733z00_4864;

											BgL_arg4733z00_4864 =
												((long) CINT(BgL_bpz00_4860) + ((long) 2));
											VECTOR_SET(BgL_sz00_4859,
												(int) (BgL_arg4733z00_4864), BgL_lastz00_4857);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2683z00_4865;

											BgL_val2683z00_4865 =
												BGl_zc3exitza34737ze3z83zz__evaluate_compz00
												(BgL_bpz00_4860, BgL_sz00_4859, BgL_runz00_16220);
											VECTOR_SET(BgL_sz00_4859, (int) (((long) 0)),
												BgL_bpz00_4860);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2683z00_4865)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2683z00_4865), CDR(BgL_val2683z00_4865));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2683z00_4865;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4872;

										BgL_nsz00_4872 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4872,
											(int) (((long) 1)), BgL_sz00_4859);
										VECTOR_SET(BgL_nsz00_4872,
											(int) (((long) 2)), BgL_cz00_4855);
										VECTOR_SET(BgL_nsz00_4872,
											(int) (((long) 3)), BgL_dz00_4856);
										VECTOR_SET(BgL_nsz00_4872,
											(int) (((long) 4)), BgL_lastz00_4857);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_26015;

											BgL_auxz00_26015 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26015, BgL_nsz00_4872);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2686z00_4874;

											BgL_val2686z00_4874 =
												BGl_zc3exitza34743ze3z83zz__evaluate_compz00
												(BgL_nsz00_4872, BgL_runz00_16220);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_26019;

												BgL_auxz00_26019 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26019, BgL_sz00_4859);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2686z00_4874)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2686z00_4874), CDR(BgL_val2686z00_4874));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2686z00_4874;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4743> */
	obj_t BGl_zc3exitza34743ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17140,
		obj_t BgL_runz00_17139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2687z00_4880;

			if (SET_EXIT(BgL_an_exit2687z00_4880))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2687z00_4880 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2687z00_4880, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2688z00_4881;

							BgL_val2688z00_4881 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17139,
								BgL_nsz00_17140, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2688z00_4881;
						}
					}
				}
		}
	}



/* <exit:4737> */
	obj_t BGl_zc3exitza34737ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17143,
		obj_t BgL_sz00_17142, obj_t BgL_runz00_17141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2684z00_4870;

			if (SET_EXIT(BgL_an_exit2684z00_4870))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2684z00_4870 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2684z00_4870, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2685z00_4871;

							BgL_val2685z00_4871 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17141,
								BgL_sz00_17142, BgL_bpz00_17143);
							POP_EXIT();
							return BgL_val2685z00_4871;
						}
					}
				}
		}
	}



/* &run6803 */
	obj_t BGl_z62run6803z62zz__evaluate_compz00(obj_t BgL_envz00_16225,
		obj_t BgL_sz00_16228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16226;
				obj_t BgL_bodyz00_16227;

				BgL_instance2535z00_16226 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16225, (int) (((long) 0))));
				BgL_bodyz00_16227 = PROCEDURE_REF(BgL_envz00_16225, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4883;

					BgL_sz00_4883 = BgL_sz00_16228;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4885;

						BgL_bpz00_4885 = VECTOR_REF(BgL_sz00_4883, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4886;
							obj_t BgL_wherez00_4887;
							obj_t BgL_locz00_4888;

							BgL_z12denvz12_4886 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4887 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16226)))->BgL_wherez00);
							BgL_locz00_4888 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16226)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4886, BgL_wherez00_4887,
									BgL_locz00_4888);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4889;

									BgL_za2za2resza2za2z00_4889 =
										PROCEDURE_ENTRY(BgL_bodyz00_16227) (BgL_bodyz00_16227,
										BgL_sz00_4883, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4886);
									return BgL_za2za2resza2za2z00_4889;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4745> */
	obj_t BGl_z62zc3anonymousza34745ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16229, obj_t BgL_sz00_16234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16230;
				BgL_ev_absz00_bglt BgL_instance2535z00_16231;
				obj_t BgL_bodyz00_16232;
				long BgL_siza7ezd2framez75_16233;

				BgL_iboxesz00_16230 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16229, (int) (((long) 0))));
				BgL_instance2535z00_16231 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16229, (int) (((long) 1))));
				BgL_bodyz00_16232 = PROCEDURE_REF(BgL_envz00_16229, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16233 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16229, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4891;

					BgL_sz00_4891 = BgL_sz00_16234;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4893;

						BgL_bpz00_4893 = VECTOR_REF(BgL_sz00_4891, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15725;

								BgL_runz00_15725 =
									MAKE_FX_PROCEDURE(BGl_z62run6805z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15725,
									(int) (((long) 0)), BgL_iboxesz00_16230);
								PROCEDURE_SET(BgL_runz00_15725,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16231));
								PROCEDURE_SET(BgL_runz00_15725,
									(int) (((long) 2)), BgL_bodyz00_16232);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15726;

									BgL_mainz00_15726 =
										MAKE_VA_PROCEDURE(BGl_z62main6804z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15726,
										(int) (((long) 0)), BgL_iboxesz00_16230);
									PROCEDURE_SET(BgL_mainz00_15726,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16231));
									PROCEDURE_SET(BgL_mainz00_15726,
										(int) (((long) 2)), BgL_bodyz00_16232);
									PROCEDURE_SET(BgL_mainz00_15726,
										(int) (((long) 3)), BgL_runz00_15725);
									PROCEDURE_SET(BgL_mainz00_15726,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16233));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13112;

										BgL_objz00_13112 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15725, BgL_objz00_13112);
										BgL_objz00_13112;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4746z00_4896;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4747z00_4897;

											BgL_arg4747z00_4897 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16231)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13117;

												BgL_newz00_13117 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26100;

													BgL_auxz00_26100 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13117, BgL_auxz00_26100,
														BgL_arg4747z00_4897);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26105;
													int BgL_auxz00_26103;

													BgL_auxz00_26105 = BINT(BgL_siza7ezd2framez75_16233);
													BgL_auxz00_26103 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13117, BgL_auxz00_26103,
														BgL_auxz00_26105);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26108;

													BgL_auxz00_26108 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13117, BgL_auxz00_26108,
														BgL_runz00_15725);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26113;
													int BgL_auxz00_26111;

													BgL_auxz00_26113 = BINT(((long) -3));
													BgL_auxz00_26111 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13117, BgL_auxz00_26111,
														BgL_auxz00_26113);
												}
												BgL_arg4746z00_4896 = BgL_newz00_13117;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15726, BgL_arg4746z00_4896);
										BgL_arg4746z00_4896;
									}
									return BgL_mainz00_15726;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6804 */
	obj_t BGl_z62main6804z62zz__evaluate_compz00(obj_t BgL_envz00_16235,
		obj_t BgL_cz00_16241, obj_t BgL_dz00_16242, obj_t BgL_lastz00_16243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16239;
				long BgL_siza7ezd2framez75_16240;

				BgL_runz00_16239 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16235, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16240 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16235, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4898;
					obj_t BgL_dz00_4899;
					obj_t BgL_lastz00_4900;

					BgL_cz00_4898 = BgL_cz00_16241;
					BgL_dz00_4899 = BgL_dz00_16242;
					BgL_lastz00_4900 = BgL_lastz00_16243;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4902;

						BgL_sz00_4902 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4903;

							BgL_bpz00_4903 = VECTOR_REF(BgL_sz00_4902, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_26126;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13064;
									int BgL_arg3190z00_13065;

									BgL_arg3189z00_13064 =
										((long) CINT(BgL_bpz00_4903) + BgL_siza7ezd2framez75_16240);
									BgL_arg3190z00_13065 = VECTOR_LENGTH(BgL_sz00_4902);
									BgL_testz00_26126 =
										(BgL_arg3189z00_13064 < (long) (BgL_arg3190z00_13065));
								}
								if (BgL_testz00_26126)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4750z00_4905;

											BgL_arg4750z00_4905 =
												((long) CINT(BgL_bpz00_4903) + ((long) 0));
											VECTOR_SET(BgL_sz00_4902,
												(int) (BgL_arg4750z00_4905), BgL_cz00_4898);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4751z00_4906;

											BgL_arg4751z00_4906 =
												((long) CINT(BgL_bpz00_4903) + ((long) 1));
											VECTOR_SET(BgL_sz00_4902,
												(int) (BgL_arg4751z00_4906), BgL_dz00_4899);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4752z00_4907;

											BgL_arg4752z00_4907 =
												((long) CINT(BgL_bpz00_4903) + ((long) 2));
											VECTOR_SET(BgL_sz00_4902,
												(int) (BgL_arg4752z00_4907), BgL_lastz00_4900);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2689z00_4908;

											BgL_val2689z00_4908 =
												BGl_zc3exitza34756ze3z83zz__evaluate_compz00
												(BgL_bpz00_4903, BgL_sz00_4902, BgL_runz00_16239);
											VECTOR_SET(BgL_sz00_4902, (int) (((long) 0)),
												BgL_bpz00_4903);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2689z00_4908)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2689z00_4908), CDR(BgL_val2689z00_4908));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2689z00_4908;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4915;

										BgL_nsz00_4915 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4915,
											(int) (((long) 1)), BgL_sz00_4902);
										VECTOR_SET(BgL_nsz00_4915,
											(int) (((long) 2)), BgL_cz00_4898);
										VECTOR_SET(BgL_nsz00_4915,
											(int) (((long) 3)), BgL_dz00_4899);
										VECTOR_SET(BgL_nsz00_4915,
											(int) (((long) 4)), BgL_lastz00_4900);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_26162;

											BgL_auxz00_26162 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26162, BgL_nsz00_4915);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2692z00_4917;

											BgL_val2692z00_4917 =
												BGl_zc3exitza34762ze3z83zz__evaluate_compz00
												(BgL_nsz00_4915, BgL_runz00_16239);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_26166;

												BgL_auxz00_26166 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26166, BgL_sz00_4902);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2692z00_4917)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2692z00_4917), CDR(BgL_val2692z00_4917));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2692z00_4917;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4762> */
	obj_t BGl_zc3exitza34762ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17135,
		obj_t BgL_runz00_17134)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2693z00_4923;

			if (SET_EXIT(BgL_an_exit2693z00_4923))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2693z00_4923 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2693z00_4923, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2694z00_4924;

							BgL_val2694z00_4924 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17134,
								BgL_nsz00_17135, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2694z00_4924;
						}
					}
				}
		}
	}



/* <exit:4756> */
	obj_t BGl_zc3exitza34756ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17138,
		obj_t BgL_sz00_17137, obj_t BgL_runz00_17136)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2690z00_4913;

			if (SET_EXIT(BgL_an_exit2690z00_4913))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2690z00_4913 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2690z00_4913, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2691z00_4914;

							BgL_val2691z00_4914 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17136,
								BgL_sz00_17137, BgL_bpz00_17138);
							POP_EXIT();
							return BgL_val2691z00_4914;
						}
					}
				}
		}
	}



/* &run6805 */
	obj_t BGl_z62run6805z62zz__evaluate_compz00(obj_t BgL_envz00_16244,
		obj_t BgL_sz00_16248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16245;
				BgL_ev_absz00_bglt BgL_instance2535z00_16246;
				obj_t BgL_bodyz00_16247;

				BgL_iboxesz00_16245 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16244, (int) (((long) 0))));
				BgL_instance2535z00_16246 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16244, (int) (((long) 1))));
				BgL_bodyz00_16247 = PROCEDURE_REF(BgL_envz00_16244, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4926;

					BgL_sz00_4926 = BgL_sz00_16248;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4928;

						BgL_bpz00_4928 = VECTOR_REF(BgL_sz00_4926, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4926,
							BgL_iboxesz00_16245, BgL_bpz00_4928);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4929;
							obj_t BgL_wherez00_4930;
							obj_t BgL_locz00_4931;

							BgL_z12denvz12_4929 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4930 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16246)))->BgL_wherez00);
							BgL_locz00_4931 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16246)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4929, BgL_wherez00_4930,
									BgL_locz00_4931);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4932;

									BgL_za2za2resza2za2z00_4932 =
										PROCEDURE_ENTRY(BgL_bodyz00_16247) (BgL_bodyz00_16247,
										BgL_sz00_4926, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4929);
									return BgL_za2za2resza2za2z00_4932;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4766> */
	obj_t BGl_z62zc3anonymousza34766ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16249, obj_t BgL_sz00_16255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16250;
				long BgL_siza7eza7_16251;
				BgL_ev_absz00_bglt BgL_instance2535z00_16252;
				obj_t BgL_bodyz00_16253;
				long BgL_siza7ezd2framez75_16254;

				BgL_ifreesz00_16250 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16249, (int) (((long) 0))));
				BgL_siza7eza7_16251 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16249, (int) (((long) 1))));
				BgL_instance2535z00_16252 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16249, (int) (((long) 2))));
				BgL_bodyz00_16253 = PROCEDURE_REF(BgL_envz00_16249, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16254 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16249, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4936;

					BgL_sz00_4936 = BgL_sz00_16255;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4938;

						BgL_bpz00_4938 = VECTOR_REF(BgL_sz00_4936, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4939;

							BgL_valza2za2_4939 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4936,
								BgL_bpz00_4938, BgL_ifreesz00_16250);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15722;

								BgL_runz00_15722 =
									MAKE_FX_PROCEDURE(BGl_z62run6807z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15722,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16251));
								PROCEDURE_SET(BgL_runz00_15722,
									(int) (((long) 1)), BgL_valza2za2_4939);
								PROCEDURE_SET(BgL_runz00_15722,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16252));
								PROCEDURE_SET(BgL_runz00_15722,
									(int) (((long) 3)), BgL_bodyz00_16253);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15723;

									BgL_mainz00_15723 =
										MAKE_VA_PROCEDURE(BGl_z62main6806z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15723,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16251));
									PROCEDURE_SET(BgL_mainz00_15723,
										(int) (((long) 1)), BgL_valza2za2_4939);
									PROCEDURE_SET(BgL_mainz00_15723,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16252));
									PROCEDURE_SET(BgL_mainz00_15723,
										(int) (((long) 3)), BgL_bodyz00_16253);
									PROCEDURE_SET(BgL_mainz00_15723,
										(int) (((long) 4)), BgL_runz00_15722);
									PROCEDURE_SET(BgL_mainz00_15723,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16254));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13204;

										BgL_objz00_13204 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15722, BgL_objz00_13204);
										BgL_objz00_13204;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4767z00_4942;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4768z00_4943;

											BgL_arg4768z00_4943 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16252)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13209;

												BgL_newz00_13209 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26261;

													BgL_auxz00_26261 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13209, BgL_auxz00_26261,
														BgL_arg4768z00_4943);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26266;
													int BgL_auxz00_26264;

													BgL_auxz00_26266 = BINT(BgL_siza7ezd2framez75_16254);
													BgL_auxz00_26264 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13209, BgL_auxz00_26264,
														BgL_auxz00_26266);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26269;

													BgL_auxz00_26269 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13209, BgL_auxz00_26269,
														BgL_runz00_15722);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26274;
													int BgL_auxz00_26272;

													BgL_auxz00_26274 = BINT(((long) -3));
													BgL_auxz00_26272 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13209, BgL_auxz00_26272,
														BgL_auxz00_26274);
												}
												BgL_arg4767z00_4942 = BgL_newz00_13209;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15723, BgL_arg4767z00_4942);
										BgL_arg4767z00_4942;
									}
									return BgL_mainz00_15723;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6806 */
	obj_t BGl_z62main6806z62zz__evaluate_compz00(obj_t BgL_envz00_16256,
		obj_t BgL_cz00_16263, obj_t BgL_dz00_16264, obj_t BgL_lastz00_16265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16261;
				long BgL_siza7ezd2framez75_16262;

				BgL_runz00_16261 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16256, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16262 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16256, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4944;
					obj_t BgL_dz00_4945;
					obj_t BgL_lastz00_4946;

					BgL_cz00_4944 = BgL_cz00_16263;
					BgL_dz00_4945 = BgL_dz00_16264;
					BgL_lastz00_4946 = BgL_lastz00_16265;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4948;

						BgL_sz00_4948 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4949;

							BgL_bpz00_4949 = VECTOR_REF(BgL_sz00_4948, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_26287;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13156;
									int BgL_arg3190z00_13157;

									BgL_arg3189z00_13156 =
										((long) CINT(BgL_bpz00_4949) + BgL_siza7ezd2framez75_16262);
									BgL_arg3190z00_13157 = VECTOR_LENGTH(BgL_sz00_4948);
									BgL_testz00_26287 =
										(BgL_arg3189z00_13156 < (long) (BgL_arg3190z00_13157));
								}
								if (BgL_testz00_26287)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4771z00_4951;

											BgL_arg4771z00_4951 =
												((long) CINT(BgL_bpz00_4949) + ((long) 0));
											VECTOR_SET(BgL_sz00_4948,
												(int) (BgL_arg4771z00_4951), BgL_cz00_4944);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4772z00_4952;

											BgL_arg4772z00_4952 =
												((long) CINT(BgL_bpz00_4949) + ((long) 1));
											VECTOR_SET(BgL_sz00_4948,
												(int) (BgL_arg4772z00_4952), BgL_dz00_4945);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4773z00_4953;

											BgL_arg4773z00_4953 =
												((long) CINT(BgL_bpz00_4949) + ((long) 2));
											VECTOR_SET(BgL_sz00_4948,
												(int) (BgL_arg4773z00_4953), BgL_lastz00_4946);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2695z00_4954;

											BgL_val2695z00_4954 =
												BGl_zc3exitza34778ze3z83zz__evaluate_compz00
												(BgL_bpz00_4949, BgL_sz00_4948, BgL_runz00_16261);
											VECTOR_SET(BgL_sz00_4948, (int) (((long) 0)),
												BgL_bpz00_4949);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2695z00_4954)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2695z00_4954), CDR(BgL_val2695z00_4954));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2695z00_4954;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4961;

										BgL_nsz00_4961 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4961,
											(int) (((long) 1)), BgL_sz00_4948);
										VECTOR_SET(BgL_nsz00_4961,
											(int) (((long) 2)), BgL_cz00_4944);
										VECTOR_SET(BgL_nsz00_4961,
											(int) (((long) 3)), BgL_dz00_4945);
										VECTOR_SET(BgL_nsz00_4961,
											(int) (((long) 4)), BgL_lastz00_4946);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_26323;

											BgL_auxz00_26323 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26323, BgL_nsz00_4961);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2698z00_4963;

											BgL_val2698z00_4963 =
												BGl_zc3exitza34784ze3z83zz__evaluate_compz00
												(BgL_nsz00_4961, BgL_runz00_16261);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_26327;

												BgL_auxz00_26327 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26327, BgL_sz00_4948);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2698z00_4963)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2698z00_4963), CDR(BgL_val2698z00_4963));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2698z00_4963;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4784> */
	obj_t BGl_zc3exitza34784ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17130,
		obj_t BgL_runz00_17129)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2699z00_4969;

			if (SET_EXIT(BgL_an_exit2699z00_4969))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2699z00_4969 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2699z00_4969, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2700z00_4970;

							BgL_val2700z00_4970 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17129,
								BgL_nsz00_17130, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2700z00_4970;
						}
					}
				}
		}
	}



/* <exit:4778> */
	obj_t BGl_zc3exitza34778ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17133,
		obj_t BgL_sz00_17132, obj_t BgL_runz00_17131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2696z00_4959;

			if (SET_EXIT(BgL_an_exit2696z00_4959))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2696z00_4959 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2696z00_4959, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2697z00_4960;

							BgL_val2697z00_4960 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17131,
								BgL_sz00_17132, BgL_bpz00_17133);
							POP_EXIT();
							return BgL_val2697z00_4960;
						}
					}
				}
		}
	}



/* &run6807 */
	obj_t BGl_z62run6807z62zz__evaluate_compz00(obj_t BgL_envz00_16266,
		obj_t BgL_sz00_16271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16267;
				obj_t BgL_valza2za2_16268;
				BgL_ev_absz00_bglt BgL_instance2535z00_16269;
				obj_t BgL_bodyz00_16270;

				BgL_siza7eza7_16267 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16266, (int) (((long) 0))));
				BgL_valza2za2_16268 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16266, (int) (((long) 1))));
				BgL_instance2535z00_16269 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16266, (int) (((long) 2))));
				BgL_bodyz00_16270 = PROCEDURE_REF(BgL_envz00_16266, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4972;

					BgL_sz00_4972 = BgL_sz00_16271;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4974;

						BgL_bpz00_4974 = VECTOR_REF(BgL_sz00_4972, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4972,
							BgL_valza2za2_16268,
							((long) CINT(BgL_bpz00_4974) + BgL_siza7eza7_16267));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4976;
							obj_t BgL_wherez00_4977;
							obj_t BgL_locz00_4978;

							BgL_z12denvz12_4976 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4977 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16269)))->BgL_wherez00);
							BgL_locz00_4978 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16269)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4976, BgL_wherez00_4977,
									BgL_locz00_4978);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4979;

									BgL_za2za2resza2za2z00_4979 =
										PROCEDURE_ENTRY(BgL_bodyz00_16270) (BgL_bodyz00_16270,
										BgL_sz00_4972, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4976);
									return BgL_za2za2resza2za2z00_4979;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4787> */
	obj_t BGl_z62zc3anonymousza34787ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16272, obj_t BgL_sz00_16279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16273;
				obj_t BgL_iboxesz00_16274;
				long BgL_siza7eza7_16275;
				BgL_ev_absz00_bglt BgL_instance2535z00_16276;
				obj_t BgL_bodyz00_16277;
				long BgL_siza7ezd2framez75_16278;

				BgL_ifreesz00_16273 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16272, (int) (((long) 0))));
				BgL_iboxesz00_16274 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16272, (int) (((long) 1))));
				BgL_siza7eza7_16275 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16272, (int) (((long) 2))));
				BgL_instance2535z00_16276 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16272, (int) (((long) 3))));
				BgL_bodyz00_16277 = PROCEDURE_REF(BgL_envz00_16272, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16278 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16272, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4981;

					BgL_sz00_4981 = BgL_sz00_16279;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4983;

						BgL_bpz00_4983 = VECTOR_REF(BgL_sz00_4981, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4984;

							BgL_valza2za2_4984 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4981,
								BgL_bpz00_4983, BgL_ifreesz00_16273);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15719;

								BgL_runz00_15719 =
									MAKE_FX_PROCEDURE(BGl_z62run6809z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15719,
									(int) (((long) 0)), BgL_iboxesz00_16274);
								PROCEDURE_SET(BgL_runz00_15719,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16275));
								PROCEDURE_SET(BgL_runz00_15719,
									(int) (((long) 2)), BgL_valza2za2_4984);
								PROCEDURE_SET(BgL_runz00_15719,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16276));
								PROCEDURE_SET(BgL_runz00_15719,
									(int) (((long) 4)), BgL_bodyz00_16277);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15720;

									BgL_mainz00_15720 =
										MAKE_VA_PROCEDURE(BGl_z62main6808z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15720,
										(int) (((long) 0)), BgL_iboxesz00_16274);
									PROCEDURE_SET(BgL_mainz00_15720,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16275));
									PROCEDURE_SET(BgL_mainz00_15720,
										(int) (((long) 2)), BgL_valza2za2_4984);
									PROCEDURE_SET(BgL_mainz00_15720,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16276));
									PROCEDURE_SET(BgL_mainz00_15720,
										(int) (((long) 4)), BgL_bodyz00_16277);
									PROCEDURE_SET(BgL_mainz00_15720,
										(int) (((long) 5)), BgL_runz00_15719);
									PROCEDURE_SET(BgL_mainz00_15720,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16278));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_13292;

										BgL_objz00_13292 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15719, BgL_objz00_13292);
										BgL_objz00_13292;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4788z00_4987;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4789z00_4988;

											BgL_arg4789z00_4988 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16276)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_13297;

												BgL_newz00_13297 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26434;

													BgL_auxz00_26434 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13297, BgL_auxz00_26434,
														BgL_arg4789z00_4988);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26439;
													int BgL_auxz00_26437;

													BgL_auxz00_26439 = BINT(BgL_siza7ezd2framez75_16278);
													BgL_auxz00_26437 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13297, BgL_auxz00_26437,
														BgL_auxz00_26439);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26442;

													BgL_auxz00_26442 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13297, BgL_auxz00_26442,
														BgL_runz00_15719);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26447;
													int BgL_auxz00_26445;

													BgL_auxz00_26447 = BINT(((long) -3));
													BgL_auxz00_26445 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13297, BgL_auxz00_26445,
														BgL_auxz00_26447);
												}
												BgL_arg4788z00_4987 = BgL_newz00_13297;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15720, BgL_arg4788z00_4987);
										BgL_arg4788z00_4987;
									}
									return BgL_mainz00_15720;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6808 */
	obj_t BGl_z62main6808z62zz__evaluate_compz00(obj_t BgL_envz00_16280,
		obj_t BgL_cz00_16288, obj_t BgL_dz00_16289, obj_t BgL_lastz00_16290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16286;
				long BgL_siza7ezd2framez75_16287;

				BgL_runz00_16286 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16280, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16287 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16280, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4989;
					obj_t BgL_dz00_4990;
					obj_t BgL_lastz00_4991;

					BgL_cz00_4989 = BgL_cz00_16288;
					BgL_dz00_4990 = BgL_dz00_16289;
					BgL_lastz00_4991 = BgL_lastz00_16290;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4993;

						BgL_sz00_4993 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4994;

							BgL_bpz00_4994 = VECTOR_REF(BgL_sz00_4993, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_26460;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_13244;
									int BgL_arg3190z00_13245;

									BgL_arg3189z00_13244 =
										((long) CINT(BgL_bpz00_4994) + BgL_siza7ezd2framez75_16287);
									BgL_arg3190z00_13245 = VECTOR_LENGTH(BgL_sz00_4993);
									BgL_testz00_26460 =
										(BgL_arg3189z00_13244 < (long) (BgL_arg3190z00_13245));
								}
								if (BgL_testz00_26460)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4792z00_4996;

											BgL_arg4792z00_4996 =
												((long) CINT(BgL_bpz00_4994) + ((long) 0));
											VECTOR_SET(BgL_sz00_4993,
												(int) (BgL_arg4792z00_4996), BgL_cz00_4989);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4793z00_4997;

											BgL_arg4793z00_4997 =
												((long) CINT(BgL_bpz00_4994) + ((long) 1));
											VECTOR_SET(BgL_sz00_4993,
												(int) (BgL_arg4793z00_4997), BgL_dz00_4990);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4794z00_4998;

											BgL_arg4794z00_4998 =
												((long) CINT(BgL_bpz00_4994) + ((long) 2));
											VECTOR_SET(BgL_sz00_4993,
												(int) (BgL_arg4794z00_4998), BgL_lastz00_4991);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2701z00_4999;

											BgL_val2701z00_4999 =
												BGl_zc3exitza34798ze3z83zz__evaluate_compz00
												(BgL_bpz00_4994, BgL_sz00_4993, BgL_runz00_16286);
											VECTOR_SET(BgL_sz00_4993, (int) (((long) 0)),
												BgL_bpz00_4994);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2701z00_4999)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2701z00_4999), CDR(BgL_val2701z00_4999));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2701z00_4999;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5006;

										BgL_nsz00_5006 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5006,
											(int) (((long) 1)), BgL_sz00_4993);
										VECTOR_SET(BgL_nsz00_5006,
											(int) (((long) 2)), BgL_cz00_4989);
										VECTOR_SET(BgL_nsz00_5006,
											(int) (((long) 3)), BgL_dz00_4990);
										VECTOR_SET(BgL_nsz00_5006,
											(int) (((long) 4)), BgL_lastz00_4991);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_26496;

											BgL_auxz00_26496 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26496, BgL_nsz00_5006);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2704z00_5008;

											BgL_val2704z00_5008 =
												BGl_zc3exitza34804ze3z83zz__evaluate_compz00
												(BgL_nsz00_5006, BgL_runz00_16286);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_26500;

												BgL_auxz00_26500 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26500, BgL_sz00_4993);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2704z00_5008)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2704z00_5008), CDR(BgL_val2704z00_5008));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2704z00_5008;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4804> */
	obj_t BGl_zc3exitza34804ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17125,
		obj_t BgL_runz00_17124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2705z00_5014;

			if (SET_EXIT(BgL_an_exit2705z00_5014))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2705z00_5014 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2705z00_5014, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2706z00_5015;

							BgL_val2706z00_5015 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17124,
								BgL_nsz00_17125, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2706z00_5015;
						}
					}
				}
		}
	}



/* <exit:4798> */
	obj_t BGl_zc3exitza34798ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17128,
		obj_t BgL_sz00_17127, obj_t BgL_runz00_17126)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2702z00_5004;

			if (SET_EXIT(BgL_an_exit2702z00_5004))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2702z00_5004 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2702z00_5004, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2703z00_5005;

							BgL_val2703z00_5005 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17126,
								BgL_sz00_17127, BgL_bpz00_17128);
							POP_EXIT();
							return BgL_val2703z00_5005;
						}
					}
				}
		}
	}



/* &run6809 */
	obj_t BGl_z62run6809z62zz__evaluate_compz00(obj_t BgL_envz00_16291,
		obj_t BgL_sz00_16297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16292;
				long BgL_siza7eza7_16293;
				obj_t BgL_valza2za2_16294;
				BgL_ev_absz00_bglt BgL_instance2535z00_16295;
				obj_t BgL_bodyz00_16296;

				BgL_iboxesz00_16292 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16291, (int) (((long) 0))));
				BgL_siza7eza7_16293 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16291, (int) (((long) 1))));
				BgL_valza2za2_16294 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16291, (int) (((long) 2))));
				BgL_instance2535z00_16295 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16291, (int) (((long) 3))));
				BgL_bodyz00_16296 = PROCEDURE_REF(BgL_envz00_16291, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5017;

					BgL_sz00_5017 = BgL_sz00_16297;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5019;

						BgL_bpz00_5019 = VECTOR_REF(BgL_sz00_5017, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5017,
							BgL_iboxesz00_16292, BgL_bpz00_5019);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5017,
							BgL_valza2za2_16294,
							((long) CINT(BgL_bpz00_5019) + BgL_siza7eza7_16293));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5021;
							obj_t BgL_wherez00_5022;
							obj_t BgL_locz00_5023;

							BgL_z12denvz12_5021 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5022 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16295)))->BgL_wherez00);
							BgL_locz00_5023 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16295)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5021, BgL_wherez00_5022,
									BgL_locz00_5023);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5024;

									BgL_za2za2resza2za2z00_5024 =
										PROCEDURE_ENTRY(BgL_bodyz00_16296) (BgL_bodyz00_16296,
										BgL_sz00_5017, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5021);
									return BgL_za2za2resza2za2z00_5024;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4645> */
	obj_t BGl_z62zc3anonymousza34645ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16298, obj_t BgL_sz00_16302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16299;
				obj_t BgL_bodyz00_16300;
				long BgL_siza7ezd2framez75_16301;

				BgL_instance2535z00_16299 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 0))));
				BgL_bodyz00_16300 = PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16301 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4674;

					BgL_sz00_4674 = BgL_sz00_16302;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4676;

						BgL_bpz00_4676 = VECTOR_REF(BgL_sz00_4674, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15716;

								BgL_runz00_15716 =
									MAKE_FX_PROCEDURE(BGl_z62run6811z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15716,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16299));
								PROCEDURE_SET(BgL_runz00_15716,
									(int) (((long) 1)), BgL_bodyz00_16300);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15717;

									BgL_mainz00_15717 =
										MAKE_FX_PROCEDURE(BGl_z62main6810z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15717,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16299));
									PROCEDURE_SET(BgL_mainz00_15717,
										(int) (((long) 1)), BgL_bodyz00_16300);
									PROCEDURE_SET(BgL_mainz00_15717,
										(int) (((long) 2)), BgL_runz00_15716);
									PROCEDURE_SET(BgL_mainz00_15717,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16301));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12696;

										BgL_objz00_12696 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15716, BgL_objz00_12696);
										BgL_objz00_12696;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4646z00_4679;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4647z00_4680;

											BgL_arg4647z00_4680 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16299)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12701;

												BgL_newz00_12701 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26587;

													BgL_auxz00_26587 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12701, BgL_auxz00_26587,
														BgL_arg4647z00_4680);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26592;
													int BgL_auxz00_26590;

													BgL_auxz00_26592 = BINT(BgL_siza7ezd2framez75_16301);
													BgL_auxz00_26590 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12701, BgL_auxz00_26590,
														BgL_auxz00_26592);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26595;

													BgL_auxz00_26595 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12701, BgL_auxz00_26595,
														BgL_runz00_15716);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26600;
													int BgL_auxz00_26598;

													BgL_auxz00_26600 = BINT(((long) 2));
													BgL_auxz00_26598 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12701, BgL_auxz00_26598,
														BgL_auxz00_26600);
												}
												BgL_arg4646z00_4679 = BgL_newz00_12701;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15717, BgL_arg4646z00_4679);
										BgL_arg4646z00_4679;
									}
									return BgL_mainz00_15717;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6810 */
	obj_t BGl_z62main6810z62zz__evaluate_compz00(obj_t BgL_envz00_16303,
		obj_t BgL_cz00_16308, obj_t BgL_dz00_16309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16306;
				long BgL_siza7ezd2framez75_16307;

				BgL_runz00_16306 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16307 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4681;
					obj_t BgL_dz00_4682;

					BgL_cz00_4681 = BgL_cz00_16308;
					BgL_dz00_4682 = BgL_dz00_16309;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4684;

						BgL_sz00_4684 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4685;

							BgL_bpz00_4685 = VECTOR_REF(BgL_sz00_4684, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_26613;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12657;
									int BgL_arg3190z00_12658;

									BgL_arg3189z00_12657 =
										((long) CINT(BgL_bpz00_4685) + BgL_siza7ezd2framez75_16307);
									BgL_arg3190z00_12658 = VECTOR_LENGTH(BgL_sz00_4684);
									BgL_testz00_26613 =
										(BgL_arg3189z00_12657 < (long) (BgL_arg3190z00_12658));
								}
								if (BgL_testz00_26613)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4650z00_4687;

											BgL_arg4650z00_4687 =
												((long) CINT(BgL_bpz00_4685) + ((long) 0));
											VECTOR_SET(BgL_sz00_4684,
												(int) (BgL_arg4650z00_4687), BgL_cz00_4681);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4651z00_4688;

											BgL_arg4651z00_4688 =
												((long) CINT(BgL_bpz00_4685) + ((long) 1));
											VECTOR_SET(BgL_sz00_4684,
												(int) (BgL_arg4651z00_4688), BgL_dz00_4682);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2659z00_4689;

											BgL_val2659z00_4689 =
												BGl_zc3exitza34655ze3z83zz__evaluate_compz00
												(BgL_bpz00_4685, BgL_sz00_4684, BgL_runz00_16306);
											VECTOR_SET(BgL_sz00_4684, (int) (((long) 0)),
												BgL_bpz00_4685);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2659z00_4689)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2659z00_4689), CDR(BgL_val2659z00_4689));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2659z00_4689;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4696;

										BgL_nsz00_4696 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4696,
											(int) (((long) 1)), BgL_sz00_4684);
										VECTOR_SET(BgL_nsz00_4696,
											(int) (((long) 2)), BgL_cz00_4681);
										VECTOR_SET(BgL_nsz00_4696,
											(int) (((long) 3)), BgL_dz00_4682);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_26643;

											BgL_auxz00_26643 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26643, BgL_nsz00_4696);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2662z00_4698;

											BgL_val2662z00_4698 =
												BGl_zc3exitza34661ze3z83zz__evaluate_compz00
												(BgL_nsz00_4696, BgL_runz00_16306);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_26647;

												BgL_auxz00_26647 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26647, BgL_sz00_4684);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2662z00_4698)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2662z00_4698), CDR(BgL_val2662z00_4698));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2662z00_4698;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4661> */
	obj_t BGl_zc3exitza34661ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17120,
		obj_t BgL_runz00_17119)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2663z00_4704;

			if (SET_EXIT(BgL_an_exit2663z00_4704))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2663z00_4704 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2663z00_4704, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2664z00_4705;

							BgL_val2664z00_4705 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17119,
								BgL_nsz00_17120, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2664z00_4705;
						}
					}
				}
		}
	}



/* <exit:4655> */
	obj_t BGl_zc3exitza34655ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17123,
		obj_t BgL_sz00_17122, obj_t BgL_runz00_17121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2660z00_4694;

			if (SET_EXIT(BgL_an_exit2660z00_4694))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2660z00_4694 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2660z00_4694, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2661z00_4695;

							BgL_val2661z00_4695 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17121,
								BgL_sz00_17122, BgL_bpz00_17123);
							POP_EXIT();
							return BgL_val2661z00_4695;
						}
					}
				}
		}
	}



/* &run6811 */
	obj_t BGl_z62run6811z62zz__evaluate_compz00(obj_t BgL_envz00_16310,
		obj_t BgL_sz00_16313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16311;
				obj_t BgL_bodyz00_16312;

				BgL_instance2535z00_16311 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16310, (int) (((long) 0))));
				BgL_bodyz00_16312 = PROCEDURE_REF(BgL_envz00_16310, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4707;

					BgL_sz00_4707 = BgL_sz00_16313;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4709;

						BgL_bpz00_4709 = VECTOR_REF(BgL_sz00_4707, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4710;
							obj_t BgL_wherez00_4711;
							obj_t BgL_locz00_4712;

							BgL_z12denvz12_4710 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4711 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16311)))->BgL_wherez00);
							BgL_locz00_4712 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16311)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4710, BgL_wherez00_4711,
									BgL_locz00_4712);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4713;

									BgL_za2za2resza2za2z00_4713 =
										PROCEDURE_ENTRY(BgL_bodyz00_16312) (BgL_bodyz00_16312,
										BgL_sz00_4707, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4710);
									return BgL_za2za2resza2za2z00_4713;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4663> */
	obj_t BGl_z62zc3anonymousza34663ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16314, obj_t BgL_sz00_16319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16315;
				BgL_ev_absz00_bglt BgL_instance2535z00_16316;
				obj_t BgL_bodyz00_16317;
				long BgL_siza7ezd2framez75_16318;

				BgL_iboxesz00_16315 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16314, (int) (((long) 0))));
				BgL_instance2535z00_16316 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16314, (int) (((long) 1))));
				BgL_bodyz00_16317 = PROCEDURE_REF(BgL_envz00_16314, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16318 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16314, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4715;

					BgL_sz00_4715 = BgL_sz00_16319;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4717;

						BgL_bpz00_4717 = VECTOR_REF(BgL_sz00_4715, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15713;

								BgL_runz00_15713 =
									MAKE_FX_PROCEDURE(BGl_z62run6813z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15713,
									(int) (((long) 0)), BgL_iboxesz00_16315);
								PROCEDURE_SET(BgL_runz00_15713,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16316));
								PROCEDURE_SET(BgL_runz00_15713,
									(int) (((long) 2)), BgL_bodyz00_16317);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15714;

									BgL_mainz00_15714 =
										MAKE_FX_PROCEDURE(BGl_z62main6812z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15714,
										(int) (((long) 0)), BgL_iboxesz00_16315);
									PROCEDURE_SET(BgL_mainz00_15714,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16316));
									PROCEDURE_SET(BgL_mainz00_15714,
										(int) (((long) 2)), BgL_bodyz00_16317);
									PROCEDURE_SET(BgL_mainz00_15714,
										(int) (((long) 3)), BgL_runz00_15713);
									PROCEDURE_SET(BgL_mainz00_15714,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16318));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12772;

										BgL_objz00_12772 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15713, BgL_objz00_12772);
										BgL_objz00_12772;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4664z00_4720;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4665z00_4721;

											BgL_arg4665z00_4721 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16316)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12777;

												BgL_newz00_12777 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26728;

													BgL_auxz00_26728 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12777, BgL_auxz00_26728,
														BgL_arg4665z00_4721);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26733;
													int BgL_auxz00_26731;

													BgL_auxz00_26733 = BINT(BgL_siza7ezd2framez75_16318);
													BgL_auxz00_26731 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12777, BgL_auxz00_26731,
														BgL_auxz00_26733);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26736;

													BgL_auxz00_26736 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12777, BgL_auxz00_26736,
														BgL_runz00_15713);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26741;
													int BgL_auxz00_26739;

													BgL_auxz00_26741 = BINT(((long) 2));
													BgL_auxz00_26739 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12777, BgL_auxz00_26739,
														BgL_auxz00_26741);
												}
												BgL_arg4664z00_4720 = BgL_newz00_12777;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15714, BgL_arg4664z00_4720);
										BgL_arg4664z00_4720;
									}
									return BgL_mainz00_15714;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6812 */
	obj_t BGl_z62main6812z62zz__evaluate_compz00(obj_t BgL_envz00_16320,
		obj_t BgL_cz00_16326, obj_t BgL_dz00_16327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16324;
				long BgL_siza7ezd2framez75_16325;

				BgL_runz00_16324 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16320, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16325 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16320, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4722;
					obj_t BgL_dz00_4723;

					BgL_cz00_4722 = BgL_cz00_16326;
					BgL_dz00_4723 = BgL_dz00_16327;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4725;

						BgL_sz00_4725 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4726;

							BgL_bpz00_4726 = VECTOR_REF(BgL_sz00_4725, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_26754;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12733;
									int BgL_arg3190z00_12734;

									BgL_arg3189z00_12733 =
										((long) CINT(BgL_bpz00_4726) + BgL_siza7ezd2framez75_16325);
									BgL_arg3190z00_12734 = VECTOR_LENGTH(BgL_sz00_4725);
									BgL_testz00_26754 =
										(BgL_arg3189z00_12733 < (long) (BgL_arg3190z00_12734));
								}
								if (BgL_testz00_26754)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4668z00_4728;

											BgL_arg4668z00_4728 =
												((long) CINT(BgL_bpz00_4726) + ((long) 0));
											VECTOR_SET(BgL_sz00_4725,
												(int) (BgL_arg4668z00_4728), BgL_cz00_4722);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4669z00_4729;

											BgL_arg4669z00_4729 =
												((long) CINT(BgL_bpz00_4726) + ((long) 1));
											VECTOR_SET(BgL_sz00_4725,
												(int) (BgL_arg4669z00_4729), BgL_dz00_4723);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2665z00_4730;

											BgL_val2665z00_4730 =
												BGl_zc3exitza34673ze3z83zz__evaluate_compz00
												(BgL_bpz00_4726, BgL_sz00_4725, BgL_runz00_16324);
											VECTOR_SET(BgL_sz00_4725, (int) (((long) 0)),
												BgL_bpz00_4726);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2665z00_4730)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2665z00_4730), CDR(BgL_val2665z00_4730));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2665z00_4730;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4737;

										BgL_nsz00_4737 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 1)), BgL_sz00_4725);
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 2)), BgL_cz00_4722);
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 3)), BgL_dz00_4723);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_26784;

											BgL_auxz00_26784 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26784, BgL_nsz00_4737);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2668z00_4739;

											BgL_val2668z00_4739 =
												BGl_zc3exitza34680ze3z83zz__evaluate_compz00
												(BgL_nsz00_4737, BgL_runz00_16324);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_26788;

												BgL_auxz00_26788 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26788, BgL_sz00_4725);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2668z00_4739)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2668z00_4739), CDR(BgL_val2668z00_4739));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2668z00_4739;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4680> */
	obj_t BGl_zc3exitza34680ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17115,
		obj_t BgL_runz00_17114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2669z00_4745;

			if (SET_EXIT(BgL_an_exit2669z00_4745))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2669z00_4745 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2669z00_4745, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2670z00_4746;

							BgL_val2670z00_4746 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17114,
								BgL_nsz00_17115, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2670z00_4746;
						}
					}
				}
		}
	}



/* <exit:4673> */
	obj_t BGl_zc3exitza34673ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17118,
		obj_t BgL_sz00_17117, obj_t BgL_runz00_17116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2666z00_4735;

			if (SET_EXIT(BgL_an_exit2666z00_4735))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2666z00_4735 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2666z00_4735, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2667z00_4736;

							BgL_val2667z00_4736 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17116,
								BgL_sz00_17117, BgL_bpz00_17118);
							POP_EXIT();
							return BgL_val2667z00_4736;
						}
					}
				}
		}
	}



/* &run6813 */
	obj_t BGl_z62run6813z62zz__evaluate_compz00(obj_t BgL_envz00_16328,
		obj_t BgL_sz00_16332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16329;
				BgL_ev_absz00_bglt BgL_instance2535z00_16330;
				obj_t BgL_bodyz00_16331;

				BgL_iboxesz00_16329 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 0))));
				BgL_instance2535z00_16330 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 1))));
				BgL_bodyz00_16331 = PROCEDURE_REF(BgL_envz00_16328, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4748;

					BgL_sz00_4748 = BgL_sz00_16332;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4750;

						BgL_bpz00_4750 = VECTOR_REF(BgL_sz00_4748, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4748,
							BgL_iboxesz00_16329, BgL_bpz00_4750);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4751;
							obj_t BgL_wherez00_4752;
							obj_t BgL_locz00_4753;

							BgL_z12denvz12_4751 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4752 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16330)))->BgL_wherez00);
							BgL_locz00_4753 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16330)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4751, BgL_wherez00_4752,
									BgL_locz00_4753);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4754;

									BgL_za2za2resza2za2z00_4754 =
										PROCEDURE_ENTRY(BgL_bodyz00_16331) (BgL_bodyz00_16331,
										BgL_sz00_4748, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4751);
									return BgL_za2za2resza2za2z00_4754;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4684> */
	obj_t BGl_z62zc3anonymousza34684ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16333, obj_t BgL_sz00_16339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16334;
				long BgL_siza7eza7_16335;
				BgL_ev_absz00_bglt BgL_instance2535z00_16336;
				obj_t BgL_bodyz00_16337;
				long BgL_siza7ezd2framez75_16338;

				BgL_ifreesz00_16334 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16333, (int) (((long) 0))));
				BgL_siza7eza7_16335 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16333, (int) (((long) 1))));
				BgL_instance2535z00_16336 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16333, (int) (((long) 2))));
				BgL_bodyz00_16337 = PROCEDURE_REF(BgL_envz00_16333, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16338 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16333, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4758;

					BgL_sz00_4758 = BgL_sz00_16339;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4760;

						BgL_bpz00_4760 = VECTOR_REF(BgL_sz00_4758, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4761;

							BgL_valza2za2_4761 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4758,
								BgL_bpz00_4760, BgL_ifreesz00_16334);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15710;

								BgL_runz00_15710 =
									MAKE_FX_PROCEDURE(BGl_z62run6815z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15710,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16335));
								PROCEDURE_SET(BgL_runz00_15710,
									(int) (((long) 1)), BgL_valza2za2_4761);
								PROCEDURE_SET(BgL_runz00_15710,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16336));
								PROCEDURE_SET(BgL_runz00_15710,
									(int) (((long) 3)), BgL_bodyz00_16337);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15711;

									BgL_mainz00_15711 =
										MAKE_FX_PROCEDURE(BGl_z62main6814z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15711,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16335));
									PROCEDURE_SET(BgL_mainz00_15711,
										(int) (((long) 1)), BgL_valza2za2_4761);
									PROCEDURE_SET(BgL_mainz00_15711,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16336));
									PROCEDURE_SET(BgL_mainz00_15711,
										(int) (((long) 3)), BgL_bodyz00_16337);
									PROCEDURE_SET(BgL_mainz00_15711,
										(int) (((long) 4)), BgL_runz00_15710);
									PROCEDURE_SET(BgL_mainz00_15711,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16338));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12855;

										BgL_objz00_12855 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15710, BgL_objz00_12855);
										BgL_objz00_12855;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4685z00_4764;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4686z00_4765;

											BgL_arg4686z00_4765 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16336)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12860;

												BgL_newz00_12860 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26883;

													BgL_auxz00_26883 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12860, BgL_auxz00_26883,
														BgL_arg4686z00_4765);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26888;
													int BgL_auxz00_26886;

													BgL_auxz00_26888 = BINT(BgL_siza7ezd2framez75_16338);
													BgL_auxz00_26886 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12860, BgL_auxz00_26886,
														BgL_auxz00_26888);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_26891;

													BgL_auxz00_26891 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12860, BgL_auxz00_26891,
														BgL_runz00_15710);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_26896;
													int BgL_auxz00_26894;

													BgL_auxz00_26896 = BINT(((long) 2));
													BgL_auxz00_26894 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12860, BgL_auxz00_26894,
														BgL_auxz00_26896);
												}
												BgL_arg4685z00_4764 = BgL_newz00_12860;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15711, BgL_arg4685z00_4764);
										BgL_arg4685z00_4764;
									}
									return BgL_mainz00_15711;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6814 */
	obj_t BGl_z62main6814z62zz__evaluate_compz00(obj_t BgL_envz00_16340,
		obj_t BgL_cz00_16347, obj_t BgL_dz00_16348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16345;
				long BgL_siza7ezd2framez75_16346;

				BgL_runz00_16345 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16340, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16346 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16340, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4766;
					obj_t BgL_dz00_4767;

					BgL_cz00_4766 = BgL_cz00_16347;
					BgL_dz00_4767 = BgL_dz00_16348;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4769;

						BgL_sz00_4769 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4770;

							BgL_bpz00_4770 = VECTOR_REF(BgL_sz00_4769, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_26909;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12816;
									int BgL_arg3190z00_12817;

									BgL_arg3189z00_12816 =
										((long) CINT(BgL_bpz00_4770) + BgL_siza7ezd2framez75_16346);
									BgL_arg3190z00_12817 = VECTOR_LENGTH(BgL_sz00_4769);
									BgL_testz00_26909 =
										(BgL_arg3189z00_12816 < (long) (BgL_arg3190z00_12817));
								}
								if (BgL_testz00_26909)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4689z00_4772;

											BgL_arg4689z00_4772 =
												((long) CINT(BgL_bpz00_4770) + ((long) 0));
											VECTOR_SET(BgL_sz00_4769,
												(int) (BgL_arg4689z00_4772), BgL_cz00_4766);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4690z00_4773;

											BgL_arg4690z00_4773 =
												((long) CINT(BgL_bpz00_4770) + ((long) 1));
											VECTOR_SET(BgL_sz00_4769,
												(int) (BgL_arg4690z00_4773), BgL_dz00_4767);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2671z00_4774;

											BgL_val2671z00_4774 =
												BGl_zc3exitza34694ze3z83zz__evaluate_compz00
												(BgL_bpz00_4770, BgL_sz00_4769, BgL_runz00_16345);
											VECTOR_SET(BgL_sz00_4769, (int) (((long) 0)),
												BgL_bpz00_4770);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2671z00_4774)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2671z00_4774), CDR(BgL_val2671z00_4774));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2671z00_4774;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4781;

										BgL_nsz00_4781 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 1)), BgL_sz00_4769);
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 2)), BgL_cz00_4766);
										VECTOR_SET(BgL_nsz00_4781,
											(int) (((long) 3)), BgL_dz00_4767);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_26939;

											BgL_auxz00_26939 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26939, BgL_nsz00_4781);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2674z00_4783;

											BgL_val2674z00_4783 =
												BGl_zc3exitza34700ze3z83zz__evaluate_compz00
												(BgL_nsz00_4781, BgL_runz00_16345);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_26943;

												BgL_auxz00_26943 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26943, BgL_sz00_4769);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2674z00_4783)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2674z00_4783), CDR(BgL_val2674z00_4783));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2674z00_4783;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4700> */
	obj_t BGl_zc3exitza34700ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17110,
		obj_t BgL_runz00_17109)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2675z00_4789;

			if (SET_EXIT(BgL_an_exit2675z00_4789))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2675z00_4789 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2675z00_4789, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2676z00_4790;

							BgL_val2676z00_4790 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17109,
								BgL_nsz00_17110, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2676z00_4790;
						}
					}
				}
		}
	}



/* <exit:4694> */
	obj_t BGl_zc3exitza34694ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17113,
		obj_t BgL_sz00_17112, obj_t BgL_runz00_17111)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2672z00_4779;

			if (SET_EXIT(BgL_an_exit2672z00_4779))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2672z00_4779 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2672z00_4779, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2673z00_4780;

							BgL_val2673z00_4780 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17111,
								BgL_sz00_17112, BgL_bpz00_17113);
							POP_EXIT();
							return BgL_val2673z00_4780;
						}
					}
				}
		}
	}



/* &run6815 */
	obj_t BGl_z62run6815z62zz__evaluate_compz00(obj_t BgL_envz00_16349,
		obj_t BgL_sz00_16354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16350;
				obj_t BgL_valza2za2_16351;
				BgL_ev_absz00_bglt BgL_instance2535z00_16352;
				obj_t BgL_bodyz00_16353;

				BgL_siza7eza7_16350 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 0))));
				BgL_valza2za2_16351 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 1))));
				BgL_instance2535z00_16352 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 2))));
				BgL_bodyz00_16353 = PROCEDURE_REF(BgL_envz00_16349, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4792;

					BgL_sz00_4792 = BgL_sz00_16354;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4794;

						BgL_bpz00_4794 = VECTOR_REF(BgL_sz00_4792, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4792,
							BgL_valza2za2_16351,
							((long) CINT(BgL_bpz00_4794) + BgL_siza7eza7_16350));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4796;
							obj_t BgL_wherez00_4797;
							obj_t BgL_locz00_4798;

							BgL_z12denvz12_4796 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4797 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16352)))->BgL_wherez00);
							BgL_locz00_4798 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16352)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4796, BgL_wherez00_4797,
									BgL_locz00_4798);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4799;

									BgL_za2za2resza2za2z00_4799 =
										PROCEDURE_ENTRY(BgL_bodyz00_16353) (BgL_bodyz00_16353,
										BgL_sz00_4792, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4796);
									return BgL_za2za2resza2za2z00_4799;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4703> */
	obj_t BGl_z62zc3anonymousza34703ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16355, obj_t BgL_sz00_16362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16356;
				obj_t BgL_iboxesz00_16357;
				long BgL_siza7eza7_16358;
				BgL_ev_absz00_bglt BgL_instance2535z00_16359;
				obj_t BgL_bodyz00_16360;
				long BgL_siza7ezd2framez75_16361;

				BgL_ifreesz00_16356 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 0))));
				BgL_iboxesz00_16357 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 1))));
				BgL_siza7eza7_16358 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 2))));
				BgL_instance2535z00_16359 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 3))));
				BgL_bodyz00_16360 = PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16361 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16355, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4801;

					BgL_sz00_4801 = BgL_sz00_16362;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4803;

						BgL_bpz00_4803 = VECTOR_REF(BgL_sz00_4801, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4804;

							BgL_valza2za2_4804 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4801,
								BgL_bpz00_4803, BgL_ifreesz00_16356);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15707;

								BgL_runz00_15707 =
									MAKE_FX_PROCEDURE(BGl_z62run6817z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15707,
									(int) (((long) 0)), BgL_iboxesz00_16357);
								PROCEDURE_SET(BgL_runz00_15707,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16358));
								PROCEDURE_SET(BgL_runz00_15707,
									(int) (((long) 2)), BgL_valza2za2_4804);
								PROCEDURE_SET(BgL_runz00_15707,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16359));
								PROCEDURE_SET(BgL_runz00_15707,
									(int) (((long) 4)), BgL_bodyz00_16360);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15708;

									BgL_mainz00_15708 =
										MAKE_FX_PROCEDURE(BGl_z62main6816z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15708,
										(int) (((long) 0)), BgL_iboxesz00_16357);
									PROCEDURE_SET(BgL_mainz00_15708,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16358));
									PROCEDURE_SET(BgL_mainz00_15708,
										(int) (((long) 2)), BgL_valza2za2_4804);
									PROCEDURE_SET(BgL_mainz00_15708,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16359));
									PROCEDURE_SET(BgL_mainz00_15708,
										(int) (((long) 4)), BgL_bodyz00_16360);
									PROCEDURE_SET(BgL_mainz00_15708,
										(int) (((long) 5)), BgL_runz00_15707);
									PROCEDURE_SET(BgL_mainz00_15708,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16361));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12934;

										BgL_objz00_12934 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15707, BgL_objz00_12934);
										BgL_objz00_12934;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4704z00_4807;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4705z00_4808;

											BgL_arg4705z00_4808 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16359)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12939;

												BgL_newz00_12939 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27050;

													BgL_auxz00_27050 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12939, BgL_auxz00_27050,
														BgL_arg4705z00_4808);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27055;
													int BgL_auxz00_27053;

													BgL_auxz00_27055 = BINT(BgL_siza7ezd2framez75_16361);
													BgL_auxz00_27053 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12939, BgL_auxz00_27053,
														BgL_auxz00_27055);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27058;

													BgL_auxz00_27058 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12939, BgL_auxz00_27058,
														BgL_runz00_15707);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27063;
													int BgL_auxz00_27061;

													BgL_auxz00_27063 = BINT(((long) 2));
													BgL_auxz00_27061 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12939, BgL_auxz00_27061,
														BgL_auxz00_27063);
												}
												BgL_arg4704z00_4807 = BgL_newz00_12939;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15708, BgL_arg4704z00_4807);
										BgL_arg4704z00_4807;
									}
									return BgL_mainz00_15708;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6816 */
	obj_t BGl_z62main6816z62zz__evaluate_compz00(obj_t BgL_envz00_16363,
		obj_t BgL_cz00_16371, obj_t BgL_dz00_16372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16369;
				long BgL_siza7ezd2framez75_16370;

				BgL_runz00_16369 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16363, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16370 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16363, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4809;
					obj_t BgL_dz00_4810;

					BgL_cz00_4809 = BgL_cz00_16371;
					BgL_dz00_4810 = BgL_dz00_16372;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4812;

						BgL_sz00_4812 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4813;

							BgL_bpz00_4813 = VECTOR_REF(BgL_sz00_4812, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_27076;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12895;
									int BgL_arg3190z00_12896;

									BgL_arg3189z00_12895 =
										((long) CINT(BgL_bpz00_4813) + BgL_siza7ezd2framez75_16370);
									BgL_arg3190z00_12896 = VECTOR_LENGTH(BgL_sz00_4812);
									BgL_testz00_27076 =
										(BgL_arg3189z00_12895 < (long) (BgL_arg3190z00_12896));
								}
								if (BgL_testz00_27076)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4708z00_4815;

											BgL_arg4708z00_4815 =
												((long) CINT(BgL_bpz00_4813) + ((long) 0));
											VECTOR_SET(BgL_sz00_4812,
												(int) (BgL_arg4708z00_4815), BgL_cz00_4809);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4709z00_4816;

											BgL_arg4709z00_4816 =
												((long) CINT(BgL_bpz00_4813) + ((long) 1));
											VECTOR_SET(BgL_sz00_4812,
												(int) (BgL_arg4709z00_4816), BgL_dz00_4810);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2677z00_4817;

											BgL_val2677z00_4817 =
												BGl_zc3exitza34713ze3z83zz__evaluate_compz00
												(BgL_bpz00_4813, BgL_sz00_4812, BgL_runz00_16369);
											VECTOR_SET(BgL_sz00_4812, (int) (((long) 0)),
												BgL_bpz00_4813);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2677z00_4817)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2677z00_4817), CDR(BgL_val2677z00_4817));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2677z00_4817;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4824;

										BgL_nsz00_4824 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4824,
											(int) (((long) 1)), BgL_sz00_4812);
										VECTOR_SET(BgL_nsz00_4824,
											(int) (((long) 2)), BgL_cz00_4809);
										VECTOR_SET(BgL_nsz00_4824,
											(int) (((long) 3)), BgL_dz00_4810);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_27106;

											BgL_auxz00_27106 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27106, BgL_nsz00_4824);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2680z00_4826;

											BgL_val2680z00_4826 =
												BGl_zc3exitza34719ze3z83zz__evaluate_compz00
												(BgL_nsz00_4824, BgL_runz00_16369);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_27110;

												BgL_auxz00_27110 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27110, BgL_sz00_4812);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2680z00_4826)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2680z00_4826), CDR(BgL_val2680z00_4826));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2680z00_4826;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4719> */
	obj_t BGl_zc3exitza34719ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17105,
		obj_t BgL_runz00_17104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2681z00_4832;

			if (SET_EXIT(BgL_an_exit2681z00_4832))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2681z00_4832 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2681z00_4832, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2682z00_4833;

							BgL_val2682z00_4833 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17104,
								BgL_nsz00_17105, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2682z00_4833;
						}
					}
				}
		}
	}



/* <exit:4713> */
	obj_t BGl_zc3exitza34713ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17108,
		obj_t BgL_sz00_17107, obj_t BgL_runz00_17106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2678z00_4822;

			if (SET_EXIT(BgL_an_exit2678z00_4822))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2678z00_4822 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2678z00_4822, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2679z00_4823;

							BgL_val2679z00_4823 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17106,
								BgL_sz00_17107, BgL_bpz00_17108);
							POP_EXIT();
							return BgL_val2679z00_4823;
						}
					}
				}
		}
	}



/* &run6817 */
	obj_t BGl_z62run6817z62zz__evaluate_compz00(obj_t BgL_envz00_16373,
		obj_t BgL_sz00_16379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16374;
				long BgL_siza7eza7_16375;
				obj_t BgL_valza2za2_16376;
				BgL_ev_absz00_bglt BgL_instance2535z00_16377;
				obj_t BgL_bodyz00_16378;

				BgL_iboxesz00_16374 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16373, (int) (((long) 0))));
				BgL_siza7eza7_16375 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16373, (int) (((long) 1))));
				BgL_valza2za2_16376 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16373, (int) (((long) 2))));
				BgL_instance2535z00_16377 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16373, (int) (((long) 3))));
				BgL_bodyz00_16378 = PROCEDURE_REF(BgL_envz00_16373, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4835;

					BgL_sz00_4835 = BgL_sz00_16379;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4837;

						BgL_bpz00_4837 = VECTOR_REF(BgL_sz00_4835, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4835,
							BgL_iboxesz00_16374, BgL_bpz00_4837);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4835,
							BgL_valza2za2_16376,
							((long) CINT(BgL_bpz00_4837) + BgL_siza7eza7_16375));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4839;
							obj_t BgL_wherez00_4840;
							obj_t BgL_locz00_4841;

							BgL_z12denvz12_4839 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4840 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16377)))->BgL_wherez00);
							BgL_locz00_4841 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16377)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4839, BgL_wherez00_4840,
									BgL_locz00_4841);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4842;

									BgL_za2za2resza2za2z00_4842 =
										PROCEDURE_ENTRY(BgL_bodyz00_16378) (BgL_bodyz00_16378,
										BgL_sz00_4835, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4839);
									return BgL_za2za2resza2za2z00_4842;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4563> */
	obj_t BGl_z62zc3anonymousza34563ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16380, obj_t BgL_sz00_16384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16381;
				obj_t BgL_bodyz00_16382;
				long BgL_siza7ezd2framez75_16383;

				BgL_instance2535z00_16381 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16380, (int) (((long) 0))));
				BgL_bodyz00_16382 = PROCEDURE_REF(BgL_envz00_16380, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16383 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16380, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4500;

					BgL_sz00_4500 = BgL_sz00_16384;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4502;

						BgL_bpz00_4502 = VECTOR_REF(BgL_sz00_4500, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15704;

								BgL_runz00_15704 =
									MAKE_FX_PROCEDURE(BGl_z62run6819z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15704,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16381));
								PROCEDURE_SET(BgL_runz00_15704,
									(int) (((long) 1)), BgL_bodyz00_16382);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15705;

									BgL_mainz00_15705 =
										MAKE_VA_PROCEDURE(BGl_z62main6818z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15705,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16381));
									PROCEDURE_SET(BgL_mainz00_15705,
										(int) (((long) 1)), BgL_bodyz00_16382);
									PROCEDURE_SET(BgL_mainz00_15705,
										(int) (((long) 2)), BgL_runz00_15704);
									PROCEDURE_SET(BgL_mainz00_15705,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16383));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12374;

										BgL_objz00_12374 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15704, BgL_objz00_12374);
										BgL_objz00_12374;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4564z00_4505;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4565z00_4506;

											BgL_arg4565z00_4506 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16381)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12379;

												BgL_newz00_12379 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27197;

													BgL_auxz00_27197 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12379, BgL_auxz00_27197,
														BgL_arg4565z00_4506);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27202;
													int BgL_auxz00_27200;

													BgL_auxz00_27202 = BINT(BgL_siza7ezd2framez75_16383);
													BgL_auxz00_27200 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12379, BgL_auxz00_27200,
														BgL_auxz00_27202);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27205;

													BgL_auxz00_27205 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12379, BgL_auxz00_27205,
														BgL_runz00_15704);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27210;
													int BgL_auxz00_27208;

													BgL_auxz00_27210 = BINT(((long) -2));
													BgL_auxz00_27208 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12379, BgL_auxz00_27208,
														BgL_auxz00_27210);
												}
												BgL_arg4564z00_4505 = BgL_newz00_12379;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15705, BgL_arg4564z00_4505);
										BgL_arg4564z00_4505;
									}
									return BgL_mainz00_15705;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6818 */
	obj_t BGl_z62main6818z62zz__evaluate_compz00(obj_t BgL_envz00_16385,
		obj_t BgL_dz00_16390, obj_t BgL_lastz00_16391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16388;
				long BgL_siza7ezd2framez75_16389;

				BgL_runz00_16388 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16385, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16389 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16385, (int) (((long) 3))));
				{
					obj_t BgL_dz00_4507;
					obj_t BgL_lastz00_4508;

					BgL_dz00_4507 = BgL_dz00_16390;
					BgL_lastz00_4508 = BgL_lastz00_16391;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4510;

						BgL_sz00_4510 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4511;

							BgL_bpz00_4511 = VECTOR_REF(BgL_sz00_4510, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_27223;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12335;
									int BgL_arg3190z00_12336;

									BgL_arg3189z00_12335 =
										((long) CINT(BgL_bpz00_4511) + BgL_siza7ezd2framez75_16389);
									BgL_arg3190z00_12336 = VECTOR_LENGTH(BgL_sz00_4510);
									BgL_testz00_27223 =
										(BgL_arg3189z00_12335 < (long) (BgL_arg3190z00_12336));
								}
								if (BgL_testz00_27223)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4568z00_4513;

											BgL_arg4568z00_4513 =
												((long) CINT(BgL_bpz00_4511) + ((long) 0));
											VECTOR_SET(BgL_sz00_4510,
												(int) (BgL_arg4568z00_4513), BgL_dz00_4507);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4569z00_4514;

											BgL_arg4569z00_4514 =
												((long) CINT(BgL_bpz00_4511) + ((long) 1));
											VECTOR_SET(BgL_sz00_4510,
												(int) (BgL_arg4569z00_4514), BgL_lastz00_4508);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2635z00_4515;

											BgL_val2635z00_4515 =
												BGl_zc3exitza34573ze3z83zz__evaluate_compz00
												(BgL_bpz00_4511, BgL_sz00_4510, BgL_runz00_16388);
											VECTOR_SET(BgL_sz00_4510, (int) (((long) 0)),
												BgL_bpz00_4511);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2635z00_4515)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2635z00_4515), CDR(BgL_val2635z00_4515));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2635z00_4515;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4522;

										BgL_nsz00_4522 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4522,
											(int) (((long) 1)), BgL_sz00_4510);
										VECTOR_SET(BgL_nsz00_4522,
											(int) (((long) 2)), BgL_dz00_4507);
										VECTOR_SET(BgL_nsz00_4522,
											(int) (((long) 3)), BgL_lastz00_4508);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_27253;

											BgL_auxz00_27253 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27253, BgL_nsz00_4522);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2638z00_4524;

											BgL_val2638z00_4524 =
												BGl_zc3exitza34579ze3z83zz__evaluate_compz00
												(BgL_nsz00_4522, BgL_runz00_16388);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_27257;

												BgL_auxz00_27257 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27257, BgL_sz00_4510);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2638z00_4524)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2638z00_4524), CDR(BgL_val2638z00_4524));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2638z00_4524;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4579> */
	obj_t BGl_zc3exitza34579ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17100,
		obj_t BgL_runz00_17099)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2639z00_4530;

			if (SET_EXIT(BgL_an_exit2639z00_4530))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2639z00_4530 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2639z00_4530, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2640z00_4531;

							BgL_val2640z00_4531 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17099,
								BgL_nsz00_17100, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2640z00_4531;
						}
					}
				}
		}
	}



/* <exit:4573> */
	obj_t BGl_zc3exitza34573ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17103,
		obj_t BgL_sz00_17102, obj_t BgL_runz00_17101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2636z00_4520;

			if (SET_EXIT(BgL_an_exit2636z00_4520))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2636z00_4520 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2636z00_4520, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2637z00_4521;

							BgL_val2637z00_4521 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17101,
								BgL_sz00_17102, BgL_bpz00_17103);
							POP_EXIT();
							return BgL_val2637z00_4521;
						}
					}
				}
		}
	}



/* &run6819 */
	obj_t BGl_z62run6819z62zz__evaluate_compz00(obj_t BgL_envz00_16392,
		obj_t BgL_sz00_16395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16393;
				obj_t BgL_bodyz00_16394;

				BgL_instance2535z00_16393 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16392, (int) (((long) 0))));
				BgL_bodyz00_16394 = PROCEDURE_REF(BgL_envz00_16392, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4533;

					BgL_sz00_4533 = BgL_sz00_16395;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4535;

						BgL_bpz00_4535 = VECTOR_REF(BgL_sz00_4533, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4536;
							obj_t BgL_wherez00_4537;
							obj_t BgL_locz00_4538;

							BgL_z12denvz12_4536 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4537 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16393)))->BgL_wherez00);
							BgL_locz00_4538 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16393)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4536, BgL_wherez00_4537,
									BgL_locz00_4538);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4539;

									BgL_za2za2resza2za2z00_4539 =
										PROCEDURE_ENTRY(BgL_bodyz00_16394) (BgL_bodyz00_16394,
										BgL_sz00_4533, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4536);
									return BgL_za2za2resza2za2z00_4539;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4581> */
	obj_t BGl_z62zc3anonymousza34581ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16396, obj_t BgL_sz00_16401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16397;
				BgL_ev_absz00_bglt BgL_instance2535z00_16398;
				obj_t BgL_bodyz00_16399;
				long BgL_siza7ezd2framez75_16400;

				BgL_iboxesz00_16397 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16396, (int) (((long) 0))));
				BgL_instance2535z00_16398 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16396, (int) (((long) 1))));
				BgL_bodyz00_16399 = PROCEDURE_REF(BgL_envz00_16396, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16400 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16396, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4541;

					BgL_sz00_4541 = BgL_sz00_16401;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4543;

						BgL_bpz00_4543 = VECTOR_REF(BgL_sz00_4541, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15701;

								BgL_runz00_15701 =
									MAKE_FX_PROCEDURE(BGl_z62run6821z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15701,
									(int) (((long) 0)), BgL_iboxesz00_16397);
								PROCEDURE_SET(BgL_runz00_15701,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16398));
								PROCEDURE_SET(BgL_runz00_15701,
									(int) (((long) 2)), BgL_bodyz00_16399);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15702;

									BgL_mainz00_15702 =
										MAKE_VA_PROCEDURE(BGl_z62main6820z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15702,
										(int) (((long) 0)), BgL_iboxesz00_16397);
									PROCEDURE_SET(BgL_mainz00_15702,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16398));
									PROCEDURE_SET(BgL_mainz00_15702,
										(int) (((long) 2)), BgL_bodyz00_16399);
									PROCEDURE_SET(BgL_mainz00_15702,
										(int) (((long) 3)), BgL_runz00_15701);
									PROCEDURE_SET(BgL_mainz00_15702,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16400));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12450;

										BgL_objz00_12450 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15701, BgL_objz00_12450);
										BgL_objz00_12450;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4582z00_4546;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4583z00_4547;

											BgL_arg4583z00_4547 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16398)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12455;

												BgL_newz00_12455 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27338;

													BgL_auxz00_27338 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12455, BgL_auxz00_27338,
														BgL_arg4583z00_4547);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27343;
													int BgL_auxz00_27341;

													BgL_auxz00_27343 = BINT(BgL_siza7ezd2framez75_16400);
													BgL_auxz00_27341 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12455, BgL_auxz00_27341,
														BgL_auxz00_27343);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27346;

													BgL_auxz00_27346 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12455, BgL_auxz00_27346,
														BgL_runz00_15701);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27351;
													int BgL_auxz00_27349;

													BgL_auxz00_27351 = BINT(((long) -2));
													BgL_auxz00_27349 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12455, BgL_auxz00_27349,
														BgL_auxz00_27351);
												}
												BgL_arg4582z00_4546 = BgL_newz00_12455;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15702, BgL_arg4582z00_4546);
										BgL_arg4582z00_4546;
									}
									return BgL_mainz00_15702;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6820 */
	obj_t BGl_z62main6820z62zz__evaluate_compz00(obj_t BgL_envz00_16402,
		obj_t BgL_dz00_16408, obj_t BgL_lastz00_16409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16406;
				long BgL_siza7ezd2framez75_16407;

				BgL_runz00_16406 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16402, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16407 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16402, (int) (((long) 4))));
				{
					obj_t BgL_dz00_4548;
					obj_t BgL_lastz00_4549;

					BgL_dz00_4548 = BgL_dz00_16408;
					BgL_lastz00_4549 = BgL_lastz00_16409;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4551;

						BgL_sz00_4551 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4552;

							BgL_bpz00_4552 = VECTOR_REF(BgL_sz00_4551, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_27364;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12411;
									int BgL_arg3190z00_12412;

									BgL_arg3189z00_12411 =
										((long) CINT(BgL_bpz00_4552) + BgL_siza7ezd2framez75_16407);
									BgL_arg3190z00_12412 = VECTOR_LENGTH(BgL_sz00_4551);
									BgL_testz00_27364 =
										(BgL_arg3189z00_12411 < (long) (BgL_arg3190z00_12412));
								}
								if (BgL_testz00_27364)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4586z00_4554;

											BgL_arg4586z00_4554 =
												((long) CINT(BgL_bpz00_4552) + ((long) 0));
											VECTOR_SET(BgL_sz00_4551,
												(int) (BgL_arg4586z00_4554), BgL_dz00_4548);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4587z00_4555;

											BgL_arg4587z00_4555 =
												((long) CINT(BgL_bpz00_4552) + ((long) 1));
											VECTOR_SET(BgL_sz00_4551,
												(int) (BgL_arg4587z00_4555), BgL_lastz00_4549);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2641z00_4556;

											BgL_val2641z00_4556 =
												BGl_zc3exitza34591ze3z83zz__evaluate_compz00
												(BgL_bpz00_4552, BgL_sz00_4551, BgL_runz00_16406);
											VECTOR_SET(BgL_sz00_4551, (int) (((long) 0)),
												BgL_bpz00_4552);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2641z00_4556)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2641z00_4556), CDR(BgL_val2641z00_4556));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2641z00_4556;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4563;

										BgL_nsz00_4563 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4563,
											(int) (((long) 1)), BgL_sz00_4551);
										VECTOR_SET(BgL_nsz00_4563,
											(int) (((long) 2)), BgL_dz00_4548);
										VECTOR_SET(BgL_nsz00_4563,
											(int) (((long) 3)), BgL_lastz00_4549);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_27394;

											BgL_auxz00_27394 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27394, BgL_nsz00_4563);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2644z00_4565;

											BgL_val2644z00_4565 =
												BGl_zc3exitza34597ze3z83zz__evaluate_compz00
												(BgL_nsz00_4563, BgL_runz00_16406);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_27398;

												BgL_auxz00_27398 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27398, BgL_sz00_4551);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2644z00_4565)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2644z00_4565), CDR(BgL_val2644z00_4565));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2644z00_4565;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4597> */
	obj_t BGl_zc3exitza34597ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17095,
		obj_t BgL_runz00_17094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2645z00_4571;

			if (SET_EXIT(BgL_an_exit2645z00_4571))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2645z00_4571 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2645z00_4571, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2646z00_4572;

							BgL_val2646z00_4572 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17094,
								BgL_nsz00_17095, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2646z00_4572;
						}
					}
				}
		}
	}



/* <exit:4591> */
	obj_t BGl_zc3exitza34591ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17098,
		obj_t BgL_sz00_17097, obj_t BgL_runz00_17096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2642z00_4561;

			if (SET_EXIT(BgL_an_exit2642z00_4561))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2642z00_4561 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2642z00_4561, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2643z00_4562;

							BgL_val2643z00_4562 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17096,
								BgL_sz00_17097, BgL_bpz00_17098);
							POP_EXIT();
							return BgL_val2643z00_4562;
						}
					}
				}
		}
	}



/* &run6821 */
	obj_t BGl_z62run6821z62zz__evaluate_compz00(obj_t BgL_envz00_16410,
		obj_t BgL_sz00_16414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16411;
				BgL_ev_absz00_bglt BgL_instance2535z00_16412;
				obj_t BgL_bodyz00_16413;

				BgL_iboxesz00_16411 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16410, (int) (((long) 0))));
				BgL_instance2535z00_16412 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16410, (int) (((long) 1))));
				BgL_bodyz00_16413 = PROCEDURE_REF(BgL_envz00_16410, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4574;

					BgL_sz00_4574 = BgL_sz00_16414;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4576;

						BgL_bpz00_4576 = VECTOR_REF(BgL_sz00_4574, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4574,
							BgL_iboxesz00_16411, BgL_bpz00_4576);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4577;
							obj_t BgL_wherez00_4578;
							obj_t BgL_locz00_4579;

							BgL_z12denvz12_4577 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4578 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16412)))->BgL_wherez00);
							BgL_locz00_4579 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16412)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4577, BgL_wherez00_4578,
									BgL_locz00_4579);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4580;

									BgL_za2za2resza2za2z00_4580 =
										PROCEDURE_ENTRY(BgL_bodyz00_16413) (BgL_bodyz00_16413,
										BgL_sz00_4574, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4577);
									return BgL_za2za2resza2za2z00_4580;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4601> */
	obj_t BGl_z62zc3anonymousza34601ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16415, obj_t BgL_sz00_16421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16416;
				long BgL_siza7eza7_16417;
				BgL_ev_absz00_bglt BgL_instance2535z00_16418;
				obj_t BgL_bodyz00_16419;
				long BgL_siza7ezd2framez75_16420;

				BgL_ifreesz00_16416 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16415, (int) (((long) 0))));
				BgL_siza7eza7_16417 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16415, (int) (((long) 1))));
				BgL_instance2535z00_16418 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16415, (int) (((long) 2))));
				BgL_bodyz00_16419 = PROCEDURE_REF(BgL_envz00_16415, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16420 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16415, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4584;

					BgL_sz00_4584 = BgL_sz00_16421;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4586;

						BgL_bpz00_4586 = VECTOR_REF(BgL_sz00_4584, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4587;

							BgL_valza2za2_4587 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4584,
								BgL_bpz00_4586, BgL_ifreesz00_16416);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15698;

								BgL_runz00_15698 =
									MAKE_FX_PROCEDURE(BGl_z62run6823z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15698,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16417));
								PROCEDURE_SET(BgL_runz00_15698,
									(int) (((long) 1)), BgL_valza2za2_4587);
								PROCEDURE_SET(BgL_runz00_15698,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16418));
								PROCEDURE_SET(BgL_runz00_15698,
									(int) (((long) 3)), BgL_bodyz00_16419);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15699;

									BgL_mainz00_15699 =
										MAKE_VA_PROCEDURE(BGl_z62main6822z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15699,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16417));
									PROCEDURE_SET(BgL_mainz00_15699,
										(int) (((long) 1)), BgL_valza2za2_4587);
									PROCEDURE_SET(BgL_mainz00_15699,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16418));
									PROCEDURE_SET(BgL_mainz00_15699,
										(int) (((long) 3)), BgL_bodyz00_16419);
									PROCEDURE_SET(BgL_mainz00_15699,
										(int) (((long) 4)), BgL_runz00_15698);
									PROCEDURE_SET(BgL_mainz00_15699,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16420));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12533;

										BgL_objz00_12533 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15698, BgL_objz00_12533);
										BgL_objz00_12533;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4602z00_4590;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4603z00_4591;

											BgL_arg4603z00_4591 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16418)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12538;

												BgL_newz00_12538 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27493;

													BgL_auxz00_27493 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12538, BgL_auxz00_27493,
														BgL_arg4603z00_4591);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27498;
													int BgL_auxz00_27496;

													BgL_auxz00_27498 = BINT(BgL_siza7ezd2framez75_16420);
													BgL_auxz00_27496 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12538, BgL_auxz00_27496,
														BgL_auxz00_27498);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27501;

													BgL_auxz00_27501 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12538, BgL_auxz00_27501,
														BgL_runz00_15698);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27506;
													int BgL_auxz00_27504;

													BgL_auxz00_27506 = BINT(((long) -2));
													BgL_auxz00_27504 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12538, BgL_auxz00_27504,
														BgL_auxz00_27506);
												}
												BgL_arg4602z00_4590 = BgL_newz00_12538;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15699, BgL_arg4602z00_4590);
										BgL_arg4602z00_4590;
									}
									return BgL_mainz00_15699;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6822 */
	obj_t BGl_z62main6822z62zz__evaluate_compz00(obj_t BgL_envz00_16422,
		obj_t BgL_dz00_16429, obj_t BgL_lastz00_16430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16427;
				long BgL_siza7ezd2framez75_16428;

				BgL_runz00_16427 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16422, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16428 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16422, (int) (((long) 5))));
				{
					obj_t BgL_dz00_4592;
					obj_t BgL_lastz00_4593;

					BgL_dz00_4592 = BgL_dz00_16429;
					BgL_lastz00_4593 = BgL_lastz00_16430;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4595;

						BgL_sz00_4595 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4596;

							BgL_bpz00_4596 = VECTOR_REF(BgL_sz00_4595, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_27519;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12494;
									int BgL_arg3190z00_12495;

									BgL_arg3189z00_12494 =
										((long) CINT(BgL_bpz00_4596) + BgL_siza7ezd2framez75_16428);
									BgL_arg3190z00_12495 = VECTOR_LENGTH(BgL_sz00_4595);
									BgL_testz00_27519 =
										(BgL_arg3189z00_12494 < (long) (BgL_arg3190z00_12495));
								}
								if (BgL_testz00_27519)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4606z00_4598;

											BgL_arg4606z00_4598 =
												((long) CINT(BgL_bpz00_4596) + ((long) 0));
											VECTOR_SET(BgL_sz00_4595,
												(int) (BgL_arg4606z00_4598), BgL_dz00_4592);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4607z00_4599;

											BgL_arg4607z00_4599 =
												((long) CINT(BgL_bpz00_4596) + ((long) 1));
											VECTOR_SET(BgL_sz00_4595,
												(int) (BgL_arg4607z00_4599), BgL_lastz00_4593);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2647z00_4600;

											BgL_val2647z00_4600 =
												BGl_zc3exitza34611ze3z83zz__evaluate_compz00
												(BgL_bpz00_4596, BgL_sz00_4595, BgL_runz00_16427);
											VECTOR_SET(BgL_sz00_4595, (int) (((long) 0)),
												BgL_bpz00_4596);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2647z00_4600)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2647z00_4600), CDR(BgL_val2647z00_4600));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2647z00_4600;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4607;

										BgL_nsz00_4607 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4607,
											(int) (((long) 1)), BgL_sz00_4595);
										VECTOR_SET(BgL_nsz00_4607,
											(int) (((long) 2)), BgL_dz00_4592);
										VECTOR_SET(BgL_nsz00_4607,
											(int) (((long) 3)), BgL_lastz00_4593);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_27549;

											BgL_auxz00_27549 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27549, BgL_nsz00_4607);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2650z00_4609;

											BgL_val2650z00_4609 =
												BGl_zc3exitza34617ze3z83zz__evaluate_compz00
												(BgL_nsz00_4607, BgL_runz00_16427);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_27553;

												BgL_auxz00_27553 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27553, BgL_sz00_4595);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2650z00_4609)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2650z00_4609), CDR(BgL_val2650z00_4609));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2650z00_4609;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4617> */
	obj_t BGl_zc3exitza34617ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17090,
		obj_t BgL_runz00_17089)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2651z00_4615;

			if (SET_EXIT(BgL_an_exit2651z00_4615))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2651z00_4615 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2651z00_4615, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2652z00_4616;

							BgL_val2652z00_4616 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17089,
								BgL_nsz00_17090, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2652z00_4616;
						}
					}
				}
		}
	}



/* <exit:4611> */
	obj_t BGl_zc3exitza34611ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17093,
		obj_t BgL_sz00_17092, obj_t BgL_runz00_17091)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2648z00_4605;

			if (SET_EXIT(BgL_an_exit2648z00_4605))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2648z00_4605 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2648z00_4605, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2649z00_4606;

							BgL_val2649z00_4606 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17091,
								BgL_sz00_17092, BgL_bpz00_17093);
							POP_EXIT();
							return BgL_val2649z00_4606;
						}
					}
				}
		}
	}



/* &run6823 */
	obj_t BGl_z62run6823z62zz__evaluate_compz00(obj_t BgL_envz00_16431,
		obj_t BgL_sz00_16436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16432;
				obj_t BgL_valza2za2_16433;
				BgL_ev_absz00_bglt BgL_instance2535z00_16434;
				obj_t BgL_bodyz00_16435;

				BgL_siza7eza7_16432 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 0))));
				BgL_valza2za2_16433 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 1))));
				BgL_instance2535z00_16434 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 2))));
				BgL_bodyz00_16435 = PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4618;

					BgL_sz00_4618 = BgL_sz00_16436;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4620;

						BgL_bpz00_4620 = VECTOR_REF(BgL_sz00_4618, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4618,
							BgL_valza2za2_16433,
							((long) CINT(BgL_bpz00_4620) + BgL_siza7eza7_16432));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4622;
							obj_t BgL_wherez00_4623;
							obj_t BgL_locz00_4624;

							BgL_z12denvz12_4622 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4623 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16434)))->BgL_wherez00);
							BgL_locz00_4624 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16434)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4622, BgL_wherez00_4623,
									BgL_locz00_4624);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4625;

									BgL_za2za2resza2za2z00_4625 =
										PROCEDURE_ENTRY(BgL_bodyz00_16435) (BgL_bodyz00_16435,
										BgL_sz00_4618, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4622);
									return BgL_za2za2resza2za2z00_4625;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4620> */
	obj_t BGl_z62zc3anonymousza34620ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16437, obj_t BgL_sz00_16444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16438;
				obj_t BgL_iboxesz00_16439;
				long BgL_siza7eza7_16440;
				BgL_ev_absz00_bglt BgL_instance2535z00_16441;
				obj_t BgL_bodyz00_16442;
				long BgL_siza7ezd2framez75_16443;

				BgL_ifreesz00_16438 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 0))));
				BgL_iboxesz00_16439 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 1))));
				BgL_siza7eza7_16440 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 2))));
				BgL_instance2535z00_16441 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 3))));
				BgL_bodyz00_16442 = PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16443 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4627;

					BgL_sz00_4627 = BgL_sz00_16444;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4629;

						BgL_bpz00_4629 = VECTOR_REF(BgL_sz00_4627, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4630;

							BgL_valza2za2_4630 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4627,
								BgL_bpz00_4629, BgL_ifreesz00_16438);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15695;

								BgL_runz00_15695 =
									MAKE_FX_PROCEDURE(BGl_z62run6825z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15695,
									(int) (((long) 0)), BgL_iboxesz00_16439);
								PROCEDURE_SET(BgL_runz00_15695,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16440));
								PROCEDURE_SET(BgL_runz00_15695,
									(int) (((long) 2)), BgL_valza2za2_4630);
								PROCEDURE_SET(BgL_runz00_15695,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16441));
								PROCEDURE_SET(BgL_runz00_15695,
									(int) (((long) 4)), BgL_bodyz00_16442);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15696;

									BgL_mainz00_15696 =
										MAKE_VA_PROCEDURE(BGl_z62main6824z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15696,
										(int) (((long) 0)), BgL_iboxesz00_16439);
									PROCEDURE_SET(BgL_mainz00_15696,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16440));
									PROCEDURE_SET(BgL_mainz00_15696,
										(int) (((long) 2)), BgL_valza2za2_4630);
									PROCEDURE_SET(BgL_mainz00_15696,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16441));
									PROCEDURE_SET(BgL_mainz00_15696,
										(int) (((long) 4)), BgL_bodyz00_16442);
									PROCEDURE_SET(BgL_mainz00_15696,
										(int) (((long) 5)), BgL_runz00_15695);
									PROCEDURE_SET(BgL_mainz00_15696,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16443));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12612;

										BgL_objz00_12612 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15695, BgL_objz00_12612);
										BgL_objz00_12612;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4621z00_4633;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4622z00_4634;

											BgL_arg4622z00_4634 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16441)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12617;

												BgL_newz00_12617 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27660;

													BgL_auxz00_27660 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12617, BgL_auxz00_27660,
														BgL_arg4622z00_4634);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27665;
													int BgL_auxz00_27663;

													BgL_auxz00_27665 = BINT(BgL_siza7ezd2framez75_16443);
													BgL_auxz00_27663 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12617, BgL_auxz00_27663,
														BgL_auxz00_27665);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27668;

													BgL_auxz00_27668 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12617, BgL_auxz00_27668,
														BgL_runz00_15695);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27673;
													int BgL_auxz00_27671;

													BgL_auxz00_27673 = BINT(((long) -2));
													BgL_auxz00_27671 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12617, BgL_auxz00_27671,
														BgL_auxz00_27673);
												}
												BgL_arg4621z00_4633 = BgL_newz00_12617;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15696, BgL_arg4621z00_4633);
										BgL_arg4621z00_4633;
									}
									return BgL_mainz00_15696;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6824 */
	obj_t BGl_z62main6824z62zz__evaluate_compz00(obj_t BgL_envz00_16445,
		obj_t BgL_dz00_16453, obj_t BgL_lastz00_16454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16451;
				long BgL_siza7ezd2framez75_16452;

				BgL_runz00_16451 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16445, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16452 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16445, (int) (((long) 6))));
				{
					obj_t BgL_dz00_4635;
					obj_t BgL_lastz00_4636;

					BgL_dz00_4635 = BgL_dz00_16453;
					BgL_lastz00_4636 = BgL_lastz00_16454;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4638;

						BgL_sz00_4638 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4639;

							BgL_bpz00_4639 = VECTOR_REF(BgL_sz00_4638, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_27686;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12573;
									int BgL_arg3190z00_12574;

									BgL_arg3189z00_12573 =
										((long) CINT(BgL_bpz00_4639) + BgL_siza7ezd2framez75_16452);
									BgL_arg3190z00_12574 = VECTOR_LENGTH(BgL_sz00_4638);
									BgL_testz00_27686 =
										(BgL_arg3189z00_12573 < (long) (BgL_arg3190z00_12574));
								}
								if (BgL_testz00_27686)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4625z00_4641;

											BgL_arg4625z00_4641 =
												((long) CINT(BgL_bpz00_4639) + ((long) 0));
											VECTOR_SET(BgL_sz00_4638,
												(int) (BgL_arg4625z00_4641), BgL_dz00_4635);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4626z00_4642;

											BgL_arg4626z00_4642 =
												((long) CINT(BgL_bpz00_4639) + ((long) 1));
											VECTOR_SET(BgL_sz00_4638,
												(int) (BgL_arg4626z00_4642), BgL_lastz00_4636);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2653z00_4643;

											BgL_val2653z00_4643 =
												BGl_zc3exitza34630ze3z83zz__evaluate_compz00
												(BgL_bpz00_4639, BgL_sz00_4638, BgL_runz00_16451);
											VECTOR_SET(BgL_sz00_4638, (int) (((long) 0)),
												BgL_bpz00_4639);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2653z00_4643)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2653z00_4643), CDR(BgL_val2653z00_4643));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2653z00_4643;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4650;

										BgL_nsz00_4650 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4650,
											(int) (((long) 1)), BgL_sz00_4638);
										VECTOR_SET(BgL_nsz00_4650,
											(int) (((long) 2)), BgL_dz00_4635);
										VECTOR_SET(BgL_nsz00_4650,
											(int) (((long) 3)), BgL_lastz00_4636);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_27716;

											BgL_auxz00_27716 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27716, BgL_nsz00_4650);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2656z00_4652;

											BgL_val2656z00_4652 =
												BGl_zc3exitza34637ze3z83zz__evaluate_compz00
												(BgL_nsz00_4650, BgL_runz00_16451);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_27720;

												BgL_auxz00_27720 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27720, BgL_sz00_4638);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2656z00_4652)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2656z00_4652), CDR(BgL_val2656z00_4652));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2656z00_4652;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4637> */
	obj_t BGl_zc3exitza34637ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17085,
		obj_t BgL_runz00_17084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2657z00_4658;

			if (SET_EXIT(BgL_an_exit2657z00_4658))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2657z00_4658 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2657z00_4658, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2658z00_4659;

							BgL_val2658z00_4659 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17084,
								BgL_nsz00_17085, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2658z00_4659;
						}
					}
				}
		}
	}



/* <exit:4630> */
	obj_t BGl_zc3exitza34630ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17088,
		obj_t BgL_sz00_17087, obj_t BgL_runz00_17086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2654z00_4648;

			if (SET_EXIT(BgL_an_exit2654z00_4648))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2654z00_4648 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2654z00_4648, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2655z00_4649;

							BgL_val2655z00_4649 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17086,
								BgL_sz00_17087, BgL_bpz00_17088);
							POP_EXIT();
							return BgL_val2655z00_4649;
						}
					}
				}
		}
	}



/* &run6825 */
	obj_t BGl_z62run6825z62zz__evaluate_compz00(obj_t BgL_envz00_16455,
		obj_t BgL_sz00_16461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16456;
				long BgL_siza7eza7_16457;
				obj_t BgL_valza2za2_16458;
				BgL_ev_absz00_bglt BgL_instance2535z00_16459;
				obj_t BgL_bodyz00_16460;

				BgL_iboxesz00_16456 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 0))));
				BgL_siza7eza7_16457 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 1))));
				BgL_valza2za2_16458 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 2))));
				BgL_instance2535z00_16459 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 3))));
				BgL_bodyz00_16460 = PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4661;

					BgL_sz00_4661 = BgL_sz00_16461;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4663;

						BgL_bpz00_4663 = VECTOR_REF(BgL_sz00_4661, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4661,
							BgL_iboxesz00_16456, BgL_bpz00_4663);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4661,
							BgL_valza2za2_16458,
							((long) CINT(BgL_bpz00_4663) + BgL_siza7eza7_16457));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4665;
							obj_t BgL_wherez00_4666;
							obj_t BgL_locz00_4667;

							BgL_z12denvz12_4665 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4666 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16459)))->BgL_wherez00);
							BgL_locz00_4667 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16459)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4665, BgL_wherez00_4666,
									BgL_locz00_4667);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4668;

									BgL_za2za2resza2za2z00_4668 =
										PROCEDURE_ENTRY(BgL_bodyz00_16460) (BgL_bodyz00_16460,
										BgL_sz00_4661, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4665);
									return BgL_za2za2resza2za2z00_4668;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4487> */
	obj_t BGl_z62zc3anonymousza34487ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16462, obj_t BgL_sz00_16466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16463;
				obj_t BgL_bodyz00_16464;
				long BgL_siza7ezd2framez75_16465;

				BgL_instance2535z00_16463 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16462, (int) (((long) 0))));
				BgL_bodyz00_16464 = PROCEDURE_REF(BgL_envz00_16462, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16465 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16462, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4334;

					BgL_sz00_4334 = BgL_sz00_16466;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4336;

						BgL_bpz00_4336 = VECTOR_REF(BgL_sz00_4334, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15692;

								BgL_runz00_15692 =
									MAKE_FX_PROCEDURE(BGl_z62run6827z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15692,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16463));
								PROCEDURE_SET(BgL_runz00_15692,
									(int) (((long) 1)), BgL_bodyz00_16464);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15693;

									BgL_mainz00_15693 =
										MAKE_FX_PROCEDURE(BGl_z62main6826z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15693,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16463));
									PROCEDURE_SET(BgL_mainz00_15693,
										(int) (((long) 1)), BgL_bodyz00_16464);
									PROCEDURE_SET(BgL_mainz00_15693,
										(int) (((long) 2)), BgL_runz00_15692);
									PROCEDURE_SET(BgL_mainz00_15693,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16465));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12079;

										BgL_objz00_12079 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15692, BgL_objz00_12079);
										BgL_objz00_12079;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4488z00_4339;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4489z00_4340;

											BgL_arg4489z00_4340 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16463)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12084;

												BgL_newz00_12084 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27807;

													BgL_auxz00_27807 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12084, BgL_auxz00_27807,
														BgL_arg4489z00_4340);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27812;
													int BgL_auxz00_27810;

													BgL_auxz00_27812 = BINT(BgL_siza7ezd2framez75_16465);
													BgL_auxz00_27810 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12084, BgL_auxz00_27810,
														BgL_auxz00_27812);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27815;

													BgL_auxz00_27815 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12084, BgL_auxz00_27815,
														BgL_runz00_15692);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27820;
													int BgL_auxz00_27818;

													BgL_auxz00_27820 = BINT(((long) 1));
													BgL_auxz00_27818 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12084, BgL_auxz00_27818,
														BgL_auxz00_27820);
												}
												BgL_arg4488z00_4339 = BgL_newz00_12084;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15693, BgL_arg4488z00_4339);
										BgL_arg4488z00_4339;
									}
									return BgL_mainz00_15693;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6826 */
	obj_t BGl_z62main6826z62zz__evaluate_compz00(obj_t BgL_envz00_16467,
		obj_t BgL_dz00_16472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16470;
				long BgL_siza7ezd2framez75_16471;

				BgL_runz00_16470 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16467, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16471 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16467, (int) (((long) 3))));
				{
					obj_t BgL_dz00_4341;

					BgL_dz00_4341 = BgL_dz00_16472;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4343;

						BgL_sz00_4343 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4344;

							BgL_bpz00_4344 = VECTOR_REF(BgL_sz00_4343, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_27833;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12049;
									int BgL_arg3190z00_12050;

									BgL_arg3189z00_12049 =
										((long) CINT(BgL_bpz00_4344) + BgL_siza7ezd2framez75_16471);
									BgL_arg3190z00_12050 = VECTOR_LENGTH(BgL_sz00_4343);
									BgL_testz00_27833 =
										(BgL_arg3189z00_12049 < (long) (BgL_arg3190z00_12050));
								}
								if (BgL_testz00_27833)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4492z00_4346;

											BgL_arg4492z00_4346 =
												((long) CINT(BgL_bpz00_4344) + ((long) 0));
											VECTOR_SET(BgL_sz00_4343,
												(int) (BgL_arg4492z00_4346), BgL_dz00_4341);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2611z00_4347;

											BgL_val2611z00_4347 =
												BGl_zc3exitza34496ze3z83zz__evaluate_compz00
												(BgL_bpz00_4344, BgL_sz00_4343, BgL_runz00_16470);
											VECTOR_SET(BgL_sz00_4343, (int) (((long) 0)),
												BgL_bpz00_4344);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2611z00_4347)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2611z00_4347), CDR(BgL_val2611z00_4347));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2611z00_4347;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4354;

										BgL_nsz00_4354 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4354,
											(int) (((long) 1)), BgL_sz00_4343);
										VECTOR_SET(BgL_nsz00_4354,
											(int) (((long) 2)), BgL_dz00_4341);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_27857;

											BgL_auxz00_27857 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27857, BgL_nsz00_4354);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2614z00_4356;

											BgL_val2614z00_4356 =
												BGl_zc3exitza34502ze3z83zz__evaluate_compz00
												(BgL_nsz00_4354, BgL_runz00_16470);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_27861;

												BgL_auxz00_27861 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27861, BgL_sz00_4343);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2614z00_4356)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2614z00_4356), CDR(BgL_val2614z00_4356));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2614z00_4356;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4502> */
	obj_t BGl_zc3exitza34502ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17080,
		obj_t BgL_runz00_17079)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2615z00_4362;

			if (SET_EXIT(BgL_an_exit2615z00_4362))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2615z00_4362 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2615z00_4362, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2616z00_4363;

							BgL_val2616z00_4363 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17079,
								BgL_nsz00_17080, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2616z00_4363;
						}
					}
				}
		}
	}



/* <exit:4496> */
	obj_t BGl_zc3exitza34496ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17083,
		obj_t BgL_sz00_17082, obj_t BgL_runz00_17081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2612z00_4352;

			if (SET_EXIT(BgL_an_exit2612z00_4352))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2612z00_4352 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2612z00_4352, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2613z00_4353;

							BgL_val2613z00_4353 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17081,
								BgL_sz00_17082, BgL_bpz00_17083);
							POP_EXIT();
							return BgL_val2613z00_4353;
						}
					}
				}
		}
	}



/* &run6827 */
	obj_t BGl_z62run6827z62zz__evaluate_compz00(obj_t BgL_envz00_16473,
		obj_t BgL_sz00_16476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16474;
				obj_t BgL_bodyz00_16475;

				BgL_instance2535z00_16474 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16473, (int) (((long) 0))));
				BgL_bodyz00_16475 = PROCEDURE_REF(BgL_envz00_16473, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4365;

					BgL_sz00_4365 = BgL_sz00_16476;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4367;

						BgL_bpz00_4367 = VECTOR_REF(BgL_sz00_4365, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4368;
							obj_t BgL_wherez00_4369;
							obj_t BgL_locz00_4370;

							BgL_z12denvz12_4368 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4369 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16474)))->BgL_wherez00);
							BgL_locz00_4370 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16474)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4368, BgL_wherez00_4369,
									BgL_locz00_4370);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4371;

									BgL_za2za2resza2za2z00_4371 =
										PROCEDURE_ENTRY(BgL_bodyz00_16475) (BgL_bodyz00_16475,
										BgL_sz00_4365, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4368);
									return BgL_za2za2resza2za2z00_4371;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4504> */
	obj_t BGl_z62zc3anonymousza34504ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16477, obj_t BgL_sz00_16482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16478;
				BgL_ev_absz00_bglt BgL_instance2535z00_16479;
				obj_t BgL_bodyz00_16480;
				long BgL_siza7ezd2framez75_16481;

				BgL_iboxesz00_16478 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16477, (int) (((long) 0))));
				BgL_instance2535z00_16479 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16477, (int) (((long) 1))));
				BgL_bodyz00_16480 = PROCEDURE_REF(BgL_envz00_16477, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16481 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16477, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4373;

					BgL_sz00_4373 = BgL_sz00_16482;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4375;

						BgL_bpz00_4375 = VECTOR_REF(BgL_sz00_4373, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15689;

								BgL_runz00_15689 =
									MAKE_FX_PROCEDURE(BGl_z62run6829z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15689,
									(int) (((long) 0)), BgL_iboxesz00_16478);
								PROCEDURE_SET(BgL_runz00_15689,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16479));
								PROCEDURE_SET(BgL_runz00_15689,
									(int) (((long) 2)), BgL_bodyz00_16480);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15690;

									BgL_mainz00_15690 =
										MAKE_FX_PROCEDURE(BGl_z62main6828z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15690,
										(int) (((long) 0)), BgL_iboxesz00_16478);
									PROCEDURE_SET(BgL_mainz00_15690,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16479));
									PROCEDURE_SET(BgL_mainz00_15690,
										(int) (((long) 2)), BgL_bodyz00_16480);
									PROCEDURE_SET(BgL_mainz00_15690,
										(int) (((long) 3)), BgL_runz00_15689);
									PROCEDURE_SET(BgL_mainz00_15690,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16481));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12146;

										BgL_objz00_12146 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15689, BgL_objz00_12146);
										BgL_objz00_12146;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4505z00_4378;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4506z00_4379;

											BgL_arg4506z00_4379 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16479)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12151;

												BgL_newz00_12151 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27942;

													BgL_auxz00_27942 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12151, BgL_auxz00_27942,
														BgL_arg4506z00_4379);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27947;
													int BgL_auxz00_27945;

													BgL_auxz00_27947 = BINT(BgL_siza7ezd2framez75_16481);
													BgL_auxz00_27945 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12151, BgL_auxz00_27945,
														BgL_auxz00_27947);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_27950;

													BgL_auxz00_27950 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12151, BgL_auxz00_27950,
														BgL_runz00_15689);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_27955;
													int BgL_auxz00_27953;

													BgL_auxz00_27955 = BINT(((long) 1));
													BgL_auxz00_27953 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12151, BgL_auxz00_27953,
														BgL_auxz00_27955);
												}
												BgL_arg4505z00_4378 = BgL_newz00_12151;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15690, BgL_arg4505z00_4378);
										BgL_arg4505z00_4378;
									}
									return BgL_mainz00_15690;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6828 */
	obj_t BGl_z62main6828z62zz__evaluate_compz00(obj_t BgL_envz00_16483,
		obj_t BgL_dz00_16489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16487;
				long BgL_siza7ezd2framez75_16488;

				BgL_runz00_16487 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16483, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16488 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16483, (int) (((long) 4))));
				{
					obj_t BgL_dz00_4380;

					BgL_dz00_4380 = BgL_dz00_16489;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4382;

						BgL_sz00_4382 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4383;

							BgL_bpz00_4383 = VECTOR_REF(BgL_sz00_4382, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_27968;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12116;
									int BgL_arg3190z00_12117;

									BgL_arg3189z00_12116 =
										((long) CINT(BgL_bpz00_4383) + BgL_siza7ezd2framez75_16488);
									BgL_arg3190z00_12117 = VECTOR_LENGTH(BgL_sz00_4382);
									BgL_testz00_27968 =
										(BgL_arg3189z00_12116 < (long) (BgL_arg3190z00_12117));
								}
								if (BgL_testz00_27968)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4509z00_4385;

											BgL_arg4509z00_4385 =
												((long) CINT(BgL_bpz00_4383) + ((long) 0));
											VECTOR_SET(BgL_sz00_4382,
												(int) (BgL_arg4509z00_4385), BgL_dz00_4380);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2617z00_4386;

											BgL_val2617z00_4386 =
												BGl_zc3exitza34513ze3z83zz__evaluate_compz00
												(BgL_bpz00_4383, BgL_sz00_4382, BgL_runz00_16487);
											VECTOR_SET(BgL_sz00_4382, (int) (((long) 0)),
												BgL_bpz00_4383);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2617z00_4386)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2617z00_4386), CDR(BgL_val2617z00_4386));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2617z00_4386;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4393;

										BgL_nsz00_4393 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4393,
											(int) (((long) 1)), BgL_sz00_4382);
										VECTOR_SET(BgL_nsz00_4393,
											(int) (((long) 2)), BgL_dz00_4380);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_27992;

											BgL_auxz00_27992 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27992, BgL_nsz00_4393);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2620z00_4395;

											BgL_val2620z00_4395 =
												BGl_zc3exitza34519ze3z83zz__evaluate_compz00
												(BgL_nsz00_4393, BgL_runz00_16487);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_27996;

												BgL_auxz00_27996 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27996, BgL_sz00_4382);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2620z00_4395)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2620z00_4395), CDR(BgL_val2620z00_4395));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2620z00_4395;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4519> */
	obj_t BGl_zc3exitza34519ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17075,
		obj_t BgL_runz00_17074)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2621z00_4401;

			if (SET_EXIT(BgL_an_exit2621z00_4401))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2621z00_4401 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2621z00_4401, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2622z00_4402;

							BgL_val2622z00_4402 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17074,
								BgL_nsz00_17075, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2622z00_4402;
						}
					}
				}
		}
	}



/* <exit:4513> */
	obj_t BGl_zc3exitza34513ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17078,
		obj_t BgL_sz00_17077, obj_t BgL_runz00_17076)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2618z00_4391;

			if (SET_EXIT(BgL_an_exit2618z00_4391))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2618z00_4391 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2618z00_4391, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2619z00_4392;

							BgL_val2619z00_4392 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17076,
								BgL_sz00_17077, BgL_bpz00_17078);
							POP_EXIT();
							return BgL_val2619z00_4392;
						}
					}
				}
		}
	}



/* &run6829 */
	obj_t BGl_z62run6829z62zz__evaluate_compz00(obj_t BgL_envz00_16490,
		obj_t BgL_sz00_16494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16491;
				BgL_ev_absz00_bglt BgL_instance2535z00_16492;
				obj_t BgL_bodyz00_16493;

				BgL_iboxesz00_16491 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16490, (int) (((long) 0))));
				BgL_instance2535z00_16492 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16490, (int) (((long) 1))));
				BgL_bodyz00_16493 = PROCEDURE_REF(BgL_envz00_16490, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4404;

					BgL_sz00_4404 = BgL_sz00_16494;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4406;

						BgL_bpz00_4406 = VECTOR_REF(BgL_sz00_4404, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4404,
							BgL_iboxesz00_16491, BgL_bpz00_4406);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4407;
							obj_t BgL_wherez00_4408;
							obj_t BgL_locz00_4409;

							BgL_z12denvz12_4407 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4408 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16492)))->BgL_wherez00);
							BgL_locz00_4409 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16492)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4407, BgL_wherez00_4408,
									BgL_locz00_4409);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4410;

									BgL_za2za2resza2za2z00_4410 =
										PROCEDURE_ENTRY(BgL_bodyz00_16493) (BgL_bodyz00_16493,
										BgL_sz00_4404, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4407);
									return BgL_za2za2resza2za2z00_4410;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4523> */
	obj_t BGl_z62zc3anonymousza34523ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16495, obj_t BgL_sz00_16501)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16496;
				long BgL_siza7eza7_16497;
				BgL_ev_absz00_bglt BgL_instance2535z00_16498;
				obj_t BgL_bodyz00_16499;
				long BgL_siza7ezd2framez75_16500;

				BgL_ifreesz00_16496 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16495, (int) (((long) 0))));
				BgL_siza7eza7_16497 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16495, (int) (((long) 1))));
				BgL_instance2535z00_16498 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16495, (int) (((long) 2))));
				BgL_bodyz00_16499 = PROCEDURE_REF(BgL_envz00_16495, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16500 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16495, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4414;

					BgL_sz00_4414 = BgL_sz00_16501;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4416;

						BgL_bpz00_4416 = VECTOR_REF(BgL_sz00_4414, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4417;

							BgL_valza2za2_4417 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4414,
								BgL_bpz00_4416, BgL_ifreesz00_16496);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15686;

								BgL_runz00_15686 =
									MAKE_FX_PROCEDURE(BGl_z62run6831z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15686,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16497));
								PROCEDURE_SET(BgL_runz00_15686,
									(int) (((long) 1)), BgL_valza2za2_4417);
								PROCEDURE_SET(BgL_runz00_15686,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16498));
								PROCEDURE_SET(BgL_runz00_15686,
									(int) (((long) 3)), BgL_bodyz00_16499);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15687;

									BgL_mainz00_15687 =
										MAKE_FX_PROCEDURE(BGl_z62main6830z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15687,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16497));
									PROCEDURE_SET(BgL_mainz00_15687,
										(int) (((long) 1)), BgL_valza2za2_4417);
									PROCEDURE_SET(BgL_mainz00_15687,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16498));
									PROCEDURE_SET(BgL_mainz00_15687,
										(int) (((long) 3)), BgL_bodyz00_16499);
									PROCEDURE_SET(BgL_mainz00_15687,
										(int) (((long) 4)), BgL_runz00_15686);
									PROCEDURE_SET(BgL_mainz00_15687,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16500));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12220;

										BgL_objz00_12220 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15686, BgL_objz00_12220);
										BgL_objz00_12220;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4524z00_4420;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4525z00_4421;

											BgL_arg4525z00_4421 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16498)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12225;

												BgL_newz00_12225 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28091;

													BgL_auxz00_28091 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12225, BgL_auxz00_28091,
														BgL_arg4525z00_4421);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28096;
													int BgL_auxz00_28094;

													BgL_auxz00_28096 = BINT(BgL_siza7ezd2framez75_16500);
													BgL_auxz00_28094 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12225, BgL_auxz00_28094,
														BgL_auxz00_28096);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28099;

													BgL_auxz00_28099 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12225, BgL_auxz00_28099,
														BgL_runz00_15686);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28104;
													int BgL_auxz00_28102;

													BgL_auxz00_28104 = BINT(((long) 1));
													BgL_auxz00_28102 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12225, BgL_auxz00_28102,
														BgL_auxz00_28104);
												}
												BgL_arg4524z00_4420 = BgL_newz00_12225;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15687, BgL_arg4524z00_4420);
										BgL_arg4524z00_4420;
									}
									return BgL_mainz00_15687;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6830 */
	obj_t BGl_z62main6830z62zz__evaluate_compz00(obj_t BgL_envz00_16502,
		obj_t BgL_dz00_16509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16507;
				long BgL_siza7ezd2framez75_16508;

				BgL_runz00_16507 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16502, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16508 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16502, (int) (((long) 5))));
				{
					obj_t BgL_dz00_4422;

					BgL_dz00_4422 = BgL_dz00_16509;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4424;

						BgL_sz00_4424 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4425;

							BgL_bpz00_4425 = VECTOR_REF(BgL_sz00_4424, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_28117;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12190;
									int BgL_arg3190z00_12191;

									BgL_arg3189z00_12190 =
										((long) CINT(BgL_bpz00_4425) + BgL_siza7ezd2framez75_16508);
									BgL_arg3190z00_12191 = VECTOR_LENGTH(BgL_sz00_4424);
									BgL_testz00_28117 =
										(BgL_arg3189z00_12190 < (long) (BgL_arg3190z00_12191));
								}
								if (BgL_testz00_28117)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4528z00_4427;

											BgL_arg4528z00_4427 =
												((long) CINT(BgL_bpz00_4425) + ((long) 0));
											VECTOR_SET(BgL_sz00_4424,
												(int) (BgL_arg4528z00_4427), BgL_dz00_4422);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2623z00_4428;

											BgL_val2623z00_4428 =
												BGl_zc3exitza34532ze3z83zz__evaluate_compz00
												(BgL_bpz00_4425, BgL_sz00_4424, BgL_runz00_16507);
											VECTOR_SET(BgL_sz00_4424, (int) (((long) 0)),
												BgL_bpz00_4425);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2623z00_4428)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2623z00_4428), CDR(BgL_val2623z00_4428));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2623z00_4428;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4435;

										BgL_nsz00_4435 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4435,
											(int) (((long) 1)), BgL_sz00_4424);
										VECTOR_SET(BgL_nsz00_4435,
											(int) (((long) 2)), BgL_dz00_4422);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_28141;

											BgL_auxz00_28141 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28141, BgL_nsz00_4435);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2626z00_4437;

											BgL_val2626z00_4437 =
												BGl_zc3exitza34538ze3z83zz__evaluate_compz00
												(BgL_nsz00_4435, BgL_runz00_16507);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_28145;

												BgL_auxz00_28145 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28145, BgL_sz00_4424);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2626z00_4437)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2626z00_4437), CDR(BgL_val2626z00_4437));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2626z00_4437;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4538> */
	obj_t BGl_zc3exitza34538ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17070,
		obj_t BgL_runz00_17069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2627z00_4443;

			if (SET_EXIT(BgL_an_exit2627z00_4443))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2627z00_4443 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2627z00_4443, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2628z00_4444;

							BgL_val2628z00_4444 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17069,
								BgL_nsz00_17070, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2628z00_4444;
						}
					}
				}
		}
	}



/* <exit:4532> */
	obj_t BGl_zc3exitza34532ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17073,
		obj_t BgL_sz00_17072, obj_t BgL_runz00_17071)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2624z00_4433;

			if (SET_EXIT(BgL_an_exit2624z00_4433))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2624z00_4433 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2624z00_4433, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2625z00_4434;

							BgL_val2625z00_4434 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17071,
								BgL_sz00_17072, BgL_bpz00_17073);
							POP_EXIT();
							return BgL_val2625z00_4434;
						}
					}
				}
		}
	}



/* &run6831 */
	obj_t BGl_z62run6831z62zz__evaluate_compz00(obj_t BgL_envz00_16510,
		obj_t BgL_sz00_16515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16511;
				obj_t BgL_valza2za2_16512;
				BgL_ev_absz00_bglt BgL_instance2535z00_16513;
				obj_t BgL_bodyz00_16514;

				BgL_siza7eza7_16511 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16510, (int) (((long) 0))));
				BgL_valza2za2_16512 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16510, (int) (((long) 1))));
				BgL_instance2535z00_16513 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16510, (int) (((long) 2))));
				BgL_bodyz00_16514 = PROCEDURE_REF(BgL_envz00_16510, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4446;

					BgL_sz00_4446 = BgL_sz00_16515;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4448;

						BgL_bpz00_4448 = VECTOR_REF(BgL_sz00_4446, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4446,
							BgL_valza2za2_16512,
							((long) CINT(BgL_bpz00_4448) + BgL_siza7eza7_16511));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4450;
							obj_t BgL_wherez00_4451;
							obj_t BgL_locz00_4452;

							BgL_z12denvz12_4450 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4451 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16513)))->BgL_wherez00);
							BgL_locz00_4452 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16513)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4450, BgL_wherez00_4451,
									BgL_locz00_4452);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4453;

									BgL_za2za2resza2za2z00_4453 =
										PROCEDURE_ENTRY(BgL_bodyz00_16514) (BgL_bodyz00_16514,
										BgL_sz00_4446, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4450);
									return BgL_za2za2resza2za2z00_4453;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4541> */
	obj_t BGl_z62zc3anonymousza34541ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16516, obj_t BgL_sz00_16523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16517;
				obj_t BgL_iboxesz00_16518;
				long BgL_siza7eza7_16519;
				BgL_ev_absz00_bglt BgL_instance2535z00_16520;
				obj_t BgL_bodyz00_16521;
				long BgL_siza7ezd2framez75_16522;

				BgL_ifreesz00_16517 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 0))));
				BgL_iboxesz00_16518 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 1))));
				BgL_siza7eza7_16519 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 2))));
				BgL_instance2535z00_16520 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 3))));
				BgL_bodyz00_16521 = PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16522 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4455;

					BgL_sz00_4455 = BgL_sz00_16523;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4457;

						BgL_bpz00_4457 = VECTOR_REF(BgL_sz00_4455, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4458;

							BgL_valza2za2_4458 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4455,
								BgL_bpz00_4457, BgL_ifreesz00_16517);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15683;

								BgL_runz00_15683 =
									MAKE_FX_PROCEDURE(BGl_z62run6833z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15683,
									(int) (((long) 0)), BgL_iboxesz00_16518);
								PROCEDURE_SET(BgL_runz00_15683,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16519));
								PROCEDURE_SET(BgL_runz00_15683,
									(int) (((long) 2)), BgL_valza2za2_4458);
								PROCEDURE_SET(BgL_runz00_15683,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16520));
								PROCEDURE_SET(BgL_runz00_15683,
									(int) (((long) 4)), BgL_bodyz00_16521);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15684;

									BgL_mainz00_15684 =
										MAKE_FX_PROCEDURE(BGl_z62main6832z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15684,
										(int) (((long) 0)), BgL_iboxesz00_16518);
									PROCEDURE_SET(BgL_mainz00_15684,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16519));
									PROCEDURE_SET(BgL_mainz00_15684,
										(int) (((long) 2)), BgL_valza2za2_4458);
									PROCEDURE_SET(BgL_mainz00_15684,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16520));
									PROCEDURE_SET(BgL_mainz00_15684,
										(int) (((long) 4)), BgL_bodyz00_16521);
									PROCEDURE_SET(BgL_mainz00_15684,
										(int) (((long) 5)), BgL_runz00_15683);
									PROCEDURE_SET(BgL_mainz00_15684,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16522));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12290;

										BgL_objz00_12290 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15683, BgL_objz00_12290);
										BgL_objz00_12290;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4542z00_4461;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4543z00_4462;

											BgL_arg4543z00_4462 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16520)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12295;

												BgL_newz00_12295 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28252;

													BgL_auxz00_28252 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12295, BgL_auxz00_28252,
														BgL_arg4543z00_4462);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28257;
													int BgL_auxz00_28255;

													BgL_auxz00_28257 = BINT(BgL_siza7ezd2framez75_16522);
													BgL_auxz00_28255 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12295, BgL_auxz00_28255,
														BgL_auxz00_28257);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28260;

													BgL_auxz00_28260 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12295, BgL_auxz00_28260,
														BgL_runz00_15683);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28265;
													int BgL_auxz00_28263;

													BgL_auxz00_28265 = BINT(((long) 1));
													BgL_auxz00_28263 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12295, BgL_auxz00_28263,
														BgL_auxz00_28265);
												}
												BgL_arg4542z00_4461 = BgL_newz00_12295;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15684, BgL_arg4542z00_4461);
										BgL_arg4542z00_4461;
									}
									return BgL_mainz00_15684;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6832 */
	obj_t BGl_z62main6832z62zz__evaluate_compz00(obj_t BgL_envz00_16524,
		obj_t BgL_dz00_16532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16530;
				long BgL_siza7ezd2framez75_16531;

				BgL_runz00_16530 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16524, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16531 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16524, (int) (((long) 6))));
				{
					obj_t BgL_dz00_4463;

					BgL_dz00_4463 = BgL_dz00_16532;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4465;

						BgL_sz00_4465 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4466;

							BgL_bpz00_4466 = VECTOR_REF(BgL_sz00_4465, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_28278;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_12260;
									int BgL_arg3190z00_12261;

									BgL_arg3189z00_12260 =
										((long) CINT(BgL_bpz00_4466) + BgL_siza7ezd2framez75_16531);
									BgL_arg3190z00_12261 = VECTOR_LENGTH(BgL_sz00_4465);
									BgL_testz00_28278 =
										(BgL_arg3189z00_12260 < (long) (BgL_arg3190z00_12261));
								}
								if (BgL_testz00_28278)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4546z00_4468;

											BgL_arg4546z00_4468 =
												((long) CINT(BgL_bpz00_4466) + ((long) 0));
											VECTOR_SET(BgL_sz00_4465,
												(int) (BgL_arg4546z00_4468), BgL_dz00_4463);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2629z00_4469;

											BgL_val2629z00_4469 =
												BGl_zc3exitza34550ze3z83zz__evaluate_compz00
												(BgL_bpz00_4466, BgL_sz00_4465, BgL_runz00_16530);
											VECTOR_SET(BgL_sz00_4465, (int) (((long) 0)),
												BgL_bpz00_4466);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2629z00_4469)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2629z00_4469), CDR(BgL_val2629z00_4469));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2629z00_4469;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4476;

										BgL_nsz00_4476 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4476,
											(int) (((long) 1)), BgL_sz00_4465);
										VECTOR_SET(BgL_nsz00_4476,
											(int) (((long) 2)), BgL_dz00_4463);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_28302;

											BgL_auxz00_28302 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28302, BgL_nsz00_4476);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2632z00_4478;

											BgL_val2632z00_4478 =
												BGl_zc3exitza34556ze3z83zz__evaluate_compz00
												(BgL_nsz00_4476, BgL_runz00_16530);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_28306;

												BgL_auxz00_28306 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28306, BgL_sz00_4465);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2632z00_4478)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2632z00_4478), CDR(BgL_val2632z00_4478));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2632z00_4478;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4556> */
	obj_t BGl_zc3exitza34556ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17065,
		obj_t BgL_runz00_17064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2633z00_4484;

			if (SET_EXIT(BgL_an_exit2633z00_4484))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2633z00_4484 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2633z00_4484, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2634z00_4485;

							BgL_val2634z00_4485 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17064,
								BgL_nsz00_17065, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2634z00_4485;
						}
					}
				}
		}
	}



/* <exit:4550> */
	obj_t BGl_zc3exitza34550ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17068,
		obj_t BgL_sz00_17067, obj_t BgL_runz00_17066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2630z00_4474;

			if (SET_EXIT(BgL_an_exit2630z00_4474))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2630z00_4474 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2630z00_4474, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2631z00_4475;

							BgL_val2631z00_4475 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17066,
								BgL_sz00_17067, BgL_bpz00_17068);
							POP_EXIT();
							return BgL_val2631z00_4475;
						}
					}
				}
		}
	}



/* &run6833 */
	obj_t BGl_z62run6833z62zz__evaluate_compz00(obj_t BgL_envz00_16533,
		obj_t BgL_sz00_16539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16534;
				long BgL_siza7eza7_16535;
				obj_t BgL_valza2za2_16536;
				BgL_ev_absz00_bglt BgL_instance2535z00_16537;
				obj_t BgL_bodyz00_16538;

				BgL_iboxesz00_16534 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16533, (int) (((long) 0))));
				BgL_siza7eza7_16535 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16533, (int) (((long) 1))));
				BgL_valza2za2_16536 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16533, (int) (((long) 2))));
				BgL_instance2535z00_16537 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16533, (int) (((long) 3))));
				BgL_bodyz00_16538 = PROCEDURE_REF(BgL_envz00_16533, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4487;

					BgL_sz00_4487 = BgL_sz00_16539;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4489;

						BgL_bpz00_4489 = VECTOR_REF(BgL_sz00_4487, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4487,
							BgL_iboxesz00_16534, BgL_bpz00_4489);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4487,
							BgL_valza2za2_16536,
							((long) CINT(BgL_bpz00_4489) + BgL_siza7eza7_16535));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4491;
							obj_t BgL_wherez00_4492;
							obj_t BgL_locz00_4493;

							BgL_z12denvz12_4491 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4492 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16537)))->BgL_wherez00);
							BgL_locz00_4493 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16537)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4491, BgL_wherez00_4492,
									BgL_locz00_4493);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4494;

									BgL_za2za2resza2za2z00_4494 =
										PROCEDURE_ENTRY(BgL_bodyz00_16538) (BgL_bodyz00_16538,
										BgL_sz00_4487, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4491);
									return BgL_za2za2resza2za2z00_4494;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4410> */
	obj_t BGl_z62zc3anonymousza34410ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16540, obj_t BgL_sz00_16544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16541;
				obj_t BgL_bodyz00_16542;
				long BgL_siza7ezd2framez75_16543;

				BgL_instance2535z00_16541 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16540, (int) (((long) 0))));
				BgL_bodyz00_16542 = PROCEDURE_REF(BgL_envz00_16540, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16543 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16540, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4168;

					BgL_sz00_4168 = BgL_sz00_16544;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4170;

						BgL_bpz00_4170 = VECTOR_REF(BgL_sz00_4168, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15680;

								BgL_runz00_15680 =
									MAKE_FX_PROCEDURE(BGl_z62run6835z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15680,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16541));
								PROCEDURE_SET(BgL_runz00_15680,
									(int) (((long) 1)), BgL_bodyz00_16542);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15681;

									BgL_mainz00_15681 =
										MAKE_VA_PROCEDURE(BGl_z62main6834z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15681,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16541));
									PROCEDURE_SET(BgL_mainz00_15681,
										(int) (((long) 1)), BgL_bodyz00_16542);
									PROCEDURE_SET(BgL_mainz00_15681,
										(int) (((long) 2)), BgL_runz00_15680);
									PROCEDURE_SET(BgL_mainz00_15681,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16543));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11793;

										BgL_objz00_11793 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15680, BgL_objz00_11793);
										BgL_objz00_11793;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4411z00_4173;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4412z00_4174;

											BgL_arg4412z00_4174 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16541)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11798;

												BgL_newz00_11798 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28393;

													BgL_auxz00_28393 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11798, BgL_auxz00_28393,
														BgL_arg4412z00_4174);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28398;
													int BgL_auxz00_28396;

													BgL_auxz00_28398 = BINT(BgL_siza7ezd2framez75_16543);
													BgL_auxz00_28396 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11798, BgL_auxz00_28396,
														BgL_auxz00_28398);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28401;

													BgL_auxz00_28401 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11798, BgL_auxz00_28401,
														BgL_runz00_15680);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28406;
													int BgL_auxz00_28404;

													BgL_auxz00_28406 = BINT(((long) -1));
													BgL_auxz00_28404 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11798, BgL_auxz00_28404,
														BgL_auxz00_28406);
												}
												BgL_arg4411z00_4173 = BgL_newz00_11798;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15681, BgL_arg4411z00_4173);
										BgL_arg4411z00_4173;
									}
									return BgL_mainz00_15681;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6834 */
	obj_t BGl_z62main6834z62zz__evaluate_compz00(obj_t BgL_envz00_16545,
		obj_t BgL_lastz00_16550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16548;
				long BgL_siza7ezd2framez75_16549;

				BgL_runz00_16548 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16549 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_4175;

					BgL_lastz00_4175 = BgL_lastz00_16550;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4177;

						BgL_sz00_4177 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4178;

							BgL_bpz00_4178 = VECTOR_REF(BgL_sz00_4177, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_28419;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11763;
									int BgL_arg3190z00_11764;

									BgL_arg3189z00_11763 =
										((long) CINT(BgL_bpz00_4178) + BgL_siza7ezd2framez75_16549);
									BgL_arg3190z00_11764 = VECTOR_LENGTH(BgL_sz00_4177);
									BgL_testz00_28419 =
										(BgL_arg3189z00_11763 < (long) (BgL_arg3190z00_11764));
								}
								if (BgL_testz00_28419)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4415z00_4180;

											BgL_arg4415z00_4180 =
												((long) CINT(BgL_bpz00_4178) + ((long) 0));
											VECTOR_SET(BgL_sz00_4177,
												(int) (BgL_arg4415z00_4180), BgL_lastz00_4175);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2587z00_4181;

											BgL_val2587z00_4181 =
												BGl_zc3exitza34420ze3z83zz__evaluate_compz00
												(BgL_bpz00_4178, BgL_sz00_4177, BgL_runz00_16548);
											VECTOR_SET(BgL_sz00_4177, (int) (((long) 0)),
												BgL_bpz00_4178);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2587z00_4181)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2587z00_4181), CDR(BgL_val2587z00_4181));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2587z00_4181;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4188;

										BgL_nsz00_4188 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4188,
											(int) (((long) 1)), BgL_sz00_4177);
										VECTOR_SET(BgL_nsz00_4188,
											(int) (((long) 2)), BgL_lastz00_4175);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_28443;

											BgL_auxz00_28443 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28443, BgL_nsz00_4188);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2590z00_4190;

											BgL_val2590z00_4190 =
												BGl_zc3exitza34426ze3z83zz__evaluate_compz00
												(BgL_nsz00_4188, BgL_runz00_16548);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_28447;

												BgL_auxz00_28447 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28447, BgL_sz00_4177);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2590z00_4190)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2590z00_4190), CDR(BgL_val2590z00_4190));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2590z00_4190;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4426> */
	obj_t BGl_zc3exitza34426ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17060,
		obj_t BgL_runz00_17059)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2591z00_4196;

			if (SET_EXIT(BgL_an_exit2591z00_4196))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2591z00_4196 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2591z00_4196, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2592z00_4197;

							BgL_val2592z00_4197 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17059,
								BgL_nsz00_17060, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2592z00_4197;
						}
					}
				}
		}
	}



/* <exit:4420> */
	obj_t BGl_zc3exitza34420ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17063,
		obj_t BgL_sz00_17062, obj_t BgL_runz00_17061)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2588z00_4186;

			if (SET_EXIT(BgL_an_exit2588z00_4186))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2588z00_4186 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2588z00_4186, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2589z00_4187;

							BgL_val2589z00_4187 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17061,
								BgL_sz00_17062, BgL_bpz00_17063);
							POP_EXIT();
							return BgL_val2589z00_4187;
						}
					}
				}
		}
	}



/* &run6835 */
	obj_t BGl_z62run6835z62zz__evaluate_compz00(obj_t BgL_envz00_16551,
		obj_t BgL_sz00_16554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16552;
				obj_t BgL_bodyz00_16553;

				BgL_instance2535z00_16552 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16551, (int) (((long) 0))));
				BgL_bodyz00_16553 = PROCEDURE_REF(BgL_envz00_16551, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4199;

					BgL_sz00_4199 = BgL_sz00_16554;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4201;

						BgL_bpz00_4201 = VECTOR_REF(BgL_sz00_4199, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4202;
							obj_t BgL_wherez00_4203;
							obj_t BgL_locz00_4204;

							BgL_z12denvz12_4202 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4203 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16552)))->BgL_wherez00);
							BgL_locz00_4204 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16552)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4202, BgL_wherez00_4203,
									BgL_locz00_4204);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4205;

									BgL_za2za2resza2za2z00_4205 =
										PROCEDURE_ENTRY(BgL_bodyz00_16553) (BgL_bodyz00_16553,
										BgL_sz00_4199, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4202);
									return BgL_za2za2resza2za2z00_4205;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4428> */
	obj_t BGl_z62zc3anonymousza34428ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16555, obj_t BgL_sz00_16560)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16556;
				BgL_ev_absz00_bglt BgL_instance2535z00_16557;
				obj_t BgL_bodyz00_16558;
				long BgL_siza7ezd2framez75_16559;

				BgL_iboxesz00_16556 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16555, (int) (((long) 0))));
				BgL_instance2535z00_16557 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16555, (int) (((long) 1))));
				BgL_bodyz00_16558 = PROCEDURE_REF(BgL_envz00_16555, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16559 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16555, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4207;

					BgL_sz00_4207 = BgL_sz00_16560;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4209;

						BgL_bpz00_4209 = VECTOR_REF(BgL_sz00_4207, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15677;

								BgL_runz00_15677 =
									MAKE_FX_PROCEDURE(BGl_z62run6837z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15677,
									(int) (((long) 0)), BgL_iboxesz00_16556);
								PROCEDURE_SET(BgL_runz00_15677,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16557));
								PROCEDURE_SET(BgL_runz00_15677,
									(int) (((long) 2)), BgL_bodyz00_16558);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15678;

									BgL_mainz00_15678 =
										MAKE_VA_PROCEDURE(BGl_z62main6836z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15678,
										(int) (((long) 0)), BgL_iboxesz00_16556);
									PROCEDURE_SET(BgL_mainz00_15678,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16557));
									PROCEDURE_SET(BgL_mainz00_15678,
										(int) (((long) 2)), BgL_bodyz00_16558);
									PROCEDURE_SET(BgL_mainz00_15678,
										(int) (((long) 3)), BgL_runz00_15677);
									PROCEDURE_SET(BgL_mainz00_15678,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16559));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11860;

										BgL_objz00_11860 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15677, BgL_objz00_11860);
										BgL_objz00_11860;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4429z00_4212;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4430z00_4213;

											BgL_arg4430z00_4213 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16557)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11865;

												BgL_newz00_11865 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28528;

													BgL_auxz00_28528 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11865, BgL_auxz00_28528,
														BgL_arg4430z00_4213);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28533;
													int BgL_auxz00_28531;

													BgL_auxz00_28533 = BINT(BgL_siza7ezd2framez75_16559);
													BgL_auxz00_28531 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11865, BgL_auxz00_28531,
														BgL_auxz00_28533);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28536;

													BgL_auxz00_28536 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11865, BgL_auxz00_28536,
														BgL_runz00_15677);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28541;
													int BgL_auxz00_28539;

													BgL_auxz00_28541 = BINT(((long) -1));
													BgL_auxz00_28539 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11865, BgL_auxz00_28539,
														BgL_auxz00_28541);
												}
												BgL_arg4429z00_4212 = BgL_newz00_11865;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15678, BgL_arg4429z00_4212);
										BgL_arg4429z00_4212;
									}
									return BgL_mainz00_15678;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6836 */
	obj_t BGl_z62main6836z62zz__evaluate_compz00(obj_t BgL_envz00_16561,
		obj_t BgL_lastz00_16567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16565;
				long BgL_siza7ezd2framez75_16566;

				BgL_runz00_16565 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16561, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16566 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16561, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_4214;

					BgL_lastz00_4214 = BgL_lastz00_16567;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4216;

						BgL_sz00_4216 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4217;

							BgL_bpz00_4217 = VECTOR_REF(BgL_sz00_4216, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_28554;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11830;
									int BgL_arg3190z00_11831;

									BgL_arg3189z00_11830 =
										((long) CINT(BgL_bpz00_4217) + BgL_siza7ezd2framez75_16566);
									BgL_arg3190z00_11831 = VECTOR_LENGTH(BgL_sz00_4216);
									BgL_testz00_28554 =
										(BgL_arg3189z00_11830 < (long) (BgL_arg3190z00_11831));
								}
								if (BgL_testz00_28554)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4433z00_4219;

											BgL_arg4433z00_4219 =
												((long) CINT(BgL_bpz00_4217) + ((long) 0));
											VECTOR_SET(BgL_sz00_4216,
												(int) (BgL_arg4433z00_4219), BgL_lastz00_4214);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2593z00_4220;

											BgL_val2593z00_4220 =
												BGl_zc3exitza34437ze3z83zz__evaluate_compz00
												(BgL_bpz00_4217, BgL_sz00_4216, BgL_runz00_16565);
											VECTOR_SET(BgL_sz00_4216, (int) (((long) 0)),
												BgL_bpz00_4217);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2593z00_4220)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2593z00_4220), CDR(BgL_val2593z00_4220));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2593z00_4220;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4227;

										BgL_nsz00_4227 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4227,
											(int) (((long) 1)), BgL_sz00_4216);
										VECTOR_SET(BgL_nsz00_4227,
											(int) (((long) 2)), BgL_lastz00_4214);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_28578;

											BgL_auxz00_28578 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28578, BgL_nsz00_4227);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2596z00_4229;

											BgL_val2596z00_4229 =
												BGl_zc3exitza34443ze3z83zz__evaluate_compz00
												(BgL_nsz00_4227, BgL_runz00_16565);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_28582;

												BgL_auxz00_28582 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28582, BgL_sz00_4216);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2596z00_4229)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2596z00_4229), CDR(BgL_val2596z00_4229));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2596z00_4229;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4443> */
	obj_t BGl_zc3exitza34443ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17055,
		obj_t BgL_runz00_17054)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2597z00_4235;

			if (SET_EXIT(BgL_an_exit2597z00_4235))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2597z00_4235 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2597z00_4235, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2598z00_4236;

							BgL_val2598z00_4236 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17054,
								BgL_nsz00_17055, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2598z00_4236;
						}
					}
				}
		}
	}



/* <exit:4437> */
	obj_t BGl_zc3exitza34437ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17058,
		obj_t BgL_sz00_17057, obj_t BgL_runz00_17056)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2594z00_4225;

			if (SET_EXIT(BgL_an_exit2594z00_4225))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2594z00_4225 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2594z00_4225, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2595z00_4226;

							BgL_val2595z00_4226 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17056,
								BgL_sz00_17057, BgL_bpz00_17058);
							POP_EXIT();
							return BgL_val2595z00_4226;
						}
					}
				}
		}
	}



/* &run6837 */
	obj_t BGl_z62run6837z62zz__evaluate_compz00(obj_t BgL_envz00_16568,
		obj_t BgL_sz00_16572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16569;
				BgL_ev_absz00_bglt BgL_instance2535z00_16570;
				obj_t BgL_bodyz00_16571;

				BgL_iboxesz00_16569 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 0))));
				BgL_instance2535z00_16570 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 1))));
				BgL_bodyz00_16571 = PROCEDURE_REF(BgL_envz00_16568, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4238;

					BgL_sz00_4238 = BgL_sz00_16572;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4240;

						BgL_bpz00_4240 = VECTOR_REF(BgL_sz00_4238, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4238,
							BgL_iboxesz00_16569, BgL_bpz00_4240);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4241;
							obj_t BgL_wherez00_4242;
							obj_t BgL_locz00_4243;

							BgL_z12denvz12_4241 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4242 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16570)))->BgL_wherez00);
							BgL_locz00_4243 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16570)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4241, BgL_wherez00_4242,
									BgL_locz00_4243);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4244;

									BgL_za2za2resza2za2z00_4244 =
										PROCEDURE_ENTRY(BgL_bodyz00_16571) (BgL_bodyz00_16571,
										BgL_sz00_4238, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4241);
									return BgL_za2za2resza2za2z00_4244;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4447> */
	obj_t BGl_z62zc3anonymousza34447ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16573, obj_t BgL_sz00_16579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16574;
				long BgL_siza7eza7_16575;
				BgL_ev_absz00_bglt BgL_instance2535z00_16576;
				obj_t BgL_bodyz00_16577;
				long BgL_siza7ezd2framez75_16578;

				BgL_ifreesz00_16574 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 0))));
				BgL_siza7eza7_16575 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 1))));
				BgL_instance2535z00_16576 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 2))));
				BgL_bodyz00_16577 = PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16578 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16573, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4248;

					BgL_sz00_4248 = BgL_sz00_16579;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4250;

						BgL_bpz00_4250 = VECTOR_REF(BgL_sz00_4248, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4251;

							BgL_valza2za2_4251 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4248,
								BgL_bpz00_4250, BgL_ifreesz00_16574);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15674;

								BgL_runz00_15674 =
									MAKE_FX_PROCEDURE(BGl_z62run6839z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15674,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16575));
								PROCEDURE_SET(BgL_runz00_15674,
									(int) (((long) 1)), BgL_valza2za2_4251);
								PROCEDURE_SET(BgL_runz00_15674,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16576));
								PROCEDURE_SET(BgL_runz00_15674,
									(int) (((long) 3)), BgL_bodyz00_16577);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15675;

									BgL_mainz00_15675 =
										MAKE_VA_PROCEDURE(BGl_z62main6838z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15675,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16575));
									PROCEDURE_SET(BgL_mainz00_15675,
										(int) (((long) 1)), BgL_valza2za2_4251);
									PROCEDURE_SET(BgL_mainz00_15675,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16576));
									PROCEDURE_SET(BgL_mainz00_15675,
										(int) (((long) 3)), BgL_bodyz00_16577);
									PROCEDURE_SET(BgL_mainz00_15675,
										(int) (((long) 4)), BgL_runz00_15674);
									PROCEDURE_SET(BgL_mainz00_15675,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16578));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11934;

										BgL_objz00_11934 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15674, BgL_objz00_11934);
										BgL_objz00_11934;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4448z00_4254;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4449z00_4255;

											BgL_arg4449z00_4255 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16576)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11939;

												BgL_newz00_11939 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28677;

													BgL_auxz00_28677 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11939, BgL_auxz00_28677,
														BgL_arg4449z00_4255);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28682;
													int BgL_auxz00_28680;

													BgL_auxz00_28682 = BINT(BgL_siza7ezd2framez75_16578);
													BgL_auxz00_28680 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11939, BgL_auxz00_28680,
														BgL_auxz00_28682);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28685;

													BgL_auxz00_28685 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11939, BgL_auxz00_28685,
														BgL_runz00_15674);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28690;
													int BgL_auxz00_28688;

													BgL_auxz00_28690 = BINT(((long) -1));
													BgL_auxz00_28688 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11939, BgL_auxz00_28688,
														BgL_auxz00_28690);
												}
												BgL_arg4448z00_4254 = BgL_newz00_11939;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15675, BgL_arg4448z00_4254);
										BgL_arg4448z00_4254;
									}
									return BgL_mainz00_15675;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6838 */
	obj_t BGl_z62main6838z62zz__evaluate_compz00(obj_t BgL_envz00_16580,
		obj_t BgL_lastz00_16587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16585;
				long BgL_siza7ezd2framez75_16586;

				BgL_runz00_16585 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16586 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16580, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_4256;

					BgL_lastz00_4256 = BgL_lastz00_16587;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4258;

						BgL_sz00_4258 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4259;

							BgL_bpz00_4259 = VECTOR_REF(BgL_sz00_4258, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_28703;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11904;
									int BgL_arg3190z00_11905;

									BgL_arg3189z00_11904 =
										((long) CINT(BgL_bpz00_4259) + BgL_siza7ezd2framez75_16586);
									BgL_arg3190z00_11905 = VECTOR_LENGTH(BgL_sz00_4258);
									BgL_testz00_28703 =
										(BgL_arg3189z00_11904 < (long) (BgL_arg3190z00_11905));
								}
								if (BgL_testz00_28703)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4452z00_4261;

											BgL_arg4452z00_4261 =
												((long) CINT(BgL_bpz00_4259) + ((long) 0));
											VECTOR_SET(BgL_sz00_4258,
												(int) (BgL_arg4452z00_4261), BgL_lastz00_4256);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2599z00_4262;

											BgL_val2599z00_4262 =
												BGl_zc3exitza34456ze3z83zz__evaluate_compz00
												(BgL_bpz00_4259, BgL_sz00_4258, BgL_runz00_16585);
											VECTOR_SET(BgL_sz00_4258, (int) (((long) 0)),
												BgL_bpz00_4259);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2599z00_4262)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2599z00_4262), CDR(BgL_val2599z00_4262));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2599z00_4262;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4269;

										BgL_nsz00_4269 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4269,
											(int) (((long) 1)), BgL_sz00_4258);
										VECTOR_SET(BgL_nsz00_4269,
											(int) (((long) 2)), BgL_lastz00_4256);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_28727;

											BgL_auxz00_28727 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28727, BgL_nsz00_4269);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2602z00_4271;

											BgL_val2602z00_4271 =
												BGl_zc3exitza34462ze3z83zz__evaluate_compz00
												(BgL_nsz00_4269, BgL_runz00_16585);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_28731;

												BgL_auxz00_28731 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28731, BgL_sz00_4258);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2602z00_4271)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2602z00_4271), CDR(BgL_val2602z00_4271));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2602z00_4271;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4462> */
	obj_t BGl_zc3exitza34462ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17050,
		obj_t BgL_runz00_17049)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2603z00_4277;

			if (SET_EXIT(BgL_an_exit2603z00_4277))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2603z00_4277 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2603z00_4277, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2604z00_4278;

							BgL_val2604z00_4278 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17049,
								BgL_nsz00_17050, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2604z00_4278;
						}
					}
				}
		}
	}



/* <exit:4456> */
	obj_t BGl_zc3exitza34456ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17053,
		obj_t BgL_sz00_17052, obj_t BgL_runz00_17051)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2600z00_4267;

			if (SET_EXIT(BgL_an_exit2600z00_4267))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2600z00_4267 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2600z00_4267, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2601z00_4268;

							BgL_val2601z00_4268 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17051,
								BgL_sz00_17052, BgL_bpz00_17053);
							POP_EXIT();
							return BgL_val2601z00_4268;
						}
					}
				}
		}
	}



/* &run6839 */
	obj_t BGl_z62run6839z62zz__evaluate_compz00(obj_t BgL_envz00_16588,
		obj_t BgL_sz00_16593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16589;
				obj_t BgL_valza2za2_16590;
				BgL_ev_absz00_bglt BgL_instance2535z00_16591;
				obj_t BgL_bodyz00_16592;

				BgL_siza7eza7_16589 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 0))));
				BgL_valza2za2_16590 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 1))));
				BgL_instance2535z00_16591 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 2))));
				BgL_bodyz00_16592 = PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4280;

					BgL_sz00_4280 = BgL_sz00_16593;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4282;

						BgL_bpz00_4282 = VECTOR_REF(BgL_sz00_4280, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4280,
							BgL_valza2za2_16590,
							((long) CINT(BgL_bpz00_4282) + BgL_siza7eza7_16589));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4284;
							obj_t BgL_wherez00_4285;
							obj_t BgL_locz00_4286;

							BgL_z12denvz12_4284 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4285 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16591)))->BgL_wherez00);
							BgL_locz00_4286 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16591)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4284, BgL_wherez00_4285,
									BgL_locz00_4286);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4287;

									BgL_za2za2resza2za2z00_4287 =
										PROCEDURE_ENTRY(BgL_bodyz00_16592) (BgL_bodyz00_16592,
										BgL_sz00_4280, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4284);
									return BgL_za2za2resza2za2z00_4287;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4465> */
	obj_t BGl_z62zc3anonymousza34465ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16594, obj_t BgL_sz00_16601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16595;
				obj_t BgL_iboxesz00_16596;
				long BgL_siza7eza7_16597;
				BgL_ev_absz00_bglt BgL_instance2535z00_16598;
				obj_t BgL_bodyz00_16599;
				long BgL_siza7ezd2framez75_16600;

				BgL_ifreesz00_16595 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 0))));
				BgL_iboxesz00_16596 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 1))));
				BgL_siza7eza7_16597 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 2))));
				BgL_instance2535z00_16598 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 3))));
				BgL_bodyz00_16599 = PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16600 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4289;

					BgL_sz00_4289 = BgL_sz00_16601;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4291;

						BgL_bpz00_4291 = VECTOR_REF(BgL_sz00_4289, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4292;

							BgL_valza2za2_4292 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4289,
								BgL_bpz00_4291, BgL_ifreesz00_16595);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15671;

								BgL_runz00_15671 =
									MAKE_FX_PROCEDURE(BGl_z62run6841z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15671,
									(int) (((long) 0)), BgL_iboxesz00_16596);
								PROCEDURE_SET(BgL_runz00_15671,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16597));
								PROCEDURE_SET(BgL_runz00_15671,
									(int) (((long) 2)), BgL_valza2za2_4292);
								PROCEDURE_SET(BgL_runz00_15671,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16598));
								PROCEDURE_SET(BgL_runz00_15671,
									(int) (((long) 4)), BgL_bodyz00_16599);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15672;

									BgL_mainz00_15672 =
										MAKE_VA_PROCEDURE(BGl_z62main6840z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15672,
										(int) (((long) 0)), BgL_iboxesz00_16596);
									PROCEDURE_SET(BgL_mainz00_15672,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16597));
									PROCEDURE_SET(BgL_mainz00_15672,
										(int) (((long) 2)), BgL_valza2za2_4292);
									PROCEDURE_SET(BgL_mainz00_15672,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16598));
									PROCEDURE_SET(BgL_mainz00_15672,
										(int) (((long) 4)), BgL_bodyz00_16599);
									PROCEDURE_SET(BgL_mainz00_15672,
										(int) (((long) 5)), BgL_runz00_15671);
									PROCEDURE_SET(BgL_mainz00_15672,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16600));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_12004;

										BgL_objz00_12004 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15671, BgL_objz00_12004);
										BgL_objz00_12004;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4466z00_4295;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4467z00_4296;

											BgL_arg4467z00_4296 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16598)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_12009;

												BgL_newz00_12009 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28838;

													BgL_auxz00_28838 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12009, BgL_auxz00_28838,
														BgL_arg4467z00_4296);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28843;
													int BgL_auxz00_28841;

													BgL_auxz00_28843 = BINT(BgL_siza7ezd2framez75_16600);
													BgL_auxz00_28841 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12009, BgL_auxz00_28841,
														BgL_auxz00_28843);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28846;

													BgL_auxz00_28846 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12009, BgL_auxz00_28846,
														BgL_runz00_15671);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28851;
													int BgL_auxz00_28849;

													BgL_auxz00_28851 = BINT(((long) -1));
													BgL_auxz00_28849 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12009, BgL_auxz00_28849,
														BgL_auxz00_28851);
												}
												BgL_arg4466z00_4295 = BgL_newz00_12009;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15672, BgL_arg4466z00_4295);
										BgL_arg4466z00_4295;
									}
									return BgL_mainz00_15672;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6840 */
	obj_t BGl_z62main6840z62zz__evaluate_compz00(obj_t BgL_envz00_16602,
		obj_t BgL_lastz00_16610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16608;
				long BgL_siza7ezd2framez75_16609;

				BgL_runz00_16608 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16602, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16609 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16602, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_4297;

					BgL_lastz00_4297 = BgL_lastz00_16610;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4299;

						BgL_sz00_4299 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4300;

							BgL_bpz00_4300 = VECTOR_REF(BgL_sz00_4299, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_28864;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11974;
									int BgL_arg3190z00_11975;

									BgL_arg3189z00_11974 =
										((long) CINT(BgL_bpz00_4300) + BgL_siza7ezd2framez75_16609);
									BgL_arg3190z00_11975 = VECTOR_LENGTH(BgL_sz00_4299);
									BgL_testz00_28864 =
										(BgL_arg3189z00_11974 < (long) (BgL_arg3190z00_11975));
								}
								if (BgL_testz00_28864)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg4470z00_4302;

											BgL_arg4470z00_4302 =
												((long) CINT(BgL_bpz00_4300) + ((long) 0));
											VECTOR_SET(BgL_sz00_4299,
												(int) (BgL_arg4470z00_4302), BgL_lastz00_4297);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2605z00_4303;

											BgL_val2605z00_4303 =
												BGl_zc3exitza34474ze3z83zz__evaluate_compz00
												(BgL_bpz00_4300, BgL_sz00_4299, BgL_runz00_16608);
											VECTOR_SET(BgL_sz00_4299, (int) (((long) 0)),
												BgL_bpz00_4300);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2605z00_4303)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2605z00_4303), CDR(BgL_val2605z00_4303));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2605z00_4303;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4310;

										BgL_nsz00_4310 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4310,
											(int) (((long) 1)), BgL_sz00_4299);
										VECTOR_SET(BgL_nsz00_4310,
											(int) (((long) 2)), BgL_lastz00_4297);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_28888;

											BgL_auxz00_28888 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28888, BgL_nsz00_4310);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2608z00_4312;

											BgL_val2608z00_4312 =
												BGl_zc3exitza34480ze3z83zz__evaluate_compz00
												(BgL_nsz00_4310, BgL_runz00_16608);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_28892;

												BgL_auxz00_28892 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28892, BgL_sz00_4299);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2608z00_4312)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2608z00_4312), CDR(BgL_val2608z00_4312));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2608z00_4312;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4480> */
	obj_t BGl_zc3exitza34480ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17045,
		obj_t BgL_runz00_17044)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2609z00_4318;

			if (SET_EXIT(BgL_an_exit2609z00_4318))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2609z00_4318 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2609z00_4318, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2610z00_4319;

							BgL_val2610z00_4319 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17044,
								BgL_nsz00_17045, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2610z00_4319;
						}
					}
				}
		}
	}



/* <exit:4474> */
	obj_t BGl_zc3exitza34474ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17048,
		obj_t BgL_sz00_17047, obj_t BgL_runz00_17046)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2606z00_4308;

			if (SET_EXIT(BgL_an_exit2606z00_4308))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2606z00_4308 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2606z00_4308, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2607z00_4309;

							BgL_val2607z00_4309 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17046,
								BgL_sz00_17047, BgL_bpz00_17048);
							POP_EXIT();
							return BgL_val2607z00_4309;
						}
					}
				}
		}
	}



/* &run6841 */
	obj_t BGl_z62run6841z62zz__evaluate_compz00(obj_t BgL_envz00_16611,
		obj_t BgL_sz00_16617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16612;
				long BgL_siza7eza7_16613;
				obj_t BgL_valza2za2_16614;
				BgL_ev_absz00_bglt BgL_instance2535z00_16615;
				obj_t BgL_bodyz00_16616;

				BgL_iboxesz00_16612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16611, (int) (((long) 0))));
				BgL_siza7eza7_16613 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16611, (int) (((long) 1))));
				BgL_valza2za2_16614 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16611, (int) (((long) 2))));
				BgL_instance2535z00_16615 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16611, (int) (((long) 3))));
				BgL_bodyz00_16616 = PROCEDURE_REF(BgL_envz00_16611, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4321;

					BgL_sz00_4321 = BgL_sz00_16617;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4323;

						BgL_bpz00_4323 = VECTOR_REF(BgL_sz00_4321, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4321,
							BgL_iboxesz00_16612, BgL_bpz00_4323);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4321,
							BgL_valza2za2_16614,
							((long) CINT(BgL_bpz00_4323) + BgL_siza7eza7_16613));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4325;
							obj_t BgL_wherez00_4326;
							obj_t BgL_locz00_4327;

							BgL_z12denvz12_4325 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4326 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16615)))->BgL_wherez00);
							BgL_locz00_4327 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16615)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4325, BgL_wherez00_4326,
									BgL_locz00_4327);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4328;

									BgL_za2za2resza2za2z00_4328 =
										PROCEDURE_ENTRY(BgL_bodyz00_16616) (BgL_bodyz00_16616,
										BgL_sz00_4321, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4325);
									return BgL_za2za2resza2za2z00_4328;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4336> */
	obj_t BGl_z62zc3anonymousza34336ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16618, obj_t BgL_sz00_16622)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16619;
				obj_t BgL_bodyz00_16620;
				long BgL_siza7ezd2framez75_16621;

				BgL_instance2535z00_16619 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16618, (int) (((long) 0))));
				BgL_bodyz00_16620 = PROCEDURE_REF(BgL_envz00_16618, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16621 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16618, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4010;

					BgL_sz00_4010 = BgL_sz00_16622;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4012;

						BgL_bpz00_4012 = VECTOR_REF(BgL_sz00_4010, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15668;

								BgL_runz00_15668 =
									MAKE_FX_PROCEDURE(BGl_z62run6843z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15668,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16619));
								PROCEDURE_SET(BgL_runz00_15668,
									(int) (((long) 1)), BgL_bodyz00_16620);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15669;

									BgL_mainz00_15669 =
										MAKE_FX_PROCEDURE(BGl_z62main6842z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15669,
										(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16619));
									PROCEDURE_SET(BgL_mainz00_15669,
										(int) (((long) 1)), BgL_bodyz00_16620);
									PROCEDURE_SET(BgL_mainz00_15669,
										(int) (((long) 2)), BgL_runz00_15668);
									PROCEDURE_SET(BgL_mainz00_15669,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16621));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11534;

										BgL_objz00_11534 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15668, BgL_objz00_11534);
										BgL_objz00_11534;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4337z00_4015;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4338z00_4016;

											BgL_arg4338z00_4016 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16619)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11539;

												BgL_newz00_11539 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28979;

													BgL_auxz00_28979 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11539, BgL_auxz00_28979,
														BgL_arg4338z00_4016);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28984;
													int BgL_auxz00_28982;

													BgL_auxz00_28984 = BINT(BgL_siza7ezd2framez75_16621);
													BgL_auxz00_28982 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11539, BgL_auxz00_28982,
														BgL_auxz00_28984);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_28987;

													BgL_auxz00_28987 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11539, BgL_auxz00_28987,
														BgL_runz00_15668);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_28992;
													int BgL_auxz00_28990;

													BgL_auxz00_28992 = BINT(((long) 0));
													BgL_auxz00_28990 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11539, BgL_auxz00_28990,
														BgL_auxz00_28992);
												}
												BgL_arg4337z00_4015 = BgL_newz00_11539;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15669, BgL_arg4337z00_4015);
										BgL_arg4337z00_4015;
									}
									return BgL_mainz00_15669;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6842 */
	obj_t BGl_z62main6842z62zz__evaluate_compz00(obj_t BgL_envz00_16623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16626;
				long BgL_siza7ezd2framez75_16627;

				BgL_runz00_16626 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16627 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16623, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4018;

						BgL_sz00_4018 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4019;

							BgL_bpz00_4019 = VECTOR_REF(BgL_sz00_4018, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_29005;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11513;
									int BgL_arg3190z00_11514;

									BgL_arg3189z00_11513 =
										((long) CINT(BgL_bpz00_4019) + BgL_siza7ezd2framez75_16627);
									BgL_arg3190z00_11514 = VECTOR_LENGTH(BgL_sz00_4018);
									BgL_testz00_29005 =
										(BgL_arg3189z00_11513 < (long) (BgL_arg3190z00_11514));
								}
								if (BgL_testz00_29005)
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_val2563z00_4021;

										BgL_val2563z00_4021 =
											BGl_zc3exitza34344ze3z83zz__evaluate_compz00
											(BgL_bpz00_4019, BgL_sz00_4018, BgL_runz00_16626);
										VECTOR_SET(BgL_sz00_4018, (int) (((long) 0)),
											BgL_bpz00_4019);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val2563z00_4021)))
											{	/* Eval/evaluate_comp.scm 1106 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val2563z00_4021), CDR(BgL_val2563z00_4021));
											}
										else
											{	/* Eval/evaluate_comp.scm 1106 */
												return BgL_val2563z00_4021;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4028;

										BgL_nsz00_4028 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4028,
											(int) (((long) 1)), BgL_sz00_4018);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_29023;

											BgL_auxz00_29023 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29023, BgL_nsz00_4028);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2566z00_4030;

											BgL_val2566z00_4030 =
												BGl_zc3exitza34351ze3z83zz__evaluate_compz00
												(BgL_nsz00_4028, BgL_runz00_16626);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_29027;

												BgL_auxz00_29027 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29027, BgL_sz00_4018);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2566z00_4030)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2566z00_4030), CDR(BgL_val2566z00_4030));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2566z00_4030;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4351> */
	obj_t BGl_zc3exitza34351ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17040,
		obj_t BgL_runz00_17039)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2567z00_4036;

			if (SET_EXIT(BgL_an_exit2567z00_4036))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2567z00_4036 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2567z00_4036, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2568z00_4037;

							BgL_val2568z00_4037 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17039,
								BgL_nsz00_17040, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2568z00_4037;
						}
					}
				}
		}
	}



/* <exit:4344> */
	obj_t BGl_zc3exitza34344ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17043,
		obj_t BgL_sz00_17042, obj_t BgL_runz00_17041)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2564z00_4026;

			if (SET_EXIT(BgL_an_exit2564z00_4026))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2564z00_4026 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2564z00_4026, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2565z00_4027;

							BgL_val2565z00_4027 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17041,
								BgL_sz00_17042, BgL_bpz00_17043);
							POP_EXIT();
							return BgL_val2565z00_4027;
						}
					}
				}
		}
	}



/* &run6843 */
	obj_t BGl_z62run6843z62zz__evaluate_compz00(obj_t BgL_envz00_16628,
		obj_t BgL_sz00_16631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16629;
				obj_t BgL_bodyz00_16630;

				BgL_instance2535z00_16629 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16628, (int) (((long) 0))));
				BgL_bodyz00_16630 = PROCEDURE_REF(BgL_envz00_16628, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4039;

					BgL_sz00_4039 = BgL_sz00_16631;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4041;

						BgL_bpz00_4041 = VECTOR_REF(BgL_sz00_4039, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4042;
							obj_t BgL_wherez00_4043;
							obj_t BgL_locz00_4044;

							BgL_z12denvz12_4042 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4043 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16629)))->BgL_wherez00);
							BgL_locz00_4044 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16629)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4042, BgL_wherez00_4043,
									BgL_locz00_4044);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4045;

									BgL_za2za2resza2za2z00_4045 =
										PROCEDURE_ENTRY(BgL_bodyz00_16630) (BgL_bodyz00_16630,
										BgL_sz00_4039, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4042);
									return BgL_za2za2resza2za2z00_4045;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4353> */
	obj_t BGl_z62zc3anonymousza34353ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16632, obj_t BgL_sz00_16637)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16633;
				BgL_ev_absz00_bglt BgL_instance2535z00_16634;
				obj_t BgL_bodyz00_16635;
				long BgL_siza7ezd2framez75_16636;

				BgL_iboxesz00_16633 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 0))));
				BgL_instance2535z00_16634 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 1))));
				BgL_bodyz00_16635 = PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16636 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4047;

					BgL_sz00_4047 = BgL_sz00_16637;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4049;

						BgL_bpz00_4049 = VECTOR_REF(BgL_sz00_4047, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15665;

								BgL_runz00_15665 =
									MAKE_FX_PROCEDURE(BGl_z62run6845z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15665,
									(int) (((long) 0)), BgL_iboxesz00_16633);
								PROCEDURE_SET(BgL_runz00_15665,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16634));
								PROCEDURE_SET(BgL_runz00_15665,
									(int) (((long) 2)), BgL_bodyz00_16635);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15666;

									BgL_mainz00_15666 =
										MAKE_FX_PROCEDURE(BGl_z62main6844z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15666,
										(int) (((long) 0)), BgL_iboxesz00_16633);
									PROCEDURE_SET(BgL_mainz00_15666,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16634));
									PROCEDURE_SET(BgL_mainz00_15666,
										(int) (((long) 2)), BgL_bodyz00_16635);
									PROCEDURE_SET(BgL_mainz00_15666,
										(int) (((long) 3)), BgL_runz00_15665);
									PROCEDURE_SET(BgL_mainz00_15666,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16636));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11592;

										BgL_objz00_11592 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15665, BgL_objz00_11592);
										BgL_objz00_11592;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4354z00_4052;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4355z00_4053;

											BgL_arg4355z00_4053 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16634)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11597;

												BgL_newz00_11597 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29108;

													BgL_auxz00_29108 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11597, BgL_auxz00_29108,
														BgL_arg4355z00_4053);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29113;
													int BgL_auxz00_29111;

													BgL_auxz00_29113 = BINT(BgL_siza7ezd2framez75_16636);
													BgL_auxz00_29111 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11597, BgL_auxz00_29111,
														BgL_auxz00_29113);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29116;

													BgL_auxz00_29116 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11597, BgL_auxz00_29116,
														BgL_runz00_15665);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29121;
													int BgL_auxz00_29119;

													BgL_auxz00_29121 = BINT(((long) 0));
													BgL_auxz00_29119 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11597, BgL_auxz00_29119,
														BgL_auxz00_29121);
												}
												BgL_arg4354z00_4052 = BgL_newz00_11597;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15666, BgL_arg4354z00_4052);
										BgL_arg4354z00_4052;
									}
									return BgL_mainz00_15666;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6844 */
	obj_t BGl_z62main6844z62zz__evaluate_compz00(obj_t BgL_envz00_16638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16642;
				long BgL_siza7ezd2framez75_16643;

				BgL_runz00_16642 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16638, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16643 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16638, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4055;

						BgL_sz00_4055 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4056;

							BgL_bpz00_4056 = VECTOR_REF(BgL_sz00_4055, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_29134;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11571;
									int BgL_arg3190z00_11572;

									BgL_arg3189z00_11571 =
										((long) CINT(BgL_bpz00_4056) + BgL_siza7ezd2framez75_16643);
									BgL_arg3190z00_11572 = VECTOR_LENGTH(BgL_sz00_4055);
									BgL_testz00_29134 =
										(BgL_arg3189z00_11571 < (long) (BgL_arg3190z00_11572));
								}
								if (BgL_testz00_29134)
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_val2569z00_4058;

										BgL_val2569z00_4058 =
											BGl_zc3exitza34361ze3z83zz__evaluate_compz00
											(BgL_bpz00_4056, BgL_sz00_4055, BgL_runz00_16642);
										VECTOR_SET(BgL_sz00_4055, (int) (((long) 0)),
											BgL_bpz00_4056);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val2569z00_4058)))
											{	/* Eval/evaluate_comp.scm 1106 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val2569z00_4058), CDR(BgL_val2569z00_4058));
											}
										else
											{	/* Eval/evaluate_comp.scm 1106 */
												return BgL_val2569z00_4058;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4065;

										BgL_nsz00_4065 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4065,
											(int) (((long) 1)), BgL_sz00_4055);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_29152;

											BgL_auxz00_29152 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29152, BgL_nsz00_4065);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2572z00_4067;

											BgL_val2572z00_4067 =
												BGl_zc3exitza34367ze3z83zz__evaluate_compz00
												(BgL_nsz00_4065, BgL_runz00_16642);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_29156;

												BgL_auxz00_29156 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29156, BgL_sz00_4055);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2572z00_4067)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2572z00_4067), CDR(BgL_val2572z00_4067));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2572z00_4067;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4367> */
	obj_t BGl_zc3exitza34367ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17035,
		obj_t BgL_runz00_17034)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2573z00_4073;

			if (SET_EXIT(BgL_an_exit2573z00_4073))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2573z00_4073 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2573z00_4073, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2574z00_4074;

							BgL_val2574z00_4074 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17034,
								BgL_nsz00_17035, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2574z00_4074;
						}
					}
				}
		}
	}



/* <exit:4361> */
	obj_t BGl_zc3exitza34361ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17038,
		obj_t BgL_sz00_17037, obj_t BgL_runz00_17036)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2570z00_4063;

			if (SET_EXIT(BgL_an_exit2570z00_4063))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2570z00_4063 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2570z00_4063, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2571z00_4064;

							BgL_val2571z00_4064 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17036,
								BgL_sz00_17037, BgL_bpz00_17038);
							POP_EXIT();
							return BgL_val2571z00_4064;
						}
					}
				}
		}
	}



/* &run6845 */
	obj_t BGl_z62run6845z62zz__evaluate_compz00(obj_t BgL_envz00_16644,
		obj_t BgL_sz00_16648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16645;
				BgL_ev_absz00_bglt BgL_instance2535z00_16646;
				obj_t BgL_bodyz00_16647;

				BgL_iboxesz00_16645 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16644, (int) (((long) 0))));
				BgL_instance2535z00_16646 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16644, (int) (((long) 1))));
				BgL_bodyz00_16647 = PROCEDURE_REF(BgL_envz00_16644, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4076;

					BgL_sz00_4076 = BgL_sz00_16648;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4078;

						BgL_bpz00_4078 = VECTOR_REF(BgL_sz00_4076, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4076,
							BgL_iboxesz00_16645, BgL_bpz00_4078);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_4079;
							obj_t BgL_wherez00_4080;
							obj_t BgL_locz00_4081;

							BgL_z12denvz12_4079 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4080 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16646)))->BgL_wherez00);
							BgL_locz00_4081 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16646)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4079, BgL_wherez00_4080,
									BgL_locz00_4081);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_4082;

									BgL_za2za2resza2za2z00_4082 =
										PROCEDURE_ENTRY(BgL_bodyz00_16647) (BgL_bodyz00_16647,
										BgL_sz00_4076, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4079);
									return BgL_za2za2resza2za2z00_4082;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4371> */
	obj_t BGl_z62zc3anonymousza34371ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16649, obj_t BgL_sz00_16655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16650;
				long BgL_siza7eza7_16651;
				BgL_ev_absz00_bglt BgL_instance2535z00_16652;
				obj_t BgL_bodyz00_16653;
				long BgL_siza7ezd2framez75_16654;

				BgL_ifreesz00_16650 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 0))));
				BgL_siza7eza7_16651 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 1))));
				BgL_instance2535z00_16652 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 2))));
				BgL_bodyz00_16653 = PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16654 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16649, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4086;

					BgL_sz00_4086 = BgL_sz00_16655;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4088;

						BgL_bpz00_4088 = VECTOR_REF(BgL_sz00_4086, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4089;

							BgL_valza2za2_4089 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4086,
								BgL_bpz00_4088, BgL_ifreesz00_16650);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15662;

								BgL_runz00_15662 =
									MAKE_FX_PROCEDURE(BGl_z62run6847z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15662,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16651));
								PROCEDURE_SET(BgL_runz00_15662,
									(int) (((long) 1)), BgL_valza2za2_4089);
								PROCEDURE_SET(BgL_runz00_15662,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16652));
								PROCEDURE_SET(BgL_runz00_15662,
									(int) (((long) 3)), BgL_bodyz00_16653);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15663;

									BgL_mainz00_15663 =
										MAKE_FX_PROCEDURE(BGl_z62main6846z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15663,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16651));
									PROCEDURE_SET(BgL_mainz00_15663,
										(int) (((long) 1)), BgL_valza2za2_4089);
									PROCEDURE_SET(BgL_mainz00_15663,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16652));
									PROCEDURE_SET(BgL_mainz00_15663,
										(int) (((long) 3)), BgL_bodyz00_16653);
									PROCEDURE_SET(BgL_mainz00_15663,
										(int) (((long) 4)), BgL_runz00_15662);
									PROCEDURE_SET(BgL_mainz00_15663,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16654));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11657;

										BgL_objz00_11657 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15662, BgL_objz00_11657);
										BgL_objz00_11657;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4372z00_4092;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4373z00_4093;

											BgL_arg4373z00_4093 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16652)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11662;

												BgL_newz00_11662 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29251;

													BgL_auxz00_29251 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11662, BgL_auxz00_29251,
														BgL_arg4373z00_4093);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29256;
													int BgL_auxz00_29254;

													BgL_auxz00_29256 = BINT(BgL_siza7ezd2framez75_16654);
													BgL_auxz00_29254 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11662, BgL_auxz00_29254,
														BgL_auxz00_29256);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29259;

													BgL_auxz00_29259 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11662, BgL_auxz00_29259,
														BgL_runz00_15662);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29264;
													int BgL_auxz00_29262;

													BgL_auxz00_29264 = BINT(((long) 0));
													BgL_auxz00_29262 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11662, BgL_auxz00_29262,
														BgL_auxz00_29264);
												}
												BgL_arg4372z00_4092 = BgL_newz00_11662;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15663, BgL_arg4372z00_4092);
										BgL_arg4372z00_4092;
									}
									return BgL_mainz00_15663;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6846 */
	obj_t BGl_z62main6846z62zz__evaluate_compz00(obj_t BgL_envz00_16656)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16661;
				long BgL_siza7ezd2framez75_16662;

				BgL_runz00_16661 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16656, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16662 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16656, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4095;

						BgL_sz00_4095 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4096;

							BgL_bpz00_4096 = VECTOR_REF(BgL_sz00_4095, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_29277;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11636;
									int BgL_arg3190z00_11637;

									BgL_arg3189z00_11636 =
										((long) CINT(BgL_bpz00_4096) + BgL_siza7ezd2framez75_16662);
									BgL_arg3190z00_11637 = VECTOR_LENGTH(BgL_sz00_4095);
									BgL_testz00_29277 =
										(BgL_arg3189z00_11636 < (long) (BgL_arg3190z00_11637));
								}
								if (BgL_testz00_29277)
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_val2575z00_4098;

										BgL_val2575z00_4098 =
											BGl_zc3exitza34379ze3z83zz__evaluate_compz00
											(BgL_bpz00_4096, BgL_sz00_4095, BgL_runz00_16661);
										VECTOR_SET(BgL_sz00_4095, (int) (((long) 0)),
											BgL_bpz00_4096);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val2575z00_4098)))
											{	/* Eval/evaluate_comp.scm 1106 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val2575z00_4098), CDR(BgL_val2575z00_4098));
											}
										else
											{	/* Eval/evaluate_comp.scm 1106 */
												return BgL_val2575z00_4098;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4105;

										BgL_nsz00_4105 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4105,
											(int) (((long) 1)), BgL_sz00_4095);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_29295;

											BgL_auxz00_29295 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29295, BgL_nsz00_4105);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2578z00_4107;

											BgL_val2578z00_4107 =
												BGl_zc3exitza34386ze3z83zz__evaluate_compz00
												(BgL_nsz00_4105, BgL_runz00_16661);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_29299;

												BgL_auxz00_29299 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29299, BgL_sz00_4095);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2578z00_4107)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2578z00_4107), CDR(BgL_val2578z00_4107));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2578z00_4107;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4386> */
	obj_t BGl_zc3exitza34386ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17030,
		obj_t BgL_runz00_17029)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2579z00_4113;

			if (SET_EXIT(BgL_an_exit2579z00_4113))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2579z00_4113 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2579z00_4113, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2580z00_4114;

							BgL_val2580z00_4114 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17029,
								BgL_nsz00_17030, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2580z00_4114;
						}
					}
				}
		}
	}



/* <exit:4379> */
	obj_t BGl_zc3exitza34379ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17033,
		obj_t BgL_sz00_17032, obj_t BgL_runz00_17031)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2576z00_4103;

			if (SET_EXIT(BgL_an_exit2576z00_4103))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2576z00_4103 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2576z00_4103, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2577z00_4104;

							BgL_val2577z00_4104 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17031,
								BgL_sz00_17032, BgL_bpz00_17033);
							POP_EXIT();
							return BgL_val2577z00_4104;
						}
					}
				}
		}
	}



/* &run6847 */
	obj_t BGl_z62run6847z62zz__evaluate_compz00(obj_t BgL_envz00_16663,
		obj_t BgL_sz00_16668)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16664;
				obj_t BgL_valza2za2_16665;
				BgL_ev_absz00_bglt BgL_instance2535z00_16666;
				obj_t BgL_bodyz00_16667;

				BgL_siza7eza7_16664 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16663, (int) (((long) 0))));
				BgL_valza2za2_16665 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16663, (int) (((long) 1))));
				BgL_instance2535z00_16666 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16663, (int) (((long) 2))));
				BgL_bodyz00_16667 = PROCEDURE_REF(BgL_envz00_16663, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4116;

					BgL_sz00_4116 = BgL_sz00_16668;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4118;

						BgL_bpz00_4118 = VECTOR_REF(BgL_sz00_4116, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4116,
							BgL_valza2za2_16665,
							((long) CINT(BgL_bpz00_4118) + BgL_siza7eza7_16664));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4120;
							obj_t BgL_wherez00_4121;
							obj_t BgL_locz00_4122;

							BgL_z12denvz12_4120 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4121 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16666)))->BgL_wherez00);
							BgL_locz00_4122 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16666)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4120, BgL_wherez00_4121,
									BgL_locz00_4122);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4123;

									BgL_za2za2resza2za2z00_4123 =
										PROCEDURE_ENTRY(BgL_bodyz00_16667) (BgL_bodyz00_16667,
										BgL_sz00_4116, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4120);
									return BgL_za2za2resza2za2z00_4123;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4389> */
	obj_t BGl_z62zc3anonymousza34389ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16669, obj_t BgL_sz00_16676)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16670;
				obj_t BgL_iboxesz00_16671;
				long BgL_siza7eza7_16672;
				BgL_ev_absz00_bglt BgL_instance2535z00_16673;
				obj_t BgL_bodyz00_16674;
				long BgL_siza7ezd2framez75_16675;

				BgL_ifreesz00_16670 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16669, (int) (((long) 0))));
				BgL_iboxesz00_16671 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16669, (int) (((long) 1))));
				BgL_siza7eza7_16672 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16669, (int) (((long) 2))));
				BgL_instance2535z00_16673 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16669, (int) (((long) 3))));
				BgL_bodyz00_16674 = PROCEDURE_REF(BgL_envz00_16669, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16675 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16669, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4125;

					BgL_sz00_4125 = BgL_sz00_16676;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4127;

						BgL_bpz00_4127 = VECTOR_REF(BgL_sz00_4125, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_4128;

							BgL_valza2za2_4128 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4125,
								BgL_bpz00_4127, BgL_ifreesz00_16670);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15659;

								BgL_runz00_15659 =
									MAKE_FX_PROCEDURE(BGl_z62run6849z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15659,
									(int) (((long) 0)), BgL_iboxesz00_16671);
								PROCEDURE_SET(BgL_runz00_15659,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16672));
								PROCEDURE_SET(BgL_runz00_15659,
									(int) (((long) 2)), BgL_valza2za2_4128);
								PROCEDURE_SET(BgL_runz00_15659,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16673));
								PROCEDURE_SET(BgL_runz00_15659,
									(int) (((long) 4)), BgL_bodyz00_16674);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15660;

									BgL_mainz00_15660 =
										MAKE_FX_PROCEDURE(BGl_z62main6848z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15660,
										(int) (((long) 0)), BgL_iboxesz00_16671);
									PROCEDURE_SET(BgL_mainz00_15660,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16672));
									PROCEDURE_SET(BgL_mainz00_15660,
										(int) (((long) 2)), BgL_valza2za2_4128);
									PROCEDURE_SET(BgL_mainz00_15660,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16673));
									PROCEDURE_SET(BgL_mainz00_15660,
										(int) (((long) 4)), BgL_bodyz00_16674);
									PROCEDURE_SET(BgL_mainz00_15660,
										(int) (((long) 5)), BgL_runz00_15659);
									PROCEDURE_SET(BgL_mainz00_15660,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16675));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11718;

										BgL_objz00_11718 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15659, BgL_objz00_11718);
										BgL_objz00_11718;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg4390z00_4131;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg4391z00_4132;

											BgL_arg4391z00_4132 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16673)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11723;

												BgL_newz00_11723 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29406;

													BgL_auxz00_29406 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11723, BgL_auxz00_29406,
														BgL_arg4391z00_4132);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29411;
													int BgL_auxz00_29409;

													BgL_auxz00_29411 = BINT(BgL_siza7ezd2framez75_16675);
													BgL_auxz00_29409 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11723, BgL_auxz00_29409,
														BgL_auxz00_29411);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29414;

													BgL_auxz00_29414 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11723, BgL_auxz00_29414,
														BgL_runz00_15659);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29419;
													int BgL_auxz00_29417;

													BgL_auxz00_29419 = BINT(((long) 0));
													BgL_auxz00_29417 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11723, BgL_auxz00_29417,
														BgL_auxz00_29419);
												}
												BgL_arg4390z00_4131 = BgL_newz00_11723;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15660, BgL_arg4390z00_4131);
										BgL_arg4390z00_4131;
									}
									return BgL_mainz00_15660;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6848 */
	obj_t BGl_z62main6848z62zz__evaluate_compz00(obj_t BgL_envz00_16677)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_runz00_16683;
				long BgL_siza7ezd2framez75_16684;

				BgL_runz00_16683 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16677, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16684 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16677, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_4134;

						BgL_sz00_4134 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_4135;

							BgL_bpz00_4135 = VECTOR_REF(BgL_sz00_4134, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_29432;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11697;
									int BgL_arg3190z00_11698;

									BgL_arg3189z00_11697 =
										((long) CINT(BgL_bpz00_4135) + BgL_siza7ezd2framez75_16684);
									BgL_arg3190z00_11698 = VECTOR_LENGTH(BgL_sz00_4134);
									BgL_testz00_29432 =
										(BgL_arg3189z00_11697 < (long) (BgL_arg3190z00_11698));
								}
								if (BgL_testz00_29432)
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_val2581z00_4137;

										BgL_val2581z00_4137 =
											BGl_zc3exitza34397ze3z83zz__evaluate_compz00
											(BgL_bpz00_4135, BgL_sz00_4134, BgL_runz00_16683);
										VECTOR_SET(BgL_sz00_4134, (int) (((long) 0)),
											BgL_bpz00_4135);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val2581z00_4137)))
											{	/* Eval/evaluate_comp.scm 1106 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val2581z00_4137), CDR(BgL_val2581z00_4137));
											}
										else
											{	/* Eval/evaluate_comp.scm 1106 */
												return BgL_val2581z00_4137;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_4144;

										BgL_nsz00_4144 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4144,
											(int) (((long) 1)), BgL_sz00_4134);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_29450;

											BgL_auxz00_29450 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29450, BgL_nsz00_4144);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2584z00_4146;

											BgL_val2584z00_4146 =
												BGl_zc3exitza34403ze3z83zz__evaluate_compz00
												(BgL_nsz00_4144, BgL_runz00_16683);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_29454;

												BgL_auxz00_29454 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29454, BgL_sz00_4134);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2584z00_4146)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2584z00_4146), CDR(BgL_val2584z00_4146));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2584z00_4146;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:4403> */
	obj_t BGl_zc3exitza34403ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17025,
		obj_t BgL_runz00_17024)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2585z00_4152;

			if (SET_EXIT(BgL_an_exit2585z00_4152))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2585z00_4152 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2585z00_4152, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2586z00_4153;

							BgL_val2586z00_4153 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17024,
								BgL_nsz00_17025, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2586z00_4153;
						}
					}
				}
		}
	}



/* <exit:4397> */
	obj_t BGl_zc3exitza34397ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17028,
		obj_t BgL_sz00_17027, obj_t BgL_runz00_17026)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2582z00_4142;

			if (SET_EXIT(BgL_an_exit2582z00_4142))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2582z00_4142 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2582z00_4142, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2583z00_4143;

							BgL_val2583z00_4143 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17026,
								BgL_sz00_17027, BgL_bpz00_17028);
							POP_EXIT();
							return BgL_val2583z00_4143;
						}
					}
				}
		}
	}



/* &run6849 */
	obj_t BGl_z62run6849z62zz__evaluate_compz00(obj_t BgL_envz00_16685,
		obj_t BgL_sz00_16691)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16686;
				long BgL_siza7eza7_16687;
				obj_t BgL_valza2za2_16688;
				BgL_ev_absz00_bglt BgL_instance2535z00_16689;
				obj_t BgL_bodyz00_16690;

				BgL_iboxesz00_16686 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16685, (int) (((long) 0))));
				BgL_siza7eza7_16687 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16685, (int) (((long) 1))));
				BgL_valza2za2_16688 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16685, (int) (((long) 2))));
				BgL_instance2535z00_16689 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16685, (int) (((long) 3))));
				BgL_bodyz00_16690 = PROCEDURE_REF(BgL_envz00_16685, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4155;

					BgL_sz00_4155 = BgL_sz00_16691;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_4157;

						BgL_bpz00_4157 = VECTOR_REF(BgL_sz00_4155, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4155,
							BgL_iboxesz00_16686, BgL_bpz00_4157);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4155,
							BgL_valza2za2_16688,
							((long) CINT(BgL_bpz00_4157) + BgL_siza7eza7_16687));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_4159;
							obj_t BgL_wherez00_4160;
							obj_t BgL_locz00_4161;

							BgL_z12denvz12_4159 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4160 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16689)))->BgL_wherez00);
							BgL_locz00_4161 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16689)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4159, BgL_wherez00_4160,
									BgL_locz00_4161);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_4162;

									BgL_za2za2resza2za2z00_4162 =
										PROCEDURE_ENTRY(BgL_bodyz00_16690) (BgL_bodyz00_16690,
										BgL_sz00_4155, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4159);
									return BgL_za2za2resza2za2z00_4162;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5166> */
	obj_t BGl_z62zc3anonymousza35166ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16692, obj_t BgL_sz00_16696)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16693;
				obj_t BgL_bodyz00_16694;
				long BgL_siza7ezd2framez75_16695;

				BgL_instance2535z00_16693 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16692, (int) (((long) 0))));
				BgL_bodyz00_16694 = PROCEDURE_REF(BgL_envz00_16692, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16695 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16692, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5790;

					BgL_sz00_5790 = BgL_sz00_16696;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5792;

						BgL_bpz00_5792 = VECTOR_REF(BgL_sz00_5790, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15788;

								BgL_runz00_15788 =
									MAKE_FX_PROCEDURE(BGl_z62run6851z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_15788,
									(int) (((long) 0)), ((obj_t) BgL_instance2535z00_16693));
								PROCEDURE_SET(BgL_runz00_15788,
									(int) (((long) 1)), BgL_bodyz00_16694);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15789;

									BgL_mainz00_15789 =
										MAKE_VA_PROCEDURE(BGl_z62main6850z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_15789,
										(int) (((long) 0)), BgL_bodyz00_16694);
									PROCEDURE_SET(BgL_mainz00_15789,
										(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16693));
									PROCEDURE_SET(BgL_mainz00_15789,
										(int) (((long) 2)), BgL_runz00_15788);
									PROCEDURE_SET(BgL_mainz00_15789,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16695));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11072;

										BgL_objz00_11072 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15788, BgL_objz00_11072);
										BgL_objz00_11072;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5167z00_5795;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5168z00_5796;
											obj_t BgL_arg5169z00_5797;

											BgL_arg5168z00_5796 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16693)))->
												BgL_arityz00);
											BgL_arg5169z00_5797 =
												(((BgL_ev_absz00_bglt) CREF(((obj_t)
															BgL_instance2535z00_16693)))->BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11078;

												BgL_newz00_11078 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29543;

													BgL_auxz00_29543 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11078, BgL_auxz00_29543,
														BgL_arg5169z00_5797);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29548;
													int BgL_auxz00_29546;

													BgL_auxz00_29548 = BINT(BgL_siza7ezd2framez75_16695);
													BgL_auxz00_29546 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11078, BgL_auxz00_29546,
														BgL_auxz00_29548);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29551;

													BgL_auxz00_29551 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11078, BgL_auxz00_29551,
														BgL_runz00_15788);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29554;

													BgL_auxz00_29554 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11078, BgL_auxz00_29554,
														BgL_arg5168z00_5796);
												}
												BgL_arg5167z00_5795 = BgL_newz00_11078;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15789, BgL_arg5167z00_5795);
										BgL_arg5167z00_5795;
									}
									return BgL_mainz00_15789;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6850 */
	obj_t BGl_z62main6850z62zz__evaluate_compz00(obj_t BgL_envz00_16697,
		obj_t BgL_az00_16702, obj_t BgL_bz00_16703, obj_t BgL_cz00_16704,
		obj_t BgL_dz00_16705, obj_t BgL_restz00_16706)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16699;
				obj_t BgL_runz00_16700;
				long BgL_siza7ezd2framez75_16701;

				BgL_instance2535z00_16699 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16697, (int) (((long) 1))));
				BgL_runz00_16700 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16697, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16701 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16697, (int) (((long) 3))));
				{
					obj_t BgL_az00_5798;
					obj_t BgL_bz00_5799;
					obj_t BgL_cz00_5800;
					obj_t BgL_dz00_5801;
					obj_t BgL_restz00_5802;

					BgL_az00_5798 = BgL_az00_16702;
					BgL_bz00_5799 = BgL_bz00_16703;
					BgL_cz00_5800 = BgL_cz00_16704;
					BgL_dz00_5801 = BgL_dz00_16705;
					BgL_restz00_5802 = BgL_restz00_16706;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5804;

						BgL_sz00_5804 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5805;

							BgL_bpz00_5805 = VECTOR_REF(BgL_sz00_5804, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_29570;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_10982;
									int BgL_arg3190z00_10983;

									BgL_arg3189z00_10982 =
										((long) CINT(BgL_bpz00_5805) + BgL_siza7ezd2framez75_16701);
									BgL_arg3190z00_10983 = VECTOR_LENGTH(BgL_sz00_5804);
									BgL_testz00_29570 =
										(BgL_arg3189z00_10982 < (long) (BgL_arg3190z00_10983));
								}
								if (BgL_testz00_29570)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5172z00_5807;

											BgL_arg5172z00_5807 =
												((long) CINT(BgL_bpz00_5805) + ((long) 0));
											VECTOR_SET(BgL_sz00_5804,
												(int) (BgL_arg5172z00_5807), BgL_az00_5798);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5173z00_5808;

											BgL_arg5173z00_5808 =
												((long) CINT(BgL_bpz00_5805) + ((long) 1));
											VECTOR_SET(BgL_sz00_5804,
												(int) (BgL_arg5173z00_5808), BgL_bz00_5799);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5174z00_5809;

											BgL_arg5174z00_5809 =
												((long) CINT(BgL_bpz00_5805) + ((long) 2));
											VECTOR_SET(BgL_sz00_5804,
												(int) (BgL_arg5174z00_5809), BgL_cz00_5800);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5175z00_5810;

											BgL_arg5175z00_5810 =
												((long) CINT(BgL_bpz00_5805) + ((long) 3));
											VECTOR_SET(BgL_sz00_5804,
												(int) (BgL_arg5175z00_5810), BgL_dz00_5801);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5176z00_5811;
											long BgL_arg5177z00_5812;
											long BgL_arg5178z00_5813;
											obj_t BgL_arg5179z00_5814;

											BgL_arg5176z00_5811 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16699)))->
												BgL_wherez00);
											BgL_arg5177z00_5812 =
												((long) CINT(BgL_bpz00_5805) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11020;

												BgL_nz00_11020 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16699)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11020) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5178z00_5813 =
															((long) CINT(BgL_nz00_11020) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5178z00_5813 =
															((long) CINT(BgL_nz00_11020) - ((long) 4));
											}}
											BgL_arg5179z00_5814 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16699)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5804,
												BgL_arg5176z00_5811, BgL_arg5177z00_5812,
												BgL_arg5178z00_5813, BgL_restz00_5802,
												BgL_arg5179z00_5814);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2537z00_5816;

											BgL_val2537z00_5816 =
												BGl_zc3exitza35184ze3z83zz__evaluate_compz00
												(BgL_bpz00_5805, BgL_sz00_5804, BgL_runz00_16700);
											VECTOR_SET(BgL_sz00_5804, (int) (((long) 0)),
												BgL_bpz00_5805);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2537z00_5816)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2537z00_5816), CDR(BgL_val2537z00_5816));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2537z00_5816;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5823;

										BgL_nsz00_5823 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5823,
											(int) (((long) 1)), BgL_sz00_5804);
										VECTOR_SET(BgL_nsz00_5823,
											(int) (((long) 2)), BgL_az00_5798);
										VECTOR_SET(BgL_nsz00_5823,
											(int) (((long) 3)), BgL_bz00_5799);
										VECTOR_SET(BgL_nsz00_5823,
											(int) (((long) 4)), BgL_cz00_5800);
										VECTOR_SET(BgL_nsz00_5823,
											(int) (((long) 5)), BgL_dz00_5801);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5185z00_5824;
											long BgL_arg5186z00_5825;
											obj_t BgL_arg5187z00_5826;

											BgL_arg5185z00_5824 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16699)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11055;

												BgL_nz00_11055 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16699)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11055) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5186z00_5825 =
															((long) CINT(BgL_nz00_11055) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5186z00_5825 =
															((long) CINT(BgL_nz00_11055) - ((long) 4));
											}}
											BgL_arg5187z00_5826 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16699)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5823,
												BgL_arg5185z00_5824, ((long) 6), BgL_arg5186z00_5825,
												BgL_restz00_5802, BgL_arg5187z00_5826);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_29642;

											BgL_auxz00_29642 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29642, BgL_nsz00_5823);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2540z00_5829;

											BgL_val2540z00_5829 =
												BGl_zc3exitza35194ze3z83zz__evaluate_compz00
												(BgL_nsz00_5823, BgL_runz00_16700);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_29646;

												BgL_auxz00_29646 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29646, BgL_sz00_5804);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2540z00_5829)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2540z00_5829), CDR(BgL_val2540z00_5829));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2540z00_5829;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5194> */
	obj_t BGl_zc3exitza35194ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17020,
		obj_t BgL_runz00_17019)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2541z00_5835;

			if (SET_EXIT(BgL_an_exit2541z00_5835))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2541z00_5835 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2541z00_5835, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2542z00_5836;

							BgL_val2542z00_5836 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17019,
								BgL_nsz00_17020, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2542z00_5836;
						}
					}
				}
		}
	}



/* <exit:5184> */
	obj_t BGl_zc3exitza35184ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17023,
		obj_t BgL_sz00_17022, obj_t BgL_runz00_17021)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2538z00_5821;

			if (SET_EXIT(BgL_an_exit2538z00_5821))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2538z00_5821 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2538z00_5821, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2539z00_5822;

							BgL_val2539z00_5822 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17021,
								BgL_sz00_17022, BgL_bpz00_17023);
							POP_EXIT();
							return BgL_val2539z00_5822;
						}
					}
				}
		}
	}



/* &run6851 */
	obj_t BGl_z62run6851z62zz__evaluate_compz00(obj_t BgL_envz00_16707,
		obj_t BgL_sz00_16710)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16708;
				obj_t BgL_bodyz00_16709;

				BgL_instance2535z00_16708 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16707, (int) (((long) 0))));
				BgL_bodyz00_16709 = PROCEDURE_REF(BgL_envz00_16707, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5838;

					BgL_sz00_5838 = BgL_sz00_16710;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5840;

						BgL_bpz00_5840 = VECTOR_REF(BgL_sz00_5838, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5841;
							obj_t BgL_wherez00_5842;
							obj_t BgL_locz00_5843;

							BgL_z12denvz12_5841 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5842 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16708)))->BgL_wherez00);
							BgL_locz00_5843 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16708)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5841, BgL_wherez00_5842,
									BgL_locz00_5843);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5844;

									BgL_za2za2resza2za2z00_5844 =
										PROCEDURE_ENTRY(BgL_bodyz00_16709) (BgL_bodyz00_16709,
										BgL_sz00_5838, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5841);
									return BgL_za2za2resza2za2z00_5844;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5196> */
	obj_t BGl_z62zc3anonymousza35196ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16711, obj_t BgL_sz00_16716)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16712;
				BgL_ev_absz00_bglt BgL_instance2535z00_16713;
				obj_t BgL_bodyz00_16714;
				long BgL_siza7ezd2framez75_16715;

				BgL_iboxesz00_16712 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16711, (int) (((long) 0))));
				BgL_instance2535z00_16713 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16711, (int) (((long) 1))));
				BgL_bodyz00_16714 = PROCEDURE_REF(BgL_envz00_16711, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16715 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16711, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5846;

					BgL_sz00_5846 = BgL_sz00_16716;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5848;

						BgL_bpz00_5848 = VECTOR_REF(BgL_sz00_5846, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */

							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15785;

								BgL_runz00_15785 =
									MAKE_FX_PROCEDURE(BGl_z62run6853z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_15785,
									(int) (((long) 0)), BgL_iboxesz00_16712);
								PROCEDURE_SET(BgL_runz00_15785,
									(int) (((long) 1)), ((obj_t) BgL_instance2535z00_16713));
								PROCEDURE_SET(BgL_runz00_15785,
									(int) (((long) 2)), BgL_bodyz00_16714);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15786;

									BgL_mainz00_15786 =
										MAKE_VA_PROCEDURE(BGl_z62main6852z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_15786,
										(int) (((long) 0)), BgL_iboxesz00_16712);
									PROCEDURE_SET(BgL_mainz00_15786,
										(int) (((long) 1)), BgL_bodyz00_16714);
									PROCEDURE_SET(BgL_mainz00_15786,
										(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16713));
									PROCEDURE_SET(BgL_mainz00_15786,
										(int) (((long) 3)), BgL_runz00_15785);
									PROCEDURE_SET(BgL_mainz00_15786,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16715));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11200;

										BgL_objz00_11200 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15785, BgL_objz00_11200);
										BgL_objz00_11200;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5197z00_5851;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5198z00_5852;
											obj_t BgL_arg5199z00_5853;

											BgL_arg5198z00_5852 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16713)))->
												BgL_arityz00);
											BgL_arg5199z00_5853 =
												(((BgL_ev_absz00_bglt) CREF(((obj_t)
															BgL_instance2535z00_16713)))->BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11206;

												BgL_newz00_11206 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29729;

													BgL_auxz00_29729 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_29729,
														BgL_arg5199z00_5853);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29734;
													int BgL_auxz00_29732;

													BgL_auxz00_29734 = BINT(BgL_siza7ezd2framez75_16715);
													BgL_auxz00_29732 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_29732,
														BgL_auxz00_29734);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29737;

													BgL_auxz00_29737 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_29737,
														BgL_runz00_15785);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29740;

													BgL_auxz00_29740 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_29740,
														BgL_arg5198z00_5852);
												}
												BgL_arg5197z00_5851 = BgL_newz00_11206;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15786, BgL_arg5197z00_5851);
										BgL_arg5197z00_5851;
									}
									return BgL_mainz00_15786;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6852 */
	obj_t BGl_z62main6852z62zz__evaluate_compz00(obj_t BgL_envz00_16717,
		obj_t BgL_az00_16723, obj_t BgL_bz00_16724, obj_t BgL_cz00_16725,
		obj_t BgL_dz00_16726, obj_t BgL_restz00_16727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16720;
				obj_t BgL_runz00_16721;
				long BgL_siza7ezd2framez75_16722;

				BgL_instance2535z00_16720 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16717, (int) (((long) 2))));
				BgL_runz00_16721 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16717, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16722 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16717, (int) (((long) 4))));
				{
					obj_t BgL_az00_5854;
					obj_t BgL_bz00_5855;
					obj_t BgL_cz00_5856;
					obj_t BgL_dz00_5857;
					obj_t BgL_restz00_5858;

					BgL_az00_5854 = BgL_az00_16723;
					BgL_bz00_5855 = BgL_bz00_16724;
					BgL_cz00_5856 = BgL_cz00_16725;
					BgL_dz00_5857 = BgL_dz00_16726;
					BgL_restz00_5858 = BgL_restz00_16727;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5860;

						BgL_sz00_5860 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5861;

							BgL_bpz00_5861 = VECTOR_REF(BgL_sz00_5860, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_29756;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11110;
									int BgL_arg3190z00_11111;

									BgL_arg3189z00_11110 =
										((long) CINT(BgL_bpz00_5861) + BgL_siza7ezd2framez75_16722);
									BgL_arg3190z00_11111 = VECTOR_LENGTH(BgL_sz00_5860);
									BgL_testz00_29756 =
										(BgL_arg3189z00_11110 < (long) (BgL_arg3190z00_11111));
								}
								if (BgL_testz00_29756)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5202z00_5863;

											BgL_arg5202z00_5863 =
												((long) CINT(BgL_bpz00_5861) + ((long) 0));
											VECTOR_SET(BgL_sz00_5860,
												(int) (BgL_arg5202z00_5863), BgL_az00_5854);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5203z00_5864;

											BgL_arg5203z00_5864 =
												((long) CINT(BgL_bpz00_5861) + ((long) 1));
											VECTOR_SET(BgL_sz00_5860,
												(int) (BgL_arg5203z00_5864), BgL_bz00_5855);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5204z00_5865;

											BgL_arg5204z00_5865 =
												((long) CINT(BgL_bpz00_5861) + ((long) 2));
											VECTOR_SET(BgL_sz00_5860,
												(int) (BgL_arg5204z00_5865), BgL_cz00_5856);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5205z00_5866;

											BgL_arg5205z00_5866 =
												((long) CINT(BgL_bpz00_5861) + ((long) 3));
											VECTOR_SET(BgL_sz00_5860,
												(int) (BgL_arg5205z00_5866), BgL_dz00_5857);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5206z00_5867;
											long BgL_arg5207z00_5868;
											long BgL_arg5208z00_5869;
											obj_t BgL_arg5209z00_5870;

											BgL_arg5206z00_5867 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16720)))->
												BgL_wherez00);
											BgL_arg5207z00_5868 =
												((long) CINT(BgL_bpz00_5861) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11148;

												BgL_nz00_11148 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16720)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11148) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5208z00_5869 =
															((long) CINT(BgL_nz00_11148) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5208z00_5869 =
															((long) CINT(BgL_nz00_11148) - ((long) 4));
											}}
											BgL_arg5209z00_5870 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16720)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5860,
												BgL_arg5206z00_5867, BgL_arg5207z00_5868,
												BgL_arg5208z00_5869, BgL_restz00_5858,
												BgL_arg5209z00_5870);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2543z00_5872;

											BgL_val2543z00_5872 =
												BGl_zc3exitza35214ze3z83zz__evaluate_compz00
												(BgL_bpz00_5861, BgL_sz00_5860, BgL_runz00_16721);
											VECTOR_SET(BgL_sz00_5860, (int) (((long) 0)),
												BgL_bpz00_5861);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2543z00_5872)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2543z00_5872), CDR(BgL_val2543z00_5872));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2543z00_5872;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5879;

										BgL_nsz00_5879 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5879,
											(int) (((long) 1)), BgL_sz00_5860);
										VECTOR_SET(BgL_nsz00_5879,
											(int) (((long) 2)), BgL_az00_5854);
										VECTOR_SET(BgL_nsz00_5879,
											(int) (((long) 3)), BgL_bz00_5855);
										VECTOR_SET(BgL_nsz00_5879,
											(int) (((long) 4)), BgL_cz00_5856);
										VECTOR_SET(BgL_nsz00_5879,
											(int) (((long) 5)), BgL_dz00_5857);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5215z00_5880;
											long BgL_arg5216z00_5881;
											obj_t BgL_arg5217z00_5882;

											BgL_arg5215z00_5880 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16720)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11183;

												BgL_nz00_11183 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16720)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11183) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5216z00_5881 =
															((long) CINT(BgL_nz00_11183) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5216z00_5881 =
															((long) CINT(BgL_nz00_11183) - ((long) 4));
											}}
											BgL_arg5217z00_5882 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16720)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5879,
												BgL_arg5215z00_5880, ((long) 6), BgL_arg5216z00_5881,
												BgL_restz00_5858, BgL_arg5217z00_5882);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_29828;

											BgL_auxz00_29828 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29828, BgL_nsz00_5879);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2546z00_5885;

											BgL_val2546z00_5885 =
												BGl_zc3exitza35224ze3z83zz__evaluate_compz00
												(BgL_nsz00_5879, BgL_runz00_16721);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_29832;

												BgL_auxz00_29832 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29832, BgL_sz00_5860);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2546z00_5885)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2546z00_5885), CDR(BgL_val2546z00_5885));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2546z00_5885;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5224> */
	obj_t BGl_zc3exitza35224ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17015,
		obj_t BgL_runz00_17014)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2547z00_5891;

			if (SET_EXIT(BgL_an_exit2547z00_5891))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2547z00_5891 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2547z00_5891, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2548z00_5892;

							BgL_val2548z00_5892 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17014,
								BgL_nsz00_17015, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2548z00_5892;
						}
					}
				}
		}
	}



/* <exit:5214> */
	obj_t BGl_zc3exitza35214ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17018,
		obj_t BgL_sz00_17017, obj_t BgL_runz00_17016)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2544z00_5877;

			if (SET_EXIT(BgL_an_exit2544z00_5877))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2544z00_5877 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2544z00_5877, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2545z00_5878;

							BgL_val2545z00_5878 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17016,
								BgL_sz00_17017, BgL_bpz00_17018);
							POP_EXIT();
							return BgL_val2545z00_5878;
						}
					}
				}
		}
	}



/* &run6853 */
	obj_t BGl_z62run6853z62zz__evaluate_compz00(obj_t BgL_envz00_16728,
		obj_t BgL_sz00_16732)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16729;
				BgL_ev_absz00_bglt BgL_instance2535z00_16730;
				obj_t BgL_bodyz00_16731;

				BgL_iboxesz00_16729 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 0))));
				BgL_instance2535z00_16730 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 1))));
				BgL_bodyz00_16731 = PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5894;

					BgL_sz00_5894 = BgL_sz00_16732;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5896;

						BgL_bpz00_5896 = VECTOR_REF(BgL_sz00_5894, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5894,
							BgL_iboxesz00_16729, BgL_bpz00_5896);
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_z12denvz12_5897;
							obj_t BgL_wherez00_5898;
							obj_t BgL_locz00_5899;

							BgL_z12denvz12_5897 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5898 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16730)))->BgL_wherez00);
							BgL_locz00_5899 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16730)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1106 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5897, BgL_wherez00_5898,
									BgL_locz00_5899);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_za2za2resza2za2z00_5900;

									BgL_za2za2resza2za2z00_5900 =
										PROCEDURE_ENTRY(BgL_bodyz00_16731) (BgL_bodyz00_16731,
										BgL_sz00_5894, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5897);
									return BgL_za2za2resza2za2z00_5900;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5228> */
	obj_t BGl_z62zc3anonymousza35228ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16733, obj_t BgL_sz00_16739)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16734;
				long BgL_siza7eza7_16735;
				BgL_ev_absz00_bglt BgL_instance2535z00_16736;
				obj_t BgL_bodyz00_16737;
				long BgL_siza7ezd2framez75_16738;

				BgL_ifreesz00_16734 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16733, (int) (((long) 0))));
				BgL_siza7eza7_16735 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16733, (int) (((long) 1))));
				BgL_instance2535z00_16736 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16733, (int) (((long) 2))));
				BgL_bodyz00_16737 = PROCEDURE_REF(BgL_envz00_16733, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16738 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16733, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5904;

					BgL_sz00_5904 = BgL_sz00_16739;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5906;

						BgL_bpz00_5906 = VECTOR_REF(BgL_sz00_5904, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5907;

							BgL_valza2za2_5907 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5904,
								BgL_bpz00_5906, BgL_ifreesz00_16734);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15782;

								BgL_runz00_15782 =
									MAKE_FX_PROCEDURE(BGl_z62run6855z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_15782,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16735));
								PROCEDURE_SET(BgL_runz00_15782,
									(int) (((long) 1)), BgL_valza2za2_5907);
								PROCEDURE_SET(BgL_runz00_15782,
									(int) (((long) 2)), ((obj_t) BgL_instance2535z00_16736));
								PROCEDURE_SET(BgL_runz00_15782,
									(int) (((long) 3)), BgL_bodyz00_16737);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15783;

									BgL_mainz00_15783 =
										MAKE_VA_PROCEDURE(BGl_z62main6854z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_15783,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16735));
									PROCEDURE_SET(BgL_mainz00_15783,
										(int) (((long) 1)), BgL_valza2za2_5907);
									PROCEDURE_SET(BgL_mainz00_15783,
										(int) (((long) 2)), BgL_bodyz00_16737);
									PROCEDURE_SET(BgL_mainz00_15783,
										(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16736));
									PROCEDURE_SET(BgL_mainz00_15783,
										(int) (((long) 4)), BgL_runz00_15782);
									PROCEDURE_SET(BgL_mainz00_15783,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16738));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11335;

										BgL_objz00_11335 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15782, BgL_objz00_11335);
										BgL_objz00_11335;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5229z00_5910;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5230z00_5911;
											obj_t BgL_arg5231z00_5912;

											BgL_arg5230z00_5911 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16736)))->
												BgL_arityz00);
											BgL_arg5231z00_5912 =
												(((BgL_ev_absz00_bglt) CREF(((obj_t)
															BgL_instance2535z00_16736)))->BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11341;

												BgL_newz00_11341 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29929;

													BgL_auxz00_29929 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11341, BgL_auxz00_29929,
														BgL_arg5231z00_5912);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_29934;
													int BgL_auxz00_29932;

													BgL_auxz00_29934 = BINT(BgL_siza7ezd2framez75_16738);
													BgL_auxz00_29932 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11341, BgL_auxz00_29932,
														BgL_auxz00_29934);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29937;

													BgL_auxz00_29937 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11341, BgL_auxz00_29937,
														BgL_runz00_15782);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_29940;

													BgL_auxz00_29940 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11341, BgL_auxz00_29940,
														BgL_arg5230z00_5911);
												}
												BgL_arg5229z00_5910 = BgL_newz00_11341;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15783, BgL_arg5229z00_5910);
										BgL_arg5229z00_5910;
									}
									return BgL_mainz00_15783;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6854 */
	obj_t BGl_z62main6854z62zz__evaluate_compz00(obj_t BgL_envz00_16740,
		obj_t BgL_az00_16747, obj_t BgL_bz00_16748, obj_t BgL_cz00_16749,
		obj_t BgL_dz00_16750, obj_t BgL_restz00_16751)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16744;
				obj_t BgL_runz00_16745;
				long BgL_siza7ezd2framez75_16746;

				BgL_instance2535z00_16744 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16740, (int) (((long) 3))));
				BgL_runz00_16745 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16740, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16746 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16740, (int) (((long) 5))));
				{
					obj_t BgL_az00_5913;
					obj_t BgL_bz00_5914;
					obj_t BgL_cz00_5915;
					obj_t BgL_dz00_5916;
					obj_t BgL_restz00_5917;

					BgL_az00_5913 = BgL_az00_16747;
					BgL_bz00_5914 = BgL_bz00_16748;
					BgL_cz00_5915 = BgL_cz00_16749;
					BgL_dz00_5916 = BgL_dz00_16750;
					BgL_restz00_5917 = BgL_restz00_16751;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5919;

						BgL_sz00_5919 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5920;

							BgL_bpz00_5920 = VECTOR_REF(BgL_sz00_5919, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_29956;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11245;
									int BgL_arg3190z00_11246;

									BgL_arg3189z00_11245 =
										((long) CINT(BgL_bpz00_5920) + BgL_siza7ezd2framez75_16746);
									BgL_arg3190z00_11246 = VECTOR_LENGTH(BgL_sz00_5919);
									BgL_testz00_29956 =
										(BgL_arg3189z00_11245 < (long) (BgL_arg3190z00_11246));
								}
								if (BgL_testz00_29956)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5234z00_5922;

											BgL_arg5234z00_5922 =
												((long) CINT(BgL_bpz00_5920) + ((long) 0));
											VECTOR_SET(BgL_sz00_5919,
												(int) (BgL_arg5234z00_5922), BgL_az00_5913);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5235z00_5923;

											BgL_arg5235z00_5923 =
												((long) CINT(BgL_bpz00_5920) + ((long) 1));
											VECTOR_SET(BgL_sz00_5919,
												(int) (BgL_arg5235z00_5923), BgL_bz00_5914);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5236z00_5924;

											BgL_arg5236z00_5924 =
												((long) CINT(BgL_bpz00_5920) + ((long) 2));
											VECTOR_SET(BgL_sz00_5919,
												(int) (BgL_arg5236z00_5924), BgL_cz00_5915);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5237z00_5925;

											BgL_arg5237z00_5925 =
												((long) CINT(BgL_bpz00_5920) + ((long) 3));
											VECTOR_SET(BgL_sz00_5919,
												(int) (BgL_arg5237z00_5925), BgL_dz00_5916);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5238z00_5926;
											long BgL_arg5239z00_5927;
											long BgL_arg5240z00_5928;
											obj_t BgL_arg5241z00_5929;

											BgL_arg5238z00_5926 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16744)))->
												BgL_wherez00);
											BgL_arg5239z00_5927 =
												((long) CINT(BgL_bpz00_5920) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11283;

												BgL_nz00_11283 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16744)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11283) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5240z00_5928 =
															((long) CINT(BgL_nz00_11283) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5240z00_5928 =
															((long) CINT(BgL_nz00_11283) - ((long) 4));
											}}
											BgL_arg5241z00_5929 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16744)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5919,
												BgL_arg5238z00_5926, BgL_arg5239z00_5927,
												BgL_arg5240z00_5928, BgL_restz00_5917,
												BgL_arg5241z00_5929);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2549z00_5931;

											BgL_val2549z00_5931 =
												BGl_zc3exitza35246ze3z83zz__evaluate_compz00
												(BgL_bpz00_5920, BgL_sz00_5919, BgL_runz00_16745);
											VECTOR_SET(BgL_sz00_5919, (int) (((long) 0)),
												BgL_bpz00_5920);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2549z00_5931)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2549z00_5931), CDR(BgL_val2549z00_5931));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2549z00_5931;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5938;

										BgL_nsz00_5938 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5938,
											(int) (((long) 1)), BgL_sz00_5919);
										VECTOR_SET(BgL_nsz00_5938,
											(int) (((long) 2)), BgL_az00_5913);
										VECTOR_SET(BgL_nsz00_5938,
											(int) (((long) 3)), BgL_bz00_5914);
										VECTOR_SET(BgL_nsz00_5938,
											(int) (((long) 4)), BgL_cz00_5915);
										VECTOR_SET(BgL_nsz00_5938,
											(int) (((long) 5)), BgL_dz00_5916);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5247z00_5939;
											long BgL_arg5248z00_5940;
											obj_t BgL_arg5249z00_5941;

											BgL_arg5247z00_5939 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16744)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11318;

												BgL_nz00_11318 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16744)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11318) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5248z00_5940 =
															((long) CINT(BgL_nz00_11318) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5248z00_5940 =
															((long) CINT(BgL_nz00_11318) - ((long) 4));
											}}
											BgL_arg5249z00_5941 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16744)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5938,
												BgL_arg5247z00_5939, ((long) 6), BgL_arg5248z00_5940,
												BgL_restz00_5917, BgL_arg5249z00_5941);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_30028;

											BgL_auxz00_30028 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30028, BgL_nsz00_5938);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2552z00_5944;

											BgL_val2552z00_5944 =
												BGl_zc3exitza35256ze3z83zz__evaluate_compz00
												(BgL_nsz00_5938, BgL_runz00_16745);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_30032;

												BgL_auxz00_30032 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30032, BgL_sz00_5919);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2552z00_5944)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2552z00_5944), CDR(BgL_val2552z00_5944));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2552z00_5944;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5256> */
	obj_t BGl_zc3exitza35256ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17010,
		obj_t BgL_runz00_17009)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2553z00_5950;

			if (SET_EXIT(BgL_an_exit2553z00_5950))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2553z00_5950 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2553z00_5950, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2554z00_5951;

							BgL_val2554z00_5951 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17009,
								BgL_nsz00_17010, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2554z00_5951;
						}
					}
				}
		}
	}



/* <exit:5246> */
	obj_t BGl_zc3exitza35246ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17013,
		obj_t BgL_sz00_17012, obj_t BgL_runz00_17011)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2550z00_5936;

			if (SET_EXIT(BgL_an_exit2550z00_5936))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2550z00_5936 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2550z00_5936, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2551z00_5937;

							BgL_val2551z00_5937 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17011,
								BgL_sz00_17012, BgL_bpz00_17013);
							POP_EXIT();
							return BgL_val2551z00_5937;
						}
					}
				}
		}
	}



/* &run6855 */
	obj_t BGl_z62run6855z62zz__evaluate_compz00(obj_t BgL_envz00_16752,
		obj_t BgL_sz00_16757)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				long BgL_siza7eza7_16753;
				obj_t BgL_valza2za2_16754;
				BgL_ev_absz00_bglt BgL_instance2535z00_16755;
				obj_t BgL_bodyz00_16756;

				BgL_siza7eza7_16753 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16752, (int) (((long) 0))));
				BgL_valza2za2_16754 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16752, (int) (((long) 1))));
				BgL_instance2535z00_16755 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16752, (int) (((long) 2))));
				BgL_bodyz00_16756 = PROCEDURE_REF(BgL_envz00_16752, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5953;

					BgL_sz00_5953 = BgL_sz00_16757;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5955;

						BgL_bpz00_5955 = VECTOR_REF(BgL_sz00_5953, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5953,
							BgL_valza2za2_16754,
							((long) CINT(BgL_bpz00_5955) + BgL_siza7eza7_16753));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_5957;
							obj_t BgL_wherez00_5958;
							obj_t BgL_locz00_5959;

							BgL_z12denvz12_5957 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5958 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16755)))->BgL_wherez00);
							BgL_locz00_5959 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16755)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5957, BgL_wherez00_5958,
									BgL_locz00_5959);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_5960;

									BgL_za2za2resza2za2z00_5960 =
										PROCEDURE_ENTRY(BgL_bodyz00_16756) (BgL_bodyz00_16756,
										BgL_sz00_5953, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5957);
									return BgL_za2za2resza2za2z00_5960;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:5259> */
	obj_t BGl_z62zc3anonymousza35259ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16758, obj_t BgL_sz00_16765)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_ifreesz00_16759;
				obj_t BgL_iboxesz00_16760;
				long BgL_siza7eza7_16761;
				BgL_ev_absz00_bglt BgL_instance2535z00_16762;
				obj_t BgL_bodyz00_16763;
				long BgL_siza7ezd2framez75_16764;

				BgL_ifreesz00_16759 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16758, (int) (((long) 0))));
				BgL_iboxesz00_16760 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16758, (int) (((long) 1))));
				BgL_siza7eza7_16761 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16758, (int) (((long) 2))));
				BgL_instance2535z00_16762 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16758, (int) (((long) 3))));
				BgL_bodyz00_16763 = PROCEDURE_REF(BgL_envz00_16758, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16764 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16758, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5962;

					BgL_sz00_5962 = BgL_sz00_16765;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_5964;

						BgL_bpz00_5964 = VECTOR_REF(BgL_sz00_5962, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_valza2za2_5965;

							BgL_valza2za2_5965 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5962,
								BgL_bpz00_5964, BgL_ifreesz00_16759);
							{	/* Eval/evaluate_comp.scm 1106 */
								obj_t BgL_runz00_15779;

								BgL_runz00_15779 =
									MAKE_FX_PROCEDURE(BGl_z62run6857z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_15779,
									(int) (((long) 0)), BgL_iboxesz00_16760);
								PROCEDURE_SET(BgL_runz00_15779,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
								PROCEDURE_SET(BgL_runz00_15779,
									(int) (((long) 2)), BgL_valza2za2_5965);
								PROCEDURE_SET(BgL_runz00_15779,
									(int) (((long) 3)), ((obj_t) BgL_instance2535z00_16762));
								PROCEDURE_SET(BgL_runz00_15779,
									(int) (((long) 4)), BgL_bodyz00_16763);
								{	/* Eval/evaluate_comp.scm 1106 */
									obj_t BgL_mainz00_15780;

									BgL_mainz00_15780 =
										MAKE_VA_PROCEDURE(BGl_z62main6856z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_15780,
										(int) (((long) 0)), BgL_iboxesz00_16760);
									PROCEDURE_SET(BgL_mainz00_15780,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
									PROCEDURE_SET(BgL_mainz00_15780,
										(int) (((long) 2)), BgL_valza2za2_5965);
									PROCEDURE_SET(BgL_mainz00_15780,
										(int) (((long) 3)), BgL_bodyz00_16763);
									PROCEDURE_SET(BgL_mainz00_15780,
										(int) (((long) 4)), ((obj_t) BgL_instance2535z00_16762));
									PROCEDURE_SET(BgL_mainz00_15780,
										(int) (((long) 5)), BgL_runz00_15779);
									PROCEDURE_SET(BgL_mainz00_15780,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16764));
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_objz00_11466;

										BgL_objz00_11466 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_15779, BgL_objz00_11466);
										BgL_objz00_11466;
									}
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_arg5260z00_5968;

										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5261z00_5969;
											obj_t BgL_arg5262z00_5970;

											BgL_arg5261z00_5969 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16762)))->
												BgL_arityz00);
											BgL_arg5262z00_5970 =
												(((BgL_ev_absz00_bglt) CREF(((obj_t)
															BgL_instance2535z00_16762)))->BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_newz00_11472;

												BgL_newz00_11472 =
													create_struct(BGl_symbol6887z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_30141;

													BgL_auxz00_30141 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11472, BgL_auxz00_30141,
														BgL_arg5262z00_5970);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													obj_t BgL_auxz00_30146;
													int BgL_auxz00_30144;

													BgL_auxz00_30146 = BINT(BgL_siza7ezd2framez75_16764);
													BgL_auxz00_30144 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11472, BgL_auxz00_30144,
														BgL_auxz00_30146);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_30149;

													BgL_auxz00_30149 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11472, BgL_auxz00_30149,
														BgL_runz00_15779);
												}
												{	/* Eval/evaluate_comp.scm 1106 */
													int BgL_auxz00_30152;

													BgL_auxz00_30152 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11472, BgL_auxz00_30152,
														BgL_arg5261z00_5969);
												}
												BgL_arg5260z00_5968 = BgL_newz00_11472;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_15780, BgL_arg5260z00_5968);
										BgL_arg5260z00_5968;
									}
									return BgL_mainz00_15780;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6856 */
	obj_t BGl_z62main6856z62zz__evaluate_compz00(obj_t BgL_envz00_16766,
		obj_t BgL_az00_16774, obj_t BgL_bz00_16775, obj_t BgL_cz00_16776,
		obj_t BgL_dz00_16777, obj_t BgL_restz00_16778)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				BgL_ev_absz00_bglt BgL_instance2535z00_16771;
				obj_t BgL_runz00_16772;
				long BgL_siza7ezd2framez75_16773;

				BgL_instance2535z00_16771 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16766, (int) (((long) 4))));
				BgL_runz00_16772 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16766, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16773 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16766, (int) (((long) 6))));
				{
					obj_t BgL_az00_5971;
					obj_t BgL_bz00_5972;
					obj_t BgL_cz00_5973;
					obj_t BgL_dz00_5974;
					obj_t BgL_restz00_5975;

					BgL_az00_5971 = BgL_az00_16774;
					BgL_bz00_5972 = BgL_bz00_16775;
					BgL_cz00_5973 = BgL_cz00_16776;
					BgL_dz00_5974 = BgL_dz00_16777;
					BgL_restz00_5975 = BgL_restz00_16778;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_sz00_5977;

						BgL_sz00_5977 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_bpz00_5978;

							BgL_bpz00_5978 = VECTOR_REF(BgL_sz00_5977, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1106 */
								bool_t BgL_testz00_30168;

								{	/* Eval/evaluate_comp.scm 1106 */
									long BgL_arg3189z00_11376;
									int BgL_arg3190z00_11377;

									BgL_arg3189z00_11376 =
										((long) CINT(BgL_bpz00_5978) + BgL_siza7ezd2framez75_16773);
									BgL_arg3190z00_11377 = VECTOR_LENGTH(BgL_sz00_5977);
									BgL_testz00_30168 =
										(BgL_arg3189z00_11376 < (long) (BgL_arg3190z00_11377));
								}
								if (BgL_testz00_30168)
									{	/* Eval/evaluate_comp.scm 1106 */
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5265z00_5980;

											BgL_arg5265z00_5980 =
												((long) CINT(BgL_bpz00_5978) + ((long) 0));
											VECTOR_SET(BgL_sz00_5977,
												(int) (BgL_arg5265z00_5980), BgL_az00_5971);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5266z00_5981;

											BgL_arg5266z00_5981 =
												((long) CINT(BgL_bpz00_5978) + ((long) 1));
											VECTOR_SET(BgL_sz00_5977,
												(int) (BgL_arg5266z00_5981), BgL_bz00_5972);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5267z00_5982;

											BgL_arg5267z00_5982 =
												((long) CINT(BgL_bpz00_5978) + ((long) 2));
											VECTOR_SET(BgL_sz00_5977,
												(int) (BgL_arg5267z00_5982), BgL_cz00_5973);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											long BgL_arg5268z00_5983;

											BgL_arg5268z00_5983 =
												((long) CINT(BgL_bpz00_5978) + ((long) 3));
											VECTOR_SET(BgL_sz00_5977,
												(int) (BgL_arg5268z00_5983), BgL_dz00_5974);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5269z00_5984;
											long BgL_arg5270z00_5985;
											long BgL_arg5271z00_5986;
											obj_t BgL_arg5272z00_5987;

											BgL_arg5269z00_5984 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16771)))->
												BgL_wherez00);
											BgL_arg5270z00_5985 =
												((long) CINT(BgL_bpz00_5978) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11414;

												BgL_nz00_11414 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16771)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11414) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5271z00_5986 =
															((long) CINT(BgL_nz00_11414) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5271z00_5986 =
															((long) CINT(BgL_nz00_11414) - ((long) 4));
											}}
											BgL_arg5272z00_5987 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16771)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5977,
												BgL_arg5269z00_5984, BgL_arg5270z00_5985,
												BgL_arg5271z00_5986, BgL_restz00_5975,
												BgL_arg5272z00_5987);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2555z00_5989;

											BgL_val2555z00_5989 =
												BGl_zc3exitza35277ze3z83zz__evaluate_compz00
												(BgL_bpz00_5978, BgL_sz00_5977, BgL_runz00_16772);
											VECTOR_SET(BgL_sz00_5977, (int) (((long) 0)),
												BgL_bpz00_5978);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2555z00_5989)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2555z00_5989), CDR(BgL_val2555z00_5989));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2555z00_5989;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1106 */
										obj_t BgL_nsz00_5996;

										BgL_nsz00_5996 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5996,
											(int) (((long) 1)), BgL_sz00_5977);
										VECTOR_SET(BgL_nsz00_5996,
											(int) (((long) 2)), BgL_az00_5971);
										VECTOR_SET(BgL_nsz00_5996,
											(int) (((long) 3)), BgL_bz00_5972);
										VECTOR_SET(BgL_nsz00_5996,
											(int) (((long) 4)), BgL_cz00_5973);
										VECTOR_SET(BgL_nsz00_5996,
											(int) (((long) 5)), BgL_dz00_5974);
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_arg5278z00_5997;
											long BgL_arg5279z00_5998;
											obj_t BgL_arg5280z00_5999;

											BgL_arg5278z00_5997 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16771)))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_nz00_11449;

												BgL_nz00_11449 =
													(((BgL_ev_absz00_bglt) CREF(
															((obj_t) BgL_instance2535z00_16771)))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_11449) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5279z00_5998 =
															((long) CINT(BgL_nz00_11449) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1106 */
														BgL_arg5279z00_5998 =
															((long) CINT(BgL_nz00_11449) - ((long) 4));
											}}
											BgL_arg5280z00_5999 =
												(((BgL_ev_absz00_bglt) CREF(
														((obj_t) BgL_instance2535z00_16771)))->BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5996,
												BgL_arg5278z00_5997, ((long) 6), BgL_arg5279z00_5998,
												BgL_restz00_5975, BgL_arg5280z00_5999);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_auxz00_30240;

											BgL_auxz00_30240 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30240, BgL_nsz00_5996);
										}
										{	/* Eval/evaluate_comp.scm 1106 */
											obj_t BgL_val2558z00_6002;

											BgL_val2558z00_6002 =
												BGl_zc3exitza35287ze3z83zz__evaluate_compz00
												(BgL_nsz00_5996, BgL_runz00_16772);
											{	/* Eval/evaluate_comp.scm 1106 */
												obj_t BgL_auxz00_30244;

												BgL_auxz00_30244 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30244, BgL_sz00_5977);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2558z00_6002)))
												{	/* Eval/evaluate_comp.scm 1106 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2558z00_6002), CDR(BgL_val2558z00_6002));
												}
											else
												{	/* Eval/evaluate_comp.scm 1106 */
													return BgL_val2558z00_6002;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5287> */
	obj_t BGl_zc3exitza35287ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17005,
		obj_t BgL_runz00_17004)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2559z00_6008;

			if (SET_EXIT(BgL_an_exit2559z00_6008))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2559z00_6008 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2559z00_6008, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2560z00_6009;

							BgL_val2560z00_6009 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17004,
								BgL_nsz00_17005, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val2560z00_6009;
						}
					}
				}
		}
	}



/* <exit:5277> */
	obj_t BGl_zc3exitza35277ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17008,
		obj_t BgL_sz00_17007, obj_t BgL_runz00_17006)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2556z00_5994;

			if (SET_EXIT(BgL_an_exit2556z00_5994))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2556z00_5994 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1106 */

						PUSH_EXIT(BgL_an_exit2556z00_5994, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1106 */
							obj_t BgL_val2557z00_5995;

							BgL_val2557z00_5995 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17006,
								BgL_sz00_17007, BgL_bpz00_17008);
							POP_EXIT();
							return BgL_val2557z00_5995;
						}
					}
				}
		}
	}



/* &run6857 */
	obj_t BGl_z62run6857z62zz__evaluate_compz00(obj_t BgL_envz00_16779,
		obj_t BgL_sz00_16785)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{	/* Eval/evaluate_comp.scm 1106 */
				obj_t BgL_iboxesz00_16780;
				long BgL_siza7eza7_16781;
				obj_t BgL_valza2za2_16782;
				BgL_ev_absz00_bglt BgL_instance2535z00_16783;
				obj_t BgL_bodyz00_16784;

				BgL_iboxesz00_16780 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 0))));
				BgL_siza7eza7_16781 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 1))));
				BgL_valza2za2_16782 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 2))));
				BgL_instance2535z00_16783 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 3))));
				BgL_bodyz00_16784 = PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6011;

					BgL_sz00_6011 = BgL_sz00_16785;
					{	/* Eval/evaluate_comp.scm 1106 */
						obj_t BgL_bpz00_6013;

						BgL_bpz00_6013 = VECTOR_REF(BgL_sz00_6011, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_6011,
							BgL_iboxesz00_16780, BgL_bpz00_6013);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_6011,
							BgL_valza2za2_16782,
							((long) CINT(BgL_bpz00_6013) + BgL_siza7eza7_16781));
						{	/* Eval/evaluate_comp.scm 1026 */
							obj_t BgL_z12denvz12_6015;
							obj_t BgL_wherez00_6016;
							obj_t BgL_locz00_6017;

							BgL_z12denvz12_6015 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_6016 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16783)))->BgL_wherez00);
							BgL_locz00_6017 =
								(((BgL_ev_absz00_bglt) CREF(
										((obj_t) BgL_instance2535z00_16783)))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1026 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6015, BgL_wherez00_6016,
									BgL_locz00_6017);
								{	/* Eval/evaluate_comp.scm 1026 */
									obj_t BgL_za2za2resza2za2z00_6018;

									BgL_za2za2resza2za2z00_6018 =
										PROCEDURE_ENTRY(BgL_bodyz00_16784) (BgL_bodyz00_16784,
										BgL_sz00_6011, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6015);
									return BgL_za2za2resza2za2z00_6018;
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_app2968 */
	obj_t BGl_z62compzd2ev_app2968zb0zz__evaluate_compz00(obj_t BgL_envz00_16786,
		BgL_ev_appz00_bglt BgL_ez00_16787, obj_t BgL_stkz00_16788)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 975 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3938;
				obj_t BgL_stkz00_3939;

				BgL_ez00_3938 = BgL_ez00_16787;
				BgL_stkz00_3939 = BgL_stkz00_16788;
				{	/* Eval/evaluate_comp.scm 977 */
					obj_t BgL__ortest_2521z00_3943;

					BgL__ortest_2521z00_3943 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3938,
						BgL_stkz00_3939);
					if (CBOOL(BgL__ortest_2521z00_3943))
						{	/* Eval/evaluate_comp.scm 977 */
							return BgL__ortest_2521z00_3943;
						}
					else
						{	/* Eval/evaluate_comp.scm 978 */
							obj_t BgL__ortest_2522z00_3944;

							{	/* Eval/evaluate_comp.scm 978 */
								obj_t BgL_arg4330z00_3989;
								BgL_ev_exprz00_bglt BgL_arg4331z00_3990;
								obj_t BgL_arg4332z00_3991;

								BgL_arg4330z00_3989 =
									(((BgL_ev_appz00_bglt) CREF(
											((obj_t) BgL_ez00_3938)))->BgL_locz00);
								BgL_arg4331z00_3990 =
									(((BgL_ev_appz00_bglt) CREF(
											((obj_t) BgL_ez00_3938)))->BgL_funz00);
								BgL_arg4332z00_3991 =
									(((BgL_ev_appz00_bglt) CREF(
											((obj_t) BgL_ez00_3938)))->BgL_argsz00);
								BgL__ortest_2522z00_3944 =
									BGl_inlinezd2callzd2zz__evaluate_compz00(BgL_arg4330z00_3989,
									BgL_arg4331z00_3990, BgL_arg4332z00_3991, BgL_stkz00_3939);
							}
							if (CBOOL(BgL__ortest_2522z00_3944))
								{	/* Eval/evaluate_comp.scm 978 */
									return BgL__ortest_2522z00_3944;
								}
							else
								{	/* Eval/evaluate_comp.scm 978 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(
															((obj_t) BgL_ez00_3938)))->BgL_argsz00)) >
											((long) 4)))
										{	/* Eval/evaluate_comp.scm 979 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3938, BgL_stkz00_3939);
										}
									else
										{	/* Eval/evaluate_comp.scm 981 */
											obj_t BgL_fz00_3946;
											long BgL_siza7eza7_3947;
											obj_t BgL_symbzd2funzd2_3948;

											{	/* Eval/evaluate_comp.scm 981 */
												BgL_ev_exprz00_bglt BgL_arg4326z00_3984;

												BgL_arg4326z00_3984 =
													(((BgL_ev_appz00_bglt) CREF(
															((obj_t) BgL_ez00_3938)))->BgL_funz00);
												BgL_fz00_3946 =
													BGl_compz00zz__evaluate_compz00(BgL_arg4326z00_3984,
													BgL_stkz00_3939);
											}
											BgL_siza7eza7_3947 = bgl_list_length(BgL_stkz00_3939);
											{	/* Eval/evaluate_comp.scm 981 */
												BgL_ev_exprz00_bglt BgL_arg4327z00_3985;

												BgL_arg4327z00_3985 =
													(((BgL_ev_appz00_bglt) CREF(
															((obj_t) BgL_ez00_3938)))->BgL_funz00);
												BgL_symbzd2funzd2_3948 =
													BGl_uncompilez00zz__evaluate_uncompz00
													(BgL_arg4327z00_3985);
											}
											if (NULLP(
													(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_ez00_3938)))->BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 983 */
													obj_t BgL_arg4296z00_3950;
													BgL_ev_exprz00_bglt BgL_arg4298z00_3951;
													obj_t BgL_arg4299z00_3952;

													BgL_arg4296z00_3950 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_ez00_3938)))->BgL_locz00);
													BgL_arg4298z00_3951 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_ez00_3938)))->BgL_funz00);
													BgL_arg4299z00_3952 =
														(((BgL_ev_appz00_bglt) CREF(
																((obj_t) BgL_ez00_3938)))->BgL_tailzf3zf3);
													return
														BGl_compzd2call0zd2zz__evaluate_compz00
														(BgL_arg4296z00_3950, BgL_arg4298z00_3951,
														BgL_symbzd2funzd2_3948, BgL_fz00_3946,
														BgL_arg4299z00_3952, BgL_stkz00_3939,
														BgL_siza7eza7_3947);
												}
											else
												{	/* Eval/evaluate_comp.scm 984 */
													obj_t BgL_a1z00_3953;
													obj_t BgL_argsz00_3954;

													{	/* Eval/evaluate_comp.scm 984 */
														obj_t BgL_arg4322z00_3980;

														{	/* Eval/evaluate_comp.scm 984 */
															obj_t BgL_pairz00_10846;

															BgL_pairz00_10846 =
																(((BgL_ev_appz00_bglt) CREF(
																		((obj_t) BgL_ez00_3938)))->BgL_argsz00);
															BgL_arg4322z00_3980 = CAR(BgL_pairz00_10846);
														}
														BgL_a1z00_3953 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_arg4322z00_3980),
															BgL_stkz00_3939);
													}
													{	/* Eval/evaluate_comp.scm 984 */
														obj_t BgL_pairz00_10848;

														BgL_pairz00_10848 =
															(((BgL_ev_appz00_bglt) CREF(
																	((obj_t) BgL_ez00_3938)))->BgL_argsz00);
														BgL_argsz00_3954 = CDR(BgL_pairz00_10848);
													}
													if (NULLP(BgL_argsz00_3954))
														{	/* Eval/evaluate_comp.scm 984 */
															obj_t BgL_arg4301z00_3956;
															BgL_ev_exprz00_bglt BgL_arg4302z00_3957;
															obj_t BgL_arg4303z00_3958;

															BgL_arg4301z00_3956 =
																(((BgL_ev_appz00_bglt) CREF(
																		((obj_t) BgL_ez00_3938)))->BgL_locz00);
															BgL_arg4302z00_3957 =
																(((BgL_ev_appz00_bglt) CREF(
																		((obj_t) BgL_ez00_3938)))->BgL_funz00);
															BgL_arg4303z00_3958 =
																(((BgL_ev_appz00_bglt) CREF(
																		((obj_t) BgL_ez00_3938)))->BgL_tailzf3zf3);
															return
																BGl_compzd2call1zd2zz__evaluate_compz00
																(BgL_arg4301z00_3956, BgL_arg4302z00_3957,
																BgL_symbzd2funzd2_3948, BgL_fz00_3946,
																BgL_arg4303z00_3958, BgL_stkz00_3939,
																BgL_siza7eza7_3947, BgL_a1z00_3953);
														}
													else
														{	/* Eval/evaluate_comp.scm 984 */
															obj_t BgL_a2z00_3959;
															obj_t BgL_argsz00_3960;

															{	/* Eval/evaluate_comp.scm 984 */
																obj_t BgL_arg4320z00_3979;

																BgL_arg4320z00_3979 = CAR(BgL_argsz00_3954);
																BgL_a2z00_3959 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg4320z00_3979),
																	BgL_stkz00_3939);
															}
															BgL_argsz00_3960 = CDR(BgL_argsz00_3954);
															if (NULLP(BgL_argsz00_3960))
																{	/* Eval/evaluate_comp.scm 984 */
																	obj_t BgL_arg4306z00_3962;
																	BgL_ev_exprz00_bglt BgL_arg4307z00_3963;
																	obj_t BgL_arg4308z00_3964;

																	BgL_arg4306z00_3962 =
																		(((BgL_ev_appz00_bglt) CREF(
																				((obj_t) BgL_ez00_3938)))->BgL_locz00);
																	BgL_arg4307z00_3963 =
																		(((BgL_ev_appz00_bglt) CREF(
																				((obj_t) BgL_ez00_3938)))->BgL_funz00);
																	BgL_arg4308z00_3964 =
																		(((BgL_ev_appz00_bglt) CREF(
																				((obj_t) BgL_ez00_3938)))->
																		BgL_tailzf3zf3);
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00
																		(BgL_arg4306z00_3962, BgL_arg4307z00_3963,
																		BgL_symbzd2funzd2_3948, BgL_fz00_3946,
																		BgL_arg4308z00_3964, BgL_stkz00_3939,
																		BgL_siza7eza7_3947, BgL_a1z00_3953,
																		BgL_a2z00_3959);
																}
															else
																{	/* Eval/evaluate_comp.scm 984 */
																	obj_t BgL_a3z00_3965;
																	obj_t BgL_argsz00_3966;

																	{	/* Eval/evaluate_comp.scm 984 */
																		obj_t BgL_arg4319z00_3978;

																		BgL_arg4319z00_3978 = CAR(BgL_argsz00_3960);
																		BgL_a3z00_3965 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg4319z00_3978), BgL_stkz00_3939);
																	}
																	BgL_argsz00_3966 = CDR(BgL_argsz00_3960);
																	if (NULLP(BgL_argsz00_3966))
																		{	/* Eval/evaluate_comp.scm 984 */
																			obj_t BgL_arg4311z00_3968;
																			BgL_ev_exprz00_bglt BgL_arg4312z00_3969;
																			obj_t BgL_arg4313z00_3970;

																			BgL_arg4311z00_3968 =
																				(((BgL_ev_appz00_bglt) CREF(
																						((obj_t) BgL_ez00_3938)))->
																				BgL_locz00);
																			BgL_arg4312z00_3969 =
																				(((BgL_ev_appz00_bglt) CREF(((obj_t)
																							BgL_ez00_3938)))->BgL_funz00);
																			BgL_arg4313z00_3970 =
																				(((BgL_ev_appz00_bglt) CREF(((obj_t)
																							BgL_ez00_3938)))->BgL_tailzf3zf3);
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00
																				(BgL_arg4311z00_3968,
																				BgL_arg4312z00_3969,
																				BgL_symbzd2funzd2_3948, BgL_fz00_3946,
																				BgL_arg4313z00_3970, BgL_stkz00_3939,
																				BgL_siza7eza7_3947, BgL_a1z00_3953,
																				BgL_a2z00_3959, BgL_a3z00_3965);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 984 */
																			obj_t BgL_a4z00_3971;
																			obj_t BgL_argsz00_3972;

																			{	/* Eval/evaluate_comp.scm 984 */
																				obj_t BgL_arg4318z00_3977;

																				BgL_arg4318z00_3977 =
																					CAR(BgL_argsz00_3966);
																				BgL_a4z00_3971 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg4318z00_3977),
																					BgL_stkz00_3939);
																			}
																			BgL_argsz00_3972 = CDR(BgL_argsz00_3966);
																			if (NULLP(BgL_argsz00_3972))
																				{	/* Eval/evaluate_comp.scm 984 */
																					obj_t BgL_arg4315z00_3974;
																					BgL_ev_exprz00_bglt
																						BgL_arg4316z00_3975;
																					obj_t BgL_arg4317z00_3976;

																					BgL_arg4315z00_3974 =
																						(((BgL_ev_appz00_bglt) CREF(
																								((obj_t) BgL_ez00_3938)))->
																						BgL_locz00);
																					BgL_arg4316z00_3975 =
																						(((BgL_ev_appz00_bglt) CREF(((obj_t)
																									BgL_ez00_3938)))->BgL_funz00);
																					BgL_arg4317z00_3976 =
																						(((BgL_ev_appz00_bglt) CREF(((obj_t)
																									BgL_ez00_3938)))->
																						BgL_tailzf3zf3);
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						(BgL_arg4315z00_3974,
																						BgL_arg4316z00_3975,
																						BgL_symbzd2funzd2_3948,
																						BgL_fz00_3946, BgL_arg4317z00_3976,
																						BgL_stkz00_3939, BgL_siza7eza7_3947,
																						BgL_a1z00_3953, BgL_a2z00_3959,
																						BgL_a3z00_3965, BgL_a4z00_3971);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 984 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string6870z00zz__evaluate_compz00,
																						BGl_string6984z00zz__evaluate_compz00,
																						BGl_string6985z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto2966 */
	obj_t BGl_z62compzd2ev_goto2966zb0zz__evaluate_compz00(obj_t BgL_envz00_16789,
		BgL_ev_gotoz00_bglt BgL_ez00_16790, obj_t BgL_stkz00_16791)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 568 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3895;
				obj_t BgL_stkz00_3896;

				BgL_ez00_3895 = BgL_ez00_16790;
				BgL_stkz00_3896 = BgL_stkz00_16791;
				{	/* Eval/evaluate_comp.scm 571 */
					obj_t BgL_slotz00_3900;
					long BgL_siza7eza7_3901;
					obj_t BgL_lstkz00_3902;

					{	/* Eval/evaluate_comp.scm 571 */
						obj_t BgL_auxz00_30388;

						{	/* Eval/evaluate_comp.scm 571 */
							BgL_ev_labelsz00_bglt BgL_obj2187z00_10794;

							BgL_obj2187z00_10794 =
								(((BgL_ev_gotoz00_bglt) CREF(
										((obj_t) BgL_ez00_3895)))->BgL_labelsz00);
							BgL_auxz00_30388 =
								(((BgL_ev_labelsz00_bglt) CREF(
										((obj_t) BgL_obj2187z00_10794)))->BgL_envz00);
						}
						BgL_slotz00_3900 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) CREF(
											((obj_t) BgL_ez00_3895)))->BgL_labelz00)),
							BgL_auxz00_30388);
					}
					BgL_siza7eza7_3901 = bgl_list_length(BgL_stkz00_3896);
					{	/* Eval/evaluate_comp.scm 571 */
						BgL_ev_labelsz00_bglt BgL_obj2190z00_10796;

						BgL_obj2190z00_10796 =
							(((BgL_ev_gotoz00_bglt) CREF(
									((obj_t) BgL_ez00_3895)))->BgL_labelsz00);
						BgL_lstkz00_3902 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_obj2190z00_10796)))->BgL_stkz00);
					}
					{	/* Eval/evaluate_comp.scm 573 */
						long BgL_llstkz00_3903;
						obj_t BgL_substkz00_3904;
						obj_t BgL_boxesz00_3905;

						BgL_llstkz00_3903 = bgl_list_length(BgL_lstkz00_3902);
						BgL_substkz00_3904 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3902,
							BgL_stkz00_3896);
						{	/* Eval/evaluate_comp.scm 573 */
							obj_t BgL_pairz00_10800;

							{	/* Eval/evaluate_comp.scm 573 */
								obj_t BgL_auxz00_30404;

								{	/* Eval/evaluate_comp.scm 573 */
									BgL_ev_labelsz00_bglt BgL_obj2196z00_10799;

									BgL_obj2196z00_10799 =
										(((BgL_ev_gotoz00_bglt) CREF(
												((obj_t) BgL_ez00_3895)))->BgL_labelsz00);
									BgL_auxz00_30404 =
										(((BgL_ev_labelsz00_bglt) CREF(
												((obj_t) BgL_obj2196z00_10799)))->BgL_boxesz00);
								}
								BgL_pairz00_10800 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										(((BgL_ev_gotoz00_bglt) CREF(
													((obj_t) BgL_ez00_3895)))->BgL_labelz00)),
									BgL_auxz00_30404);
							}
							BgL_boxesz00_3905 = CDR(BgL_pairz00_10800);
						}
						{	/* Eval/evaluate_comp.scm 575 */
							bool_t BgL_testz00_30414;

							{	/* Eval/evaluate_comp.scm 575 */
								obj_t BgL_arg4285z00_3928;

								BgL_arg4285z00_3928 =
									(((BgL_ev_gotoz00_bglt) CREF(
											((obj_t) BgL_ez00_3895)))->BgL_argsz00);
								BgL_testz00_30414 =
									BGl_needzd2shiftzd2zz__evaluate_compz00(BgL_arg4285z00_3928,
									BgL_substkz00_3904);
							}
							if (BgL_testz00_30414)
								{	/* Eval/evaluate_comp.scm 576 */
									obj_t BgL_argsz00_3907;
									long BgL_nbargsz00_3908;

									{	/* Eval/evaluate_comp.scm 576 */
										obj_t BgL_arg4276z00_3917;

										BgL_arg4276z00_3917 =
											(((BgL_ev_gotoz00_bglt) CREF(
													((obj_t) BgL_ez00_3895)))->BgL_argsz00);
										BgL_argsz00_3907 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00
											(BgL_arg4276z00_3917, BgL_stkz00_3896);
									}
									BgL_nbargsz00_3908 =
										bgl_list_length(
										(((BgL_ev_gotoz00_bglt) CREF(
													((obj_t) BgL_ez00_3895)))->BgL_argsz00));
									{	/* Eval/evaluate_comp.scm 577 */
										obj_t BgL_zc3anonymousza34271ze3z83_15793;

										BgL_zc3anonymousza34271ze3z83_15793 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza34271ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza34271ze3z83_15793,
											(int) (((long) 0)), BINT(BgL_siza7eza7_3901));
										PROCEDURE_SET(BgL_zc3anonymousza34271ze3z83_15793,
											(int) (((long) 1)), BINT(BgL_llstkz00_3903));
										PROCEDURE_SET(BgL_zc3anonymousza34271ze3z83_15793,
											(int) (((long) 2)), ((obj_t) BgL_ez00_3895));
										PROCEDURE_SET(BgL_zc3anonymousza34271ze3z83_15793,
											(int) (((long) 3)), BgL_argsz00_3907);
										PROCEDURE_SET(BgL_zc3anonymousza34271ze3z83_15793,
											(int) (((long) 4)), BgL_boxesz00_3905);
										PROCEDURE_SET(BgL_zc3anonymousza34271ze3z83_15793,
											(int) (((long) 5)), BINT(BgL_nbargsz00_3908));
										PROCEDURE_SET(BgL_zc3anonymousza34271ze3z83_15793,
											(int) (((long) 6)), BgL_slotz00_3900);
										return BgL_zc3anonymousza34271ze3z83_15793;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 582 */
									obj_t BgL_argsz00_3919;

									{	/* Eval/evaluate_comp.scm 582 */
										obj_t BgL_arg4283z00_3926;
										long BgL_arg4284z00_3927;

										BgL_arg4283z00_3926 =
											(((BgL_ev_gotoz00_bglt) CREF(
													((obj_t) BgL_ez00_3895)))->BgL_argsz00);
										BgL_arg4284z00_3927 =
											(BgL_siza7eza7_3901 - BgL_llstkz00_3903);
										BgL_argsz00_3919 =
											BGl_recz00zz__evaluate_compz00(BgL_stkz00_3896,
											BgL_arg4283z00_3926, BgL_arg4284z00_3927);
									}
									{	/* Eval/evaluate_comp.scm 583 */
										obj_t BgL_zc3anonymousza34278ze3z83_15794;

										BgL_zc3anonymousza34278ze3z83_15794 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza34278ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza34278ze3z83_15794,
											(int) (((long) 0)), BINT(BgL_llstkz00_3903));
										PROCEDURE_SET(BgL_zc3anonymousza34278ze3z83_15794,
											(int) (((long) 1)), ((obj_t) BgL_ez00_3895));
										PROCEDURE_SET(BgL_zc3anonymousza34278ze3z83_15794,
											(int) (((long) 2)), BgL_argsz00_3919);
										PROCEDURE_SET(BgL_zc3anonymousza34278ze3z83_15794,
											(int) (((long) 3)), BgL_boxesz00_3905);
										PROCEDURE_SET(BgL_zc3anonymousza34278ze3z83_15794,
											(int) (((long) 4)), BgL_slotz00_3900);
										return BgL_zc3anonymousza34278ze3z83_15794;
									}
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4271> */
	obj_t BGl_z62zc3anonymousza34271ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16792, obj_t BgL_sz00_16800)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 577 */
			{	/* Eval/evaluate_comp.scm 577 */
				long BgL_siza7eza7_16793;
				long BgL_llstkz00_16794;
				BgL_ev_gotoz00_bglt BgL_instance2423z00_16795;
				obj_t BgL_argsz00_16796;
				obj_t BgL_boxesz00_16797;
				long BgL_nbargsz00_16798;
				obj_t BgL_slotz00_16799;

				BgL_siza7eza7_16793 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 0))));
				BgL_llstkz00_16794 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 1))));
				BgL_instance2423z00_16795 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 2))));
				BgL_argsz00_16796 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 3))));
				BgL_boxesz00_16797 =
					PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 4)));
				BgL_nbargsz00_16798 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 5))));
				BgL_slotz00_16799 = PROCEDURE_REF(BgL_envz00_16792, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3909;

					BgL_sz00_3909 = BgL_sz00_16800;
					{	/* Eval/evaluate_comp.scm 577 */
						obj_t BgL_bpz00_3911;

						BgL_bpz00_3911 = VECTOR_REF(BgL_sz00_3909, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 578 */
							long BgL_spz00_3912;
							long BgL_lspz00_3913;

							BgL_spz00_3912 =
								((long) CINT(BgL_bpz00_3911) + BgL_siza7eza7_16793);
							BgL_lspz00_3913 =
								((long) CINT(BgL_bpz00_3911) + BgL_llstkz00_16794);
							{	/* Eval/evaluate_comp.scm 579 */
								obj_t BgL_arg4272z00_3914;

								BgL_arg4272z00_3914 =
									(((BgL_ev_gotoz00_bglt) CREF(
											((obj_t) BgL_instance2423z00_16795)))->BgL_locz00);
								BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
									(BgL_sz00_3909, BgL_argsz00_16796, BgL_boxesz00_16797,
									BgL_spz00_3912, BgL_arg4272z00_3914);
							}
							{	/* Eval/evaluate_comp.scm 580 */
								long BgL_arg4273z00_3915;

								BgL_arg4273z00_3915 = (BgL_spz00_3912 + BgL_nbargsz00_16798);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3909,
									BINT(BgL_lspz00_3913), BgL_sz00_3909,
									BINT(BgL_spz00_3912), BINT(BgL_arg4273z00_3915));
							}
							return CDR(BgL_slotz00_16799);
						}
					}
				}
			}
		}
	}



/* &<anonymous:4278> */
	obj_t BGl_z62zc3anonymousza34278ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16801, obj_t BgL_sz00_16807)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 583 */
			{	/* Eval/evaluate_comp.scm 583 */
				long BgL_llstkz00_16802;
				BgL_ev_gotoz00_bglt BgL_instance2423z00_16803;
				obj_t BgL_argsz00_16804;
				obj_t BgL_boxesz00_16805;
				obj_t BgL_slotz00_16806;

				BgL_llstkz00_16802 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 0))));
				BgL_instance2423z00_16803 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 1))));
				BgL_argsz00_16804 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 2))));
				BgL_boxesz00_16805 =
					PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 3)));
				BgL_slotz00_16806 = PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3920;

					BgL_sz00_3920 = BgL_sz00_16807;
					{	/* Eval/evaluate_comp.scm 583 */
						obj_t BgL_bpz00_3922;

						BgL_bpz00_3922 = VECTOR_REF(BgL_sz00_3920, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 584 */
							long BgL_arg4279z00_3923;
							obj_t BgL_arg4281z00_3924;

							BgL_arg4279z00_3923 =
								((long) CINT(BgL_bpz00_3922) + BgL_llstkz00_16802);
							BgL_arg4281z00_3924 =
								(((BgL_ev_gotoz00_bglt) CREF(
										((obj_t) BgL_instance2423z00_16803)))->BgL_locz00);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3920, BgL_argsz00_16804, BgL_boxesz00_16805,
								BgL_arg4279z00_3923, BgL_arg4281z00_3924);
						}
						return CDR(BgL_slotz00_16806);
					}
				}
			}
		}
	}



/* &comp-ev_labels2964 */
	obj_t BGl_z62compzd2ev_labels2964zb0zz__evaluate_compz00(obj_t
		BgL_envz00_16808, BgL_ev_labelsz00_bglt BgL_ez00_16809,
		obj_t BgL_stkz00_16810)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 537 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3850;
				obj_t BgL_stkz00_3851;

				BgL_ez00_3850 = BgL_ez00_16809;
				BgL_stkz00_3851 = BgL_stkz00_16810;
				((((BgL_ev_labelsz00_bglt) CREF(
								((obj_t) BgL_ez00_3850)))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3851), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 544 */
					obj_t BgL_envz00_3856;

					{	/* Eval/evaluate_comp.scm 544 */
						obj_t BgL_l2872z00_3873;

						BgL_l2872z00_3873 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_3850)))->BgL_varsz00);
						if (NULLP(BgL_l2872z00_3873))
							{	/* Eval/evaluate_comp.scm 544 */
								BgL_envz00_3856 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 544 */
								obj_t BgL_head2874z00_3875;

								{	/* Eval/evaluate_comp.scm 544 */
									obj_t BgL_res6250z00_10698;

									BgL_res6250z00_10698 = MAKE_PAIR(BNIL, BNIL);
									BgL_head2874z00_3875 = BgL_res6250z00_10698;
								}
								{
									obj_t BgL_l2872z00_10732;
									obj_t BgL_tail2875z00_10733;

									BgL_l2872z00_10732 = BgL_l2872z00_3873;
									BgL_tail2875z00_10733 = BgL_head2874z00_3875;
								BgL_zc3anonymousza34263ze3z83_10731:
									if (NULLP(BgL_l2872z00_10732))
										{	/* Eval/evaluate_comp.scm 544 */
											BgL_envz00_3856 = CDR(BgL_head2874z00_3875);
										}
									else
										{	/* Eval/evaluate_comp.scm 544 */
											obj_t BgL_newtail2876z00_10740;

											{	/* Eval/evaluate_comp.scm 544 */
												obj_t BgL_arg4266z00_10741;

												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_vz00_10742;

													BgL_vz00_10742 = CAR(BgL_l2872z00_10732);
													BgL_arg4266z00_10741 =
														MAKE_PAIR(BgL_vz00_10742,
														BGl_symbol6986z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_res6256z00_10750;

													BgL_res6256z00_10750 =
														MAKE_PAIR(BgL_arg4266z00_10741, BNIL);
													BgL_newtail2876z00_10740 = BgL_res6256z00_10750;
												}
											}
											SET_CDR(BgL_tail2875z00_10733, BgL_newtail2876z00_10740);
											{
												obj_t BgL_tail2875z00_30535;
												obj_t BgL_l2872z00_30533;

												BgL_l2872z00_30533 = CDR(BgL_l2872z00_10732);
												BgL_tail2875z00_30535 = BgL_newtail2876z00_10740;
												BgL_tail2875z00_10733 = BgL_tail2875z00_30535;
												BgL_l2872z00_10732 = BgL_l2872z00_30533;
												goto BgL_zc3anonymousza34263ze3z83_10731;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_3850)))->BgL_envz00) =
						((obj_t) BgL_envz00_3856), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 546 */
						obj_t BgL_g2880z00_3857;

						BgL_g2880z00_3857 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_3850)))->BgL_valsz00);
						{
							obj_t BgL_ll2877z00_3859;
							obj_t BgL_ll2878z00_3860;

							BgL_ll2877z00_3859 = BgL_envz00_3856;
							BgL_ll2878z00_3860 = BgL_g2880z00_3857;
						BgL_zc3anonymousza34253ze3z83_3861:
							if (NULLP(BgL_ll2877z00_3859))
								{	/* Eval/evaluate_comp.scm 546 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 546 */
									{	/* Eval/evaluate_comp.scm 548 */
										obj_t BgL_slotz00_3863;
										obj_t BgL_valz00_3864;

										BgL_slotz00_3863 = CAR(BgL_ll2877z00_3859);
										BgL_valz00_3864 = CAR(BgL_ll2878z00_3860);
										{	/* Eval/evaluate_comp.scm 549 */
											obj_t BgL_arg4255z00_3865;

											{	/* Eval/evaluate_comp.scm 549 */
												obj_t BgL_arg4256z00_3866;

												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_arg4257z00_3867;
													obj_t BgL_arg4258z00_3868;

													BgL_arg4257z00_3867 = CDR(BgL_valz00_3864);
													BgL_arg4258z00_3868 =
														BGl_appendzd221095zd2zz__evaluate_compz00
														(BgL_stkz00_3851, CAR(BgL_valz00_3864));
													BgL_arg4256z00_3866 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg4257z00_3867),
														BgL_arg4258z00_3868);
												}
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_procz00_10764;
													obj_t BgL_objz00_10765;

													BgL_procz00_10764 = BgL_arg4256z00_3866;
													BgL_objz00_10765 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_procz00_10764,
														BgL_objz00_10765);
													BgL_objz00_10765;
												}
												BgL_arg4255z00_3865 = BgL_arg4256z00_3866;
											}
											SET_CDR(BgL_slotz00_3863, BgL_arg4255z00_3865);
										}
									}
									{
										obj_t BgL_ll2878z00_30553;
										obj_t BgL_ll2877z00_30551;

										BgL_ll2877z00_30551 = CDR(BgL_ll2877z00_3859);
										BgL_ll2878z00_30553 = CDR(BgL_ll2878z00_3860);
										BgL_ll2878z00_3860 = BgL_ll2878z00_30553;
										BgL_ll2877z00_3859 = BgL_ll2877z00_30551;
										goto BgL_zc3anonymousza34253ze3z83_3861;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 553 */
					obj_t BgL_bodyz00_3886;

					{	/* Eval/evaluate_comp.scm 553 */
						BgL_ev_exprz00_bglt BgL_arg4268z00_3890;

						BgL_arg4268z00_3890 =
							(((BgL_ev_labelsz00_bglt) CREF(
									((obj_t) BgL_ez00_3850)))->BgL_bodyz00);
						BgL_bodyz00_3886 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4268z00_3890,
							BgL_stkz00_3851);
					}
					{	/* Eval/evaluate_comp.scm 554 */
						obj_t BgL_zc3anonymousza34267ze3z83_15796;

						BgL_zc3anonymousza34267ze3z83_15796 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34267ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza34267ze3z83_15796,
							(int) (((long) 0)), BgL_bodyz00_3886);
						return BgL_zc3anonymousza34267ze3z83_15796;
					}
				}
			}
		}
	}



/* &<anonymous:4267> */
	obj_t BGl_z62zc3anonymousza34267ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16811, obj_t BgL_sz00_16813)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 554 */
			{	/* Eval/evaluate_comp.scm 554 */
				obj_t BgL_bodyz00_16812;

				BgL_bodyz00_16812 = PROCEDURE_REF(BgL_envz00_16811, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3887;

					BgL_sz00_3887 = BgL_sz00_16813;
					{	/* Eval/evaluate_comp.scm 554 */
						obj_t BgL_bpz00_10771;

						BgL_bpz00_10771 = VECTOR_REF(BgL_sz00_3887, (int) (((long) 0)));
						{
							obj_t BgL_fz00_10777;

							BgL_fz00_10777 = BgL_bodyz00_16812;
						BgL_recz00_10776:
							{	/* Eval/evaluate_comp.scm 554 */
								obj_t BgL_rz00_10778;

								BgL_rz00_10778 =
									PROCEDURE_ENTRY(BgL_fz00_10777) (BgL_fz00_10777,
									BgL_sz00_3887, BEOA);
								{	/* Eval/evaluate_comp.scm 554 */
									bool_t BgL_testz00_30571;

									if (PROCEDUREP(BgL_rz00_10778))
										{	/* Eval/evaluate_comp.scm 554 */
											obj_t BgL_arg3146z00_10781;

											BgL_arg3146z00_10781 = PROCEDURE_ATTR(BgL_rz00_10778);
											if (STRUCTP(BgL_arg3146z00_10781))
												{	/* Eval/evaluate_comp.scm 554 */
													BgL_testz00_30571 =
														(STRUCT_KEY(BgL_arg3146z00_10781) ==
														BGl_symbol6864z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 554 */
													BgL_testz00_30571 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 554 */
											BgL_testz00_30571 = ((bool_t) 0);
										}
									if (BgL_testz00_30571)
										{
											obj_t BgL_fz00_30579;

											BgL_fz00_30579 = BgL_rz00_10778;
											BgL_fz00_10777 = BgL_fz00_30579;
											goto BgL_recz00_10776;
										}
									else
										{	/* Eval/evaluate_comp.scm 554 */
											return BgL_rz00_10778;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler2962 */
	obj_t BGl_z62compzd2ev_withzd2handler2962z62zz__evaluate_compz00(obj_t
		BgL_envz00_16814, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_16815,
		obj_t BgL_stkz00_16816)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 524 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3812;
				obj_t BgL_stkz00_3813;

				BgL_ez00_3812 = BgL_ez00_16815;
				BgL_stkz00_3813 = BgL_stkz00_16816;
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_handlerz00_3817;
					obj_t BgL_bodyz00_3818;

					{	/* Eval/evaluate_comp.scm 526 */
						BgL_ev_exprz00_bglt BgL_arg4251z00_3847;

						BgL_arg4251z00_3847 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_3812)))->BgL_handlerz00);
						BgL_handlerz00_3817 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4251z00_3847,
							BgL_stkz00_3813);
					}
					{	/* Eval/evaluate_comp.scm 526 */
						BgL_ev_exprz00_bglt BgL_arg4252z00_3848;

						BgL_arg4252z00_3848 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(
									((obj_t) BgL_ez00_3812)))->BgL_bodyz00);
						BgL_bodyz00_3818 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4252z00_3848,
							BgL_stkz00_3813);
					}
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3anonymousza34241ze3z83_15799;

						BgL_zc3anonymousza34241ze3z83_15799 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34241ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza34241ze3z83_15799,
							(int) (((long) 0)), BgL_handlerz00_3817);
						PROCEDURE_SET(BgL_zc3anonymousza34241ze3z83_15799,
							(int) (((long) 1)), BgL_bodyz00_3818);
						return BgL_zc3anonymousza34241ze3z83_15799;
					}
				}
			}
		}
	}



/* &<anonymous:4241> */
	obj_t BGl_z62zc3anonymousza34241ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16817, obj_t BgL_sz00_16820)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				obj_t BgL_handlerz00_16818;
				obj_t BgL_bodyz00_16819;

				BgL_handlerz00_16818 =
					PROCEDURE_REF(BgL_envz00_16817, (int) (((long) 0)));
				BgL_bodyz00_16819 = PROCEDURE_REF(BgL_envz00_16817, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3819;

					BgL_sz00_3819 = BgL_sz00_16820;
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_bpz00_3821;

						BgL_bpz00_3821 = VECTOR_REF(BgL_sz00_3819, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 528 */
							obj_t BgL_hz00_3822;

							BgL_hz00_3822 =
								PROCEDURE_ENTRY(BgL_handlerz00_16818) (BgL_handlerz00_16818,
								BgL_sz00_3819, BEOA);
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_za2za2resza2za2z00_3824;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_res2411z00_3825;

									BgL_res2411z00_3825 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza34243ze3z83zz__evaluate_compz00
											(BgL_sz00_3819, BgL_bodyz00_16819, BgL_res2411z00_3825)))
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3824 =
												PROCEDURE_ENTRY(BgL_hz00_3822) (BgL_hz00_3822,
												CELL_REF(BgL_res2411z00_3825), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3824 =
												CELL_REF(BgL_res2411z00_3825);
										}
								}
								VECTOR_SET(BgL_sz00_3819, (int) (((long) 0)), BgL_bpz00_3821);
								return BgL_za2za2resza2za2z00_3824;
							}
						}
					}
				}
			}
		}
	}



/* <exit:4247> */
	obj_t BGl_zc3exitza34247ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17000,
		obj_t BgL_bodyz00_16999, obj_t BgL_ohs2409z00_16998,
		obj_t BgL_an_exitd2415z00_16997, obj_t BgL_res2411z00_16996)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2419z00_3840;

			if (SET_EXIT(BgL_an_exit2419z00_3840))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2419z00_3840 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit2419z00_3840, ((long) 0));
						{	/* Eval/evaluate_comp.scm 530 */
							bool_t BgL_val2420z00_3841;

							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_arg4248z00_3842;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_zc3anonymousza34250ze3z83_15798;

									BgL_zc3anonymousza34250ze3z83_15798 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza34250ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza34250ze3z83_15798,
										(int) (((long) 0)), BgL_res2411z00_16996);
									PROCEDURE_SET(BgL_zc3anonymousza34250ze3z83_15798,
										(int) (((long) 1)), BgL_an_exitd2415z00_16997);
									BgL_arg4248z00_3842 =
										MAKE_PAIR(BgL_zc3anonymousza34250ze3z83_15798,
										BgL_ohs2409z00_16998);
								}
								BGL_ERROR_HANDLER_SET(BgL_arg4248z00_3842);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_auxz00_16821;

								BgL_auxz00_16821 =
									PROCEDURE_ENTRY(BgL_bodyz00_16999) (BgL_bodyz00_16999,
									BgL_sz00_17000, BEOA);
								CELL_SET(BgL_res2411z00_16996, BgL_auxz00_16821);
							}
							BgL_val2420z00_3841 = ((bool_t) 0);
							POP_EXIT();
							return BBOOL(BgL_val2420z00_3841);
						}
					}
				}
		}
	}



/* <exit:4243> */
	obj_t BGl_zc3exitza34243ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17003,
		obj_t BgL_bodyz00_17002, obj_t BgL_res2411z00_17001)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2414z00_3829;

			if (SET_EXIT(BgL_an_exit2414z00_3829))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2414z00_3829 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit2414z00_3829, ((long) 1));
						{	/* Eval/evaluate_comp.scm 530 */
							obj_t BgL_an_exitd2415z00_3830;

							BgL_an_exitd2415z00_3830 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_res2417z00_3833;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_ohs2409z00_3834;

									BgL_ohs2409z00_3834 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 530 */
										obj_t BgL_val2418z00_3835;

										BgL_val2418z00_3835 =
											BGl_zc3exitza34247ze3z83zz__evaluate_compz00
											(BgL_sz00_17003, BgL_bodyz00_17002, BgL_ohs2409z00_3834,
											BgL_an_exitd2415z00_3830, BgL_res2411z00_17001);
										BGL_ERROR_HANDLER_SET(BgL_ohs2409z00_3834);
										BUNSPEC;
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val2418z00_3835)))
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res2417z00_3833 =
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val2418z00_3835), CDR(BgL_val2418z00_3835));
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res2417z00_3833 = BgL_val2418z00_3835;
											}
									}
								}
								POP_EXIT();
								return BgL_res2417z00_3833;
							}
						}
					}
				}
		}
	}



/* &<anonymous:4250> */
	obj_t BGl_z62zc3anonymousza34250ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16822, obj_t BgL_ez00_16825)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_res2411z00_16823;
				obj_t BgL_an_exitd2415z00_16824;

				BgL_res2411z00_16823 =
					PROCEDURE_REF(BgL_envz00_16822, (int) (((long) 0)));
				BgL_an_exitd2415z00_16824 =
					PROCEDURE_REF(BgL_envz00_16822, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3844;

					BgL_ez00_3844 = BgL_ez00_16825;
					CELL_SET(BgL_res2411z00_16823, BgL_ez00_3844);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2415z00_16824,
						BTRUE);
				}
			}
		}
	}



/* &comp-ev_unwind-prote2960 */
	obj_t BGl_z62compzd2ev_unwindzd2prote2960z62zz__evaluate_compz00(obj_t
		BgL_envz00_16827, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_16828,
		obj_t BgL_stkz00_16829)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3791;
				obj_t BgL_stkz00_3792;

				BgL_ez00_3791 = BgL_ez00_16828;
				BgL_stkz00_3792 = BgL_stkz00_16829;
				{	/* Eval/evaluate_comp.scm 517 */
					obj_t BgL_ez00_3796;
					obj_t BgL_bodyz00_3797;

					{	/* Eval/evaluate_comp.scm 517 */
						BgL_ev_exprz00_bglt BgL_arg4239z00_3809;

						BgL_arg4239z00_3809 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_ez00_3791)))->BgL_ez00);
						BgL_ez00_3796 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4239z00_3809,
							BgL_stkz00_3792);
					}
					{	/* Eval/evaluate_comp.scm 517 */
						BgL_ev_exprz00_bglt BgL_arg4240z00_3810;

						BgL_arg4240z00_3810 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
									((obj_t) BgL_ez00_3791)))->BgL_bodyz00);
						BgL_bodyz00_3797 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4240z00_3810,
							BgL_stkz00_3792);
					}
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_zc3anonymousza34234ze3z83_15801;

						BgL_zc3anonymousza34234ze3z83_15801 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34234ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza34234ze3z83_15801,
							(int) (((long) 0)), BgL_ez00_3796);
						PROCEDURE_SET(BgL_zc3anonymousza34234ze3z83_15801,
							(int) (((long) 1)), BgL_bodyz00_3797);
						return BgL_zc3anonymousza34234ze3z83_15801;
					}
				}
			}
		}
	}



/* &<anonymous:4234> */
	obj_t BGl_z62zc3anonymousza34234ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16830, obj_t BgL_sz00_16833)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 518 */
			{	/* Eval/evaluate_comp.scm 518 */
				obj_t BgL_ez00_16831;
				obj_t BgL_bodyz00_16832;

				BgL_ez00_16831 = PROCEDURE_REF(BgL_envz00_16830, (int) (((long) 0)));
				BgL_bodyz00_16832 = PROCEDURE_REF(BgL_envz00_16830, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3798;

					BgL_sz00_3798 = BgL_sz00_16833;
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_bpz00_3800;

						BgL_bpz00_3800 = VECTOR_REF(BgL_sz00_3798, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val2404z00_3802;

							BgL_val2404z00_3802 =
								BGl_zc3exitza34238ze3z83zz__evaluate_compz00(BgL_sz00_3798,
								BgL_ez00_16831);
							VECTOR_SET(BgL_sz00_3798, (int) (((long) 0)), BgL_bpz00_3800);
							PROCEDURE_ENTRY(BgL_bodyz00_16832) (BgL_bodyz00_16832,
								BgL_sz00_3798, BEOA);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val2404z00_3802)))
								{	/* Eval/evaluate_comp.scm 522 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val2404z00_3802), CDR(BgL_val2404z00_3802));
								}
							else
								{	/* Eval/evaluate_comp.scm 522 */
									return BgL_val2404z00_3802;
								}
						}
					}
				}
			}
		}
	}



/* <exit:4238> */
	obj_t BGl_zc3exitza34238ze3z83zz__evaluate_compz00(obj_t BgL_sz00_16995,
		obj_t BgL_ez00_16994)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 521 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2405z00_3807;

			if (SET_EXIT(BgL_an_exit2405z00_3807))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2405z00_3807 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 521 */

						PUSH_EXIT(BgL_an_exit2405z00_3807, ((long) 0));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val2406z00_3808;

							BgL_val2406z00_3808 =
								PROCEDURE_ENTRY(BgL_ez00_16994) (BgL_ez00_16994, BgL_sz00_16995,
								BEOA);
							POP_EXIT();
							return BgL_val2406z00_3808;
						}
					}
				}
		}
	}



/* &comp-ev_bind-exit2958 */
	obj_t BGl_z62compzd2ev_bindzd2exit2958z62zz__evaluate_compz00(obj_t
		BgL_envz00_16834, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_16835,
		obj_t BgL_stkz00_16836)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 504 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3764;
				obj_t BgL_stkz00_3765;

				BgL_ez00_3764 = BgL_ez00_16835;
				BgL_stkz00_3765 = BgL_stkz00_16836;
				{	/* Eval/evaluate_comp.scm 506 */
					long BgL_siza7eza7_3769;
					obj_t BgL_nstkz00_3770;

					BgL_siza7eza7_3769 = bgl_list_length(BgL_stkz00_3765);
					{	/* Eval/evaluate_comp.scm 506 */
						obj_t BgL_arg4232z00_3788;

						{	/* Eval/evaluate_comp.scm 506 */
							BgL_ev_varz00_bglt BgL_arg4233z00_3789;

							BgL_arg4233z00_3789 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((obj_t) BgL_ez00_3764)))->BgL_varz00);
							BgL_arg4232z00_3788 =
								MAKE_PAIR(((obj_t) BgL_arg4233z00_3789), BNIL);
						}
						BgL_nstkz00_3770 =
							BGl_appendzd221095zd2zz__evaluate_compz00(BgL_stkz00_3765,
							BgL_arg4232z00_3788);
					}
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_bodyz00_3771;
						obj_t BgL_effzf3zf3_3772;

						{	/* Eval/evaluate_comp.scm 507 */
							BgL_ev_exprz00_bglt BgL_arg4230z00_3786;

							BgL_arg4230z00_3786 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((obj_t) BgL_ez00_3764)))->BgL_bodyz00);
							BgL_bodyz00_3771 =
								BGl_compz00zz__evaluate_compz00(BgL_arg4230z00_3786,
								BgL_nstkz00_3770);
						}
						{	/* Eval/evaluate_comp.scm 507 */
							BgL_ev_varz00_bglt BgL_obj1833z00_10654;

							BgL_obj1833z00_10654 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(
										((obj_t) BgL_ez00_3764)))->BgL_varz00);
							BgL_effzf3zf3_3772 =
								(((BgL_ev_varz00_bglt) CREF(
										((obj_t) BgL_obj1833z00_10654)))->BgL_effz00);
						}
						{	/* Eval/evaluate_comp.scm 508 */
							obj_t BgL_zc3anonymousza34226ze3z83_15804;

							BgL_zc3anonymousza34226ze3z83_15804 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza34226ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza34226ze3z83_15804,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3769));
							PROCEDURE_SET(BgL_zc3anonymousza34226ze3z83_15804,
								(int) (((long) 1)), BgL_effzf3zf3_3772);
							PROCEDURE_SET(BgL_zc3anonymousza34226ze3z83_15804,
								(int) (((long) 2)), BgL_bodyz00_3771);
							return BgL_zc3anonymousza34226ze3z83_15804;
						}
					}
				}
			}
		}
	}



/* &<anonymous:4226> */
	obj_t BGl_z62zc3anonymousza34226ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16837, obj_t BgL_sz00_16841)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 508 */
			{	/* Eval/evaluate_comp.scm 508 */
				long BgL_siza7eza7_16838;
				obj_t BgL_effzf3zf3_16839;
				obj_t BgL_bodyz00_16840;

				BgL_siza7eza7_16838 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16837, (int) (((long) 0))));
				BgL_effzf3zf3_16839 =
					PROCEDURE_REF(BgL_envz00_16837, (int) (((long) 1)));
				BgL_bodyz00_16840 = PROCEDURE_REF(BgL_envz00_16837, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3773;

					BgL_sz00_3773 = BgL_sz00_16841;
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bpz00_3775;

						BgL_bpz00_3775 = VECTOR_REF(BgL_sz00_3773, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_za2za2resza2za2z00_3777;

							BgL_za2za2resza2za2z00_3777 =
								BGl_zc3exitza34227ze3z83zz__evaluate_compz00(BgL_bodyz00_16840,
								BgL_sz00_3773, BgL_effzf3zf3_16839, BgL_siza7eza7_16838,
								BgL_bpz00_3775);
							VECTOR_SET(BgL_sz00_3773, (int) (((long) 0)), BgL_bpz00_3775);
							return BgL_za2za2resza2za2z00_3777;
						}
					}
				}
			}
		}
	}



/* <exit:4227> */
	obj_t BGl_zc3exitza34227ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_16993,
		obj_t BgL_sz00_16992, obj_t BgL_effzf3zf3_16991, long BgL_siza7eza7_16990,
		obj_t BgL_bpz00_16989)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit2398z00_3779;

			if (SET_EXIT(BgL_an_exit2398z00_3779))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit2398z00_3779 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 510 */

						PUSH_EXIT(BgL_an_exit2398z00_3779, ((long) 1));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_an_exitd2399z00_3780;

							BgL_an_exitd2399z00_3780 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_exitz00_15803;

								BgL_exitz00_15803 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_15803,
									(int) (((long) 0)), BgL_an_exitd2399z00_3780);
								{	/* Eval/evaluate_comp.scm 511 */
									obj_t BgL_res2401z00_3783;

									{	/* Eval/evaluate_comp.scm 511 */
										long BgL_arg4228z00_3784;
										obj_t BgL_arg4229z00_3785;

										BgL_arg4228z00_3784 =
											((long) CINT(BgL_bpz00_16989) + BgL_siza7eza7_16990);
										if (CBOOL(BgL_effzf3zf3_16991))
											{	/* Eval/evaluate_comp.scm 511 */
												obj_t BgL_newz00_10660;

												BgL_newz00_10660 =
													create_struct(BGl_symbol6880z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 511 */
													int BgL_auxz00_30739;

													BgL_auxz00_30739 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10660, BgL_auxz00_30739,
														BgL_exitz00_15803);
												}
												BgL_arg4229z00_3785 = BgL_newz00_10660;
											}
										else
											{	/* Eval/evaluate_comp.scm 511 */
												BgL_arg4229z00_3785 = BgL_exitz00_15803;
											}
										VECTOR_SET(BgL_sz00_16992,
											(int) (BgL_arg4228z00_3784), BgL_arg4229z00_3785);
									}
									BgL_res2401z00_3783 =
										PROCEDURE_ENTRY(BgL_bodyz00_16993) (BgL_bodyz00_16993,
										BgL_sz00_16992, BEOA);
									POP_EXIT();
									return BgL_res2401z00_3783;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_16842,
		obj_t BgL_val2400z00_16844)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				obj_t BgL_an_exitd2399z00_16843;

				BgL_an_exitd2399z00_16843 =
					PROCEDURE_REF(BgL_envz00_16842, (int) (((long) 0)));
				{
					obj_t BgL_val2400z00_3781;

					BgL_val2400z00_3781 = BgL_val2400z00_16844;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2399z00_16843,
						BgL_val2400z00_3781);
				}
			}
		}
	}



/* &comp-ev_letrec2956 */
	obj_t BGl_z62compzd2ev_letrec2956zb0zz__evaluate_compz00(obj_t
		BgL_envz00_16845, BgL_ev_letrecz00_bglt BgL_ez00_16846,
		obj_t BgL_stkz00_16847)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 475 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_3666;
				obj_t BgL_stkz00_3667;

				BgL_ez00_3666 = BgL_ez00_16846;
				BgL_stkz00_3667 = BgL_stkz00_16847;
				{	/* Eval/evaluate_comp.scm 477 */
					long BgL_siza7eza7_3671;
					obj_t BgL_nstkz00_3672;

					BgL_siza7eza7_3671 = bgl_list_length(BgL_stkz00_3667);
					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_arg4225z00_3762;

						{	/* Eval/evaluate_comp.scm 477 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_10286;

							BgL_obj2080z00_10286 = ((BgL_ev_binderz00_bglt) BgL_ez00_3666);
							BgL_arg4225z00_3762 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_10286)))->BgL_varsz00);
						}
						BgL_nstkz00_3672 =
							BGl_appendzd221095zd2zz__evaluate_compz00(BgL_stkz00_3667,
							BgL_arg4225z00_3762);
					}
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_cvalsz00_3673;
						obj_t BgL_bodyz00_3674;

						{	/* Eval/evaluate_comp.scm 478 */
							obj_t BgL_l2859z00_3748;

							{	/* Eval/evaluate_comp.scm 478 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_10287;

								BgL_obj2083z00_10287 = ((BgL_ev_binderz00_bglt) BgL_ez00_3666);
								BgL_l2859z00_3748 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_10287)))->BgL_valsz00);
							}
							if (NULLP(BgL_l2859z00_3748))
								{	/* Eval/evaluate_comp.scm 478 */
									BgL_cvalsz00_3673 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_head2861z00_3750;

									{	/* Eval/evaluate_comp.scm 478 */
										obj_t BgL_res6207z00_10292;

										BgL_res6207z00_10292 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2861z00_3750 = BgL_res6207z00_10292;
									}
									{
										obj_t BgL_l2859z00_10326;
										obj_t BgL_tail2862z00_10327;

										BgL_l2859z00_10326 = BgL_l2859z00_3748;
										BgL_tail2862z00_10327 = BgL_head2861z00_3750;
									BgL_zc3anonymousza34220ze3z83_10325:
										if (NULLP(BgL_l2859z00_10326))
											{	/* Eval/evaluate_comp.scm 478 */
												BgL_cvalsz00_3673 = CDR(BgL_head2861z00_3750);
											}
										else
											{	/* Eval/evaluate_comp.scm 478 */
												obj_t BgL_newtail2863z00_10334;

												{	/* Eval/evaluate_comp.scm 478 */
													obj_t BgL_arg4223z00_10335;

													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_vz00_10336;

														BgL_vz00_10336 = CAR(BgL_l2859z00_10326);
														BgL_arg4223z00_10335 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_10336),
															BgL_nstkz00_3672);
													}
													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_res6213z00_10344;

														BgL_res6213z00_10344 =
															MAKE_PAIR(BgL_arg4223z00_10335, BNIL);
														BgL_newtail2863z00_10334 = BgL_res6213z00_10344;
													}
												}
												SET_CDR(BgL_tail2862z00_10327,
													BgL_newtail2863z00_10334);
												{
													obj_t BgL_tail2862z00_30773;
													obj_t BgL_l2859z00_30771;

													BgL_l2859z00_30771 = CDR(BgL_l2859z00_10326);
													BgL_tail2862z00_30773 = BgL_newtail2863z00_10334;
													BgL_tail2862z00_10327 = BgL_tail2862z00_30773;
													BgL_l2859z00_10326 = BgL_l2859z00_30771;
													goto BgL_zc3anonymousza34220ze3z83_10325;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 479 */
							BgL_ev_exprz00_bglt BgL_arg4224z00_3761;

							{	/* Eval/evaluate_comp.scm 479 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_10348;

								BgL_obj2086z00_10348 = ((BgL_ev_binderz00_bglt) BgL_ez00_3666);
								BgL_arg4224z00_3761 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_10348)))->BgL_bodyz00);
							}
							BgL_bodyz00_3674 =
								BGl_compz00zz__evaluate_compz00(BgL_arg4224z00_3761,
								BgL_nstkz00_3672);
						}
						{	/* Eval/evaluate_comp.scm 480 */
							bool_t BgL_testz00_30778;

							{
								obj_t BgL_l2864z00_3741;

								{	/* Eval/evaluate_comp.scm 480 */
									BgL_ev_binderz00_bglt BgL_obj2083z00_10349;

									BgL_obj2083z00_10349 =
										((BgL_ev_binderz00_bglt) BgL_ez00_3666);
									BgL_l2864z00_3741 =
										(((BgL_ev_binderz00_bglt) CREF(
												((obj_t) BgL_obj2083z00_10349)))->BgL_valsz00);
								}
							BgL_zc3anonymousza34214ze3z83_3742:
								if (NULLP(BgL_l2864z00_3741))
									{	/* Eval/evaluate_comp.scm 480 */
										BgL_testz00_30778 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_comp.scm 480 */
										bool_t BgL_testz00_30781;

										{	/* Eval/evaluate_comp.scm 480 */
											obj_t BgL_arg4218z00_3746;

											BgL_arg4218z00_3746 = CAR(BgL_l2864z00_3741);
											BgL_testz00_30781 =
												BGl_iszd2azf3z21zz__objectz00(BgL_arg4218z00_3746,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_testz00_30781)
											{
												obj_t BgL_l2864z00_30784;

												BgL_l2864z00_30784 = CDR(BgL_l2864z00_3741);
												BgL_l2864z00_3741 = BgL_l2864z00_30784;
												goto BgL_zc3anonymousza34214ze3z83_3742;
											}
										else
											{	/* Eval/evaluate_comp.scm 480 */
												BgL_testz00_30778 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_30778)
								{	/* Eval/evaluate_comp.scm 481 */
									obj_t BgL_zc3anonymousza34184ze3z83_15807;

									BgL_zc3anonymousza34184ze3z83_15807 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza34184ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza34184ze3z83_15807,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3671));
									PROCEDURE_SET(BgL_zc3anonymousza34184ze3z83_15807,
										(int) (((long) 1)), BgL_cvalsz00_3673);
									PROCEDURE_SET(BgL_zc3anonymousza34184ze3z83_15807,
										(int) (((long) 2)), BgL_bodyz00_3674);
									return BgL_zc3anonymousza34184ze3z83_15807;
								}
							else
								{	/* Eval/evaluate_comp.scm 491 */
									obj_t BgL_zc3anonymousza34197ze3z83_15806;

									BgL_zc3anonymousza34197ze3z83_15806 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza34197ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza34197ze3z83_15806,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3671));
									PROCEDURE_SET(BgL_zc3anonymousza34197ze3z83_15806,
										(int) (((long) 1)), BgL_cvalsz00_3673);
									PROCEDURE_SET(BgL_zc3anonymousza34197ze3z83_15806,
										(int) (((long) 2)), BgL_bodyz00_3674);
									return BgL_zc3anonymousza34197ze3z83_15806;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4184> */
	obj_t BGl_z62zc3anonymousza34184ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16848, obj_t BgL_sz00_16852)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 481 */
				long BgL_siza7eza7_16849;
				obj_t BgL_cvalsz00_16850;
				obj_t BgL_bodyz00_16851;

				BgL_siza7eza7_16849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16848, (int) (((long) 0))));
				BgL_cvalsz00_16850 =
					PROCEDURE_REF(BgL_envz00_16848, (int) (((long) 1)));
				BgL_bodyz00_16851 = PROCEDURE_REF(BgL_envz00_16848, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3676;

					BgL_sz00_3676 = BgL_sz00_16852;
					{	/* Eval/evaluate_comp.scm 481 */
						obj_t BgL_bpz00_3678;

						BgL_bpz00_3678 = VECTOR_REF(BgL_sz00_3676, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 482 */
							long BgL_g2392z00_3679;

							BgL_g2392z00_3679 =
								((long) CINT(BgL_bpz00_3678) + BgL_siza7eza7_16849);
							{
								obj_t BgL_lz00_10404;
								long BgL_iz00_10405;

								BgL_lz00_10404 = BgL_cvalsz00_16850;
								BgL_iz00_10405 = BgL_g2392z00_3679;
							BgL_recz00_10403:
								if (NULLP(BgL_lz00_10404))
									{	/* Eval/evaluate_comp.scm 482 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 482 */
										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_arg4187z00_10411;

											{	/* Eval/evaluate_comp.scm 482 */
												obj_t BgL_newz00_10417;

												BgL_newz00_10417 =
													create_struct(BGl_symbol6880z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 482 */
													int BgL_auxz00_30824;

													BgL_auxz00_30824 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10417, BgL_auxz00_30824,
														BUNSPEC);
												}
												BgL_arg4187z00_10411 = BgL_newz00_10417;
											}
											VECTOR_SET(BgL_sz00_3676,
												(int) (BgL_iz00_10405), BgL_arg4187z00_10411);
										}
										{
											long BgL_iz00_30831;
											obj_t BgL_lz00_30829;

											BgL_lz00_30829 = CDR(BgL_lz00_10404);
											BgL_iz00_30831 = (BgL_iz00_10405 + ((long) 1));
											BgL_iz00_10405 = BgL_iz00_30831;
											BgL_lz00_10404 = BgL_lz00_30829;
											goto BgL_recz00_10403;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 486 */
							long BgL_g2393z00_3689;

							BgL_g2393z00_3689 =
								((long) CINT(BgL_bpz00_3678) + BgL_siza7eza7_16849);
							{
								obj_t BgL_lz00_3691;
								long BgL_iz00_3692;

								BgL_lz00_3691 = BgL_cvalsz00_16850;
								BgL_iz00_3692 = BgL_g2393z00_3689;
							BgL_zc3anonymousza34190ze3z83_3693:
								if (NULLP(BgL_lz00_3691))
									{	/* Eval/evaluate_comp.scm 487 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 487 */
										{	/* Eval/evaluate_comp.scm 488 */
											obj_t BgL_arg4192z00_3695;
											obj_t BgL_arg4193z00_3696;

											BgL_arg4192z00_3695 =
												VECTOR_REF(BgL_sz00_3676, (int) (BgL_iz00_3692));
											{	/* Eval/evaluate_comp.scm 488 */
												obj_t BgL_fun4194z00_3697;

												BgL_fun4194z00_3697 = CAR(BgL_lz00_3691);
												BgL_arg4193z00_3696 =
													PROCEDURE_ENTRY(BgL_fun4194z00_3697)
													(BgL_fun4194z00_3697, BgL_sz00_3676, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 488 */
												int BgL_auxz00_30844;

												BgL_auxz00_30844 = (int) (((long) 0));
												STRUCT_SET(BgL_arg4192z00_3695, BgL_auxz00_30844,
													BgL_arg4193z00_3696);
										}}
										{
											long BgL_iz00_30849;
											obj_t BgL_lz00_30847;

											BgL_lz00_30847 = CDR(BgL_lz00_3691);
											BgL_iz00_30849 = (BgL_iz00_3692 + ((long) 1));
											BgL_iz00_3692 = BgL_iz00_30849;
											BgL_lz00_3691 = BgL_lz00_30847;
											goto BgL_zc3anonymousza34190ze3z83_3693;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_16851) (BgL_bodyz00_16851,
							BgL_sz00_3676, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:4197> */
	obj_t BGl_z62zc3anonymousza34197ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16853, obj_t BgL_sz00_16857)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 491 */
			{	/* Eval/evaluate_comp.scm 491 */
				long BgL_siza7eza7_16854;
				obj_t BgL_cvalsz00_16855;
				obj_t BgL_bodyz00_16856;

				BgL_siza7eza7_16854 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16853, (int) (((long) 0))));
				BgL_cvalsz00_16855 =
					PROCEDURE_REF(BgL_envz00_16853, (int) (((long) 1)));
				BgL_bodyz00_16856 = PROCEDURE_REF(BgL_envz00_16853, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3701;

					BgL_sz00_3701 = BgL_sz00_16857;
					{	/* Eval/evaluate_comp.scm 491 */
						obj_t BgL_bpz00_3703;

						BgL_bpz00_3703 = VECTOR_REF(BgL_sz00_3701, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 492 */
							long BgL_g2394z00_3704;

							BgL_g2394z00_3704 =
								((long) CINT(BgL_bpz00_3703) + BgL_siza7eza7_16854);
							{
								obj_t BgL_lz00_10495;
								long BgL_iz00_10496;

								BgL_lz00_10495 = BgL_cvalsz00_16855;
								BgL_iz00_10496 = BgL_g2394z00_3704;
							BgL_recz00_10494:
								if (NULLP(BgL_lz00_10495))
									{	/* Eval/evaluate_comp.scm 492 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 492 */
										{	/* Eval/evaluate_comp.scm 492 */
											obj_t BgL_arg4200z00_10502;

											{	/* Eval/evaluate_comp.scm 492 */
												obj_t BgL_newz00_10508;

												BgL_newz00_10508 =
													create_struct(BGl_symbol6880z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 492 */
													int BgL_auxz00_30870;

													BgL_auxz00_30870 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10508, BgL_auxz00_30870,
														BUNSPEC);
												}
												BgL_arg4200z00_10502 = BgL_newz00_10508;
											}
											VECTOR_SET(BgL_sz00_3701,
												(int) (BgL_iz00_10496), BgL_arg4200z00_10502);
										}
										{
											long BgL_iz00_30877;
											obj_t BgL_lz00_30875;

											BgL_lz00_30875 = CDR(BgL_lz00_10495);
											BgL_iz00_30877 = (BgL_iz00_10496 + ((long) 1));
											BgL_iz00_10496 = BgL_iz00_30877;
											BgL_lz00_10495 = BgL_lz00_30875;
											goto BgL_recz00_10494;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 496 */
							obj_t BgL_rvalsz00_3714;

							if (NULLP(BgL_cvalsz00_16855))
								{	/* Eval/evaluate_comp.scm 496 */
									BgL_rvalsz00_3714 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 496 */
									obj_t BgL_head2869z00_3728;

									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_res6234z00_10525;

										BgL_res6234z00_10525 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2869z00_3728 = BgL_res6234z00_10525;
									}
									{
										obj_t BgL_l2867z00_10559;
										obj_t BgL_tail2870z00_10560;

										BgL_l2867z00_10559 = BgL_cvalsz00_16855;
										BgL_tail2870z00_10560 = BgL_head2869z00_3728;
									BgL_zc3anonymousza34210ze3z83_10558:
										if (NULLP(BgL_l2867z00_10559))
											{	/* Eval/evaluate_comp.scm 496 */
												BgL_rvalsz00_3714 = CDR(BgL_head2869z00_3728);
											}
										else
											{	/* Eval/evaluate_comp.scm 496 */
												obj_t BgL_newtail2871z00_10567;

												{	/* Eval/evaluate_comp.scm 496 */
													obj_t BgL_arg4213z00_10568;

													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_vz00_10569;

														BgL_vz00_10569 = CAR(BgL_l2867z00_10559);
														BgL_arg4213z00_10568 =
															PROCEDURE_ENTRY(BgL_vz00_10569) (BgL_vz00_10569,
															BgL_sz00_3701, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_res6240z00_10577;

														BgL_res6240z00_10577 =
															MAKE_PAIR(BgL_arg4213z00_10568, BNIL);
														BgL_newtail2871z00_10567 = BgL_res6240z00_10577;
													}
												}
												SET_CDR(BgL_tail2870z00_10560,
													BgL_newtail2871z00_10567);
												{
													obj_t BgL_tail2870z00_30894;
													obj_t BgL_l2867z00_30892;

													BgL_l2867z00_30892 = CDR(BgL_l2867z00_10559);
													BgL_tail2870z00_30894 = BgL_newtail2871z00_10567;
													BgL_tail2870z00_10560 = BgL_tail2870z00_30894;
													BgL_l2867z00_10559 = BgL_l2867z00_30892;
													goto BgL_zc3anonymousza34210ze3z83_10558;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 497 */
								long BgL_g2395z00_3715;

								BgL_g2395z00_3715 =
									((long) CINT(BgL_bpz00_3703) + BgL_siza7eza7_16854);
								{
									obj_t BgL_lz00_10625;
									long BgL_iz00_10626;

									BgL_lz00_10625 = BgL_rvalsz00_3714;
									BgL_iz00_10626 = BgL_g2395z00_3715;
								BgL_recz00_10624:
									if (NULLP(BgL_lz00_10625))
										{	/* Eval/evaluate_comp.scm 497 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_auxz00_30904;
												int BgL_auxz00_30902;
												obj_t BgL_auxz00_30899;

												BgL_auxz00_30904 = CAR(BgL_lz00_10625);
												BgL_auxz00_30902 = (int) (((long) 0));
												BgL_auxz00_30899 =
													VECTOR_REF(BgL_sz00_3701, (int) (BgL_iz00_10626));
												STRUCT_SET(BgL_auxz00_30899, BgL_auxz00_30902,
													BgL_auxz00_30904);
											}
											{
												long BgL_iz00_30909;
												obj_t BgL_lz00_30907;

												BgL_lz00_30907 = CDR(BgL_lz00_10625);
												BgL_iz00_30909 = (BgL_iz00_10626 + ((long) 1));
												BgL_iz00_10626 = BgL_iz00_30909;
												BgL_lz00_10625 = BgL_lz00_30907;
												goto BgL_recz00_10624;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_16856) (BgL_bodyz00_16856,
								BgL_sz00_3701, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*2954 */
	obj_t BGl_z62compzd2ev_letza22954z12zz__evaluate_compz00(obj_t
		BgL_envz00_16858, BgL_ev_letza2za2_bglt BgL_ez00_16859,
		obj_t BgL_stkz00_16860)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_3622;
				obj_t BgL_stkz00_3623;

				BgL_ez00_3622 = BgL_ez00_16859;
				BgL_stkz00_3623 = BgL_stkz00_16860;
				{	/* Eval/evaluate_comp.scm 464 */
					long BgL_siza7eza7_3627;
					obj_t BgL_nstkz00_3628;

					BgL_siza7eza7_3627 = bgl_list_length(BgL_stkz00_3623);
					{	/* Eval/evaluate_comp.scm 464 */
						obj_t BgL_arg4182z00_3664;

						{	/* Eval/evaluate_comp.scm 464 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_10198;

							BgL_obj2080z00_10198 = ((BgL_ev_binderz00_bglt) BgL_ez00_3622);
							BgL_arg4182z00_3664 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_10198)))->BgL_varsz00);
						}
						BgL_nstkz00_3628 =
							BGl_appendzd221095zd2zz__evaluate_compz00(BgL_stkz00_3623,
							BgL_arg4182z00_3664);
					}
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_valsz00_3629;
						obj_t BgL_bodyz00_3630;

						{	/* Eval/evaluate_comp.scm 465 */
							obj_t BgL_l2854z00_3650;

							{	/* Eval/evaluate_comp.scm 465 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_10199;

								BgL_obj2083z00_10199 = ((BgL_ev_binderz00_bglt) BgL_ez00_3622);
								BgL_l2854z00_3650 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_10199)))->BgL_valsz00);
							}
							if (NULLP(BgL_l2854z00_3650))
								{	/* Eval/evaluate_comp.scm 465 */
									BgL_valsz00_3629 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 465 */
									obj_t BgL_head2856z00_3652;

									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_res6196z00_10204;

										BgL_res6196z00_10204 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2856z00_3652 = BgL_res6196z00_10204;
									}
									{
										obj_t BgL_l2854z00_10238;
										obj_t BgL_tail2857z00_10239;

										BgL_l2854z00_10238 = BgL_l2854z00_3650;
										BgL_tail2857z00_10239 = BgL_head2856z00_3652;
									BgL_zc3anonymousza34177ze3z83_10237:
										if (NULLP(BgL_l2854z00_10238))
											{	/* Eval/evaluate_comp.scm 465 */
												BgL_valsz00_3629 = CDR(BgL_head2856z00_3652);
											}
										else
											{	/* Eval/evaluate_comp.scm 465 */
												obj_t BgL_newtail2858z00_10246;

												{	/* Eval/evaluate_comp.scm 465 */
													obj_t BgL_arg4180z00_10247;

													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_vz00_10248;

														BgL_vz00_10248 = CAR(BgL_l2854z00_10238);
														BgL_arg4180z00_10247 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_10248),
															BgL_nstkz00_3628);
													}
													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_res6202z00_10256;

														BgL_res6202z00_10256 =
															MAKE_PAIR(BgL_arg4180z00_10247, BNIL);
														BgL_newtail2858z00_10246 = BgL_res6202z00_10256;
													}
												}
												SET_CDR(BgL_tail2857z00_10239,
													BgL_newtail2858z00_10246);
												{
													obj_t BgL_tail2857z00_30936;
													obj_t BgL_l2854z00_30934;

													BgL_l2854z00_30934 = CDR(BgL_l2854z00_10238);
													BgL_tail2857z00_30936 = BgL_newtail2858z00_10246;
													BgL_tail2857z00_10239 = BgL_tail2857z00_30936;
													BgL_l2854z00_10238 = BgL_l2854z00_30934;
													goto BgL_zc3anonymousza34177ze3z83_10237;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 466 */
							BgL_ev_exprz00_bglt BgL_arg4181z00_3663;

							{	/* Eval/evaluate_comp.scm 466 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_10260;

								BgL_obj2086z00_10260 = ((BgL_ev_binderz00_bglt) BgL_ez00_3622);
								BgL_arg4181z00_3663 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_10260)))->BgL_bodyz00);
							}
							BgL_bodyz00_3630 =
								BGl_compz00zz__evaluate_compz00(BgL_arg4181z00_3663,
								BgL_nstkz00_3628);
						}
						{	/* Eval/evaluate_comp.scm 467 */
							obj_t BgL_zc3anonymousza34166ze3z83_15809;

							BgL_zc3anonymousza34166ze3z83_15809 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza34166ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza34166ze3z83_15809,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3627));
							PROCEDURE_SET(BgL_zc3anonymousza34166ze3z83_15809,
								(int) (((long) 1)), ((obj_t) BgL_ez00_3622));
							PROCEDURE_SET(BgL_zc3anonymousza34166ze3z83_15809,
								(int) (((long) 2)), BgL_valsz00_3629);
							PROCEDURE_SET(BgL_zc3anonymousza34166ze3z83_15809,
								(int) (((long) 3)), BgL_bodyz00_3630);
							return BgL_zc3anonymousza34166ze3z83_15809;
						}
					}
				}
			}
		}
	}



/* &<anonymous:4166> */
	obj_t BGl_z62zc3anonymousza34166ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16861, obj_t BgL_sz00_16866)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 467 */
			{	/* Eval/evaluate_comp.scm 467 */
				long BgL_siza7eza7_16862;
				BgL_ev_letza2za2_bglt BgL_instance2387z00_16863;
				obj_t BgL_valsz00_16864;
				obj_t BgL_bodyz00_16865;

				BgL_siza7eza7_16862 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 0))));
				BgL_instance2387z00_16863 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 1))));
				BgL_valsz00_16864 = PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 2)));
				BgL_bodyz00_16865 = PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3631;

					BgL_sz00_3631 = BgL_sz00_16866;
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_bpz00_3633;

						BgL_bpz00_3633 = VECTOR_REF(BgL_sz00_3631, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 468 */
							long BgL_g2389z00_3634;

							BgL_g2389z00_3634 =
								((long) CINT(BgL_bpz00_3633) + BgL_siza7eza7_16862);
							{
								obj_t BgL_lz00_3637;
								long BgL_iz00_3638;
								obj_t BgL_bza2za2_3639;

								{	/* Eval/evaluate_comp.scm 468 */
									obj_t BgL_arg4167z00_3636;

									BgL_arg4167z00_3636 =
										(((BgL_ev_letza2za2_bglt) CREF(
												((obj_t) BgL_instance2387z00_16863)))->BgL_boxesz00);
									BgL_lz00_3637 = BgL_valsz00_16864;
									BgL_iz00_3638 = BgL_g2389z00_3634;
									BgL_bza2za2_3639 = BgL_arg4167z00_3636;
								BgL_zc3anonymousza34168ze3z83_3640:
									if (NULLP(BgL_lz00_3637))
										{	/* Eval/evaluate_comp.scm 469 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 469 */
											{	/* Eval/evaluate_comp.scm 470 */
												obj_t BgL_valz00_3642;

												{	/* Eval/evaluate_comp.scm 470 */
													obj_t BgL_fun4172z00_3645;

													BgL_fun4172z00_3645 = CAR(BgL_lz00_3637);
													BgL_valz00_3642 =
														PROCEDURE_ENTRY(BgL_fun4172z00_3645)
														(BgL_fun4172z00_3645, BgL_sz00_3631, BEOA);
												}
												{	/* Eval/evaluate_comp.scm 471 */
													obj_t BgL_arg4170z00_3643;

													{	/* Eval/evaluate_comp.scm 471 */
														bool_t BgL_testz00_30977;

														{	/* Eval/evaluate_comp.scm 471 */
															obj_t BgL_pairz00_10269;

															BgL_pairz00_10269 = BgL_bza2za2_3639;
															BgL_testz00_30977 = CBOOL(CAR(BgL_pairz00_10269));
														}
														if (BgL_testz00_30977)
															{	/* Eval/evaluate_comp.scm 471 */
																obj_t BgL_newz00_10271;

																BgL_newz00_10271 =
																	create_struct
																	(BGl_symbol6880z00zz__evaluate_compz00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate_comp.scm 471 */
																	int BgL_auxz00_30982;

																	BgL_auxz00_30982 = (int) (((long) 0));
																	STRUCT_SET(BgL_newz00_10271, BgL_auxz00_30982,
																		BgL_valz00_3642);
																}
																BgL_arg4170z00_3643 = BgL_newz00_10271;
															}
														else
															{	/* Eval/evaluate_comp.scm 471 */
																BgL_arg4170z00_3643 = BgL_valz00_3642;
															}
													}
													VECTOR_SET(BgL_sz00_3631,
														(int) (BgL_iz00_3638), BgL_arg4170z00_3643);
											}}
											{
												obj_t BgL_bza2za2_30991;
												long BgL_iz00_30989;
												obj_t BgL_lz00_30987;

												BgL_lz00_30987 = CDR(BgL_lz00_3637);
												BgL_iz00_30989 = (BgL_iz00_3638 + ((long) 1));
												BgL_bza2za2_30991 = CDR(BgL_bza2za2_3639);
												BgL_bza2za2_3639 = BgL_bza2za2_30991;
												BgL_iz00_3638 = BgL_iz00_30989;
												BgL_lz00_3637 = BgL_lz00_30987;
												goto BgL_zc3anonymousza34168ze3z83_3640;
											}
										}
								}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_16865) (BgL_bodyz00_16865,
							BgL_sz00_3631, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let2952 */
	obj_t BGl_z62compzd2ev_let2952zb0zz__evaluate_compz00(obj_t BgL_envz00_16867,
		BgL_ev_letz00_bglt BgL_ez00_16868, obj_t BgL_stkz00_16869)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 443 */
			{
				BgL_ev_letz00_bglt BgL_ez00_3571;
				obj_t BgL_stkz00_3572;

				BgL_ez00_3571 = BgL_ez00_16868;
				BgL_stkz00_3572 = BgL_stkz00_16869;
				{	/* Eval/evaluate_comp.scm 445 */
					long BgL_siza7eza7_3576;
					obj_t BgL_nstkz00_3577;

					BgL_siza7eza7_3576 = bgl_list_length(BgL_stkz00_3572);
					{	/* Eval/evaluate_comp.scm 445 */
						obj_t BgL_arg4165z00_3620;

						{	/* Eval/evaluate_comp.scm 445 */
							BgL_ev_binderz00_bglt BgL_obj2080z00_10055;

							BgL_obj2080z00_10055 = ((BgL_ev_binderz00_bglt) BgL_ez00_3571);
							BgL_arg4165z00_3620 =
								(((BgL_ev_binderz00_bglt) CREF(
										((obj_t) BgL_obj2080z00_10055)))->BgL_varsz00);
						}
						BgL_nstkz00_3577 =
							BGl_appendzd221095zd2zz__evaluate_compz00(BgL_stkz00_3572,
							BgL_arg4165z00_3620);
					}
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_valsz00_3578;
						obj_t BgL_iboxesz00_3579;
						obj_t BgL_bodyz00_3580;

						{	/* Eval/evaluate_comp.scm 447 */
							obj_t BgL_arg4157z00_3605;

							{	/* Eval/evaluate_comp.scm 447 */
								BgL_ev_binderz00_bglt BgL_obj2083z00_10056;

								BgL_obj2083z00_10056 = ((BgL_ev_binderz00_bglt) BgL_ez00_3571);
								BgL_arg4157z00_3605 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2083z00_10056)))->BgL_valsz00);
							}
							BgL_valsz00_3578 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg4157z00_3605, BgL_stkz00_3572);
						}
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_l2849z00_3606;

							BgL_l2849z00_3606 =
								(((BgL_ev_letz00_bglt) CREF(
										((obj_t) BgL_ez00_3571)))->BgL_boxesz00);
							if (NULLP(BgL_l2849z00_3606))
								{	/* Eval/evaluate_comp.scm 448 */
									BgL_iboxesz00_3579 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 448 */
									obj_t BgL_head2851z00_3608;

									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_res6179z00_10062;

										BgL_res6179z00_10062 = MAKE_PAIR(BNIL, BNIL);
										BgL_head2851z00_3608 = BgL_res6179z00_10062;
									}
									{
										obj_t BgL_l2849z00_10096;
										obj_t BgL_tail2852z00_10097;

										BgL_l2849z00_10096 = BgL_l2849z00_3606;
										BgL_tail2852z00_10097 = BgL_head2851z00_3608;
									BgL_zc3anonymousza34159ze3z83_10095:
										if (NULLP(BgL_l2849z00_10096))
											{	/* Eval/evaluate_comp.scm 448 */
												BgL_iboxesz00_3579 = CDR(BgL_head2851z00_3608);
											}
										else
											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_newtail2853z00_10104;

												{	/* Eval/evaluate_comp.scm 448 */
													obj_t BgL_arg4163z00_10105;

													BgL_arg4163z00_10105 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l2849z00_10096), BgL_nstkz00_3577);
													{	/* Eval/evaluate_comp.scm 448 */
														obj_t BgL_res6185z00_10114;

														BgL_res6185z00_10114 =
															MAKE_PAIR(BgL_arg4163z00_10105, BNIL);
														BgL_newtail2853z00_10104 = BgL_res6185z00_10114;
													}
												}
												SET_CDR(BgL_tail2852z00_10097,
													BgL_newtail2853z00_10104);
												{
													obj_t BgL_tail2852z00_31020;
													obj_t BgL_l2849z00_31018;

													BgL_l2849z00_31018 = CDR(BgL_l2849z00_10096);
													BgL_tail2852z00_31020 = BgL_newtail2853z00_10104;
													BgL_tail2852z00_10097 = BgL_tail2852z00_31020;
													BgL_l2849z00_10096 = BgL_l2849z00_31018;
													goto BgL_zc3anonymousza34159ze3z83_10095;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg4164z00_3619;

							{	/* Eval/evaluate_comp.scm 449 */
								BgL_ev_binderz00_bglt BgL_obj2086z00_10118;

								BgL_obj2086z00_10118 = ((BgL_ev_binderz00_bglt) BgL_ez00_3571);
								BgL_arg4164z00_3619 =
									(((BgL_ev_binderz00_bglt) CREF(
											((obj_t) BgL_obj2086z00_10118)))->BgL_bodyz00);
							}
							BgL_bodyz00_3580 =
								BGl_compz00zz__evaluate_compz00(BgL_arg4164z00_3619,
								BgL_nstkz00_3577);
						}
						{	/* Eval/evaluate_comp.scm 450 */
							obj_t BgL_zc3anonymousza34144ze3z83_15811;

							BgL_zc3anonymousza34144ze3z83_15811 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza34144ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza34144ze3z83_15811,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3576));
							PROCEDURE_SET(BgL_zc3anonymousza34144ze3z83_15811,
								(int) (((long) 1)), BgL_valsz00_3578);
							PROCEDURE_SET(BgL_zc3anonymousza34144ze3z83_15811,
								(int) (((long) 2)), BgL_iboxesz00_3579);
							PROCEDURE_SET(BgL_zc3anonymousza34144ze3z83_15811,
								(int) (((long) 3)), BgL_bodyz00_3580);
							return BgL_zc3anonymousza34144ze3z83_15811;
						}
					}
				}
			}
		}
	}



/* &<anonymous:4144> */
	obj_t BGl_z62zc3anonymousza34144ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16870, obj_t BgL_sz00_16875)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 450 */
			{	/* Eval/evaluate_comp.scm 450 */
				long BgL_siza7eza7_16871;
				obj_t BgL_valsz00_16872;
				obj_t BgL_iboxesz00_16873;
				obj_t BgL_bodyz00_16874;

				BgL_siza7eza7_16871 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16870, (int) (((long) 0))));
				BgL_valsz00_16872 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16870, (int) (((long) 1))));
				BgL_iboxesz00_16873 =
					PROCEDURE_REF(BgL_envz00_16870, (int) (((long) 2)));
				BgL_bodyz00_16874 = PROCEDURE_REF(BgL_envz00_16870, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3581;

					BgL_sz00_3581 = BgL_sz00_16875;
					{	/* Eval/evaluate_comp.scm 450 */
						obj_t BgL_bpz00_3583;

						BgL_bpz00_3583 = VECTOR_REF(BgL_sz00_3581, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 451 */
							long BgL_g2386z00_3584;

							BgL_g2386z00_3584 =
								((long) CINT(BgL_bpz00_3583) + BgL_siza7eza7_16871);
							{
								obj_t BgL_lz00_10157;
								long BgL_iz00_10158;

								BgL_lz00_10157 = BgL_valsz00_16872;
								BgL_iz00_10158 = BgL_g2386z00_3584;
							BgL_recz00_10156:
								if (NULLP(BgL_lz00_10157))
									{	/* Eval/evaluate_comp.scm 451 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 451 */
										{	/* Eval/evaluate_comp.scm 451 */
											obj_t BgL_arg4147z00_10165;

											{	/* Eval/evaluate_comp.scm 451 */
												obj_t BgL_fun4148z00_10166;

												BgL_fun4148z00_10166 = CAR(BgL_lz00_10157);
												BgL_arg4147z00_10165 =
													PROCEDURE_ENTRY(BgL_fun4148z00_10166)
													(BgL_fun4148z00_10166, BgL_sz00_3581, BEOA);
											}
											VECTOR_SET(BgL_sz00_3581,
												(int) (BgL_iz00_10158), BgL_arg4147z00_10165);
										}
										{
											long BgL_iz00_31062;
											obj_t BgL_lz00_31060;

											BgL_lz00_31060 = CDR(BgL_lz00_10157);
											BgL_iz00_31062 = (BgL_iz00_10158 + ((long) 1));
											BgL_iz00_10158 = BgL_iz00_31062;
											BgL_lz00_10157 = BgL_lz00_31060;
											goto BgL_recz00_10156;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_3596;

							BgL_lz00_3596 = BgL_iboxesz00_16873;
						BgL_zc3anonymousza34151ze3z83_3597:
							if (NULLP(BgL_lz00_3596))
								{	/* Eval/evaluate_comp.scm 456 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 456 */
									{	/* Eval/evaluate_comp.scm 457 */
										long BgL_iz00_3599;

										{	/* Eval/evaluate_comp.scm 457 */
											long BgL_auxz00_31066;

											{	/* Eval/evaluate_comp.scm 457 */
												obj_t BgL_pairz00_10181;

												BgL_pairz00_10181 = BgL_lz00_3596;
												BgL_auxz00_31066 = (long) CINT(CAR(BgL_pairz00_10181));
											}
											BgL_iz00_3599 =
												((long) CINT(BgL_bpz00_3583) + BgL_auxz00_31066);
										}
										{	/* Eval/evaluate_comp.scm 458 */
											obj_t BgL_arg4153z00_3600;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_arg4154z00_3601;

												BgL_arg4154z00_3601 =
													VECTOR_REF(BgL_sz00_3581, (int) (BgL_iz00_3599));
												{	/* Eval/evaluate_comp.scm 458 */
													obj_t BgL_newz00_10188;

													BgL_newz00_10188 =
														create_struct(BGl_symbol6880z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 458 */
														int BgL_auxz00_31075;

														BgL_auxz00_31075 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_10188, BgL_auxz00_31075,
															BgL_arg4154z00_3601);
													}
													BgL_arg4153z00_3600 = BgL_newz00_10188;
											}}
											VECTOR_SET(BgL_sz00_3581,
												(int) (BgL_iz00_3599), BgL_arg4153z00_3600);
									}}
									{
										obj_t BgL_lz00_31080;

										BgL_lz00_31080 = CDR(BgL_lz00_3596);
										BgL_lz00_3596 = BgL_lz00_31080;
										goto BgL_zc3anonymousza34151ze3z83_3597;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_16874) (BgL_bodyz00_16874,
							BgL_sz00_3581, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog22950 */
	obj_t BGl_z62compzd2ev_prog22950zb0zz__evaluate_compz00(obj_t
		BgL_envz00_16876, BgL_ev_prog2z00_bglt BgL_ez00_16877,
		obj_t BgL_stkz00_16878)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 437 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_3558;
				obj_t BgL_stkz00_3559;

				BgL_ez00_3558 = BgL_ez00_16877;
				BgL_stkz00_3559 = BgL_stkz00_16878;
				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_e1z00_3563;
					obj_t BgL_e2z00_3564;

					{	/* Eval/evaluate_comp.scm 439 */
						BgL_ev_exprz00_bglt BgL_arg4142z00_3568;

						BgL_arg4142z00_3568 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_3558)))->BgL_e1z00);
						BgL_e1z00_3563 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4142z00_3568,
							BgL_stkz00_3559);
					}
					{	/* Eval/evaluate_comp.scm 439 */
						BgL_ev_exprz00_bglt BgL_arg4143z00_3569;

						BgL_arg4143z00_3569 =
							(((BgL_ev_prog2z00_bglt) CREF(
									((obj_t) BgL_ez00_3558)))->BgL_e2z00);
						BgL_e2z00_3564 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4143z00_3569,
							BgL_stkz00_3559);
					}
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_zc3anonymousza34141ze3z83_15813;

						BgL_zc3anonymousza34141ze3z83_15813 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34141ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza34141ze3z83_15813,
							(int) (((long) 0)), BgL_e1z00_3563);
						PROCEDURE_SET(BgL_zc3anonymousza34141ze3z83_15813,
							(int) (((long) 1)), BgL_e2z00_3564);
						return BgL_zc3anonymousza34141ze3z83_15813;
					}
				}
			}
		}
	}



/* &<anonymous:4141> */
	obj_t BGl_z62zc3anonymousza34141ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16879, obj_t BgL_sz00_16882)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_e1z00_16880;
				obj_t BgL_e2z00_16881;

				BgL_e1z00_16880 = PROCEDURE_REF(BgL_envz00_16879, (int) (((long) 0)));
				BgL_e2z00_16881 = PROCEDURE_REF(BgL_envz00_16879, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3565;

					BgL_sz00_3565 = BgL_sz00_16882;
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_bpz00_10052;

						BgL_bpz00_10052 = VECTOR_REF(BgL_sz00_3565, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_16880) (BgL_e1z00_16880, BgL_sz00_3565,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_16881) (BgL_e2z00_16881,
							BgL_sz00_3565, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and2948 */
	obj_t BGl_z62compzd2ev_and2948zb0zz__evaluate_compz00(obj_t BgL_envz00_16883,
		BgL_ev_andz00_bglt BgL_ez00_16884, obj_t BgL_stkz00_16885)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{
				BgL_ev_andz00_bglt BgL_ez00_3525;
				obj_t BgL_stkz00_3526;

				BgL_ez00_3525 = BgL_ez00_16884;
				BgL_stkz00_3526 = BgL_stkz00_16885;
				{	/* Eval/evaluate_comp.scm 429 */
					obj_t BgL_argsz00_3530;

					{	/* Eval/evaluate_comp.scm 429 */
						obj_t BgL_l2844z00_3544;

						{	/* Eval/evaluate_comp.scm 429 */
							BgL_ev_listz00_bglt BgL_obj1898z00_9950;

							BgL_obj1898z00_9950 = ((BgL_ev_listz00_bglt) BgL_ez00_3525);
							BgL_l2844z00_3544 =
								(((BgL_ev_listz00_bglt) CREF(
										((obj_t) BgL_obj1898z00_9950)))->BgL_argsz00);
						}
						if (NULLP(BgL_l2844z00_3544))
							{	/* Eval/evaluate_comp.scm 429 */
								BgL_argsz00_3530 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 429 */
								obj_t BgL_head2846z00_3546;

								{	/* Eval/evaluate_comp.scm 429 */
									obj_t BgL_res6168z00_9955;

									BgL_res6168z00_9955 = MAKE_PAIR(BNIL, BNIL);
									BgL_head2846z00_3546 = BgL_res6168z00_9955;
								}
								{
									obj_t BgL_l2844z00_9989;
									obj_t BgL_tail2847z00_9990;

									BgL_l2844z00_9989 = BgL_l2844z00_3544;
									BgL_tail2847z00_9990 = BgL_head2846z00_3546;
								BgL_zc3anonymousza34137ze3z83_9988:
									if (NULLP(BgL_l2844z00_9989))
										{	/* Eval/evaluate_comp.scm 429 */
											BgL_argsz00_3530 = CDR(BgL_head2846z00_3546);
										}
									else
										{	/* Eval/evaluate_comp.scm 429 */
											obj_t BgL_newtail2848z00_9997;

											{	/* Eval/evaluate_comp.scm 429 */
												obj_t BgL_arg4140z00_9998;

												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_ez00_9999;

													BgL_ez00_9999 = CAR(BgL_l2844z00_9989);
													BgL_arg4140z00_9998 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9999),
														BgL_stkz00_3526);
												}
												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_res6174z00_10007;

													BgL_res6174z00_10007 =
														MAKE_PAIR(BgL_arg4140z00_9998, BNIL);
													BgL_newtail2848z00_9997 = BgL_res6174z00_10007;
												}
											}
											SET_CDR(BgL_tail2847z00_9990, BgL_newtail2848z00_9997);
											{
												obj_t BgL_tail2847z00_31129;
												obj_t BgL_l2844z00_31127;

												BgL_l2844z00_31127 = CDR(BgL_l2844z00_9989);
												BgL_tail2847z00_31129 = BgL_newtail2848z00_9997;
												BgL_tail2847z00_9990 = BgL_tail2847z00_31129;
												BgL_l2844z00_9989 = BgL_l2844z00_31127;
												goto BgL_zc3anonymousza34137ze3z83_9988;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_zc3anonymousza34131ze3z83_15815;

						BgL_zc3anonymousza34131ze3z83_15815 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34131ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza34131ze3z83_15815,
							(int) (((long) 0)), BgL_argsz00_3530);
						return BgL_zc3anonymousza34131ze3z83_15815;
					}
				}
			}
		}
	}



/* &<anonymous:4131> */
	obj_t BGl_z62zc3anonymousza34131ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16886, obj_t BgL_sz00_16888)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 430 */
				obj_t BgL_argsz00_16887;

				BgL_argsz00_16887 = PROCEDURE_REF(BgL_envz00_16886, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3531;

					BgL_sz00_3531 = BgL_sz00_16888;
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_bpz00_3533;

						BgL_bpz00_3533 = VECTOR_REF(BgL_sz00_3531, (int) (((long) 0)));
						{
							obj_t BgL_lz00_10034;
							obj_t BgL_rz00_10035;

							BgL_lz00_10034 = BgL_argsz00_16887;
							BgL_rz00_10035 = BTRUE;
						BgL_recz00_10033:
							if (NULLP(BgL_lz00_10034))
								{	/* Eval/evaluate_comp.scm 431 */
									return BgL_rz00_10035;
								}
							else
								{	/* Eval/evaluate_comp.scm 431 */
									obj_t BgL_vz00_10042;

									{	/* Eval/evaluate_comp.scm 431 */
										obj_t BgL_fun4135z00_10043;

										BgL_fun4135z00_10043 = CAR(BgL_lz00_10034);
										BgL_vz00_10042 =
											PROCEDURE_ENTRY(BgL_fun4135z00_10043)
											(BgL_fun4135z00_10043, BgL_sz00_3531, BEOA);
									}
									if (CBOOL(BgL_vz00_10042))
										{
											obj_t BgL_rz00_31150;
											obj_t BgL_lz00_31148;

											BgL_lz00_31148 = CDR(BgL_lz00_10034);
											BgL_rz00_31150 = BgL_vz00_10042;
											BgL_rz00_10035 = BgL_rz00_31150;
											BgL_lz00_10034 = BgL_lz00_31148;
											goto BgL_recz00_10033;
										}
									else
										{	/* Eval/evaluate_comp.scm 431 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or2946 */
	obj_t BGl_z62compzd2ev_or2946zb0zz__evaluate_compz00(obj_t BgL_envz00_16889,
		BgL_ev_orz00_bglt BgL_ez00_16890, obj_t BgL_stkz00_16891)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 418 */
			{
				BgL_ev_orz00_bglt BgL_ez00_3494;
				obj_t BgL_stkz00_3495;

				BgL_ez00_3494 = BgL_ez00_16890;
				BgL_stkz00_3495 = BgL_stkz00_16891;
				{	/* Eval/evaluate_comp.scm 420 */
					obj_t BgL_argsz00_3499;

					{	/* Eval/evaluate_comp.scm 420 */
						obj_t BgL_l2839z00_3511;

						{	/* Eval/evaluate_comp.scm 420 */
							BgL_ev_listz00_bglt BgL_obj1898z00_9883;

							BgL_obj1898z00_9883 = ((BgL_ev_listz00_bglt) BgL_ez00_3494);
							BgL_l2839z00_3511 =
								(((BgL_ev_listz00_bglt) CREF(
										((obj_t) BgL_obj1898z00_9883)))->BgL_argsz00);
						}
						if (NULLP(BgL_l2839z00_3511))
							{	/* Eval/evaluate_comp.scm 420 */
								BgL_argsz00_3499 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 420 */
								obj_t BgL_head2841z00_3513;

								{	/* Eval/evaluate_comp.scm 420 */
									obj_t BgL_res6159z00_9888;

									BgL_res6159z00_9888 = MAKE_PAIR(BNIL, BNIL);
									BgL_head2841z00_3513 = BgL_res6159z00_9888;
								}
								{
									obj_t BgL_l2839z00_9922;
									obj_t BgL_tail2842z00_9923;

									BgL_l2839z00_9922 = BgL_l2839z00_3511;
									BgL_tail2842z00_9923 = BgL_head2841z00_3513;
								BgL_zc3anonymousza34127ze3z83_9921:
									if (NULLP(BgL_l2839z00_9922))
										{	/* Eval/evaluate_comp.scm 420 */
											BgL_argsz00_3499 = CDR(BgL_head2841z00_3513);
										}
									else
										{	/* Eval/evaluate_comp.scm 420 */
											obj_t BgL_newtail2843z00_9930;

											{	/* Eval/evaluate_comp.scm 420 */
												obj_t BgL_arg4130z00_9931;

												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_ez00_9932;

													BgL_ez00_9932 = CAR(BgL_l2839z00_9922);
													BgL_arg4130z00_9931 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9932),
														BgL_stkz00_3495);
												}
												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_res6165z00_9940;

													BgL_res6165z00_9940 =
														MAKE_PAIR(BgL_arg4130z00_9931, BNIL);
													BgL_newtail2843z00_9930 = BgL_res6165z00_9940;
												}
											}
											SET_CDR(BgL_tail2842z00_9923, BgL_newtail2843z00_9930);
											{
												obj_t BgL_tail2842z00_31167;
												obj_t BgL_l2839z00_31165;

												BgL_l2839z00_31165 = CDR(BgL_l2839z00_9922);
												BgL_tail2842z00_31167 = BgL_newtail2843z00_9930;
												BgL_tail2842z00_9923 = BgL_tail2842z00_31167;
												BgL_l2839z00_9922 = BgL_l2839z00_31165;
												goto BgL_zc3anonymousza34127ze3z83_9921;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_zc3anonymousza34121ze3z83_15817;

						BgL_zc3anonymousza34121ze3z83_15817 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34121ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza34121ze3z83_15817,
							(int) (((long) 0)), BgL_argsz00_3499);
						return BgL_zc3anonymousza34121ze3z83_15817;
					}
				}
			}
		}
	}



/* &<anonymous:4121> */
	obj_t BGl_z62zc3anonymousza34121ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16892, obj_t BgL_sz00_16894)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_argsz00_16893;

				BgL_argsz00_16893 = PROCEDURE_REF(BgL_envz00_16892, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3500;

					BgL_sz00_3500 = BgL_sz00_16894;
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_bpz00_3502;

						BgL_bpz00_3502 = VECTOR_REF(BgL_sz00_3500, (int) (((long) 0)));
						{
							obj_t BgL_lz00_3504;

							BgL_lz00_3504 = BgL_argsz00_16893;
						BgL_zc3anonymousza34122ze3z83_3505:
							if (NULLP(BgL_lz00_3504))
								{	/* Eval/evaluate_comp.scm 423 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 425 */
									obj_t BgL__ortest_2378z00_3507;

									{	/* Eval/evaluate_comp.scm 425 */
										obj_t BgL_fun4125z00_3509;

										BgL_fun4125z00_3509 = CAR(BgL_lz00_3504);
										BgL__ortest_2378z00_3507 =
											PROCEDURE_ENTRY(BgL_fun4125z00_3509) (BgL_fun4125z00_3509,
											BgL_sz00_3500, BEOA);
									}
									if (CBOOL(BgL__ortest_2378z00_3507))
										{	/* Eval/evaluate_comp.scm 425 */
											return BgL__ortest_2378z00_3507;
										}
									else
										{
											obj_t BgL_lz00_31186;

											BgL_lz00_31186 = CDR(BgL_lz00_3504);
											BgL_lz00_3504 = BgL_lz00_31186;
											goto BgL_zc3anonymousza34122ze3z83_3505;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if2944 */
	obj_t BGl_z62compzd2ev_if2944zb0zz__evaluate_compz00(obj_t BgL_envz00_16895,
		BgL_ev_ifz00_bglt BgL_ez00_16896, obj_t BgL_stkz00_16897)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 412 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_3478;
				obj_t BgL_stkz00_3479;

				BgL_ez00_3478 = BgL_ez00_16896;
				BgL_stkz00_3479 = BgL_stkz00_16897;
				{	/* Eval/evaluate_comp.scm 414 */
					obj_t BgL_pz00_3483;
					obj_t BgL_tz00_3484;
					obj_t BgL_ez00_3485;

					{	/* Eval/evaluate_comp.scm 414 */
						BgL_ev_exprz00_bglt BgL_arg4118z00_3490;

						BgL_arg4118z00_3490 =
							(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_3478)))->BgL_pz00);
						BgL_pz00_3483 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4118z00_3490,
							BgL_stkz00_3479);
					}
					{	/* Eval/evaluate_comp.scm 414 */
						BgL_ev_exprz00_bglt BgL_arg4119z00_3491;

						BgL_arg4119z00_3491 =
							(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_3478)))->BgL_tz00);
						BgL_tz00_3484 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4119z00_3491,
							BgL_stkz00_3479);
					}
					{	/* Eval/evaluate_comp.scm 414 */
						BgL_ev_exprz00_bglt BgL_arg4120z00_3492;

						BgL_arg4120z00_3492 =
							(((BgL_ev_ifz00_bglt) CREF(((obj_t) BgL_ez00_3478)))->BgL_ez00);
						BgL_ez00_3485 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4120z00_3492,
							BgL_stkz00_3479);
					}
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_zc3anonymousza34116ze3z83_15819;

						BgL_zc3anonymousza34116ze3z83_15819 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34116ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza34116ze3z83_15819,
							(int) (((long) 0)), BgL_ez00_3485);
						PROCEDURE_SET(BgL_zc3anonymousza34116ze3z83_15819,
							(int) (((long) 1)), BgL_tz00_3484);
						PROCEDURE_SET(BgL_zc3anonymousza34116ze3z83_15819,
							(int) (((long) 2)), BgL_pz00_3483);
						return BgL_zc3anonymousza34116ze3z83_15819;
					}
				}
			}
		}
	}



/* &<anonymous:4116> */
	obj_t BGl_z62zc3anonymousza34116ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16898, obj_t BgL_sz00_16902)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 415 */
			{	/* Eval/evaluate_comp.scm 415 */
				obj_t BgL_ez00_16899;
				obj_t BgL_tz00_16900;
				obj_t BgL_pz00_16901;

				BgL_ez00_16899 = PROCEDURE_REF(BgL_envz00_16898, (int) (((long) 0)));
				BgL_tz00_16900 = PROCEDURE_REF(BgL_envz00_16898, (int) (((long) 1)));
				BgL_pz00_16901 = PROCEDURE_REF(BgL_envz00_16898, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3486;

					BgL_sz00_3486 = BgL_sz00_16902;
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_bpz00_9879;

						BgL_bpz00_9879 = VECTOR_REF(BgL_sz00_3486, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_16901) (BgL_pz00_16901,
									BgL_sz00_3486, BEOA)))
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_tz00_16900) (BgL_tz00_16900,
									BgL_sz00_3486, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_ez00_16899) (BgL_ez00_16899,
									BgL_sz00_3486, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt2942 */
	obj_t BGl_z62compzd2ev_litt2942zb0zz__evaluate_compz00(obj_t BgL_envz00_16903,
		BgL_ev_littz00_bglt BgL_ez00_16904, obj_t BgL_stkz00_16905)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 407 */
			{
				BgL_ev_littz00_bglt BgL_ez00_3469;
				obj_t BgL_stkz00_3470;

				BgL_ez00_3469 = BgL_ez00_16904;
				BgL_stkz00_3470 = BgL_stkz00_16905;
				{	/* Eval/evaluate_comp.scm 408 */
					obj_t BgL_zc3anonymousza34115ze3z83_15821;

					BgL_zc3anonymousza34115ze3z83_15821 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza34115ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza34115ze3z83_15821, (int) (((long) 0)),
						((obj_t) BgL_ez00_3469));
					return BgL_zc3anonymousza34115ze3z83_15821;
				}
			}
		}
	}



/* &<anonymous:4115> */
	obj_t BGl_z62zc3anonymousza34115ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16906, obj_t BgL_sz00_16908)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 409 */
			{	/* Eval/evaluate_comp.scm 408 */
				BgL_ev_littz00_bglt BgL_instance2372z00_16907;

				BgL_instance2372z00_16907 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_16906, (int) (((long) 0))));
				{
					obj_t BgL_sz00_9870;

					BgL_sz00_9870 = BgL_sz00_16908;
					{	/* Eval/evaluate_comp.scm 408 */
						obj_t BgL_bpz00_9872;

						BgL_bpz00_9872 = VECTOR_REF(BgL_sz00_9870, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(
									((obj_t) BgL_instance2372z00_16907)))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal2940 */
	obj_t BGl_z62compzd2ev_defglobal2940zb0zz__evaluate_compz00(obj_t
		BgL_envz00_16909, BgL_ev_defglobalz00_bglt BgL_ez00_16910,
		obj_t BgL_stkz00_16911)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 377 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_3430;
				obj_t BgL_stkz00_3431;

				BgL_ez00_3430 = BgL_ez00_16910;
				BgL_stkz00_3431 = BgL_stkz00_16911;
				{	/* Eval/evaluate_comp.scm 379 */
					obj_t BgL_ez00_3435;

					{	/* Eval/evaluate_comp.scm 379 */
						BgL_ev_exprz00_bglt BgL_arg4114z00_3467;

						{	/* Eval/evaluate_comp.scm 379 */
							BgL_ev_hookz00_bglt BgL_obj1944z00_9793;

							BgL_obj1944z00_9793 = ((BgL_ev_hookz00_bglt) BgL_ez00_3430);
							BgL_arg4114z00_3467 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj1944z00_9793)))->BgL_ez00);
						}
						BgL_ez00_3435 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4114z00_3467,
							BgL_stkz00_3431);
					}
					{	/* Eval/evaluate_comp.scm 380 */
						obj_t BgL_zc3anonymousza34088ze3z83_15823;

						BgL_zc3anonymousza34088ze3z83_15823 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza34088ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza34088ze3z83_15823,
							(int) (((long) 0)), ((obj_t) BgL_ez00_3430));
						PROCEDURE_SET(BgL_zc3anonymousza34088ze3z83_15823,
							(int) (((long) 1)), BgL_ez00_3435);
						return BgL_zc3anonymousza34088ze3z83_15823;
					}
				}
			}
		}
	}



/* &<anonymous:4088> */
	obj_t BGl_z62zc3anonymousza34088ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16912, obj_t BgL_sz00_16915)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 380 */
			{	/* Eval/evaluate_comp.scm 380 */
				BgL_ev_defglobalz00_bglt BgL_instance2368z00_16913;
				obj_t BgL_ez00_16914;

				BgL_instance2368z00_16913 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_16912, (int) (((long) 0))));
				BgL_ez00_16914 = PROCEDURE_REF(BgL_envz00_16912, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3436;

					BgL_sz00_3436 = BgL_sz00_16915;
					{	/* Eval/evaluate_comp.scm 380 */
						obj_t BgL_bpz00_3438;

						BgL_bpz00_3438 = VECTOR_REF(BgL_sz00_3436, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 381 */
							obj_t BgL_gz00_3439;

							{	/* Eval/evaluate_comp.scm 381 */
								obj_t BgL_arg4112z00_3465;
								obj_t BgL_arg4113z00_3466;

								{	/* Eval/evaluate_comp.scm 381 */
									BgL_ev_setglobalz00_bglt BgL_obj1987z00_9796;

									BgL_obj1987z00_9796 =
										((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
									BgL_arg4112z00_3465 =
										(((BgL_ev_setglobalz00_bglt) CREF(
												((obj_t) BgL_obj1987z00_9796)))->BgL_modz00);
								}
								{	/* Eval/evaluate_comp.scm 381 */
									BgL_ev_setglobalz00_bglt BgL_obj1984z00_9797;

									BgL_obj1984z00_9797 =
										((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
									BgL_arg4113z00_3466 =
										(((BgL_ev_setglobalz00_bglt) CREF(
												((obj_t) BgL_obj1984z00_9797)))->BgL_namez00);
								}
								BgL_gz00_3439 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg4112z00_3465, BgL_arg4113z00_3466);
							}
							if (CBOOL(BgL_gz00_3439))
								{	/* Eval/evaluate_comp.scm 382 */
									{

										{	/* Eval/evaluate_comp.scm 384 */
											int BgL_aux2371z00_3441;

											{	/* Eval/evaluate_comp.scm 384 */
												int BgL_res6157z00_9803;

												{	/* Eval/evaluate_comp.scm 384 */
													obj_t BgL_evalzd2globalzd2_9800;

													BgL_evalzd2globalzd2_9800 = BgL_gz00_3439;
													{	/* Eval/evaluate_comp.scm 384 */
														int BgL_kz00_9802;

														BgL_kz00_9802 = (int) (((long) 0));
														BgL_res6157z00_9803 =
															CINT(VECTOR_REF(BgL_evalzd2globalzd2_9800,
																BgL_kz00_9802));
												}}
												BgL_aux2371z00_3441 = BgL_res6157z00_9803;
											}
											switch ((long) (BgL_aux2371z00_3441))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 386 */
														obj_t BgL_arg4090z00_3443;
														obj_t BgL_arg4091z00_3444;

														{	/* Eval/evaluate_comp.scm 386 */
															BgL_ev_setglobalz00_bglt BgL_obj1983z00_9804;

															BgL_obj1983z00_9804 =
																((BgL_ev_setglobalz00_bglt)
																BgL_instance2368z00_16913);
															BgL_arg4090z00_3443 =
																(((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
																			BgL_obj1983z00_9804)))->BgL_locz00);
														}
														{	/* Eval/evaluate_comp.scm 386 */
															BgL_ev_setglobalz00_bglt BgL_obj1984z00_9805;

															BgL_obj1984z00_9805 =
																((BgL_ev_setglobalz00_bglt)
																BgL_instance2368z00_16913);
															BgL_arg4091z00_3444 =
																(((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
																			BgL_obj1984z00_9805)))->BgL_namez00);
														}
														BGl_everrorz00zz__everrorz00(BgL_arg4090z00_3443,
															BGl_string6988z00zz__evaluate_compz00,
															BGl_string6989z00zz__evaluate_compz00,
															BgL_arg4091z00_3444);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 388 */
														obj_t BgL_arg4092z00_3445;
														obj_t BgL_arg4094z00_3446;

														{	/* Eval/evaluate_comp.scm 388 */
															BgL_ev_setglobalz00_bglt BgL_obj1983z00_9806;

															BgL_obj1983z00_9806 =
																((BgL_ev_setglobalz00_bglt)
																BgL_instance2368z00_16913);
															BgL_arg4092z00_3445 =
																(((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
																			BgL_obj1983z00_9806)))->BgL_locz00);
														}
														{	/* Eval/evaluate_comp.scm 388 */
															BgL_ev_setglobalz00_bglt BgL_obj1984z00_9807;

															BgL_obj1984z00_9807 =
																((BgL_ev_setglobalz00_bglt)
																BgL_instance2368z00_16913);
															BgL_arg4094z00_3446 =
																(((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
																			BgL_obj1984z00_9807)))->BgL_namez00);
														}
														{	/* Eval/evaluate_comp.scm 388 */
															obj_t BgL_list4095z00_3447;

															{	/* Eval/evaluate_comp.scm 388 */
																obj_t BgL_arg4096z00_3448;

																{	/* Eval/evaluate_comp.scm 388 */
																	obj_t BgL_arg4097z00_3449;

																	BgL_arg4097z00_3449 =
																		MAKE_PAIR(BgL_arg4094z00_3446, BNIL);
																	BgL_arg4096z00_3448 =
																		MAKE_PAIR
																		(BGl_string6990z00zz__evaluate_compz00,
																		BgL_arg4097z00_3449);
																}
																BgL_list4095z00_3447 =
																	MAKE_PAIR
																	(BGl_string6870z00zz__evaluate_compz00,
																	BgL_arg4096z00_3448);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg4092z00_3445, BgL_list4095z00_3447);
													}}
													{	/* Eval/evaluate_comp.scm 390 */
														obj_t BgL_arg4098z00_3450;
														obj_t BgL_arg4099z00_3451;

														BgL_arg4098z00_3450 =
															VECTOR_REF(BgL_gz00_3439, (int) (((long) 2)));
														BgL_arg4099z00_3451 =
															PROCEDURE_ENTRY(BgL_ez00_16914) (BgL_ez00_16914,
															BgL_sz00_3436, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg4098z00_3450,
															BgL_arg4099z00_3451);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 392 */
														obj_t BgL_arg4100z00_3452;

														BgL_arg4100z00_3452 =
															PROCEDURE_ENTRY(BgL_ez00_16914) (BgL_ez00_16914,
															BgL_sz00_3436, BEOA);
														VECTOR_SET(BgL_gz00_3439, (int) (((long) 2)),
															BgL_arg4100z00_3452);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 394 */
														obj_t BgL_arg4101z00_3453;

														BgL_arg4101z00_3453 =
															PROCEDURE_ENTRY(BgL_ez00_16914) (BgL_ez00_16914,
															BgL_sz00_3436, BEOA);
														VECTOR_SET(BgL_gz00_3439, (int) (((long) 2)),
															BgL_arg4101z00_3453);
													}
													{	/* Eval/evaluate_comp.scm 395 */
														obj_t BgL_evalzd2globalzd2_9821;
														int BgL_tagz00_9822;

														BgL_evalzd2globalzd2_9821 = BgL_gz00_3439;
														BgL_tagz00_9822 = (int) (((long) 2));
														VECTOR_SET(BgL_evalzd2globalzd2_9821,
															(int) (((long) 0)), BINT(BgL_tagz00_9822));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 397 */
														obj_t BgL_arg4102z00_3454;

														BgL_arg4102z00_3454 =
															PROCEDURE_ENTRY(BgL_ez00_16914) (BgL_ez00_16914,
															BgL_sz00_3436, BEOA);
														VECTOR_SET(BgL_gz00_3439, (int) (((long) 2)),
															BgL_arg4102z00_3454);
													}
													{	/* Eval/evaluate_comp.scm 398 */
														obj_t BgL_evalzd2globalzd2_9831;
														int BgL_tagz00_9832;

														BgL_evalzd2globalzd2_9831 = BgL_gz00_3439;
														BgL_tagz00_9832 = (int) (((long) 5));
														VECTOR_SET(BgL_evalzd2globalzd2_9831,
															(int) (((long) 0)), BINT(BgL_tagz00_9832));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_arg4103z00_3455;
														obj_t BgL_arg4104z00_3456;

														{	/* Eval/evaluate_comp.scm 400 */
															BgL_ev_setglobalz00_bglt BgL_obj1983z00_9798;

															BgL_obj1983z00_9798 =
																((BgL_ev_setglobalz00_bglt)
																BgL_instance2368z00_16913);
															BgL_arg4103z00_3455 =
																(((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
																			BgL_obj1983z00_9798)))->BgL_locz00);
														}
														{	/* Eval/evaluate_comp.scm 400 */
															BgL_ev_setglobalz00_bglt BgL_obj1984z00_9799;

															BgL_obj1984z00_9799 =
																((BgL_ev_setglobalz00_bglt)
																BgL_instance2368z00_16913);
															BgL_arg4104z00_3456 =
																(((BgL_ev_setglobalz00_bglt) CREF(((obj_t)
																			BgL_obj1984z00_9799)))->BgL_namez00);
														}
														BGl_everrorz00zz__everrorz00(BgL_arg4103z00_3455,
															BGl_string6988z00zz__evaluate_compz00,
															BGl_string6989z00zz__evaluate_compz00,
															BgL_arg4104z00_3456);
													}
												}
										}
									}
									{	/* Eval/evaluate_comp.scm 384 */
										BgL_ev_setglobalz00_bglt BgL_obj1984z00_9836;

										BgL_obj1984z00_9836 =
											((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
										return
											(((BgL_ev_setglobalz00_bglt) CREF(
													((obj_t) BgL_obj1984z00_9836)))->BgL_namez00);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 402 */
									obj_t BgL_gz00_3457;

									{	/* Eval/evaluate_comp.scm 402 */
										obj_t BgL_arg4109z00_3462;
										obj_t BgL_arg4110z00_3463;
										obj_t BgL_arg4111z00_3464;

										{	/* Eval/evaluate_comp.scm 402 */
											BgL_ev_setglobalz00_bglt BgL_obj1984z00_9837;

											BgL_obj1984z00_9837 =
												((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
											BgL_arg4109z00_3462 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_obj1984z00_9837)))->BgL_namez00);
										}
										{	/* Eval/evaluate_comp.scm 402 */
											BgL_ev_setglobalz00_bglt BgL_obj1987z00_9838;

											BgL_obj1987z00_9838 =
												((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
											BgL_arg4110z00_3463 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_obj1987z00_9838)))->BgL_modz00);
										}
										{	/* Eval/evaluate_comp.scm 402 */
											BgL_ev_setglobalz00_bglt BgL_obj1983z00_9839;

											BgL_obj1983z00_9839 =
												((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
											BgL_arg4111z00_3464 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_obj1983z00_9839)))->BgL_locz00);
										}
										{	/* Eval/evaluate_comp.scm 402 */
											obj_t BgL_v2915z00_9843;

											BgL_v2915z00_9843 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v2915z00_9843,
												(int) (((long) 4)), BgL_arg4111z00_3464);
											VECTOR_SET(BgL_v2915z00_9843,
												(int) (((long) 3)), BgL_arg4110z00_3463);
											VECTOR_SET(BgL_v2915z00_9843,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v2915z00_9843,
												(int) (((long) 1)), BgL_arg4109z00_3462);
											VECTOR_SET(BgL_v2915z00_9843,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_3457 = BgL_v2915z00_9843;
									}}
									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg4105z00_3458;

										BgL_arg4105z00_3458 =
											PROCEDURE_ENTRY(BgL_ez00_16914) (BgL_ez00_16914,
											BgL_sz00_3436, BEOA);
										VECTOR_SET(BgL_gz00_3457, (int) (((long) 2)),
											BgL_arg4105z00_3458);
									}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg4106z00_3459;
										obj_t BgL_arg4107z00_3460;
										obj_t BgL_arg4108z00_3461;

										{	/* Eval/evaluate_comp.scm 404 */
											BgL_ev_setglobalz00_bglt BgL_obj1987z00_9864;

											BgL_obj1987z00_9864 =
												((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
											BgL_arg4106z00_3459 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_obj1987z00_9864)))->BgL_modz00);
										}
										{	/* Eval/evaluate_comp.scm 404 */
											BgL_ev_setglobalz00_bglt BgL_obj1984z00_9865;

											BgL_obj1984z00_9865 =
												((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
											BgL_arg4107z00_3460 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_obj1984z00_9865)))->BgL_namez00);
										}
										{	/* Eval/evaluate_comp.scm 404 */
											BgL_ev_setglobalz00_bglt BgL_obj1983z00_9866;

											BgL_obj1983z00_9866 =
												((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
											BgL_arg4108z00_3461 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_obj1983z00_9866)))->BgL_locz00);
										}
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg4106z00_3459, BgL_arg4107z00_3460, BgL_gz00_3457,
											BgL_arg4108z00_3461);
									}
									{	/* Eval/evaluate_comp.scm 405 */
										BgL_ev_setglobalz00_bglt BgL_obj1984z00_9867;

										BgL_obj1984z00_9867 =
											((BgL_ev_setglobalz00_bglt) BgL_instance2368z00_16913);
										return
											(((BgL_ev_setglobalz00_bglt) CREF(
													((obj_t) BgL_obj1984z00_9867)))->BgL_namez00);
									}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal2938 */
	obj_t BGl_z62compzd2ev_setglobal2938zb0zz__evaluate_compz00(obj_t
		BgL_envz00_16916, BgL_ev_setglobalz00_bglt BgL_ez00_16917,
		obj_t BgL_stkz00_16918)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 354 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_3387;
				obj_t BgL_stkz00_3388;

				BgL_ez00_3387 = BgL_ez00_16917;
				BgL_stkz00_3388 = BgL_stkz00_16918;
				{	/* Eval/evaluate_comp.scm 356 */
					obj_t BgL_gz00_3392;
					obj_t BgL_ez00_3393;

					{	/* Eval/evaluate_comp.scm 356 */
						obj_t BgL_arg4085z00_3426;
						obj_t BgL_arg4086z00_3427;

						BgL_arg4085z00_3426 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_ez00_3387)))->BgL_modz00);
						BgL_arg4086z00_3427 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((obj_t) BgL_ez00_3387)))->BgL_namez00);
						BgL_gz00_3392 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg4085z00_3426, BgL_arg4086z00_3427);
					}
					{	/* Eval/evaluate_comp.scm 356 */
						BgL_ev_exprz00_bglt BgL_arg4087z00_3428;

						{	/* Eval/evaluate_comp.scm 356 */
							BgL_ev_hookz00_bglt BgL_obj1944z00_9727;

							BgL_obj1944z00_9727 = ((BgL_ev_hookz00_bglt) BgL_ez00_3387);
							BgL_arg4087z00_3428 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj1944z00_9727)))->BgL_ez00);
						}
						BgL_ez00_3393 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4087z00_3428,
							BgL_stkz00_3388);
					}
					if (CBOOL(BgL_gz00_3392))
						{

							{	/* Eval/evaluate_comp.scm 358 */
								int BgL_aux2367z00_3395;

								{	/* Eval/evaluate_comp.scm 358 */
									int BgL_res6156z00_9740;

									{	/* Eval/evaluate_comp.scm 358 */
										obj_t BgL_evalzd2globalzd2_9737;

										BgL_evalzd2globalzd2_9737 = BgL_gz00_3392;
										{	/* Eval/evaluate_comp.scm 358 */
											int BgL_kz00_9739;

											BgL_kz00_9739 = (int) (((long) 0));
											BgL_res6156z00_9740 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9737,
													BgL_kz00_9739));
									}}
									BgL_aux2367z00_3395 = BgL_res6156z00_9740;
								}
								switch ((long) (BgL_aux2367z00_3395))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 360 */
											obj_t BgL_zc3anonymousza34064ze3z83_15826;

											BgL_zc3anonymousza34064ze3z83_15826 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza34064ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza34064ze3z83_15826,
												(int) (((long) 0)), BgL_gz00_3392);
											PROCEDURE_SET(BgL_zc3anonymousza34064ze3z83_15826,
												(int) (((long) 1)), BgL_ez00_3393);
											return BgL_zc3anonymousza34064ze3z83_15826;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										{	/* Eval/evaluate_comp.scm 363 */
											obj_t BgL_arg4067z00_3402;
											obj_t BgL_arg4068z00_3403;

											BgL_arg4067z00_3402 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_locz00);
											BgL_arg4068z00_3403 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_namez00);
											return
												BGl_everrorz00zz__everrorz00(BgL_arg4067z00_3402,
												BGl_string6988z00zz__evaluate_compz00,
												BGl_string6989z00zz__evaluate_compz00,
												BgL_arg4068z00_3403);
										}
										break;
									default:
										{	/* Eval/evaluate_comp.scm 365 */
											obj_t BgL_zc3anonymousza34069ze3z83_15827;

											BgL_zc3anonymousza34069ze3z83_15827 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza34069ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza34069ze3z83_15827,
												(int) (((long) 0)), BgL_ez00_3393);
											PROCEDURE_SET(BgL_zc3anonymousza34069ze3z83_15827,
												(int) (((long) 1)), BgL_gz00_3392);
											return BgL_zc3anonymousza34069ze3z83_15827;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 366 */
							obj_t BgL_slotz00_3408;

							BgL_slotz00_3408 = MAKE_CELL(BFALSE);
							{	/* Eval/evaluate_comp.scm 367 */
								bool_t BgL_testz00_31410;

								{	/* Eval/evaluate_comp.scm 367 */
									obj_t BgL_arg4078z00_3417;

									BgL_arg4078z00_3417 =
										(((BgL_ev_setglobalz00_bglt) CREF(
												((obj_t) BgL_ez00_3387)))->BgL_modz00);
									BgL_testz00_31410 =
										BGl_evmodulezf3zf3zz__evmodulez00(BgL_arg4078z00_3417);
								}
								if (BgL_testz00_31410)
									{	/* Eval/evaluate_comp.scm 368 */
										obj_t BgL_gz00_3410;

										{	/* Eval/evaluate_comp.scm 368 */
											obj_t BgL_arg4075z00_3414;
											obj_t BgL_arg4076z00_3415;
											obj_t BgL_arg4077z00_3416;

											BgL_arg4075z00_3414 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_namez00);
											BgL_arg4076z00_3415 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_modz00);
											BgL_arg4077z00_3416 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_locz00);
											{	/* Eval/evaluate_comp.scm 368 */
												obj_t BgL_v2915z00_9758;

												BgL_v2915z00_9758 = create_vector((int) (((long) 5)));
												VECTOR_SET(BgL_v2915z00_9758,
													(int) (((long) 4)), BgL_arg4077z00_3416);
												VECTOR_SET(BgL_v2915z00_9758,
													(int) (((long) 3)), BgL_arg4076z00_3415);
												VECTOR_SET(BgL_v2915z00_9758,
													(int) (((long) 2)), BUNSPEC);
												VECTOR_SET(BgL_v2915z00_9758,
													(int) (((long) 1)), BgL_arg4075z00_3414);
												VECTOR_SET(BgL_v2915z00_9758,
													(int) (((long) 0)), BINT(((long) 2)));
												BgL_gz00_3410 = BgL_v2915z00_9758;
										}}
										{	/* Eval/evaluate_comp.scm 369 */
											int BgL_tagz00_9775;

											BgL_tagz00_9775 = (int) (((long) 3));
											VECTOR_SET(BgL_gz00_3410,
												(int) (((long) 0)), BINT(BgL_tagz00_9775));
										}
										{	/* Eval/evaluate_comp.scm 370 */
											obj_t BgL_arg4072z00_3411;
											obj_t BgL_arg4073z00_3412;
											obj_t BgL_arg4074z00_3413;

											BgL_arg4072z00_3411 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_modz00);
											BgL_arg4073z00_3412 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_namez00);
											BgL_arg4074z00_3413 =
												(((BgL_ev_setglobalz00_bglt) CREF(
														((obj_t) BgL_ez00_3387)))->BgL_locz00);
											BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
												(BgL_arg4072z00_3411, BgL_arg4073z00_3412,
												BgL_gz00_3410, BgL_arg4074z00_3413);
									}}
								else
									{	/* Eval/evaluate_comp.scm 367 */
										BFALSE;
									}
							}
							{	/* Eval/evaluate_comp.scm 371 */
								obj_t BgL_zc3anonymousza34079ze3z83_15825;

								BgL_zc3anonymousza34079ze3z83_15825 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza34079ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza34079ze3z83_15825,
									(int) (((long) 0)), ((obj_t) BgL_ez00_3387));
								PROCEDURE_SET(BgL_zc3anonymousza34079ze3z83_15825,
									(int) (((long) 1)), BgL_slotz00_3408);
								PROCEDURE_SET(BgL_zc3anonymousza34079ze3z83_15825,
									(int) (((long) 2)), BgL_ez00_3393);
								return BgL_zc3anonymousza34079ze3z83_15825;
							}
						}
				}
			}
		}
	}



/* &<anonymous:4064> */
	obj_t BGl_z62zc3anonymousza34064ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16919, obj_t BgL_sz00_16922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 360 */
			{	/* Eval/evaluate_comp.scm 360 */
				obj_t BgL_gz00_16920;
				obj_t BgL_ez00_16921;

				BgL_gz00_16920 = PROCEDURE_REF(BgL_envz00_16919, (int) (((long) 0)));
				BgL_ez00_16921 = PROCEDURE_REF(BgL_envz00_16919, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3397;

					BgL_sz00_3397 = BgL_sz00_16922;
					{	/* Eval/evaluate_comp.scm 360 */
						obj_t BgL_bpz00_9741;

						BgL_bpz00_9741 = VECTOR_REF(BgL_sz00_3397, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 360 */
							obj_t BgL_arg4065z00_9742;
							obj_t BgL_arg4066z00_9743;

							BgL_arg4065z00_9742 =
								VECTOR_REF(BgL_gz00_16920, (int) (((long) 2)));
							BgL_arg4066z00_9743 =
								PROCEDURE_ENTRY(BgL_ez00_16921) (BgL_ez00_16921, BgL_sz00_3397,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg4065z00_9742,
								BgL_arg4066z00_9743);
						}
					}
				}
			}
		}
	}



/* &<anonymous:4069> */
	obj_t BGl_z62zc3anonymousza34069ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16923, obj_t BgL_sz00_16926)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 365 */
			{	/* Eval/evaluate_comp.scm 365 */
				obj_t BgL_ez00_16924;
				obj_t BgL_gz00_16925;

				BgL_ez00_16924 = PROCEDURE_REF(BgL_envz00_16923, (int) (((long) 0)));
				BgL_gz00_16925 = PROCEDURE_REF(BgL_envz00_16923, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3404;

					BgL_sz00_3404 = BgL_sz00_16926;
					{	/* Eval/evaluate_comp.scm 365 */
						obj_t BgL_bpz00_9728;

						BgL_bpz00_9728 = VECTOR_REF(BgL_sz00_3404, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_arg4070z00_9729;

							BgL_arg4070z00_9729 =
								PROCEDURE_ENTRY(BgL_ez00_16924) (BgL_ez00_16924, BgL_sz00_3404,
								BEOA);
							return VECTOR_SET(BgL_gz00_16925, (int) (((long) 2)),
								BgL_arg4070z00_9729);
		}}}}}
	}



/* &<anonymous:4079> */
	obj_t BGl_z62zc3anonymousza34079ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16927, obj_t BgL_sz00_16931)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 371 */
			{	/* Eval/evaluate_comp.scm 371 */
				BgL_ev_setglobalz00_bglt BgL_instance2364z00_16928;
				obj_t BgL_slotz00_16929;
				obj_t BgL_ez00_16930;

				BgL_instance2364z00_16928 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_16927, (int) (((long) 0))));
				BgL_slotz00_16929 = PROCEDURE_REF(BgL_envz00_16927, (int) (((long) 1)));
				BgL_ez00_16930 = PROCEDURE_REF(BgL_envz00_16927, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3418;

					BgL_sz00_3418 = BgL_sz00_16931;
					{	/* Eval/evaluate_comp.scm 371 */
						obj_t BgL_bpz00_3420;

						BgL_bpz00_3420 = VECTOR_REF(BgL_sz00_3418, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_16929)))
							{	/* Eval/evaluate_comp.scm 372 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 372 */
								{	/* Eval/evaluate_comp.scm 373 */
									obj_t BgL_auxz00_16932;

									{	/* Eval/evaluate_comp.scm 373 */
										obj_t BgL_arg4080z00_3421;
										obj_t BgL_arg4081z00_3422;

										BgL_arg4080z00_3421 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((obj_t) BgL_instance2364z00_16928)))->BgL_modz00);
										BgL_arg4081z00_3422 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((obj_t) BgL_instance2364z00_16928)))->BgL_namez00);
										BgL_auxz00_16932 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg4080z00_3421, BgL_arg4081z00_3422);
									}
									CELL_SET(BgL_slotz00_16929, BgL_auxz00_16932);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_16929)))
									{	/* Eval/evaluate_comp.scm 374 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 374 */
										obj_t BgL_arg4082z00_3423;
										obj_t BgL_arg4083z00_3424;

										BgL_arg4082z00_3423 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((obj_t) BgL_instance2364z00_16928)))->BgL_locz00);
										BgL_arg4083z00_3424 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((obj_t) BgL_instance2364z00_16928)))->BgL_namez00);
										BGl_everrorz00zz__everrorz00(BgL_arg4082z00_3423,
											BGl_string6870z00zz__evaluate_compz00,
											BGl_string6991z00zz__evaluate_compz00,
											BgL_arg4083z00_3424);
									}
							}
						{	/* Eval/evaluate_comp.scm 375 */
							obj_t BgL_arg4084z00_3425;

							BgL_arg4084z00_3425 =
								PROCEDURE_ENTRY(BgL_ez00_16930) (BgL_ez00_16930, BgL_sz00_3418,
								BEOA);
							{	/* Eval/evaluate_comp.scm 375 */
								obj_t BgL_evalzd2globalzd2_9788;

								BgL_evalzd2globalzd2_9788 = CELL_REF(BgL_slotz00_16929);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_9788,
									(int) (((long) 2)), BgL_arg4084z00_3425);
		}}}}}}
	}



/* &comp-ev_global2936 */
	obj_t BGl_z62compzd2ev_global2936zb0zz__evaluate_compz00(obj_t
		BgL_envz00_16933, BgL_ev_globalz00_bglt BgL_varz00_16934,
		obj_t BgL_stkz00_16935)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 328 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_3345;
				obj_t BgL_stkz00_3346;

				BgL_varz00_3345 = BgL_varz00_16934;
				BgL_stkz00_3346 = BgL_stkz00_16935;
				{	/* Eval/evaluate_comp.scm 330 */
					obj_t BgL_gz00_3350;

					{	/* Eval/evaluate_comp.scm 330 */
						obj_t BgL_arg4061z00_3384;
						obj_t BgL_arg4062z00_3385;

						BgL_arg4061z00_3384 =
							(((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_varz00_3345)))->BgL_modz00);
						BgL_arg4062z00_3385 =
							(((BgL_ev_globalz00_bglt) CREF(
									((obj_t) BgL_varz00_3345)))->BgL_namez00);
						BgL_gz00_3350 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg4061z00_3384, BgL_arg4062z00_3385);
					}
					if (CBOOL(BgL_gz00_3350))
						{	/* Eval/evaluate_comp.scm 332 */
							bool_t BgL_testz00_31515;

							{	/* Eval/evaluate_comp.scm 332 */
								int BgL_arg4042z00_3359;

								{	/* Eval/evaluate_comp.scm 332 */
									int BgL_res6152z00_9659;

									{	/* Eval/evaluate_comp.scm 332 */
										obj_t BgL_evalzd2globalzd2_9656;

										BgL_evalzd2globalzd2_9656 = BgL_gz00_3350;
										{	/* Eval/evaluate_comp.scm 332 */
											int BgL_kz00_9658;

											BgL_kz00_9658 = (int) (((long) 0));
											BgL_res6152z00_9659 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9656,
													BgL_kz00_9658));
									}}
									BgL_arg4042z00_3359 = BgL_res6152z00_9659;
								}
								BgL_testz00_31515 =
									(BINT(BgL_arg4042z00_3359) == BINT(((long) 1)));
							}
							if (BgL_testz00_31515)
								{	/* Eval/evaluate_comp.scm 333 */
									obj_t BgL_zc3anonymousza34038ze3z83_15829;

									BgL_zc3anonymousza34038ze3z83_15829 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza34038ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza34038ze3z83_15829,
										(int) (((long) 0)), BgL_gz00_3350);
									return BgL_zc3anonymousza34038ze3z83_15829;
								}
							else
								{	/* Eval/evaluate_comp.scm 335 */
									obj_t BgL_zc3anonymousza34040ze3z83_15830;

									BgL_zc3anonymousza34040ze3z83_15830 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza34040ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza34040ze3z83_15830,
										(int) (((long) 0)), BgL_gz00_3350);
									return BgL_zc3anonymousza34040ze3z83_15830;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 337 */
							obj_t BgL_slotz00_3360;

							BgL_slotz00_3360 = MAKE_CELL(BFALSE);
							{	/* Eval/evaluate_comp.scm 338 */
								bool_t BgL_testz00_31532;

								{	/* Eval/evaluate_comp.scm 338 */
									obj_t BgL_arg4050z00_3369;

									BgL_arg4050z00_3369 =
										(((BgL_ev_globalz00_bglt) CREF(
												((obj_t) BgL_varz00_3345)))->BgL_modz00);
									BgL_testz00_31532 =
										BGl_evmodulezf3zf3zz__evmodulez00(BgL_arg4050z00_3369);
								}
								if (BgL_testz00_31532)
									{	/* Eval/evaluate_comp.scm 339 */
										obj_t BgL_gz00_3362;

										{	/* Eval/evaluate_comp.scm 339 */
											obj_t BgL_arg4047z00_3366;
											obj_t BgL_arg4048z00_3367;
											obj_t BgL_arg4049z00_3368;

											BgL_arg4047z00_3366 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_varz00_3345)))->BgL_namez00);
											BgL_arg4048z00_3367 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_varz00_3345)))->BgL_modz00);
											BgL_arg4049z00_3368 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_varz00_3345)))->BgL_locz00);
											{	/* Eval/evaluate_comp.scm 339 */
												obj_t BgL_v2915z00_9680;

												BgL_v2915z00_9680 = create_vector((int) (((long) 5)));
												VECTOR_SET(BgL_v2915z00_9680,
													(int) (((long) 4)), BgL_arg4049z00_3368);
												VECTOR_SET(BgL_v2915z00_9680,
													(int) (((long) 3)), BgL_arg4048z00_3367);
												VECTOR_SET(BgL_v2915z00_9680,
													(int) (((long) 2)), BUNSPEC);
												VECTOR_SET(BgL_v2915z00_9680,
													(int) (((long) 1)), BgL_arg4047z00_3366);
												VECTOR_SET(BgL_v2915z00_9680,
													(int) (((long) 0)), BINT(((long) 2)));
												BgL_gz00_3362 = BgL_v2915z00_9680;
										}}
										{	/* Eval/evaluate_comp.scm 340 */
											int BgL_tagz00_9697;

											BgL_tagz00_9697 = (int) (((long) 3));
											VECTOR_SET(BgL_gz00_3362,
												(int) (((long) 0)), BINT(BgL_tagz00_9697));
										}
										{	/* Eval/evaluate_comp.scm 341 */
											obj_t BgL_arg4044z00_3363;
											obj_t BgL_arg4045z00_3364;
											obj_t BgL_arg4046z00_3365;

											BgL_arg4044z00_3363 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_varz00_3345)))->BgL_modz00);
											BgL_arg4045z00_3364 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_varz00_3345)))->BgL_namez00);
											BgL_arg4046z00_3365 =
												(((BgL_ev_globalz00_bglt) CREF(
														((obj_t) BgL_varz00_3345)))->BgL_locz00);
											BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
												(BgL_arg4044z00_3363, BgL_arg4045z00_3364,
												BgL_gz00_3362, BgL_arg4046z00_3365);
									}}
								else
									{	/* Eval/evaluate_comp.scm 338 */
										BFALSE;
									}
							}
							{	/* Eval/evaluate_comp.scm 342 */
								obj_t BgL_zc3anonymousza34051ze3z83_15831;

								BgL_zc3anonymousza34051ze3z83_15831 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza34051ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza34051ze3z83_15831,
									(int) (((long) 0)), ((obj_t) BgL_varz00_3345));
								PROCEDURE_SET(BgL_zc3anonymousza34051ze3z83_15831,
									(int) (((long) 1)), BgL_slotz00_3360);
								return BgL_zc3anonymousza34051ze3z83_15831;
							}
						}
				}
			}
		}
	}



/* &<anonymous:4038> */
	obj_t BGl_z62zc3anonymousza34038ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16936, obj_t BgL_sz00_16938)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 333 */
			{	/* Eval/evaluate_comp.scm 333 */
				obj_t BgL_gz00_16937;

				BgL_gz00_16937 = PROCEDURE_REF(BgL_envz00_16936, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3352;

					BgL_sz00_3352 = BgL_sz00_16938;
					{	/* Eval/evaluate_comp.scm 333 */
						obj_t BgL_bpz00_9660;

						BgL_bpz00_9660 = VECTOR_REF(BgL_sz00_3352, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_auxz00_31578;

							BgL_auxz00_31578 = VECTOR_REF(BgL_gz00_16937, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_31578);
						}
					}
				}
			}
		}
	}



/* &<anonymous:4040> */
	obj_t BGl_z62zc3anonymousza34040ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16939, obj_t BgL_sz00_16941)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 335 */
			{	/* Eval/evaluate_comp.scm 335 */
				obj_t BgL_gz00_16940;

				BgL_gz00_16940 = PROCEDURE_REF(BgL_envz00_16939, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3356;

					BgL_sz00_3356 = BgL_sz00_16941;
					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_bpz00_9667;

						BgL_bpz00_9667 = VECTOR_REF(BgL_sz00_3356, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_16940, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:4051> */
	obj_t BGl_z62zc3anonymousza34051ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16942, obj_t BgL_sz00_16945)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 342 */
			{	/* Eval/evaluate_comp.scm 342 */
				BgL_ev_globalz00_bglt BgL_instance2362z00_16943;
				obj_t BgL_slotz00_16944;

				BgL_instance2362z00_16943 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_16942, (int) (((long) 0))));
				BgL_slotz00_16944 = PROCEDURE_REF(BgL_envz00_16942, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3370;

					BgL_sz00_3370 = BgL_sz00_16945;
					{	/* Eval/evaluate_comp.scm 342 */
						obj_t BgL_bpz00_3372;

						BgL_bpz00_3372 = VECTOR_REF(BgL_sz00_3370, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_16944)))
							{	/* Eval/evaluate_comp.scm 343 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 343 */
								{	/* Eval/evaluate_comp.scm 344 */
									obj_t BgL_auxz00_16946;

									{	/* Eval/evaluate_comp.scm 344 */
										obj_t BgL_arg4052z00_3373;
										obj_t BgL_arg4053z00_3374;

										BgL_arg4052z00_3373 =
											(((BgL_ev_globalz00_bglt) CREF(
													((obj_t) BgL_instance2362z00_16943)))->BgL_modz00);
										BgL_arg4053z00_3374 =
											(((BgL_ev_globalz00_bglt) CREF(
													((obj_t) BgL_instance2362z00_16943)))->BgL_namez00);
										BgL_auxz00_16946 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg4052z00_3373, BgL_arg4053z00_3374);
									}
									CELL_SET(BgL_slotz00_16944, BgL_auxz00_16946);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_16944)))
									{	/* Eval/evaluate_comp.scm 345 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 345 */
										obj_t BgL_arg4054z00_3375;
										obj_t BgL_arg4055z00_3376;

										BgL_arg4054z00_3375 =
											(((BgL_ev_globalz00_bglt) CREF(
													((obj_t) BgL_instance2362z00_16943)))->BgL_locz00);
										BgL_arg4055z00_3376 =
											(((BgL_ev_globalz00_bglt) CREF(
													((obj_t) BgL_instance2362z00_16943)))->BgL_namez00);
										BGl_everrorz00zz__everrorz00(BgL_arg4054z00_3375,
											BGl_string6870z00zz__evaluate_compz00,
											BGl_string6991z00zz__evaluate_compz00,
											BgL_arg4055z00_3376);
									}
							}
						{	/* Eval/evaluate_comp.scm 346 */
							obj_t BgL_vz00_3377;

							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_evalzd2globalzd2_9710;

								BgL_evalzd2globalzd2_9710 = CELL_REF(BgL_slotz00_16944);
								BgL_vz00_3377 =
									VECTOR_REF(BgL_evalzd2globalzd2_9710, (int) (((long) 2)));
							}
							if ((BgL_vz00_3377 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 348 */
									int BgL_tz00_3379;

									{	/* Eval/evaluate_comp.scm 348 */
										int BgL_res6153z00_9716;

										{	/* Eval/evaluate_comp.scm 348 */
											obj_t BgL_evalzd2globalzd2_9713;

											BgL_evalzd2globalzd2_9713 = CELL_REF(BgL_slotz00_16944);
											{	/* Eval/evaluate_comp.scm 348 */
												int BgL_kz00_9715;

												BgL_kz00_9715 = (int) (((long) 0));
												BgL_res6153z00_9716 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_9713,
														BgL_kz00_9715));
										}}
										BgL_tz00_3379 = BgL_res6153z00_9716;
									}
									{	/* Eval/evaluate_comp.scm 349 */
										bool_t BgL_testz00_31616;

										if (((long) (BgL_tz00_3379) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 349 */
												BgL_testz00_31616 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 349 */
												BgL_testz00_31616 =
													((long) (BgL_tz00_3379) == ((long) 4));
											}
										if (BgL_testz00_31616)
											{	/* Eval/evaluate_comp.scm 350 */
												obj_t BgL_arg4058z00_3381;
												obj_t BgL_arg4059z00_3382;

												BgL_arg4058z00_3381 =
													(((BgL_ev_globalz00_bglt) CREF(
															((obj_t) BgL_instance2362z00_16943)))->
													BgL_locz00);
												BgL_arg4059z00_3382 =
													(((BgL_ev_globalz00_bglt) CREF(((obj_t)
																BgL_instance2362z00_16943)))->BgL_namez00);
												return BGl_everrorz00zz__everrorz00(BgL_arg4058z00_3381,
													BGl_string6870z00zz__evaluate_compz00,
													BGl_string6992z00zz__evaluate_compz00,
													BgL_arg4059z00_3382);
											}
										else
											{	/* Eval/evaluate_comp.scm 349 */
												return BgL_vz00_3377;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 347 */
									return BgL_vz00_3377;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal2934 */
	obj_t BGl_z62compzd2ev_setlocal2934zb0zz__evaluate_compz00(obj_t
		BgL_envz00_16947, BgL_ev_setlocalz00_bglt BgL_ez00_16948,
		obj_t BgL_stkz00_16949)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 310 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_3322;
				obj_t BgL_stkz00_3323;

				BgL_ez00_3322 = BgL_ez00_16948;
				BgL_stkz00_3323 = BgL_stkz00_16949;
				{	/* Eval/evaluate_comp.scm 312 */
					obj_t BgL_iz00_3327;
					obj_t BgL_ez00_3328;

					{	/* Eval/evaluate_comp.scm 312 */
						BgL_ev_varz00_bglt BgL_arg4035z00_3342;

						BgL_arg4035z00_3342 =
							(((BgL_ev_setlocalz00_bglt) CREF(
									((obj_t) BgL_ez00_3322)))->BgL_vz00);
						BgL_iz00_3327 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg4035z00_3342), BgL_stkz00_3323);
					}
					{	/* Eval/evaluate_comp.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg4036z00_3343;

						{	/* Eval/evaluate_comp.scm 312 */
							BgL_ev_hookz00_bglt BgL_obj1944z00_9624;

							BgL_obj1944z00_9624 = ((BgL_ev_hookz00_bglt) BgL_ez00_3322);
							BgL_arg4036z00_3343 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj1944z00_9624)))->BgL_ez00);
						}
						BgL_ez00_3328 =
							BGl_compz00zz__evaluate_compz00(BgL_arg4036z00_3343,
							BgL_stkz00_3323);
					}
					{	/* Eval/evaluate_comp.scm 314 */
						bool_t BgL_testz00_31635;

						{	/* Eval/evaluate_comp.scm 314 */
							BgL_ev_varz00_bglt BgL_obj1833z00_9626;

							BgL_obj1833z00_9626 =
								(((BgL_ev_setlocalz00_bglt) CREF(
										((obj_t) BgL_ez00_3322)))->BgL_vz00);
							BgL_testz00_31635 =
								CBOOL(
								(((BgL_ev_varz00_bglt) CREF(
											((obj_t) BgL_obj1833z00_9626)))->BgL_effz00));
						}
						if (BgL_testz00_31635)
							{	/* Eval/evaluate_comp.scm 315 */
								obj_t BgL_zc3anonymousza34028ze3z83_15833;

								BgL_zc3anonymousza34028ze3z83_15833 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza34028ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza34028ze3z83_15833,
									(int) (((long) 0)), BgL_iz00_3327);
								PROCEDURE_SET(BgL_zc3anonymousza34028ze3z83_15833,
									(int) (((long) 1)), BgL_ez00_3328);
								return BgL_zc3anonymousza34028ze3z83_15833;
							}
						else
							{	/* Eval/evaluate_comp.scm 317 */
								obj_t BgL_zc3anonymousza34032ze3z83_15834;

								BgL_zc3anonymousza34032ze3z83_15834 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza34032ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza34032ze3z83_15834,
									(int) (((long) 0)), BgL_iz00_3327);
								PROCEDURE_SET(BgL_zc3anonymousza34032ze3z83_15834,
									(int) (((long) 1)), BgL_ez00_3328);
								return BgL_zc3anonymousza34032ze3z83_15834;
							}
					}
				}
			}
		}
	}



/* &<anonymous:4028> */
	obj_t BGl_z62zc3anonymousza34028ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16950, obj_t BgL_sz00_16953)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 315 */
			{	/* Eval/evaluate_comp.scm 315 */
				obj_t BgL_iz00_16951;
				obj_t BgL_ez00_16952;

				BgL_iz00_16951 = PROCEDURE_REF(BgL_envz00_16950, (int) (((long) 0)));
				BgL_ez00_16952 = PROCEDURE_REF(BgL_envz00_16950, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3331;

					BgL_sz00_3331 = BgL_sz00_16953;
					{	/* Eval/evaluate_comp.scm 315 */
						obj_t BgL_bpz00_9627;

						BgL_bpz00_9627 = VECTOR_REF(BgL_sz00_3331, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 315 */
							obj_t BgL_arg4029z00_9628;
							obj_t BgL_arg4030z00_9629;

							{	/* Eval/evaluate_comp.scm 315 */
								long BgL_arg4031z00_9630;

								BgL_arg4031z00_9630 =
									((long) CINT(BgL_bpz00_9627) + (long) CINT(BgL_iz00_16951));
								BgL_arg4029z00_9628 =
									VECTOR_REF(BgL_sz00_3331, (int) (BgL_arg4031z00_9630));
							}
							BgL_arg4030z00_9629 =
								PROCEDURE_ENTRY(BgL_ez00_16952) (BgL_ez00_16952, BgL_sz00_3331,
								BEOA);
							{	/* Eval/evaluate_comp.scm 315 */
								obj_t BgL_sz00_9640;

								BgL_sz00_9640 = BgL_arg4029z00_9628;
								{	/* Eval/evaluate_comp.scm 315 */
									obj_t BgL_xz00_17874;

									{	/* Eval/evaluate_comp.scm 315 */
										int BgL_auxz00_31670;

										BgL_auxz00_31670 = (int) (((long) 0));
										BgL_xz00_17874 =
											STRUCT_SET(BgL_sz00_9640, BgL_auxz00_31670,
											BgL_arg4030z00_9629);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4032> */
	obj_t BGl_z62zc3anonymousza34032ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16954, obj_t BgL_sz00_16957)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 317 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_16955;
				obj_t BgL_ez00_16956;

				BgL_iz00_16955 = PROCEDURE_REF(BgL_envz00_16954, (int) (((long) 0)));
				BgL_ez00_16956 = PROCEDURE_REF(BgL_envz00_16954, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3337;

					BgL_sz00_3337 = BgL_sz00_16957;
					{	/* Eval/evaluate_comp.scm 317 */
						obj_t BgL_bpz00_9643;

						BgL_bpz00_9643 = VECTOR_REF(BgL_sz00_3337, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 317 */
							long BgL_arg4033z00_9644;
							obj_t BgL_arg4034z00_9645;

							BgL_arg4033z00_9644 =
								((long) CINT(BgL_bpz00_9643) + (long) CINT(BgL_iz00_16955));
							BgL_arg4034z00_9645 =
								PROCEDURE_ENTRY(BgL_ez00_16956) (BgL_ez00_16956, BgL_sz00_3337,
								BEOA);
							return VECTOR_SET(BgL_sz00_3337, (int) (BgL_arg4033z00_9644),
								BgL_arg4034z00_9645);
		}}}}}
	}



/* &comp-ev_var2932 */
	obj_t BGl_z62compzd2ev_var2932zb0zz__evaluate_compz00(obj_t BgL_envz00_16958,
		BgL_ev_varz00_bglt BgL_varz00_16959, obj_t BgL_stkz00_16960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 305 */
			{
				BgL_ev_varz00_bglt BgL_varz00_3262;
				obj_t BgL_stkz00_3263;

				BgL_varz00_3262 = BgL_varz00_16959;
				BgL_stkz00_3263 = BgL_stkz00_16960;
				{	/* Eval/evaluate_comp.scm 306 */
					obj_t BgL_iz00_3266;

					BgL_iz00_3266 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_3262), BgL_stkz00_3263);
					{

						if (INTEGERP(BgL_iz00_3266))
							{	/* Eval/evaluate_comp.scm 308 */
								switch ((long) CINT(BgL_iz00_3266))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(
															((obj_t) BgL_varz00_3262)))->BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc6993z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc6994z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(
															((obj_t) BgL_varz00_3262)))->BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc6995z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc6996z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(
															((obj_t) BgL_varz00_3262)))->BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc6997z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc6998z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(
															((obj_t) BgL_varz00_3262)))->BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc6999z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc7000z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else2354z00_3268:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(
															((obj_t) BgL_varz00_3262)))->BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												obj_t BgL_zc3anonymousza34022ze3z83_15845;

												BgL_zc3anonymousza34022ze3z83_15845 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34022ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34022ze3z83_15845,
													(int) (((long) 0)), BgL_iz00_3266);
												return BgL_zc3anonymousza34022ze3z83_15845;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												obj_t BgL_zc3anonymousza34025ze3z83_15844;

												BgL_zc3anonymousza34025ze3z83_15844 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34025ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34025ze3z83_15844,
													(int) (((long) 0)), BgL_iz00_3266);
												return BgL_zc3anonymousza34025ze3z83_15844;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 308 */
								goto BgL_case_else2354z00_3268;
							}
					}
				}
			}
		}
	}



/* &<anonymous:4015> */
	obj_t BGl_z62zc3anonymousza34015ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16961, obj_t BgL_sz00_16962)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3302;

				BgL_sz00_3302 = BgL_sz00_16962;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9601;

					BgL_bpz00_9601 = VECTOR_REF(BgL_sz00_3302, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg4016z00_9602;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg4018z00_9603;

							BgL_arg4018z00_9603 = ((long) CINT(BgL_bpz00_9601) + ((long) 3));
							BgL_arg4016z00_9602 =
								VECTOR_REF(BgL_sz00_3302, (int) (BgL_arg4018z00_9603));
						}
						return STRUCT_REF(BgL_arg4016z00_9602, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:4019> */
	obj_t BGl_z62zc3anonymousza34019ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16963, obj_t BgL_sz00_16964)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3307;

				BgL_sz00_3307 = BgL_sz00_16964;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9614;

					BgL_bpz00_9614 = VECTOR_REF(BgL_sz00_3307, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg4020z00_9615;

						BgL_arg4020z00_9615 = ((long) CINT(BgL_bpz00_9614) + ((long) 3));
						return VECTOR_REF(BgL_sz00_3307, (int) (BgL_arg4020z00_9615));
		}}}}
	}



/* &<anonymous:4009> */
	obj_t BGl_z62zc3anonymousza34009ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16965, obj_t BgL_sz00_16966)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3292;

				BgL_sz00_3292 = BgL_sz00_16966;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9578;

					BgL_bpz00_9578 = VECTOR_REF(BgL_sz00_3292, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg4010z00_9579;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg4011z00_9580;

							BgL_arg4011z00_9580 = ((long) CINT(BgL_bpz00_9578) + ((long) 2));
							BgL_arg4010z00_9579 =
								VECTOR_REF(BgL_sz00_3292, (int) (BgL_arg4011z00_9580));
						}
						return STRUCT_REF(BgL_arg4010z00_9579, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:4012> */
	obj_t BGl_z62zc3anonymousza34012ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16967, obj_t BgL_sz00_16968)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3297;

				BgL_sz00_3297 = BgL_sz00_16968;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9591;

					BgL_bpz00_9591 = VECTOR_REF(BgL_sz00_3297, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg4013z00_9592;

						BgL_arg4013z00_9592 = ((long) CINT(BgL_bpz00_9591) + ((long) 2));
						return VECTOR_REF(BgL_sz00_3297, (int) (BgL_arg4013z00_9592));
		}}}}
	}



/* &<anonymous:4003> */
	obj_t BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16969, obj_t BgL_sz00_16970)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3282;

				BgL_sz00_3282 = BgL_sz00_16970;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9555;

					BgL_bpz00_9555 = VECTOR_REF(BgL_sz00_3282, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg4004z00_9556;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg4005z00_9557;

							BgL_arg4005z00_9557 = ((long) CINT(BgL_bpz00_9555) + ((long) 1));
							BgL_arg4004z00_9556 =
								VECTOR_REF(BgL_sz00_3282, (int) (BgL_arg4005z00_9557));
						}
						return STRUCT_REF(BgL_arg4004z00_9556, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:4006> */
	obj_t BGl_z62zc3anonymousza34006ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16971, obj_t BgL_sz00_16972)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3287;

				BgL_sz00_3287 = BgL_sz00_16972;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9568;

					BgL_bpz00_9568 = VECTOR_REF(BgL_sz00_3287, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg4007z00_9569;

						BgL_arg4007z00_9569 = ((long) CINT(BgL_bpz00_9568) + ((long) 1));
						return VECTOR_REF(BgL_sz00_3287, (int) (BgL_arg4007z00_9569));
		}}}}
	}



/* &<anonymous:3997> */
	obj_t BGl_z62zc3anonymousza33997ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16973, obj_t BgL_sz00_16974)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3272;

				BgL_sz00_3272 = BgL_sz00_16974;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9532;

					BgL_bpz00_9532 = VECTOR_REF(BgL_sz00_3272, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg3998z00_9533;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg3999z00_9534;

							BgL_arg3999z00_9534 = ((long) CINT(BgL_bpz00_9532) + ((long) 0));
							BgL_arg3998z00_9533 =
								VECTOR_REF(BgL_sz00_3272, (int) (BgL_arg3999z00_9534));
						}
						return STRUCT_REF(BgL_arg3998z00_9533, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:4000> */
	obj_t BGl_z62zc3anonymousza34000ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16975, obj_t BgL_sz00_16976)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_3277;

				BgL_sz00_3277 = BgL_sz00_16976;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_9545;

					BgL_bpz00_9545 = VECTOR_REF(BgL_sz00_3277, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg4001z00_9546;

						BgL_arg4001z00_9546 = ((long) CINT(BgL_bpz00_9545) + ((long) 0));
						return VECTOR_REF(BgL_sz00_3277, (int) (BgL_arg4001z00_9546));
		}}}}
	}



/* &<anonymous:4022> */
	obj_t BGl_z62zc3anonymousza34022ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16977, obj_t BgL_sz00_16979)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{	/* Eval/evaluate_comp.scm 308 */
				obj_t BgL_iz00_16978;

				BgL_iz00_16978 = PROCEDURE_REF(BgL_envz00_16977, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3312;

					BgL_sz00_3312 = BgL_sz00_16979;
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_bpz00_9509;

						BgL_bpz00_9509 = VECTOR_REF(BgL_sz00_3312, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 308 */
							obj_t BgL_arg4023z00_9510;

							{	/* Eval/evaluate_comp.scm 308 */
								long BgL_arg4024z00_9511;

								BgL_arg4024z00_9511 =
									((long) CINT(BgL_bpz00_9509) + (long) CINT(BgL_iz00_16978));
								BgL_arg4023z00_9510 =
									VECTOR_REF(BgL_sz00_3312, (int) (BgL_arg4024z00_9511));
							}
							return STRUCT_REF(BgL_arg4023z00_9510, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:4025> */
	obj_t BGl_z62zc3anonymousza34025ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16980, obj_t BgL_sz00_16982)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{	/* Eval/evaluate_comp.scm 308 */
				obj_t BgL_iz00_16981;

				BgL_iz00_16981 = PROCEDURE_REF(BgL_envz00_16980, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3317;

					BgL_sz00_3317 = BgL_sz00_16982;
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_bpz00_9522;

						BgL_bpz00_9522 = VECTOR_REF(BgL_sz00_3317, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg4026z00_9523;

							BgL_arg4026z00_9523 =
								((long) CINT(BgL_bpz00_9522) + (long) CINT(BgL_iz00_16981));
							return VECTOR_REF(BgL_sz00_3317, (int) (BgL_arg4026z00_9523));
		}}}}}
	}



/* &comp-ev_trap2930 */
	obj_t BGl_z62compzd2ev_trap2930zb0zz__evaluate_compz00(obj_t BgL_envz00_16983,
		BgL_ev_trapz00_bglt BgL_ez00_16984, obj_t BgL_stkz00_16985)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 278 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_3244;
				obj_t BgL_stkz00_3245;

				BgL_ez00_3244 = BgL_ez00_16984;
				BgL_stkz00_3245 = BgL_stkz00_16985;
				{	/* Eval/evaluate_comp.scm 280 */
					obj_t BgL_ez00_3249;

					{	/* Eval/evaluate_comp.scm 280 */
						BgL_ev_exprz00_bglt BgL_arg3994z00_3260;

						{	/* Eval/evaluate_comp.scm 280 */
							BgL_ev_hookz00_bglt BgL_obj1944z00_9490;

							BgL_obj1944z00_9490 = ((BgL_ev_hookz00_bglt) BgL_ez00_3244);
							BgL_arg3994z00_3260 =
								(((BgL_ev_hookz00_bglt) CREF(
										((obj_t) BgL_obj1944z00_9490)))->BgL_ez00);
						}
						BgL_ez00_3249 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3994z00_3260,
							BgL_stkz00_3245);
					}
					{	/* Eval/evaluate_comp.scm 281 */
						obj_t BgL_zc3anonymousza33988ze3z83_15847;

						BgL_zc3anonymousza33988ze3z83_15847 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33988ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33988ze3z83_15847,
							(int) (((long) 0)), BgL_ez00_3249);
						return BgL_zc3anonymousza33988ze3z83_15847;
					}
				}
			}
		}
	}



/* &<anonymous:3988> */
	obj_t BGl_z62zc3anonymousza33988ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16986, obj_t BgL_sz00_16988)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 281 */
			{	/* Eval/evaluate_comp.scm 281 */
				obj_t BgL_ez00_16987;

				BgL_ez00_16987 = PROCEDURE_REF(BgL_envz00_16986, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3250;

					BgL_sz00_3250 = BgL_sz00_16988;
					{	/* Eval/evaluate_comp.scm 281 */
						obj_t BgL_bpz00_3252;

						BgL_bpz00_3252 = VECTOR_REF(BgL_sz00_3250, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 282 */
							obj_t BgL_cmdz00_3253;

							BgL_cmdz00_3253 =
								PROCEDURE_ENTRY(BgL_ez00_16987) (BgL_ez00_16987, BgL_sz00_3250,
								BEOA);
							if ((BgL_cmdz00_3253 == BGl_symbol7001z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 283 */
									return BgL_bpz00_3252;
								}
							else
								{	/* Eval/evaluate_comp.scm 283 */
									if (
										(BgL_cmdz00_3253 == BGl_symbol7003z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 283 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 283 */
											if (
												(BgL_cmdz00_3253 ==
													BGl_symbol7005z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 283 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 283 */
													if (
														(BgL_cmdz00_3253 ==
															BGl_symbol7007z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 283 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 283 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string6870z00zz__evaluate_compz00,
																BGl_string7009z00zz__evaluate_compz00,
																BgL_cmdz00_3253);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 2457613),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 126621575),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string7010z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
